#include <qtnetwork_includes.h>

#include <smoke.h>
#include <qtnetwork_smoke.h>

namespace __smokeqtnetwork {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractNetworkCache
      switch(to) {
        case 54: return (void*)(QObject*)(QAbstractNetworkCache*)xptr;
        case 1: return (void*)(QAbstractNetworkCache*)xptr;
        case 46: return (void*)(QNetworkDiskCache*)(QAbstractNetworkCache*)xptr;
        default: return xptr;
      }
    case 2:   //QAbstractSocket
      switch(to) {
        case 27: return (void*)(QIODevice*)(QAbstractSocket*)xptr;
        case 54: return (void*)(QObject*)(QAbstractSocket*)xptr;
        case 2: return (void*)(QAbstractSocket*)xptr;
        case 78: return (void*)(QUdpSocket*)(QAbstractSocket*)xptr;
        case 69: return (void*)(QSslSocket*)(QAbstractSocket*)xptr;
        case 73: return (void*)(QTcpSocket*)(QAbstractSocket*)xptr;
        default: return xptr;
      }
    case 3:   //QAuthenticator
      switch(to) {
        case 3: return (void*)(QAuthenticator*)xptr;
        default: return xptr;
      }
    case 4:   //QBitArray
      switch(to) {
        case 4: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 5:   //QBool
      switch(to) {
        case 5: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 15: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QDataStream
      switch(to) {
        case 9: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 10:   //QDate
      switch(to) {
        case 10: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 11:   //QDateTime
      switch(to) {
        case 11: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 12:   //QDebug
      switch(to) {
        case 12: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 13:   //QDir
      switch(to) {
        case 13: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 14:   //QEasingCurve
      switch(to) {
        case 14: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 15:   //QEvent
      switch(to) {
        case 15: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 16:   //QFtp
      switch(to) {
        case 54: return (void*)(QObject*)(QFtp*)xptr;
        case 16: return (void*)(QFtp*)xptr;
        default: return xptr;
      }
    case 18:   //QHashDummyValue
      switch(to) {
        case 18: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 19:   //QHostAddress
      switch(to) {
        case 19: return (void*)(QHostAddress*)xptr;
        default: return xptr;
      }
    case 20:   //QHostInfo
      switch(to) {
        case 20: return (void*)(QHostInfo*)xptr;
        default: return xptr;
      }
    case 21:   //QHttp
      switch(to) {
        case 54: return (void*)(QObject*)(QHttp*)xptr;
        case 21: return (void*)(QHttp*)xptr;
        default: return xptr;
      }
    case 22:   //QHttpHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)xptr;
        case 25: return (void*)(QHttpRequestHeader*)(QHttpHeader*)xptr;
        case 26: return (void*)(QHttpResponseHeader*)(QHttpHeader*)xptr;
        default: return xptr;
      }
    case 23:   //QHttpMultiPart
      switch(to) {
        case 54: return (void*)(QObject*)(QHttpMultiPart*)xptr;
        case 23: return (void*)(QHttpMultiPart*)xptr;
        default: return xptr;
      }
    case 24:   //QHttpPart
      switch(to) {
        case 24: return (void*)(QHttpPart*)xptr;
        default: return xptr;
      }
    case 25:   //QHttpRequestHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)(QHttpRequestHeader*)xptr;
        case 25: return (void*)(QHttpRequestHeader*)xptr;
        default: return xptr;
      }
    case 26:   //QHttpResponseHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)(QHttpResponseHeader*)xptr;
        case 26: return (void*)(QHttpResponseHeader*)xptr;
        default: return xptr;
      }
    case 27:   //QIODevice
      switch(to) {
        case 54: return (void*)(QObject*)(QIODevice*)xptr;
        case 27: return (void*)(QIODevice*)xptr;
        case 51: return (void*)(QNetworkReply*)(QIODevice*)xptr;
        case 78: return (void*)(QUdpSocket*)(QIODevice*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QIODevice*)xptr;
        case 69: return (void*)(QSslSocket*)(QIODevice*)xptr;
        case 73: return (void*)(QTcpSocket*)(QIODevice*)xptr;
        case 34: return (void*)(QLocalSocket*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 28:   //QIPv6Address
      switch(to) {
        case 28: return (void*)(QIPv6Address*)xptr;
        default: return xptr;
      }
    case 29:   //QIncompatibleFlag
      switch(to) {
        case 29: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 30:   //QLatin1String
      switch(to) {
        case 30: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 31:   //QLine
      switch(to) {
        case 31: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 32:   //QLineF
      switch(to) {
        case 32: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 33:   //QLocalServer
      switch(to) {
        case 54: return (void*)(QObject*)(QLocalServer*)xptr;
        case 33: return (void*)(QLocalServer*)xptr;
        default: return xptr;
      }
    case 34:   //QLocalSocket
      switch(to) {
        case 27: return (void*)(QIODevice*)(QLocalSocket*)xptr;
        case 54: return (void*)(QObject*)(QLocalSocket*)xptr;
        case 34: return (void*)(QLocalSocket*)xptr;
        default: return xptr;
      }
    case 35:   //QLocale
      switch(to) {
        case 35: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 36:   //QMargins
      switch(to) {
        case 36: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 37:   //QMetaObject
      switch(to) {
        case 37: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 38:   //QModelIndex
      switch(to) {
        case 38: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 39:   //QNetworkAccessManager
      switch(to) {
        case 54: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 39: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 40:   //QNetworkAddressEntry
      switch(to) {
        case 40: return (void*)(QNetworkAddressEntry*)xptr;
        default: return xptr;
      }
    case 41:   //QNetworkCacheMetaData
      switch(to) {
        case 41: return (void*)(QNetworkCacheMetaData*)xptr;
        default: return xptr;
      }
    case 42:   //QNetworkConfiguration
      switch(to) {
        case 42: return (void*)(QNetworkConfiguration*)xptr;
        default: return xptr;
      }
    case 43:   //QNetworkConfigurationManager
      switch(to) {
        case 54: return (void*)(QObject*)(QNetworkConfigurationManager*)xptr;
        case 43: return (void*)(QNetworkConfigurationManager*)xptr;
        default: return xptr;
      }
    case 44:   //QNetworkCookie
      switch(to) {
        case 44: return (void*)(QNetworkCookie*)xptr;
        default: return xptr;
      }
    case 45:   //QNetworkCookieJar
      switch(to) {
        case 54: return (void*)(QObject*)(QNetworkCookieJar*)xptr;
        case 45: return (void*)(QNetworkCookieJar*)xptr;
        default: return xptr;
      }
    case 46:   //QNetworkDiskCache
      switch(to) {
        case 1: return (void*)(QAbstractNetworkCache*)(QNetworkDiskCache*)xptr;
        case 54: return (void*)(QObject*)(QNetworkDiskCache*)xptr;
        case 46: return (void*)(QNetworkDiskCache*)xptr;
        default: return xptr;
      }
    case 47:   //QNetworkInterface
      switch(to) {
        case 47: return (void*)(QNetworkInterface*)xptr;
        default: return xptr;
      }
    case 48:   //QNetworkProxy
      switch(to) {
        case 48: return (void*)(QNetworkProxy*)xptr;
        default: return xptr;
      }
    case 49:   //QNetworkProxyFactory
      switch(to) {
        case 49: return (void*)(QNetworkProxyFactory*)xptr;
        default: return xptr;
      }
    case 50:   //QNetworkProxyQuery
      switch(to) {
        case 50: return (void*)(QNetworkProxyQuery*)xptr;
        default: return xptr;
      }
    case 51:   //QNetworkReply
      switch(to) {
        case 27: return (void*)(QIODevice*)(QNetworkReply*)xptr;
        case 54: return (void*)(QObject*)(QNetworkReply*)xptr;
        case 51: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 52:   //QNetworkRequest
      switch(to) {
        case 52: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 53:   //QNetworkSession
      switch(to) {
        case 54: return (void*)(QObject*)(QNetworkSession*)xptr;
        case 53: return (void*)(QNetworkSession*)xptr;
        default: return xptr;
      }
    case 54:   //QObject
      switch(to) {
        case 54: return (void*)(QObject*)xptr;
        case 16: return (void*)(QFtp*)(QObject*)xptr;
        case 45: return (void*)(QNetworkCookieJar*)(QObject*)xptr;
        case 33: return (void*)(QLocalServer*)(QObject*)xptr;
        case 23: return (void*)(QHttpMultiPart*)(QObject*)xptr;
        case 51: return (void*)(QNetworkReply*)(QObject*)xptr;
        case 78: return (void*)(QUdpSocket*)(QObject*)xptr;
        case 1: return (void*)(QAbstractNetworkCache*)(QObject*)xptr;
        case 53: return (void*)(QNetworkSession*)(QObject*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QObject*)xptr;
        case 21: return (void*)(QHttp*)(QObject*)xptr;
        case 69: return (void*)(QSslSocket*)(QObject*)xptr;
        case 39: return (void*)(QNetworkAccessManager*)(QObject*)xptr;
        case 73: return (void*)(QTcpSocket*)(QObject*)xptr;
        case 46: return (void*)(QNetworkDiskCache*)(QObject*)xptr;
        case 72: return (void*)(QTcpServer*)(QObject*)xptr;
        case 34: return (void*)(QLocalSocket*)(QObject*)xptr;
        case 43: return (void*)(QNetworkConfigurationManager*)(QObject*)xptr;
        default: return xptr;
      }
    case 55:   //QPersistentModelIndex
      switch(to) {
        case 55: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 56:   //QPoint
      switch(to) {
        case 56: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 57:   //QPointF
      switch(to) {
        case 57: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 58:   //QRect
      switch(to) {
        case 58: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 59:   //QRectF
      switch(to) {
        case 59: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 60:   //QRegExp
      switch(to) {
        case 60: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 61:   //QSize
      switch(to) {
        case 61: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 62:   //QSizeF
      switch(to) {
        case 62: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 64:   //QSslCertificate
      switch(to) {
        case 64: return (void*)(QSslCertificate*)xptr;
        default: return xptr;
      }
    case 65:   //QSslCipher
      switch(to) {
        case 65: return (void*)(QSslCipher*)xptr;
        default: return xptr;
      }
    case 66:   //QSslConfiguration
      switch(to) {
        case 66: return (void*)(QSslConfiguration*)xptr;
        default: return xptr;
      }
    case 67:   //QSslError
      switch(to) {
        case 67: return (void*)(QSslError*)xptr;
        default: return xptr;
      }
    case 68:   //QSslKey
      switch(to) {
        case 68: return (void*)(QSslKey*)xptr;
        default: return xptr;
      }
    case 69:   //QSslSocket
      switch(to) {
        case 73: return (void*)(QTcpSocket*)(QSslSocket*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QSslSocket*)xptr;
        case 27: return (void*)(QIODevice*)(QSslSocket*)xptr;
        case 54: return (void*)(QObject*)(QSslSocket*)xptr;
        case 69: return (void*)(QSslSocket*)xptr;
        default: return xptr;
      }
    case 70:   //QString::Null
      switch(to) {
        case 70: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 71:   //QStringRef
      switch(to) {
        case 71: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 72:   //QTcpServer
      switch(to) {
        case 54: return (void*)(QObject*)(QTcpServer*)xptr;
        case 72: return (void*)(QTcpServer*)xptr;
        default: return xptr;
      }
    case 73:   //QTcpSocket
      switch(to) {
        case 2: return (void*)(QAbstractSocket*)(QTcpSocket*)xptr;
        case 27: return (void*)(QIODevice*)(QTcpSocket*)xptr;
        case 54: return (void*)(QObject*)(QTcpSocket*)xptr;
        case 73: return (void*)(QTcpSocket*)xptr;
        case 69: return (void*)(QSslSocket*)(QTcpSocket*)xptr;
        default: return xptr;
      }
    case 74:   //QTextStream
      switch(to) {
        case 74: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 75:   //QTextStreamManipulator
      switch(to) {
        case 75: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 76:   //QTime
      switch(to) {
        case 76: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 77:   //QTimerEvent
      switch(to) {
        case 15: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 77: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 78:   //QUdpSocket
      switch(to) {
        case 2: return (void*)(QAbstractSocket*)(QUdpSocket*)xptr;
        case 27: return (void*)(QIODevice*)(QUdpSocket*)xptr;
        case 54: return (void*)(QObject*)(QUdpSocket*)xptr;
        case 78: return (void*)(QUdpSocket*)xptr;
        default: return xptr;
      }
    case 79:   //QUrl
      switch(to) {
        case 79: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 80:   //QUrlInfo
      switch(to) {
        case 80: return (void*)(QUrlInfo*)xptr;
        default: return xptr;
      }
    case 81:   //QUuid
      switch(to) {
        case 81: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 82:   //QVariant
      switch(to) {
        case 82: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 83:   //QVariantComparisonHelper
      switch(to) {
        case 83: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 84:   //sockaddr
      switch(to) {
        case 84: return (void*)(sockaddr*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    54, 0,	// 1: QObject
    27, 0,	// 3: QIODevice
    22, 0,	// 5: QHttpHeader
    1, 0,	// 7: QAbstractNetworkCache
    73, 0,	// 9: QTcpSocket
    2, 0,	// 11: QAbstractSocket
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSsl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkAccessManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFtp(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkConfigurationManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkConfiguration(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHttp(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslCertificate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkRequest(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkProxy(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHostAddress(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkSession(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkCookie(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkProxyQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkReply(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLocalSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUrlInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHttpMultiPart(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHostInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUdpSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QAbstractNetworkCache(Smoke::Index, void*, Smoke::Stack);
void xcall_QAbstractSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QAuthenticator(Smoke::Index, void*, Smoke::Stack);
void xcall_QFtp(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QHostAddress(Smoke::Index, void*, Smoke::Stack);
void xcall_QHostInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttp(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpMultiPart(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpPart(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpRequestHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpResponseHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QIPv6Address(Smoke::Index, void*, Smoke::Stack);
void xcall_QLocalServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QLocalSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkAccessManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkAddressEntry(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCacheMetaData(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkConfiguration(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkConfigurationManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCookie(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCookieJar(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkDiskCache(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxy(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxyFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxyQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkReply(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkRequest(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkSession(Smoke::Index, void*, Smoke::Stack);
void xcall_QSsl(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslCertificate(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslCipher(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslConfiguration(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslError(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslKey(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QTcpServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QTcpSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QUdpSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QUrlInfo(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractNetworkCache", false, 1, xcall_QAbstractNetworkCache, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QAbstractNetworkCache) },	//1
    { "QAbstractSocket", false, 3, xcall_QAbstractSocket, xenum_QAbstractSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QAbstractSocket) },	//2
    { "QAuthenticator", false, 0, xcall_QAuthenticator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QAuthenticator) },	//3
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//4
    { "QBool", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//9
    { "QDate", true, 0, 0, 0, 0, 0 },	//10
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//11
    { "QDebug", true, 0, 0, 0, 0, 0 },	//12
    { "QDir", true, 0, 0, 0, 0, 0 },	//13
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//14
    { "QEvent", true, 0, 0, 0, 0, 0 },	//15
    { "QFtp", false, 1, xcall_QFtp, xenum_QFtp, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QFtp) },	//16
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//17
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//18
    { "QHostAddress", false, 0, xcall_QHostAddress, xenum_QHostAddress, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QHostAddress) },	//19
    { "QHostInfo", false, 0, xcall_QHostInfo, xenum_QHostInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QHostInfo) },	//20
    { "QHttp", false, 1, xcall_QHttp, xenum_QHttp, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QHttp) },	//21
    { "QHttpHeader", false, 0, xcall_QHttpHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpHeader) },	//22
    { "QHttpMultiPart", false, 1, xcall_QHttpMultiPart, xenum_QHttpMultiPart, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QHttpMultiPart) },	//23
    { "QHttpPart", false, 0, xcall_QHttpPart, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QHttpPart) },	//24
    { "QHttpRequestHeader", false, 5, xcall_QHttpRequestHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpRequestHeader) },	//25
    { "QHttpResponseHeader", false, 5, xcall_QHttpResponseHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpResponseHeader) },	//26
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//27
    { "QIPv6Address", false, 0, xcall_QIPv6Address, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QIPv6Address) },	//28
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//29
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//30
    { "QLine", true, 0, 0, 0, 0, 0 },	//31
    { "QLineF", true, 0, 0, 0, 0, 0 },	//32
    { "QLocalServer", false, 1, xcall_QLocalServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QLocalServer) },	//33
    { "QLocalSocket", false, 3, xcall_QLocalSocket, xenum_QLocalSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QLocalSocket) },	//34
    { "QLocale", true, 0, 0, 0, 0, 0 },	//35
    { "QMargins", true, 0, 0, 0, 0, 0 },	//36
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//37
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//38
    { "QNetworkAccessManager", false, 1, xcall_QNetworkAccessManager, xenum_QNetworkAccessManager, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkAccessManager) },	//39
    { "QNetworkAddressEntry", false, 0, xcall_QNetworkAddressEntry, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkAddressEntry) },	//40
    { "QNetworkCacheMetaData", false, 0, xcall_QNetworkCacheMetaData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkCacheMetaData) },	//41
    { "QNetworkConfiguration", false, 0, xcall_QNetworkConfiguration, xenum_QNetworkConfiguration, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkConfiguration) },	//42
    { "QNetworkConfigurationManager", false, 1, xcall_QNetworkConfigurationManager, xenum_QNetworkConfigurationManager, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkConfigurationManager) },	//43
    { "QNetworkCookie", false, 0, xcall_QNetworkCookie, xenum_QNetworkCookie, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkCookie) },	//44
    { "QNetworkCookieJar", false, 1, xcall_QNetworkCookieJar, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkCookieJar) },	//45
    { "QNetworkDiskCache", false, 7, xcall_QNetworkDiskCache, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkDiskCache) },	//46
    { "QNetworkInterface", false, 0, xcall_QNetworkInterface, xenum_QNetworkInterface, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkInterface) },	//47
    { "QNetworkProxy", false, 0, xcall_QNetworkProxy, xenum_QNetworkProxy, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkProxy) },	//48
    { "QNetworkProxyFactory", false, 0, xcall_QNetworkProxyFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QNetworkProxyFactory) },	//49
    { "QNetworkProxyQuery", false, 0, xcall_QNetworkProxyQuery, xenum_QNetworkProxyQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkProxyQuery) },	//50
    { "QNetworkReply", false, 3, xcall_QNetworkReply, xenum_QNetworkReply, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkReply) },	//51
    { "QNetworkRequest", false, 0, xcall_QNetworkRequest, xenum_QNetworkRequest, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkRequest) },	//52
    { "QNetworkSession", false, 1, xcall_QNetworkSession, xenum_QNetworkSession, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkSession) },	//53
    { "QObject", true, 0, 0, 0, 0, 0 },	//54
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//55
    { "QPoint", true, 0, 0, 0, 0, 0 },	//56
    { "QPointF", true, 0, 0, 0, 0, 0 },	//57
    { "QRect", true, 0, 0, 0, 0, 0 },	//58
    { "QRectF", true, 0, 0, 0, 0, 0 },	//59
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//60
    { "QSize", true, 0, 0, 0, 0, 0 },	//61
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//62
    { "QSsl", false, 0, xcall_QSsl, xenum_QSsl, Smoke::cf_namespace, 0 },	//63
    { "QSslCertificate", false, 0, xcall_QSslCertificate, xenum_QSslCertificate, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslCertificate) },	//64
    { "QSslCipher", false, 0, xcall_QSslCipher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslCipher) },	//65
    { "QSslConfiguration", false, 0, xcall_QSslConfiguration, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslConfiguration) },	//66
    { "QSslError", false, 0, xcall_QSslError, xenum_QSslError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslError) },	//67
    { "QSslKey", false, 0, xcall_QSslKey, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslKey) },	//68
    { "QSslSocket", false, 9, xcall_QSslSocket, xenum_QSslSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSslSocket) },	//69
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//70
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//71
    { "QTcpServer", false, 1, xcall_QTcpServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTcpServer) },	//72
    { "QTcpSocket", false, 11, xcall_QTcpSocket, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTcpSocket) },	//73
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//74
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//75
    { "QTime", true, 0, 0, 0, 0, 0 },	//76
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//77
    { "QUdpSocket", false, 11, xcall_QUdpSocket, xenum_QUdpSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QUdpSocket) },	//78
    { "QUrl", true, 0, 0, 0, 0, 0 },	//79
    { "QUrlInfo", false, 0, xcall_QUrlInfo, xenum_QUrlInfo, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QUrlInfo) },	//80
    { "QUuid", true, 0, 0, 0, 0, 0 },	//81
    { "QVariant", true, 0, 0, 0, 0, 0 },	//82
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//83
    { "sockaddr", true, 0, 0, 0, 0, 0 },	//84
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractNetworkCache*", 1, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QAbstractSocket*", 2, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QAbstractSocket::NetworkLayerProtocol", 2, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAbstractSocket::SocketError", 2, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAbstractSocket::SocketOption", 2, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAbstractSocket::SocketState", 2, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAbstractSocket::SocketType", 2, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QAuthenticator&", 3, Smoke::t_class|Smoke::tf_ref },	//9
    { "QAuthenticator*", 3, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QBitArray", 4, Smoke::t_class|Smoke::tf_stack },	//11
    { "QBitArray&", 4, Smoke::t_class|Smoke::tf_ref },	//12
    { "QBool", 5, Smoke::t_class|Smoke::tf_stack },	//13
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//14
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//15
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//16
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//17
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QCryptographicHash::Algorithm", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QDataStream&", 9, Smoke::t_class|Smoke::tf_ref },	//20
    { "QDate&", 10, Smoke::t_class|Smoke::tf_ref },	//21
    { "QDateTime", 11, Smoke::t_class|Smoke::tf_stack },	//22
    { "QDateTime&", 11, Smoke::t_class|Smoke::tf_ref },	//23
    { "QDebug", 12, Smoke::t_class|Smoke::tf_stack },	//24
    { "QDir::Filter", 13, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QDir::SortFlag", 13, Smoke::t_enum|Smoke::tf_stack },	//26
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "QEasingCurve&", 14, Smoke::t_class|Smoke::tf_ref },	//28
    { "QEvent*", 15, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//32
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//33
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//34
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//35
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//36
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//37
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//38
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//39
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//40
    { "QFlags<QNetworkConfiguration::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//41
    { "QFlags<QNetworkConfigurationManager::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//42
    { "QFlags<QNetworkInterface::InterfaceFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//43
    { "QFlags<QNetworkProxy::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//44
    { "QFlags<QSsl::SslOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//45
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QUdpSocket::BindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFtp*", 16, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QFtp::Command", 16, Smoke::t_enum|Smoke::tf_stack },	//68
    { "QFtp::Error", 16, Smoke::t_enum|Smoke::tf_stack },	//69
    { "QFtp::State", 16, Smoke::t_enum|Smoke::tf_stack },	//70
    { "QFtp::TransferMode", 16, Smoke::t_enum|Smoke::tf_stack },	//71
    { "QFtp::TransferType", 16, Smoke::t_enum|Smoke::tf_stack },	//72
    { "QHash<QNetworkRequest::Attribute,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//73
    { "QHash<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//74
    { "QHostAddress", 19, Smoke::t_class|Smoke::tf_stack },	//75
    { "QHostAddress&", 19, Smoke::t_class|Smoke::tf_ref },	//76
    { "QHostAddress*", 19, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QHostAddress::SpecialAddress", 19, Smoke::t_enum|Smoke::tf_stack },	//78
    { "QHostInfo", 20, Smoke::t_class|Smoke::tf_stack },	//79
    { "QHostInfo&", 20, Smoke::t_class|Smoke::tf_ref },	//80
    { "QHostInfo*", 20, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QHostInfo::HostInfoError", 20, Smoke::t_enum|Smoke::tf_stack },	//82
    { "QHttp*", 21, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QHttp::ConnectionMode", 21, Smoke::t_enum|Smoke::tf_stack },	//84
    { "QHttp::Error", 21, Smoke::t_enum|Smoke::tf_stack },	//85
    { "QHttp::State", 21, Smoke::t_enum|Smoke::tf_stack },	//86
    { "QHttpHeader&", 22, Smoke::t_class|Smoke::tf_ref },	//87
    { "QHttpHeader*", 22, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QHttpMultiPart*", 23, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QHttpMultiPart::ContentType", 23, Smoke::t_enum|Smoke::tf_stack },	//90
    { "QHttpPart&", 24, Smoke::t_class|Smoke::tf_ref },	//91
    { "QHttpPart*", 24, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QHttpRequestHeader", 25, Smoke::t_class|Smoke::tf_stack },	//93
    { "QHttpRequestHeader&", 25, Smoke::t_class|Smoke::tf_ref },	//94
    { "QHttpRequestHeader*", 25, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QHttpResponseHeader", 26, Smoke::t_class|Smoke::tf_stack },	//96
    { "QHttpResponseHeader&", 26, Smoke::t_class|Smoke::tf_ref },	//97
    { "QHttpResponseHeader*", 26, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QIODevice*", 27, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QIODevice::OpenMode", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QIODevice::OpenModeFlag", 27, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QIPv6Address", 28, Smoke::t_class|Smoke::tf_stack },	//102
    { "QIPv6Address*", 28, Smoke::t_class|Smoke::tf_ptr },	//103
    { "QIncompatibleFlag", 29, Smoke::t_class|Smoke::tf_stack },	//104
    { "QIntegerForSizeof< void* >::Unsigned", 0, Smoke::t_voidp|Smoke::tf_stack },	//105
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QLine&", 31, Smoke::t_class|Smoke::tf_ref },	//107
    { "QLineF&", 32, Smoke::t_class|Smoke::tf_ref },	//108
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//109
    { "QList<QHostAddress>", 0, Smoke::t_voidp|Smoke::tf_stack },	//110
    { "QList<QNetworkAddressEntry>", 0, Smoke::t_voidp|Smoke::tf_stack },	//111
    { "QList<QNetworkConfiguration>", 0, Smoke::t_voidp|Smoke::tf_stack },	//112
    { "QList<QNetworkCookie>", 0, Smoke::t_voidp|Smoke::tf_stack },	//113
    { "QList<QNetworkInterface>", 0, Smoke::t_voidp|Smoke::tf_stack },	//114
    { "QList<QNetworkProxy>", 0, Smoke::t_voidp|Smoke::tf_stack },	//115
    { "QList<QPair<QByteArray,QByteArray> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//116
    { "QList<QPair<QString,QString> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//117
    { "QList<QSslCertificate>", 0, Smoke::t_voidp|Smoke::tf_stack },	//118
    { "QList<QSslCipher>", 0, Smoke::t_voidp|Smoke::tf_stack },	//119
    { "QList<QSslError>", 0, Smoke::t_voidp|Smoke::tf_stack },	//120
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//121
    { "QLocalServer*", 33, Smoke::t_class|Smoke::tf_ptr },	//122
    { "QLocalSocket*", 34, Smoke::t_class|Smoke::tf_ptr },	//123
    { "QLocalSocket::LocalSocketError", 34, Smoke::t_enum|Smoke::tf_stack },	//124
    { "QLocalSocket::LocalSocketState", 34, Smoke::t_enum|Smoke::tf_stack },	//125
    { "QLocale&", 35, Smoke::t_class|Smoke::tf_ref },	//126
    { "QLocale::NumberOption", 35, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QMetaObject::Call", 37, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QMultiMap<QSsl::AlternateNameEntryType,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//129
    { "QNetworkAccessManager*", 39, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QNetworkAccessManager::NetworkAccessibility", 39, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QNetworkAccessManager::Operation", 39, Smoke::t_enum|Smoke::tf_stack },	//132
    { "QNetworkAddressEntry", 40, Smoke::t_class|Smoke::tf_stack },	//133
    { "QNetworkAddressEntry&", 40, Smoke::t_class|Smoke::tf_ref },	//134
    { "QNetworkAddressEntry*", 40, Smoke::t_class|Smoke::tf_ptr },	//135
    { "QNetworkCacheMetaData", 41, Smoke::t_class|Smoke::tf_stack },	//136
    { "QNetworkCacheMetaData&", 41, Smoke::t_class|Smoke::tf_ref },	//137
    { "QNetworkCacheMetaData*", 41, Smoke::t_class|Smoke::tf_ptr },	//138
    { "QNetworkConfiguration", 42, Smoke::t_class|Smoke::tf_stack },	//139
    { "QNetworkConfiguration&", 42, Smoke::t_class|Smoke::tf_ref },	//140
    { "QNetworkConfiguration*", 42, Smoke::t_class|Smoke::tf_ptr },	//141
    { "QNetworkConfiguration::BearerType", 42, Smoke::t_enum|Smoke::tf_stack },	//142
    { "QNetworkConfiguration::Purpose", 42, Smoke::t_enum|Smoke::tf_stack },	//143
    { "QNetworkConfiguration::StateFlag", 42, Smoke::t_enum|Smoke::tf_stack },	//144
    { "QNetworkConfiguration::Type", 42, Smoke::t_enum|Smoke::tf_stack },	//145
    { "QNetworkConfigurationManager*", 43, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QNetworkConfigurationManager::Capability", 43, Smoke::t_enum|Smoke::tf_stack },	//147
    { "QNetworkCookie", 44, Smoke::t_class|Smoke::tf_stack },	//148
    { "QNetworkCookie&", 44, Smoke::t_class|Smoke::tf_ref },	//149
    { "QNetworkCookie*", 44, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QNetworkCookie::RawForm", 44, Smoke::t_enum|Smoke::tf_stack },	//151
    { "QNetworkCookieJar*", 45, Smoke::t_class|Smoke::tf_ptr },	//152
    { "QNetworkDiskCache*", 46, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QNetworkInterface", 47, Smoke::t_class|Smoke::tf_stack },	//154
    { "QNetworkInterface&", 47, Smoke::t_class|Smoke::tf_ref },	//155
    { "QNetworkInterface*", 47, Smoke::t_class|Smoke::tf_ptr },	//156
    { "QNetworkInterface::InterfaceFlag", 47, Smoke::t_enum|Smoke::tf_stack },	//157
    { "QNetworkProxy", 48, Smoke::t_class|Smoke::tf_stack },	//158
    { "QNetworkProxy&", 48, Smoke::t_class|Smoke::tf_ref },	//159
    { "QNetworkProxy*", 48, Smoke::t_class|Smoke::tf_ptr },	//160
    { "QNetworkProxy::Capability", 48, Smoke::t_enum|Smoke::tf_stack },	//161
    { "QNetworkProxy::ProxyType", 48, Smoke::t_enum|Smoke::tf_stack },	//162
    { "QNetworkProxyFactory*", 49, Smoke::t_class|Smoke::tf_ptr },	//163
    { "QNetworkProxyQuery&", 50, Smoke::t_class|Smoke::tf_ref },	//164
    { "QNetworkProxyQuery*", 50, Smoke::t_class|Smoke::tf_ptr },	//165
    { "QNetworkProxyQuery::QueryType", 50, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QNetworkReply*", 51, Smoke::t_class|Smoke::tf_ptr },	//167
    { "QNetworkReply::NetworkError", 51, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QNetworkRequest", 52, Smoke::t_class|Smoke::tf_stack },	//169
    { "QNetworkRequest&", 52, Smoke::t_class|Smoke::tf_ref },	//170
    { "QNetworkRequest*", 52, Smoke::t_class|Smoke::tf_ptr },	//171
    { "QNetworkRequest::Attribute", 52, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QNetworkRequest::CacheLoadControl", 52, Smoke::t_enum|Smoke::tf_stack },	//173
    { "QNetworkRequest::KnownHeaders", 52, Smoke::t_enum|Smoke::tf_stack },	//174
    { "QNetworkRequest::LoadControl", 52, Smoke::t_enum|Smoke::tf_stack },	//175
    { "QNetworkRequest::Priority", 52, Smoke::t_enum|Smoke::tf_stack },	//176
    { "QNetworkSession*", 53, Smoke::t_class|Smoke::tf_ptr },	//177
    { "QNetworkSession::SessionError", 53, Smoke::t_enum|Smoke::tf_stack },	//178
    { "QNetworkSession::State", 53, Smoke::t_enum|Smoke::tf_stack },	//179
    { "QObject*", 54, Smoke::t_class|Smoke::tf_ptr },	//180
    { "QObject*(*)()", 54, Smoke::t_class|Smoke::tf_ptr },	//181
    { "QPair<QByteArray,QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//182
    { "QPair<QHostAddress,int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//183
    { "QPair<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//184
    { "QPoint&", 56, Smoke::t_class|Smoke::tf_ref },	//185
    { "QPointF&", 57, Smoke::t_class|Smoke::tf_ref },	//186
    { "QRect&", 58, Smoke::t_class|Smoke::tf_ref },	//187
    { "QRectF&", 59, Smoke::t_class|Smoke::tf_ref },	//188
    { "QRegExp&", 60, Smoke::t_class|Smoke::tf_ref },	//189
    { "QRegExp::PatternSyntax", 60, Smoke::t_enum|Smoke::tf_stack },	//190
    { "QSize&", 61, Smoke::t_class|Smoke::tf_ref },	//191
    { "QSizeF&", 62, Smoke::t_class|Smoke::tf_ref },	//192
    { "QSsl::AlternateNameEntryType", 63, Smoke::t_enum|Smoke::tf_stack },	//193
    { "QSsl::EncodingFormat", 63, Smoke::t_enum|Smoke::tf_stack },	//194
    { "QSsl::KeyAlgorithm", 63, Smoke::t_enum|Smoke::tf_stack },	//195
    { "QSsl::KeyType", 63, Smoke::t_enum|Smoke::tf_stack },	//196
    { "QSsl::SslOption", 63, Smoke::t_enum|Smoke::tf_stack },	//197
    { "QSsl::SslProtocol", 63, Smoke::t_enum|Smoke::tf_stack },	//198
    { "QSslCertificate", 64, Smoke::t_class|Smoke::tf_stack },	//199
    { "QSslCertificate&", 64, Smoke::t_class|Smoke::tf_ref },	//200
    { "QSslCertificate*", 64, Smoke::t_class|Smoke::tf_ptr },	//201
    { "QSslCertificate::SubjectInfo", 64, Smoke::t_enum|Smoke::tf_stack },	//202
    { "QSslCipher", 65, Smoke::t_class|Smoke::tf_stack },	//203
    { "QSslCipher&", 65, Smoke::t_class|Smoke::tf_ref },	//204
    { "QSslCipher*", 65, Smoke::t_class|Smoke::tf_ptr },	//205
    { "QSslConfiguration", 66, Smoke::t_class|Smoke::tf_stack },	//206
    { "QSslConfiguration&", 66, Smoke::t_class|Smoke::tf_ref },	//207
    { "QSslConfiguration*", 66, Smoke::t_class|Smoke::tf_ptr },	//208
    { "QSslError", 67, Smoke::t_class|Smoke::tf_stack },	//209
    { "QSslError&", 67, Smoke::t_class|Smoke::tf_ref },	//210
    { "QSslError*", 67, Smoke::t_class|Smoke::tf_ptr },	//211
    { "QSslError::SslError", 67, Smoke::t_enum|Smoke::tf_stack },	//212
    { "QSslKey", 68, Smoke::t_class|Smoke::tf_stack },	//213
    { "QSslKey&", 68, Smoke::t_class|Smoke::tf_ref },	//214
    { "QSslKey*", 68, Smoke::t_class|Smoke::tf_ptr },	//215
    { "QSslSocket*", 69, Smoke::t_class|Smoke::tf_ptr },	//216
    { "QSslSocket::PeerVerifyMode", 69, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QSslSocket::SslMode", 69, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//219
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//220
    { "QString::Null", 70, Smoke::t_class|Smoke::tf_stack },	//221
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//223
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//224
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//225
    { "QTcpServer*", 72, Smoke::t_class|Smoke::tf_ptr },	//226
    { "QTcpSocket*", 73, Smoke::t_class|Smoke::tf_ptr },	//227
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QTextStream&", 74, Smoke::t_class|Smoke::tf_ref },	//229
    { "QTextStream&(*)(QTextStream&)", 74, Smoke::t_class|Smoke::tf_ref },	//230
    { "QTextStream::NumberFlag", 74, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QTextStreamManipulator", 75, Smoke::t_class|Smoke::tf_stack },	//232
    { "QTime&", 76, Smoke::t_class|Smoke::tf_ref },	//233
    { "QTimerEvent*", 77, Smoke::t_class|Smoke::tf_ptr },	//234
    { "QUdpSocket*", 78, Smoke::t_class|Smoke::tf_ptr },	//235
    { "QUdpSocket::BindFlag", 78, Smoke::t_enum|Smoke::tf_stack },	//236
    { "QUrl", 79, Smoke::t_class|Smoke::tf_stack },	//237
    { "QUrl&", 79, Smoke::t_class|Smoke::tf_ref },	//238
    { "QUrl::FormattingOption", 79, Smoke::t_enum|Smoke::tf_stack },	//239
    { "QUrlInfo", 80, Smoke::t_class|Smoke::tf_stack },	//240
    { "QUrlInfo&", 80, Smoke::t_class|Smoke::tf_ref },	//241
    { "QUrlInfo*", 80, Smoke::t_class|Smoke::tf_ptr },	//242
    { "QUrlInfo::PermissionSpec", 80, Smoke::t_enum|Smoke::tf_stack },	//243
    { "QUuid&", 81, Smoke::t_class|Smoke::tf_ref },	//244
    { "QVariant", 82, Smoke::t_class|Smoke::tf_stack },	//245
    { "QVariant&", 82, Smoke::t_class|Smoke::tf_ref },	//246
    { "QVariant::Type", 82, Smoke::t_enum|Smoke::tf_stack },	//247
    { "QVariant::Type&", 82, Smoke::t_enum|Smoke::tf_ref },	//248
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//259
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//262
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//263
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//264
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//266
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//268
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//269
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//270
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//271
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//272
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//273
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//274
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//275
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//276
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//277
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//278
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//279
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//280
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//281
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//284
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//290
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "QtMsgType", 17, Smoke::t_enum|Smoke::tf_stack },	//323
    { "_LIB_VERSION_TYPE", 17, Smoke::t_enum|Smoke::tf_stack },	//324
    { "__codecvt_result", 17, Smoke::t_enum|Smoke::tf_stack },	//325
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//326
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//327
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//328
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//329
    { "const QAuthenticator&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//330
    { "const QBitArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//331
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//332
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//333
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//334
    { "const QDate&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//335
    { "const QDateTime&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//336
    { "const QDir&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//337
    { "const QEasingCurve&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//338
    { "const QHash<QNetworkRequest::Attribute,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//339
    { "const QHashDummyValue&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//340
    { "const QHostAddress&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//341
    { "const QHostInfo&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//342
    { "const QHttpHeader&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//343
    { "const QHttpPart&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//344
    { "const QHttpRequestHeader&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//345
    { "const QHttpResponseHeader&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//346
    { "const QIPv6Address&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//347
    { "const QLatin1String&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//348
    { "const QLine&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//349
    { "const QLineF&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//350
    { "const QList<QHostAddress>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//351
    { "const QList<QNetworkCookie>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//352
    { "const QList<QPair<QByteArray,QByteArray> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//353
    { "const QList<QPair<QString,QString> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//354
    { "const QList<QSslCertificate>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//355
    { "const QList<QSslCipher>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//356
    { "const QList<QSslError>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//357
    { "const QLocale&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//358
    { "const QMargins&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//359
    { "const QMetaObject&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//360
    { "const QMetaObject*", 37, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//361
    { "const QModelIndex&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//362
    { "const QNetworkAddressEntry&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//363
    { "const QNetworkCacheMetaData&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//364
    { "const QNetworkConfiguration&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//365
    { "const QNetworkCookie&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//366
    { "const QNetworkInterface&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//367
    { "const QNetworkProxy&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//368
    { "const QNetworkProxyFactory&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//369
    { "const QNetworkProxyQuery&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//370
    { "const QNetworkRequest&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//371
    { "const QObject*", 54, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//372
    { "const QPair<QHostAddress,int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//373
    { "const QPersistentModelIndex&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//374
    { "const QPoint", 56, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//375
    { "const QPoint&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//376
    { "const QPointF", 57, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//377
    { "const QPointF&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//378
    { "const QRect&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const QRectF&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//380
    { "const QRegExp&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//381
    { "const QRegExp*", 60, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//382
    { "const QSize", 61, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//383
    { "const QSize&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const QSizeF", 62, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//385
    { "const QSizeF&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const QSslCertificate&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const QSslCipher&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//388
    { "const QSslConfiguration&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const QSslError&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//390
    { "const QSslError::SslError&", 67, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//391
    { "const QSslKey&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//393
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//396
    { "const QStringRef&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const QTime&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const QUrl&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const QUrlInfo&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const QUuid&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const QVariant&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const QVariant::Type", 82, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//403
    { "const QVariantComparisonHelper&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//405
    { "const sockaddr*", 84, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//406
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//407
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//408
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//409
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//410
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//411
    { "int(*)(const void*,const void*)", 0, Smoke::t_int|Smoke::tf_stack },	//412
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//413
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//414
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//415
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//416
    { "qint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//417
    { "quint16", 0, Smoke::t_ushort|Smoke::tf_stack },	//418
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//419
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//420
    { "size_t", 0, Smoke::t_ulong|Smoke::tf_stack },	//421
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//422
    { "unsigned char&", 0, Smoke::t_voidp|Smoke::tf_ref },	//423
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//424
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//425
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//426
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//427
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//428
    { "unsigned short*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//429
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//430
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//431
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//432
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//433
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//434
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//435
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    405, 0,	//1  const char*
    405, 405, 0,	//3  const char*, const char*
    405, 405, 411, 0,	//6  const char*, const char*, int
    128, 411, 434, 0,	//10  QMetaObject::Call, int, void**
    399, 0,	//14  const QUrl&
    364, 0,	//16  const QNetworkCacheMetaData&
    99, 0,	//18  QIODevice*
    180, 0,	//20  QObject*
    8, 180, 0,	//22  QAbstractSocket::SocketType, QObject*
    394, 428, 38, 0,	//25  const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>
    341, 428, 38, 0,	//29  const QHostAddress&, unsigned short, QFlags<QIODevice::OpenModeFlag>
    416, 0,	//33  long long
    411, 7, 38, 0,	//35  int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>
    6, 402, 0,	//39  QAbstractSocket::SocketOption, const QVariant&
    6, 0,	//42  QAbstractSocket::SocketOption
    411, 0,	//44  int
    368, 0,	//46  const QNetworkProxy&
    7, 0,	//48  QAbstractSocket::SocketState
    5, 0,	//50  QAbstractSocket::SocketError
    368, 10, 0,	//52  const QNetworkProxy&, QAuthenticator*
    394, 418, 100, 0,	//55  const QString&, quint16, QIODevice::OpenMode
    329, 416, 0,	//59  char*, long long
    405, 416, 0,	//62  const char*, long long
    428, 0,	//65  unsigned short
    341, 0,	//67  const QHostAddress&
    394, 0,	//69  const QString&
    394, 428, 0,	//71  const QString&, unsigned short
    341, 428, 0,	//74  const QHostAddress&, unsigned short
    411, 7, 0,	//77  int, QAbstractSocket::SocketState
    394, 418, 0,	//80  const QString&, quint16
    330, 0,	//83  const QAuthenticator&
    394, 402, 0,	//85  const QString&, const QVariant&
    394, 394, 0,	//88  const QString&, const QString&
    71, 0,	//91  QFtp::TransferMode
    394, 99, 72, 0,	//93  const QString&, QIODevice*, QFtp::TransferType
    333, 394, 72, 0,	//97  const QByteArray&, const QString&, QFtp::TransferType
    99, 394, 72, 0,	//101  QIODevice*, const QString&, QFtp::TransferType
    400, 0,	//105  const QUrlInfo&
    417, 417, 0,	//107  qint64, qint64
    411, 394, 0,	//110  int, const QString&
    411, 326, 0,	//113  int, bool
    326, 0,	//116  bool
    394, 99, 0,	//118  const QString&, QIODevice*
    333, 394, 0,	//121  const QByteArray&, const QString&
    99, 394, 0,	//124  QIODevice*, const QString&
    397, 397, 0,	//127  const QStringRef&, const QStringRef&
    427, 0,	//130  unsigned long long
    409, 0,	//132  double
    228, 411, 0,	//134  QTextCodec::ConversionFlag, int
    280, 411, 0,	//137  Qt::ImageConversionFlag, int
    405, 425, 0,	//140  const char*, unsigned int
    433, 408, 421, 0,	//143  void*, const void*, size_t
    24, 38, 0,	//147  QDebug, QFlags<QIODevice::OpenModeFlag>
    24, 390, 0,	//150  QDebug, const QSslError&
    397, 394, 0,	//153  const QStringRef&, const QString&
    384, 384, 0,	//156  const QSize&, const QSize&
    405, 333, 0,	//159  const char*, const QByteArray&
    31, 37, 0,	//162  QFile::Permission, QFlags<QFile::Permission>
    378, 378, 0,	//165  const QPointF&, const QPointF&
    409, 409, 0,	//168  double, double
    20, 192, 0,	//171  QDataStream&, QSizeF&
    333, 405, 0,	//174  const QByteArray&, const char*
    410, 0,	//177  float
    420, 0,	//179  signed char
    161, 411, 0,	//181  QNetworkProxy::Capability, int
    394, 397, 0,	//184  const QString&, const QStringRef&
    16, 0,	//187  QChar
    397, 348, 0,	//189  const QStringRef&, const QLatin1String&
    16, 16, 0,	//192  QChar, QChar
    313, 313, 0,	//195  Qt::TouchPointState, Qt::TouchPointState
    333, 0,	//198  const QByteArray&
    24, 399, 0,	//200  QDebug, const QUrl&
    221, 394, 0,	//203  QString::Null, const QString&
    20, 341, 0,	//206  QDataStream&, const QHostAddress&
    310, 310, 0,	//209  Qt::ToolBarArea, Qt::ToolBarArea
    127, 127, 0,	//212  QLocale::NumberOption, QLocale::NumberOption
    320, 320, 0,	//215  Qt::WindowType, Qt::WindowType
    409, 386, 0,	//218  double, const QSizeF&
    25, 411, 0,	//221  QDir::Filter, int
    376, 376, 0,	//224  const QPoint&, const QPoint&
    20, 380, 0,	//227  QDataStream&, const QRectF&
    288, 411, 0,	//230  Qt::KeyboardModifier, int
    307, 62, 0,	//233  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    24, 7, 0,	//236  QDebug, QAbstractSocket::SocketState
    328, 0,	//239  char
    231, 48, 0,	//241  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    24, 359, 0,	//244  QDebug, const QMargins&
    239, 411, 0,	//247  QUrl::FormattingOption, int
    31, 411, 0,	//250  QFile::Permission, int
    376, 409, 0,	//253  const QPoint&, double
    27, 35, 0,	//256  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    20, 364, 0,	//259  QDataStream&, const QNetworkCacheMetaData&
    386, 386, 0,	//262  const QSizeF&, const QSizeF&
    24, 378, 0,	//265  QDebug, const QPointF&
    415, 411, 413, 413, 0,	//268  long double, int, int*, int*
    288, 58, 0,	//273  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    24, 350, 0,	//276  QDebug, const QLineF&
    24, 336, 0,	//279  QDebug, const QDateTime&
    24, 202, 0,	//282  QDebug, QSslCertificate::SubjectInfo
    161, 161, 0,	//285  QNetworkProxy::Capability, QNetworkProxy::Capability
    236, 49, 0,	//288  QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>
    239, 239, 0,	//291  QUrl::FormattingOption, QUrl::FormattingOption
    313, 64, 0,	//294  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    280, 280, 0,	//297  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    127, 411, 0,	//300  QLocale::NumberOption, int
    407, 411, 0,	//303  const unsigned char*, int
    405, 405, 425, 0,	//306  const char*, const char*, unsigned int
    161, 44, 0,	//310  QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>
    348, 397, 0,	//313  const QLatin1String&, const QStringRef&
    271, 271, 0,	//316  Qt::DropAction, Qt::DropAction
    147, 147, 0,	//319  QNetworkConfigurationManager::Capability, QNetworkConfigurationManager::Capability
    24, 376, 0,	//322  QDebug, const QPoint&
    20, 126, 0,	//325  QDataStream&, QLocale&
    394, 16, 0,	//328  const QString&, QChar
    221, 221, 0,	//331  QString::Null, QString::Null
    24, 125, 0,	//334  QDebug, QLocalSocket::LocalSocketState
    407, 424, 411, 0,	//337  const unsigned char*, unsigned char*, int
    228, 228, 0,	//341  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    295, 295, 0,	//344  Qt::Orientation, Qt::Orientation
    197, 45, 0,	//347  QSsl::SslOption, QFlags<QSsl::SslOption>
    433, 421, 421, 421, 0,	//350  void*, size_t, size_t, size_t
    425, 0,	//355  unsigned int
    310, 63, 0,	//357  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    379, 379, 0,	//360  const QRect&, const QRect&
    30, 36, 0,	//363  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    331, 331, 0,	//366  const QBitArray&, const QBitArray&
    333, 333, 0,	//369  const QByteArray&, const QByteArray&
    433, 421, 0,	//372  void*, size_t
    20, 358, 0,	//375  QDataStream&, const QLocale&
    24, 338, 0,	//378  QDebug, const QEasingCurve&
    432, 0,	//381  void(*)(QtMsgType,const char*)
    362, 0,	//383  const QModelIndex&
    20, 23, 0,	//385  QDataStream&, QDateTime&
    13, 13, 0,	//388  QBool, QBool
    405, 397, 0,	//391  const char*, const QStringRef&
    310, 411, 0,	//394  Qt::ToolBarArea, int
    282, 411, 0,	//397  Qt::InputMethodHint, int
    16, 394, 0,	//400  QChar, const QString&
    222, 411, 0,	//403  QString::SectionFlag, int
    106, 411, 0,	//406  QLibrary::LoadHint, int
    20, 238, 0,	//409  QDataStream&, QUrl&
    394, 221, 0,	//412  const QString&, QString::Null
    1, 411, 0,	//415  QAbstractFileEngine::FileFlag, int
    228, 47, 0,	//418  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    282, 56, 0,	//421  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    320, 66, 0,	//424  Qt::WindowType, QFlags<Qt::WindowType>
    293, 293, 0,	//427  Qt::MouseButton, Qt::MouseButton
    329, 405, 0,	//430  char*, const char*
    249, 249, 0,	//433  Qt::AlignmentFlag, Qt::AlignmentFlag
    376, 0,	//436  const QPoint&
    271, 411, 0,	//438  Qt::DropAction, int
    20, 398, 0,	//441  QDataStream&, const QTime&
    26, 411, 0,	//444  QDir::SortFlag, int
    359, 359, 0,	//447  const QMargins&, const QMargins&
    24, 366, 0,	//450  QDebug, const QNetworkCookie&
    24, 5, 0,	//453  QDebug, QAbstractSocket::SocketError
    181, 0,	//456  QObject*(*)()
    291, 291, 0,	//458  Qt::MatchFlag, Qt::MatchFlag
    421, 0,	//461  size_t
    269, 52, 0,	//463  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    20, 224, 0,	//466  QDataStream&, QStringList&
    24, 403, 0,	//469  QDebug, const QVariant::Type
    269, 411, 0,	//472  Qt::DockWidgetArea, int
    414, 0,	//475  long
    411, 376, 0,	//477  int, const QPoint&
    20, 108, 0,	//480  QDataStream&, QLineF&
    31, 31, 0,	//483  QFile::Permission, QFile::Permission
    20, 191, 0,	//486  QDataStream&, QSize&
    374, 0,	//489  const QPersistentModelIndex&
    20, 394, 0,	//491  QDataStream&, const QString&
    20, 336, 0,	//494  QDataStream&, const QDateTime&
    372, 394, 360, 0,	//497  const QObject*, const QString&, const QMetaObject&
    222, 222, 0,	//501  QString::SectionFlag, QString::SectionFlag
    378, 409, 0,	//504  const QPointF&, double
    326, 13, 0,	//507  bool, QBool
    20, 137, 0,	//510  QDataStream&, QNetworkCacheMetaData&
    329, 405, 425, 0,	//513  char*, const char*, unsigned int
    147, 411, 0,	//517  QNetworkConfigurationManager::Capability, int
    20, 76, 0,	//520  QDataStream&, QHostAddress&
    20, 376, 0,	//523  QDataStream&, const QPoint&
    20, 246, 0,	//526  QDataStream&, QVariant&
    293, 411, 0,	//529  Qt::MouseButton, int
    378, 0,	//532  const QPointF&
    157, 43, 0,	//534  QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>
    24, 374, 0,	//537  QDebug, const QPersistentModelIndex&
    405, 405, 405, 411, 0,	//540  const char*, const char*, const char*, int
    410, 376, 0,	//545  float, const QPoint&
    295, 61, 0,	//548  Qt::Orientation, QFlags<Qt::Orientation>
    24, 367, 0,	//551  QDebug, const QNetworkInterface&
    236, 411, 0,	//554  QUdpSocket::BindFlag, int
    30, 411, 0,	//557  QEventLoop::ProcessEventsFlag, int
    380, 380, 0,	//560  const QRectF&, const QRectF&
    280, 55, 0,	//563  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    24, 124, 0,	//566  QDebug, QLocalSocket::LocalSocketError
    20, 395, 0,	//569  QDataStream&, const QStringList&
    333, 328, 0,	//572  const QByteArray&, char
    27, 27, 0,	//575  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    25, 33, 0,	//578  QDir::Filter, QFlags<QDir::Filter>
    20, 185, 0,	//581  QDataStream&, QPoint&
    386, 409, 0,	//584  const QSizeF&, double
    20, 335, 0,	//587  QDataStream&, const QDate&
    431, 0,	//590  void(*)()
    407, 411, 411, 0,	//592  const unsigned char*, int, int
    20, 349, 0,	//596  QDataStream&, const QLine&
    20, 220, 0,	//599  QDataStream&, QString&
    24, 341, 0,	//602  QDebug, const QHostAddress&
    433, 0,	//605  void*
    285, 411, 0,	//607  Qt::ItemFlag, int
    24, 337, 0,	//610  QDebug, const QDir&
    229, 230, 0,	//613  QTextStream&, QTextStream&(*)(QTextStream&)
    24, 362, 0,	//616  QDebug, const QModelIndex&
    24, 387, 0,	//619  QDebug, const QSslCertificate&
    30, 30, 0,	//622  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    331, 0,	//625  const QBitArray&
    24, 398, 0,	//627  QDebug, const QTime&
    229, 232, 0,	//630  QTextStream&, QTextStreamManipulator
    276, 54, 0,	//633  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    397, 405, 0,	//636  const QStringRef&, const char*
    78, 341, 0,	//639  QHostAddress::SpecialAddress, const QHostAddress&
    20, 12, 0,	//642  QDataStream&, QBitArray&
    421, 421, 0,	//645  size_t, size_t
    415, 411, 413, 413, 329, 421, 0,	//648  long double, int, int*, int*, char*, size_t
    24, 386, 0,	//655  QDebug, const QSizeF&
    276, 411, 0,	//658  Qt::GestureFlag, int
    328, 333, 0,	//661  char, const QByteArray&
    20, 402, 0,	//664  QDataStream&, const QVariant&
    24, 402, 0,	//667  QDebug, const QVariant&
    319, 411, 0,	//670  Qt::WindowState, int
    20, 233, 0,	//673  QDataStream&, QTime&
    24, 33, 0,	//676  QDebug, QFlags<QDir::Filter>
    288, 288, 0,	//679  Qt::KeyboardModifier, Qt::KeyboardModifier
    409, 378, 0,	//682  double, const QPointF&
    20, 28, 0,	//685  QDataStream&, QEasingCurve&
    271, 53, 0,	//688  Qt::DropAction, QFlags<Qt::DropAction>
    384, 409, 0,	//691  const QSize&, double
    24, 335, 0,	//694  QDebug, const QDate&
    25, 25, 0,	//697  QDir::Filter, QDir::Filter
    329, 421, 405, 430, 0,	//700  char*, size_t, const char*, va_list
    409, 376, 0,	//705  double, const QPoint&
    433, 411, 421, 0,	//708  void*, int, size_t
    20, 350, 0,	//712  QDataStream&, const QLineF&
    405, 411, 0,	//715  const char*, int
    419, 0,	//718  short
    101, 101, 0,	//720  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    269, 269, 0,	//723  Qt::DockWidgetArea, Qt::DockWidgetArea
    26, 34, 0,	//726  QDir::SortFlag, QFlags<QDir::SortFlag>
    157, 411, 0,	//729  QNetworkInterface::InterfaceFlag, int
    410, 410, 0,	//732  float, float
    402, 404, 0,	//735  const QVariant&, const QVariantComparisonHelper&
    106, 106, 0,	//738  QLibrary::LoadHint, QLibrary::LoadHint
    415, 411, 329, 0,	//741  long double, int, char*
    433, 421, 421, 412, 0,	//745  void*, size_t, size_t, int(*)(const void*,const void*)
    236, 236, 0,	//750  QUdpSocket::BindFlag, QUdpSocket::BindFlag
    27, 411, 0,	//753  QDirIterator::IteratorFlag, int
    282, 282, 0,	//756  Qt::InputMethodHint, Qt::InputMethodHint
    197, 411, 0,	//759  QSsl::SslOption, int
    24, 349, 0,	//762  QDebug, const QLine&
    307, 307, 0,	//765  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    313, 411, 0,	//768  Qt::TouchPointState, int
    333, 411, 0,	//771  const QByteArray&, int
    239, 50, 0,	//774  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    307, 411, 0,	//777  Qt::TextInteractionFlag, int
    319, 319, 0,	//780  Qt::WindowState, Qt::WindowState
    1, 32, 0,	//783  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    24, 391, 0,	//786  QDebug, const QSslError::SslError&
    197, 197, 0,	//789  QSsl::SslOption, QSsl::SslOption
    20, 333, 0,	//792  QDataStream&, const QByteArray&
    20, 338, 0,	//795  QDataStream&, const QEasingCurve&
    20, 399, 0,	//798  QDataStream&, const QUrl&
    24, 379, 0,	//801  QDebug, const QRect&
    26, 26, 0,	//804  QDir::SortFlag, QDir::SortFlag
    231, 411, 0,	//807  QTextStream::NumberFlag, int
    20, 187, 0,	//810  QDataStream&, QRect&
    20, 384, 0,	//813  QDataStream&, const QSize&
    20, 334, 0,	//816  QDataStream&, const QChar&
    249, 411, 0,	//819  Qt::AlignmentFlag, int
    20, 381, 0,	//822  QDataStream&, const QRegExp&
    24, 380, 0,	//825  QDebug, const QRectF&
    319, 65, 0,	//828  Qt::WindowState, QFlags<Qt::WindowState>
    285, 285, 0,	//831  Qt::ItemFlag, Qt::ItemFlag
    20, 244, 0,	//834  QDataStream&, QUuid&
    376, 411, 0,	//837  const QPoint&, int
    20, 248, 0,	//840  QDataStream&, QVariant::Type&
    402, 247, 433, 0,	//843  const QVariant&, QVariant::Type, void*
    372, 394, 382, 360, 121, 0,	//847  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    340, 340, 0,	//853  const QHashDummyValue&, const QHashDummyValue&
    20, 186, 0,	//856  QDataStream&, QPointF&
    295, 411, 0,	//859  Qt::Orientation, int
    276, 276, 0,	//862  Qt::GestureFlag, Qt::GestureFlag
    101, 38, 0,	//865  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    376, 410, 0,	//868  const QPoint&, float
    409, 384, 0,	//871  double, const QSize&
    24, 392, 0,	//874  QDebug, const QSslKey&
    13, 326, 0,	//877  QBool, bool
    20, 107, 0,	//880  QDataStream&, QLine&
    24, 384, 0,	//883  QDebug, const QSize&
    231, 231, 0,	//886  QTextStream::NumberFlag, QTextStream::NumberFlag
    293, 60, 0,	//889  Qt::MouseButton, QFlags<Qt::MouseButton>
    20, 403, 0,	//892  QDataStream&, const QVariant::Type
    285, 57, 0,	//895  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    20, 401, 0,	//898  QDataStream&, const QUuid&
    106, 39, 0,	//901  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    320, 411, 0,	//904  Qt::WindowType, int
    157, 157, 0,	//907  QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag
    20, 188, 0,	//910  QDataStream&, QRectF&
    20, 379, 0,	//913  QDataStream&, const QRect&
    291, 59, 0,	//916  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    249, 51, 0,	//919  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    24, 388, 0,	//922  QDebug, const QSslCipher&
    20, 17, 0,	//925  QDataStream&, QChar&
    20, 189, 0,	//928  QDataStream&, QRegExp&
    426, 0,	//931  unsigned long
    20, 378, 0,	//933  QDataStream&, const QPointF&
    20, 386, 0,	//936  QDataStream&, const QSizeF&
    127, 40, 0,	//939  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    222, 46, 0,	//942  QString::SectionFlag, QFlags<QString::SectionFlag>
    1, 1, 0,	//945  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    323, 405, 0,	//948  QtMsgType, const char*
    147, 42, 0,	//951  QNetworkConfigurationManager::Capability, QFlags<QNetworkConfigurationManager::Capability>
    397, 0,	//954  const QStringRef&
    101, 411, 0,	//956  QIODevice::OpenModeFlag, int
    422, 0,	//959  unsigned char
    20, 15, 0,	//961  QDataStream&, QByteArray&
    24, 372, 0,	//964  QDebug, const QObject*
    291, 411, 0,	//967  Qt::MatchFlag, int
    20, 21, 0,	//970  QDataStream&, QDate&
    20, 331, 0,	//973  QDataStream&, const QBitArray&
    424, 0,	//976  unsigned char*
    347, 0,	//978  const QIPv6Address&
    406, 0,	//980  const sockaddr*
    78, 0,	//982  QHostAddress::SpecialAddress
    341, 411, 0,	//984  const QHostAddress&, int
    373, 0,	//987  const QPair<QHostAddress,int>&
    342, 0,	//989  const QHostInfo&
    351, 0,	//991  const QList<QHostAddress>&
    82, 0,	//993  QHostInfo::HostInfoError
    394, 180, 405, 0,	//995  const QString&, QObject*, const char*
    394, 428, 180, 0,	//999  const QString&, unsigned short, QObject*
    394, 84, 428, 180, 0,	//1003  const QString&, QHttp::ConnectionMode, unsigned short, QObject*
    394, 84, 428, 0,	//1008  const QString&, QHttp::ConnectionMode, unsigned short
    227, 0,	//1012  QTcpSocket*
    394, 411, 394, 394, 0,	//1014  const QString&, int, const QString&, const QString&
    394, 99, 99, 0,	//1019  const QString&, QIODevice*, QIODevice*
    394, 333, 99, 0,	//1023  const QString&, const QByteArray&, QIODevice*
    345, 99, 99, 0,	//1027  const QHttpRequestHeader&, QIODevice*, QIODevice*
    345, 333, 99, 0,	//1031  const QHttpRequestHeader&, const QByteArray&, QIODevice*
    346, 0,	//1035  const QHttpResponseHeader&
    411, 411, 0,	//1037  int, int
    394, 418, 10, 0,	//1040  const QString&, quint16, QAuthenticator*
    357, 0,	//1044  const QList<QSslError>&
    394, 84, 0,	//1046  const QString&, QHttp::ConnectionMode
    394, 411, 0,	//1049  const QString&, int
    394, 411, 394, 0,	//1052  const QString&, int, const QString&
    394, 333, 0,	//1056  const QString&, const QByteArray&
    345, 0,	//1059  const QHttpRequestHeader&
    345, 99, 0,	//1061  const QHttpRequestHeader&, QIODevice*
    345, 333, 0,	//1064  const QHttpRequestHeader&, const QByteArray&
    343, 0,	//1067  const QHttpHeader&
    354, 0,	//1069  const QList<QPair<QString,QString> >&
    90, 180, 0,	//1071  QHttpMultiPart::ContentType, QObject*
    344, 0,	//1074  const QHttpPart&
    90, 0,	//1076  QHttpMultiPart::ContentType
    174, 402, 0,	//1078  QNetworkRequest::KnownHeaders, const QVariant&
    394, 394, 411, 411, 0,	//1081  const QString&, const QString&, int, int
    394, 394, 411, 0,	//1086  const QString&, const QString&, int
    411, 394, 411, 411, 0,	//1090  int, const QString&, int, int
    411, 394, 411, 0,	//1095  int, const QString&, int
    38, 0,	//1099  QFlags<QIODevice::OpenModeFlag>
    411, 327, 0,	//1101  int, bool*
    105, 0,	//1104  QIntegerForSizeof< void* >::Unsigned
    394, 38, 0,	//1106  const QString&, QFlags<QIODevice::OpenModeFlag>
    105, 125, 38, 0,	//1109  QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState, QFlags<QIODevice::OpenModeFlag>
    124, 0,	//1113  QLocalSocket::LocalSocketError
    125, 0,	//1115  QLocalSocket::LocalSocketState
    105, 125, 0,	//1117  QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState
    163, 0,	//1120  QNetworkProxyFactory*
    2, 0,	//1122  QAbstractNetworkCache*
    152, 0,	//1124  QNetworkCookieJar*
    371, 0,	//1126  const QNetworkRequest&
    371, 99, 0,	//1128  const QNetworkRequest&, QIODevice*
    371, 333, 0,	//1131  const QNetworkRequest&, const QByteArray&
    371, 89, 0,	//1134  const QNetworkRequest&, QHttpMultiPart*
    371, 333, 99, 0,	//1137  const QNetworkRequest&, const QByteArray&, QIODevice*
    365, 0,	//1141  const QNetworkConfiguration&
    131, 0,	//1143  QNetworkAccessManager::NetworkAccessibility
    167, 10, 0,	//1145  QNetworkReply*, QAuthenticator*
    167, 0,	//1148  QNetworkReply*
    167, 357, 0,	//1150  QNetworkReply*, const QList<QSslError>&
    132, 371, 99, 0,	//1153  QNetworkAccessManager::Operation, const QNetworkRequest&, QIODevice*
    132, 371, 0,	//1157  QNetworkAccessManager::Operation, const QNetworkRequest&
    363, 0,	//1160  const QNetworkAddressEntry&
    353, 0,	//1162  const QList<QPair<QByteArray,QByteArray> >&
    336, 0,	//1164  const QDateTime&
    339, 0,	//1166  const QHash<QNetworkRequest::Attribute,QVariant>&
    41, 0,	//1168  QFlags<QNetworkConfiguration::StateFlag>
    366, 0,	//1170  const QNetworkCookie&
    151, 0,	//1172  QNetworkCookie::RawForm
    352, 399, 0,	//1174  const QList<QNetworkCookie>&, const QUrl&
    352, 0,	//1177  const QList<QNetworkCookie>&
    367, 0,	//1179  const QNetworkInterface&
    162, 394, 428, 394, 394, 0,	//1181  QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&, const QString&
    162, 0,	//1187  QNetworkProxy::ProxyType
    44, 0,	//1189  QFlags<QNetworkProxy::Capability>
    162, 394, 0,	//1191  QNetworkProxy::ProxyType, const QString&
    162, 394, 428, 0,	//1194  QNetworkProxy::ProxyType, const QString&, unsigned short
    162, 394, 428, 394, 0,	//1198  QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&
    370, 0,	//1203  const QNetworkProxyQuery&
    369, 0,	//1205  const QNetworkProxyFactory&
    399, 166, 0,	//1207  const QUrl&, QNetworkProxyQuery::QueryType
    394, 411, 394, 166, 0,	//1210  const QString&, int, const QString&, QNetworkProxyQuery::QueryType
    428, 394, 166, 0,	//1215  unsigned short, const QString&, QNetworkProxyQuery::QueryType
    365, 399, 166, 0,	//1219  const QNetworkConfiguration&, const QUrl&, QNetworkProxyQuery::QueryType
    365, 394, 411, 394, 166, 0,	//1223  const QNetworkConfiguration&, const QString&, int, const QString&, QNetworkProxyQuery::QueryType
    365, 428, 394, 166, 0,	//1229  const QNetworkConfiguration&, unsigned short, const QString&, QNetworkProxyQuery::QueryType
    166, 0,	//1234  QNetworkProxyQuery::QueryType
    428, 394, 0,	//1236  unsigned short, const QString&
    365, 399, 0,	//1239  const QNetworkConfiguration&, const QUrl&
    365, 394, 411, 0,	//1242  const QNetworkConfiguration&, const QString&, int
    365, 394, 411, 394, 0,	//1246  const QNetworkConfiguration&, const QString&, int, const QString&
    365, 428, 0,	//1251  const QNetworkConfiguration&, unsigned short
    365, 428, 394, 0,	//1254  const QNetworkConfiguration&, unsigned short, const QString&
    174, 0,	//1258  QNetworkRequest::KnownHeaders
    172, 0,	//1260  QNetworkRequest::Attribute
    389, 0,	//1262  const QSslConfiguration&
    168, 0,	//1264  QNetworkReply::NetworkError
    132, 0,	//1266  QNetworkAccessManager::Operation
    168, 394, 0,	//1268  QNetworkReply::NetworkError, const QString&
    172, 402, 0,	//1271  QNetworkRequest::Attribute, const QVariant&
    176, 0,	//1274  QNetworkRequest::Priority
    365, 180, 0,	//1276  const QNetworkConfiguration&, QObject*
    179, 0,	//1279  QNetworkSession::State
    178, 0,	//1281  QNetworkSession::SessionError
    365, 326, 0,	//1283  const QNetworkConfiguration&, bool
    29, 0,	//1286  QEvent*
    180, 29, 0,	//1288  QObject*, QEvent*
    234, 0,	//1291  QTimerEvent*
    18, 0,	//1293  QChildEvent*
    99, 194, 0,	//1295  QIODevice*, QSsl::EncodingFormat
    333, 194, 0,	//1298  const QByteArray&, QSsl::EncodingFormat
    387, 0,	//1301  const QSslCertificate&
    19, 0,	//1303  QCryptographicHash::Algorithm
    202, 0,	//1305  QSslCertificate::SubjectInfo
    394, 194, 190, 0,	//1307  const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax
    394, 194, 0,	//1311  const QString&, QSsl::EncodingFormat
    394, 198, 0,	//1314  const QString&, QSsl::SslProtocol
    388, 0,	//1317  const QSslCipher&
    198, 0,	//1319  QSsl::SslProtocol
    217, 0,	//1321  QSslSocket::PeerVerifyMode
    392, 0,	//1323  const QSslKey&
    356, 0,	//1325  const QList<QSslCipher>&
    355, 0,	//1327  const QList<QSslCertificate>&
    197, 326, 0,	//1329  QSsl::SslOption, bool
    197, 0,	//1332  QSsl::SslOption
    212, 0,	//1334  QSslError::SslError
    212, 387, 0,	//1336  QSslError::SslError, const QSslCertificate&
    390, 0,	//1339  const QSslError&
    333, 195, 194, 196, 333, 0,	//1341  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&
    99, 195, 194, 196, 333, 0,	//1347  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&
    333, 195, 0,	//1353  const QByteArray&, QSsl::KeyAlgorithm
    333, 195, 194, 0,	//1356  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    333, 195, 194, 196, 0,	//1360  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType
    99, 195, 0,	//1365  QIODevice*, QSsl::KeyAlgorithm
    99, 195, 194, 0,	//1368  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    99, 195, 194, 196, 0,	//1372  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType
    394, 428, 394, 38, 0,	//1377  const QString&, unsigned short, const QString&, QFlags<QIODevice::OpenModeFlag>
    394, 195, 194, 333, 0,	//1382  const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, const QByteArray&
    218, 0,	//1387  QSslSocket::SslMode
    417, 0,	//1389  qint64
    394, 428, 394, 0,	//1391  const QString&, unsigned short, const QString&
    394, 195, 0,	//1395  const QString&, QSsl::KeyAlgorithm
    394, 195, 194, 0,	//1398  const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    341, 428, 49, 0,	//1402  const QHostAddress&, unsigned short, QFlags<QUdpSocket::BindFlag>
    428, 49, 0,	//1406  unsigned short, QFlags<QUdpSocket::BindFlag>
    341, 367, 0,	//1409  const QHostAddress&, const QNetworkInterface&
    329, 416, 77, 429, 0,	//1412  char*, long long, QHostAddress*, unsigned short*
    405, 416, 341, 428, 0,	//1417  const char*, long long, const QHostAddress&, unsigned short
    333, 341, 428, 0,	//1422  const QByteArray&, const QHostAddress&, unsigned short
    329, 416, 77, 0,	//1426  char*, long long, QHostAddress*
    394, 411, 394, 394, 416, 336, 336, 326, 326, 326, 326, 326, 326, 0,	//1430  const QString&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool
    399, 411, 394, 394, 416, 336, 336, 326, 326, 326, 326, 326, 326, 0,	//1444  const QUrl&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool
    400, 400, 411, 0,	//1458  const QUrlInfo&, const QUrlInfo&, int
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Aborted",	//1
    "Accessible",	//2
    "Active",	//3
    "AddressInUseError",	//4
    "AlternativeType",	//5
    "AlwaysCache",	//6
    "AlwaysNetwork",	//7
    "Any",	//8
    "AnyIPv6",	//9
    "AnyProtocol",	//10
    "Append",	//11
    "ApplicationLevelRoaming",	//12
    "Ascii",	//13
    "AuthenticationRequiredError",	//14
    "AuthenticationReuseAttribute",	//15
    "AuthorityIssuerSerialNumberMismatch",	//16
    "AutoVerifyPeer",	//17
    "Automatic",	//18
    "Bearer2G",	//19
    "BearerBluetooth",	//20
    "BearerCDMA2000",	//21
    "BearerEthernet",	//22
    "BearerHSPA",	//23
    "BearerUnknown",	//24
    "BearerWCDMA",	//25
    "BearerWLAN",	//26
    "BearerWiMAX",	//27
    "Binary",	//28
    "BoundState",	//29
    "Broadcast",	//30
    "CacheLoadControlAttribute",	//31
    "CacheSaveControlAttribute",	//32
    "CachingCapability",	//33
    "CanBroadcast",	//34
    "CanMulticast",	//35
    "CanStartAndStopInterfaces",	//36
    "Cd",	//37
    "CertificateBlacklisted",	//38
    "CertificateExpired",	//39
    "CertificateNotYetValid",	//40
    "CertificateRejected",	//41
    "CertificateRevoked",	//42
    "CertificateSignatureFailed",	//43
    "CertificateUntrusted",	//44
    "Close",	//45
    "Closing",	//46
    "ClosingState",	//47
    "CommonName",	//48
    "ConnectToHost",	//49
    "Connected",	//50
    "ConnectedState",	//51
    "Connecting",	//52
    "ConnectingState",	//53
    "ConnectionEncryptedAttribute",	//54
    "ConnectionError",	//55
    "ConnectionModeHttp",	//56
    "ConnectionModeHttps",	//57
    "ConnectionRefused",	//58
    "ConnectionRefusedError",	//59
    "ContentAccessDenied",	//60
    "ContentDispositionHeader",	//61
    "ContentLengthHeader",	//62
    "ContentNotFoundError",	//63
    "ContentOperationNotPermittedError",	//64
    "ContentReSendError",	//65
    "ContentTypeHeader",	//66
    "CookieHeader",	//67
    "CookieLoadControlAttribute",	//68
    "CookieSaveControlAttribute",	//69
    "CountryName",	//70
    "CustomOperation",	//71
    "CustomVerbAttribute",	//72
    "DataStatistics",	//73
    "DatagramTooLargeError",	//74
    "DefaultForPlatform",	//75
    "DefaultProxy",	//76
    "Defined",	//77
    "DeleteOperation",	//78
    "Der",	//79
    "DirectConnectionRouting",	//80
    "Disconnected",	//81
    "Discovered",	//82
    "DnsEntry",	//83
    "DoNotBufferUploadDataAttribute",	//84
    "DontShareAddress",	//85
    "DownloadBufferAttribute",	//86
    "Dsa",	//87
    "EmailEntry",	//88
    "ExeGroup",	//89
    "ExeOther",	//90
    "ExeOwner",	//91
    "ForcedRoaming",	//92
    "FormDataType",	//93
    "FtpCachingProxy",	//94
    "Full",	//95
    "Get",	//96
    "GetOperation",	//97
    "HeadOperation",	//98
    "HighPriority",	//99
    "HostLookup",	//100
    "HostLookupState",	//101
    "HostNameLookupCapability",	//102
    "HostNameMismatch",	//103
    "HostNotFound",	//104
    "HostNotFoundError",	//105
    "HttpCachingProxy",	//106
    "HttpPipeliningAllowedAttribute",	//107
    "HttpPipeliningWasUsedAttribute",	//108
    "HttpProxy",	//109
    "HttpReasonPhraseAttribute",	//110
    "HttpStatusCodeAttribute",	//111
    "IPv4Protocol",	//112
    "IPv6Protocol",	//113
    "InternetAccessPoint",	//114
    "Invalid",	//115
    "InvalidCaCertificate",	//116
    "InvalidConfigurationError",	//117
    "InvalidNotAfterField",	//118
    "InvalidNotBeforeField",	//119
    "InvalidPurpose",	//120
    "InvalidResponseHeader",	//121
    "IsLoopBack",	//122
    "IsPointToPoint",	//123
    "IsRunning",	//124
    "IsUp",	//125
    "KeepAliveOption",	//126
    "LastModifiedHeader",	//127
    "List",	//128
    "ListeningCapability",	//129
    "ListeningState",	//130
    "LocalHost",	//131
    "LocalHostIPv6",	//132
    "LocalityName",	//133
    "LocationHeader",	//134
    "LoggedIn",	//135
    "Login",	//136
    "LowDelayOption",	//137
    "LowPriority",	//138
    "Manual",	//139
    "MaximumDownloadBufferSizeAttribute",	//140
    "MixedType",	//141
    "Mkdir",	//142
    "MulticastLoopbackOption",	//143
    "MulticastTtlOption",	//144
    "NameAndValueOnly",	//145
    "NetworkError",	//146
    "NetworkSessionRequired",	//147
    "NoError",	//148
    "NoPeerCertificate",	//149
    "NoProxy",	//150
    "NoSslSupport",	//151
    "None",	//152
    "NormalPriority",	//153
    "NotAccessible",	//154
    "NotAvailable",	//155
    "NotConnected",	//156
    "NotOpen",	//157
    "Null",	//158
    "OperationCanceledError",	//159
    "OperationNotSupportedError",	//160
    "Organization",	//161
    "OrganizationalUnitName",	//162
    "Passive",	//163
    "PathLengthExceeded",	//164
    "PeerClosedError",	//165
    "Pem",	//166
    "PostOperation",	//167
    "PreferCache",	//168
    "PreferNetwork",	//169
    "PrivateKey",	//170
    "PrivatePurpose",	//171
    "ProtocolFailure",	//172
    "ProtocolInvalidOperationError",	//173
    "ProtocolUnknownError",	//174
    "ProxyAuthenticationRequiredError",	//175
    "ProxyConnectionClosedError",	//176
    "ProxyConnectionRefusedError",	//177
    "ProxyConnectionTimeoutError",	//178
    "ProxyNotFoundError",	//179
    "ProxyProtocolError",	//180
    "ProxyTimeoutError",	//181
    "PublicKey",	//182
    "PublicPurpose",	//183
    "Put",	//184
    "PutOperation",	//185
    "QAbstractNetworkCache",	//186
    "QAbstractNetworkCache#",	//187
    "QAbstractSocket",	//188
    "QAbstractSocket$#",	//189
    "QAuthenticator",	//190
    "QAuthenticator#",	//191
    "QFtp",	//192
    "QFtp#",	//193
    "QHostAddress",	//194
    "QHostAddress#",	//195
    "QHostAddress$",	//196
    "QHostInfo",	//197
    "QHostInfo#",	//198
    "QHostInfo$",	//199
    "QHttp",	//200
    "QHttp#",	//201
    "QHttp$",	//202
    "QHttp$$",	//203
    "QHttp$$#",	//204
    "QHttp$$$",	//205
    "QHttp$$$#",	//206
    "QHttpHeader",	//207
    "QHttpHeader#",	//208
    "QHttpHeader$",	//209
    "QHttpMultiPart",	//210
    "QHttpMultiPart#",	//211
    "QHttpMultiPart$",	//212
    "QHttpMultiPart$#",	//213
    "QHttpPart",	//214
    "QHttpPart#",	//215
    "QHttpRequestHeader",	//216
    "QHttpRequestHeader#",	//217
    "QHttpRequestHeader$",	//218
    "QHttpRequestHeader$$",	//219
    "QHttpRequestHeader$$$",	//220
    "QHttpRequestHeader$$$$",	//221
    "QHttpResponseHeader",	//222
    "QHttpResponseHeader#",	//223
    "QHttpResponseHeader$",	//224
    "QHttpResponseHeader$$",	//225
    "QHttpResponseHeader$$$",	//226
    "QHttpResponseHeader$$$$",	//227
    "QIPv6Address",	//228
    "QIPv6Address#",	//229
    "QLocalServer",	//230
    "QLocalServer#",	//231
    "QLocalSocket",	//232
    "QLocalSocket#",	//233
    "QNetworkAccessManager",	//234
    "QNetworkAccessManager#",	//235
    "QNetworkAddressEntry",	//236
    "QNetworkAddressEntry#",	//237
    "QNetworkCacheMetaData",	//238
    "QNetworkCacheMetaData#",	//239
    "QNetworkConfiguration",	//240
    "QNetworkConfiguration#",	//241
    "QNetworkConfigurationManager",	//242
    "QNetworkConfigurationManager#",	//243
    "QNetworkCookie",	//244
    "QNetworkCookie#",	//245
    "QNetworkCookie##",	//246
    "QNetworkCookieJar",	//247
    "QNetworkCookieJar#",	//248
    "QNetworkDiskCache",	//249
    "QNetworkDiskCache#",	//250
    "QNetworkInterface",	//251
    "QNetworkInterface#",	//252
    "QNetworkProxy",	//253
    "QNetworkProxy#",	//254
    "QNetworkProxy$",	//255
    "QNetworkProxy$$",	//256
    "QNetworkProxy$$$",	//257
    "QNetworkProxy$$$$",	//258
    "QNetworkProxy$$$$$",	//259
    "QNetworkProxyFactory",	//260
    "QNetworkProxyFactory#",	//261
    "QNetworkProxyQuery",	//262
    "QNetworkProxyQuery#",	//263
    "QNetworkProxyQuery##",	//264
    "QNetworkProxyQuery##$",	//265
    "QNetworkProxyQuery#$",	//266
    "QNetworkProxyQuery#$$",	//267
    "QNetworkProxyQuery#$$$",	//268
    "QNetworkProxyQuery#$$$$",	//269
    "QNetworkProxyQuery$",	//270
    "QNetworkProxyQuery$$",	//271
    "QNetworkProxyQuery$$$",	//272
    "QNetworkProxyQuery$$$$",	//273
    "QNetworkReply",	//274
    "QNetworkReply#",	//275
    "QNetworkRequest",	//276
    "QNetworkRequest#",	//277
    "QNetworkSession",	//278
    "QNetworkSession#",	//279
    "QNetworkSession##",	//280
    "QSslCertificate",	//281
    "QSslCertificate#",	//282
    "QSslCertificate#$",	//283
    "QSslCipher",	//284
    "QSslCipher#",	//285
    "QSslCipher$$",	//286
    "QSslConfiguration",	//287
    "QSslConfiguration#",	//288
    "QSslError",	//289
    "QSslError#",	//290
    "QSslError$",	//291
    "QSslError$#",	//292
    "QSslKey",	//293
    "QSslKey#",	//294
    "QSslKey#$",	//295
    "QSslKey#$$",	//296
    "QSslKey#$$$",	//297
    "QSslKey#$$$#",	//298
    "QSslSocket",	//299
    "QSslSocket#",	//300
    "QTcpServer",	//301
    "QTcpServer#",	//302
    "QTcpSocket",	//303
    "QTcpSocket#",	//304
    "QUdpSocket",	//305
    "QUdpSocket#",	//306
    "QUrlInfo",	//307
    "QUrlInfo#",	//308
    "QUrlInfo#$$$$##$$$$$$",	//309
    "QUrlInfo$$$$$##$$$$$$",	//310
    "QtCriticalMsg",	//311
    "QtDebugMsg",	//312
    "QtFatalMsg",	//313
    "QtSystemMsg",	//314
    "QtWarningMsg",	//315
    "QueryPeer",	//316
    "RawCommand",	//317
    "ReadGroup",	//318
    "ReadOnly",	//319
    "ReadOther",	//320
    "ReadOwner",	//321
    "ReadWrite",	//322
    "Reading",	//323
    "RedirectionTargetAttribute",	//324
    "RelatedType",	//325
    "RemoteHostClosedError",	//326
    "Remove",	//327
    "Rename",	//328
    "ReuseAddressHint",	//329
    "Rmdir",	//330
    "Roaming",	//331
    "RoamingError",	//332
    "Rsa",	//333
    "SecureProtocols",	//334
    "SelfSignedCertificate",	//335
    "SelfSignedCertificateInChain",	//336
    "Sending",	//337
    "ServerNotFoundError",	//338
    "ServiceNetwork",	//339
    "ServiceSpecificPurpose",	//340
    "SessionAbortedError",	//341
    "SetCookieHeader",	//342
    "SetProxy",	//343
    "SetTransferMode",	//344
    "ShareAddress",	//345
    "SocketAccessError",	//346
    "SocketAddressNotAvailableError",	//347
    "SocketResourceError",	//348
    "SocketTimeoutError",	//349
    "Socks5Proxy",	//350
    "SourceIsFromCacheAttribute",	//351
    "SslClientMode",	//352
    "SslHandshakeFailedError",	//353
    "SslOptionDisableCompression",	//354
    "SslOptionDisableEmptyFragments",	//355
    "SslOptionDisableLegacyRenegotiation",	//356
    "SslOptionDisableServerNameIndication",	//357
    "SslOptionDisableSessionTickets",	//358
    "SslServerMode",	//359
    "SslV2",	//360
    "SslV3",	//361
    "StateOrProvinceName",	//362
    "SubjectIssuerMismatch",	//363
    "SynchronousRequestAttribute",	//364
    "SystemSessionSupport",	//365
    "TcpServer",	//366
    "TcpSocket",	//367
    "TemporaryNetworkFailureError",	//368
    "Text",	//369
    "TimeoutError",	//370
    "TlsV1",	//371
    "TlsV1SslV3",	//372
    "Truncate",	//373
    "TunnelingCapability",	//374
    "UdpSocket",	//375
    "UdpTunnelingCapability",	//376
    "UnableToDecodeIssuerPublicKey",	//377
    "UnableToDecryptCertificateSignature",	//378
    "UnableToGetIssuerCertificate",	//379
    "UnableToGetLocalIssuerCertificate",	//380
    "UnableToVerifyFirstCertificate",	//381
    "Unbuffered",	//382
    "Unconnected",	//383
    "UnconnectedState",	//384
    "Undefined",	//385
    "UnencryptedMode",	//386
    "UnexpectedClose",	//387
    "UnfinishedSocketOperationError",	//388
    "UnknownAccessibility",	//389
    "UnknownContentError",	//390
    "UnknownError",	//391
    "UnknownNetworkError",	//392
    "UnknownNetworkLayerProtocol",	//393
    "UnknownOperation",	//394
    "UnknownProtocol",	//395
    "UnknownProxyError",	//396
    "UnknownPurpose",	//397
    "UnknownSessionError",	//398
    "UnknownSocketError",	//399
    "UnknownSocketType",	//400
    "UnspecifiedError",	//401
    "UnsupportedSocketOperationError",	//402
    "UrlRequest",	//403
    "User",	//404
    "UserChoice",	//405
    "UserMax",	//406
    "VerifyNone",	//407
    "VerifyPeer",	//408
    "WriteGroup",	//409
    "WriteOnly",	//410
    "WriteOther",	//411
    "WriteOwner",	//412
    "WrongContentLength",	//413
    "_IEEE_",	//414
    "_ISOC_",	//415
    "_POSIX_",	//416
    "_SVID_",	//417
    "_XOPEN_",	//418
    "__codecvt_error",	//419
    "__codecvt_noconv",	//420
    "__codecvt_ok",	//421
    "__codecvt_partial",	//422
    "abort",	//423
    "abortHostLookup",	//424
    "abortHostLookup$",	//425
    "accept",	//426
    "activeConfiguration",	//427
    "activeTime",	//428
    "addCaCertificate",	//429
    "addCaCertificate#",	//430
    "addCaCertificates",	//431
    "addCaCertificates$",	//432
    "addCaCertificates$$",	//433
    "addCaCertificates$$$",	//434
    "addCaCertificates?",	//435
    "addDefaultCaCertificate",	//436
    "addDefaultCaCertificate#",	//437
    "addDefaultCaCertificates",	//438
    "addDefaultCaCertificates$",	//439
    "addDefaultCaCertificates$$",	//440
    "addDefaultCaCertificates$$$",	//441
    "addDefaultCaCertificates?",	//442
    "addPendingConnection",	//443
    "addPendingConnection#",	//444
    "addValue",	//445
    "addValue$$",	//446
    "addressEntries",	//447
    "addresses",	//448
    "algorithm",	//449
    "allAddresses",	//450
    "allConfigurations",	//451
    "allConfigurations$",	//452
    "allCookies",	//453
    "allInterfaces",	//454
    "allValues",	//455
    "allValues$",	//456
    "alternateSubjectNames",	//457
    "append",	//458
    "append#",	//459
    "applicationProxy",	//460
    "atEnd",	//461
    "attribute",	//462
    "attribute$",	//463
    "attribute$#",	//464
    "attributes",	//465
    "authenticationMethod",	//466
    "authenticationRequired",	//467
    "authenticationRequired##",	//468
    "authenticationRequired$$#",	//469
    "bearerName",	//470
    "bearerType",	//471
    "bearerTypeName",	//472
    "bind",	//473
    "bind#$",	//474
    "bind#$$",	//475
    "bind$",	//476
    "bind$$",	//477
    "boundary",	//478
    "broadcast",	//479
    "bytesAvailable",	//480
    "bytesReceived",	//481
    "bytesToWrite",	//482
    "bytesWritten",	//483
    "caCertificates",	//484
    "cache",	//485
    "cacheDirectory",	//486
    "cacheSize",	//487
    "canReadLine",	//488
    "capabilities",	//489
    "cd",	//490
    "cd$",	//491
    "certificate",	//492
    "childEvent",	//493
    "children",	//494
    "ciphers",	//495
    "clear",	//496
    "clearPendingCommands",	//497
    "clearPendingRequests",	//498
    "close",	//499
    "closeConnection",	//500
    "closed",	//501
    "commandFinished",	//502
    "commandFinished$$",	//503
    "commandStarted",	//504
    "commandStarted$",	//505
    "configuration",	//506
    "configurationAdded",	//507
    "configurationAdded#",	//508
    "configurationChanged",	//509
    "configurationChanged#",	//510
    "configurationFromIdentifier",	//511
    "configurationFromIdentifier$",	//512
    "configurationRemoved",	//513
    "configurationRemoved#",	//514
    "connectNotify",	//515
    "connectNotify$",	//516
    "connectToHost",	//517
    "connectToHost#$",	//518
    "connectToHost#$$",	//519
    "connectToHost$",	//520
    "connectToHost$$",	//521
    "connectToHost$$$",	//522
    "connectToHostEncrypted",	//523
    "connectToHostEncrypted$$",	//524
    "connectToHostEncrypted$$$",	//525
    "connectToHostEncrypted$$$$",	//526
    "connectToHostImplementation",	//527
    "connectToHostImplementation$$",	//528
    "connectToHostImplementation$$$",	//529
    "connectToServer",	//530
    "connectToServer$",	//531
    "connectToServer$$",	//532
    "connected",	//533
    "contentLength",	//534
    "contentType",	//535
    "cookieJar",	//536
    "cookiesForUrl",	//537
    "cookiesForUrl#",	//538
    "createRequest",	//539
    "createRequest$#",	//540
    "createRequest$##",	//541
    "currentCommand",	//542
    "currentDestinationDevice",	//543
    "currentDevice",	//544
    "currentId",	//545
    "currentRequest",	//546
    "currentSourceDevice",	//547
    "customEvent",	//548
    "data",	//549
    "data#",	//550
    "dataReadProgress",	//551
    "dataReadProgress$$",	//552
    "dataSendProgress",	//553
    "dataSendProgress$$",	//554
    "dataTransferProgress",	//555
    "dataTransferProgress$$",	//556
    "defaultCaCertificates",	//557
    "defaultCiphers",	//558
    "defaultConfiguration",	//559
    "deleteResource",	//560
    "deleteResource#",	//561
    "detach",	//562
    "digest",	//563
    "digest$",	//564
    "disconnectFromHost",	//565
    "disconnectFromHostImplementation",	//566
    "disconnectFromServer",	//567
    "disconnectNotify",	//568
    "disconnectNotify$",	//569
    "disconnected",	//570
    "domain",	//571
    "done",	//572
    "done$",	//573
    "downloadProgress",	//574
    "downloadProgress$$",	//575
    "effectiveDate",	//576
    "encrypted",	//577
    "encryptedBytesAvailable",	//578
    "encryptedBytesToWrite",	//579
    "encryptedBytesWritten",	//580
    "encryptedBytesWritten$",	//581
    "encryptionMethod",	//582
    "equal",	//583
    "equal##$",	//584
    "error",	//585
    "error$",	//586
    "errorString",	//587
    "event",	//588
    "eventFilter",	//589
    "expirationDate",	//590
    "expire",	//591
    "expiryDate",	//592
    "fileMetaData",	//593
    "fileMetaData$",	//594
    "finished",	//595
    "finished#",	//596
    "flags",	//597
    "flush",	//598
    "fromData",	//599
    "fromData#",	//600
    "fromData#$",	//601
    "fromDevice",	//602
    "fromDevice#",	//603
    "fromDevice#$",	//604
    "fromName",	//605
    "fromName$",	//606
    "fromPath",	//607
    "fromPath$",	//608
    "fromPath$$",	//609
    "fromPath$$$",	//610
    "fullServerName",	//611
    "get",	//612
    "get#",	//613
    "get$",	//614
    "get$#",	//615
    "get$#$",	//616
    "greaterThan",	//617
    "greaterThan##$",	//618
    "group",	//619
    "handle",	//620
    "hardwareAddress",	//621
    "hasContentLength",	//622
    "hasContentType",	//623
    "hasKey",	//624
    "hasKey$",	//625
    "hasPendingCommands",	//626
    "hasPendingConnections",	//627
    "hasPendingDatagrams",	//628
    "hasPendingRequests",	//629
    "hasRawHeader",	//630
    "hasRawHeader#",	//631
    "head",	//632
    "head#",	//633
    "head$",	//634
    "header",	//635
    "header$",	//636
    "hostFound",	//637
    "hostName",	//638
    "humanReadableName",	//639
    "identifier",	//640
    "ignore",	//641
    "ignoreSslErrors",	//642
    "ignoreSslErrors?",	//643
    "incomingConnection",	//644
    "incomingConnection$",	//645
    "incomingConnection?",	//646
    "index",	//647
    "insert",	//648
    "insert#",	//649
    "interface",	//650
    "interfaceFromIndex",	//651
    "interfaceFromIndex$",	//652
    "interfaceFromName",	//653
    "interfaceFromName$",	//654
    "ip",	//655
    "isCachingProxy",	//656
    "isDir",	//657
    "isEncrypted",	//658
    "isExecutable",	//659
    "isFile",	//660
    "isFinished",	//661
    "isHttpOnly",	//662
    "isInSubnet",	//663
    "isInSubnet#$",	//664
    "isInSubnet?",	//665
    "isListening",	//666
    "isNull",	//667
    "isOnline",	//668
    "isOpen",	//669
    "isReadable",	//670
    "isRoamingAvailable",	//671
    "isRunning",	//672
    "isSecure",	//673
    "isSequential",	//674
    "isSessionCookie",	//675
    "isSymLink",	//676
    "isTransparentProxy",	//677
    "isValid",	//678
    "isWritable",	//679
    "issuerInfo",	//680
    "issuerInfo#",	//681
    "issuerInfo$",	//682
    "joinMulticastGroup",	//683
    "joinMulticastGroup#",	//684
    "joinMulticastGroup##",	//685
    "keyExchangeMethod",	//686
    "keys",	//687
    "lastModified",	//688
    "lastRead",	//689
    "lastResponse",	//690
    "leaveMulticastGroup",	//691
    "leaveMulticastGroup#",	//692
    "leaveMulticastGroup##",	//693
    "length",	//694
    "lessThan",	//695
    "lessThan##$",	//696
    "list",	//697
    "list$",	//698
    "listInfo",	//699
    "listInfo#",	//700
    "listen",	//701
    "listen#",	//702
    "listen#$",	//703
    "listen$",	//704
    "localAddress",	//705
    "localCertificate",	//706
    "localDomainName",	//707
    "localHostName",	//708
    "localPort",	//709
    "login",	//710
    "login$",	//711
    "login$$",	//712
    "lookupHost",	//713
    "lookupHost$#$",	//714
    "lookupId",	//715
    "majorVersion",	//716
    "manager",	//717
    "maxPendingConnections",	//718
    "maximumCacheSize",	//719
    "metaData",	//720
    "metaData#",	//721
    "metaDataChanged",	//722
    "metaObject",	//723
    "method",	//724
    "migrate",	//725
    "minorVersion",	//726
    "mkdir",	//727
    "mkdir$",	//728
    "mode",	//729
    "modeChanged",	//730
    "modeChanged$",	//731
    "multicastInterface",	//732
    "name",	//733
    "netmask",	//734
    "networkAccessible",	//735
    "networkAccessibleChanged",	//736
    "networkAccessibleChanged$",	//737
    "networkConfiguration",	//738
    "networkSessionConnected",	//739
    "newConfigurationActivated",	//740
    "newConnection",	//741
    "nextPendingConnection",	//742
    "onlineStateChanged",	//743
    "onlineStateChanged$",	//744
    "open",	//745
    "opened",	//746
    "operation",	//747
    "operator!=",	//748
    "operator!=#",	//749
    "operator!=##",	//750
    "operator!=#$",	//751
    "operator!=$",	//752
    "operator!=$#",	//753
    "operator&",	//754
    "operator&##",	//755
    "operator*",	//756
    "operator*#$",	//757
    "operator*$#",	//758
    "operator+",	//759
    "operator+##",	//760
    "operator+#$",	//761
    "operator+$#",	//762
    "operator+$$",	//763
    "operator-",	//764
    "operator-#",	//765
    "operator-##",	//766
    "operator/",	//767
    "operator/#$",	//768
    "operator<",	//769
    "operator<##",	//770
    "operator<#$",	//771
    "operator<$#",	//772
    "operator<<",	//773
    "operator<<##",	//774
    "operator<<#$",	//775
    "operator<<#?",	//776
    "operator<=",	//777
    "operator<=##",	//778
    "operator<=#$",	//779
    "operator<=$#",	//780
    "operator=",	//781
    "operator=#",	//782
    "operator=$",	//783
    "operator==",	//784
    "operator==#",	//785
    "operator==##",	//786
    "operator==#$",	//787
    "operator==$",	//788
    "operator==$#",	//789
    "operator>",	//790
    "operator>##",	//791
    "operator>#$",	//792
    "operator>$#",	//793
    "operator>=",	//794
    "operator>=##",	//795
    "operator>=#$",	//796
    "operator>=$#",	//797
    "operator>>",	//798
    "operator>>##",	//799
    "operator>>#$",	//800
    "operator>>#?",	//801
    "operator[]",	//802
    "operator[]$",	//803
    "operator^",	//804
    "operator^##",	//805
    "operator|",	//806
    "operator|##",	//807
    "operator|$$",	//808
    "option",	//809
    "option$",	//810
    "options",	//811
    "originatingObject",	//812
    "owner",	//813
    "parse",	//814
    "parse$",	//815
    "parseCookies",	//816
    "parseCookies#",	//817
    "parseLine",	//818
    "parseLine$$",	//819
    "parseSubnet",	//820
    "parseSubnet$",	//821
    "password",	//822
    "path",	//823
    "peerAddress",	//824
    "peerCertificate",	//825
    "peerCertificateChain",	//826
    "peerHostName",	//827
    "peerName",	//828
    "peerPort",	//829
    "peerVerifyDepth",	//830
    "peerVerifyError",	//831
    "peerVerifyError#",	//832
    "peerVerifyMode",	//833
    "peerVerifyName",	//834
    "pendingDatagramSize",	//835
    "permissions",	//836
    "port",	//837
    "pos",	//838
    "post",	//839
    "post##",	//840
    "post$#",	//841
    "post$##",	//842
    "preferredConfigurationChanged",	//843
    "preferredConfigurationChanged#$",	//844
    "prefixLength",	//845
    "prepare",	//846
    "prepare#",	//847
    "priority",	//848
    "privateKey",	//849
    "protocol",	//850
    "protocolString",	//851
    "protocolTag",	//852
    "proxy",	//853
    "proxyAuthenticationRequired",	//854
    "proxyAuthenticationRequired##",	//855
    "proxyFactory",	//856
    "proxyForQuery",	//857
    "proxyForQuery#",	//858
    "publicKey",	//859
    "purpose",	//860
    "put",	//861
    "put##",	//862
    "put#$",	//863
    "put#$$",	//864
    "qAcos",	//865
    "qAcos$",	//866
    "qAddPostRoutine",	//867
    "qAddPostRoutine$",	//868
    "qAppName",	//869
    "qAsin",	//870
    "qAsin$",	//871
    "qAtan",	//872
    "qAtan$",	//873
    "qAtan2",	//874
    "qAtan2$$",	//875
    "qBadAlloc",	//876
    "qCeil",	//877
    "qCeil$",	//878
    "qChecksum",	//879
    "qChecksum$$",	//880
    "qCompress",	//881
    "qCompress#",	//882
    "qCompress#$",	//883
    "qCompress$$",	//884
    "qCompress$$$",	//885
    "qCos",	//886
    "qCos$",	//887
    "qCritical",	//888
    "qDebug",	//889
    "qExp",	//890
    "qExp$",	//891
    "qFabs",	//892
    "qFabs$",	//893
    "qFastCos",	//894
    "qFastCos$",	//895
    "qFastSin",	//896
    "qFastSin$",	//897
    "qFlagLocation",	//898
    "qFlagLocation$",	//899
    "qFloor",	//900
    "qFloor$",	//901
    "qFree",	//902
    "qFree$",	//903
    "qFreeAligned",	//904
    "qFreeAligned$",	//905
    "qFuzzyCompare",	//906
    "qFuzzyCompare$$",	//907
    "qFuzzyIsNull",	//908
    "qFuzzyIsNull$",	//909
    "qHash",	//910
    "qHash#",	//911
    "qHash$",	//912
    "qInf",	//913
    "qInstallMsgHandler",	//914
    "qInstallMsgHandler$",	//915
    "qIntCast",	//916
    "qIntCast$",	//917
    "qIsFinite",	//918
    "qIsFinite$",	//919
    "qIsInf",	//920
    "qIsInf$",	//921
    "qIsNaN",	//922
    "qIsNaN$",	//923
    "qIsNull",	//924
    "qIsNull$",	//925
    "qLn",	//926
    "qLn$",	//927
    "qMalloc",	//928
    "qMalloc$",	//929
    "qMallocAligned",	//930
    "qMallocAligned$$",	//931
    "qMemCopy",	//932
    "qMemCopy$$$",	//933
    "qMemSet",	//934
    "qMemSet$$$",	//935
    "qPow",	//936
    "qPow$$",	//937
    "qQNaN",	//938
    "qRealloc",	//939
    "qRealloc$$",	//940
    "qReallocAligned",	//941
    "qReallocAligned$$$$",	//942
    "qRegisterStaticPluginInstanceFunction",	//943
    "qRegisterStaticPluginInstanceFunction#",	//944
    "qRemovePostRoutine",	//945
    "qRemovePostRoutine$",	//946
    "qRound",	//947
    "qRound$",	//948
    "qRound64",	//949
    "qRound64$",	//950
    "qSNaN",	//951
    "qSetFieldWidth",	//952
    "qSetFieldWidth$",	//953
    "qSetPadChar",	//954
    "qSetPadChar#",	//955
    "qSetRealNumberPrecision",	//956
    "qSetRealNumberPrecision$",	//957
    "qSharedBuild",	//958
    "qSin",	//959
    "qSin$",	//960
    "qSqrt",	//961
    "qSqrt$",	//962
    "qStringComparisonHelper",	//963
    "qStringComparisonHelper#$",	//964
    "qTan",	//965
    "qTan$",	//966
    "qUncompress",	//967
    "qUncompress#",	//968
    "qUncompress$$",	//969
    "qVersion",	//970
    "qWarning",	//971
    "qbswap_helper",	//972
    "qbswap_helper$$$",	//973
    "qecvt",	//974
    "qecvt$$$$",	//975
    "qecvt_r",	//976
    "qecvt_r$$$$$$",	//977
    "qfcvt",	//978
    "qfcvt$$$$",	//979
    "qfcvt_r",	//980
    "qfcvt_r$$$$$$",	//981
    "qgcvt",	//982
    "qgcvt$$$",	//983
    "qgetenv",	//984
    "qgetenv$",	//985
    "qputenv",	//986
    "qputenv$#",	//987
    "qrand",	//988
    "qsort",	//989
    "qsort$$$$",	//990
    "qsrand",	//991
    "qsrand$",	//992
    "qstrcmp",	//993
    "qstrcmp##",	//994
    "qstrcmp#$",	//995
    "qstrcmp$#",	//996
    "qstrcmp$$",	//997
    "qstrcpy",	//998
    "qstrcpy$$",	//999
    "qstrdup",	//1000
    "qstrdup$",	//1001
    "qstricmp",	//1002
    "qstricmp$$",	//1003
    "qstrlen",	//1004
    "qstrlen$",	//1005
    "qstrncmp",	//1006
    "qstrncmp$$$",	//1007
    "qstrncpy",	//1008
    "qstrncpy$$$",	//1009
    "qstrnicmp",	//1010
    "qstrnicmp$$$",	//1011
    "qstrnlen",	//1012
    "qstrnlen$$",	//1013
    "qtTrId",	//1014
    "qtTrId$",	//1015
    "qtTrId$$",	//1016
    "qt_assert",	//1017
    "qt_assert$$$",	//1018
    "qt_assert_x",	//1019
    "qt_assert_x$$$$",	//1020
    "qt_check_pointer",	//1021
    "qt_check_pointer$$",	//1022
    "qt_error_string",	//1023
    "qt_error_string$",	//1024
    "qt_message_output",	//1025
    "qt_message_output$$",	//1026
    "qt_metacall",	//1027
    "qt_metacall$$?",	//1028
    "qt_metacast",	//1029
    "qt_metacast$",	//1030
    "qt_noop",	//1031
    "qt_qFindChild_helper",	//1032
    "qt_qFindChild_helper#$#",	//1033
    "qt_qFindChildren_helper",	//1034
    "qt_qFindChildren_helper#$##?",	//1035
    "queryProxy",	//1036
    "queryProxy#",	//1037
    "queryType",	//1038
    "qvariant_cast_helper",	//1039
    "qvariant_cast_helper#$$",	//1040
    "qvsnprintf",	//1041
    "qvsnprintf$$$?",	//1042
    "rawCommand",	//1043
    "rawCommand$",	//1044
    "rawCommandReply",	//1045
    "rawCommandReply$$",	//1046
    "rawHeader",	//1047
    "rawHeader#",	//1048
    "rawHeaderList",	//1049
    "rawHeaderPairs",	//1050
    "rawHeaders",	//1051
    "read",	//1052
    "read$$",	//1053
    "readAll",	//1054
    "readBufferSize",	//1055
    "readData",	//1056
    "readData$$",	//1057
    "readDatagram",	//1058
    "readDatagram$$",	//1059
    "readDatagram$$#",	//1060
    "readDatagram$$#$",	//1061
    "readLineData",	//1062
    "readLineData$$",	//1063
    "readyRead",	//1064
    "readyRead#",	//1065
    "realm",	//1066
    "reasonPhrase",	//1067
    "reject",	//1068
    "remove",	//1069
    "remove#",	//1070
    "remove$",	//1071
    "removeAllValues",	//1072
    "removeAllValues$",	//1073
    "removeServer",	//1074
    "removeServer$",	//1075
    "removeValue",	//1076
    "removeValue$",	//1077
    "rename",	//1078
    "rename$$",	//1079
    "request",	//1080
    "request#",	//1081
    "request##",	//1082
    "request###",	//1083
    "requestFinished",	//1084
    "requestFinished$$",	//1085
    "requestStarted",	//1086
    "requestStarted$",	//1087
    "reset",	//1088
    "responseHeaderReceived",	//1089
    "responseHeaderReceived#",	//1090
    "rmdir",	//1091
    "rmdir$",	//1092
    "saveToDisk",	//1093
    "scopeId",	//1094
    "seek",	//1095
    "sendCustomRequest",	//1096
    "sendCustomRequest##",	//1097
    "sendCustomRequest###",	//1098
    "serialNumber",	//1099
    "serverAddress",	//1100
    "serverError",	//1101
    "serverName",	//1102
    "serverPort",	//1103
    "sessionCipher",	//1104
    "sessionProperty",	//1105
    "sessionProperty$",	//1106
    "setAddress",	//1107
    "setAddress#",	//1108
    "setAddress$",	//1109
    "setAddresses",	//1110
    "setAddresses?",	//1111
    "setAllCookies",	//1112
    "setAllCookies?",	//1113
    "setApplicationProxy",	//1114
    "setApplicationProxy#",	//1115
    "setApplicationProxyFactory",	//1116
    "setApplicationProxyFactory#",	//1117
    "setAttribute",	//1118
    "setAttribute$#",	//1119
    "setAttributes",	//1120
    "setAttributes?",	//1121
    "setBody",	//1122
    "setBody#",	//1123
    "setBodyDevice",	//1124
    "setBodyDevice#",	//1125
    "setBoundary",	//1126
    "setBoundary#",	//1127
    "setBroadcast",	//1128
    "setBroadcast#",	//1129
    "setCaCertificates",	//1130
    "setCaCertificates?",	//1131
    "setCache",	//1132
    "setCache#",	//1133
    "setCacheDirectory",	//1134
    "setCacheDirectory$",	//1135
    "setCapabilities",	//1136
    "setCapabilities$",	//1137
    "setCiphers",	//1138
    "setCiphers$",	//1139
    "setCiphers?",	//1140
    "setConfiguration",	//1141
    "setConfiguration#",	//1142
    "setContentLength",	//1143
    "setContentLength$",	//1144
    "setContentType",	//1145
    "setContentType$",	//1146
    "setCookieJar",	//1147
    "setCookieJar#",	//1148
    "setCookiesFromUrl",	//1149
    "setCookiesFromUrl?#",	//1150
    "setDefaultCaCertificates",	//1151
    "setDefaultCaCertificates?",	//1152
    "setDefaultCiphers",	//1153
    "setDefaultCiphers?",	//1154
    "setDefaultConfiguration",	//1155
    "setDefaultConfiguration#",	//1156
    "setDir",	//1157
    "setDir$",	//1158
    "setDomain",	//1159
    "setDomain$",	//1160
    "setError",	//1161
    "setError$",	//1162
    "setError$$",	//1163
    "setErrorString",	//1164
    "setErrorString$",	//1165
    "setExpirationDate",	//1166
    "setExpirationDate#",	//1167
    "setFile",	//1168
    "setFile$",	//1169
    "setFinished",	//1170
    "setFinished$",	//1171
    "setGroup",	//1172
    "setGroup$",	//1173
    "setHeader",	//1174
    "setHeader$#",	//1175
    "setHost",	//1176
    "setHost$",	//1177
    "setHost$$",	//1178
    "setHost$$$",	//1179
    "setHostName",	//1180
    "setHostName$",	//1181
    "setHttpOnly",	//1182
    "setHttpOnly$",	//1183
    "setIp",	//1184
    "setIp#",	//1185
    "setLastModified",	//1186
    "setLastModified#",	//1187
    "setLastRead",	//1188
    "setLastRead#",	//1189
    "setLocalAddress",	//1190
    "setLocalAddress#",	//1191
    "setLocalCertificate",	//1192
    "setLocalCertificate#",	//1193
    "setLocalCertificate$",	//1194
    "setLocalCertificate$$",	//1195
    "setLocalPort",	//1196
    "setLocalPort$",	//1197
    "setLookupId",	//1198
    "setLookupId$",	//1199
    "setMaxPendingConnections",	//1200
    "setMaxPendingConnections$",	//1201
    "setMaximumCacheSize",	//1202
    "setMaximumCacheSize$",	//1203
    "setMulticastInterface",	//1204
    "setMulticastInterface#",	//1205
    "setName",	//1206
    "setName#",	//1207
    "setName$",	//1208
    "setNetmask",	//1209
    "setNetmask#",	//1210
    "setNetworkAccessible",	//1211
    "setNetworkAccessible$",	//1212
    "setNetworkConfiguration",	//1213
    "setNetworkConfiguration#",	//1214
    "setOperation",	//1215
    "setOperation$",	//1216
    "setOption",	//1217
    "setOption$#",	//1218
    "setOriginatingObject",	//1219
    "setOriginatingObject#",	//1220
    "setOwner",	//1221
    "setOwner$",	//1222
    "setPassword",	//1223
    "setPassword$",	//1224
    "setPath",	//1225
    "setPath$",	//1226
    "setPeerAddress",	//1227
    "setPeerAddress#",	//1228
    "setPeerHostName",	//1229
    "setPeerHostName$",	//1230
    "setPeerName",	//1231
    "setPeerName$",	//1232
    "setPeerPort",	//1233
    "setPeerPort$",	//1234
    "setPeerVerifyDepth",	//1235
    "setPeerVerifyDepth$",	//1236
    "setPeerVerifyMode",	//1237
    "setPeerVerifyMode$",	//1238
    "setPeerVerifyName",	//1239
    "setPeerVerifyName$",	//1240
    "setPermissions",	//1241
    "setPermissions$",	//1242
    "setPort",	//1243
    "setPort$",	//1244
    "setPrefixLength",	//1245
    "setPrefixLength$",	//1246
    "setPriority",	//1247
    "setPriority$",	//1248
    "setPrivateKey",	//1249
    "setPrivateKey#",	//1250
    "setPrivateKey$",	//1251
    "setPrivateKey$$",	//1252
    "setPrivateKey$$$",	//1253
    "setPrivateKey$$$#",	//1254
    "setProtocol",	//1255
    "setProtocol$",	//1256
    "setProtocolTag",	//1257
    "setProtocolTag$",	//1258
    "setProxy",	//1259
    "setProxy#",	//1260
    "setProxy$$",	//1261
    "setProxy$$$",	//1262
    "setProxy$$$$",	//1263
    "setProxyFactory",	//1264
    "setProxyFactory#",	//1265
    "setQueryType",	//1266
    "setQueryType$",	//1267
    "setRawHeader",	//1268
    "setRawHeader##",	//1269
    "setRawHeaders",	//1270
    "setRawHeaders?",	//1271
    "setReadBufferSize",	//1272
    "setReadBufferSize$",	//1273
    "setReadable",	//1274
    "setReadable$",	//1275
    "setRequest",	//1276
    "setRequest#",	//1277
    "setRequest$$",	//1278
    "setRequest$$$",	//1279
    "setRequest$$$$",	//1280
    "setSaveToDisk",	//1281
    "setSaveToDisk$",	//1282
    "setScopeId",	//1283
    "setScopeId$",	//1284
    "setSecure",	//1285
    "setSecure$",	//1286
    "setSessionProperty",	//1287
    "setSessionProperty$#",	//1288
    "setSize",	//1289
    "setSize$",	//1290
    "setSocket",	//1291
    "setSocket#",	//1292
    "setSocketDescriptor",	//1293
    "setSocketDescriptor$",	//1294
    "setSocketDescriptor$$",	//1295
    "setSocketDescriptor$$$",	//1296
    "setSocketDescriptor?",	//1297
    "setSocketDescriptor?$",	//1298
    "setSocketDescriptor?$$",	//1299
    "setSocketError",	//1300
    "setSocketError$",	//1301
    "setSocketOption",	//1302
    "setSocketOption$#",	//1303
    "setSocketState",	//1304
    "setSocketState$",	//1305
    "setSslConfiguration",	//1306
    "setSslConfiguration#",	//1307
    "setSslOption",	//1308
    "setSslOption$$",	//1309
    "setStatusLine",	//1310
    "setStatusLine$",	//1311
    "setStatusLine$$",	//1312
    "setStatusLine$$$",	//1313
    "setStatusLine$$$$",	//1314
    "setSymLink",	//1315
    "setSymLink$",	//1316
    "setTransferMode",	//1317
    "setTransferMode$",	//1318
    "setType",	//1319
    "setType$",	//1320
    "setUrl",	//1321
    "setUrl#",	//1322
    "setUseSystemConfiguration",	//1323
    "setUseSystemConfiguration$",	//1324
    "setUser",	//1325
    "setUser$",	//1326
    "setUser$$",	//1327
    "setValid",	//1328
    "setValid$",	//1329
    "setValue",	//1330
    "setValue#",	//1331
    "setValue$$",	//1332
    "setValues",	//1333
    "setValues?",	//1334
    "setWritable",	//1335
    "setWritable$",	//1336
    "size",	//1337
    "socketDescriptor",	//1338
    "socketOption",	//1339
    "socketOption$",	//1340
    "socketType",	//1341
    "sslConfiguration",	//1342
    "sslErrors",	//1343
    "sslErrors#?",	//1344
    "sslErrors?",	//1345
    "startClientEncryption",	//1346
    "startServerEncryption",	//1347
    "state",	//1348
    "stateChanged",	//1349
    "stateChanged$",	//1350
    "staticMetaObject",	//1351
    "statusCode",	//1352
    "stop",	//1353
    "subjectInfo",	//1354
    "subjectInfo#",	//1355
    "subjectInfo$",	//1356
    "supportedBits",	//1357
    "supportedCiphers",	//1358
    "supportsSsl",	//1359
    "systemCaCertificates",	//1360
    "systemProxyForQuery",	//1361
    "systemProxyForQuery#",	//1362
    "testSslOption",	//1363
    "testSslOption$",	//1364
    "timerEvent",	//1365
    "toDer",	//1366
    "toDer#",	//1367
    "toIPv4Address",	//1368
    "toIPv6Address",	//1369
    "toPem",	//1370
    "toPem#",	//1371
    "toRawForm",	//1372
    "toRawForm$",	//1373
    "toString",	//1374
    "tr",	//1375
    "tr$",	//1376
    "tr$$",	//1377
    "tr$$$",	//1378
    "trUtf8",	//1379
    "trUtf8$",	//1380
    "trUtf8$$",	//1381
    "trUtf8$$$",	//1382
    "type",	//1383
    "updateCompleted",	//1384
    "updateConfigurations",	//1385
    "updateMetaData",	//1386
    "updateMetaData#",	//1387
    "uploadProgress",	//1388
    "uploadProgress$$",	//1389
    "url",	//1390
    "usedBits",	//1391
    "user",	//1392
    "value",	//1393
    "value$",	//1394
    "values",	//1395
    "version",	//1396
    "waitForBytesWritten",	//1397
    "waitForBytesWritten$",	//1398
    "waitForConnected",	//1399
    "waitForConnected$",	//1400
    "waitForDisconnected",	//1401
    "waitForDisconnected$",	//1402
    "waitForEncrypted",	//1403
    "waitForEncrypted$",	//1404
    "waitForNewConnection",	//1405
    "waitForNewConnection$",	//1406
    "waitForNewConnection$$",	//1407
    "waitForOpened",	//1408
    "waitForOpened$",	//1409
    "waitForReadyRead",	//1410
    "waitForReadyRead$",	//1411
    "writeData",	//1412
    "writeData$$",	//1413
    "writeDatagram",	//1414
    "writeDatagram##$",	//1415
    "writeDatagram$$#$",	//1416
    "~QAbstractNetworkCache",	//1417
    "~QAbstractSocket",	//1418
    "~QAuthenticator",	//1419
    "~QFtp",	//1420
    "~QHostAddress",	//1421
    "~QHostInfo",	//1422
    "~QHttp",	//1423
    "~QHttpHeader",	//1424
    "~QHttpMultiPart",	//1425
    "~QHttpPart",	//1426
    "~QHttpRequestHeader",	//1427
    "~QHttpResponseHeader",	//1428
    "~QIPv6Address",	//1429
    "~QLocalServer",	//1430
    "~QLocalSocket",	//1431
    "~QNetworkAccessManager",	//1432
    "~QNetworkAddressEntry",	//1433
    "~QNetworkCacheMetaData",	//1434
    "~QNetworkConfiguration",	//1435
    "~QNetworkConfigurationManager",	//1436
    "~QNetworkCookie",	//1437
    "~QNetworkCookieJar",	//1438
    "~QNetworkDiskCache",	//1439
    "~QNetworkInterface",	//1440
    "~QNetworkProxy",	//1441
    "~QNetworkProxyFactory",	//1442
    "~QNetworkProxyQuery",	//1443
    "~QNetworkReply",	//1444
    "~QNetworkRequest",	//1445
    "~QNetworkSession",	//1446
    "~QSslCertificate",	//1447
    "~QSslCipher",	//1448
    "~QSslConfiguration",	//1449
    "~QSslError",	//1450
    "~QSslKey",	//1451
    "~QSslSocket",	//1452
    "~QTcpServer",	//1453
    "~QTcpSocket",	//1454
    "~QUdpSocket",	//1455
    "~QUrlInfo",	//1456
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 723, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 361, 1},	//1 QAbstractNetworkCache::metaObject() const
    {1, 1029, 1, 1, Smoke::mf_virtual, 433, 2},	//2 QAbstractNetworkCache::qt_metacast(const char*)
    {1, 1375, 3, 2, Smoke::mf_static, 219, 3},	//3 QAbstractNetworkCache::tr(const char*, const char*)
    {1, 1379, 3, 2, Smoke::mf_static, 219, 4},	//4 QAbstractNetworkCache::trUtf8(const char*, const char*)
    {1, 1375, 6, 3, Smoke::mf_static, 219, 5},	//5 QAbstractNetworkCache::tr(const char*, const char*, int)
    {1, 1379, 6, 3, Smoke::mf_static, 219, 6},	//6 QAbstractNetworkCache::trUtf8(const char*, const char*, int)
    {1, 1027, 10, 3, Smoke::mf_virtual, 411, 7},	//7 QAbstractNetworkCache::qt_metacall(QMetaObject::Call, int, void**)
    {1, 720, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 136, 8},	//8 QAbstractNetworkCache::metaData(const QUrl&) [pure virtual]
    {1, 1386, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//9 QAbstractNetworkCache::updateMetaData(const QNetworkCacheMetaData&) [pure virtual]
    {1, 549, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 99, 10},	//10 QAbstractNetworkCache::data(const QUrl&) [pure virtual]
    {1, 1069, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 326, 11},	//11 QAbstractNetworkCache::remove(const QUrl&) [pure virtual]
    {1, 487, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 416, 12},	//12 QAbstractNetworkCache::cacheSize() const [pure virtual]
    {1, 846, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 99, 13},	//13 QAbstractNetworkCache::prepare(const QNetworkCacheMetaData&) [pure virtual]
    {1, 648, 18, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//14 QAbstractNetworkCache::insert(QIODevice*) [pure virtual]
    {1, 496, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 15},	//15 QAbstractNetworkCache::clear() [pure virtual]
    {1, 186, 20, 1, Smoke::mf_ctor|Smoke::mf_protected, 2, 16},	//16 QAbstractNetworkCache::QAbstractNetworkCache(QObject*)
    {1, 1375, 1, 1, Smoke::mf_static, 219, 17},	//17 QAbstractNetworkCache::tr(const char*)
    {1, 1379, 1, 1, Smoke::mf_static, 219, 18},	//18 QAbstractNetworkCache::trUtf8(const char*)
    {1, 186, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 2, 19},	//19 QAbstractNetworkCache::QAbstractNetworkCache()
    {1, 1351, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 360, 20},	//20 QAbstractNetworkCache::staticMetaObject() const
    {1, 1417, 0, 0, Smoke::mf_dtor, 0, 21 },	//21 QAbstractNetworkCache::~QAbstractNetworkCache()
    {2, 723, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 361, 1},	//22 QAbstractSocket::metaObject() const
    {2, 1029, 1, 1, Smoke::mf_virtual, 433, 2},	//23 QAbstractSocket::qt_metacast(const char*)
    {2, 1375, 3, 2, Smoke::mf_static, 219, 3},	//24 QAbstractSocket::tr(const char*, const char*)
    {2, 1379, 3, 2, Smoke::mf_static, 219, 4},	//25 QAbstractSocket::trUtf8(const char*, const char*)
    {2, 1375, 6, 3, Smoke::mf_static, 219, 5},	//26 QAbstractSocket::tr(const char*, const char*, int)
    {2, 1379, 6, 3, Smoke::mf_static, 219, 6},	//27 QAbstractSocket::trUtf8(const char*, const char*, int)
    {2, 1027, 10, 3, Smoke::mf_virtual, 411, 7},	//28 QAbstractSocket::qt_metacall(QMetaObject::Call, int, void**)
    {2, 188, 22, 2, Smoke::mf_ctor, 3, 8},	//29 QAbstractSocket::QAbstractSocket(QAbstractSocket::SocketType, QObject*)
    {2, 517, 25, 3, 0, 0, 9},	//30 QAbstractSocket::connectToHost(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {2, 517, 29, 3, 0, 0, 10},	//31 QAbstractSocket::connectToHost(const QHostAddress&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {2, 565, 0, 0, 0, 0, 11},	//32 QAbstractSocket::disconnectFromHost()
    {2, 678, 0, 0, Smoke::mf_const, 326, 12},	//33 QAbstractSocket::isValid() const
    {2, 480, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 416, 13},	//34 QAbstractSocket::bytesAvailable() const
    {2, 482, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 416, 14},	//35 QAbstractSocket::bytesToWrite() const
    {2, 488, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 326, 15},	//36 QAbstractSocket::canReadLine() const
    {2, 709, 0, 0, Smoke::mf_const, 428, 16},	//37 QAbstractSocket::localPort() const
    {2, 705, 0, 0, Smoke::mf_const, 75, 17},	//38 QAbstractSocket::localAddress() const
    {2, 829, 0, 0, Smoke::mf_const, 428, 18},	//39 QAbstractSocket::peerPort() const
    {2, 824, 0, 0, Smoke::mf_const, 75, 19},	//40 QAbstractSocket::peerAddress() const
    {2, 828, 0, 0, Smoke::mf_const, 219, 20},	//41 QAbstractSocket::peerName() const
    {2, 1055, 0, 0, Smoke::mf_const, 416, 21},	//42 QAbstractSocket::readBufferSize() const
    {2, 1272, 33, 1, 0, 0, 22},	//43 QAbstractSocket::setReadBufferSize(long long)
    {2, 423, 0, 0, 0, 0, 23},	//44 QAbstractSocket::abort()
    {2, 1338, 0, 0, Smoke::mf_const, 411, 24},	//45 QAbstractSocket::socketDescriptor() const
    {2, 1293, 35, 3, 0, 326, 25},	//46 QAbstractSocket::setSocketDescriptor(int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>)
    {2, 1302, 39, 2, 0, 0, 26},	//47 QAbstractSocket::setSocketOption(QAbstractSocket::SocketOption, const QVariant&)
    {2, 1339, 42, 1, 0, 245, 27},	//48 QAbstractSocket::socketOption(QAbstractSocket::SocketOption)
    {2, 1341, 0, 0, Smoke::mf_const, 8, 28},	//49 QAbstractSocket::socketType() const
    {2, 1348, 0, 0, Smoke::mf_const, 7, 29},	//50 QAbstractSocket::state() const
    {2, 585, 0, 0, Smoke::mf_const, 5, 30},	//51 QAbstractSocket::error() const
    {2, 499, 0, 0, Smoke::mf_virtual, 0, 31},	//52 QAbstractSocket::close()
    {2, 674, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 326, 32},	//53 QAbstractSocket::isSequential() const
    {2, 461, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 326, 33},	//54 QAbstractSocket::atEnd() const
    {2, 598, 0, 0, 0, 326, 34},	//55 QAbstractSocket::flush()
    {2, 1399, 44, 1, 0, 326, 35},	//56 QAbstractSocket::waitForConnected(int)
    {2, 1410, 44, 1, Smoke::mf_virtual, 326, 36},	//57 QAbstractSocket::waitForReadyRead(int)
    {2, 1397, 44, 1, Smoke::mf_virtual, 326, 37},	//58 QAbstractSocket::waitForBytesWritten(int)
    {2, 1401, 44, 1, 0, 326, 38},	//59 QAbstractSocket::waitForDisconnected(int)
    {2, 1259, 46, 1, 0, 0, 39},	//60 QAbstractSocket::setProxy(const QNetworkProxy&)
    {2, 853, 0, 0, Smoke::mf_const, 158, 40},	//61 QAbstractSocket::proxy() const
    {2, 637, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//62 QAbstractSocket::hostFound()
    {2, 533, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//63 QAbstractSocket::connected()
    {2, 570, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//64 QAbstractSocket::disconnected()
    {2, 1349, 48, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//65 QAbstractSocket::stateChanged(QAbstractSocket::SocketState)
    {2, 585, 50, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//66 QAbstractSocket::error(QAbstractSocket::SocketError)
    {2, 854, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//67 QAbstractSocket::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {2, 527, 55, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 47},	//68 QAbstractSocket::connectToHostImplementation(const QString&, quint16, QIODevice::OpenMode)
    {2, 566, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 48},	//69 QAbstractSocket::disconnectFromHostImplementation()
    {2, 1056, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 416, 49},	//70 QAbstractSocket::readData(char*, long long)
    {2, 1062, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 416, 50},	//71 QAbstractSocket::readLineData(char*, long long)
    {2, 1412, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 416, 51},	//72 QAbstractSocket::writeData(const char*, long long)
    {2, 1304, 48, 1, Smoke::mf_protected, 0, 52},	//73 QAbstractSocket::setSocketState(QAbstractSocket::SocketState)
    {2, 1300, 50, 1, Smoke::mf_protected, 0, 53},	//74 QAbstractSocket::setSocketError(QAbstractSocket::SocketError)
    {2, 1196, 65, 1, Smoke::mf_protected, 0, 54},	//75 QAbstractSocket::setLocalPort(unsigned short)
    {2, 1190, 67, 1, Smoke::mf_protected, 0, 55},	//76 QAbstractSocket::setLocalAddress(const QHostAddress&)
    {2, 1233, 65, 1, Smoke::mf_protected, 0, 56},	//77 QAbstractSocket::setPeerPort(unsigned short)
    {2, 1227, 67, 1, Smoke::mf_protected, 0, 57},	//78 QAbstractSocket::setPeerAddress(const QHostAddress&)
    {2, 1231, 69, 1, Smoke::mf_protected, 0, 58},	//79 QAbstractSocket::setPeerName(const QString&)
    {2, 1375, 1, 1, Smoke::mf_static, 219, 59},	//80 QAbstractSocket::tr(const char*)
    {2, 1379, 1, 1, Smoke::mf_static, 219, 60},	//81 QAbstractSocket::trUtf8(const char*)
    {2, 517, 71, 2, 0, 0, 61},	//82 QAbstractSocket::connectToHost(const QString&, unsigned short)
    {2, 517, 74, 2, 0, 0, 62},	//83 QAbstractSocket::connectToHost(const QHostAddress&, unsigned short)
    {2, 1293, 44, 1, 0, 326, 63},	//84 QAbstractSocket::setSocketDescriptor(int)
    {2, 1293, 77, 2, 0, 326, 64},	//85 QAbstractSocket::setSocketDescriptor(int, QAbstractSocket::SocketState)
    {2, 1399, 0, 0, 0, 326, 65},	//86 QAbstractSocket::waitForConnected()
    {2, 1410, 0, 0, 0, 326, 66},	//87 QAbstractSocket::waitForReadyRead()
    {2, 1397, 0, 0, 0, 326, 67},	//88 QAbstractSocket::waitForBytesWritten()
    {2, 1401, 0, 0, 0, 326, 68},	//89 QAbstractSocket::waitForDisconnected()
    {2, 527, 80, 2, Smoke::mf_protected|Smoke::mf_slot, 0, 69},	//90 QAbstractSocket::connectToHostImplementation(const QString&, quint16)
    {2, 1351, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 360, 70},	//91 QAbstractSocket::staticMetaObject() const
    {2, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 71},	//92 QAbstractSocket::TcpSocket (enum)
    {2, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 72},	//93 QAbstractSocket::UdpSocket (enum)
    {2, 400, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 73},	//94 QAbstractSocket::UnknownSocketType (enum)
    {2, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 74},	//95 QAbstractSocket::IPv4Protocol (enum)
    {2, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 75},	//96 QAbstractSocket::IPv6Protocol (enum)
    {2, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 76},	//97 QAbstractSocket::UnknownNetworkLayerProtocol (enum)
    {2, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 77},	//98 QAbstractSocket::ConnectionRefusedError (enum)
    {2, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 78},	//99 QAbstractSocket::RemoteHostClosedError (enum)
    {2, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 79},	//100 QAbstractSocket::HostNotFoundError (enum)
    {2, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 80},	//101 QAbstractSocket::SocketAccessError (enum)
    {2, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 81},	//102 QAbstractSocket::SocketResourceError (enum)
    {2, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 82},	//103 QAbstractSocket::SocketTimeoutError (enum)
    {2, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 83},	//104 QAbstractSocket::DatagramTooLargeError (enum)
    {2, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 84},	//105 QAbstractSocket::NetworkError (enum)
    {2, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 85},	//106 QAbstractSocket::AddressInUseError (enum)
    {2, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 86},	//107 QAbstractSocket::SocketAddressNotAvailableError (enum)
    {2, 402, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 87},	//108 QAbstractSocket::UnsupportedSocketOperationError (enum)
    {2, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 88},	//109 QAbstractSocket::UnfinishedSocketOperationError (enum)
    {2, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 89},	//110 QAbstractSocket::ProxyAuthenticationRequiredError (enum)
    {2, 353, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 90},	//111 QAbstractSocket::SslHandshakeFailedError (enum)
    {2, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 91},	//112 QAbstractSocket::ProxyConnectionRefusedError (enum)
    {2, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 92},	//113 QAbstractSocket::ProxyConnectionClosedError (enum)
    {2, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 93},	//114 QAbstractSocket::ProxyConnectionTimeoutError (enum)
    {2, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 94},	//115 QAbstractSocket::ProxyNotFoundError (enum)
    {2, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 95},	//116 QAbstractSocket::ProxyProtocolError (enum)
    {2, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 96},	//117 QAbstractSocket::UnknownSocketError (enum)
    {2, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 97},	//118 QAbstractSocket::UnconnectedState (enum)
    {2, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 98},	//119 QAbstractSocket::HostLookupState (enum)
    {2, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 99},	//120 QAbstractSocket::ConnectingState (enum)
    {2, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 100},	//121 QAbstractSocket::ConnectedState (enum)
    {2, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 101},	//122 QAbstractSocket::BoundState (enum)
    {2, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 102},	//123 QAbstractSocket::ListeningState (enum)
    {2, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 103},	//124 QAbstractSocket::ClosingState (enum)
    {2, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 104},	//125 QAbstractSocket::LowDelayOption (enum)
    {2, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 105},	//126 QAbstractSocket::KeepAliveOption (enum)
    {2, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 106},	//127 QAbstractSocket::MulticastTtlOption (enum)
    {2, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 107},	//128 QAbstractSocket::MulticastLoopbackOption (enum)
    {2, 1418, 0, 0, Smoke::mf_dtor, 0, 108 },	//129 QAbstractSocket::~QAbstractSocket()
    {3, 190, 0, 0, Smoke::mf_ctor, 10, 1},	//130 QAuthenticator::QAuthenticator()
    {3, 190, 83, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 10, 2},	//131 QAuthenticator::QAuthenticator(const QAuthenticator&)
    {3, 781, 83, 1, 0, 9, 3},	//132 QAuthenticator::operator=(const QAuthenticator&)
    {3, 784, 83, 1, Smoke::mf_const, 326, 4},	//133 QAuthenticator::operator==(const QAuthenticator&) const
    {3, 748, 83, 1, Smoke::mf_const, 326, 5},	//134 QAuthenticator::operator!=(const QAuthenticator&) const
    {3, 1392, 0, 0, Smoke::mf_const, 219, 6},	//135 QAuthenticator::user() const
    {3, 1325, 69, 1, 0, 0, 7},	//136 QAuthenticator::setUser(const QString&)
    {3, 822, 0, 0, Smoke::mf_const, 219, 8},	//137 QAuthenticator::password() const
    {3, 1223, 69, 1, 0, 0, 9},	//138 QAuthenticator::setPassword(const QString&)
    {3, 1066, 0, 0, Smoke::mf_const, 219, 10},	//139 QAuthenticator::realm() const
    {3, 809, 69, 1, Smoke::mf_const, 245, 11},	//140 QAuthenticator::option(const QString&) const
    {3, 811, 0, 0, Smoke::mf_const, 74, 12},	//141 QAuthenticator::options() const
    {3, 1217, 85, 2, 0, 0, 13},	//142 QAuthenticator::setOption(const QString&, const QVariant&)
    {3, 667, 0, 0, Smoke::mf_const, 326, 14},	//143 QAuthenticator::isNull() const
    {3, 562, 0, 0, 0, 0, 15},	//144 QAuthenticator::detach()
    {3, 1419, 0, 0, Smoke::mf_dtor, 0, 16 },	//145 QAuthenticator::~QAuthenticator()
    {16, 723, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 361, 1},	//146 QFtp::metaObject() const
    {16, 1029, 1, 1, Smoke::mf_virtual, 433, 2},	//147 QFtp::qt_metacast(const char*)
    {16, 1375, 3, 2, Smoke::mf_static, 219, 3},	//148 QFtp::tr(const char*, const char*)
    {16, 1379, 3, 2, Smoke::mf_static, 219, 4},	//149 QFtp::trUtf8(const char*, const char*)
    {16, 1375, 6, 3, Smoke::mf_static, 219, 5},	//150 QFtp::tr(const char*, const char*, int)
    {16, 1379, 6, 3, Smoke::mf_static, 219, 6},	//151 QFtp::trUtf8(const char*, const char*, int)
    {16, 1027, 10, 3, Smoke::mf_virtual, 411, 7},	//152 QFtp::qt_metacall(QMetaObject::Call, int, void**)
    {16, 192, 20, 1, Smoke::mf_ctor, 67, 8},	//153 QFtp::QFtp(QObject*)
    {16, 1259, 71, 2, 0, 411, 9},	//154 QFtp::setProxy(const QString&, unsigned short)
    {16, 517, 71, 2, 0, 411, 10},	//155 QFtp::connectToHost(const QString&, unsigned short)
    {16, 710, 88, 2, 0, 411, 11},	//156 QFtp::login(const QString&, const QString&)
    {16, 499, 0, 0, 0, 411, 12},	//157 QFtp::close()
    {16, 1317, 91, 1, 0, 411, 13},	//158 QFtp::setTransferMode(QFtp::TransferMode)
    {16, 697, 69, 1, 0, 411, 14},	//159 QFtp::list(const QString&)
    {16, 490, 69, 1, 0, 411, 15},	//160 QFtp::cd(const QString&)
    {16, 612, 93, 3, 0, 411, 16},	//161 QFtp::get(const QString&, QIODevice*, QFtp::TransferType)
    {16, 861, 97, 3, 0, 411, 17},	//162 QFtp::put(const QByteArray&, const QString&, QFtp::TransferType)
    {16, 861, 101, 3, 0, 411, 18},	//163 QFtp::put(QIODevice*, const QString&, QFtp::TransferType)
    {16, 1069, 69, 1, 0, 411, 19},	//164 QFtp::remove(const QString&)
    {16, 727, 69, 1, 0, 411, 20},	//165 QFtp::mkdir(const QString&)
    {16, 1091, 69, 1, 0, 411, 21},	//166 QFtp::rmdir(const QString&)
    {16, 1078, 88, 2, 0, 411, 22},	//167 QFtp::rename(const QString&, const QString&)
    {16, 1043, 69, 1, 0, 411, 23},	//168 QFtp::rawCommand(const QString&)
    {16, 480, 0, 0, Smoke::mf_const, 416, 24},	//169 QFtp::bytesAvailable() const
    {16, 1052, 59, 2, 0, 416, 25},	//170 QFtp::read(char*, long long)
    {16, 1054, 0, 0, 0, 14, 26},	//171 QFtp::readAll()
    {16, 545, 0, 0, Smoke::mf_const, 411, 27},	//172 QFtp::currentId() const
    {16, 544, 0, 0, Smoke::mf_const, 99, 28},	//173 QFtp::currentDevice() const
    {16, 542, 0, 0, Smoke::mf_const, 68, 29},	//174 QFtp::currentCommand() const
    {16, 626, 0, 0, Smoke::mf_const, 326, 30},	//175 QFtp::hasPendingCommands() const
    {16, 497, 0, 0, 0, 0, 31},	//176 QFtp::clearPendingCommands()
    {16, 1348, 0, 0, Smoke::mf_const, 70, 32},	//177 QFtp::state() const
    {16, 585, 0, 0, Smoke::mf_const, 69, 33},	//178 QFtp::error() const
    {16, 587, 0, 0, Smoke::mf_const, 219, 34},	//179 QFtp::errorString() const
    {16, 423, 0, 0, Smoke::mf_slot, 0, 35},	//180 QFtp::abort()
    {16, 1349, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//181 QFtp::stateChanged(int)
    {16, 699, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//182 QFtp::listInfo(const QUrlInfo&)
    {16, 1064, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//183 QFtp::readyRead()
    {16, 555, 107, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//184 QFtp::dataTransferProgress(qint64, qint64)
    {16, 1045, 110, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//185 QFtp::rawCommandReply(int, const QString&)
    {16, 504, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//186 QFtp::commandStarted(int)
    {16, 502, 113, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//187 QFtp::commandFinished(int, bool)
    {16, 572, 116, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//188 QFtp::done(bool)
    {16, 1375, 1, 1, Smoke::mf_static, 219, 44},	//189 QFtp::tr(const char*)
    {16, 1379, 1, 1, Smoke::mf_static, 219, 45},	//190 QFtp::trUtf8(const char*)
    {16, 192, 0, 0, Smoke::mf_ctor, 67, 46},	//191 QFtp::QFtp()
    {16, 517, 69, 1, 0, 411, 47},	//192 QFtp::connectToHost(const QString&)
    {16, 710, 0, 0, 0, 411, 48},	//193 QFtp::login()
    {16, 710, 69, 1, 0, 411, 49},	//194 QFtp::login(const QString&)
    {16, 697, 0, 0, 0, 411, 50},	//195 QFtp::list()
    {16, 612, 69, 1, 0, 411, 51},	//196 QFtp::get(const QString&)
    {16, 612, 118, 2, 0, 411, 52},	//197 QFtp::get(const QString&, QIODevice*)
    {16, 861, 121, 2, 0, 411, 53},	//198 QFtp::put(const QByteArray&, const QString&)
    {16, 861, 124, 2, 0, 411, 54},	//199 QFtp::put(QIODevice*, const QString&)
    {16, 1351, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 360, 55},	//200 QFtp::staticMetaObject() const
    {16, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 56},	//201 QFtp::Unconnected (enum)
    {16, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 57},	//202 QFtp::HostLookup (enum)
    {16, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 58},	//203 QFtp::Connecting (enum)
    {16, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 59},	//204 QFtp::Connected (enum)
    {16, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 60},	//205 QFtp::LoggedIn (enum)
    {16, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 61},	//206 QFtp::Closing (enum)
    {16, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 62},	//207 QFtp::NoError (enum)
    {16, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 63},	//208 QFtp::UnknownError (enum)
    {16, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 64},	//209 QFtp::HostNotFound (enum)
    {16, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 65},	//210 QFtp::ConnectionRefused (enum)
    {16, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 66},	//211 QFtp::NotConnected (enum)
    {16, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 67},	//212 QFtp::None (enum)
    {16, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 68},	//213 QFtp::SetTransferMode (enum)
    {16, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 69},	//214 QFtp::SetProxy (enum)
    {16, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 70},	//215 QFtp::ConnectToHost (enum)
    {16, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 71},	//216 QFtp::Login (enum)
    {16, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 72},	//217 QFtp::Close (enum)
    {16, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 73},	//218 QFtp::List (enum)
    {16, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 74},	//219 QFtp::Cd (enum)
    {16, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 75},	//220 QFtp::Get (enum)
    {16, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 76},	//221 QFtp::Put (enum)
    {16, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 77},	//222 QFtp::Remove (enum)
    {16, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 78},	//223 QFtp::Mkdir (enum)
    {16, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 79},	//224 QFtp::Rmdir (enum)
    {16, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 80},	//225 QFtp::Rename (enum)
    {16, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 81},	//226 QFtp::RawCommand (enum)
    {16, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 82},	//227 QFtp::Active (enum)
    {16, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 83},	//228 QFtp::Passive (enum)
    {16, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 84},	//229 QFtp::Binary (enum)
    {16, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 85},	//230 QFtp::Ascii (enum)
    {16, 1420, 0, 0, Smoke::mf_dtor, 0, 86 },	//231 QFtp::~QFtp()
    {17, 794, 127, 2, Smoke::mf_static, 326, 1},	//232 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {17, 910, 130, 1, Smoke::mf_static, 425, 2},	//233 QGlobalSpace::qHash(unsigned long long)
    {17, 920, 132, 1, Smoke::mf_static, 326, 3},	//234 QGlobalSpace::qIsInf(double)
    {17, 806, 134, 2, Smoke::mf_static, 104, 4},	//235 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {17, 806, 137, 2, Smoke::mf_static, 104, 5},	//236 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {17, 1012, 140, 2, Smoke::mf_static, 425, 6},	//237 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {17, 932, 143, 3, Smoke::mf_static, 433, 7},	//238 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {17, 1031, 0, 0, Smoke::mf_static, 0, 8},	//239 QGlobalSpace::qt_noop()
    {17, 773, 147, 2, Smoke::mf_static, 24, 9},	//240 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {17, 773, 150, 2, Smoke::mf_static, 24, 10},	//241 QGlobalSpace::operator<<(QDebug, const QSslError&)
    {17, 784, 153, 2, Smoke::mf_static, 326, 11},	//242 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {17, 784, 156, 2, Smoke::mf_static, 326, 12},	//243 QGlobalSpace::operator==(const QSize&, const QSize&)
    {17, 759, 159, 2, Smoke::mf_static, 332, 13},	//244 QGlobalSpace::operator+(const char*, const QByteArray&)
    {17, 806, 162, 2, Smoke::mf_static, 37, 14},	//245 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {17, 993, 159, 2, Smoke::mf_static, 411, 15},	//246 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {17, 784, 165, 2, Smoke::mf_static, 326, 16},	//247 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {17, 874, 168, 2, Smoke::mf_static, 409, 17},	//248 QGlobalSpace::qAtan2(double, double)
    {17, 798, 171, 2, Smoke::mf_static, 20, 18},	//249 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {17, 794, 174, 2, Smoke::mf_static, 326, 19},	//250 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {17, 920, 177, 1, Smoke::mf_static, 326, 20},	//251 QGlobalSpace::qIsInf(float)
    {17, 984, 1, 1, Smoke::mf_static, 14, 21},	//252 QGlobalSpace::qgetenv(const char*)
    {17, 910, 179, 1, Smoke::mf_static, 425, 22},	//253 QGlobalSpace::qHash(signed char)
    {17, 806, 181, 2, Smoke::mf_static, 104, 23},	//254 QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    {17, 784, 184, 2, Smoke::mf_static, 326, 24},	//255 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {17, 790, 159, 2, Smoke::mf_static, 326, 25},	//256 QGlobalSpace::operator>(const char*, const QByteArray&)
    {17, 916, 132, 1, Smoke::mf_static, 411, 26},	//257 QGlobalSpace::qIntCast(double)
    {17, 954, 187, 1, Smoke::mf_static, 232, 27},	//258 QGlobalSpace::qSetPadChar(QChar)
    {17, 784, 189, 2, Smoke::mf_static, 326, 28},	//259 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {17, 784, 192, 2, Smoke::mf_static, 326, 29},	//260 QGlobalSpace::operator==(QChar, QChar)
    {17, 806, 195, 2, Smoke::mf_static, 64, 30},	//261 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {17, 910, 14, 1, Smoke::mf_static, 425, 31},	//262 QGlobalSpace::qHash(const QUrl&)
    {17, 910, 198, 1, Smoke::mf_static, 425, 32},	//263 QGlobalSpace::qHash(const QByteArray&)
    {17, 773, 200, 2, Smoke::mf_static, 24, 33},	//264 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {17, 769, 192, 2, Smoke::mf_static, 326, 34},	//265 QGlobalSpace::operator<(QChar, QChar)
    {17, 794, 192, 2, Smoke::mf_static, 326, 35},	//266 QGlobalSpace::operator>=(QChar, QChar)
    {17, 748, 203, 2, Smoke::mf_static, 326, 36},	//267 QGlobalSpace::operator!=(QString::Null, const QString&)
    {17, 773, 206, 2, Smoke::mf_static, 20, 37},	//268 QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    {17, 769, 159, 2, Smoke::mf_static, 326, 38},	//269 QGlobalSpace::operator<(const char*, const QByteArray&)
    {17, 806, 209, 2, Smoke::mf_static, 63, 39},	//270 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {17, 993, 3, 2, Smoke::mf_static, 411, 40},	//271 QGlobalSpace::qstrcmp(const char*, const char*)
    {17, 886, 132, 1, Smoke::mf_static, 409, 41},	//272 QGlobalSpace::qCos(double)
    {17, 806, 212, 2, Smoke::mf_static, 40, 42},	//273 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {17, 790, 192, 2, Smoke::mf_static, 326, 43},	//274 QGlobalSpace::operator>(QChar, QChar)
    {17, 806, 215, 2, Smoke::mf_static, 66, 44},	//275 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {17, 756, 218, 2, Smoke::mf_static, 385, 45},	//276 QGlobalSpace::operator*(double, const QSizeF&)
    {17, 958, 0, 0, Smoke::mf_static, 326, 46},	//277 QGlobalSpace::qSharedBuild()
    {17, 806, 221, 2, Smoke::mf_static, 104, 47},	//278 QGlobalSpace::operator|(QDir::Filter, int)
    {17, 748, 127, 2, Smoke::mf_static, 326, 48},	//279 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {17, 764, 224, 2, Smoke::mf_static, 375, 49},	//280 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {17, 773, 227, 2, Smoke::mf_static, 20, 50},	//281 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {17, 806, 230, 2, Smoke::mf_static, 104, 51},	//282 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {17, 806, 233, 2, Smoke::mf_static, 62, 52},	//283 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {17, 773, 236, 2, Smoke::mf_static, 24, 53},	//284 QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketState)
    {17, 910, 239, 1, Smoke::mf_static, 425, 54},	//285 QGlobalSpace::qHash(char)
    {17, 748, 153, 2, Smoke::mf_static, 326, 55},	//286 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {17, 806, 241, 2, Smoke::mf_static, 48, 56},	//287 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {17, 773, 244, 2, Smoke::mf_static, 24, 57},	//288 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {17, 806, 247, 2, Smoke::mf_static, 104, 58},	//289 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {17, 806, 250, 2, Smoke::mf_static, 104, 59},	//290 QGlobalSpace::operator|(QFile::Permission, int)
    {17, 767, 253, 2, Smoke::mf_static, 375, 60},	//291 QGlobalSpace::operator/(const QPoint&, double)
    {17, 759, 224, 2, Smoke::mf_static, 375, 61},	//292 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {17, 806, 256, 2, Smoke::mf_static, 35, 62},	//293 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {17, 773, 259, 2, Smoke::mf_static, 20, 63},	//294 QGlobalSpace::operator<<(QDataStream&, const QNetworkCacheMetaData&)
    {17, 764, 262, 2, Smoke::mf_static, 385, 64},	//295 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {17, 773, 265, 2, Smoke::mf_static, 24, 65},	//296 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {17, 918, 132, 1, Smoke::mf_static, 326, 66},	//297 QGlobalSpace::qIsFinite(double)
    {17, 974, 268, 4, Smoke::mf_static, 329, 67},	//298 QGlobalSpace::qecvt(long double, int, int*, int*)
    {17, 748, 174, 2, Smoke::mf_static, 326, 68},	//299 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {17, 806, 273, 2, Smoke::mf_static, 58, 69},	//300 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {17, 773, 276, 2, Smoke::mf_static, 24, 70},	//301 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {17, 773, 279, 2, Smoke::mf_static, 24, 71},	//302 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {17, 773, 282, 2, Smoke::mf_static, 24, 72},	//303 QGlobalSpace::operator<<(QDebug, QSslCertificate::SubjectInfo)
    {17, 806, 285, 2, Smoke::mf_static, 44, 73},	//304 QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    {17, 806, 288, 2, Smoke::mf_static, 49, 74},	//305 QGlobalSpace::operator|(QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>)
    {17, 806, 291, 2, Smoke::mf_static, 50, 75},	//306 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {17, 759, 156, 2, Smoke::mf_static, 383, 76},	//307 QGlobalSpace::operator+(const QSize&, const QSize&)
    {17, 806, 294, 2, Smoke::mf_static, 64, 77},	//308 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {17, 806, 297, 2, Smoke::mf_static, 55, 78},	//309 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {17, 1023, 44, 1, Smoke::mf_static, 219, 79},	//310 QGlobalSpace::qt_error_string(int)
    {17, 1023, 0, 0, Smoke::mf_static, 219, 80},	//311 QGlobalSpace::qt_error_string()
    {17, 759, 262, 2, Smoke::mf_static, 385, 81},	//312 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {17, 806, 300, 2, Smoke::mf_static, 104, 82},	//313 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {17, 967, 303, 2, Smoke::mf_static, 14, 83},	//314 QGlobalSpace::qUncompress(const unsigned char*, int)
    {17, 1006, 306, 3, Smoke::mf_static, 411, 84},	//315 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {17, 965, 132, 1, Smoke::mf_static, 409, 85},	//316 QGlobalSpace::qTan(double)
    {17, 806, 310, 2, Smoke::mf_static, 44, 86},	//317 QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    {17, 748, 313, 2, Smoke::mf_static, 326, 87},	//318 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {17, 952, 44, 1, Smoke::mf_static, 232, 88},	//319 QGlobalSpace::qSetFieldWidth(int)
    {17, 806, 316, 2, Smoke::mf_static, 53, 89},	//320 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {17, 806, 319, 2, Smoke::mf_static, 42, 90},	//321 QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QNetworkConfigurationManager::Capability)
    {17, 900, 132, 1, Smoke::mf_static, 411, 91},	//322 QGlobalSpace::qFloor(double)
    {17, 773, 322, 2, Smoke::mf_static, 24, 92},	//323 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {17, 798, 325, 2, Smoke::mf_static, 20, 93},	//324 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {17, 918, 177, 1, Smoke::mf_static, 326, 94},	//325 QGlobalSpace::qIsFinite(float)
    {17, 759, 328, 2, Smoke::mf_static, 393, 95},	//326 QGlobalSpace::operator+(const QString&, QChar)
    {17, 748, 331, 2, Smoke::mf_static, 326, 96},	//327 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {17, 773, 334, 2, Smoke::mf_static, 24, 97},	//328 QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketState)
    {17, 972, 337, 3, Smoke::mf_static, 0, 98},	//329 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {17, 759, 174, 2, Smoke::mf_static, 332, 99},	//330 QGlobalSpace::operator+(const QByteArray&, const char*)
    {17, 806, 341, 2, Smoke::mf_static, 47, 100},	//331 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {17, 806, 344, 2, Smoke::mf_static, 61, 101},	//332 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {17, 806, 347, 2, Smoke::mf_static, 45, 102},	//333 QGlobalSpace::operator|(QSsl::SslOption, QFlags<QSsl::SslOption>)
    {17, 941, 350, 4, Smoke::mf_static, 433, 103},	//334 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {17, 910, 355, 1, Smoke::mf_static, 425, 104},	//335 QGlobalSpace::qHash(unsigned int)
    {17, 806, 357, 2, Smoke::mf_static, 63, 105},	//336 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {17, 910, 187, 1, Smoke::mf_static, 425, 106},	//337 QGlobalSpace::qHash(QChar)
    {17, 777, 174, 2, Smoke::mf_static, 326, 107},	//338 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {17, 916, 177, 1, Smoke::mf_static, 411, 108},	//339 QGlobalSpace::qIntCast(float)
    {17, 784, 360, 2, Smoke::mf_static, 326, 109},	//340 QGlobalSpace::operator==(const QRect&, const QRect&)
    {17, 806, 363, 2, Smoke::mf_static, 36, 110},	//341 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {17, 804, 366, 2, Smoke::mf_static, 11, 111},	//342 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {17, 790, 369, 2, Smoke::mf_static, 326, 112},	//343 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {17, 939, 372, 2, Smoke::mf_static, 433, 113},	//344 QGlobalSpace::qRealloc(void*, size_t)
    {17, 910, 69, 1, Smoke::mf_static, 425, 114},	//345 QGlobalSpace::qHash(const QString&)
    {17, 773, 375, 2, Smoke::mf_static, 20, 115},	//346 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {17, 773, 378, 2, Smoke::mf_static, 24, 116},	//347 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {17, 949, 132, 1, Smoke::mf_static, 416, 117},	//348 QGlobalSpace::qRound64(double)
    {17, 914, 381, 1, Smoke::mf_static, 432, 118},	//349 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {17, 961, 132, 1, Smoke::mf_static, 409, 119},	//350 QGlobalSpace::qSqrt(double)
    {17, 910, 383, 1, Smoke::mf_static, 425, 120},	//351 QGlobalSpace::qHash(const QModelIndex&)
    {17, 894, 132, 1, Smoke::mf_static, 409, 121},	//352 QGlobalSpace::qFastCos(double)
    {17, 798, 385, 2, Smoke::mf_static, 20, 122},	//353 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {17, 784, 388, 2, Smoke::mf_static, 326, 123},	//354 QGlobalSpace::operator==(QBool, QBool)
    {17, 784, 391, 2, Smoke::mf_static, 326, 124},	//355 QGlobalSpace::operator==(const char*, const QStringRef&)
    {17, 806, 394, 2, Smoke::mf_static, 104, 125},	//356 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {17, 910, 67, 1, Smoke::mf_static, 425, 126},	//357 QGlobalSpace::qHash(const QHostAddress&)
    {17, 922, 177, 1, Smoke::mf_static, 326, 127},	//358 QGlobalSpace::qIsNaN(float)
    {17, 777, 369, 2, Smoke::mf_static, 326, 128},	//359 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {17, 898, 1, 1, Smoke::mf_static, 405, 129},	//360 QGlobalSpace::qFlagLocation(const char*)
    {17, 806, 397, 2, Smoke::mf_static, 104, 130},	//361 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {17, 922, 132, 1, Smoke::mf_static, 326, 131},	//362 QGlobalSpace::qIsNaN(double)
    {17, 759, 400, 2, Smoke::mf_static, 393, 132},	//363 QGlobalSpace::operator+(QChar, const QString&)
    {17, 806, 403, 2, Smoke::mf_static, 104, 133},	//364 QGlobalSpace::operator|(QString::SectionFlag, int)
    {17, 806, 406, 2, Smoke::mf_static, 104, 134},	//365 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {17, 798, 409, 2, Smoke::mf_static, 20, 135},	//366 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {17, 1017, 6, 3, Smoke::mf_static, 0, 136},	//367 QGlobalSpace::qt_assert(const char*, const char*, int)
    {17, 910, 33, 1, Smoke::mf_static, 425, 137},	//368 QGlobalSpace::qHash(long long)
    {17, 748, 412, 2, Smoke::mf_static, 326, 138},	//369 QGlobalSpace::operator!=(const QString&, QString::Null)
    {17, 978, 268, 4, Smoke::mf_static, 329, 139},	//370 QGlobalSpace::qfcvt(long double, int, int*, int*)
    {17, 806, 415, 2, Smoke::mf_static, 104, 140},	//371 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {17, 806, 418, 2, Smoke::mf_static, 47, 141},	//372 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {17, 748, 189, 2, Smoke::mf_static, 326, 142},	//373 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {17, 764, 165, 2, Smoke::mf_static, 377, 143},	//374 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {17, 784, 331, 2, Smoke::mf_static, 326, 144},	//375 QGlobalSpace::operator==(QString::Null, QString::Null)
    {17, 806, 421, 2, Smoke::mf_static, 56, 145},	//376 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {17, 769, 369, 2, Smoke::mf_static, 326, 146},	//377 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {17, 806, 424, 2, Smoke::mf_static, 66, 147},	//378 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {17, 908, 177, 1, Smoke::mf_static, 326, 148},	//379 QGlobalSpace::qFuzzyIsNull(float)
    {17, 806, 427, 2, Smoke::mf_static, 60, 149},	//380 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {17, 998, 430, 2, Smoke::mf_static, 329, 150},	//381 QGlobalSpace::qstrcpy(char*, const char*)
    {17, 910, 44, 1, Smoke::mf_static, 425, 151},	//382 QGlobalSpace::qHash(int)
    {17, 759, 165, 2, Smoke::mf_static, 377, 152},	//383 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {17, 806, 433, 2, Smoke::mf_static, 51, 153},	//384 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {17, 784, 262, 2, Smoke::mf_static, 326, 154},	//385 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {17, 764, 436, 1, Smoke::mf_static, 375, 155},	//386 QGlobalSpace::operator-(const QPoint&)
    {17, 806, 438, 2, Smoke::mf_static, 104, 156},	//387 QGlobalSpace::operator|(Qt::DropAction, int)
    {17, 773, 441, 2, Smoke::mf_static, 20, 157},	//388 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {17, 806, 444, 2, Smoke::mf_static, 104, 158},	//389 QGlobalSpace::operator|(QDir::SortFlag, int)
    {17, 956, 44, 1, Smoke::mf_static, 232, 159},	//390 QGlobalSpace::qSetRealNumberPrecision(int)
    {17, 890, 132, 1, Smoke::mf_static, 409, 160},	//391 QGlobalSpace::qExp(double)
    {17, 784, 447, 2, Smoke::mf_static, 326, 161},	//392 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {17, 926, 132, 1, Smoke::mf_static, 409, 162},	//393 QGlobalSpace::qLn(double)
    {17, 773, 450, 2, Smoke::mf_static, 24, 163},	//394 QGlobalSpace::operator<<(QDebug, const QNetworkCookie&)
    {17, 773, 453, 2, Smoke::mf_static, 24, 164},	//395 QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketError)
    {17, 748, 262, 2, Smoke::mf_static, 326, 165},	//396 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {17, 943, 456, 1, Smoke::mf_static, 0, 166},	//397 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {17, 879, 140, 2, Smoke::mf_static, 428, 167},	//398 QGlobalSpace::qChecksum(const char*, unsigned int)
    {17, 806, 458, 2, Smoke::mf_static, 59, 168},	//399 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {17, 928, 461, 1, Smoke::mf_static, 433, 169},	//400 QGlobalSpace::qMalloc(size_t)
    {17, 938, 0, 0, Smoke::mf_static, 409, 170},	//401 QGlobalSpace::qQNaN()
    {17, 806, 463, 2, Smoke::mf_static, 52, 171},	//402 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {17, 798, 466, 2, Smoke::mf_static, 20, 172},	//403 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {17, 986, 159, 2, Smoke::mf_static, 326, 173},	//404 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {17, 773, 469, 2, Smoke::mf_static, 24, 174},	//405 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {17, 806, 472, 2, Smoke::mf_static, 104, 175},	//406 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {17, 991, 355, 1, Smoke::mf_static, 0, 176},	//407 QGlobalSpace::qsrand(unsigned int)
    {17, 910, 475, 1, Smoke::mf_static, 425, 177},	//408 QGlobalSpace::qHash(long)
    {17, 756, 477, 2, Smoke::mf_static, 375, 178},	//409 QGlobalSpace::operator*(int, const QPoint&)
    {17, 790, 127, 2, Smoke::mf_static, 326, 179},	//410 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {17, 910, 65, 1, Smoke::mf_static, 425, 180},	//411 QGlobalSpace::qHash(unsigned short)
    {17, 798, 480, 2, Smoke::mf_static, 20, 181},	//412 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {17, 748, 165, 2, Smoke::mf_static, 326, 182},	//413 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {17, 806, 483, 2, Smoke::mf_static, 37, 183},	//414 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {17, 1010, 306, 3, Smoke::mf_static, 411, 184},	//415 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {17, 798, 486, 2, Smoke::mf_static, 20, 185},	//416 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {17, 784, 203, 2, Smoke::mf_static, 326, 186},	//417 QGlobalSpace::operator==(QString::Null, const QString&)
    {17, 784, 313, 2, Smoke::mf_static, 326, 187},	//418 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {17, 759, 369, 2, Smoke::mf_static, 332, 188},	//419 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {17, 910, 489, 1, Smoke::mf_static, 425, 189},	//420 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {17, 773, 491, 2, Smoke::mf_static, 20, 190},	//421 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {17, 773, 494, 2, Smoke::mf_static, 20, 191},	//422 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {17, 1032, 497, 3, Smoke::mf_static, 180, 192},	//423 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {17, 806, 501, 2, Smoke::mf_static, 46, 193},	//424 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {17, 767, 504, 2, Smoke::mf_static, 377, 194},	//425 QGlobalSpace::operator/(const QPointF&, double)
    {17, 748, 507, 2, Smoke::mf_static, 326, 195},	//426 QGlobalSpace::operator!=(bool, QBool)
    {17, 798, 510, 2, Smoke::mf_static, 20, 196},	//427 QGlobalSpace::operator>>(QDataStream&, QNetworkCacheMetaData&)
    {17, 1008, 513, 3, Smoke::mf_static, 329, 197},	//428 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {17, 806, 517, 2, Smoke::mf_static, 104, 198},	//429 QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, int)
    {17, 967, 198, 1, Smoke::mf_static, 14, 199},	//430 QGlobalSpace::qUncompress(const QByteArray&)
    {17, 798, 520, 2, Smoke::mf_static, 20, 200},	//431 QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    {17, 773, 523, 2, Smoke::mf_static, 20, 201},	//432 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {17, 798, 526, 2, Smoke::mf_static, 20, 202},	//433 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {17, 806, 529, 2, Smoke::mf_static, 104, 203},	//434 QGlobalSpace::operator|(Qt::MouseButton, int)
    {17, 764, 532, 1, Smoke::mf_static, 377, 204},	//435 QGlobalSpace::operator-(const QPointF&)
    {17, 784, 507, 2, Smoke::mf_static, 326, 205},	//436 QGlobalSpace::operator==(bool, QBool)
    {17, 988, 0, 0, Smoke::mf_static, 411, 206},	//437 QGlobalSpace::qrand()
    {17, 806, 534, 2, Smoke::mf_static, 43, 207},	//438 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>)
    {17, 773, 537, 2, Smoke::mf_static, 24, 208},	//439 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {17, 1019, 540, 4, Smoke::mf_static, 0, 209},	//440 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {17, 756, 545, 2, Smoke::mf_static, 375, 210},	//441 QGlobalSpace::operator*(float, const QPoint&)
    {17, 754, 366, 2, Smoke::mf_static, 11, 211},	//442 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {17, 794, 159, 2, Smoke::mf_static, 326, 212},	//443 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {17, 806, 548, 2, Smoke::mf_static, 61, 213},	//444 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {17, 773, 551, 2, Smoke::mf_static, 24, 214},	//445 QGlobalSpace::operator<<(QDebug, const QNetworkInterface&)
    {17, 806, 554, 2, Smoke::mf_static, 104, 215},	//446 QGlobalSpace::operator|(QUdpSocket::BindFlag, int)
    {17, 806, 557, 2, Smoke::mf_static, 104, 216},	//447 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {17, 748, 560, 2, Smoke::mf_static, 326, 217},	//448 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {17, 888, 0, 0, Smoke::mf_static, 24, 218},	//449 QGlobalSpace::qCritical()
    {17, 806, 563, 2, Smoke::mf_static, 55, 219},	//450 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {17, 748, 159, 2, Smoke::mf_static, 326, 220},	//451 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {17, 773, 566, 2, Smoke::mf_static, 24, 221},	//452 QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketError)
    {17, 748, 224, 2, Smoke::mf_static, 326, 222},	//453 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {17, 784, 560, 2, Smoke::mf_static, 326, 223},	//454 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {17, 773, 569, 2, Smoke::mf_static, 20, 224},	//455 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {17, 759, 572, 2, Smoke::mf_static, 332, 225},	//456 QGlobalSpace::operator+(const QByteArray&, char)
    {17, 806, 575, 2, Smoke::mf_static, 35, 226},	//457 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {17, 806, 578, 2, Smoke::mf_static, 33, 227},	//458 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {17, 798, 581, 2, Smoke::mf_static, 20, 228},	//459 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {17, 767, 584, 2, Smoke::mf_static, 385, 229},	//460 QGlobalSpace::operator/(const QSizeF&, double)
    {17, 773, 587, 2, Smoke::mf_static, 20, 230},	//461 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {17, 784, 224, 2, Smoke::mf_static, 326, 231},	//462 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {17, 867, 590, 1, Smoke::mf_static, 0, 232},	//463 QGlobalSpace::qAddPostRoutine(void(*)())
    {17, 881, 592, 3, Smoke::mf_static, 14, 233},	//464 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {17, 881, 303, 2, Smoke::mf_static, 14, 234},	//465 QGlobalSpace::qCompress(const unsigned char*, int)
    {17, 777, 159, 2, Smoke::mf_static, 326, 235},	//466 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {17, 896, 132, 1, Smoke::mf_static, 409, 236},	//467 QGlobalSpace::qFastSin(double)
    {17, 777, 127, 2, Smoke::mf_static, 326, 237},	//468 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {17, 773, 596, 2, Smoke::mf_static, 20, 238},	//469 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {17, 798, 599, 2, Smoke::mf_static, 20, 239},	//470 QGlobalSpace::operator>>(QDataStream&, QString&)
    {17, 869, 0, 0, Smoke::mf_static, 219, 240},	//471 QGlobalSpace::qAppName()
    {17, 970, 0, 0, Smoke::mf_static, 405, 241},	//472 QGlobalSpace::qVersion()
    {17, 773, 602, 2, Smoke::mf_static, 24, 242},	//473 QGlobalSpace::operator<<(QDebug, const QHostAddress&)
    {17, 902, 605, 1, Smoke::mf_static, 0, 243},	//474 QGlobalSpace::qFree(void*)
    {17, 806, 607, 2, Smoke::mf_static, 104, 244},	//475 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {17, 904, 605, 1, Smoke::mf_static, 0, 245},	//476 QGlobalSpace::qFreeAligned(void*)
    {17, 784, 412, 2, Smoke::mf_static, 326, 246},	//477 QGlobalSpace::operator==(const QString&, QString::Null)
    {17, 773, 610, 2, Smoke::mf_static, 24, 247},	//478 QGlobalSpace::operator<<(QDebug, const QDir&)
    {17, 773, 613, 2, Smoke::mf_static, 229, 248},	//479 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {17, 769, 174, 2, Smoke::mf_static, 326, 249},	//480 QGlobalSpace::operator<(const QByteArray&, const char*)
    {17, 773, 616, 2, Smoke::mf_static, 24, 250},	//481 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {17, 773, 619, 2, Smoke::mf_static, 24, 251},	//482 QGlobalSpace::operator<<(QDebug, const QSslCertificate&)
    {17, 806, 622, 2, Smoke::mf_static, 36, 252},	//483 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {17, 910, 625, 1, Smoke::mf_static, 425, 253},	//484 QGlobalSpace::qHash(const QBitArray&)
    {17, 773, 627, 2, Smoke::mf_static, 24, 254},	//485 QGlobalSpace::operator<<(QDebug, const QTime&)
    {17, 773, 630, 2, Smoke::mf_static, 229, 255},	//486 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {17, 877, 132, 1, Smoke::mf_static, 411, 256},	//487 QGlobalSpace::qCeil(double)
    {17, 748, 192, 2, Smoke::mf_static, 326, 257},	//488 QGlobalSpace::operator!=(QChar, QChar)
    {17, 806, 633, 2, Smoke::mf_static, 54, 258},	//489 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {17, 963, 636, 2, Smoke::mf_static, 326, 259},	//490 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {17, 1000, 1, 1, Smoke::mf_static, 329, 260},	//491 QGlobalSpace::qstrdup(const char*)
    {17, 784, 639, 2, Smoke::mf_static, 326, 261},	//492 QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    {17, 798, 642, 2, Smoke::mf_static, 20, 262},	//493 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {17, 748, 391, 2, Smoke::mf_static, 326, 263},	//494 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {17, 889, 0, 0, Smoke::mf_static, 24, 264},	//495 QGlobalSpace::qDebug()
    {17, 930, 645, 2, Smoke::mf_static, 433, 265},	//496 QGlobalSpace::qMallocAligned(size_t, size_t)
    {17, 748, 636, 2, Smoke::mf_static, 326, 266},	//497 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {17, 976, 648, 6, Smoke::mf_static, 411, 267},	//498 QGlobalSpace::qecvt_r(long double, int, int*, int*, char*, size_t)
    {17, 936, 168, 2, Smoke::mf_static, 409, 268},	//499 QGlobalSpace::qPow(double, double)
    {17, 773, 655, 2, Smoke::mf_static, 24, 269},	//500 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {17, 806, 658, 2, Smoke::mf_static, 104, 270},	//501 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {17, 798, 613, 2, Smoke::mf_static, 229, 271},	//502 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {17, 759, 661, 2, Smoke::mf_static, 332, 272},	//503 QGlobalSpace::operator+(char, const QByteArray&)
    {17, 784, 159, 2, Smoke::mf_static, 326, 273},	//504 QGlobalSpace::operator==(const char*, const QByteArray&)
    {17, 773, 664, 2, Smoke::mf_static, 20, 274},	//505 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {17, 764, 156, 2, Smoke::mf_static, 383, 275},	//506 QGlobalSpace::operator-(const QSize&, const QSize&)
    {17, 773, 667, 2, Smoke::mf_static, 24, 276},	//507 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {17, 806, 670, 2, Smoke::mf_static, 104, 277},	//508 QGlobalSpace::operator|(Qt::WindowState, int)
    {17, 798, 673, 2, Smoke::mf_static, 20, 278},	//509 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {17, 748, 447, 2, Smoke::mf_static, 326, 279},	//510 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {17, 773, 676, 2, Smoke::mf_static, 24, 280},	//511 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {17, 806, 679, 2, Smoke::mf_static, 58, 281},	//512 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {17, 756, 682, 2, Smoke::mf_static, 377, 282},	//513 QGlobalSpace::operator*(double, const QPointF&)
    {17, 798, 685, 2, Smoke::mf_static, 20, 283},	//514 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {17, 806, 688, 2, Smoke::mf_static, 53, 284},	//515 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {17, 784, 127, 2, Smoke::mf_static, 326, 285},	//516 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {17, 756, 691, 2, Smoke::mf_static, 383, 286},	//517 QGlobalSpace::operator*(const QSize&, double)
    {17, 773, 694, 2, Smoke::mf_static, 24, 287},	//518 QGlobalSpace::operator<<(QDebug, const QDate&)
    {17, 806, 697, 2, Smoke::mf_static, 33, 288},	//519 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {17, 1041, 700, 4, Smoke::mf_static, 411, 289},	//520 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {17, 756, 705, 2, Smoke::mf_static, 375, 290},	//521 QGlobalSpace::operator*(double, const QPoint&)
    {17, 934, 708, 3, Smoke::mf_static, 433, 291},	//522 QGlobalSpace::qMemSet(void*, int, size_t)
    {17, 773, 712, 2, Smoke::mf_static, 20, 292},	//523 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {17, 1021, 715, 2, Smoke::mf_static, 0, 293},	//524 QGlobalSpace::qt_check_pointer(const char*, int)
    {17, 910, 718, 1, Smoke::mf_static, 425, 294},	//525 QGlobalSpace::qHash(short)
    {17, 806, 720, 2, Smoke::mf_static, 38, 295},	//526 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {17, 892, 132, 1, Smoke::mf_static, 409, 296},	//527 QGlobalSpace::qFabs(double)
    {17, 806, 723, 2, Smoke::mf_static, 52, 297},	//528 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {17, 806, 726, 2, Smoke::mf_static, 34, 298},	//529 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {17, 806, 729, 2, Smoke::mf_static, 104, 299},	//530 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, int)
    {17, 993, 369, 2, Smoke::mf_static, 411, 300},	//531 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {17, 906, 732, 2, Smoke::mf_static, 326, 301},	//532 QGlobalSpace::qFuzzyCompare(float, float)
    {17, 784, 735, 2, Smoke::mf_static, 326, 302},	//533 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {17, 806, 738, 2, Smoke::mf_static, 39, 303},	//534 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {17, 980, 648, 6, Smoke::mf_static, 411, 304},	//535 QGlobalSpace::qfcvt_r(long double, int, int*, int*, char*, size_t)
    {17, 982, 741, 3, Smoke::mf_static, 329, 305},	//536 QGlobalSpace::qgcvt(long double, int, char*)
    {17, 989, 745, 4, Smoke::mf_static, 0, 306},	//537 QGlobalSpace::qsort(void*, size_t, size_t, int(*)(const void*,const void*))
    {17, 865, 132, 1, Smoke::mf_static, 409, 307},	//538 QGlobalSpace::qAcos(double)
    {17, 806, 750, 2, Smoke::mf_static, 49, 308},	//539 QGlobalSpace::operator|(QUdpSocket::BindFlag, QUdpSocket::BindFlag)
    {17, 806, 753, 2, Smoke::mf_static, 104, 309},	//540 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {17, 806, 756, 2, Smoke::mf_static, 56, 310},	//541 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {17, 794, 369, 2, Smoke::mf_static, 326, 311},	//542 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {17, 806, 759, 2, Smoke::mf_static, 104, 312},	//543 QGlobalSpace::operator|(QSsl::SslOption, int)
    {17, 876, 0, 0, Smoke::mf_static, 0, 313},	//544 QGlobalSpace::qBadAlloc()
    {17, 773, 762, 2, Smoke::mf_static, 24, 314},	//545 QGlobalSpace::operator<<(QDebug, const QLine&)
    {17, 806, 765, 2, Smoke::mf_static, 62, 315},	//546 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {17, 806, 768, 2, Smoke::mf_static, 104, 316},	//547 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {17, 908, 132, 1, Smoke::mf_static, 326, 317},	//548 QGlobalSpace::qFuzzyIsNull(double)
    {17, 881, 771, 2, Smoke::mf_static, 14, 318},	//549 QGlobalSpace::qCompress(const QByteArray&, int)
    {17, 881, 198, 1, Smoke::mf_static, 14, 319},	//550 QGlobalSpace::qCompress(const QByteArray&)
    {17, 806, 774, 2, Smoke::mf_static, 50, 320},	//551 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {17, 806, 777, 2, Smoke::mf_static, 104, 321},	//552 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {17, 806, 780, 2, Smoke::mf_static, 65, 322},	//553 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {17, 806, 783, 2, Smoke::mf_static, 32, 323},	//554 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {17, 773, 786, 2, Smoke::mf_static, 24, 324},	//555 QGlobalSpace::operator<<(QDebug, const QSslError::SslError&)
    {17, 806, 789, 2, Smoke::mf_static, 45, 325},	//556 QGlobalSpace::operator|(QSsl::SslOption, QSsl::SslOption)
    {17, 773, 792, 2, Smoke::mf_static, 20, 326},	//557 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {17, 773, 795, 2, Smoke::mf_static, 20, 327},	//558 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {17, 773, 798, 2, Smoke::mf_static, 20, 328},	//559 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {17, 870, 132, 1, Smoke::mf_static, 409, 329},	//560 QGlobalSpace::qAsin(double)
    {17, 773, 801, 2, Smoke::mf_static, 24, 330},	//561 QGlobalSpace::operator<<(QDebug, const QRect&)
    {17, 806, 804, 2, Smoke::mf_static, 34, 331},	//562 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {17, 748, 360, 2, Smoke::mf_static, 326, 332},	//563 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {17, 959, 132, 1, Smoke::mf_static, 409, 333},	//564 QGlobalSpace::qSin(double)
    {17, 806, 807, 2, Smoke::mf_static, 104, 334},	//565 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {17, 784, 369, 2, Smoke::mf_static, 326, 335},	//566 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {17, 798, 810, 2, Smoke::mf_static, 20, 336},	//567 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {17, 806, 366, 2, Smoke::mf_static, 11, 337},	//568 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {17, 773, 813, 2, Smoke::mf_static, 20, 338},	//569 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {17, 773, 816, 2, Smoke::mf_static, 20, 339},	//570 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {17, 806, 819, 2, Smoke::mf_static, 104, 340},	//571 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {17, 773, 822, 2, Smoke::mf_static, 20, 341},	//572 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {17, 1014, 715, 2, Smoke::mf_static, 219, 342},	//573 QGlobalSpace::qtTrId(const char*, int)
    {17, 1014, 1, 1, Smoke::mf_static, 219, 343},	//574 QGlobalSpace::qtTrId(const char*)
    {17, 773, 825, 2, Smoke::mf_static, 24, 344},	//575 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {17, 777, 192, 2, Smoke::mf_static, 326, 345},	//576 QGlobalSpace::operator<=(QChar, QChar)
    {17, 806, 828, 2, Smoke::mf_static, 65, 346},	//577 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {17, 748, 735, 2, Smoke::mf_static, 326, 347},	//578 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {17, 806, 831, 2, Smoke::mf_static, 57, 348},	//579 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {17, 798, 834, 2, Smoke::mf_static, 20, 349},	//580 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {17, 756, 837, 2, Smoke::mf_static, 375, 350},	//581 QGlobalSpace::operator*(const QPoint&, int)
    {17, 798, 840, 2, Smoke::mf_static, 20, 351},	//582 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {17, 1039, 843, 3, Smoke::mf_static, 326, 352},	//583 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {17, 767, 691, 2, Smoke::mf_static, 383, 353},	//584 QGlobalSpace::operator/(const QSize&, double)
    {17, 924, 177, 1, Smoke::mf_static, 326, 354},	//585 QGlobalSpace::qIsNull(float)
    {17, 1034, 847, 5, Smoke::mf_static, 0, 355},	//586 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {17, 784, 853, 2, Smoke::mf_static, 326, 356},	//587 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {17, 872, 132, 1, Smoke::mf_static, 409, 357},	//588 QGlobalSpace::qAtan(double)
    {17, 798, 856, 2, Smoke::mf_static, 20, 358},	//589 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {17, 806, 859, 2, Smoke::mf_static, 104, 359},	//590 QGlobalSpace::operator|(Qt::Orientation, int)
    {17, 906, 168, 2, Smoke::mf_static, 326, 360},	//591 QGlobalSpace::qFuzzyCompare(double, double)
    {17, 756, 253, 2, Smoke::mf_static, 375, 361},	//592 QGlobalSpace::operator*(const QPoint&, double)
    {17, 806, 862, 2, Smoke::mf_static, 54, 362},	//593 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {17, 806, 865, 2, Smoke::mf_static, 38, 363},	//594 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {17, 951, 0, 0, Smoke::mf_static, 409, 364},	//595 QGlobalSpace::qSNaN()
    {17, 784, 174, 2, Smoke::mf_static, 326, 365},	//596 QGlobalSpace::operator==(const QByteArray&, const char*)
    {17, 756, 584, 2, Smoke::mf_static, 385, 366},	//597 QGlobalSpace::operator*(const QSizeF&, double)
    {17, 784, 636, 2, Smoke::mf_static, 326, 367},	//598 QGlobalSpace::operator==(const QStringRef&, const char*)
    {17, 756, 868, 2, Smoke::mf_static, 375, 368},	//599 QGlobalSpace::operator*(const QPoint&, float)
    {17, 756, 871, 2, Smoke::mf_static, 383, 369},	//600 QGlobalSpace::operator*(double, const QSize&)
    {17, 769, 127, 2, Smoke::mf_static, 326, 370},	//601 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {17, 773, 874, 2, Smoke::mf_static, 24, 371},	//602 QGlobalSpace::operator<<(QDebug, const QSslKey&)
    {17, 748, 877, 2, Smoke::mf_static, 326, 372},	//603 QGlobalSpace::operator!=(QBool, bool)
    {17, 748, 156, 2, Smoke::mf_static, 326, 373},	//604 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {17, 798, 880, 2, Smoke::mf_static, 20, 374},	//605 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {17, 773, 883, 2, Smoke::mf_static, 24, 375},	//606 QGlobalSpace::operator<<(QDebug, const QSize&)
    {17, 806, 886, 2, Smoke::mf_static, 48, 376},	//607 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {17, 756, 504, 2, Smoke::mf_static, 377, 377},	//608 QGlobalSpace::operator*(const QPointF&, double)
    {17, 1002, 3, 2, Smoke::mf_static, 411, 378},	//609 QGlobalSpace::qstricmp(const char*, const char*)
    {17, 806, 889, 2, Smoke::mf_static, 60, 379},	//610 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {17, 748, 184, 2, Smoke::mf_static, 326, 380},	//611 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {17, 947, 132, 1, Smoke::mf_static, 411, 381},	//612 QGlobalSpace::qRound(double)
    {17, 913, 0, 0, Smoke::mf_static, 409, 382},	//613 QGlobalSpace::qInf()
    {17, 773, 892, 2, Smoke::mf_static, 20, 383},	//614 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {17, 806, 895, 2, Smoke::mf_static, 57, 384},	//615 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {17, 773, 898, 2, Smoke::mf_static, 20, 385},	//616 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {17, 806, 901, 2, Smoke::mf_static, 39, 386},	//617 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {17, 806, 904, 2, Smoke::mf_static, 104, 387},	//618 QGlobalSpace::operator|(Qt::WindowType, int)
    {17, 993, 174, 2, Smoke::mf_static, 411, 388},	//619 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {17, 806, 907, 2, Smoke::mf_static, 43, 389},	//620 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag)
    {17, 945, 590, 1, Smoke::mf_static, 0, 390},	//621 QGlobalSpace::qRemovePostRoutine(void(*)())
    {17, 798, 910, 2, Smoke::mf_static, 20, 391},	//622 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {17, 773, 913, 2, Smoke::mf_static, 20, 392},	//623 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {17, 806, 916, 2, Smoke::mf_static, 59, 393},	//624 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {17, 806, 919, 2, Smoke::mf_static, 51, 394},	//625 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {17, 971, 0, 0, Smoke::mf_static, 24, 395},	//626 QGlobalSpace::qWarning()
    {17, 1004, 1, 1, Smoke::mf_static, 425, 396},	//627 QGlobalSpace::qstrlen(const char*)
    {17, 784, 877, 2, Smoke::mf_static, 326, 397},	//628 QGlobalSpace::operator==(QBool, bool)
    {17, 773, 922, 2, Smoke::mf_static, 24, 398},	//629 QGlobalSpace::operator<<(QDebug, const QSslCipher&)
    {17, 798, 925, 2, Smoke::mf_static, 20, 399},	//630 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {17, 798, 928, 2, Smoke::mf_static, 20, 400},	//631 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {17, 910, 931, 1, Smoke::mf_static, 425, 401},	//632 QGlobalSpace::qHash(unsigned long)
    {17, 773, 933, 2, Smoke::mf_static, 20, 402},	//633 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {17, 773, 936, 2, Smoke::mf_static, 20, 403},	//634 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {17, 806, 939, 2, Smoke::mf_static, 40, 404},	//635 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {17, 806, 942, 2, Smoke::mf_static, 46, 405},	//636 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {17, 759, 88, 2, Smoke::mf_static, 393, 406},	//637 QGlobalSpace::operator+(const QString&, const QString&)
    {17, 748, 388, 2, Smoke::mf_static, 326, 407},	//638 QGlobalSpace::operator!=(QBool, QBool)
    {17, 806, 945, 2, Smoke::mf_static, 32, 408},	//639 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {17, 1025, 948, 2, Smoke::mf_static, 0, 409},	//640 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {17, 806, 951, 2, Smoke::mf_static, 42, 410},	//641 QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QFlags<QNetworkConfigurationManager::Capability>)
    {17, 910, 954, 1, Smoke::mf_static, 425, 411},	//642 QGlobalSpace::qHash(const QStringRef&)
    {17, 924, 132, 1, Smoke::mf_static, 326, 412},	//643 QGlobalSpace::qIsNull(double)
    {17, 806, 956, 2, Smoke::mf_static, 104, 413},	//644 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {17, 790, 174, 2, Smoke::mf_static, 326, 414},	//645 QGlobalSpace::operator>(const QByteArray&, const char*)
    {17, 910, 959, 1, Smoke::mf_static, 425, 415},	//646 QGlobalSpace::qHash(unsigned char)
    {17, 798, 961, 2, Smoke::mf_static, 20, 416},	//647 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {17, 773, 964, 2, Smoke::mf_static, 24, 417},	//648 QGlobalSpace::operator<<(QDebug, const QObject*)
    {17, 806, 967, 2, Smoke::mf_static, 104, 418},	//649 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {17, 748, 369, 2, Smoke::mf_static, 326, 419},	//650 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {17, 798, 970, 2, Smoke::mf_static, 20, 420},	//651 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {17, 773, 973, 2, Smoke::mf_static, 20, 421},	//652 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {17, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 422},	//653 QGlobalSpace::_IEEE_ (enum)
    {17, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 423},	//654 QGlobalSpace::_SVID_ (enum)
    {17, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 424},	//655 QGlobalSpace::_XOPEN_ (enum)
    {17, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 425},	//656 QGlobalSpace::_POSIX_ (enum)
    {17, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 426},	//657 QGlobalSpace::_ISOC_ (enum)
    {17, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 323, 427},	//658 QGlobalSpace::QtDebugMsg (enum)
    {17, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 323, 428},	//659 QGlobalSpace::QtWarningMsg (enum)
    {17, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 323, 429},	//660 QGlobalSpace::QtCriticalMsg (enum)
    {17, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 323, 430},	//661 QGlobalSpace::QtFatalMsg (enum)
    {17, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 323, 431},	//662 QGlobalSpace::QtSystemMsg (enum)
    {17, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 325, 432},	//663 QGlobalSpace::__codecvt_ok (enum)
    {17, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 325, 433},	//664 QGlobalSpace::__codecvt_partial (enum)
    {17, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 325, 434},	//665 QGlobalSpace::__codecvt_error (enum)
    {17, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 325, 435},	//666 QGlobalSpace::__codecvt_noconv (enum)
    {19, 194, 0, 0, Smoke::mf_ctor, 77, 1},	//667 QHostAddress::QHostAddress()
    {19, 194, 355, 1, Smoke::mf_ctor, 77, 2},	//668 QHostAddress::QHostAddress(unsigned int)
    {19, 194, 976, 1, Smoke::mf_ctor, 77, 3},	//669 QHostAddress::QHostAddress(unsigned char*)
    {19, 194, 978, 1, Smoke::mf_ctor, 77, 4},	//670 QHostAddress::QHostAddress(const QIPv6Address&)
    {19, 194, 980, 1, Smoke::mf_ctor, 77, 5},	//671 QHostAddress::QHostAddress(const sockaddr*)
    {19, 194, 69, 1, Smoke::mf_ctor, 77, 6},	//672 QHostAddress::QHostAddress(const QString&)
    {19, 194, 67, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 77, 7},	//673 QHostAddress::QHostAddress(const QHostAddress&)
    {19, 194, 982, 1, Smoke::mf_ctor, 77, 8},	//674 QHostAddress::QHostAddress(QHostAddress::SpecialAddress)
    {19, 781, 67, 1, 0, 76, 9},	//675 QHostAddress::operator=(const QHostAddress&)
    {19, 781, 69, 1, 0, 76, 10},	//676 QHostAddress::operator=(const QString&)
    {19, 1107, 355, 1, 0, 0, 11},	//677 QHostAddress::setAddress(unsigned int)
    {19, 1107, 976, 1, 0, 0, 12},	//678 QHostAddress::setAddress(unsigned char*)
    {19, 1107, 978, 1, 0, 0, 13},	//679 QHostAddress::setAddress(const QIPv6Address&)
    {19, 1107, 980, 1, 0, 0, 14},	//680 QHostAddress::setAddress(const sockaddr*)
    {19, 1107, 69, 1, 0, 326, 15},	//681 QHostAddress::setAddress(const QString&)
    {19, 850, 0, 0, Smoke::mf_const, 4, 16},	//682 QHostAddress::protocol() const
    {19, 1368, 0, 0, Smoke::mf_const, 425, 17},	//683 QHostAddress::toIPv4Address() const
    {19, 1369, 0, 0, Smoke::mf_const, 102, 18},	//684 QHostAddress::toIPv6Address() const
    {19, 1374, 0, 0, Smoke::mf_const, 219, 19},	//685 QHostAddress::toString() const
    {19, 1094, 0, 0, Smoke::mf_const, 219, 20},	//686 QHostAddress::scopeId() const
    {19, 1283, 69, 1, 0, 0, 21},	//687 QHostAddress::setScopeId(const QString&)
    {19, 784, 67, 1, Smoke::mf_const, 326, 22},	//688 QHostAddress::operator==(const QHostAddress&) const
    {19, 784, 982, 1, Smoke::mf_const, 326, 23},	//689 QHostAddress::operator==(QHostAddress::SpecialAddress) const
    {19, 748, 67, 1, Smoke::mf_const, 326, 24},	//690 QHostAddress::operator!=(const QHostAddress&) const
    {19, 748, 982, 1, Smoke::mf_const, 326, 25},	//691 QHostAddress::operator!=(QHostAddress::SpecialAddress) const
    {19, 667, 0, 0, Smoke::mf_const, 326, 26},	//692 QHostAddress::isNull() const
    {19, 496, 0, 0, 0, 0, 27},	//693 QHostAddress::clear()
    {19, 663, 984, 2, Smoke::mf_const, 326, 28},	//694 QHostAddress::isInSubnet(const QHostAddress&, int) const
    {19, 663, 987, 1, Smoke::mf_const, 326, 29},	//695 QHostAddress::isInSubnet(const QPair<QHostAddress,int>&) const
    {19, 820, 69, 1, Smoke::mf_static, 183, 30},	//696 QHostAddress::parseSubnet(const QString&)
    {19, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 31},	//697 QHostAddress::Null (enum)
    {19, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 32},	//698 QHostAddress::Broadcast (enum)
    {19, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 33},	//699 QHostAddress::LocalHost (enum)
    {19, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 34},	//700 QHostAddress::LocalHostIPv6 (enum)
    {19, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 35},	//701 QHostAddress::Any (enum)
    {19, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 36},	//702 QHostAddress::AnyIPv6 (enum)
    {19, 1421, 0, 0, Smoke::mf_dtor, 0, 37 },	//703 QHostAddress::~QHostAddress()
    {20, 197, 44, 1, Smoke::mf_ctor, 81, 1},	//704 QHostInfo::QHostInfo(int)
    {20, 197, 989, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 81, 2},	//705 QHostInfo::QHostInfo(const QHostInfo&)
    {20, 781, 989, 1, 0, 80, 3},	//706 QHostInfo::operator=(const QHostInfo&)
    {20, 638, 0, 0, Smoke::mf_const, 219, 4},	//707 QHostInfo::hostName() const
    {20, 1180, 69, 1, 0, 0, 5},	//708 QHostInfo::setHostName(const QString&)
    {20, 448, 0, 0, Smoke::mf_const, 110, 6},	//709 QHostInfo::addresses() const
    {20, 1110, 991, 1, 0, 0, 7},	//710 QHostInfo::setAddresses(const QList<QHostAddress>&)
    {20, 585, 0, 0, Smoke::mf_const, 82, 8},	//711 QHostInfo::error() const
    {20, 1161, 993, 1, 0, 0, 9},	//712 QHostInfo::setError(QHostInfo::HostInfoError)
    {20, 587, 0, 0, Smoke::mf_const, 219, 10},	//713 QHostInfo::errorString() const
    {20, 1164, 69, 1, 0, 0, 11},	//714 QHostInfo::setErrorString(const QString&)
    {20, 1198, 44, 1, 0, 0, 12},	//715 QHostInfo::setLookupId(int)
    {20, 715, 0, 0, Smoke::mf_const, 411, 13},	//716 QHostInfo::lookupId() const
    {20, 713, 995, 3, Smoke::mf_static, 411, 14},	//717 QHostInfo::lookupHost(const QString&, QObject*, const char*)
    {20, 424, 44, 1, Smoke::mf_static, 0, 15},	//718 QHostInfo::abortHostLookup(int)
    {20, 605, 69, 1, Smoke::mf_static, 79, 16},	//719 QHostInfo::fromName(const QString&)
    {20, 708, 0, 0, Smoke::mf_static, 219, 17},	//720 QHostInfo::localHostName()
    {20, 707, 0, 0, Smoke::mf_static, 219, 18},	//721 QHostInfo::localDomainName()
    {20, 197, 0, 0, Smoke::mf_ctor, 81, 19},	//722 QHostInfo::QHostInfo()
    {20, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 20},	//723 QHostInfo::NoError (enum)
    {20, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 21},	//724 QHostInfo::HostNotFound (enum)
    {20, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 22},	//725 QHostInfo::UnknownError (enum)
    {20, 1422, 0, 0, Smoke::mf_dtor, 0, 23 },	//726 QHostInfo::~QHostInfo()
    {21, 723, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 361, 1},	//727 QHttp::metaObject() const
    {21, 1029, 1, 1, Smoke::mf_virtual, 433, 2},	//728 QHttp::qt_metacast(const char*)
    {21, 1375, 3, 2, Smoke::mf_static, 219, 3},	//729 QHttp::tr(const char*, const char*)
    {21, 1379, 3, 2, Smoke::mf_static, 219, 4},	//730 QHttp::trUtf8(const char*, const char*)
    {21, 1375, 6, 3, Smoke::mf_static, 219, 5},	//731 QHttp::tr(const char*, const char*, int)
    {21, 1379, 6, 3, Smoke::mf_static, 219, 6},	//732 QHttp::trUtf8(const char*, const char*, int)
    {21, 1027, 10, 3, Smoke::mf_virtual, 411, 7},	//733 QHttp::qt_metacall(QMetaObject::Call, int, void**)
    {21, 200, 20, 1, Smoke::mf_ctor, 83, 8},	//734 QHttp::QHttp(QObject*)
    {21, 200, 999, 3, Smoke::mf_ctor, 83, 9},	//735 QHttp::QHttp(const QString&, unsigned short, QObject*)
    {21, 200, 1003, 4, Smoke::mf_ctor, 83, 10},	//736 QHttp::QHttp(const QString&, QHttp::ConnectionMode, unsigned short, QObject*)
    {21, 1176, 71, 2, 0, 411, 11},	//737 QHttp::setHost(const QString&, unsigned short)
    {21, 1176, 1008, 3, 0, 411, 12},	//738 QHttp::setHost(const QString&, QHttp::ConnectionMode, unsigned short)
    {21, 1291, 1012, 1, 0, 411, 13},	//739 QHttp::setSocket(QTcpSocket*)
    {21, 1325, 88, 2, 0, 411, 14},	//740 QHttp::setUser(const QString&, const QString&)
    {21, 1259, 1014, 4, 0, 411, 15},	//741 QHttp::setProxy(const QString&, int, const QString&, const QString&)
    {21, 1259, 46, 1, 0, 411, 16},	//742 QHttp::setProxy(const QNetworkProxy&)
    {21, 612, 118, 2, 0, 411, 17},	//743 QHttp::get(const QString&, QIODevice*)
    {21, 839, 1019, 3, 0, 411, 18},	//744 QHttp::post(const QString&, QIODevice*, QIODevice*)
    {21, 839, 1023, 3, 0, 411, 19},	//745 QHttp::post(const QString&, const QByteArray&, QIODevice*)
    {21, 632, 69, 1, 0, 411, 20},	//746 QHttp::head(const QString&)
    {21, 1080, 1027, 3, 0, 411, 21},	//747 QHttp::request(const QHttpRequestHeader&, QIODevice*, QIODevice*)
    {21, 1080, 1031, 3, 0, 411, 22},	//748 QHttp::request(const QHttpRequestHeader&, const QByteArray&, QIODevice*)
    {21, 500, 0, 0, 0, 411, 23},	//749 QHttp::closeConnection()
    {21, 499, 0, 0, 0, 411, 24},	//750 QHttp::close()
    {21, 480, 0, 0, Smoke::mf_const, 416, 25},	//751 QHttp::bytesAvailable() const
    {21, 1052, 59, 2, 0, 416, 26},	//752 QHttp::read(char*, long long)
    {21, 1054, 0, 0, 0, 14, 27},	//753 QHttp::readAll()
    {21, 545, 0, 0, Smoke::mf_const, 411, 28},	//754 QHttp::currentId() const
    {21, 547, 0, 0, Smoke::mf_const, 99, 29},	//755 QHttp::currentSourceDevice() const
    {21, 543, 0, 0, Smoke::mf_const, 99, 30},	//756 QHttp::currentDestinationDevice() const
    {21, 546, 0, 0, Smoke::mf_const, 93, 31},	//757 QHttp::currentRequest() const
    {21, 690, 0, 0, Smoke::mf_const, 96, 32},	//758 QHttp::lastResponse() const
    {21, 629, 0, 0, Smoke::mf_const, 326, 33},	//759 QHttp::hasPendingRequests() const
    {21, 498, 0, 0, 0, 0, 34},	//760 QHttp::clearPendingRequests()
    {21, 1348, 0, 0, Smoke::mf_const, 86, 35},	//761 QHttp::state() const
    {21, 585, 0, 0, Smoke::mf_const, 85, 36},	//762 QHttp::error() const
    {21, 587, 0, 0, Smoke::mf_const, 219, 37},	//763 QHttp::errorString() const
    {21, 423, 0, 0, Smoke::mf_slot, 0, 38},	//764 QHttp::abort()
    {21, 642, 0, 0, Smoke::mf_slot, 0, 39},	//765 QHttp::ignoreSslErrors()
    {21, 1349, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//766 QHttp::stateChanged(int)
    {21, 1089, 1035, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//767 QHttp::responseHeaderReceived(const QHttpResponseHeader&)
    {21, 1064, 1035, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//768 QHttp::readyRead(const QHttpResponseHeader&)
    {21, 553, 1037, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//769 QHttp::dataSendProgress(int, int)
    {21, 551, 1037, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//770 QHttp::dataReadProgress(int, int)
    {21, 1086, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//771 QHttp::requestStarted(int)
    {21, 1084, 113, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//772 QHttp::requestFinished(int, bool)
    {21, 572, 116, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//773 QHttp::done(bool)
    {21, 854, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//774 QHttp::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {21, 467, 1040, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//775 QHttp::authenticationRequired(const QString&, quint16, QAuthenticator*)
    {21, 1343, 1044, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//776 QHttp::sslErrors(const QList<QSslError>&)
    {21, 1375, 1, 1, Smoke::mf_static, 219, 51},	//777 QHttp::tr(const char*)
    {21, 1379, 1, 1, Smoke::mf_static, 219, 52},	//778 QHttp::trUtf8(const char*)
    {21, 200, 0, 0, Smoke::mf_ctor, 83, 53},	//779 QHttp::QHttp()
    {21, 200, 69, 1, Smoke::mf_ctor, 83, 54},	//780 QHttp::QHttp(const QString&)
    {21, 200, 71, 2, Smoke::mf_ctor, 83, 55},	//781 QHttp::QHttp(const QString&, unsigned short)
    {21, 200, 1046, 2, Smoke::mf_ctor, 83, 56},	//782 QHttp::QHttp(const QString&, QHttp::ConnectionMode)
    {21, 200, 1008, 3, Smoke::mf_ctor, 83, 57},	//783 QHttp::QHttp(const QString&, QHttp::ConnectionMode, unsigned short)
    {21, 1176, 69, 1, 0, 411, 58},	//784 QHttp::setHost(const QString&)
    {21, 1176, 1046, 2, 0, 411, 59},	//785 QHttp::setHost(const QString&, QHttp::ConnectionMode)
    {21, 1325, 69, 1, 0, 411, 60},	//786 QHttp::setUser(const QString&)
    {21, 1259, 1049, 2, 0, 411, 61},	//787 QHttp::setProxy(const QString&, int)
    {21, 1259, 1052, 3, 0, 411, 62},	//788 QHttp::setProxy(const QString&, int, const QString&)
    {21, 612, 69, 1, 0, 411, 63},	//789 QHttp::get(const QString&)
    {21, 839, 118, 2, 0, 411, 64},	//790 QHttp::post(const QString&, QIODevice*)
    {21, 839, 1056, 2, 0, 411, 65},	//791 QHttp::post(const QString&, const QByteArray&)
    {21, 1080, 1059, 1, 0, 411, 66},	//792 QHttp::request(const QHttpRequestHeader&)
    {21, 1080, 1061, 2, 0, 411, 67},	//793 QHttp::request(const QHttpRequestHeader&, QIODevice*)
    {21, 1080, 1064, 2, 0, 411, 68},	//794 QHttp::request(const QHttpRequestHeader&, const QByteArray&)
    {21, 1351, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 360, 69},	//795 QHttp::staticMetaObject() const
    {21, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 70},	//796 QHttp::ConnectionModeHttp (enum)
    {21, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 71},	//797 QHttp::ConnectionModeHttps (enum)
    {21, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 72},	//798 QHttp::Unconnected (enum)
    {21, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 73},	//799 QHttp::HostLookup (enum)
    {21, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 74},	//800 QHttp::Connecting (enum)
    {21, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 75},	//801 QHttp::Sending (enum)
    {21, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 76},	//802 QHttp::Reading (enum)
    {21, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 77},	//803 QHttp::Connected (enum)
    {21, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 78},	//804 QHttp::Closing (enum)
    {21, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 79},	//805 QHttp::NoError (enum)
    {21, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 80},	//806 QHttp::UnknownError (enum)
    {21, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 81},	//807 QHttp::HostNotFound (enum)
    {21, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 82},	//808 QHttp::ConnectionRefused (enum)
    {21, 387, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 83},	//809 QHttp::UnexpectedClose (enum)
    {21, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 84},	//810 QHttp::InvalidResponseHeader (enum)
    {21, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 85},	//811 QHttp::WrongContentLength (enum)
    {21, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 86},	//812 QHttp::Aborted (enum)
    {21, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 87},	//813 QHttp::AuthenticationRequiredError (enum)
    {21, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 88},	//814 QHttp::ProxyAuthenticationRequiredError (enum)
    {21, 1423, 0, 0, Smoke::mf_dtor, 0, 89 },	//815 QHttp::~QHttp()
    {22, 207, 0, 0, Smoke::mf_ctor, 88, 1},	//816 QHttpHeader::QHttpHeader()
    {22, 207, 1067, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 88, 2},	//817 QHttpHeader::QHttpHeader(const QHttpHeader&)
    {22, 207, 69, 1, Smoke::mf_ctor, 88, 3},	//818 QHttpHeader::QHttpHeader(const QString&)
    {22, 781, 1067, 1, 0, 87, 4},	//819 QHttpHeader::operator=(const QHttpHeader&)
    {22, 1330, 88, 2, 0, 0, 5},	//820 QHttpHeader::setValue(const QString&, const QString&)
    {22, 1333, 1069, 1, 0, 0, 6},	//821 QHttpHeader::setValues(const QList<QPair<QString,QString> >&)
    {22, 445, 88, 2, 0, 0, 7},	//822 QHttpHeader::addValue(const QString&, const QString&)
    {22, 1395, 0, 0, Smoke::mf_const, 117, 8},	//823 QHttpHeader::values() const
    {22, 624, 69, 1, Smoke::mf_const, 326, 9},	//824 QHttpHeader::hasKey(const QString&) const
    {22, 687, 0, 0, Smoke::mf_const, 223, 10},	//825 QHttpHeader::keys() const
    {22, 1393, 69, 1, Smoke::mf_const, 219, 11},	//826 QHttpHeader::value(const QString&) const
    {22, 455, 69, 1, Smoke::mf_const, 223, 12},	//827 QHttpHeader::allValues(const QString&) const
    {22, 1076, 69, 1, 0, 0, 13},	//828 QHttpHeader::removeValue(const QString&)
    {22, 1072, 69, 1, 0, 0, 14},	//829 QHttpHeader::removeAllValues(const QString&)
    {22, 622, 0, 0, Smoke::mf_const, 326, 15},	//830 QHttpHeader::hasContentLength() const
    {22, 534, 0, 0, Smoke::mf_const, 425, 16},	//831 QHttpHeader::contentLength() const
    {22, 1143, 44, 1, 0, 0, 17},	//832 QHttpHeader::setContentLength(int)
    {22, 623, 0, 0, Smoke::mf_const, 326, 18},	//833 QHttpHeader::hasContentType() const
    {22, 535, 0, 0, Smoke::mf_const, 219, 19},	//834 QHttpHeader::contentType() const
    {22, 1145, 69, 1, 0, 0, 20},	//835 QHttpHeader::setContentType(const QString&)
    {22, 1374, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 21},	//836 QHttpHeader::toString() const
    {22, 678, 0, 0, Smoke::mf_const, 326, 22},	//837 QHttpHeader::isValid() const
    {22, 716, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 411, 23},	//838 QHttpHeader::majorVersion() const [pure virtual]
    {22, 726, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 411, 24},	//839 QHttpHeader::minorVersion() const [pure virtual]
    {22, 818, 1049, 2, Smoke::mf_protected|Smoke::mf_virtual, 326, 25},	//840 QHttpHeader::parseLine(const QString&, int)
    {22, 814, 69, 1, Smoke::mf_protected, 326, 26},	//841 QHttpHeader::parse(const QString&)
    {22, 1328, 116, 1, Smoke::mf_protected, 0, 27},	//842 QHttpHeader::setValid(bool)
    {22, 1424, 0, 0, Smoke::mf_dtor, 0, 28 },	//843 QHttpHeader::~QHttpHeader()
    {23, 723, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 361, 1},	//844 QHttpMultiPart::metaObject() const
    {23, 1029, 1, 1, Smoke::mf_virtual, 433, 2},	//845 QHttpMultiPart::qt_metacast(const char*)
    {23, 1375, 3, 2, Smoke::mf_static, 219, 3},	//846 QHttpMultiPart::tr(const char*, const char*)
    {23, 1379, 3, 2, Smoke::mf_static, 219, 4},	//847 QHttpMultiPart::trUtf8(const char*, const char*)
    {23, 1375, 6, 3, Smoke::mf_static, 219, 5},	//848 QHttpMultiPart::tr(const char*, const char*, int)
    {23, 1379, 6, 3, Smoke::mf_static, 219, 6},	//849 QHttpMultiPart::trUtf8(const char*, const char*, int)
    {23, 1027, 10, 3, Smoke::mf_virtual, 411, 7},	//850 QHttpMultiPart::qt_metacall(QMetaObject::Call, int, void**)
    {23, 210, 20, 1, Smoke::mf_ctor, 89, 8},	//851 QHttpMultiPart::QHttpMultiPart(QObject*)
    {23, 210, 1071, 2, Smoke::mf_ctor, 89, 9},	//852 QHttpMultiPart::QHttpMultiPart(QHttpMultiPart::ContentType, QObject*)
    {23, 458, 1074, 1, 0, 0, 10},	//853 QHttpMultiPart::append(const QHttpPart&)
    {23, 1145, 1076, 1, 0, 0, 11},	//854 QHttpMultiPart::setContentType(QHttpMultiPart::ContentType)
    {23, 478, 0, 0, Smoke::mf_const, 14, 12},	//855 QHttpMultiPart::boundary() const
    {23, 1126, 198, 1, 0, 0, 13},	//856 QHttpMultiPart::setBoundary(const QByteArray&)
    {23, 1375, 1, 1, Smoke::mf_static, 219, 14},	//857 QHttpMultiPart::tr(const char*)
    {23, 1379, 1, 1, Smoke::mf_static, 219, 15},	//858 QHttpMultiPart::trUtf8(const char*)
    {23, 210, 0, 0, Smoke::mf_ctor, 89, 16},	//859 QHttpMultiPart::QHttpMultiPart()
    {23, 210, 1076, 1, Smoke::mf_ctor, 89, 17},	//860 QHttpMultiPart::QHttpMultiPart(QHttpMultiPart::ContentType)
    {23, 1351, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 360, 18},	//861 QHttpMultiPart::staticMetaObject() const
    {23, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 19},	//862 QHttpMultiPart::MixedType (enum)
    {23, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 20},	//863 QHttpMultiPart::RelatedType (enum)
    {23, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 21},	//864 QHttpMultiPart::FormDataType (enum)
    {23, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 22},	//865 QHttpMultiPart::AlternativeType (enum)
    {23, 1425, 0, 0, Smoke::mf_dtor, 0, 23 },	//866 QHttpMultiPart::~QHttpMultiPart()
    {24, 214, 0, 0, Smoke::mf_ctor, 92, 1},	//867 QHttpPart::QHttpPart()
    {24, 214, 1074, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 92, 2},	//868 QHttpPart::QHttpPart(const QHttpPart&)
    {24, 781, 1074, 1, 0, 91, 3},	//869 QHttpPart::operator=(const QHttpPart&)
    {24, 784, 1074, 1, Smoke::mf_const, 326, 4},	//870 QHttpPart::operator==(const QHttpPart&) const
    {24, 748, 1074, 1, Smoke::mf_const, 326, 5},	//871 QHttpPart::operator!=(const QHttpPart&) const
    {24, 1174, 1078, 2, 0, 0, 6},	//872 QHttpPart::setHeader(QNetworkRequest::KnownHeaders, const QVariant&)
    {24, 1268, 369, 2, 0, 0, 7},	//873 QHttpPart::setRawHeader(const QByteArray&, const QByteArray&)
    {24, 1122, 198, 1, 0, 0, 8},	//874 QHttpPart::setBody(const QByteArray&)
    {24, 1124, 18, 1, 0, 0, 9},	//875 QHttpPart::setBodyDevice(QIODevice*)
    {24, 1426, 0, 0, Smoke::mf_dtor, 0, 10 },	//876 QHttpPart::~QHttpPart()
    {25, 216, 0, 0, Smoke::mf_ctor, 95, 1},	//877 QHttpRequestHeader::QHttpRequestHeader()
    {25, 216, 1081, 4, Smoke::mf_ctor, 95, 2},	//878 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&, int, int)
    {25, 216, 1059, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 95, 3},	//879 QHttpRequestHeader::QHttpRequestHeader(const QHttpRequestHeader&)
    {25, 216, 69, 1, Smoke::mf_ctor, 95, 4},	//880 QHttpRequestHeader::QHttpRequestHeader(const QString&)
    {25, 781, 1059, 1, 0, 94, 5},	//881 QHttpRequestHeader::operator=(const QHttpRequestHeader&)
    {25, 1276, 1081, 4, 0, 0, 6},	//882 QHttpRequestHeader::setRequest(const QString&, const QString&, int, int)
    {25, 724, 0, 0, Smoke::mf_const, 219, 7},	//883 QHttpRequestHeader::method() const
    {25, 823, 0, 0, Smoke::mf_const, 219, 8},	//884 QHttpRequestHeader::path() const
    {25, 716, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 411, 9},	//885 QHttpRequestHeader::majorVersion() const
    {25, 726, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 411, 10},	//886 QHttpRequestHeader::minorVersion() const
    {25, 1374, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 11},	//887 QHttpRequestHeader::toString() const
    {25, 818, 1049, 2, Smoke::mf_protected|Smoke::mf_virtual, 326, 12},	//888 QHttpRequestHeader::parseLine(const QString&, int)
    {25, 216, 88, 2, Smoke::mf_ctor, 95, 13},	//889 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&)
    {25, 216, 1086, 3, Smoke::mf_ctor, 95, 14},	//890 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&, int)
    {25, 1276, 88, 2, 0, 0, 15},	//891 QHttpRequestHeader::setRequest(const QString&, const QString&)
    {25, 1276, 1086, 3, 0, 0, 16},	//892 QHttpRequestHeader::setRequest(const QString&, const QString&, int)
    {25, 1427, 0, 0, Smoke::mf_dtor, 0, 17 },	//893 QHttpRequestHeader::~QHttpRequestHeader()
    {26, 222, 0, 0, Smoke::mf_ctor, 98, 1},	//894 QHttpResponseHeader::QHttpResponseHeader()
    {26, 222, 1035, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 98, 2},	//895 QHttpResponseHeader::QHttpResponseHeader(const QHttpResponseHeader&)
    {26, 222, 69, 1, Smoke::mf_ctor, 98, 3},	//896 QHttpResponseHeader::QHttpResponseHeader(const QString&)
    {26, 222, 1090, 4, Smoke::mf_ctor, 98, 4},	//897 QHttpResponseHeader::QHttpResponseHeader(int, const QString&, int, int)
    {26, 781, 1035, 1, 0, 97, 5},	//898 QHttpResponseHeader::operator=(const QHttpResponseHeader&)
    {26, 1310, 1090, 4, 0, 0, 6},	//899 QHttpResponseHeader::setStatusLine(int, const QString&, int, int)
    {26, 1352, 0, 0, Smoke::mf_const, 411, 7},	//900 QHttpResponseHeader::statusCode() const
    {26, 1067, 0, 0, Smoke::mf_const, 219, 8},	//901 QHttpResponseHeader::reasonPhrase() const
    {26, 716, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 411, 9},	//902 QHttpResponseHeader::majorVersion() const
    {26, 726, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 411, 10},	//903 QHttpResponseHeader::minorVersion() const
    {26, 1374, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 219, 11},	//904 QHttpResponseHeader::toString() const
    {26, 818, 1049, 2, Smoke::mf_protected|Smoke::mf_virtual, 326, 12},	//905 QHttpResponseHeader::parseLine(const QString&, int)
    {26, 222, 44, 1, Smoke::mf_ctor, 98, 13},	//906 QHttpResponseHeader::QHttpResponseHeader(int)
    {26, 222, 110, 2, Smoke::mf_ctor, 98, 14},	//907 QHttpResponseHeader::QHttpResponseHeader(int, const QString&)
    {26, 222, 1095, 3, Smoke::mf_ctor, 98, 15},	//908 QHttpResponseHeader::QHttpResponseHeader(int, const QString&, int)
    {26, 1310, 44, 1, 0, 0, 16},	//909 QHttpResponseHeader::setStatusLine(int)
    {26, 1310, 110, 2, 0, 0, 17},	//910 QHttpResponseHeader::setStatusLine(int, const QString&)
    {26, 1310, 1095, 3, 0, 0, 18},	//911 QHttpResponseHeader::setStatusLine(int, const QString&, int)
    {26, 1428, 0, 0, Smoke::mf_dtor, 0, 19 },	//912 QHttpResponseHeader::~QHttpResponseHeader()
    {27, 745, 1099, 1, Smoke::mf_virtual, 326, 0},	//913 QIODevice::open(QFlags<QIODevice::OpenModeFlag>)
    {27, 838, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 416, 0},	//914 QIODevice::pos() const
    {27, 1337, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 416, 0},	//915 QIODevice::size() const
    {27, 1095, 33, 1, Smoke::mf_virtual, 326, 0},	//916 QIODevice::seek(long long)
    {27, 461, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 326, 0},	//917 QIODevice::atEnd() const
    {27, 1088, 0, 0, Smoke::mf_virtual, 326, 0},	//918 QIODevice::reset()
    {27, 480, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 416, 0},	//919 QIODevice::bytesAvailable() const
    {27, 482, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 416, 0},	//920 QIODevice::bytesToWrite() const
    {27, 488, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 326, 0},	//921 QIODevice::canReadLine() const
    {27, 1410, 44, 1, Smoke::mf_virtual, 326, 0},	//922 QIODevice::waitForReadyRead(int)
    {27, 1397, 44, 1, Smoke::mf_virtual, 326, 0},	//923 QIODevice::waitForBytesWritten(int)
    {27, 1056, 59, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 416, 0},	//924 QIODevice::readData(char*, long long) [pure virtual]
    {27, 1062, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 416, 0},	//925 QIODevice::readLineData(char*, long long)
    {27, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 14},	//926 QIODevice::NotOpen (enum)
    {27, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 15},	//927 QIODevice::ReadOnly (enum)
    {27, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 16},	//928 QIODevice::WriteOnly (enum)
    {27, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 17},	//929 QIODevice::ReadWrite (enum)
    {27, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 18},	//930 QIODevice::Append (enum)
    {27, 373, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 19},	//931 QIODevice::Truncate (enum)
    {27, 369, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 20},	//932 QIODevice::Text (enum)
    {27, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 21},	//933 QIODevice::Unbuffered (enum)
    {28, 802, 44, 1, 0, 423, 1},	//934 QIPv6Address::operator[](int)
    {28, 802, 44, 1, Smoke::mf_const, 422, 2},	//935 QIPv6Address::operator[](int) const
    {28, 228, 0, 0, Smoke::mf_ctor, 103, 3},	//936 QIPv6Address::QIPv6Address()
    {28, 228, 978, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 103, 4},	//937 QIPv6Address::QIPv6Address(const QIPv6Address&)
    {28, 1429, 0, 0, Smoke::mf_dtor, 0, 5 },	//938 QIPv6Address::~QIPv6Address()
    {33, 723, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 361, 1},	//939 QLocalServer::metaObject() const
    {33, 1029, 1, 1, Smoke::mf_virtual, 433, 2},	//940 QLocalServer::qt_metacast(const char*)
    {33, 1375, 3, 2, Smoke::mf_static, 219, 3},	//941 QLocalServer::tr(const char*, const char*)
    {33, 1379, 3, 2, Smoke::mf_static, 219, 4},	//942 QLocalServer::trUtf8(const char*, const char*)
    {33, 1375, 6, 3, Smoke::mf_static, 219, 5},	//943 QLocalServer::tr(const char*, const char*, int)
    {33, 1379, 6, 3, Smoke::mf_static, 219, 6},	//944 QLocalServer::trUtf8(const char*, const char*, int)
    {33, 1027, 10, 3, Smoke::mf_virtual, 411, 7},	//945 QLocalServer::qt_metacall(QMetaObject::Call, int, void**)
    {33, 741, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 8},	//946 QLocalServer::newConnection()
    {33, 230, 20, 1, Smoke::mf_ctor, 122, 9},	//947 QLocalServer::QLocalServer(QObject*)
    {33, 499, 0, 0, 0, 0, 10},	//948 QLocalServer::close()
    {33, 587, 0, 0, Smoke::mf_const, 219, 11},	//949 QLocalServer::errorString() const
    {33, 627, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 326, 12},	//950 QLocalServer::hasPendingConnections() const
    {33, 666, 0, 0, Smoke::mf_const, 326, 13},	//951 QLocalServer::isListening() const
    {33, 701, 69, 1, 0, 326, 14},	//952 QLocalServer::listen(const QString&)
    {33, 718, 0, 0, Smoke::mf_const, 411, 15},	//953 QLocalServer::maxPendingConnections() const
    {33, 742, 0, 0, Smoke::mf_virtual, 123, 16},	//954 QLocalServer::nextPendingConnection()
    {33, 1102, 0, 0, Smoke::mf_const, 219, 17},	//955 QLocalServer::serverName() const
    {33, 611, 0, 0, Smoke::mf_const, 219, 18},	//956 QLocalServer::fullServerName() const
    {33, 1074, 69, 1, Smoke::mf_static, 326, 19},	//957 QLocalServer::removeServer(const QString&)
    {33, 1101, 0, 0, Smoke::mf_const, 5, 20},	//958 QLocalServer::serverError() const
    {33, 1200, 44, 1, 0, 0, 21},	//959 QLocalServer::setMaxPendingConnections(int)
    {33, 1405, 1101, 2, 0, 326, 22},	//960 QLocalServer::waitForNewConnection(int, bool*)
    {33, 644, 1104, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//961 QLocalServer::incomingConnection(QIntegerForSizeof< void* >::Unsigned)
    {33, 1375, 1, 1, Smoke::mf_static, 219, 24},	//962 QLocalServer::tr(const char*)
    {33, 1379, 1, 1, Smoke::mf_static, 219, 25},	//963 QLocalServer::trUtf8(const char*)
    {33, 230, 0, 0, Smoke::mf_ctor, 122, 26},	//964 QLocalServer::QLocalServer()
    {33, 1405, 0, 0, 0, 326, 27},	//965 QLocalServer::waitForNewConnection()
    {33, 1405, 44, 1, 0, 326, 28},	//966 QLocalServer::waitForNewConnection(int)
    {33, 1351, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 360, 29},	//967 QLocalServer::staticMetaObject() const
    {33, 1430, 0, 0, Smoke::mf_dtor, 0, 30 },	//968 QLocalServer::~QLocalServer()
    {34, 723, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 361, 1},	//969 QLocalSocket::metaObject() const
    {34, 1029, 1, 1, Smoke::mf_virtual, 433, 2},	//970 QLocalSocket::qt_metacast(const char*)
    {34, 1375, 3, 2, Smoke::mf_static, 219, 3},	//971 QLocalSocket::tr(const char*, const char*)
    {34, 1379, 3, 2, Smoke::mf_static, 219, 4},	//972 QLocalSocket::trUtf8(const char*, const char*)
    {34, 1375, 6, 3, Smoke::mf_static, 219, 5},	//973 QLocalSocket::tr(const char*, const char*, int)
    {34, 1379, 6, 3, Smoke::mf_static, 219, 6},	//974 QLocalSocket::trUtf8(const char*, const char*, int)
    {34, 1027, 10, 3, Smoke::mf_virtual, 411, 7},	//975 QLocalSocket::qt_metacall(QMetaObject::Call, int, void**)
    {34, 232, 20, 1, Smoke::mf_ctor, 123, 8},	//976 QLocalSocket::QLocalSocket(QObject*)
    {34, 530, 1106, 2, 0, 0, 9},	//977 QLocalSocket::connectToServer(const QString&, QFlags<QIODevice::OpenModeFlag>)
    {34, 567, 0, 0, 0, 0, 10},	//978 QLocalSocket::disconnectFromServer()
    {34, 1102, 0, 0, Smoke::mf_const, 219, 11},	//979 QLocalSocket::serverName() const
    {34, 611, 0, 0, Smoke::mf_const, 219, 12},	//980 QLocalSocket::fullServerName() const
    {34, 423, 0, 0, 0, 0, 13},	//981 QLocalSocket::abort()
    {34, 674, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 326, 14},	//982 QLocalSocket::isSequential() const
    {34, 480, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 416, 15},	//983 QLocalSocket::bytesAvailable() const
    {34, 482, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 416, 16},	//984 QLocalSocket::bytesToWrite() const
    {34, 488, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 326, 17},	//985 QLocalSocket::canReadLine() const
    {34, 499, 0, 0, Smoke::mf_virtual, 0, 18},	//986 QLocalSocket::close()
    {34, 585, 0, 0, Smoke::mf_const, 124, 19},	//987 QLocalSocket::error() const
    {34, 598, 0, 0, 0, 326, 20},	//988 QLocalSocket::flush()
    {34, 678, 0, 0, Smoke::mf_const, 326, 21},	//989 QLocalSocket::isValid() const
    {34, 1055, 0, 0, Smoke::mf_const, 416, 22},	//990 QLocalSocket::readBufferSize() const
    {34, 1272, 33, 1, 0, 0, 23},	//991 QLocalSocket::setReadBufferSize(long long)
    {34, 1293, 1109, 3, 0, 326, 24},	//992 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState, QFlags<QIODevice::OpenModeFlag>)
    {34, 1338, 0, 0, Smoke::mf_const, 105, 25},	//993 QLocalSocket::socketDescriptor() const
    {34, 1348, 0, 0, Smoke::mf_const, 125, 26},	//994 QLocalSocket::state() const
    {34, 1397, 44, 1, Smoke::mf_virtual, 326, 27},	//995 QLocalSocket::waitForBytesWritten(int)
    {34, 1399, 44, 1, 0, 326, 28},	//996 QLocalSocket::waitForConnected(int)
    {34, 1401, 44, 1, 0, 326, 29},	//997 QLocalSocket::waitForDisconnected(int)
    {34, 1410, 44, 1, Smoke::mf_virtual, 326, 30},	//998 QLocalSocket::waitForReadyRead(int)
    {34, 533, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//999 QLocalSocket::connected()
    {34, 570, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1000 QLocalSocket::disconnected()
    {34, 585, 1113, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1001 QLocalSocket::error(QLocalSocket::LocalSocketError)
    {34, 1349, 1115, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1002 QLocalSocket::stateChanged(QLocalSocket::LocalSocketState)
    {34, 1056, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 416, 35},	//1003 QLocalSocket::readData(char*, long long)
    {34, 1412, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 416, 36},	//1004 QLocalSocket::writeData(const char*, long long)
    {34, 1375, 1, 1, Smoke::mf_static, 219, 37},	//1005 QLocalSocket::tr(const char*)
    {34, 1379, 1, 1, Smoke::mf_static, 219, 38},	//1006 QLocalSocket::trUtf8(const char*)
    {34, 232, 0, 0, Smoke::mf_ctor, 123, 39},	//1007 QLocalSocket::QLocalSocket()
    {34, 530, 69, 1, 0, 0, 40},	//1008 QLocalSocket::connectToServer(const QString&)
    {34, 1293, 1104, 1, 0, 326, 41},	//1009 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned)
    {34, 1293, 1117, 2, 0, 326, 42},	//1010 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState)
    {34, 1397, 0, 0, 0, 326, 43},	//1011 QLocalSocket::waitForBytesWritten()
    {34, 1399, 0, 0, 0, 326, 44},	//1012 QLocalSocket::waitForConnected()
    {34, 1401, 0, 0, 0, 326, 45},	//1013 QLocalSocket::waitForDisconnected()
    {34, 1410, 0, 0, 0, 326, 46},	//1014 QLocalSocket::waitForReadyRead()
    {34, 1351, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 360, 47},	//1015 QLocalSocket::staticMetaObject() const
    {34, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 48},	//1016 QLocalSocket::ConnectionRefusedError (enum)
    {34, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 49},	//1017 QLocalSocket::PeerClosedError (enum)
    {34, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 50},	//1018 QLocalSocket::ServerNotFoundError (enum)
    {34, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 51},	//1019 QLocalSocket::SocketAccessError (enum)
    {34, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 52},	//1020 QLocalSocket::SocketResourceError (enum)
    {34, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 53},	//1021 QLocalSocket::SocketTimeoutError (enum)
    {34, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 54},	//1022 QLocalSocket::DatagramTooLargeError (enum)
    {34, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 55},	//1023 QLocalSocket::ConnectionError (enum)
    {34, 402, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 56},	//1024 QLocalSocket::UnsupportedSocketOperationError (enum)
    {34, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 57},	//1025 QLocalSocket::UnknownSocketError (enum)
    {34, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 58},	//1026 QLocalSocket::UnconnectedState (enum)
    {34, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 59},	//1027 QLocalSocket::ConnectingState (enum)
    {34, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 60},	//1028 QLocalSocket::ConnectedState (enum)
    {34, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 61},	//1029 QLocalSocket::ClosingState (enum)
    {34, 1431, 0, 0, Smoke::mf_dtor, 0, 62 },	//1030 QLocalSocket::~QLocalSocket()
    {39, 723, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 361, 1},	//1031 QNetworkAccessManager::metaObject() const
    {39, 1029, 1, 1, Smoke::mf_virtual, 433, 2},	//1032 QNetworkAccessManager::qt_metacast(const char*)
    {39, 1375, 3, 2, Smoke::mf_static, 219, 3},	//1033 QNetworkAccessManager::tr(const char*, const char*)
    {39, 1379, 3, 2, Smoke::mf_static, 219, 4},	//1034 QNetworkAccessManager::trUtf8(const char*, const char*)
    {39, 1375, 6, 3, Smoke::mf_static, 219, 5},	//1035 QNetworkAccessManager::tr(const char*, const char*, int)
    {39, 1379, 6, 3, Smoke::mf_static, 219, 6},	//1036 QNetworkAccessManager::trUtf8(const char*, const char*, int)
    {39, 1027, 10, 3, Smoke::mf_virtual, 411, 7},	//1037 QNetworkAccessManager::qt_metacall(QMetaObject::Call, int, void**)
    {39, 234, 20, 1, Smoke::mf_ctor, 130, 8},	//1038 QNetworkAccessManager::QNetworkAccessManager(QObject*)
    {39, 853, 0, 0, Smoke::mf_const, 158, 9},	//1039 QNetworkAccessManager::proxy() const
    {39, 1259, 46, 1, 0, 0, 10},	//1040 QNetworkAccessManager::setProxy(const QNetworkProxy&)
    {39, 856, 0, 0, Smoke::mf_const, 163, 11},	//1041 QNetworkAccessManager::proxyFactory() const
    {39, 1264, 1120, 1, 0, 0, 12},	//1042 QNetworkAccessManager::setProxyFactory(QNetworkProxyFactory*)
    {39, 485, 0, 0, Smoke::mf_const, 2, 13},	//1043 QNetworkAccessManager::cache() const
    {39, 1132, 1122, 1, 0, 0, 14},	//1044 QNetworkAccessManager::setCache(QAbstractNetworkCache*)
    {39, 536, 0, 0, Smoke::mf_const, 152, 15},	//1045 QNetworkAccessManager::cookieJar() const
    {39, 1147, 1124, 1, 0, 0, 16},	//1046 QNetworkAccessManager::setCookieJar(QNetworkCookieJar*)
    {39, 632, 1126, 1, 0, 167, 17},	//1047 QNetworkAccessManager::head(const QNetworkRequest&)
    {39, 612, 1126, 1, 0, 167, 18},	//1048 QNetworkAccessManager::get(const QNetworkRequest&)
    {39, 839, 1128, 2, 0, 167, 19},	//1049 QNetworkAccessManager::post(const QNetworkRequest&, QIODevice*)
    {39, 839, 1131, 2, 0, 167, 20},	//1050 QNetworkAccessManager::post(const QNetworkRequest&, const QByteArray&)
    {39, 839, 1134, 2, 0, 167, 21},	//1051 QNetworkAccessManager::post(const QNetworkRequest&, QHttpMultiPart*)
    {39, 861, 1128, 2, 0, 167, 22},	//1052 QNetworkAccessManager::put(const QNetworkRequest&, QIODevice*)
    {39, 861, 1131, 2, 0, 167, 23},	//1053 QNetworkAccessManager::put(const QNetworkRequest&, const QByteArray&)
    {39, 861, 1134, 2, 0, 167, 24},	//1054 QNetworkAccessManager::put(const QNetworkRequest&, QHttpMultiPart*)
    {39, 560, 1126, 1, 0, 167, 25},	//1055 QNetworkAccessManager::deleteResource(const QNetworkRequest&)
    {39, 1096, 1137, 3, 0, 167, 26},	//1056 QNetworkAccessManager::sendCustomRequest(const QNetworkRequest&, const QByteArray&, QIODevice*)
    {39, 1141, 1141, 1, 0, 0, 27},	//1057 QNetworkAccessManager::setConfiguration(const QNetworkConfiguration&)
    {39, 506, 0, 0, Smoke::mf_const, 139, 28},	//1058 QNetworkAccessManager::configuration() const
    {39, 427, 0, 0, Smoke::mf_const, 139, 29},	//1059 QNetworkAccessManager::activeConfiguration() const
    {39, 1211, 1143, 1, Smoke::mf_property, 0, 30},	//1060 QNetworkAccessManager::setNetworkAccessible(QNetworkAccessManager::NetworkAccessibility)
    {39, 735, 0, 0, Smoke::mf_const|Smoke::mf_property, 131, 31},	//1061 QNetworkAccessManager::networkAccessible() const
    {39, 854, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1062 QNetworkAccessManager::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {39, 467, 1145, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1063 QNetworkAccessManager::authenticationRequired(QNetworkReply*, QAuthenticator*)
    {39, 595, 1148, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1064 QNetworkAccessManager::finished(QNetworkReply*)
    {39, 1343, 1150, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1065 QNetworkAccessManager::sslErrors(QNetworkReply*, const QList<QSslError>&)
    {39, 739, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//1066 QNetworkAccessManager::networkSessionConnected()
    {39, 736, 1143, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//1067 QNetworkAccessManager::networkAccessibleChanged(QNetworkAccessManager::NetworkAccessibility)
    {39, 539, 1153, 3, Smoke::mf_protected|Smoke::mf_virtual, 167, 38},	//1068 QNetworkAccessManager::createRequest(QNetworkAccessManager::Operation, const QNetworkRequest&, QIODevice*)
    {39, 1375, 1, 1, Smoke::mf_static, 219, 39},	//1069 QNetworkAccessManager::tr(const char*)
    {39, 1379, 1, 1, Smoke::mf_static, 219, 40},	//1070 QNetworkAccessManager::trUtf8(const char*)
    {39, 234, 0, 0, Smoke::mf_ctor, 130, 41},	//1071 QNetworkAccessManager::QNetworkAccessManager()
    {39, 1096, 1131, 2, 0, 167, 42},	//1072 QNetworkAccessManager::sendCustomRequest(const QNetworkRequest&, const QByteArray&)
    {39, 539, 1157, 2, Smoke::mf_protected, 167, 43},	//1073 QNetworkAccessManager::createRequest(QNetworkAccessManager::Operation, const QNetworkRequest&)
    {39, 1351, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 360, 44},	//1074 QNetworkAccessManager::staticMetaObject() const
    {39, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 45},	//1075 QNetworkAccessManager::HeadOperation (enum)
    {39, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 46},	//1076 QNetworkAccessManager::GetOperation (enum)
    {39, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 47},	//1077 QNetworkAccessManager::PutOperation (enum)
    {39, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 48},	//1078 QNetworkAccessManager::PostOperation (enum)
    {39, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 49},	//1079 QNetworkAccessManager::DeleteOperation (enum)
    {39, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 50},	//1080 QNetworkAccessManager::CustomOperation (enum)
    {39, 394, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 51},	//1081 QNetworkAccessManager::UnknownOperation (enum)
    {39, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 52},	//1082 QNetworkAccessManager::UnknownAccessibility (enum)
    {39, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 53},	//1083 QNetworkAccessManager::NotAccessible (enum)
    {39, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 54},	//1084 QNetworkAccessManager::Accessible (enum)
    {39, 1432, 0, 0, Smoke::mf_dtor, 0, 55 },	//1085 QNetworkAccessManager::~QNetworkAccessManager()
    {40, 236, 0, 0, Smoke::mf_ctor, 135, 1},	//1086 QNetworkAddressEntry::QNetworkAddressEntry()
    {40, 236, 1160, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 135, 2},	//1087 QNetworkAddressEntry::QNetworkAddressEntry(const QNetworkAddressEntry&)
    {40, 781, 1160, 1, 0, 134, 3},	//1088 QNetworkAddressEntry::operator=(const QNetworkAddressEntry&)
    {40, 784, 1160, 1, Smoke::mf_const, 326, 4},	//1089 QNetworkAddressEntry::operator==(const QNetworkAddressEntry&) const
    {40, 748, 1160, 1, Smoke::mf_const, 326, 5},	//1090 QNetworkAddressEntry::operator!=(const QNetworkAddressEntry&) const
    {40, 655, 0, 0, Smoke::mf_const, 75, 6},	//1091 QNetworkAddressEntry::ip() const
    {40, 1184, 67, 1, 0, 0, 7},	//1092 QNetworkAddressEntry::setIp(const QHostAddress&)
    {40, 734, 0, 0, Smoke::mf_const, 75, 8},	//1093 QNetworkAddressEntry::netmask() const
    {40, 1209, 67, 1, 0, 0, 9},	//1094 QNetworkAddressEntry::setNetmask(const QHostAddress&)
    {40, 845, 0, 0, Smoke::mf_const, 411, 10},	//1095 QNetworkAddressEntry::prefixLength() const
    {40, 1245, 44, 1, 0, 0, 11},	//1096 QNetworkAddressEntry::setPrefixLength(int)
    {40, 479, 0, 0, Smoke::mf_const, 75, 12},	//1097 QNetworkAddressEntry::broadcast() const
    {40, 1128, 67, 1, 0, 0, 13},	//1098 QNetworkAddressEntry::setBroadcast(const QHostAddress&)
    {40, 1433, 0, 0, Smoke::mf_dtor, 0, 14 },	//1099 QNetworkAddressEntry::~QNetworkAddressEntry()
    {41, 238, 0, 0, Smoke::mf_ctor, 138, 1},	//1100 QNetworkCacheMetaData::QNetworkCacheMetaData()
    {41, 238, 16, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 138, 2},	//1101 QNetworkCacheMetaData::QNetworkCacheMetaData(const QNetworkCacheMetaData&)
    {41, 781, 16, 1, 0, 137, 3},	//1102 QNetworkCacheMetaData::operator=(const QNetworkCacheMetaData&)
    {41, 784, 16, 1, Smoke::mf_const, 326, 4},	//1103 QNetworkCacheMetaData::operator==(const QNetworkCacheMetaData&) const
    {41, 748, 16, 1, Smoke::mf_const, 326, 5},	//1104 QNetworkCacheMetaData::operator!=(const QNetworkCacheMetaData&) const
    {41, 678, 0, 0, Smoke::mf_const, 326, 6},	//1105 QNetworkCacheMetaData::isValid() const
    {41, 1390, 0, 0, Smoke::mf_const, 237, 7},	//1106 QNetworkCacheMetaData::url() const
    {41, 1321, 14, 1, 0, 0, 8},	//1107 QNetworkCacheMetaData::setUrl(const QUrl&)
    {41, 1051, 0, 0, Smoke::mf_const, 116, 9},	//1108 QNetworkCacheMetaData::rawHeaders() const
    {41, 1270, 1162, 1, 0, 0, 10},	//1109 QNetworkCacheMetaData::setRawHeaders(const QList<QPair<QByteArray,QByteArray> >&)
    {41, 688, 0, 0, Smoke::mf_const, 22, 11},	//1110 QNetworkCacheMetaData::lastModified() const
    {41, 1186, 1164, 1, 0, 0, 12},	//1111 QNetworkCacheMetaData::setLastModified(const QDateTime&)
    {41, 590, 0, 0, Smoke::mf_const, 22, 13},	//1112 QNetworkCacheMetaData::expirationDate() const
    {41, 1166, 1164, 1, 0, 0, 14},	//1113 QNetworkCacheMetaData::setExpirationDate(const QDateTime&)
    {41, 1093, 0, 0, Smoke::mf_const, 326, 15},	//1114 QNetworkCacheMetaData::saveToDisk() const
    {41, 1281, 116, 1, 0, 0, 16},	//1115 QNetworkCacheMetaData::setSaveToDisk(bool)
    {41, 465, 0, 0, Smoke::mf_const, 73, 17},	//1116 QNetworkCacheMetaData::attributes() const
    {41, 1120, 1166, 1, 0, 0, 18},	//1117 QNetworkCacheMetaData::setAttributes(const QHash<QNetworkRequest::Attribute,QVariant>&)
    {41, 1434, 0, 0, Smoke::mf_dtor, 0, 19 },	//1118 QNetworkCacheMetaData::~QNetworkCacheMetaData()
    {42, 240, 0, 0, Smoke::mf_ctor, 141, 1},	//1119 QNetworkConfiguration::QNetworkConfiguration()
    {42, 240, 1141, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 141, 2},	//1120 QNetworkConfiguration::QNetworkConfiguration(const QNetworkConfiguration&)
    {42, 781, 1141, 1, 0, 140, 3},	//1121 QNetworkConfiguration::operator=(const QNetworkConfiguration&)
    {42, 784, 1141, 1, Smoke::mf_const, 326, 4},	//1122 QNetworkConfiguration::operator==(const QNetworkConfiguration&) const
    {42, 748, 1141, 1, Smoke::mf_const, 326, 5},	//1123 QNetworkConfiguration::operator!=(const QNetworkConfiguration&) const
    {42, 1348, 0, 0, Smoke::mf_const, 41, 6},	//1124 QNetworkConfiguration::state() const
    {42, 1383, 0, 0, Smoke::mf_const, 145, 7},	//1125 QNetworkConfiguration::type() const
    {42, 860, 0, 0, Smoke::mf_const, 143, 8},	//1126 QNetworkConfiguration::purpose() const
    {42, 470, 0, 0, Smoke::mf_const, 219, 9},	//1127 QNetworkConfiguration::bearerName() const
    {42, 471, 0, 0, Smoke::mf_const, 142, 10},	//1128 QNetworkConfiguration::bearerType() const
    {42, 472, 0, 0, Smoke::mf_const, 219, 11},	//1129 QNetworkConfiguration::bearerTypeName() const
    {42, 640, 0, 0, Smoke::mf_const, 219, 12},	//1130 QNetworkConfiguration::identifier() const
    {42, 671, 0, 0, Smoke::mf_const, 326, 13},	//1131 QNetworkConfiguration::isRoamingAvailable() const
    {42, 494, 0, 0, Smoke::mf_const, 112, 14},	//1132 QNetworkConfiguration::children() const
    {42, 733, 0, 0, Smoke::mf_const, 219, 15},	//1133 QNetworkConfiguration::name() const
    {42, 678, 0, 0, Smoke::mf_const, 326, 16},	//1134 QNetworkConfiguration::isValid() const
    {42, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 17},	//1135 QNetworkConfiguration::InternetAccessPoint (enum)
    {42, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 18},	//1136 QNetworkConfiguration::ServiceNetwork (enum)
    {42, 405, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 19},	//1137 QNetworkConfiguration::UserChoice (enum)
    {42, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 20},	//1138 QNetworkConfiguration::Invalid (enum)
    {42, 397, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 21},	//1139 QNetworkConfiguration::UnknownPurpose (enum)
    {42, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 22},	//1140 QNetworkConfiguration::PublicPurpose (enum)
    {42, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 23},	//1141 QNetworkConfiguration::PrivatePurpose (enum)
    {42, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 24},	//1142 QNetworkConfiguration::ServiceSpecificPurpose (enum)
    {42, 385, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 25},	//1143 QNetworkConfiguration::Undefined (enum)
    {42, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 26},	//1144 QNetworkConfiguration::Defined (enum)
    {42, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 27},	//1145 QNetworkConfiguration::Discovered (enum)
    {42, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 28},	//1146 QNetworkConfiguration::Active (enum)
    {42, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 29},	//1147 QNetworkConfiguration::BearerUnknown (enum)
    {42, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 30},	//1148 QNetworkConfiguration::BearerEthernet (enum)
    {42, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 31},	//1149 QNetworkConfiguration::BearerWLAN (enum)
    {42, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 32},	//1150 QNetworkConfiguration::Bearer2G (enum)
    {42, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 33},	//1151 QNetworkConfiguration::BearerCDMA2000 (enum)
    {42, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 34},	//1152 QNetworkConfiguration::BearerWCDMA (enum)
    {42, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 35},	//1153 QNetworkConfiguration::BearerHSPA (enum)
    {42, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 36},	//1154 QNetworkConfiguration::BearerBluetooth (enum)
    {42, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 37},	//1155 QNetworkConfiguration::BearerWiMAX (enum)
    {42, 1435, 0, 0, Smoke::mf_dtor, 0, 38 },	//1156 QNetworkConfiguration::~QNetworkConfiguration()
    {43, 723, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 361, 1},	//1157 QNetworkConfigurationManager::metaObject() const
    {43, 1029, 1, 1, Smoke::mf_virtual, 433, 2},	//1158 QNetworkConfigurationManager::qt_metacast(const char*)
    {43, 1375, 3, 2, Smoke::mf_static, 219, 3},	//1159 QNetworkConfigurationManager::tr(const char*, const char*)
    {43, 1379, 3, 2, Smoke::mf_static, 219, 4},	//1160 QNetworkConfigurationManager::trUtf8(const char*, const char*)
    {43, 1375, 6, 3, Smoke::mf_static, 219, 5},	//1161 QNetworkConfigurationManager::tr(const char*, const char*, int)
    {43, 1379, 6, 3, Smoke::mf_static, 219, 6},	//1162 QNetworkConfigurationManager::trUtf8(const char*, const char*, int)
    {43, 1027, 10, 3, Smoke::mf_virtual, 411, 7},	//1163 QNetworkConfigurationManager::qt_metacall(QMetaObject::Call, int, void**)
    {43, 242, 20, 1, Smoke::mf_ctor, 146, 8},	//1164 QNetworkConfigurationManager::QNetworkConfigurationManager(QObject*)
    {43, 489, 0, 0, Smoke::mf_const, 42, 9},	//1165 QNetworkConfigurationManager::capabilities() const
    {43, 559, 0, 0, Smoke::mf_const, 139, 10},	//1166 QNetworkConfigurationManager::defaultConfiguration() const
    {43, 451, 1168, 1, Smoke::mf_const, 112, 11},	//1167 QNetworkConfigurationManager::allConfigurations(QFlags<QNetworkConfiguration::StateFlag>) const
    {43, 511, 69, 1, Smoke::mf_const, 139, 12},	//1168 QNetworkConfigurationManager::configurationFromIdentifier(const QString&) const
    {43, 668, 0, 0, Smoke::mf_const, 326, 13},	//1169 QNetworkConfigurationManager::isOnline() const
    {43, 1385, 0, 0, Smoke::mf_slot, 0, 14},	//1170 QNetworkConfigurationManager::updateConfigurations()
    {43, 507, 1141, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1171 QNetworkConfigurationManager::configurationAdded(const QNetworkConfiguration&)
    {43, 513, 1141, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1172 QNetworkConfigurationManager::configurationRemoved(const QNetworkConfiguration&)
    {43, 509, 1141, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1173 QNetworkConfigurationManager::configurationChanged(const QNetworkConfiguration&)
    {43, 743, 116, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1174 QNetworkConfigurationManager::onlineStateChanged(bool)
    {43, 1384, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//1175 QNetworkConfigurationManager::updateCompleted()
    {43, 1375, 1, 1, Smoke::mf_static, 219, 20},	//1176 QNetworkConfigurationManager::tr(const char*)
    {43, 1379, 1, 1, Smoke::mf_static, 219, 21},	//1177 QNetworkConfigurationManager::trUtf8(const char*)
    {43, 242, 0, 0, Smoke::mf_ctor, 146, 22},	//1178 QNetworkConfigurationManager::QNetworkConfigurationManager()
    {43, 451, 0, 0, Smoke::mf_const, 112, 23},	//1179 QNetworkConfigurationManager::allConfigurations() const
    {43, 1351, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 360, 24},	//1180 QNetworkConfigurationManager::staticMetaObject() const
    {43, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 25},	//1181 QNetworkConfigurationManager::CanStartAndStopInterfaces (enum)
    {43, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 26},	//1182 QNetworkConfigurationManager::DirectConnectionRouting (enum)
    {43, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 27},	//1183 QNetworkConfigurationManager::SystemSessionSupport (enum)
    {43, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 28},	//1184 QNetworkConfigurationManager::ApplicationLevelRoaming (enum)
    {43, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 29},	//1185 QNetworkConfigurationManager::ForcedRoaming (enum)
    {43, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 30},	//1186 QNetworkConfigurationManager::DataStatistics (enum)
    {43, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 31},	//1187 QNetworkConfigurationManager::NetworkSessionRequired (enum)
    {43, 1436, 0, 0, Smoke::mf_dtor, 0, 32 },	//1188 QNetworkConfigurationManager::~QNetworkConfigurationManager()
    {44, 244, 369, 2, Smoke::mf_ctor, 150, 1},	//1189 QNetworkCookie::QNetworkCookie(const QByteArray&, const QByteArray&)
    {44, 244, 1170, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 150, 2},	//1190 QNetworkCookie::QNetworkCookie(const QNetworkCookie&)
    {44, 781, 1170, 1, 0, 149, 3},	//1191 QNetworkCookie::operator=(const QNetworkCookie&)
    {44, 784, 1170, 1, Smoke::mf_const, 326, 4},	//1192 QNetworkCookie::operator==(const QNetworkCookie&) const
    {44, 748, 1170, 1, Smoke::mf_const, 326, 5},	//1193 QNetworkCookie::operator!=(const QNetworkCookie&) const
    {44, 673, 0, 0, Smoke::mf_const, 326, 6},	//1194 QNetworkCookie::isSecure() const
    {44, 1285, 116, 1, 0, 0, 7},	//1195 QNetworkCookie::setSecure(bool)
    {44, 662, 0, 0, Smoke::mf_const, 326, 8},	//1196 QNetworkCookie::isHttpOnly() const
    {44, 1182, 116, 1, 0, 0, 9},	//1197 QNetworkCookie::setHttpOnly(bool)
    {44, 675, 0, 0, Smoke::mf_const, 326, 10},	//1198 QNetworkCookie::isSessionCookie() const
    {44, 590, 0, 0, Smoke::mf_const, 22, 11},	//1199 QNetworkCookie::expirationDate() const
    {44, 1166, 1164, 1, 0, 0, 12},	//1200 QNetworkCookie::setExpirationDate(const QDateTime&)
    {44, 571, 0, 0, Smoke::mf_const, 219, 13},	//1201 QNetworkCookie::domain() const
    {44, 1159, 69, 1, 0, 0, 14},	//1202 QNetworkCookie::setDomain(const QString&)
    {44, 823, 0, 0, Smoke::mf_const, 219, 15},	//1203 QNetworkCookie::path() const
    {44, 1225, 69, 1, 0, 0, 16},	//1204 QNetworkCookie::setPath(const QString&)
    {44, 733, 0, 0, Smoke::mf_const, 14, 17},	//1205 QNetworkCookie::name() const
    {44, 1206, 198, 1, 0, 0, 18},	//1206 QNetworkCookie::setName(const QByteArray&)
    {44, 1393, 0, 0, Smoke::mf_const, 14, 19},	//1207 QNetworkCookie::value() const
    {44, 1330, 198, 1, 0, 0, 20},	//1208 QNetworkCookie::setValue(const QByteArray&)
    {44, 1372, 1172, 1, Smoke::mf_const, 14, 21},	//1209 QNetworkCookie::toRawForm(QNetworkCookie::RawForm) const
    {44, 816, 198, 1, Smoke::mf_static, 113, 22},	//1210 QNetworkCookie::parseCookies(const QByteArray&)
    {44, 244, 0, 0, Smoke::mf_ctor, 150, 23},	//1211 QNetworkCookie::QNetworkCookie()
    {44, 244, 198, 1, Smoke::mf_ctor, 150, 24},	//1212 QNetworkCookie::QNetworkCookie(const QByteArray&)
    {44, 1372, 0, 0, Smoke::mf_const, 14, 25},	//1213 QNetworkCookie::toRawForm() const
    {44, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 26},	//1214 QNetworkCookie::NameAndValueOnly (enum)
    {44, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 27},	//1215 QNetworkCookie::Full (enum)
    {44, 1437, 0, 0, Smoke::mf_dtor, 0, 28 },	//1216 QNetworkCookie::~QNetworkCookie()
    {45, 723, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 361, 1},	//1217 QNetworkCookieJar::metaObject() const
    {45, 1029, 1, 1, Smoke::mf_virtual, 433, 2},	//1218 QNetworkCookieJar::qt_metacast(const char*)
    {45, 1375, 3, 2, Smoke::mf_static, 219, 3},	//1219 QNetworkCookieJar::tr(const char*, const char*)
    {45, 1379, 3, 2, Smoke::mf_static, 219, 4},	//1220 QNetworkCookieJar::trUtf8(const char*, const char*)
    {45, 1375, 6, 3, Smoke::mf_static, 219, 5},	//1221 QNetworkCookieJar::tr(const char*, const char*, int)
    {45, 1379, 6, 3, Smoke::mf_static, 219, 6},	//1222 QNetworkCookieJar::trUtf8(const char*, const char*, int)
    {45, 1027, 10, 3, Smoke::mf_virtual, 411, 7},	//1223 QNetworkCookieJar::qt_metacall(QMetaObject::Call, int, void**)
    {45, 247, 20, 1, Smoke::mf_ctor, 152, 8},	//1224 QNetworkCookieJar::QNetworkCookieJar(QObject*)
    {45, 537, 14, 1, Smoke::mf_const|Smoke::mf_virtual, 113, 9},	//1225 QNetworkCookieJar::cookiesForUrl(const QUrl&) const
    {45, 1149, 1174, 2, Smoke::mf_virtual, 326, 10},	//1226 QNetworkCookieJar::setCookiesFromUrl(const QList<QNetworkCookie>&, const QUrl&)
    {45, 453, 0, 0, Smoke::mf_const|Smoke::mf_protected, 113, 11},	//1227 QNetworkCookieJar::allCookies() const
    {45, 1112, 1177, 1, Smoke::mf_protected, 0, 12},	//1228 QNetworkCookieJar::setAllCookies(const QList<QNetworkCookie>&)
    {45, 1375, 1, 1, Smoke::mf_static, 219, 13},	//1229 QNetworkCookieJar::tr(const char*)
    {45, 1379, 1, 1, Smoke::mf_static, 219, 14},	//1230 QNetworkCookieJar::trUtf8(const char*)
    {45, 247, 0, 0, Smoke::mf_ctor, 152, 15},	//1231 QNetworkCookieJar::QNetworkCookieJar()
    {45, 1351, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 360, 16},	//1232 QNetworkCookieJar::staticMetaObject() const
    {45, 1438, 0, 0, Smoke::mf_dtor, 0, 17 },	//1233 QNetworkCookieJar::~QNetworkCookieJar()
    {46, 723, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 361, 1},	//1234 QNetworkDiskCache::metaObject() const
    {46, 1029, 1, 1, Smoke::mf_virtual, 433, 2},	//1235 QNetworkDiskCache::qt_metacast(const char*)
    {46, 1375, 3, 2, Smoke::mf_static, 219, 3},	//1236 QNetworkDiskCache::tr(const char*, const char*)
    {46, 1379, 3, 2, Smoke::mf_static, 219, 4},	//1237 QNetworkDiskCache::trUtf8(const char*, const char*)
    {46, 1375, 6, 3, Smoke::mf_static, 219, 5},	//1238 QNetworkDiskCache::tr(const char*, const char*, int)
    {46, 1379, 6, 3, Smoke::mf_static, 219, 6},	//1239 QNetworkDiskCache::trUtf8(const char*, const char*, int)
    {46, 1027, 10, 3, Smoke::mf_virtual, 411, 7},	//1240 QNetworkDiskCache::qt_metacall(QMetaObject::Call, int, void**)
    {46, 249, 20, 1, Smoke::mf_ctor, 153, 8},	//1241 QNetworkDiskCache::QNetworkDiskCache(QObject*)
    {46, 486, 0, 0, Smoke::mf_const, 219, 9},	//1242 QNetworkDiskCache::cacheDirectory() const
    {46, 1134, 69, 1, 0, 0, 10},	//1243 QNetworkDiskCache::setCacheDirectory(const QString&)
    {46, 719, 0, 0, Smoke::mf_const, 416, 11},	//1244 QNetworkDiskCache::maximumCacheSize() const
    {46, 1202, 33, 1, 0, 0, 12},	//1245 QNetworkDiskCache::setMaximumCacheSize(long long)
    {46, 487, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 416, 13},	//1246 QNetworkDiskCache::cacheSize() const
    {46, 720, 14, 1, Smoke::mf_virtual, 136, 14},	//1247 QNetworkDiskCache::metaData(const QUrl&)
    {46, 1386, 16, 1, Smoke::mf_virtual, 0, 15},	//1248 QNetworkDiskCache::updateMetaData(const QNetworkCacheMetaData&)
    {46, 549, 14, 1, Smoke::mf_virtual, 99, 16},	//1249 QNetworkDiskCache::data(const QUrl&)
    {46, 1069, 14, 1, Smoke::mf_virtual, 326, 17},	//1250 QNetworkDiskCache::remove(const QUrl&)
    {46, 846, 16, 1, Smoke::mf_virtual, 99, 18},	//1251 QNetworkDiskCache::prepare(const QNetworkCacheMetaData&)
    {46, 648, 18, 1, Smoke::mf_virtual, 0, 19},	//1252 QNetworkDiskCache::insert(QIODevice*)
    {46, 593, 69, 1, Smoke::mf_const, 136, 20},	//1253 QNetworkDiskCache::fileMetaData(const QString&) const
    {46, 496, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//1254 QNetworkDiskCache::clear()
    {46, 591, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 416, 22},	//1255 QNetworkDiskCache::expire()
    {46, 1375, 1, 1, Smoke::mf_static, 219, 23},	//1256 QNetworkDiskCache::tr(const char*)
    {46, 1379, 1, 1, Smoke::mf_static, 219, 24},	//1257 QNetworkDiskCache::trUtf8(const char*)
    {46, 249, 0, 0, Smoke::mf_ctor, 153, 25},	//1258 QNetworkDiskCache::QNetworkDiskCache()
    {46, 1351, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 360, 26},	//1259 QNetworkDiskCache::staticMetaObject() const
    {46, 1439, 0, 0, Smoke::mf_dtor, 0, 27 },	//1260 QNetworkDiskCache::~QNetworkDiskCache()
    {47, 251, 0, 0, Smoke::mf_ctor, 156, 1},	//1261 QNetworkInterface::QNetworkInterface()
    {47, 251, 1179, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 156, 2},	//1262 QNetworkInterface::QNetworkInterface(const QNetworkInterface&)
    {47, 781, 1179, 1, 0, 155, 3},	//1263 QNetworkInterface::operator=(const QNetworkInterface&)
    {47, 678, 0, 0, Smoke::mf_const, 326, 4},	//1264 QNetworkInterface::isValid() const
    {47, 647, 0, 0, Smoke::mf_const, 411, 5},	//1265 QNetworkInterface::index() const
    {47, 733, 0, 0, Smoke::mf_const, 219, 6},	//1266 QNetworkInterface::name() const
    {47, 639, 0, 0, Smoke::mf_const, 219, 7},	//1267 QNetworkInterface::humanReadableName() const
    {47, 597, 0, 0, Smoke::mf_const, 43, 8},	//1268 QNetworkInterface::flags() const
    {47, 621, 0, 0, Smoke::mf_const, 219, 9},	//1269 QNetworkInterface::hardwareAddress() const
    {47, 447, 0, 0, Smoke::mf_const, 111, 10},	//1270 QNetworkInterface::addressEntries() const
    {47, 653, 69, 1, Smoke::mf_static, 154, 11},	//1271 QNetworkInterface::interfaceFromName(const QString&)
    {47, 651, 44, 1, Smoke::mf_static, 154, 12},	//1272 QNetworkInterface::interfaceFromIndex(int)
    {47, 454, 0, 0, Smoke::mf_static, 114, 13},	//1273 QNetworkInterface::allInterfaces()
    {47, 450, 0, 0, Smoke::mf_static, 110, 14},	//1274 QNetworkInterface::allAddresses()
    {47, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 15},	//1275 QNetworkInterface::IsUp (enum)
    {47, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 16},	//1276 QNetworkInterface::IsRunning (enum)
    {47, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 17},	//1277 QNetworkInterface::CanBroadcast (enum)
    {47, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 18},	//1278 QNetworkInterface::IsLoopBack (enum)
    {47, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 19},	//1279 QNetworkInterface::IsPointToPoint (enum)
    {47, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 20},	//1280 QNetworkInterface::CanMulticast (enum)
    {47, 1440, 0, 0, Smoke::mf_dtor, 0, 21 },	//1281 QNetworkInterface::~QNetworkInterface()
    {48, 253, 0, 0, Smoke::mf_ctor, 160, 1},	//1282 QNetworkProxy::QNetworkProxy()
    {48, 253, 1181, 5, Smoke::mf_ctor, 160, 2},	//1283 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&, const QString&)
    {48, 253, 46, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 160, 3},	//1284 QNetworkProxy::QNetworkProxy(const QNetworkProxy&)
    {48, 781, 46, 1, 0, 159, 4},	//1285 QNetworkProxy::operator=(const QNetworkProxy&)
    {48, 784, 46, 1, Smoke::mf_const, 326, 5},	//1286 QNetworkProxy::operator==(const QNetworkProxy&) const
    {48, 748, 46, 1, Smoke::mf_const, 326, 6},	//1287 QNetworkProxy::operator!=(const QNetworkProxy&) const
    {48, 1319, 1187, 1, 0, 0, 7},	//1288 QNetworkProxy::setType(QNetworkProxy::ProxyType)
    {48, 1383, 0, 0, Smoke::mf_const, 162, 8},	//1289 QNetworkProxy::type() const
    {48, 1136, 1189, 1, 0, 0, 9},	//1290 QNetworkProxy::setCapabilities(QFlags<QNetworkProxy::Capability>)
    {48, 489, 0, 0, Smoke::mf_const, 44, 10},	//1291 QNetworkProxy::capabilities() const
    {48, 656, 0, 0, Smoke::mf_const, 326, 11},	//1292 QNetworkProxy::isCachingProxy() const
    {48, 677, 0, 0, Smoke::mf_const, 326, 12},	//1293 QNetworkProxy::isTransparentProxy() const
    {48, 1325, 69, 1, 0, 0, 13},	//1294 QNetworkProxy::setUser(const QString&)
    {48, 1392, 0, 0, Smoke::mf_const, 219, 14},	//1295 QNetworkProxy::user() const
    {48, 1223, 69, 1, 0, 0, 15},	//1296 QNetworkProxy::setPassword(const QString&)
    {48, 822, 0, 0, Smoke::mf_const, 219, 16},	//1297 QNetworkProxy::password() const
    {48, 1180, 69, 1, 0, 0, 17},	//1298 QNetworkProxy::setHostName(const QString&)
    {48, 638, 0, 0, Smoke::mf_const, 219, 18},	//1299 QNetworkProxy::hostName() const
    {48, 1243, 65, 1, 0, 0, 19},	//1300 QNetworkProxy::setPort(unsigned short)
    {48, 837, 0, 0, Smoke::mf_const, 428, 20},	//1301 QNetworkProxy::port() const
    {48, 1114, 46, 1, Smoke::mf_static, 0, 21},	//1302 QNetworkProxy::setApplicationProxy(const QNetworkProxy&)
    {48, 460, 0, 0, Smoke::mf_static, 158, 22},	//1303 QNetworkProxy::applicationProxy()
    {48, 253, 1187, 1, Smoke::mf_ctor, 160, 23},	//1304 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType)
    {48, 253, 1191, 2, Smoke::mf_ctor, 160, 24},	//1305 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&)
    {48, 253, 1194, 3, Smoke::mf_ctor, 160, 25},	//1306 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short)
    {48, 253, 1198, 4, Smoke::mf_ctor, 160, 26},	//1307 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&)
    {48, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 27},	//1308 QNetworkProxy::DefaultProxy (enum)
    {48, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 28},	//1309 QNetworkProxy::Socks5Proxy (enum)
    {48, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 29},	//1310 QNetworkProxy::NoProxy (enum)
    {48, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 30},	//1311 QNetworkProxy::HttpProxy (enum)
    {48, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 31},	//1312 QNetworkProxy::HttpCachingProxy (enum)
    {48, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 32},	//1313 QNetworkProxy::FtpCachingProxy (enum)
    {48, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 33},	//1314 QNetworkProxy::TunnelingCapability (enum)
    {48, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 34},	//1315 QNetworkProxy::ListeningCapability (enum)
    {48, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 35},	//1316 QNetworkProxy::UdpTunnelingCapability (enum)
    {48, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 36},	//1317 QNetworkProxy::CachingCapability (enum)
    {48, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 37},	//1318 QNetworkProxy::HostNameLookupCapability (enum)
    {48, 1441, 0, 0, Smoke::mf_dtor, 0, 38 },	//1319 QNetworkProxy::~QNetworkProxy()
    {49, 260, 0, 0, Smoke::mf_ctor, 163, 1},	//1320 QNetworkProxyFactory::QNetworkProxyFactory()
    {49, 1036, 1203, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 115, 2},	//1321 QNetworkProxyFactory::queryProxy(const QNetworkProxyQuery&) [pure virtual]
    {49, 1323, 116, 1, Smoke::mf_static, 0, 3},	//1322 QNetworkProxyFactory::setUseSystemConfiguration(bool)
    {49, 1116, 1120, 1, Smoke::mf_static, 0, 4},	//1323 QNetworkProxyFactory::setApplicationProxyFactory(QNetworkProxyFactory*)
    {49, 857, 1203, 1, Smoke::mf_static, 115, 5},	//1324 QNetworkProxyFactory::proxyForQuery(const QNetworkProxyQuery&)
    {49, 1361, 1203, 1, Smoke::mf_static, 115, 6},	//1325 QNetworkProxyFactory::systemProxyForQuery(const QNetworkProxyQuery&)
    {49, 260, 1205, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 163, 7},	//1326 QNetworkProxyFactory::QNetworkProxyFactory(const QNetworkProxyFactory&)
    {49, 1036, 0, 0, 0, 115, 8},	//1327 QNetworkProxyFactory::queryProxy()
    {49, 1361, 0, 0, Smoke::mf_static, 115, 9},	//1328 QNetworkProxyFactory::systemProxyForQuery()
    {49, 1442, 0, 0, Smoke::mf_dtor, 0, 10 },	//1329 QNetworkProxyFactory::~QNetworkProxyFactory()
    {50, 262, 0, 0, Smoke::mf_ctor, 165, 1},	//1330 QNetworkProxyQuery::QNetworkProxyQuery()
    {50, 262, 1207, 2, Smoke::mf_ctor, 165, 2},	//1331 QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&, QNetworkProxyQuery::QueryType)
    {50, 262, 1210, 4, Smoke::mf_ctor, 165, 3},	//1332 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&, QNetworkProxyQuery::QueryType)
    {50, 262, 1215, 3, Smoke::mf_ctor, 165, 4},	//1333 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    {50, 262, 1203, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 165, 5},	//1334 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkProxyQuery&)
    {50, 262, 1219, 3, Smoke::mf_ctor, 165, 6},	//1335 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QUrl&, QNetworkProxyQuery::QueryType)
    {50, 262, 1223, 5, Smoke::mf_ctor, 165, 7},	//1336 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QString&, int, const QString&, QNetworkProxyQuery::QueryType)
    {50, 262, 1229, 4, Smoke::mf_ctor, 165, 8},	//1337 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    {50, 781, 1203, 1, 0, 164, 9},	//1338 QNetworkProxyQuery::operator=(const QNetworkProxyQuery&)
    {50, 784, 1203, 1, Smoke::mf_const, 326, 10},	//1339 QNetworkProxyQuery::operator==(const QNetworkProxyQuery&) const
    {50, 748, 1203, 1, Smoke::mf_const, 326, 11},	//1340 QNetworkProxyQuery::operator!=(const QNetworkProxyQuery&) const
    {50, 1038, 0, 0, Smoke::mf_const, 166, 12},	//1341 QNetworkProxyQuery::queryType() const
    {50, 1266, 1234, 1, 0, 0, 13},	//1342 QNetworkProxyQuery::setQueryType(QNetworkProxyQuery::QueryType)
    {50, 829, 0, 0, Smoke::mf_const, 411, 14},	//1343 QNetworkProxyQuery::peerPort() const
    {50, 1233, 44, 1, 0, 0, 15},	//1344 QNetworkProxyQuery::setPeerPort(int)
    {50, 827, 0, 0, Smoke::mf_const, 219, 16},	//1345 QNetworkProxyQuery::peerHostName() const
    {50, 1229, 69, 1, 0, 0, 17},	//1346 QNetworkProxyQuery::setPeerHostName(const QString&)
    {50, 709, 0, 0, Smoke::mf_const, 411, 18},	//1347 QNetworkProxyQuery::localPort() const
    {50, 1196, 44, 1, 0, 0, 19},	//1348 QNetworkProxyQuery::setLocalPort(int)
    {50, 852, 0, 0, Smoke::mf_const, 219, 20},	//1349 QNetworkProxyQuery::protocolTag() const
    {50, 1257, 69, 1, 0, 0, 21},	//1350 QNetworkProxyQuery::setProtocolTag(const QString&)
    {50, 1390, 0, 0, Smoke::mf_const, 237, 22},	//1351 QNetworkProxyQuery::url() const
    {50, 1321, 14, 1, 0, 0, 23},	//1352 QNetworkProxyQuery::setUrl(const QUrl&)
    {50, 738, 0, 0, Smoke::mf_const, 139, 24},	//1353 QNetworkProxyQuery::networkConfiguration() const
    {50, 1213, 1141, 1, 0, 0, 25},	//1354 QNetworkProxyQuery::setNetworkConfiguration(const QNetworkConfiguration&)
    {50, 262, 14, 1, Smoke::mf_ctor, 165, 26},	//1355 QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&)
    {50, 262, 1049, 2, Smoke::mf_ctor, 165, 27},	//1356 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int)
    {50, 262, 1052, 3, Smoke::mf_ctor, 165, 28},	//1357 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&)
    {50, 262, 65, 1, Smoke::mf_ctor, 165, 29},	//1358 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short)
    {50, 262, 1236, 2, Smoke::mf_ctor, 165, 30},	//1359 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&)
    {50, 262, 1239, 2, Smoke::mf_ctor, 165, 31},	//1360 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QUrl&)
    {50, 262, 1242, 3, Smoke::mf_ctor, 165, 32},	//1361 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QString&, int)
    {50, 262, 1246, 4, Smoke::mf_ctor, 165, 33},	//1362 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QString&, int, const QString&)
    {50, 262, 1251, 2, Smoke::mf_ctor, 165, 34},	//1363 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short)
    {50, 262, 1254, 3, Smoke::mf_ctor, 165, 35},	//1364 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short, const QString&)
    {50, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 36},	//1365 QNetworkProxyQuery::TcpSocket (enum)
    {50, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 37},	//1366 QNetworkProxyQuery::UdpSocket (enum)
    {50, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 38},	//1367 QNetworkProxyQuery::TcpServer (enum)
    {50, 403, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 39},	//1368 QNetworkProxyQuery::UrlRequest (enum)
    {50, 1443, 0, 0, Smoke::mf_dtor, 0, 40 },	//1369 QNetworkProxyQuery::~QNetworkProxyQuery()
    {51, 723, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 361, 1},	//1370 QNetworkReply::metaObject() const
    {51, 1029, 1, 1, Smoke::mf_virtual, 433, 2},	//1371 QNetworkReply::qt_metacast(const char*)
    {51, 1375, 3, 2, Smoke::mf_static, 219, 3},	//1372 QNetworkReply::tr(const char*, const char*)
    {51, 1379, 3, 2, Smoke::mf_static, 219, 4},	//1373 QNetworkReply::trUtf8(const char*, const char*)
    {51, 1375, 6, 3, Smoke::mf_static, 219, 5},	//1374 QNetworkReply::tr(const char*, const char*, int)
    {51, 1379, 6, 3, Smoke::mf_static, 219, 6},	//1375 QNetworkReply::trUtf8(const char*, const char*, int)
    {51, 1027, 10, 3, Smoke::mf_virtual, 411, 7},	//1376 QNetworkReply::qt_metacall(QMetaObject::Call, int, void**)
    {51, 423, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//1377 QNetworkReply::abort() [pure virtual]
    {51, 499, 0, 0, Smoke::mf_virtual, 0, 9},	//1378 QNetworkReply::close()
    {51, 674, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 326, 10},	//1379 QNetworkReply::isSequential() const
    {51, 1055, 0, 0, Smoke::mf_const, 416, 11},	//1380 QNetworkReply::readBufferSize() const
    {51, 1272, 33, 1, Smoke::mf_virtual, 0, 12},	//1381 QNetworkReply::setReadBufferSize(long long)
    {51, 717, 0, 0, Smoke::mf_const, 130, 13},	//1382 QNetworkReply::manager() const
    {51, 747, 0, 0, Smoke::mf_const, 132, 14},	//1383 QNetworkReply::operation() const
    {51, 1080, 0, 0, Smoke::mf_const, 169, 15},	//1384 QNetworkReply::request() const
    {51, 585, 0, 0, Smoke::mf_const, 168, 16},	//1385 QNetworkReply::error() const
    {51, 661, 0, 0, Smoke::mf_const, 326, 17},	//1386 QNetworkReply::isFinished() const
    {51, 672, 0, 0, Smoke::mf_const, 326, 18},	//1387 QNetworkReply::isRunning() const
    {51, 1390, 0, 0, Smoke::mf_const, 237, 19},	//1388 QNetworkReply::url() const
    {51, 635, 1258, 1, Smoke::mf_const, 245, 20},	//1389 QNetworkReply::header(QNetworkRequest::KnownHeaders) const
    {51, 630, 198, 1, Smoke::mf_const, 326, 21},	//1390 QNetworkReply::hasRawHeader(const QByteArray&) const
    {51, 1049, 0, 0, Smoke::mf_const, 109, 22},	//1391 QNetworkReply::rawHeaderList() const
    {51, 1047, 198, 1, Smoke::mf_const, 14, 23},	//1392 QNetworkReply::rawHeader(const QByteArray&) const
    {51, 1050, 0, 0, Smoke::mf_const, 353, 24},	//1393 QNetworkReply::rawHeaderPairs() const
    {51, 462, 1260, 1, Smoke::mf_const, 245, 25},	//1394 QNetworkReply::attribute(QNetworkRequest::Attribute) const
    {51, 1342, 0, 0, Smoke::mf_const, 206, 26},	//1395 QNetworkReply::sslConfiguration() const
    {51, 1306, 1262, 1, 0, 0, 27},	//1396 QNetworkReply::setSslConfiguration(const QSslConfiguration&)
    {51, 642, 1044, 1, 0, 0, 28},	//1397 QNetworkReply::ignoreSslErrors(const QList<QSslError>&)
    {51, 642, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//1398 QNetworkReply::ignoreSslErrors()
    {51, 722, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1399 QNetworkReply::metaDataChanged()
    {51, 595, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1400 QNetworkReply::finished()
    {51, 585, 1264, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1401 QNetworkReply::error(QNetworkReply::NetworkError)
    {51, 1343, 1044, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1402 QNetworkReply::sslErrors(const QList<QSslError>&)
    {51, 1388, 107, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1403 QNetworkReply::uploadProgress(qint64, qint64)
    {51, 574, 107, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1404 QNetworkReply::downloadProgress(qint64, qint64)
    {51, 274, 20, 1, Smoke::mf_ctor|Smoke::mf_protected, 167, 36},	//1405 QNetworkReply::QNetworkReply(QObject*)
    {51, 1412, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 416, 37},	//1406 QNetworkReply::writeData(const char*, long long)
    {51, 1215, 1266, 1, Smoke::mf_protected, 0, 38},	//1407 QNetworkReply::setOperation(QNetworkAccessManager::Operation)
    {51, 1276, 1126, 1, Smoke::mf_protected, 0, 39},	//1408 QNetworkReply::setRequest(const QNetworkRequest&)
    {51, 1161, 1268, 2, Smoke::mf_protected, 0, 40},	//1409 QNetworkReply::setError(QNetworkReply::NetworkError, const QString&)
    {51, 1170, 116, 1, Smoke::mf_protected, 0, 41},	//1410 QNetworkReply::setFinished(bool)
    {51, 1321, 14, 1, Smoke::mf_protected, 0, 42},	//1411 QNetworkReply::setUrl(const QUrl&)
    {51, 1174, 1078, 2, Smoke::mf_protected, 0, 43},	//1412 QNetworkReply::setHeader(QNetworkRequest::KnownHeaders, const QVariant&)
    {51, 1268, 369, 2, Smoke::mf_protected, 0, 44},	//1413 QNetworkReply::setRawHeader(const QByteArray&, const QByteArray&)
    {51, 1118, 1271, 2, Smoke::mf_protected, 0, 45},	//1414 QNetworkReply::setAttribute(QNetworkRequest::Attribute, const QVariant&)
    {51, 1375, 1, 1, Smoke::mf_static, 219, 46},	//1415 QNetworkReply::tr(const char*)
    {51, 1379, 1, 1, Smoke::mf_static, 219, 47},	//1416 QNetworkReply::trUtf8(const char*)
    {51, 274, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 167, 48},	//1417 QNetworkReply::QNetworkReply()
    {51, 1351, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 360, 49},	//1418 QNetworkReply::staticMetaObject() const
    {51, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 50},	//1419 QNetworkReply::NoError (enum)
    {51, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 51},	//1420 QNetworkReply::ConnectionRefusedError (enum)
    {51, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 52},	//1421 QNetworkReply::RemoteHostClosedError (enum)
    {51, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 53},	//1422 QNetworkReply::HostNotFoundError (enum)
    {51, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 54},	//1423 QNetworkReply::TimeoutError (enum)
    {51, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 55},	//1424 QNetworkReply::OperationCanceledError (enum)
    {51, 353, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 56},	//1425 QNetworkReply::SslHandshakeFailedError (enum)
    {51, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 57},	//1426 QNetworkReply::TemporaryNetworkFailureError (enum)
    {51, 392, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 58},	//1427 QNetworkReply::UnknownNetworkError (enum)
    {51, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 59},	//1428 QNetworkReply::ProxyConnectionRefusedError (enum)
    {51, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 60},	//1429 QNetworkReply::ProxyConnectionClosedError (enum)
    {51, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 61},	//1430 QNetworkReply::ProxyNotFoundError (enum)
    {51, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 62},	//1431 QNetworkReply::ProxyTimeoutError (enum)
    {51, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 63},	//1432 QNetworkReply::ProxyAuthenticationRequiredError (enum)
    {51, 396, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 64},	//1433 QNetworkReply::UnknownProxyError (enum)
    {51, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 65},	//1434 QNetworkReply::ContentAccessDenied (enum)
    {51, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 66},	//1435 QNetworkReply::ContentOperationNotPermittedError (enum)
    {51, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 67},	//1436 QNetworkReply::ContentNotFoundError (enum)
    {51, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 68},	//1437 QNetworkReply::AuthenticationRequiredError (enum)
    {51, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 69},	//1438 QNetworkReply::ContentReSendError (enum)
    {51, 390, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 70},	//1439 QNetworkReply::UnknownContentError (enum)
    {51, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 71},	//1440 QNetworkReply::ProtocolUnknownError (enum)
    {51, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 72},	//1441 QNetworkReply::ProtocolInvalidOperationError (enum)
    {51, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 73},	//1442 QNetworkReply::ProtocolFailure (enum)
    {51, 1444, 0, 0, Smoke::mf_dtor, 0, 74 },	//1443 QNetworkReply::~QNetworkReply()
    {52, 276, 14, 1, Smoke::mf_ctor, 171, 1},	//1444 QNetworkRequest::QNetworkRequest(const QUrl&)
    {52, 276, 1126, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 171, 2},	//1445 QNetworkRequest::QNetworkRequest(const QNetworkRequest&)
    {52, 781, 1126, 1, 0, 170, 3},	//1446 QNetworkRequest::operator=(const QNetworkRequest&)
    {52, 784, 1126, 1, Smoke::mf_const, 326, 4},	//1447 QNetworkRequest::operator==(const QNetworkRequest&) const
    {52, 748, 1126, 1, Smoke::mf_const, 326, 5},	//1448 QNetworkRequest::operator!=(const QNetworkRequest&) const
    {52, 1390, 0, 0, Smoke::mf_const, 237, 6},	//1449 QNetworkRequest::url() const
    {52, 1321, 14, 1, 0, 0, 7},	//1450 QNetworkRequest::setUrl(const QUrl&)
    {52, 635, 1258, 1, Smoke::mf_const, 245, 8},	//1451 QNetworkRequest::header(QNetworkRequest::KnownHeaders) const
    {52, 1174, 1078, 2, 0, 0, 9},	//1452 QNetworkRequest::setHeader(QNetworkRequest::KnownHeaders, const QVariant&)
    {52, 630, 198, 1, Smoke::mf_const, 326, 10},	//1453 QNetworkRequest::hasRawHeader(const QByteArray&) const
    {52, 1049, 0, 0, Smoke::mf_const, 109, 11},	//1454 QNetworkRequest::rawHeaderList() const
    {52, 1047, 198, 1, Smoke::mf_const, 14, 12},	//1455 QNetworkRequest::rawHeader(const QByteArray&) const
    {52, 1268, 369, 2, 0, 0, 13},	//1456 QNetworkRequest::setRawHeader(const QByteArray&, const QByteArray&)
    {52, 462, 1271, 2, Smoke::mf_const, 245, 14},	//1457 QNetworkRequest::attribute(QNetworkRequest::Attribute, const QVariant&) const
    {52, 1118, 1271, 2, 0, 0, 15},	//1458 QNetworkRequest::setAttribute(QNetworkRequest::Attribute, const QVariant&)
    {52, 1342, 0, 0, Smoke::mf_const, 206, 16},	//1459 QNetworkRequest::sslConfiguration() const
    {52, 1306, 1262, 1, 0, 0, 17},	//1460 QNetworkRequest::setSslConfiguration(const QSslConfiguration&)
    {52, 1219, 20, 1, 0, 0, 18},	//1461 QNetworkRequest::setOriginatingObject(QObject*)
    {52, 812, 0, 0, Smoke::mf_const, 180, 19},	//1462 QNetworkRequest::originatingObject() const
    {52, 848, 0, 0, Smoke::mf_const, 176, 20},	//1463 QNetworkRequest::priority() const
    {52, 1247, 1274, 1, 0, 0, 21},	//1464 QNetworkRequest::setPriority(QNetworkRequest::Priority)
    {52, 276, 0, 0, Smoke::mf_ctor, 171, 22},	//1465 QNetworkRequest::QNetworkRequest()
    {52, 462, 1260, 1, Smoke::mf_const, 245, 23},	//1466 QNetworkRequest::attribute(QNetworkRequest::Attribute) const
    {52, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 24},	//1467 QNetworkRequest::ContentTypeHeader (enum)
    {52, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 25},	//1468 QNetworkRequest::ContentLengthHeader (enum)
    {52, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 26},	//1469 QNetworkRequest::LocationHeader (enum)
    {52, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 27},	//1470 QNetworkRequest::LastModifiedHeader (enum)
    {52, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 28},	//1471 QNetworkRequest::CookieHeader (enum)
    {52, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 29},	//1472 QNetworkRequest::SetCookieHeader (enum)
    {52, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 30},	//1473 QNetworkRequest::ContentDispositionHeader (enum)
    {52, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 31},	//1474 QNetworkRequest::HttpStatusCodeAttribute (enum)
    {52, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 32},	//1475 QNetworkRequest::HttpReasonPhraseAttribute (enum)
    {52, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 33},	//1476 QNetworkRequest::RedirectionTargetAttribute (enum)
    {52, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 34},	//1477 QNetworkRequest::ConnectionEncryptedAttribute (enum)
    {52, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 35},	//1478 QNetworkRequest::CacheLoadControlAttribute (enum)
    {52, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 36},	//1479 QNetworkRequest::CacheSaveControlAttribute (enum)
    {52, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 37},	//1480 QNetworkRequest::SourceIsFromCacheAttribute (enum)
    {52, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 38},	//1481 QNetworkRequest::DoNotBufferUploadDataAttribute (enum)
    {52, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 39},	//1482 QNetworkRequest::HttpPipeliningAllowedAttribute (enum)
    {52, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 40},	//1483 QNetworkRequest::HttpPipeliningWasUsedAttribute (enum)
    {52, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 41},	//1484 QNetworkRequest::CustomVerbAttribute (enum)
    {52, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 42},	//1485 QNetworkRequest::CookieLoadControlAttribute (enum)
    {52, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 43},	//1486 QNetworkRequest::AuthenticationReuseAttribute (enum)
    {52, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 44},	//1487 QNetworkRequest::CookieSaveControlAttribute (enum)
    {52, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 45},	//1488 QNetworkRequest::MaximumDownloadBufferSizeAttribute (enum)
    {52, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 46},	//1489 QNetworkRequest::DownloadBufferAttribute (enum)
    {52, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 47},	//1490 QNetworkRequest::SynchronousRequestAttribute (enum)
    {52, 404, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 48},	//1491 QNetworkRequest::User (enum)
    {52, 406, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 49},	//1492 QNetworkRequest::UserMax (enum)
    {52, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 50},	//1493 QNetworkRequest::AlwaysNetwork (enum)
    {52, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 51},	//1494 QNetworkRequest::PreferNetwork (enum)
    {52, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 52},	//1495 QNetworkRequest::PreferCache (enum)
    {52, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 53},	//1496 QNetworkRequest::AlwaysCache (enum)
    {52, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 54},	//1497 QNetworkRequest::Automatic (enum)
    {52, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 55},	//1498 QNetworkRequest::Manual (enum)
    {52, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 56},	//1499 QNetworkRequest::HighPriority (enum)
    {52, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 57},	//1500 QNetworkRequest::NormalPriority (enum)
    {52, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 58},	//1501 QNetworkRequest::LowPriority (enum)
    {52, 1445, 0, 0, Smoke::mf_dtor, 0, 59 },	//1502 QNetworkRequest::~QNetworkRequest()
    {53, 723, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 361, 1},	//1503 QNetworkSession::metaObject() const
    {53, 1029, 1, 1, Smoke::mf_virtual, 433, 2},	//1504 QNetworkSession::qt_metacast(const char*)
    {53, 1375, 3, 2, Smoke::mf_static, 219, 3},	//1505 QNetworkSession::tr(const char*, const char*)
    {53, 1379, 3, 2, Smoke::mf_static, 219, 4},	//1506 QNetworkSession::trUtf8(const char*, const char*)
    {53, 1375, 6, 3, Smoke::mf_static, 219, 5},	//1507 QNetworkSession::tr(const char*, const char*, int)
    {53, 1379, 6, 3, Smoke::mf_static, 219, 6},	//1508 QNetworkSession::trUtf8(const char*, const char*, int)
    {53, 1027, 10, 3, Smoke::mf_virtual, 411, 7},	//1509 QNetworkSession::qt_metacall(QMetaObject::Call, int, void**)
    {53, 278, 1276, 2, Smoke::mf_ctor, 177, 8},	//1510 QNetworkSession::QNetworkSession(const QNetworkConfiguration&, QObject*)
    {53, 669, 0, 0, Smoke::mf_const, 326, 9},	//1511 QNetworkSession::isOpen() const
    {53, 506, 0, 0, Smoke::mf_const, 139, 10},	//1512 QNetworkSession::configuration() const
    {53, 650, 0, 0, Smoke::mf_const, 154, 11},	//1513 QNetworkSession::interface() const
    {53, 1348, 0, 0, Smoke::mf_const, 179, 12},	//1514 QNetworkSession::state() const
    {53, 585, 0, 0, Smoke::mf_const, 178, 13},	//1515 QNetworkSession::error() const
    {53, 587, 0, 0, Smoke::mf_const, 219, 14},	//1516 QNetworkSession::errorString() const
    {53, 1105, 69, 1, Smoke::mf_const, 245, 15},	//1517 QNetworkSession::sessionProperty(const QString&) const
    {53, 1287, 85, 2, 0, 0, 16},	//1518 QNetworkSession::setSessionProperty(const QString&, const QVariant&)
    {53, 483, 0, 0, Smoke::mf_const, 427, 17},	//1519 QNetworkSession::bytesWritten() const
    {53, 481, 0, 0, Smoke::mf_const, 427, 18},	//1520 QNetworkSession::bytesReceived() const
    {53, 428, 0, 0, Smoke::mf_const, 427, 19},	//1521 QNetworkSession::activeTime() const
    {53, 1408, 44, 1, 0, 326, 20},	//1522 QNetworkSession::waitForOpened(int)
    {53, 745, 0, 0, Smoke::mf_slot, 0, 21},	//1523 QNetworkSession::open()
    {53, 499, 0, 0, Smoke::mf_slot, 0, 22},	//1524 QNetworkSession::close()
    {53, 1353, 0, 0, Smoke::mf_slot, 0, 23},	//1525 QNetworkSession::stop()
    {53, 725, 0, 0, Smoke::mf_slot, 0, 24},	//1526 QNetworkSession::migrate()
    {53, 641, 0, 0, Smoke::mf_slot, 0, 25},	//1527 QNetworkSession::ignore()
    {53, 426, 0, 0, Smoke::mf_slot, 0, 26},	//1528 QNetworkSession::accept()
    {53, 1068, 0, 0, Smoke::mf_slot, 0, 27},	//1529 QNetworkSession::reject()
    {53, 1349, 1279, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1530 QNetworkSession::stateChanged(QNetworkSession::State)
    {53, 746, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1531 QNetworkSession::opened()
    {53, 501, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1532 QNetworkSession::closed()
    {53, 585, 1281, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1533 QNetworkSession::error(QNetworkSession::SessionError)
    {53, 843, 1283, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1534 QNetworkSession::preferredConfigurationChanged(const QNetworkConfiguration&, bool)
    {53, 740, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1535 QNetworkSession::newConfigurationActivated()
    {53, 515, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1536 QNetworkSession::connectNotify(const char*)
    {53, 568, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//1537 QNetworkSession::disconnectNotify(const char*)
    {53, 1375, 1, 1, Smoke::mf_static, 219, 36},	//1538 QNetworkSession::tr(const char*)
    {53, 1379, 1, 1, Smoke::mf_static, 219, 37},	//1539 QNetworkSession::trUtf8(const char*)
    {53, 278, 1141, 1, Smoke::mf_ctor, 177, 38},	//1540 QNetworkSession::QNetworkSession(const QNetworkConfiguration&)
    {53, 1408, 0, 0, 0, 326, 39},	//1541 QNetworkSession::waitForOpened()
    {53, 1351, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 360, 40},	//1542 QNetworkSession::staticMetaObject() const
    {53, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 41},	//1543 QNetworkSession::Invalid (enum)
    {53, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 42},	//1544 QNetworkSession::NotAvailable (enum)
    {53, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 43},	//1545 QNetworkSession::Connecting (enum)
    {53, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 44},	//1546 QNetworkSession::Connected (enum)
    {53, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 45},	//1547 QNetworkSession::Closing (enum)
    {53, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 46},	//1548 QNetworkSession::Disconnected (enum)
    {53, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 47},	//1549 QNetworkSession::Roaming (enum)
    {53, 398, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 48},	//1550 QNetworkSession::UnknownSessionError (enum)
    {53, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 49},	//1551 QNetworkSession::SessionAbortedError (enum)
    {53, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 50},	//1552 QNetworkSession::RoamingError (enum)
    {53, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 51},	//1553 QNetworkSession::OperationNotSupportedError (enum)
    {53, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 52},	//1554 QNetworkSession::InvalidConfigurationError (enum)
    {53, 1446, 0, 0, Smoke::mf_dtor, 0, 53 },	//1555 QNetworkSession::~QNetworkSession()
    {54, 588, 1286, 1, Smoke::mf_virtual, 326, 0},	//1556 QObject::event(QEvent*)
    {54, 589, 1288, 2, Smoke::mf_virtual, 326, 0},	//1557 QObject::eventFilter(QObject*, QEvent*)
    {54, 1365, 1291, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1558 QObject::timerEvent(QTimerEvent*)
    {54, 493, 1293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1559 QObject::childEvent(QChildEvent*)
    {54, 548, 1286, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1560 QObject::customEvent(QEvent*)
    {54, 515, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1561 QObject::connectNotify(const char*)
    {54, 568, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1562 QObject::disconnectNotify(const char*)
    {63, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 195, 1},	//1563 QSsl::Rsa (enum)
    {63, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 195, 2},	//1564 QSsl::Dsa (enum)
    {63, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 3},	//1565 QSsl::Pem (enum)
    {63, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 4},	//1566 QSsl::Der (enum)
    {63, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 197, 5},	//1567 QSsl::SslOptionDisableEmptyFragments (enum)
    {63, 358, 0, 0, Smoke::mf_static|Smoke::mf_enum, 197, 6},	//1568 QSsl::SslOptionDisableSessionTickets (enum)
    {63, 354, 0, 0, Smoke::mf_static|Smoke::mf_enum, 197, 7},	//1569 QSsl::SslOptionDisableCompression (enum)
    {63, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 197, 8},	//1570 QSsl::SslOptionDisableServerNameIndication (enum)
    {63, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 197, 9},	//1571 QSsl::SslOptionDisableLegacyRenegotiation (enum)
    {63, 361, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 10},	//1572 QSsl::SslV3 (enum)
    {63, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 11},	//1573 QSsl::SslV2 (enum)
    {63, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 12},	//1574 QSsl::TlsV1 (enum)
    {63, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 13},	//1575 QSsl::AnyProtocol (enum)
    {63, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 14},	//1576 QSsl::TlsV1SslV3 (enum)
    {63, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 15},	//1577 QSsl::SecureProtocols (enum)
    {63, 395, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 16},	//1578 QSsl::UnknownProtocol (enum)
    {63, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 17},	//1579 QSsl::EmailEntry (enum)
    {63, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 18},	//1580 QSsl::DnsEntry (enum)
    {63, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 19},	//1581 QSsl::PrivateKey (enum)
    {63, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 196, 20},	//1582 QSsl::PublicKey (enum)
    {64, 281, 1295, 2, Smoke::mf_ctor, 201, 1},	//1583 QSslCertificate::QSslCertificate(QIODevice*, QSsl::EncodingFormat)
    {64, 281, 1298, 2, Smoke::mf_ctor, 201, 2},	//1584 QSslCertificate::QSslCertificate(const QByteArray&, QSsl::EncodingFormat)
    {64, 281, 1301, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 201, 3},	//1585 QSslCertificate::QSslCertificate(const QSslCertificate&)
    {64, 781, 1301, 1, 0, 200, 4},	//1586 QSslCertificate::operator=(const QSslCertificate&)
    {64, 784, 1301, 1, Smoke::mf_const, 326, 5},	//1587 QSslCertificate::operator==(const QSslCertificate&) const
    {64, 748, 1301, 1, Smoke::mf_const, 326, 6},	//1588 QSslCertificate::operator!=(const QSslCertificate&) const
    {64, 667, 0, 0, Smoke::mf_const, 326, 7},	//1589 QSslCertificate::isNull() const
    {64, 678, 0, 0, Smoke::mf_const, 326, 8},	//1590 QSslCertificate::isValid() const
    {64, 496, 0, 0, 0, 0, 9},	//1591 QSslCertificate::clear()
    {64, 1396, 0, 0, Smoke::mf_const, 14, 10},	//1592 QSslCertificate::version() const
    {64, 1099, 0, 0, Smoke::mf_const, 14, 11},	//1593 QSslCertificate::serialNumber() const
    {64, 563, 1303, 1, Smoke::mf_const, 14, 12},	//1594 QSslCertificate::digest(QCryptographicHash::Algorithm) const
    {64, 680, 1305, 1, Smoke::mf_const, 219, 13},	//1595 QSslCertificate::issuerInfo(QSslCertificate::SubjectInfo) const
    {64, 680, 198, 1, Smoke::mf_const, 219, 14},	//1596 QSslCertificate::issuerInfo(const QByteArray&) const
    {64, 1354, 1305, 1, Smoke::mf_const, 219, 15},	//1597 QSslCertificate::subjectInfo(QSslCertificate::SubjectInfo) const
    {64, 1354, 198, 1, Smoke::mf_const, 219, 16},	//1598 QSslCertificate::subjectInfo(const QByteArray&) const
    {64, 457, 0, 0, Smoke::mf_const, 129, 17},	//1599 QSslCertificate::alternateSubjectNames() const
    {64, 576, 0, 0, Smoke::mf_const, 22, 18},	//1600 QSslCertificate::effectiveDate() const
    {64, 592, 0, 0, Smoke::mf_const, 22, 19},	//1601 QSslCertificate::expiryDate() const
    {64, 859, 0, 0, Smoke::mf_const, 213, 20},	//1602 QSslCertificate::publicKey() const
    {64, 1370, 0, 0, Smoke::mf_const, 14, 21},	//1603 QSslCertificate::toPem() const
    {64, 1366, 0, 0, Smoke::mf_const, 14, 22},	//1604 QSslCertificate::toDer() const
    {64, 607, 1307, 3, Smoke::mf_static, 118, 23},	//1605 QSslCertificate::fromPath(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {64, 602, 1295, 2, Smoke::mf_static, 118, 24},	//1606 QSslCertificate::fromDevice(QIODevice*, QSsl::EncodingFormat)
    {64, 599, 1298, 2, Smoke::mf_static, 118, 25},	//1607 QSslCertificate::fromData(const QByteArray&, QSsl::EncodingFormat)
    {64, 620, 0, 0, Smoke::mf_const, 426, 26},	//1608 QSslCertificate::handle() const
    {64, 281, 18, 1, Smoke::mf_ctor, 201, 27},	//1609 QSslCertificate::QSslCertificate(QIODevice*)
    {64, 281, 0, 0, Smoke::mf_ctor, 201, 28},	//1610 QSslCertificate::QSslCertificate()
    {64, 281, 198, 1, Smoke::mf_ctor, 201, 29},	//1611 QSslCertificate::QSslCertificate(const QByteArray&)
    {64, 563, 0, 0, Smoke::mf_const, 14, 30},	//1612 QSslCertificate::digest() const
    {64, 607, 69, 1, Smoke::mf_static, 118, 31},	//1613 QSslCertificate::fromPath(const QString&)
    {64, 607, 1311, 2, Smoke::mf_static, 118, 32},	//1614 QSslCertificate::fromPath(const QString&, QSsl::EncodingFormat)
    {64, 602, 18, 1, Smoke::mf_static, 118, 33},	//1615 QSslCertificate::fromDevice(QIODevice*)
    {64, 599, 198, 1, Smoke::mf_static, 118, 34},	//1616 QSslCertificate::fromData(const QByteArray&)
    {64, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 35},	//1617 QSslCertificate::Organization (enum)
    {64, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 36},	//1618 QSslCertificate::CommonName (enum)
    {64, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 37},	//1619 QSslCertificate::LocalityName (enum)
    {64, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 38},	//1620 QSslCertificate::OrganizationalUnitName (enum)
    {64, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 39},	//1621 QSslCertificate::CountryName (enum)
    {64, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 40},	//1622 QSslCertificate::StateOrProvinceName (enum)
    {64, 1447, 0, 0, Smoke::mf_dtor, 0, 41 },	//1623 QSslCertificate::~QSslCertificate()
    {65, 284, 0, 0, Smoke::mf_ctor, 205, 1},	//1624 QSslCipher::QSslCipher()
    {65, 284, 1314, 2, Smoke::mf_ctor, 205, 2},	//1625 QSslCipher::QSslCipher(const QString&, QSsl::SslProtocol)
    {65, 284, 1317, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 205, 3},	//1626 QSslCipher::QSslCipher(const QSslCipher&)
    {65, 781, 1317, 1, 0, 204, 4},	//1627 QSslCipher::operator=(const QSslCipher&)
    {65, 784, 1317, 1, Smoke::mf_const, 326, 5},	//1628 QSslCipher::operator==(const QSslCipher&) const
    {65, 748, 1317, 1, Smoke::mf_const, 326, 6},	//1629 QSslCipher::operator!=(const QSslCipher&) const
    {65, 667, 0, 0, Smoke::mf_const, 326, 7},	//1630 QSslCipher::isNull() const
    {65, 733, 0, 0, Smoke::mf_const, 219, 8},	//1631 QSslCipher::name() const
    {65, 1357, 0, 0, Smoke::mf_const, 411, 9},	//1632 QSslCipher::supportedBits() const
    {65, 1391, 0, 0, Smoke::mf_const, 411, 10},	//1633 QSslCipher::usedBits() const
    {65, 686, 0, 0, Smoke::mf_const, 219, 11},	//1634 QSslCipher::keyExchangeMethod() const
    {65, 466, 0, 0, Smoke::mf_const, 219, 12},	//1635 QSslCipher::authenticationMethod() const
    {65, 582, 0, 0, Smoke::mf_const, 219, 13},	//1636 QSslCipher::encryptionMethod() const
    {65, 851, 0, 0, Smoke::mf_const, 219, 14},	//1637 QSslCipher::protocolString() const
    {65, 850, 0, 0, Smoke::mf_const, 198, 15},	//1638 QSslCipher::protocol() const
    {65, 1448, 0, 0, Smoke::mf_dtor, 0, 16 },	//1639 QSslCipher::~QSslCipher()
    {66, 287, 0, 0, Smoke::mf_ctor, 208, 1},	//1640 QSslConfiguration::QSslConfiguration()
    {66, 287, 1262, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 208, 2},	//1641 QSslConfiguration::QSslConfiguration(const QSslConfiguration&)
    {66, 781, 1262, 1, 0, 207, 3},	//1642 QSslConfiguration::operator=(const QSslConfiguration&)
    {66, 784, 1262, 1, Smoke::mf_const, 326, 4},	//1643 QSslConfiguration::operator==(const QSslConfiguration&) const
    {66, 748, 1262, 1, Smoke::mf_const, 326, 5},	//1644 QSslConfiguration::operator!=(const QSslConfiguration&) const
    {66, 667, 0, 0, Smoke::mf_const, 326, 6},	//1645 QSslConfiguration::isNull() const
    {66, 850, 0, 0, Smoke::mf_const, 198, 7},	//1646 QSslConfiguration::protocol() const
    {66, 1255, 1319, 1, 0, 0, 8},	//1647 QSslConfiguration::setProtocol(QSsl::SslProtocol)
    {66, 833, 0, 0, Smoke::mf_const, 217, 9},	//1648 QSslConfiguration::peerVerifyMode() const
    {66, 1237, 1321, 1, 0, 0, 10},	//1649 QSslConfiguration::setPeerVerifyMode(QSslSocket::PeerVerifyMode)
    {66, 830, 0, 0, Smoke::mf_const, 411, 11},	//1650 QSslConfiguration::peerVerifyDepth() const
    {66, 1235, 44, 1, 0, 0, 12},	//1651 QSslConfiguration::setPeerVerifyDepth(int)
    {66, 706, 0, 0, Smoke::mf_const, 199, 13},	//1652 QSslConfiguration::localCertificate() const
    {66, 1192, 1301, 1, 0, 0, 14},	//1653 QSslConfiguration::setLocalCertificate(const QSslCertificate&)
    {66, 825, 0, 0, Smoke::mf_const, 199, 15},	//1654 QSslConfiguration::peerCertificate() const
    {66, 826, 0, 0, Smoke::mf_const, 118, 16},	//1655 QSslConfiguration::peerCertificateChain() const
    {66, 1104, 0, 0, Smoke::mf_const, 203, 17},	//1656 QSslConfiguration::sessionCipher() const
    {66, 849, 0, 0, Smoke::mf_const, 213, 18},	//1657 QSslConfiguration::privateKey() const
    {66, 1249, 1323, 1, 0, 0, 19},	//1658 QSslConfiguration::setPrivateKey(const QSslKey&)
    {66, 495, 0, 0, Smoke::mf_const, 119, 20},	//1659 QSslConfiguration::ciphers() const
    {66, 1138, 1325, 1, 0, 0, 21},	//1660 QSslConfiguration::setCiphers(const QList<QSslCipher>&)
    {66, 484, 0, 0, Smoke::mf_const, 118, 22},	//1661 QSslConfiguration::caCertificates() const
    {66, 1130, 1327, 1, 0, 0, 23},	//1662 QSslConfiguration::setCaCertificates(const QList<QSslCertificate>&)
    {66, 1308, 1329, 2, 0, 0, 24},	//1663 QSslConfiguration::setSslOption(QSsl::SslOption, bool)
    {66, 1363, 1332, 1, Smoke::mf_const, 326, 25},	//1664 QSslConfiguration::testSslOption(QSsl::SslOption) const
    {66, 559, 0, 0, Smoke::mf_static, 206, 26},	//1665 QSslConfiguration::defaultConfiguration()
    {66, 1155, 1262, 1, Smoke::mf_static, 0, 27},	//1666 QSslConfiguration::setDefaultConfiguration(const QSslConfiguration&)
    {66, 1449, 0, 0, Smoke::mf_dtor, 0, 28 },	//1667 QSslConfiguration::~QSslConfiguration()
    {67, 289, 0, 0, Smoke::mf_ctor, 211, 1},	//1668 QSslError::QSslError()
    {67, 289, 1334, 1, Smoke::mf_ctor, 211, 2},	//1669 QSslError::QSslError(QSslError::SslError)
    {67, 289, 1336, 2, Smoke::mf_ctor, 211, 3},	//1670 QSslError::QSslError(QSslError::SslError, const QSslCertificate&)
    {67, 289, 1339, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 211, 4},	//1671 QSslError::QSslError(const QSslError&)
    {67, 781, 1339, 1, 0, 210, 5},	//1672 QSslError::operator=(const QSslError&)
    {67, 784, 1339, 1, Smoke::mf_const, 326, 6},	//1673 QSslError::operator==(const QSslError&) const
    {67, 748, 1339, 1, Smoke::mf_const, 326, 7},	//1674 QSslError::operator!=(const QSslError&) const
    {67, 585, 0, 0, Smoke::mf_const, 212, 8},	//1675 QSslError::error() const
    {67, 587, 0, 0, Smoke::mf_const, 219, 9},	//1676 QSslError::errorString() const
    {67, 492, 0, 0, Smoke::mf_const, 199, 10},	//1677 QSslError::certificate() const
    {67, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 11},	//1678 QSslError::NoError (enum)
    {67, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 12},	//1679 QSslError::UnableToGetIssuerCertificate (enum)
    {67, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 13},	//1680 QSslError::UnableToDecryptCertificateSignature (enum)
    {67, 377, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 14},	//1681 QSslError::UnableToDecodeIssuerPublicKey (enum)
    {67, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 15},	//1682 QSslError::CertificateSignatureFailed (enum)
    {67, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 16},	//1683 QSslError::CertificateNotYetValid (enum)
    {67, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 17},	//1684 QSslError::CertificateExpired (enum)
    {67, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 18},	//1685 QSslError::InvalidNotBeforeField (enum)
    {67, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 19},	//1686 QSslError::InvalidNotAfterField (enum)
    {67, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 20},	//1687 QSslError::SelfSignedCertificate (enum)
    {67, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 21},	//1688 QSslError::SelfSignedCertificateInChain (enum)
    {67, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 22},	//1689 QSslError::UnableToGetLocalIssuerCertificate (enum)
    {67, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 23},	//1690 QSslError::UnableToVerifyFirstCertificate (enum)
    {67, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 24},	//1691 QSslError::CertificateRevoked (enum)
    {67, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 25},	//1692 QSslError::InvalidCaCertificate (enum)
    {67, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 26},	//1693 QSslError::PathLengthExceeded (enum)
    {67, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 27},	//1694 QSslError::InvalidPurpose (enum)
    {67, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 28},	//1695 QSslError::CertificateUntrusted (enum)
    {67, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 29},	//1696 QSslError::CertificateRejected (enum)
    {67, 363, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 30},	//1697 QSslError::SubjectIssuerMismatch (enum)
    {67, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 31},	//1698 QSslError::AuthorityIssuerSerialNumberMismatch (enum)
    {67, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 32},	//1699 QSslError::NoPeerCertificate (enum)
    {67, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 33},	//1700 QSslError::HostNameMismatch (enum)
    {67, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 34},	//1701 QSslError::NoSslSupport (enum)
    {67, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 35},	//1702 QSslError::CertificateBlacklisted (enum)
    {67, 401, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 36},	//1703 QSslError::UnspecifiedError (enum)
    {67, 1450, 0, 0, Smoke::mf_dtor, 0, 37 },	//1704 QSslError::~QSslError()
    {68, 293, 0, 0, Smoke::mf_ctor, 215, 1},	//1705 QSslKey::QSslKey()
    {68, 293, 1341, 5, Smoke::mf_ctor, 215, 2},	//1706 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    {68, 293, 1347, 5, Smoke::mf_ctor, 215, 3},	//1707 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    {68, 293, 1323, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 215, 4},	//1708 QSslKey::QSslKey(const QSslKey&)
    {68, 781, 1323, 1, 0, 214, 5},	//1709 QSslKey::operator=(const QSslKey&)
    {68, 667, 0, 0, Smoke::mf_const, 326, 6},	//1710 QSslKey::isNull() const
    {68, 496, 0, 0, 0, 0, 7},	//1711 QSslKey::clear()
    {68, 694, 0, 0, Smoke::mf_const, 411, 8},	//1712 QSslKey::length() const
    {68, 1383, 0, 0, Smoke::mf_const, 196, 9},	//1713 QSslKey::type() const
    {68, 449, 0, 0, Smoke::mf_const, 195, 10},	//1714 QSslKey::algorithm() const
    {68, 1370, 198, 1, Smoke::mf_const, 14, 11},	//1715 QSslKey::toPem(const QByteArray&) const
    {68, 1366, 198, 1, Smoke::mf_const, 14, 12},	//1716 QSslKey::toDer(const QByteArray&) const
    {68, 620, 0, 0, Smoke::mf_const, 426, 13},	//1717 QSslKey::handle() const
    {68, 784, 1323, 1, Smoke::mf_const, 326, 14},	//1718 QSslKey::operator==(const QSslKey&) const
    {68, 748, 1323, 1, Smoke::mf_const, 326, 15},	//1719 QSslKey::operator!=(const QSslKey&) const
    {68, 293, 1353, 2, Smoke::mf_ctor, 215, 16},	//1720 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm)
    {68, 293, 1356, 3, Smoke::mf_ctor, 215, 17},	//1721 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {68, 293, 1360, 4, Smoke::mf_ctor, 215, 18},	//1722 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    {68, 293, 1365, 2, Smoke::mf_ctor, 215, 19},	//1723 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm)
    {68, 293, 1368, 3, Smoke::mf_ctor, 215, 20},	//1724 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {68, 293, 1372, 4, Smoke::mf_ctor, 215, 21},	//1725 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    {68, 1370, 0, 0, Smoke::mf_const, 14, 22},	//1726 QSslKey::toPem() const
    {68, 1366, 0, 0, Smoke::mf_const, 14, 23},	//1727 QSslKey::toDer() const
    {68, 1451, 0, 0, Smoke::mf_dtor, 0, 24 },	//1728 QSslKey::~QSslKey()
    {69, 723, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 361, 1},	//1729 QSslSocket::metaObject() const
    {69, 1029, 1, 1, Smoke::mf_virtual, 433, 2},	//1730 QSslSocket::qt_metacast(const char*)
    {69, 1375, 3, 2, Smoke::mf_static, 219, 3},	//1731 QSslSocket::tr(const char*, const char*)
    {69, 1379, 3, 2, Smoke::mf_static, 219, 4},	//1732 QSslSocket::trUtf8(const char*, const char*)
    {69, 1375, 6, 3, Smoke::mf_static, 219, 5},	//1733 QSslSocket::tr(const char*, const char*, int)
    {69, 1379, 6, 3, Smoke::mf_static, 219, 6},	//1734 QSslSocket::trUtf8(const char*, const char*, int)
    {69, 1027, 10, 3, Smoke::mf_virtual, 411, 7},	//1735 QSslSocket::qt_metacall(QMetaObject::Call, int, void**)
    {69, 299, 20, 1, Smoke::mf_ctor, 216, 8},	//1736 QSslSocket::QSslSocket(QObject*)
    {69, 523, 25, 3, 0, 0, 9},	//1737 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {69, 523, 1377, 4, 0, 0, 10},	//1738 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&, QFlags<QIODevice::OpenModeFlag>)
    {69, 1293, 35, 3, 0, 326, 11},	//1739 QSslSocket::setSocketDescriptor(int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>)
    {69, 1302, 39, 2, 0, 0, 12},	//1740 QSslSocket::setSocketOption(QAbstractSocket::SocketOption, const QVariant&)
    {69, 1339, 42, 1, 0, 245, 13},	//1741 QSslSocket::socketOption(QAbstractSocket::SocketOption)
    {69, 729, 0, 0, Smoke::mf_const, 218, 14},	//1742 QSslSocket::mode() const
    {69, 658, 0, 0, Smoke::mf_const, 326, 15},	//1743 QSslSocket::isEncrypted() const
    {69, 850, 0, 0, Smoke::mf_const, 198, 16},	//1744 QSslSocket::protocol() const
    {69, 1255, 1319, 1, 0, 0, 17},	//1745 QSslSocket::setProtocol(QSsl::SslProtocol)
    {69, 833, 0, 0, Smoke::mf_const, 217, 18},	//1746 QSslSocket::peerVerifyMode() const
    {69, 1237, 1321, 1, 0, 0, 19},	//1747 QSslSocket::setPeerVerifyMode(QSslSocket::PeerVerifyMode)
    {69, 830, 0, 0, Smoke::mf_const, 411, 20},	//1748 QSslSocket::peerVerifyDepth() const
    {69, 1235, 44, 1, 0, 0, 21},	//1749 QSslSocket::setPeerVerifyDepth(int)
    {69, 834, 0, 0, Smoke::mf_const, 219, 22},	//1750 QSslSocket::peerVerifyName() const
    {69, 1239, 69, 1, 0, 0, 23},	//1751 QSslSocket::setPeerVerifyName(const QString&)
    {69, 480, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 416, 24},	//1752 QSslSocket::bytesAvailable() const
    {69, 482, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 416, 25},	//1753 QSslSocket::bytesToWrite() const
    {69, 488, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 326, 26},	//1754 QSslSocket::canReadLine() const
    {69, 499, 0, 0, Smoke::mf_virtual, 0, 27},	//1755 QSslSocket::close()
    {69, 461, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 326, 28},	//1756 QSslSocket::atEnd() const
    {69, 598, 0, 0, 0, 326, 29},	//1757 QSslSocket::flush()
    {69, 423, 0, 0, 0, 0, 30},	//1758 QSslSocket::abort()
    {69, 1272, 33, 1, 0, 0, 31},	//1759 QSslSocket::setReadBufferSize(long long)
    {69, 578, 0, 0, Smoke::mf_const, 416, 32},	//1760 QSslSocket::encryptedBytesAvailable() const
    {69, 579, 0, 0, Smoke::mf_const, 416, 33},	//1761 QSslSocket::encryptedBytesToWrite() const
    {69, 1342, 0, 0, Smoke::mf_const, 206, 34},	//1762 QSslSocket::sslConfiguration() const
    {69, 1306, 1262, 1, 0, 0, 35},	//1763 QSslSocket::setSslConfiguration(const QSslConfiguration&)
    {69, 1192, 1301, 1, 0, 0, 36},	//1764 QSslSocket::setLocalCertificate(const QSslCertificate&)
    {69, 1192, 1311, 2, 0, 0, 37},	//1765 QSslSocket::setLocalCertificate(const QString&, QSsl::EncodingFormat)
    {69, 706, 0, 0, Smoke::mf_const, 199, 38},	//1766 QSslSocket::localCertificate() const
    {69, 825, 0, 0, Smoke::mf_const, 199, 39},	//1767 QSslSocket::peerCertificate() const
    {69, 826, 0, 0, Smoke::mf_const, 118, 40},	//1768 QSslSocket::peerCertificateChain() const
    {69, 1104, 0, 0, Smoke::mf_const, 203, 41},	//1769 QSslSocket::sessionCipher() const
    {69, 1249, 1323, 1, 0, 0, 42},	//1770 QSslSocket::setPrivateKey(const QSslKey&)
    {69, 1249, 1382, 4, 0, 0, 43},	//1771 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, const QByteArray&)
    {69, 849, 0, 0, Smoke::mf_const, 213, 44},	//1772 QSslSocket::privateKey() const
    {69, 495, 0, 0, Smoke::mf_const, 119, 45},	//1773 QSslSocket::ciphers() const
    {69, 1138, 1325, 1, 0, 0, 46},	//1774 QSslSocket::setCiphers(const QList<QSslCipher>&)
    {69, 1138, 69, 1, 0, 0, 47},	//1775 QSslSocket::setCiphers(const QString&)
    {69, 1153, 1325, 1, Smoke::mf_static, 0, 48},	//1776 QSslSocket::setDefaultCiphers(const QList<QSslCipher>&)
    {69, 558, 0, 0, Smoke::mf_static, 119, 49},	//1777 QSslSocket::defaultCiphers()
    {69, 1358, 0, 0, Smoke::mf_static, 119, 50},	//1778 QSslSocket::supportedCiphers()
    {69, 431, 1307, 3, 0, 326, 51},	//1779 QSslSocket::addCaCertificates(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {69, 429, 1301, 1, 0, 0, 52},	//1780 QSslSocket::addCaCertificate(const QSslCertificate&)
    {69, 431, 1327, 1, 0, 0, 53},	//1781 QSslSocket::addCaCertificates(const QList<QSslCertificate>&)
    {69, 1130, 1327, 1, 0, 0, 54},	//1782 QSslSocket::setCaCertificates(const QList<QSslCertificate>&)
    {69, 484, 0, 0, Smoke::mf_const, 118, 55},	//1783 QSslSocket::caCertificates() const
    {69, 438, 1307, 3, Smoke::mf_static, 326, 56},	//1784 QSslSocket::addDefaultCaCertificates(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {69, 436, 1301, 1, Smoke::mf_static, 0, 57},	//1785 QSslSocket::addDefaultCaCertificate(const QSslCertificate&)
    {69, 438, 1327, 1, Smoke::mf_static, 0, 58},	//1786 QSslSocket::addDefaultCaCertificates(const QList<QSslCertificate>&)
    {69, 1151, 1327, 1, Smoke::mf_static, 0, 59},	//1787 QSslSocket::setDefaultCaCertificates(const QList<QSslCertificate>&)
    {69, 557, 0, 0, Smoke::mf_static, 118, 60},	//1788 QSslSocket::defaultCaCertificates()
    {69, 1360, 0, 0, Smoke::mf_static, 118, 61},	//1789 QSslSocket::systemCaCertificates()
    {69, 1399, 44, 1, 0, 326, 62},	//1790 QSslSocket::waitForConnected(int)
    {69, 1403, 44, 1, 0, 326, 63},	//1791 QSslSocket::waitForEncrypted(int)
    {69, 1410, 44, 1, Smoke::mf_virtual, 326, 64},	//1792 QSslSocket::waitForReadyRead(int)
    {69, 1397, 44, 1, Smoke::mf_virtual, 326, 65},	//1793 QSslSocket::waitForBytesWritten(int)
    {69, 1401, 44, 1, 0, 326, 66},	//1794 QSslSocket::waitForDisconnected(int)
    {69, 1343, 0, 0, Smoke::mf_const, 120, 67},	//1795 QSslSocket::sslErrors() const
    {69, 1359, 0, 0, Smoke::mf_static, 326, 68},	//1796 QSslSocket::supportsSsl()
    {69, 642, 1044, 1, 0, 0, 69},	//1797 QSslSocket::ignoreSslErrors(const QList<QSslError>&)
    {69, 1346, 0, 0, Smoke::mf_slot, 0, 70},	//1798 QSslSocket::startClientEncryption()
    {69, 1347, 0, 0, Smoke::mf_slot, 0, 71},	//1799 QSslSocket::startServerEncryption()
    {69, 642, 0, 0, Smoke::mf_slot, 0, 72},	//1800 QSslSocket::ignoreSslErrors()
    {69, 577, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 73},	//1801 QSslSocket::encrypted()
    {69, 831, 1339, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 74},	//1802 QSslSocket::peerVerifyError(const QSslError&)
    {69, 1343, 1044, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 75},	//1803 QSslSocket::sslErrors(const QList<QSslError>&)
    {69, 730, 1387, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 76},	//1804 QSslSocket::modeChanged(QSslSocket::SslMode)
    {69, 580, 1389, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 77},	//1805 QSslSocket::encryptedBytesWritten(qint64)
    {69, 527, 55, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 78},	//1806 QSslSocket::connectToHostImplementation(const QString&, quint16, QIODevice::OpenMode)
    {69, 566, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 79},	//1807 QSslSocket::disconnectFromHostImplementation()
    {69, 1056, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 416, 80},	//1808 QSslSocket::readData(char*, long long)
    {69, 1412, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 416, 81},	//1809 QSslSocket::writeData(const char*, long long)
    {69, 1375, 1, 1, Smoke::mf_static, 219, 82},	//1810 QSslSocket::tr(const char*)
    {69, 1379, 1, 1, Smoke::mf_static, 219, 83},	//1811 QSslSocket::trUtf8(const char*)
    {69, 299, 0, 0, Smoke::mf_ctor, 216, 84},	//1812 QSslSocket::QSslSocket()
    {69, 523, 71, 2, 0, 0, 85},	//1813 QSslSocket::connectToHostEncrypted(const QString&, unsigned short)
    {69, 523, 1391, 3, 0, 0, 86},	//1814 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&)
    {69, 1293, 44, 1, 0, 326, 87},	//1815 QSslSocket::setSocketDescriptor(int)
    {69, 1293, 77, 2, 0, 326, 88},	//1816 QSslSocket::setSocketDescriptor(int, QAbstractSocket::SocketState)
    {69, 1192, 69, 1, 0, 0, 89},	//1817 QSslSocket::setLocalCertificate(const QString&)
    {69, 1249, 69, 1, 0, 0, 90},	//1818 QSslSocket::setPrivateKey(const QString&)
    {69, 1249, 1395, 2, 0, 0, 91},	//1819 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm)
    {69, 1249, 1398, 3, 0, 0, 92},	//1820 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {69, 431, 69, 1, 0, 326, 93},	//1821 QSslSocket::addCaCertificates(const QString&)
    {69, 431, 1311, 2, 0, 326, 94},	//1822 QSslSocket::addCaCertificates(const QString&, QSsl::EncodingFormat)
    {69, 438, 69, 1, Smoke::mf_static, 326, 95},	//1823 QSslSocket::addDefaultCaCertificates(const QString&)
    {69, 438, 1311, 2, Smoke::mf_static, 326, 96},	//1824 QSslSocket::addDefaultCaCertificates(const QString&, QSsl::EncodingFormat)
    {69, 1399, 0, 0, 0, 326, 97},	//1825 QSslSocket::waitForConnected()
    {69, 1403, 0, 0, 0, 326, 98},	//1826 QSslSocket::waitForEncrypted()
    {69, 1410, 0, 0, 0, 326, 99},	//1827 QSslSocket::waitForReadyRead()
    {69, 1397, 0, 0, 0, 326, 100},	//1828 QSslSocket::waitForBytesWritten()
    {69, 1401, 0, 0, 0, 326, 101},	//1829 QSslSocket::waitForDisconnected()
    {69, 1351, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 360, 102},	//1830 QSslSocket::staticMetaObject() const
    {69, 386, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 103},	//1831 QSslSocket::UnencryptedMode (enum)
    {69, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 104},	//1832 QSslSocket::SslClientMode (enum)
    {69, 359, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 105},	//1833 QSslSocket::SslServerMode (enum)
    {69, 407, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 106},	//1834 QSslSocket::VerifyNone (enum)
    {69, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 107},	//1835 QSslSocket::QueryPeer (enum)
    {69, 408, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 108},	//1836 QSslSocket::VerifyPeer (enum)
    {69, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 109},	//1837 QSslSocket::AutoVerifyPeer (enum)
    {69, 1452, 0, 0, Smoke::mf_dtor, 0, 110 },	//1838 QSslSocket::~QSslSocket()
    {72, 723, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 361, 1},	//1839 QTcpServer::metaObject() const
    {72, 1029, 1, 1, Smoke::mf_virtual, 433, 2},	//1840 QTcpServer::qt_metacast(const char*)
    {72, 1375, 3, 2, Smoke::mf_static, 219, 3},	//1841 QTcpServer::tr(const char*, const char*)
    {72, 1379, 3, 2, Smoke::mf_static, 219, 4},	//1842 QTcpServer::trUtf8(const char*, const char*)
    {72, 1375, 6, 3, Smoke::mf_static, 219, 5},	//1843 QTcpServer::tr(const char*, const char*, int)
    {72, 1379, 6, 3, Smoke::mf_static, 219, 6},	//1844 QTcpServer::trUtf8(const char*, const char*, int)
    {72, 1027, 10, 3, Smoke::mf_virtual, 411, 7},	//1845 QTcpServer::qt_metacall(QMetaObject::Call, int, void**)
    {72, 301, 20, 1, Smoke::mf_ctor, 226, 8},	//1846 QTcpServer::QTcpServer(QObject*)
    {72, 701, 74, 2, 0, 326, 9},	//1847 QTcpServer::listen(const QHostAddress&, unsigned short)
    {72, 499, 0, 0, 0, 0, 10},	//1848 QTcpServer::close()
    {72, 666, 0, 0, Smoke::mf_const, 326, 11},	//1849 QTcpServer::isListening() const
    {72, 1200, 44, 1, 0, 0, 12},	//1850 QTcpServer::setMaxPendingConnections(int)
    {72, 718, 0, 0, Smoke::mf_const, 411, 13},	//1851 QTcpServer::maxPendingConnections() const
    {72, 1103, 0, 0, Smoke::mf_const, 428, 14},	//1852 QTcpServer::serverPort() const
    {72, 1100, 0, 0, Smoke::mf_const, 75, 15},	//1853 QTcpServer::serverAddress() const
    {72, 1338, 0, 0, Smoke::mf_const, 411, 16},	//1854 QTcpServer::socketDescriptor() const
    {72, 1293, 44, 1, 0, 326, 17},	//1855 QTcpServer::setSocketDescriptor(int)
    {72, 1405, 1101, 2, 0, 326, 18},	//1856 QTcpServer::waitForNewConnection(int, bool*)
    {72, 627, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 326, 19},	//1857 QTcpServer::hasPendingConnections() const
    {72, 742, 0, 0, Smoke::mf_virtual, 227, 20},	//1858 QTcpServer::nextPendingConnection()
    {72, 1101, 0, 0, Smoke::mf_const, 5, 21},	//1859 QTcpServer::serverError() const
    {72, 587, 0, 0, Smoke::mf_const, 219, 22},	//1860 QTcpServer::errorString() const
    {72, 1259, 46, 1, 0, 0, 23},	//1861 QTcpServer::setProxy(const QNetworkProxy&)
    {72, 853, 0, 0, Smoke::mf_const, 158, 24},	//1862 QTcpServer::proxy() const
    {72, 644, 44, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1863 QTcpServer::incomingConnection(int)
    {72, 443, 1012, 1, Smoke::mf_protected, 0, 26},	//1864 QTcpServer::addPendingConnection(QTcpSocket*)
    {72, 741, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1865 QTcpServer::newConnection()
    {72, 1375, 1, 1, Smoke::mf_static, 219, 28},	//1866 QTcpServer::tr(const char*)
    {72, 1379, 1, 1, Smoke::mf_static, 219, 29},	//1867 QTcpServer::trUtf8(const char*)
    {72, 301, 0, 0, Smoke::mf_ctor, 226, 30},	//1868 QTcpServer::QTcpServer()
    {72, 701, 0, 0, 0, 326, 31},	//1869 QTcpServer::listen()
    {72, 701, 67, 1, 0, 326, 32},	//1870 QTcpServer::listen(const QHostAddress&)
    {72, 1405, 0, 0, 0, 326, 33},	//1871 QTcpServer::waitForNewConnection()
    {72, 1405, 44, 1, 0, 326, 34},	//1872 QTcpServer::waitForNewConnection(int)
    {72, 1351, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 360, 35},	//1873 QTcpServer::staticMetaObject() const
    {72, 1453, 0, 0, Smoke::mf_dtor, 0, 36 },	//1874 QTcpServer::~QTcpServer()
    {73, 723, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 361, 1},	//1875 QTcpSocket::metaObject() const
    {73, 1029, 1, 1, Smoke::mf_virtual, 433, 2},	//1876 QTcpSocket::qt_metacast(const char*)
    {73, 1375, 3, 2, Smoke::mf_static, 219, 3},	//1877 QTcpSocket::tr(const char*, const char*)
    {73, 1379, 3, 2, Smoke::mf_static, 219, 4},	//1878 QTcpSocket::trUtf8(const char*, const char*)
    {73, 1375, 6, 3, Smoke::mf_static, 219, 5},	//1879 QTcpSocket::tr(const char*, const char*, int)
    {73, 1379, 6, 3, Smoke::mf_static, 219, 6},	//1880 QTcpSocket::trUtf8(const char*, const char*, int)
    {73, 1027, 10, 3, Smoke::mf_virtual, 411, 7},	//1881 QTcpSocket::qt_metacall(QMetaObject::Call, int, void**)
    {73, 303, 20, 1, Smoke::mf_ctor, 227, 8},	//1882 QTcpSocket::QTcpSocket(QObject*)
    {73, 1375, 1, 1, Smoke::mf_static, 219, 9},	//1883 QTcpSocket::tr(const char*)
    {73, 1379, 1, 1, Smoke::mf_static, 219, 10},	//1884 QTcpSocket::trUtf8(const char*)
    {73, 303, 0, 0, Smoke::mf_ctor, 227, 11},	//1885 QTcpSocket::QTcpSocket()
    {73, 1351, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 360, 12},	//1886 QTcpSocket::staticMetaObject() const
    {73, 1454, 0, 0, Smoke::mf_dtor, 0, 13 },	//1887 QTcpSocket::~QTcpSocket()
    {78, 723, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 361, 1},	//1888 QUdpSocket::metaObject() const
    {78, 1029, 1, 1, Smoke::mf_virtual, 433, 2},	//1889 QUdpSocket::qt_metacast(const char*)
    {78, 1375, 3, 2, Smoke::mf_static, 219, 3},	//1890 QUdpSocket::tr(const char*, const char*)
    {78, 1379, 3, 2, Smoke::mf_static, 219, 4},	//1891 QUdpSocket::trUtf8(const char*, const char*)
    {78, 1375, 6, 3, Smoke::mf_static, 219, 5},	//1892 QUdpSocket::tr(const char*, const char*, int)
    {78, 1379, 6, 3, Smoke::mf_static, 219, 6},	//1893 QUdpSocket::trUtf8(const char*, const char*, int)
    {78, 1027, 10, 3, Smoke::mf_virtual, 411, 7},	//1894 QUdpSocket::qt_metacall(QMetaObject::Call, int, void**)
    {78, 305, 20, 1, Smoke::mf_ctor, 235, 8},	//1895 QUdpSocket::QUdpSocket(QObject*)
    {78, 473, 74, 2, 0, 326, 9},	//1896 QUdpSocket::bind(const QHostAddress&, unsigned short)
    {78, 473, 65, 1, 0, 326, 10},	//1897 QUdpSocket::bind(unsigned short)
    {78, 473, 1402, 3, 0, 326, 11},	//1898 QUdpSocket::bind(const QHostAddress&, unsigned short, QFlags<QUdpSocket::BindFlag>)
    {78, 473, 1406, 2, 0, 326, 12},	//1899 QUdpSocket::bind(unsigned short, QFlags<QUdpSocket::BindFlag>)
    {78, 683, 67, 1, 0, 326, 13},	//1900 QUdpSocket::joinMulticastGroup(const QHostAddress&)
    {78, 683, 1409, 2, 0, 326, 14},	//1901 QUdpSocket::joinMulticastGroup(const QHostAddress&, const QNetworkInterface&)
    {78, 691, 67, 1, 0, 326, 15},	//1902 QUdpSocket::leaveMulticastGroup(const QHostAddress&)
    {78, 691, 1409, 2, 0, 326, 16},	//1903 QUdpSocket::leaveMulticastGroup(const QHostAddress&, const QNetworkInterface&)
    {78, 732, 0, 0, Smoke::mf_const, 154, 17},	//1904 QUdpSocket::multicastInterface() const
    {78, 1204, 1179, 1, 0, 0, 18},	//1905 QUdpSocket::setMulticastInterface(const QNetworkInterface&)
    {78, 628, 0, 0, Smoke::mf_const, 326, 19},	//1906 QUdpSocket::hasPendingDatagrams() const
    {78, 835, 0, 0, Smoke::mf_const, 416, 20},	//1907 QUdpSocket::pendingDatagramSize() const
    {78, 1058, 1412, 4, 0, 416, 21},	//1908 QUdpSocket::readDatagram(char*, long long, QHostAddress*, unsigned short*)
    {78, 1414, 1417, 4, 0, 416, 22},	//1909 QUdpSocket::writeDatagram(const char*, long long, const QHostAddress&, unsigned short)
    {78, 1414, 1422, 3, 0, 416, 23},	//1910 QUdpSocket::writeDatagram(const QByteArray&, const QHostAddress&, unsigned short)
    {78, 1375, 1, 1, Smoke::mf_static, 219, 24},	//1911 QUdpSocket::tr(const char*)
    {78, 1379, 1, 1, Smoke::mf_static, 219, 25},	//1912 QUdpSocket::trUtf8(const char*)
    {78, 305, 0, 0, Smoke::mf_ctor, 235, 26},	//1913 QUdpSocket::QUdpSocket()
    {78, 473, 0, 0, 0, 326, 27},	//1914 QUdpSocket::bind()
    {78, 1058, 59, 2, 0, 416, 28},	//1915 QUdpSocket::readDatagram(char*, long long)
    {78, 1058, 1426, 3, 0, 416, 29},	//1916 QUdpSocket::readDatagram(char*, long long, QHostAddress*)
    {78, 1351, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 360, 30},	//1917 QUdpSocket::staticMetaObject() const
    {78, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 31},	//1918 QUdpSocket::DefaultForPlatform (enum)
    {78, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 32},	//1919 QUdpSocket::ShareAddress (enum)
    {78, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 33},	//1920 QUdpSocket::DontShareAddress (enum)
    {78, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 34},	//1921 QUdpSocket::ReuseAddressHint (enum)
    {78, 1455, 0, 0, Smoke::mf_dtor, 0, 35 },	//1922 QUdpSocket::~QUdpSocket()
    {80, 307, 0, 0, Smoke::mf_ctor, 242, 1},	//1923 QUrlInfo::QUrlInfo()
    {80, 307, 105, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 242, 2},	//1924 QUrlInfo::QUrlInfo(const QUrlInfo&)
    {80, 307, 1430, 13, Smoke::mf_ctor, 242, 3},	//1925 QUrlInfo::QUrlInfo(const QString&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool)
    {80, 307, 1444, 13, Smoke::mf_ctor, 242, 4},	//1926 QUrlInfo::QUrlInfo(const QUrl&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool)
    {80, 781, 105, 1, 0, 241, 5},	//1927 QUrlInfo::operator=(const QUrlInfo&)
    {80, 1206, 69, 1, Smoke::mf_virtual, 0, 6},	//1928 QUrlInfo::setName(const QString&)
    {80, 1157, 116, 1, Smoke::mf_virtual, 0, 7},	//1929 QUrlInfo::setDir(bool)
    {80, 1168, 116, 1, Smoke::mf_virtual, 0, 8},	//1930 QUrlInfo::setFile(bool)
    {80, 1315, 116, 1, Smoke::mf_virtual, 0, 9},	//1931 QUrlInfo::setSymLink(bool)
    {80, 1221, 69, 1, Smoke::mf_virtual, 0, 10},	//1932 QUrlInfo::setOwner(const QString&)
    {80, 1172, 69, 1, Smoke::mf_virtual, 0, 11},	//1933 QUrlInfo::setGroup(const QString&)
    {80, 1289, 33, 1, Smoke::mf_virtual, 0, 12},	//1934 QUrlInfo::setSize(long long)
    {80, 1335, 116, 1, Smoke::mf_virtual, 0, 13},	//1935 QUrlInfo::setWritable(bool)
    {80, 1274, 116, 1, Smoke::mf_virtual, 0, 14},	//1936 QUrlInfo::setReadable(bool)
    {80, 1241, 44, 1, Smoke::mf_virtual, 0, 15},	//1937 QUrlInfo::setPermissions(int)
    {80, 1186, 1164, 1, Smoke::mf_virtual, 0, 16},	//1938 QUrlInfo::setLastModified(const QDateTime&)
    {80, 1188, 1164, 1, 0, 0, 17},	//1939 QUrlInfo::setLastRead(const QDateTime&)
    {80, 678, 0, 0, Smoke::mf_const, 326, 18},	//1940 QUrlInfo::isValid() const
    {80, 733, 0, 0, Smoke::mf_const, 219, 19},	//1941 QUrlInfo::name() const
    {80, 836, 0, 0, Smoke::mf_const, 411, 20},	//1942 QUrlInfo::permissions() const
    {80, 813, 0, 0, Smoke::mf_const, 219, 21},	//1943 QUrlInfo::owner() const
    {80, 619, 0, 0, Smoke::mf_const, 219, 22},	//1944 QUrlInfo::group() const
    {80, 1337, 0, 0, Smoke::mf_const, 416, 23},	//1945 QUrlInfo::size() const
    {80, 688, 0, 0, Smoke::mf_const, 22, 24},	//1946 QUrlInfo::lastModified() const
    {80, 689, 0, 0, Smoke::mf_const, 22, 25},	//1947 QUrlInfo::lastRead() const
    {80, 657, 0, 0, Smoke::mf_const, 326, 26},	//1948 QUrlInfo::isDir() const
    {80, 660, 0, 0, Smoke::mf_const, 326, 27},	//1949 QUrlInfo::isFile() const
    {80, 676, 0, 0, Smoke::mf_const, 326, 28},	//1950 QUrlInfo::isSymLink() const
    {80, 679, 0, 0, Smoke::mf_const, 326, 29},	//1951 QUrlInfo::isWritable() const
    {80, 670, 0, 0, Smoke::mf_const, 326, 30},	//1952 QUrlInfo::isReadable() const
    {80, 659, 0, 0, Smoke::mf_const, 326, 31},	//1953 QUrlInfo::isExecutable() const
    {80, 617, 1458, 3, Smoke::mf_static, 326, 32},	//1954 QUrlInfo::greaterThan(const QUrlInfo&, const QUrlInfo&, int)
    {80, 695, 1458, 3, Smoke::mf_static, 326, 33},	//1955 QUrlInfo::lessThan(const QUrlInfo&, const QUrlInfo&, int)
    {80, 583, 1458, 3, Smoke::mf_static, 326, 34},	//1956 QUrlInfo::equal(const QUrlInfo&, const QUrlInfo&, int)
    {80, 784, 105, 1, Smoke::mf_const, 326, 35},	//1957 QUrlInfo::operator==(const QUrlInfo&) const
    {80, 748, 105, 1, Smoke::mf_const, 326, 36},	//1958 QUrlInfo::operator!=(const QUrlInfo&) const
    {80, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 37},	//1959 QUrlInfo::ReadOwner (enum)
    {80, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 38},	//1960 QUrlInfo::WriteOwner (enum)
    {80, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 39},	//1961 QUrlInfo::ExeOwner (enum)
    {80, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 40},	//1962 QUrlInfo::ReadGroup (enum)
    {80, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 41},	//1963 QUrlInfo::WriteGroup (enum)
    {80, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 42},	//1964 QUrlInfo::ExeGroup (enum)
    {80, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 43},	//1965 QUrlInfo::ReadOther (enum)
    {80, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 44},	//1966 QUrlInfo::WriteOther (enum)
    {80, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 45},	//1967 QUrlInfo::ExeOther (enum)
    {80, 1456, 0, 0, Smoke::mf_dtor, 0, 46 },	//1968 QUrlInfo::~QUrlInfo()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    1585,  // QSslCertificate::QSslCertificate(const QSslCertificate&)
    1609,  // QSslCertificate::QSslCertificate(QIODevice*)
    1611,  // QSslCertificate::QSslCertificate(const QByteArray&)
    0,
    1583,  // QSslCertificate::QSslCertificate(QIODevice*, QSsl::EncodingFormat)
    1584,  // QSslCertificate::QSslCertificate(const QByteArray&, QSsl::EncodingFormat)
    0,
    781,  // QHttp::QHttp(const QString&, unsigned short)
    782,  // QHttp::QHttp(const QString&, QHttp::ConnectionMode)
    0,
    790,  // QHttp::post(const QString&, QIODevice*)
    791,  // QHttp::post(const QString&, const QByteArray&)
    0,
    744,  // QHttp::post(const QString&, QIODevice*, QIODevice*)
    745,  // QHttp::post(const QString&, const QByteArray&, QIODevice*)
    0,
    793,  // QHttp::request(const QHttpRequestHeader&, QIODevice*)
    794,  // QHttp::request(const QHttpRequestHeader&, const QByteArray&)
    0,
    747,  // QHttp::request(const QHttpRequestHeader&, QIODevice*, QIODevice*)
    748,  // QHttp::request(const QHttpRequestHeader&, const QByteArray&, QIODevice*)
    0,
    737,  // QHttp::setHost(const QString&, unsigned short)
    785,  // QHttp::setHost(const QString&, QHttp::ConnectionMode)
    0,
    670,  // QHostAddress::QHostAddress(const QIPv6Address&)
    671,  // QHostAddress::QHostAddress(const sockaddr*)
    673,  // QHostAddress::QHostAddress(const QHostAddress&)
    0,
    668,  // QHostAddress::QHostAddress(unsigned int)
    669,  // QHostAddress::QHostAddress(unsigned char*)
    672,  // QHostAddress::QHostAddress(const QString&)
    674,  // QHostAddress::QHostAddress(QHostAddress::SpecialAddress)
    0,
    679,  // QHostAddress::setAddress(const QIPv6Address&)
    680,  // QHostAddress::setAddress(const sockaddr*)
    0,
    677,  // QHostAddress::setAddress(unsigned int)
    678,  // QHostAddress::setAddress(unsigned char*)
    681,  // QHostAddress::setAddress(const QString&)
    0,
    198,  // QFtp::put(const QByteArray&, const QString&)
    199,  // QFtp::put(QIODevice*, const QString&)
    0,
    162,  // QFtp::put(const QByteArray&, const QString&, QFtp::TransferType)
    163,  // QFtp::put(QIODevice*, const QString&, QFtp::TransferType)
    0,
    896,  // QHttpResponseHeader::QHttpResponseHeader(const QString&)
    906,  // QHttpResponseHeader::QHttpResponseHeader(int)
    0,
    1049,  // QNetworkAccessManager::post(const QNetworkRequest&, QIODevice*)
    1050,  // QNetworkAccessManager::post(const QNetworkRequest&, const QByteArray&)
    1051,  // QNetworkAccessManager::post(const QNetworkRequest&, QHttpMultiPart*)
    0,
    1052,  // QNetworkAccessManager::put(const QNetworkRequest&, QIODevice*)
    1053,  // QNetworkAccessManager::put(const QNetworkRequest&, const QByteArray&)
    1054,  // QNetworkAccessManager::put(const QNetworkRequest&, QHttpMultiPart*)
    0,
    279,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    318,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    327,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    373,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    396,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    413,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    448,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    453,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    488,  // QGlobalSpace::operator!=(QChar, QChar)
    510,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    563,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    578,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    604,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    638,  // QGlobalSpace::operator!=(QBool, QBool)
    650,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    267,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    286,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    299,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    497,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    603,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    369,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    426,  // QGlobalSpace::operator!=(bool, QBool)
    451,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    494,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    611,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    517,  // QGlobalSpace::operator*(const QSize&, double)
    581,  // QGlobalSpace::operator*(const QPoint&, int)
    592,  // QGlobalSpace::operator*(const QPoint&, double)
    597,  // QGlobalSpace::operator*(const QSizeF&, double)
    599,  // QGlobalSpace::operator*(const QPoint&, float)
    608,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    276,  // QGlobalSpace::operator*(double, const QSizeF&)
    409,  // QGlobalSpace::operator*(int, const QPoint&)
    441,  // QGlobalSpace::operator*(float, const QPoint&)
    513,  // QGlobalSpace::operator*(double, const QPointF&)
    521,  // QGlobalSpace::operator*(double, const QPoint&)
    600,  // QGlobalSpace::operator*(double, const QSize&)
    0,
    292,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    307,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    312,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    383,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    419,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    0,
    330,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    363,  // QGlobalSpace::operator+(QChar, const QString&)
    456,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    244,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    326,  // QGlobalSpace::operator+(const QString&, QChar)
    503,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    386,  // QGlobalSpace::operator-(const QPoint&)
    435,  // QGlobalSpace::operator-(const QPointF&)
    0,
    280,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    295,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    374,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    506,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    291,  // QGlobalSpace::operator/(const QPoint&, double)
    425,  // QGlobalSpace::operator/(const QPointF&, double)
    460,  // QGlobalSpace::operator/(const QSizeF&, double)
    584,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    265,  // QGlobalSpace::operator<(QChar, QChar)
    377,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    601,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    241,  // QGlobalSpace::operator<<(QDebug, const QSslError&)
    264,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    268,  // QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    281,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    288,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    294,  // QGlobalSpace::operator<<(QDataStream&, const QNetworkCacheMetaData&)
    296,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    301,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    302,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    323,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    346,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    347,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    388,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    394,  // QGlobalSpace::operator<<(QDebug, const QNetworkCookie&)
    422,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    432,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    439,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    445,  // QGlobalSpace::operator<<(QDebug, const QNetworkInterface&)
    461,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    469,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    473,  // QGlobalSpace::operator<<(QDebug, const QHostAddress&)
    478,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    479,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    481,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    482,  // QGlobalSpace::operator<<(QDebug, const QSslCertificate&)
    485,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    486,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    500,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    505,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    507,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    518,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    523,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    545,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    557,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    558,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    559,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    561,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    569,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    570,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    572,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    575,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    602,  // QGlobalSpace::operator<<(QDebug, const QSslKey&)
    606,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    616,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    623,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    629,  // QGlobalSpace::operator<<(QDebug, const QSslCipher&)
    633,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    634,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    648,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    652,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    240,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    284,  // QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketState)
    303,  // QGlobalSpace::operator<<(QDebug, QSslCertificate::SubjectInfo)
    328,  // QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketState)
    395,  // QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketError)
    405,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    421,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    452,  // QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketError)
    511,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    555,  // QGlobalSpace::operator<<(QDebug, const QSslError::SslError&)
    614,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    359,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    468,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    576,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    243,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    247,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    259,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    260,  // QGlobalSpace::operator==(QChar, QChar)
    340,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    354,  // QGlobalSpace::operator==(QBool, QBool)
    375,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    385,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    392,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    418,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    454,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    462,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    516,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    533,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    566,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    587,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    0,
    242,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    417,  // QGlobalSpace::operator==(QString::Null, const QString&)
    596,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    598,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    628,  // QGlobalSpace::operator==(QBool, bool)
    0,
    255,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    355,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    436,  // QGlobalSpace::operator==(bool, QBool)
    477,  // QGlobalSpace::operator==(const QString&, QString::Null)
    492,  // QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    504,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    0,
    274,  // QGlobalSpace::operator>(QChar, QChar)
    343,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    410,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    232,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    266,  // QGlobalSpace::operator>=(QChar, QChar)
    542,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    249,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    324,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    353,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    366,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    412,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    416,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    427,  // QGlobalSpace::operator>>(QDataStream&, QNetworkCacheMetaData&)
    431,  // QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    433,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    459,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    493,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    502,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    509,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    514,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    567,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    580,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    589,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    605,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    622,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    630,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    631,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    647,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    651,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    470,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    582,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    235,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    236,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    245,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    254,  // QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    261,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    270,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    273,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    275,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    278,  // QGlobalSpace::operator|(QDir::Filter, int)
    282,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    283,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    287,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    289,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    290,  // QGlobalSpace::operator|(QFile::Permission, int)
    293,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    300,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    304,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    305,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>)
    306,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    308,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    309,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    313,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    317,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    320,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    321,  // QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QNetworkConfigurationManager::Capability)
    331,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    332,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    333,  // QGlobalSpace::operator|(QSsl::SslOption, QFlags<QSsl::SslOption>)
    336,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    341,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    356,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    361,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    364,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    365,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    371,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    372,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    376,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    378,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    380,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    384,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    387,  // QGlobalSpace::operator|(Qt::DropAction, int)
    389,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    399,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    402,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    406,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    414,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    424,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    429,  // QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, int)
    434,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    438,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>)
    444,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    446,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, int)
    447,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    450,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    457,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    458,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    475,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    483,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    489,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    501,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    508,  // QGlobalSpace::operator|(Qt::WindowState, int)
    512,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    515,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    519,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    526,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    528,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    529,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    530,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, int)
    534,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    539,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, QUdpSocket::BindFlag)
    540,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    541,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    543,  // QGlobalSpace::operator|(QSsl::SslOption, int)
    546,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    547,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    551,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    552,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    553,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    554,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    556,  // QGlobalSpace::operator|(QSsl::SslOption, QSsl::SslOption)
    562,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    565,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    571,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    577,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    579,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    590,  // QGlobalSpace::operator|(Qt::Orientation, int)
    593,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    594,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    607,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    610,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    615,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    617,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    618,  // QGlobalSpace::operator|(Qt::WindowType, int)
    620,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag)
    624,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    625,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    635,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    636,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    639,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    641,  // QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QFlags<QNetworkConfigurationManager::Capability>)
    644,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    649,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    532,  // QGlobalSpace::qFuzzyCompare(float, float)
    591,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    379,  // QGlobalSpace::qFuzzyIsNull(float)
    548,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    262,  // QGlobalSpace::qHash(const QUrl&)
    263,  // QGlobalSpace::qHash(const QByteArray&)
    337,  // QGlobalSpace::qHash(QChar)
    351,  // QGlobalSpace::qHash(const QModelIndex&)
    357,  // QGlobalSpace::qHash(const QHostAddress&)
    420,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    484,  // QGlobalSpace::qHash(const QBitArray&)
    642,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    233,  // QGlobalSpace::qHash(unsigned long long)
    253,  // QGlobalSpace::qHash(signed char)
    285,  // QGlobalSpace::qHash(char)
    335,  // QGlobalSpace::qHash(unsigned int)
    345,  // QGlobalSpace::qHash(const QString&)
    368,  // QGlobalSpace::qHash(long long)
    382,  // QGlobalSpace::qHash(int)
    408,  // QGlobalSpace::qHash(long)
    411,  // QGlobalSpace::qHash(unsigned short)
    525,  // QGlobalSpace::qHash(short)
    632,  // QGlobalSpace::qHash(unsigned long)
    646,  // QGlobalSpace::qHash(unsigned char)
    0,
    257,  // QGlobalSpace::qIntCast(double)
    339,  // QGlobalSpace::qIntCast(float)
    0,
    297,  // QGlobalSpace::qIsFinite(double)
    325,  // QGlobalSpace::qIsFinite(float)
    0,
    234,  // QGlobalSpace::qIsInf(double)
    251,  // QGlobalSpace::qIsInf(float)
    0,
    358,  // QGlobalSpace::qIsNaN(float)
    362,  // QGlobalSpace::qIsNaN(double)
    0,
    585,  // QGlobalSpace::qIsNull(float)
    643,  // QGlobalSpace::qIsNull(double)
    0,
    1334,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkProxyQuery&)
    1355,  // QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&)
    0,
    1331,  // QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&, QNetworkProxyQuery::QueryType)
    1363,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short)
    0,
    1361,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QString&, int)
    1364,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short, const QString&)
    0,
    1337,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    1362,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QString&, int, const QString&)
    0,
    1356,  // QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int)
    1359,  // QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&)
    0,
    1333,  // QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    1357,  // QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&)
    0,
    1720,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm)
    1723,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm)
    0,
    1721,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    1724,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    0,
    1722,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    1725,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    0,
    1706,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    1707,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    0,
    1737,  // QSslSocket::connectToHostEncrypted(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    1814,  // QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&)
    0,
    1444,  // QNetworkRequest::QNetworkRequest(const QUrl&)
    1445,  // QNetworkRequest::QNetworkRequest(const QNetworkRequest&)
    0,
    1190,  // QNetworkCookie::QNetworkCookie(const QNetworkCookie&)
    1212,  // QNetworkCookie::QNetworkCookie(const QByteArray&)
    0,
    934,  // QIPv6Address::operator[](int)
    935,  // QIPv6Address::operator[](int) const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 186, 19},	// QAbstractNetworkCache::QAbstractNetworkCache
    {1, 187, 16},	// QAbstractNetworkCache::QAbstractNetworkCache#
    {1, 487, 12},	// QAbstractNetworkCache::cacheSize
    {1, 496, 15},	// QAbstractNetworkCache::clear
    {1, 550, 10},	// QAbstractNetworkCache::data#
    {1, 649, 14},	// QAbstractNetworkCache::insert#
    {1, 721, 8},	// QAbstractNetworkCache::metaData#
    {1, 723, 1},	// QAbstractNetworkCache::metaObject
    {1, 847, 13},	// QAbstractNetworkCache::prepare#
    {1, 1028, 7},	// QAbstractNetworkCache::qt_metacall$$?
    {1, 1030, 2},	// QAbstractNetworkCache::qt_metacast$
    {1, 1070, 11},	// QAbstractNetworkCache::remove#
    {1, 1351, 20},	// QAbstractNetworkCache::staticMetaObject
    {1, 1376, 17},	// QAbstractNetworkCache::tr$
    {1, 1377, 3},	// QAbstractNetworkCache::tr$$
    {1, 1378, 5},	// QAbstractNetworkCache::tr$$$
    {1, 1380, 18},	// QAbstractNetworkCache::trUtf8$
    {1, 1381, 4},	// QAbstractNetworkCache::trUtf8$$
    {1, 1382, 6},	// QAbstractNetworkCache::trUtf8$$$
    {1, 1387, 9},	// QAbstractNetworkCache::updateMetaData#
    {1, 1417, 21},	// QAbstractNetworkCache::~QAbstractNetworkCache
    {2, 4, 106},	// QAbstractSocket::AddressInUseError
    {2, 29, 122},	// QAbstractSocket::BoundState
    {2, 47, 124},	// QAbstractSocket::ClosingState
    {2, 51, 121},	// QAbstractSocket::ConnectedState
    {2, 53, 120},	// QAbstractSocket::ConnectingState
    {2, 59, 98},	// QAbstractSocket::ConnectionRefusedError
    {2, 74, 104},	// QAbstractSocket::DatagramTooLargeError
    {2, 101, 119},	// QAbstractSocket::HostLookupState
    {2, 105, 100},	// QAbstractSocket::HostNotFoundError
    {2, 112, 95},	// QAbstractSocket::IPv4Protocol
    {2, 113, 96},	// QAbstractSocket::IPv6Protocol
    {2, 126, 126},	// QAbstractSocket::KeepAliveOption
    {2, 130, 123},	// QAbstractSocket::ListeningState
    {2, 137, 125},	// QAbstractSocket::LowDelayOption
    {2, 143, 128},	// QAbstractSocket::MulticastLoopbackOption
    {2, 144, 127},	// QAbstractSocket::MulticastTtlOption
    {2, 146, 105},	// QAbstractSocket::NetworkError
    {2, 175, 110},	// QAbstractSocket::ProxyAuthenticationRequiredError
    {2, 176, 113},	// QAbstractSocket::ProxyConnectionClosedError
    {2, 177, 112},	// QAbstractSocket::ProxyConnectionRefusedError
    {2, 178, 114},	// QAbstractSocket::ProxyConnectionTimeoutError
    {2, 179, 115},	// QAbstractSocket::ProxyNotFoundError
    {2, 180, 116},	// QAbstractSocket::ProxyProtocolError
    {2, 189, 29},	// QAbstractSocket::QAbstractSocket$#
    {2, 326, 99},	// QAbstractSocket::RemoteHostClosedError
    {2, 346, 101},	// QAbstractSocket::SocketAccessError
    {2, 347, 107},	// QAbstractSocket::SocketAddressNotAvailableError
    {2, 348, 102},	// QAbstractSocket::SocketResourceError
    {2, 349, 103},	// QAbstractSocket::SocketTimeoutError
    {2, 353, 111},	// QAbstractSocket::SslHandshakeFailedError
    {2, 367, 92},	// QAbstractSocket::TcpSocket
    {2, 375, 93},	// QAbstractSocket::UdpSocket
    {2, 384, 118},	// QAbstractSocket::UnconnectedState
    {2, 388, 109},	// QAbstractSocket::UnfinishedSocketOperationError
    {2, 393, 97},	// QAbstractSocket::UnknownNetworkLayerProtocol
    {2, 399, 117},	// QAbstractSocket::UnknownSocketError
    {2, 400, 94},	// QAbstractSocket::UnknownSocketType
    {2, 402, 108},	// QAbstractSocket::UnsupportedSocketOperationError
    {2, 423, 44},	// QAbstractSocket::abort
    {2, 461, 54},	// QAbstractSocket::atEnd
    {2, 480, 34},	// QAbstractSocket::bytesAvailable
    {2, 482, 35},	// QAbstractSocket::bytesToWrite
    {2, 488, 36},	// QAbstractSocket::canReadLine
    {2, 499, 52},	// QAbstractSocket::close
    {2, 518, 83},	// QAbstractSocket::connectToHost#$
    {2, 519, 31},	// QAbstractSocket::connectToHost#$$
    {2, 521, 82},	// QAbstractSocket::connectToHost$$
    {2, 522, 30},	// QAbstractSocket::connectToHost$$$
    {2, 528, 90},	// QAbstractSocket::connectToHostImplementation$$
    {2, 529, 68},	// QAbstractSocket::connectToHostImplementation$$$
    {2, 533, 63},	// QAbstractSocket::connected
    {2, 565, 32},	// QAbstractSocket::disconnectFromHost
    {2, 566, 69},	// QAbstractSocket::disconnectFromHostImplementation
    {2, 570, 64},	// QAbstractSocket::disconnected
    {2, 585, 51},	// QAbstractSocket::error
    {2, 586, 66},	// QAbstractSocket::error$
    {2, 598, 55},	// QAbstractSocket::flush
    {2, 637, 62},	// QAbstractSocket::hostFound
    {2, 674, 53},	// QAbstractSocket::isSequential
    {2, 678, 33},	// QAbstractSocket::isValid
    {2, 705, 38},	// QAbstractSocket::localAddress
    {2, 709, 37},	// QAbstractSocket::localPort
    {2, 723, 22},	// QAbstractSocket::metaObject
    {2, 824, 40},	// QAbstractSocket::peerAddress
    {2, 828, 41},	// QAbstractSocket::peerName
    {2, 829, 39},	// QAbstractSocket::peerPort
    {2, 853, 61},	// QAbstractSocket::proxy
    {2, 855, 67},	// QAbstractSocket::proxyAuthenticationRequired##
    {2, 1028, 28},	// QAbstractSocket::qt_metacall$$?
    {2, 1030, 23},	// QAbstractSocket::qt_metacast$
    {2, 1055, 42},	// QAbstractSocket::readBufferSize
    {2, 1057, 70},	// QAbstractSocket::readData$$
    {2, 1063, 71},	// QAbstractSocket::readLineData$$
    {2, 1191, 76},	// QAbstractSocket::setLocalAddress#
    {2, 1197, 75},	// QAbstractSocket::setLocalPort$
    {2, 1228, 78},	// QAbstractSocket::setPeerAddress#
    {2, 1232, 79},	// QAbstractSocket::setPeerName$
    {2, 1234, 77},	// QAbstractSocket::setPeerPort$
    {2, 1260, 60},	// QAbstractSocket::setProxy#
    {2, 1273, 43},	// QAbstractSocket::setReadBufferSize$
    {2, 1294, 84},	// QAbstractSocket::setSocketDescriptor$
    {2, 1295, 85},	// QAbstractSocket::setSocketDescriptor$$
    {2, 1296, 46},	// QAbstractSocket::setSocketDescriptor$$$
    {2, 1301, 74},	// QAbstractSocket::setSocketError$
    {2, 1303, 47},	// QAbstractSocket::setSocketOption$#
    {2, 1305, 73},	// QAbstractSocket::setSocketState$
    {2, 1338, 45},	// QAbstractSocket::socketDescriptor
    {2, 1340, 48},	// QAbstractSocket::socketOption$
    {2, 1341, 49},	// QAbstractSocket::socketType
    {2, 1348, 50},	// QAbstractSocket::state
    {2, 1350, 65},	// QAbstractSocket::stateChanged$
    {2, 1351, 91},	// QAbstractSocket::staticMetaObject
    {2, 1376, 80},	// QAbstractSocket::tr$
    {2, 1377, 24},	// QAbstractSocket::tr$$
    {2, 1378, 26},	// QAbstractSocket::tr$$$
    {2, 1380, 81},	// QAbstractSocket::trUtf8$
    {2, 1381, 25},	// QAbstractSocket::trUtf8$$
    {2, 1382, 27},	// QAbstractSocket::trUtf8$$$
    {2, 1397, 88},	// QAbstractSocket::waitForBytesWritten
    {2, 1398, 58},	// QAbstractSocket::waitForBytesWritten$
    {2, 1399, 86},	// QAbstractSocket::waitForConnected
    {2, 1400, 56},	// QAbstractSocket::waitForConnected$
    {2, 1401, 89},	// QAbstractSocket::waitForDisconnected
    {2, 1402, 59},	// QAbstractSocket::waitForDisconnected$
    {2, 1410, 87},	// QAbstractSocket::waitForReadyRead
    {2, 1411, 57},	// QAbstractSocket::waitForReadyRead$
    {2, 1413, 72},	// QAbstractSocket::writeData$$
    {2, 1418, 129},	// QAbstractSocket::~QAbstractSocket
    {3, 190, 130},	// QAuthenticator::QAuthenticator
    {3, 191, 131},	// QAuthenticator::QAuthenticator#
    {3, 562, 144},	// QAuthenticator::detach
    {3, 667, 143},	// QAuthenticator::isNull
    {3, 749, 134},	// QAuthenticator::operator!=#
    {3, 782, 132},	// QAuthenticator::operator=#
    {3, 785, 133},	// QAuthenticator::operator==#
    {3, 810, 140},	// QAuthenticator::option$
    {3, 811, 141},	// QAuthenticator::options
    {3, 822, 137},	// QAuthenticator::password
    {3, 1066, 139},	// QAuthenticator::realm
    {3, 1218, 142},	// QAuthenticator::setOption$#
    {3, 1224, 138},	// QAuthenticator::setPassword$
    {3, 1326, 136},	// QAuthenticator::setUser$
    {3, 1392, 135},	// QAuthenticator::user
    {3, 1419, 145},	// QAuthenticator::~QAuthenticator
    {16, 3, 227},	// QFtp::Active
    {16, 13, 230},	// QFtp::Ascii
    {16, 28, 229},	// QFtp::Binary
    {16, 37, 219},	// QFtp::Cd
    {16, 45, 217},	// QFtp::Close
    {16, 46, 206},	// QFtp::Closing
    {16, 49, 215},	// QFtp::ConnectToHost
    {16, 50, 204},	// QFtp::Connected
    {16, 52, 203},	// QFtp::Connecting
    {16, 58, 210},	// QFtp::ConnectionRefused
    {16, 96, 220},	// QFtp::Get
    {16, 100, 202},	// QFtp::HostLookup
    {16, 104, 209},	// QFtp::HostNotFound
    {16, 128, 218},	// QFtp::List
    {16, 135, 205},	// QFtp::LoggedIn
    {16, 136, 216},	// QFtp::Login
    {16, 142, 223},	// QFtp::Mkdir
    {16, 148, 207},	// QFtp::NoError
    {16, 152, 212},	// QFtp::None
    {16, 156, 211},	// QFtp::NotConnected
    {16, 163, 228},	// QFtp::Passive
    {16, 184, 221},	// QFtp::Put
    {16, 192, 191},	// QFtp::QFtp
    {16, 193, 153},	// QFtp::QFtp#
    {16, 317, 226},	// QFtp::RawCommand
    {16, 327, 222},	// QFtp::Remove
    {16, 328, 225},	// QFtp::Rename
    {16, 330, 224},	// QFtp::Rmdir
    {16, 343, 214},	// QFtp::SetProxy
    {16, 344, 213},	// QFtp::SetTransferMode
    {16, 383, 201},	// QFtp::Unconnected
    {16, 391, 208},	// QFtp::UnknownError
    {16, 423, 180},	// QFtp::abort
    {16, 480, 169},	// QFtp::bytesAvailable
    {16, 491, 160},	// QFtp::cd$
    {16, 497, 176},	// QFtp::clearPendingCommands
    {16, 499, 157},	// QFtp::close
    {16, 503, 187},	// QFtp::commandFinished$$
    {16, 505, 186},	// QFtp::commandStarted$
    {16, 520, 192},	// QFtp::connectToHost$
    {16, 521, 155},	// QFtp::connectToHost$$
    {16, 542, 174},	// QFtp::currentCommand
    {16, 544, 173},	// QFtp::currentDevice
    {16, 545, 172},	// QFtp::currentId
    {16, 556, 184},	// QFtp::dataTransferProgress$$
    {16, 573, 188},	// QFtp::done$
    {16, 585, 178},	// QFtp::error
    {16, 587, 179},	// QFtp::errorString
    {16, 614, 196},	// QFtp::get$
    {16, 615, 197},	// QFtp::get$#
    {16, 616, 161},	// QFtp::get$#$
    {16, 626, 175},	// QFtp::hasPendingCommands
    {16, 697, 195},	// QFtp::list
    {16, 698, 159},	// QFtp::list$
    {16, 700, 182},	// QFtp::listInfo#
    {16, 710, 193},	// QFtp::login
    {16, 711, 194},	// QFtp::login$
    {16, 712, 156},	// QFtp::login$$
    {16, 723, 146},	// QFtp::metaObject
    {16, 728, 165},	// QFtp::mkdir$
    {16, 863, -42},	// QFtp::put#$
    {16, 864, -45},	// QFtp::put#$$
    {16, 1028, 152},	// QFtp::qt_metacall$$?
    {16, 1030, 147},	// QFtp::qt_metacast$
    {16, 1044, 168},	// QFtp::rawCommand$
    {16, 1046, 185},	// QFtp::rawCommandReply$$
    {16, 1053, 170},	// QFtp::read$$
    {16, 1054, 171},	// QFtp::readAll
    {16, 1064, 183},	// QFtp::readyRead
    {16, 1071, 164},	// QFtp::remove$
    {16, 1079, 167},	// QFtp::rename$$
    {16, 1092, 166},	// QFtp::rmdir$
    {16, 1261, 154},	// QFtp::setProxy$$
    {16, 1318, 158},	// QFtp::setTransferMode$
    {16, 1348, 177},	// QFtp::state
    {16, 1350, 181},	// QFtp::stateChanged$
    {16, 1351, 200},	// QFtp::staticMetaObject
    {16, 1376, 189},	// QFtp::tr$
    {16, 1377, 148},	// QFtp::tr$$
    {16, 1378, 150},	// QFtp::tr$$$
    {16, 1380, 190},	// QFtp::trUtf8$
    {16, 1381, 149},	// QFtp::trUtf8$$
    {16, 1382, 151},	// QFtp::trUtf8$$$
    {16, 1420, 231},	// QFtp::~QFtp
    {17, 311, 660},	// QGlobalSpace::QtCriticalMsg
    {17, 312, 658},	// QGlobalSpace::QtDebugMsg
    {17, 313, 661},	// QGlobalSpace::QtFatalMsg
    {17, 314, 662},	// QGlobalSpace::QtSystemMsg
    {17, 315, 659},	// QGlobalSpace::QtWarningMsg
    {17, 414, 653},	// QGlobalSpace::_IEEE_
    {17, 415, 657},	// QGlobalSpace::_ISOC_
    {17, 416, 656},	// QGlobalSpace::_POSIX_
    {17, 417, 654},	// QGlobalSpace::_SVID_
    {17, 418, 655},	// QGlobalSpace::_XOPEN_
    {17, 419, 665},	// QGlobalSpace::__codecvt_error
    {17, 420, 666},	// QGlobalSpace::__codecvt_noconv
    {17, 421, 663},	// QGlobalSpace::__codecvt_ok
    {17, 422, 664},	// QGlobalSpace::__codecvt_partial
    {17, 750, -59},	// QGlobalSpace::operator!=##
    {17, 751, -75},	// QGlobalSpace::operator!=#$
    {17, 753, -81},	// QGlobalSpace::operator!=$#
    {17, 755, 442},	// QGlobalSpace::operator&##
    {17, 757, -87},	// QGlobalSpace::operator*#$
    {17, 758, -94},	// QGlobalSpace::operator*$#
    {17, 760, -101},	// QGlobalSpace::operator+##
    {17, 761, -107},	// QGlobalSpace::operator+#$
    {17, 762, -111},	// QGlobalSpace::operator+$#
    {17, 763, 637},	// QGlobalSpace::operator+$$
    {17, 765, -115},	// QGlobalSpace::operator-#
    {17, 766, -118},	// QGlobalSpace::operator-##
    {17, 768, -123},	// QGlobalSpace::operator/#$
    {17, 770, -128},	// QGlobalSpace::operator<##
    {17, 771, 480},	// QGlobalSpace::operator<#$
    {17, 772, 269},	// QGlobalSpace::operator<$#
    {17, 774, -132},	// QGlobalSpace::operator<<##
    {17, 775, -183},	// QGlobalSpace::operator<<#$
    {17, 776, 455},	// QGlobalSpace::operator<<#?
    {17, 778, -195},	// QGlobalSpace::operator<=##
    {17, 779, 338},	// QGlobalSpace::operator<=#$
    {17, 780, 466},	// QGlobalSpace::operator<=$#
    {17, 786, -199},	// QGlobalSpace::operator==##
    {17, 787, -216},	// QGlobalSpace::operator==#$
    {17, 789, -222},	// QGlobalSpace::operator==$#
    {17, 791, -229},	// QGlobalSpace::operator>##
    {17, 792, 645},	// QGlobalSpace::operator>#$
    {17, 793, 256},	// QGlobalSpace::operator>$#
    {17, 795, -233},	// QGlobalSpace::operator>=##
    {17, 796, 250},	// QGlobalSpace::operator>=#$
    {17, 797, 443},	// QGlobalSpace::operator>=$#
    {17, 799, -237},	// QGlobalSpace::operator>>##
    {17, 800, -261},	// QGlobalSpace::operator>>#$
    {17, 801, 403},	// QGlobalSpace::operator>>#?
    {17, 805, 342},	// QGlobalSpace::operator^##
    {17, 807, 568},	// QGlobalSpace::operator|##
    {17, 808, -264},	// QGlobalSpace::operator|$$
    {17, 866, 538},	// QGlobalSpace::qAcos$
    {17, 868, 463},	// QGlobalSpace::qAddPostRoutine$
    {17, 869, 471},	// QGlobalSpace::qAppName
    {17, 871, 560},	// QGlobalSpace::qAsin$
    {17, 873, 588},	// QGlobalSpace::qAtan$
    {17, 875, 248},	// QGlobalSpace::qAtan2$$
    {17, 876, 544},	// QGlobalSpace::qBadAlloc
    {17, 878, 487},	// QGlobalSpace::qCeil$
    {17, 880, 398},	// QGlobalSpace::qChecksum$$
    {17, 882, 550},	// QGlobalSpace::qCompress#
    {17, 883, 549},	// QGlobalSpace::qCompress#$
    {17, 884, 465},	// QGlobalSpace::qCompress$$
    {17, 885, 464},	// QGlobalSpace::qCompress$$$
    {17, 887, 272},	// QGlobalSpace::qCos$
    {17, 888, 449},	// QGlobalSpace::qCritical
    {17, 889, 495},	// QGlobalSpace::qDebug
    {17, 891, 391},	// QGlobalSpace::qExp$
    {17, 893, 527},	// QGlobalSpace::qFabs$
    {17, 895, 352},	// QGlobalSpace::qFastCos$
    {17, 897, 467},	// QGlobalSpace::qFastSin$
    {17, 899, 360},	// QGlobalSpace::qFlagLocation$
    {17, 901, 322},	// QGlobalSpace::qFloor$
    {17, 903, 474},	// QGlobalSpace::qFree$
    {17, 905, 476},	// QGlobalSpace::qFreeAligned$
    {17, 907, -367},	// QGlobalSpace::qFuzzyCompare$$
    {17, 909, -370},	// QGlobalSpace::qFuzzyIsNull$
    {17, 911, -373},	// QGlobalSpace::qHash#
    {17, 912, -382},	// QGlobalSpace::qHash$
    {17, 913, 613},	// QGlobalSpace::qInf
    {17, 915, 349},	// QGlobalSpace::qInstallMsgHandler$
    {17, 917, -395},	// QGlobalSpace::qIntCast$
    {17, 919, -398},	// QGlobalSpace::qIsFinite$
    {17, 921, -401},	// QGlobalSpace::qIsInf$
    {17, 923, -404},	// QGlobalSpace::qIsNaN$
    {17, 925, -407},	// QGlobalSpace::qIsNull$
    {17, 927, 393},	// QGlobalSpace::qLn$
    {17, 929, 400},	// QGlobalSpace::qMalloc$
    {17, 931, 496},	// QGlobalSpace::qMallocAligned$$
    {17, 933, 238},	// QGlobalSpace::qMemCopy$$$
    {17, 935, 522},	// QGlobalSpace::qMemSet$$$
    {17, 937, 499},	// QGlobalSpace::qPow$$
    {17, 938, 401},	// QGlobalSpace::qQNaN
    {17, 940, 344},	// QGlobalSpace::qRealloc$$
    {17, 942, 334},	// QGlobalSpace::qReallocAligned$$$$
    {17, 944, 397},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {17, 946, 621},	// QGlobalSpace::qRemovePostRoutine$
    {17, 948, 612},	// QGlobalSpace::qRound$
    {17, 950, 348},	// QGlobalSpace::qRound64$
    {17, 951, 595},	// QGlobalSpace::qSNaN
    {17, 953, 319},	// QGlobalSpace::qSetFieldWidth$
    {17, 955, 258},	// QGlobalSpace::qSetPadChar#
    {17, 957, 390},	// QGlobalSpace::qSetRealNumberPrecision$
    {17, 958, 277},	// QGlobalSpace::qSharedBuild
    {17, 960, 564},	// QGlobalSpace::qSin$
    {17, 962, 350},	// QGlobalSpace::qSqrt$
    {17, 964, 490},	// QGlobalSpace::qStringComparisonHelper#$
    {17, 966, 316},	// QGlobalSpace::qTan$
    {17, 968, 430},	// QGlobalSpace::qUncompress#
    {17, 969, 314},	// QGlobalSpace::qUncompress$$
    {17, 970, 472},	// QGlobalSpace::qVersion
    {17, 971, 626},	// QGlobalSpace::qWarning
    {17, 973, 329},	// QGlobalSpace::qbswap_helper$$$
    {17, 975, 298},	// QGlobalSpace::qecvt$$$$
    {17, 977, 498},	// QGlobalSpace::qecvt_r$$$$$$
    {17, 979, 370},	// QGlobalSpace::qfcvt$$$$
    {17, 981, 535},	// QGlobalSpace::qfcvt_r$$$$$$
    {17, 983, 536},	// QGlobalSpace::qgcvt$$$
    {17, 985, 252},	// QGlobalSpace::qgetenv$
    {17, 987, 404},	// QGlobalSpace::qputenv$#
    {17, 988, 437},	// QGlobalSpace::qrand
    {17, 990, 537},	// QGlobalSpace::qsort$$$$
    {17, 992, 407},	// QGlobalSpace::qsrand$
    {17, 994, 531},	// QGlobalSpace::qstrcmp##
    {17, 995, 619},	// QGlobalSpace::qstrcmp#$
    {17, 996, 246},	// QGlobalSpace::qstrcmp$#
    {17, 997, 271},	// QGlobalSpace::qstrcmp$$
    {17, 999, 381},	// QGlobalSpace::qstrcpy$$
    {17, 1001, 491},	// QGlobalSpace::qstrdup$
    {17, 1003, 609},	// QGlobalSpace::qstricmp$$
    {17, 1005, 627},	// QGlobalSpace::qstrlen$
    {17, 1007, 315},	// QGlobalSpace::qstrncmp$$$
    {17, 1009, 428},	// QGlobalSpace::qstrncpy$$$
    {17, 1011, 415},	// QGlobalSpace::qstrnicmp$$$
    {17, 1013, 237},	// QGlobalSpace::qstrnlen$$
    {17, 1015, 574},	// QGlobalSpace::qtTrId$
    {17, 1016, 573},	// QGlobalSpace::qtTrId$$
    {17, 1018, 367},	// QGlobalSpace::qt_assert$$$
    {17, 1020, 440},	// QGlobalSpace::qt_assert_x$$$$
    {17, 1022, 524},	// QGlobalSpace::qt_check_pointer$$
    {17, 1023, 311},	// QGlobalSpace::qt_error_string
    {17, 1024, 310},	// QGlobalSpace::qt_error_string$
    {17, 1026, 640},	// QGlobalSpace::qt_message_output$$
    {17, 1031, 239},	// QGlobalSpace::qt_noop
    {17, 1033, 423},	// QGlobalSpace::qt_qFindChild_helper#$#
    {17, 1035, 586},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {17, 1040, 583},	// QGlobalSpace::qvariant_cast_helper#$$
    {17, 1042, 520},	// QGlobalSpace::qvsnprintf$$$?
    {19, 8, 701},	// QHostAddress::Any
    {19, 9, 702},	// QHostAddress::AnyIPv6
    {19, 30, 698},	// QHostAddress::Broadcast
    {19, 131, 699},	// QHostAddress::LocalHost
    {19, 132, 700},	// QHostAddress::LocalHostIPv6
    {19, 158, 697},	// QHostAddress::Null
    {19, 194, 667},	// QHostAddress::QHostAddress
    {19, 195, -26},	// QHostAddress::QHostAddress#
    {19, 196, -30},	// QHostAddress::QHostAddress$
    {19, 496, 693},	// QHostAddress::clear
    {19, 664, 694},	// QHostAddress::isInSubnet#$
    {19, 665, 695},	// QHostAddress::isInSubnet?
    {19, 667, 692},	// QHostAddress::isNull
    {19, 749, 690},	// QHostAddress::operator!=#
    {19, 752, 691},	// QHostAddress::operator!=$
    {19, 782, 675},	// QHostAddress::operator=#
    {19, 783, 676},	// QHostAddress::operator=$
    {19, 785, 688},	// QHostAddress::operator==#
    {19, 788, 689},	// QHostAddress::operator==$
    {19, 821, 696},	// QHostAddress::parseSubnet$
    {19, 850, 682},	// QHostAddress::protocol
    {19, 1094, 686},	// QHostAddress::scopeId
    {19, 1108, -35},	// QHostAddress::setAddress#
    {19, 1109, -38},	// QHostAddress::setAddress$
    {19, 1284, 687},	// QHostAddress::setScopeId$
    {19, 1368, 683},	// QHostAddress::toIPv4Address
    {19, 1369, 684},	// QHostAddress::toIPv6Address
    {19, 1374, 685},	// QHostAddress::toString
    {19, 1421, 703},	// QHostAddress::~QHostAddress
    {20, 104, 724},	// QHostInfo::HostNotFound
    {20, 148, 723},	// QHostInfo::NoError
    {20, 197, 722},	// QHostInfo::QHostInfo
    {20, 198, 705},	// QHostInfo::QHostInfo#
    {20, 199, 704},	// QHostInfo::QHostInfo$
    {20, 391, 725},	// QHostInfo::UnknownError
    {20, 425, 718},	// QHostInfo::abortHostLookup$
    {20, 448, 709},	// QHostInfo::addresses
    {20, 585, 711},	// QHostInfo::error
    {20, 587, 713},	// QHostInfo::errorString
    {20, 606, 719},	// QHostInfo::fromName$
    {20, 638, 707},	// QHostInfo::hostName
    {20, 707, 721},	// QHostInfo::localDomainName
    {20, 708, 720},	// QHostInfo::localHostName
    {20, 714, 717},	// QHostInfo::lookupHost$#$
    {20, 715, 716},	// QHostInfo::lookupId
    {20, 782, 706},	// QHostInfo::operator=#
    {20, 1111, 710},	// QHostInfo::setAddresses?
    {20, 1162, 712},	// QHostInfo::setError$
    {20, 1165, 714},	// QHostInfo::setErrorString$
    {20, 1181, 708},	// QHostInfo::setHostName$
    {20, 1199, 715},	// QHostInfo::setLookupId$
    {20, 1422, 726},	// QHostInfo::~QHostInfo
    {21, 1, 812},	// QHttp::Aborted
    {21, 14, 813},	// QHttp::AuthenticationRequiredError
    {21, 46, 804},	// QHttp::Closing
    {21, 50, 803},	// QHttp::Connected
    {21, 52, 800},	// QHttp::Connecting
    {21, 56, 796},	// QHttp::ConnectionModeHttp
    {21, 57, 797},	// QHttp::ConnectionModeHttps
    {21, 58, 808},	// QHttp::ConnectionRefused
    {21, 100, 799},	// QHttp::HostLookup
    {21, 104, 807},	// QHttp::HostNotFound
    {21, 121, 810},	// QHttp::InvalidResponseHeader
    {21, 148, 805},	// QHttp::NoError
    {21, 175, 814},	// QHttp::ProxyAuthenticationRequiredError
    {21, 200, 779},	// QHttp::QHttp
    {21, 201, 734},	// QHttp::QHttp#
    {21, 202, 780},	// QHttp::QHttp$
    {21, 203, -8},	// QHttp::QHttp$$
    {21, 204, 735},	// QHttp::QHttp$$#
    {21, 205, 783},	// QHttp::QHttp$$$
    {21, 206, 736},	// QHttp::QHttp$$$#
    {21, 323, 802},	// QHttp::Reading
    {21, 337, 801},	// QHttp::Sending
    {21, 383, 798},	// QHttp::Unconnected
    {21, 387, 809},	// QHttp::UnexpectedClose
    {21, 391, 806},	// QHttp::UnknownError
    {21, 413, 811},	// QHttp::WrongContentLength
    {21, 423, 764},	// QHttp::abort
    {21, 469, 775},	// QHttp::authenticationRequired$$#
    {21, 480, 751},	// QHttp::bytesAvailable
    {21, 498, 760},	// QHttp::clearPendingRequests
    {21, 499, 750},	// QHttp::close
    {21, 500, 749},	// QHttp::closeConnection
    {21, 543, 756},	// QHttp::currentDestinationDevice
    {21, 545, 754},	// QHttp::currentId
    {21, 546, 757},	// QHttp::currentRequest
    {21, 547, 755},	// QHttp::currentSourceDevice
    {21, 552, 770},	// QHttp::dataReadProgress$$
    {21, 554, 769},	// QHttp::dataSendProgress$$
    {21, 573, 773},	// QHttp::done$
    {21, 585, 762},	// QHttp::error
    {21, 587, 763},	// QHttp::errorString
    {21, 614, 789},	// QHttp::get$
    {21, 615, 743},	// QHttp::get$#
    {21, 629, 759},	// QHttp::hasPendingRequests
    {21, 634, 746},	// QHttp::head$
    {21, 642, 765},	// QHttp::ignoreSslErrors
    {21, 690, 758},	// QHttp::lastResponse
    {21, 723, 727},	// QHttp::metaObject
    {21, 841, -11},	// QHttp::post$#
    {21, 842, -14},	// QHttp::post$##
    {21, 855, 774},	// QHttp::proxyAuthenticationRequired##
    {21, 1028, 733},	// QHttp::qt_metacall$$?
    {21, 1030, 728},	// QHttp::qt_metacast$
    {21, 1053, 752},	// QHttp::read$$
    {21, 1054, 753},	// QHttp::readAll
    {21, 1065, 768},	// QHttp::readyRead#
    {21, 1081, 792},	// QHttp::request#
    {21, 1082, -17},	// QHttp::request##
    {21, 1083, -20},	// QHttp::request###
    {21, 1085, 772},	// QHttp::requestFinished$$
    {21, 1087, 771},	// QHttp::requestStarted$
    {21, 1090, 767},	// QHttp::responseHeaderReceived#
    {21, 1177, 784},	// QHttp::setHost$
    {21, 1178, -23},	// QHttp::setHost$$
    {21, 1179, 738},	// QHttp::setHost$$$
    {21, 1260, 742},	// QHttp::setProxy#
    {21, 1261, 787},	// QHttp::setProxy$$
    {21, 1262, 788},	// QHttp::setProxy$$$
    {21, 1263, 741},	// QHttp::setProxy$$$$
    {21, 1292, 739},	// QHttp::setSocket#
    {21, 1326, 786},	// QHttp::setUser$
    {21, 1327, 740},	// QHttp::setUser$$
    {21, 1345, 776},	// QHttp::sslErrors?
    {21, 1348, 761},	// QHttp::state
    {21, 1350, 766},	// QHttp::stateChanged$
    {21, 1351, 795},	// QHttp::staticMetaObject
    {21, 1376, 777},	// QHttp::tr$
    {21, 1377, 729},	// QHttp::tr$$
    {21, 1378, 731},	// QHttp::tr$$$
    {21, 1380, 778},	// QHttp::trUtf8$
    {21, 1381, 730},	// QHttp::trUtf8$$
    {21, 1382, 732},	// QHttp::trUtf8$$$
    {21, 1423, 815},	// QHttp::~QHttp
    {22, 207, 816},	// QHttpHeader::QHttpHeader
    {22, 208, 817},	// QHttpHeader::QHttpHeader#
    {22, 209, 818},	// QHttpHeader::QHttpHeader$
    {22, 446, 822},	// QHttpHeader::addValue$$
    {22, 456, 827},	// QHttpHeader::allValues$
    {22, 534, 831},	// QHttpHeader::contentLength
    {22, 535, 834},	// QHttpHeader::contentType
    {22, 622, 830},	// QHttpHeader::hasContentLength
    {22, 623, 833},	// QHttpHeader::hasContentType
    {22, 625, 824},	// QHttpHeader::hasKey$
    {22, 678, 837},	// QHttpHeader::isValid
    {22, 687, 825},	// QHttpHeader::keys
    {22, 716, 838},	// QHttpHeader::majorVersion
    {22, 726, 839},	// QHttpHeader::minorVersion
    {22, 782, 819},	// QHttpHeader::operator=#
    {22, 815, 841},	// QHttpHeader::parse$
    {22, 819, 840},	// QHttpHeader::parseLine$$
    {22, 1073, 829},	// QHttpHeader::removeAllValues$
    {22, 1077, 828},	// QHttpHeader::removeValue$
    {22, 1144, 832},	// QHttpHeader::setContentLength$
    {22, 1146, 835},	// QHttpHeader::setContentType$
    {22, 1329, 842},	// QHttpHeader::setValid$
    {22, 1332, 820},	// QHttpHeader::setValue$$
    {22, 1334, 821},	// QHttpHeader::setValues?
    {22, 1374, 836},	// QHttpHeader::toString
    {22, 1394, 826},	// QHttpHeader::value$
    {22, 1395, 823},	// QHttpHeader::values
    {22, 1424, 843},	// QHttpHeader::~QHttpHeader
    {23, 5, 865},	// QHttpMultiPart::AlternativeType
    {23, 93, 864},	// QHttpMultiPart::FormDataType
    {23, 141, 862},	// QHttpMultiPart::MixedType
    {23, 210, 859},	// QHttpMultiPart::QHttpMultiPart
    {23, 211, 851},	// QHttpMultiPart::QHttpMultiPart#
    {23, 212, 860},	// QHttpMultiPart::QHttpMultiPart$
    {23, 213, 852},	// QHttpMultiPart::QHttpMultiPart$#
    {23, 325, 863},	// QHttpMultiPart::RelatedType
    {23, 459, 853},	// QHttpMultiPart::append#
    {23, 478, 855},	// QHttpMultiPart::boundary
    {23, 723, 844},	// QHttpMultiPart::metaObject
    {23, 1028, 850},	// QHttpMultiPart::qt_metacall$$?
    {23, 1030, 845},	// QHttpMultiPart::qt_metacast$
    {23, 1127, 856},	// QHttpMultiPart::setBoundary#
    {23, 1146, 854},	// QHttpMultiPart::setContentType$
    {23, 1351, 861},	// QHttpMultiPart::staticMetaObject
    {23, 1376, 857},	// QHttpMultiPart::tr$
    {23, 1377, 846},	// QHttpMultiPart::tr$$
    {23, 1378, 848},	// QHttpMultiPart::tr$$$
    {23, 1380, 858},	// QHttpMultiPart::trUtf8$
    {23, 1381, 847},	// QHttpMultiPart::trUtf8$$
    {23, 1382, 849},	// QHttpMultiPart::trUtf8$$$
    {23, 1425, 866},	// QHttpMultiPart::~QHttpMultiPart
    {24, 214, 867},	// QHttpPart::QHttpPart
    {24, 215, 868},	// QHttpPart::QHttpPart#
    {24, 749, 871},	// QHttpPart::operator!=#
    {24, 782, 869},	// QHttpPart::operator=#
    {24, 785, 870},	// QHttpPart::operator==#
    {24, 1123, 874},	// QHttpPart::setBody#
    {24, 1125, 875},	// QHttpPart::setBodyDevice#
    {24, 1175, 872},	// QHttpPart::setHeader$#
    {24, 1269, 873},	// QHttpPart::setRawHeader##
    {24, 1426, 876},	// QHttpPart::~QHttpPart
    {25, 216, 877},	// QHttpRequestHeader::QHttpRequestHeader
    {25, 217, 879},	// QHttpRequestHeader::QHttpRequestHeader#
    {25, 218, 880},	// QHttpRequestHeader::QHttpRequestHeader$
    {25, 219, 889},	// QHttpRequestHeader::QHttpRequestHeader$$
    {25, 220, 890},	// QHttpRequestHeader::QHttpRequestHeader$$$
    {25, 221, 878},	// QHttpRequestHeader::QHttpRequestHeader$$$$
    {25, 716, 885},	// QHttpRequestHeader::majorVersion
    {25, 724, 883},	// QHttpRequestHeader::method
    {25, 726, 886},	// QHttpRequestHeader::minorVersion
    {25, 782, 881},	// QHttpRequestHeader::operator=#
    {25, 819, 888},	// QHttpRequestHeader::parseLine$$
    {25, 823, 884},	// QHttpRequestHeader::path
    {25, 1278, 891},	// QHttpRequestHeader::setRequest$$
    {25, 1279, 892},	// QHttpRequestHeader::setRequest$$$
    {25, 1280, 882},	// QHttpRequestHeader::setRequest$$$$
    {25, 1374, 887},	// QHttpRequestHeader::toString
    {25, 1427, 893},	// QHttpRequestHeader::~QHttpRequestHeader
    {26, 222, 894},	// QHttpResponseHeader::QHttpResponseHeader
    {26, 223, 895},	// QHttpResponseHeader::QHttpResponseHeader#
    {26, 224, -48},	// QHttpResponseHeader::QHttpResponseHeader$
    {26, 225, 907},	// QHttpResponseHeader::QHttpResponseHeader$$
    {26, 226, 908},	// QHttpResponseHeader::QHttpResponseHeader$$$
    {26, 227, 897},	// QHttpResponseHeader::QHttpResponseHeader$$$$
    {26, 716, 902},	// QHttpResponseHeader::majorVersion
    {26, 726, 903},	// QHttpResponseHeader::minorVersion
    {26, 782, 898},	// QHttpResponseHeader::operator=#
    {26, 819, 905},	// QHttpResponseHeader::parseLine$$
    {26, 1067, 901},	// QHttpResponseHeader::reasonPhrase
    {26, 1311, 909},	// QHttpResponseHeader::setStatusLine$
    {26, 1312, 910},	// QHttpResponseHeader::setStatusLine$$
    {26, 1313, 911},	// QHttpResponseHeader::setStatusLine$$$
    {26, 1314, 899},	// QHttpResponseHeader::setStatusLine$$$$
    {26, 1352, 900},	// QHttpResponseHeader::statusCode
    {26, 1374, 904},	// QHttpResponseHeader::toString
    {26, 1428, 912},	// QHttpResponseHeader::~QHttpResponseHeader
    {28, 228, 936},	// QIPv6Address::QIPv6Address
    {28, 229, 937},	// QIPv6Address::QIPv6Address#
    {28, 803, -449},	// QIPv6Address::operator[]$
    {28, 1429, 938},	// QIPv6Address::~QIPv6Address
    {33, 230, 964},	// QLocalServer::QLocalServer
    {33, 231, 947},	// QLocalServer::QLocalServer#
    {33, 499, 948},	// QLocalServer::close
    {33, 587, 949},	// QLocalServer::errorString
    {33, 611, 956},	// QLocalServer::fullServerName
    {33, 627, 950},	// QLocalServer::hasPendingConnections
    {33, 646, 961},	// QLocalServer::incomingConnection?
    {33, 666, 951},	// QLocalServer::isListening
    {33, 704, 952},	// QLocalServer::listen$
    {33, 718, 953},	// QLocalServer::maxPendingConnections
    {33, 723, 939},	// QLocalServer::metaObject
    {33, 741, 946},	// QLocalServer::newConnection
    {33, 742, 954},	// QLocalServer::nextPendingConnection
    {33, 1028, 945},	// QLocalServer::qt_metacall$$?
    {33, 1030, 940},	// QLocalServer::qt_metacast$
    {33, 1075, 957},	// QLocalServer::removeServer$
    {33, 1101, 958},	// QLocalServer::serverError
    {33, 1102, 955},	// QLocalServer::serverName
    {33, 1201, 959},	// QLocalServer::setMaxPendingConnections$
    {33, 1351, 967},	// QLocalServer::staticMetaObject
    {33, 1376, 962},	// QLocalServer::tr$
    {33, 1377, 941},	// QLocalServer::tr$$
    {33, 1378, 943},	// QLocalServer::tr$$$
    {33, 1380, 963},	// QLocalServer::trUtf8$
    {33, 1381, 942},	// QLocalServer::trUtf8$$
    {33, 1382, 944},	// QLocalServer::trUtf8$$$
    {33, 1405, 965},	// QLocalServer::waitForNewConnection
    {33, 1406, 966},	// QLocalServer::waitForNewConnection$
    {33, 1407, 960},	// QLocalServer::waitForNewConnection$$
    {33, 1430, 968},	// QLocalServer::~QLocalServer
    {34, 47, 1029},	// QLocalSocket::ClosingState
    {34, 51, 1028},	// QLocalSocket::ConnectedState
    {34, 53, 1027},	// QLocalSocket::ConnectingState
    {34, 55, 1023},	// QLocalSocket::ConnectionError
    {34, 59, 1016},	// QLocalSocket::ConnectionRefusedError
    {34, 74, 1022},	// QLocalSocket::DatagramTooLargeError
    {34, 165, 1017},	// QLocalSocket::PeerClosedError
    {34, 232, 1007},	// QLocalSocket::QLocalSocket
    {34, 233, 976},	// QLocalSocket::QLocalSocket#
    {34, 338, 1018},	// QLocalSocket::ServerNotFoundError
    {34, 346, 1019},	// QLocalSocket::SocketAccessError
    {34, 348, 1020},	// QLocalSocket::SocketResourceError
    {34, 349, 1021},	// QLocalSocket::SocketTimeoutError
    {34, 384, 1026},	// QLocalSocket::UnconnectedState
    {34, 399, 1025},	// QLocalSocket::UnknownSocketError
    {34, 402, 1024},	// QLocalSocket::UnsupportedSocketOperationError
    {34, 423, 981},	// QLocalSocket::abort
    {34, 480, 983},	// QLocalSocket::bytesAvailable
    {34, 482, 984},	// QLocalSocket::bytesToWrite
    {34, 488, 985},	// QLocalSocket::canReadLine
    {34, 499, 986},	// QLocalSocket::close
    {34, 531, 1008},	// QLocalSocket::connectToServer$
    {34, 532, 977},	// QLocalSocket::connectToServer$$
    {34, 533, 999},	// QLocalSocket::connected
    {34, 567, 978},	// QLocalSocket::disconnectFromServer
    {34, 570, 1000},	// QLocalSocket::disconnected
    {34, 585, 987},	// QLocalSocket::error
    {34, 586, 1001},	// QLocalSocket::error$
    {34, 598, 988},	// QLocalSocket::flush
    {34, 611, 980},	// QLocalSocket::fullServerName
    {34, 674, 982},	// QLocalSocket::isSequential
    {34, 678, 989},	// QLocalSocket::isValid
    {34, 723, 969},	// QLocalSocket::metaObject
    {34, 1028, 975},	// QLocalSocket::qt_metacall$$?
    {34, 1030, 970},	// QLocalSocket::qt_metacast$
    {34, 1055, 990},	// QLocalSocket::readBufferSize
    {34, 1057, 1003},	// QLocalSocket::readData$$
    {34, 1102, 979},	// QLocalSocket::serverName
    {34, 1273, 991},	// QLocalSocket::setReadBufferSize$
    {34, 1297, 1009},	// QLocalSocket::setSocketDescriptor?
    {34, 1298, 1010},	// QLocalSocket::setSocketDescriptor?$
    {34, 1299, 992},	// QLocalSocket::setSocketDescriptor?$$
    {34, 1338, 993},	// QLocalSocket::socketDescriptor
    {34, 1348, 994},	// QLocalSocket::state
    {34, 1350, 1002},	// QLocalSocket::stateChanged$
    {34, 1351, 1015},	// QLocalSocket::staticMetaObject
    {34, 1376, 1005},	// QLocalSocket::tr$
    {34, 1377, 971},	// QLocalSocket::tr$$
    {34, 1378, 973},	// QLocalSocket::tr$$$
    {34, 1380, 1006},	// QLocalSocket::trUtf8$
    {34, 1381, 972},	// QLocalSocket::trUtf8$$
    {34, 1382, 974},	// QLocalSocket::trUtf8$$$
    {34, 1397, 1011},	// QLocalSocket::waitForBytesWritten
    {34, 1398, 995},	// QLocalSocket::waitForBytesWritten$
    {34, 1399, 1012},	// QLocalSocket::waitForConnected
    {34, 1400, 996},	// QLocalSocket::waitForConnected$
    {34, 1401, 1013},	// QLocalSocket::waitForDisconnected
    {34, 1402, 997},	// QLocalSocket::waitForDisconnected$
    {34, 1410, 1014},	// QLocalSocket::waitForReadyRead
    {34, 1411, 998},	// QLocalSocket::waitForReadyRead$
    {34, 1413, 1004},	// QLocalSocket::writeData$$
    {34, 1431, 1030},	// QLocalSocket::~QLocalSocket
    {39, 2, 1084},	// QNetworkAccessManager::Accessible
    {39, 71, 1080},	// QNetworkAccessManager::CustomOperation
    {39, 78, 1079},	// QNetworkAccessManager::DeleteOperation
    {39, 97, 1076},	// QNetworkAccessManager::GetOperation
    {39, 98, 1075},	// QNetworkAccessManager::HeadOperation
    {39, 154, 1083},	// QNetworkAccessManager::NotAccessible
    {39, 167, 1078},	// QNetworkAccessManager::PostOperation
    {39, 185, 1077},	// QNetworkAccessManager::PutOperation
    {39, 234, 1071},	// QNetworkAccessManager::QNetworkAccessManager
    {39, 235, 1038},	// QNetworkAccessManager::QNetworkAccessManager#
    {39, 389, 1082},	// QNetworkAccessManager::UnknownAccessibility
    {39, 394, 1081},	// QNetworkAccessManager::UnknownOperation
    {39, 427, 1059},	// QNetworkAccessManager::activeConfiguration
    {39, 468, 1063},	// QNetworkAccessManager::authenticationRequired##
    {39, 485, 1043},	// QNetworkAccessManager::cache
    {39, 506, 1058},	// QNetworkAccessManager::configuration
    {39, 536, 1045},	// QNetworkAccessManager::cookieJar
    {39, 540, 1073},	// QNetworkAccessManager::createRequest$#
    {39, 541, 1068},	// QNetworkAccessManager::createRequest$##
    {39, 561, 1055},	// QNetworkAccessManager::deleteResource#
    {39, 596, 1064},	// QNetworkAccessManager::finished#
    {39, 613, 1048},	// QNetworkAccessManager::get#
    {39, 633, 1047},	// QNetworkAccessManager::head#
    {39, 723, 1031},	// QNetworkAccessManager::metaObject
    {39, 735, 1061},	// QNetworkAccessManager::networkAccessible
    {39, 737, 1067},	// QNetworkAccessManager::networkAccessibleChanged$
    {39, 739, 1066},	// QNetworkAccessManager::networkSessionConnected
    {39, 840, -51},	// QNetworkAccessManager::post##
    {39, 853, 1039},	// QNetworkAccessManager::proxy
    {39, 855, 1062},	// QNetworkAccessManager::proxyAuthenticationRequired##
    {39, 856, 1041},	// QNetworkAccessManager::proxyFactory
    {39, 862, -55},	// QNetworkAccessManager::put##
    {39, 1028, 1037},	// QNetworkAccessManager::qt_metacall$$?
    {39, 1030, 1032},	// QNetworkAccessManager::qt_metacast$
    {39, 1097, 1072},	// QNetworkAccessManager::sendCustomRequest##
    {39, 1098, 1056},	// QNetworkAccessManager::sendCustomRequest###
    {39, 1133, 1044},	// QNetworkAccessManager::setCache#
    {39, 1142, 1057},	// QNetworkAccessManager::setConfiguration#
    {39, 1148, 1046},	// QNetworkAccessManager::setCookieJar#
    {39, 1212, 1060},	// QNetworkAccessManager::setNetworkAccessible$
    {39, 1260, 1040},	// QNetworkAccessManager::setProxy#
    {39, 1265, 1042},	// QNetworkAccessManager::setProxyFactory#
    {39, 1344, 1065},	// QNetworkAccessManager::sslErrors#?
    {39, 1351, 1074},	// QNetworkAccessManager::staticMetaObject
    {39, 1376, 1069},	// QNetworkAccessManager::tr$
    {39, 1377, 1033},	// QNetworkAccessManager::tr$$
    {39, 1378, 1035},	// QNetworkAccessManager::tr$$$
    {39, 1380, 1070},	// QNetworkAccessManager::trUtf8$
    {39, 1381, 1034},	// QNetworkAccessManager::trUtf8$$
    {39, 1382, 1036},	// QNetworkAccessManager::trUtf8$$$
    {39, 1432, 1085},	// QNetworkAccessManager::~QNetworkAccessManager
    {40, 236, 1086},	// QNetworkAddressEntry::QNetworkAddressEntry
    {40, 237, 1087},	// QNetworkAddressEntry::QNetworkAddressEntry#
    {40, 479, 1097},	// QNetworkAddressEntry::broadcast
    {40, 655, 1091},	// QNetworkAddressEntry::ip
    {40, 734, 1093},	// QNetworkAddressEntry::netmask
    {40, 749, 1090},	// QNetworkAddressEntry::operator!=#
    {40, 782, 1088},	// QNetworkAddressEntry::operator=#
    {40, 785, 1089},	// QNetworkAddressEntry::operator==#
    {40, 845, 1095},	// QNetworkAddressEntry::prefixLength
    {40, 1129, 1098},	// QNetworkAddressEntry::setBroadcast#
    {40, 1185, 1092},	// QNetworkAddressEntry::setIp#
    {40, 1210, 1094},	// QNetworkAddressEntry::setNetmask#
    {40, 1246, 1096},	// QNetworkAddressEntry::setPrefixLength$
    {40, 1433, 1099},	// QNetworkAddressEntry::~QNetworkAddressEntry
    {41, 238, 1100},	// QNetworkCacheMetaData::QNetworkCacheMetaData
    {41, 239, 1101},	// QNetworkCacheMetaData::QNetworkCacheMetaData#
    {41, 465, 1116},	// QNetworkCacheMetaData::attributes
    {41, 590, 1112},	// QNetworkCacheMetaData::expirationDate
    {41, 678, 1105},	// QNetworkCacheMetaData::isValid
    {41, 688, 1110},	// QNetworkCacheMetaData::lastModified
    {41, 749, 1104},	// QNetworkCacheMetaData::operator!=#
    {41, 782, 1102},	// QNetworkCacheMetaData::operator=#
    {41, 785, 1103},	// QNetworkCacheMetaData::operator==#
    {41, 1051, 1108},	// QNetworkCacheMetaData::rawHeaders
    {41, 1093, 1114},	// QNetworkCacheMetaData::saveToDisk
    {41, 1121, 1117},	// QNetworkCacheMetaData::setAttributes?
    {41, 1167, 1113},	// QNetworkCacheMetaData::setExpirationDate#
    {41, 1187, 1111},	// QNetworkCacheMetaData::setLastModified#
    {41, 1271, 1109},	// QNetworkCacheMetaData::setRawHeaders?
    {41, 1282, 1115},	// QNetworkCacheMetaData::setSaveToDisk$
    {41, 1322, 1107},	// QNetworkCacheMetaData::setUrl#
    {41, 1390, 1106},	// QNetworkCacheMetaData::url
    {41, 1434, 1118},	// QNetworkCacheMetaData::~QNetworkCacheMetaData
    {42, 3, 1146},	// QNetworkConfiguration::Active
    {42, 19, 1150},	// QNetworkConfiguration::Bearer2G
    {42, 20, 1154},	// QNetworkConfiguration::BearerBluetooth
    {42, 21, 1151},	// QNetworkConfiguration::BearerCDMA2000
    {42, 22, 1148},	// QNetworkConfiguration::BearerEthernet
    {42, 23, 1153},	// QNetworkConfiguration::BearerHSPA
    {42, 24, 1147},	// QNetworkConfiguration::BearerUnknown
    {42, 25, 1152},	// QNetworkConfiguration::BearerWCDMA
    {42, 26, 1149},	// QNetworkConfiguration::BearerWLAN
    {42, 27, 1155},	// QNetworkConfiguration::BearerWiMAX
    {42, 77, 1144},	// QNetworkConfiguration::Defined
    {42, 82, 1145},	// QNetworkConfiguration::Discovered
    {42, 114, 1135},	// QNetworkConfiguration::InternetAccessPoint
    {42, 115, 1138},	// QNetworkConfiguration::Invalid
    {42, 171, 1141},	// QNetworkConfiguration::PrivatePurpose
    {42, 183, 1140},	// QNetworkConfiguration::PublicPurpose
    {42, 240, 1119},	// QNetworkConfiguration::QNetworkConfiguration
    {42, 241, 1120},	// QNetworkConfiguration::QNetworkConfiguration#
    {42, 339, 1136},	// QNetworkConfiguration::ServiceNetwork
    {42, 340, 1142},	// QNetworkConfiguration::ServiceSpecificPurpose
    {42, 385, 1143},	// QNetworkConfiguration::Undefined
    {42, 397, 1139},	// QNetworkConfiguration::UnknownPurpose
    {42, 405, 1137},	// QNetworkConfiguration::UserChoice
    {42, 470, 1127},	// QNetworkConfiguration::bearerName
    {42, 471, 1128},	// QNetworkConfiguration::bearerType
    {42, 472, 1129},	// QNetworkConfiguration::bearerTypeName
    {42, 494, 1132},	// QNetworkConfiguration::children
    {42, 640, 1130},	// QNetworkConfiguration::identifier
    {42, 671, 1131},	// QNetworkConfiguration::isRoamingAvailable
    {42, 678, 1134},	// QNetworkConfiguration::isValid
    {42, 733, 1133},	// QNetworkConfiguration::name
    {42, 749, 1123},	// QNetworkConfiguration::operator!=#
    {42, 782, 1121},	// QNetworkConfiguration::operator=#
    {42, 785, 1122},	// QNetworkConfiguration::operator==#
    {42, 860, 1126},	// QNetworkConfiguration::purpose
    {42, 1348, 1124},	// QNetworkConfiguration::state
    {42, 1383, 1125},	// QNetworkConfiguration::type
    {42, 1435, 1156},	// QNetworkConfiguration::~QNetworkConfiguration
    {43, 12, 1184},	// QNetworkConfigurationManager::ApplicationLevelRoaming
    {43, 36, 1181},	// QNetworkConfigurationManager::CanStartAndStopInterfaces
    {43, 73, 1186},	// QNetworkConfigurationManager::DataStatistics
    {43, 80, 1182},	// QNetworkConfigurationManager::DirectConnectionRouting
    {43, 92, 1185},	// QNetworkConfigurationManager::ForcedRoaming
    {43, 147, 1187},	// QNetworkConfigurationManager::NetworkSessionRequired
    {43, 242, 1178},	// QNetworkConfigurationManager::QNetworkConfigurationManager
    {43, 243, 1164},	// QNetworkConfigurationManager::QNetworkConfigurationManager#
    {43, 365, 1183},	// QNetworkConfigurationManager::SystemSessionSupport
    {43, 451, 1179},	// QNetworkConfigurationManager::allConfigurations
    {43, 452, 1167},	// QNetworkConfigurationManager::allConfigurations$
    {43, 489, 1165},	// QNetworkConfigurationManager::capabilities
    {43, 508, 1171},	// QNetworkConfigurationManager::configurationAdded#
    {43, 510, 1173},	// QNetworkConfigurationManager::configurationChanged#
    {43, 512, 1168},	// QNetworkConfigurationManager::configurationFromIdentifier$
    {43, 514, 1172},	// QNetworkConfigurationManager::configurationRemoved#
    {43, 559, 1166},	// QNetworkConfigurationManager::defaultConfiguration
    {43, 668, 1169},	// QNetworkConfigurationManager::isOnline
    {43, 723, 1157},	// QNetworkConfigurationManager::metaObject
    {43, 744, 1174},	// QNetworkConfigurationManager::onlineStateChanged$
    {43, 1028, 1163},	// QNetworkConfigurationManager::qt_metacall$$?
    {43, 1030, 1158},	// QNetworkConfigurationManager::qt_metacast$
    {43, 1351, 1180},	// QNetworkConfigurationManager::staticMetaObject
    {43, 1376, 1176},	// QNetworkConfigurationManager::tr$
    {43, 1377, 1159},	// QNetworkConfigurationManager::tr$$
    {43, 1378, 1161},	// QNetworkConfigurationManager::tr$$$
    {43, 1380, 1177},	// QNetworkConfigurationManager::trUtf8$
    {43, 1381, 1160},	// QNetworkConfigurationManager::trUtf8$$
    {43, 1382, 1162},	// QNetworkConfigurationManager::trUtf8$$$
    {43, 1384, 1175},	// QNetworkConfigurationManager::updateCompleted
    {43, 1385, 1170},	// QNetworkConfigurationManager::updateConfigurations
    {43, 1436, 1188},	// QNetworkConfigurationManager::~QNetworkConfigurationManager
    {44, 95, 1215},	// QNetworkCookie::Full
    {44, 145, 1214},	// QNetworkCookie::NameAndValueOnly
    {44, 244, 1211},	// QNetworkCookie::QNetworkCookie
    {44, 245, -446},	// QNetworkCookie::QNetworkCookie#
    {44, 246, 1189},	// QNetworkCookie::QNetworkCookie##
    {44, 571, 1201},	// QNetworkCookie::domain
    {44, 590, 1199},	// QNetworkCookie::expirationDate
    {44, 662, 1196},	// QNetworkCookie::isHttpOnly
    {44, 673, 1194},	// QNetworkCookie::isSecure
    {44, 675, 1198},	// QNetworkCookie::isSessionCookie
    {44, 733, 1205},	// QNetworkCookie::name
    {44, 749, 1193},	// QNetworkCookie::operator!=#
    {44, 782, 1191},	// QNetworkCookie::operator=#
    {44, 785, 1192},	// QNetworkCookie::operator==#
    {44, 817, 1210},	// QNetworkCookie::parseCookies#
    {44, 823, 1203},	// QNetworkCookie::path
    {44, 1160, 1202},	// QNetworkCookie::setDomain$
    {44, 1167, 1200},	// QNetworkCookie::setExpirationDate#
    {44, 1183, 1197},	// QNetworkCookie::setHttpOnly$
    {44, 1207, 1206},	// QNetworkCookie::setName#
    {44, 1226, 1204},	// QNetworkCookie::setPath$
    {44, 1286, 1195},	// QNetworkCookie::setSecure$
    {44, 1331, 1208},	// QNetworkCookie::setValue#
    {44, 1372, 1213},	// QNetworkCookie::toRawForm
    {44, 1373, 1209},	// QNetworkCookie::toRawForm$
    {44, 1393, 1207},	// QNetworkCookie::value
    {44, 1437, 1216},	// QNetworkCookie::~QNetworkCookie
    {45, 247, 1231},	// QNetworkCookieJar::QNetworkCookieJar
    {45, 248, 1224},	// QNetworkCookieJar::QNetworkCookieJar#
    {45, 453, 1227},	// QNetworkCookieJar::allCookies
    {45, 538, 1225},	// QNetworkCookieJar::cookiesForUrl#
    {45, 723, 1217},	// QNetworkCookieJar::metaObject
    {45, 1028, 1223},	// QNetworkCookieJar::qt_metacall$$?
    {45, 1030, 1218},	// QNetworkCookieJar::qt_metacast$
    {45, 1113, 1228},	// QNetworkCookieJar::setAllCookies?
    {45, 1150, 1226},	// QNetworkCookieJar::setCookiesFromUrl?#
    {45, 1351, 1232},	// QNetworkCookieJar::staticMetaObject
    {45, 1376, 1229},	// QNetworkCookieJar::tr$
    {45, 1377, 1219},	// QNetworkCookieJar::tr$$
    {45, 1378, 1221},	// QNetworkCookieJar::tr$$$
    {45, 1380, 1230},	// QNetworkCookieJar::trUtf8$
    {45, 1381, 1220},	// QNetworkCookieJar::trUtf8$$
    {45, 1382, 1222},	// QNetworkCookieJar::trUtf8$$$
    {45, 1438, 1233},	// QNetworkCookieJar::~QNetworkCookieJar
    {46, 249, 1258},	// QNetworkDiskCache::QNetworkDiskCache
    {46, 250, 1241},	// QNetworkDiskCache::QNetworkDiskCache#
    {46, 486, 1242},	// QNetworkDiskCache::cacheDirectory
    {46, 487, 1246},	// QNetworkDiskCache::cacheSize
    {46, 496, 1254},	// QNetworkDiskCache::clear
    {46, 550, 1249},	// QNetworkDiskCache::data#
    {46, 591, 1255},	// QNetworkDiskCache::expire
    {46, 594, 1253},	// QNetworkDiskCache::fileMetaData$
    {46, 649, 1252},	// QNetworkDiskCache::insert#
    {46, 719, 1244},	// QNetworkDiskCache::maximumCacheSize
    {46, 721, 1247},	// QNetworkDiskCache::metaData#
    {46, 723, 1234},	// QNetworkDiskCache::metaObject
    {46, 847, 1251},	// QNetworkDiskCache::prepare#
    {46, 1028, 1240},	// QNetworkDiskCache::qt_metacall$$?
    {46, 1030, 1235},	// QNetworkDiskCache::qt_metacast$
    {46, 1070, 1250},	// QNetworkDiskCache::remove#
    {46, 1135, 1243},	// QNetworkDiskCache::setCacheDirectory$
    {46, 1203, 1245},	// QNetworkDiskCache::setMaximumCacheSize$
    {46, 1351, 1259},	// QNetworkDiskCache::staticMetaObject
    {46, 1376, 1256},	// QNetworkDiskCache::tr$
    {46, 1377, 1236},	// QNetworkDiskCache::tr$$
    {46, 1378, 1238},	// QNetworkDiskCache::tr$$$
    {46, 1380, 1257},	// QNetworkDiskCache::trUtf8$
    {46, 1381, 1237},	// QNetworkDiskCache::trUtf8$$
    {46, 1382, 1239},	// QNetworkDiskCache::trUtf8$$$
    {46, 1387, 1248},	// QNetworkDiskCache::updateMetaData#
    {46, 1439, 1260},	// QNetworkDiskCache::~QNetworkDiskCache
    {47, 34, 1277},	// QNetworkInterface::CanBroadcast
    {47, 35, 1280},	// QNetworkInterface::CanMulticast
    {47, 122, 1278},	// QNetworkInterface::IsLoopBack
    {47, 123, 1279},	// QNetworkInterface::IsPointToPoint
    {47, 124, 1276},	// QNetworkInterface::IsRunning
    {47, 125, 1275},	// QNetworkInterface::IsUp
    {47, 251, 1261},	// QNetworkInterface::QNetworkInterface
    {47, 252, 1262},	// QNetworkInterface::QNetworkInterface#
    {47, 447, 1270},	// QNetworkInterface::addressEntries
    {47, 450, 1274},	// QNetworkInterface::allAddresses
    {47, 454, 1273},	// QNetworkInterface::allInterfaces
    {47, 597, 1268},	// QNetworkInterface::flags
    {47, 621, 1269},	// QNetworkInterface::hardwareAddress
    {47, 639, 1267},	// QNetworkInterface::humanReadableName
    {47, 647, 1265},	// QNetworkInterface::index
    {47, 652, 1272},	// QNetworkInterface::interfaceFromIndex$
    {47, 654, 1271},	// QNetworkInterface::interfaceFromName$
    {47, 678, 1264},	// QNetworkInterface::isValid
    {47, 733, 1266},	// QNetworkInterface::name
    {47, 782, 1263},	// QNetworkInterface::operator=#
    {47, 1440, 1281},	// QNetworkInterface::~QNetworkInterface
    {48, 33, 1317},	// QNetworkProxy::CachingCapability
    {48, 76, 1308},	// QNetworkProxy::DefaultProxy
    {48, 94, 1313},	// QNetworkProxy::FtpCachingProxy
    {48, 102, 1318},	// QNetworkProxy::HostNameLookupCapability
    {48, 106, 1312},	// QNetworkProxy::HttpCachingProxy
    {48, 109, 1311},	// QNetworkProxy::HttpProxy
    {48, 129, 1315},	// QNetworkProxy::ListeningCapability
    {48, 150, 1310},	// QNetworkProxy::NoProxy
    {48, 253, 1282},	// QNetworkProxy::QNetworkProxy
    {48, 254, 1284},	// QNetworkProxy::QNetworkProxy#
    {48, 255, 1304},	// QNetworkProxy::QNetworkProxy$
    {48, 256, 1305},	// QNetworkProxy::QNetworkProxy$$
    {48, 257, 1306},	// QNetworkProxy::QNetworkProxy$$$
    {48, 258, 1307},	// QNetworkProxy::QNetworkProxy$$$$
    {48, 259, 1283},	// QNetworkProxy::QNetworkProxy$$$$$
    {48, 350, 1309},	// QNetworkProxy::Socks5Proxy
    {48, 374, 1314},	// QNetworkProxy::TunnelingCapability
    {48, 376, 1316},	// QNetworkProxy::UdpTunnelingCapability
    {48, 460, 1303},	// QNetworkProxy::applicationProxy
    {48, 489, 1291},	// QNetworkProxy::capabilities
    {48, 638, 1299},	// QNetworkProxy::hostName
    {48, 656, 1292},	// QNetworkProxy::isCachingProxy
    {48, 677, 1293},	// QNetworkProxy::isTransparentProxy
    {48, 749, 1287},	// QNetworkProxy::operator!=#
    {48, 782, 1285},	// QNetworkProxy::operator=#
    {48, 785, 1286},	// QNetworkProxy::operator==#
    {48, 822, 1297},	// QNetworkProxy::password
    {48, 837, 1301},	// QNetworkProxy::port
    {48, 1115, 1302},	// QNetworkProxy::setApplicationProxy#
    {48, 1137, 1290},	// QNetworkProxy::setCapabilities$
    {48, 1181, 1298},	// QNetworkProxy::setHostName$
    {48, 1224, 1296},	// QNetworkProxy::setPassword$
    {48, 1244, 1300},	// QNetworkProxy::setPort$
    {48, 1320, 1288},	// QNetworkProxy::setType$
    {48, 1326, 1294},	// QNetworkProxy::setUser$
    {48, 1383, 1289},	// QNetworkProxy::type
    {48, 1392, 1295},	// QNetworkProxy::user
    {48, 1441, 1319},	// QNetworkProxy::~QNetworkProxy
    {49, 260, 1320},	// QNetworkProxyFactory::QNetworkProxyFactory
    {49, 261, 1326},	// QNetworkProxyFactory::QNetworkProxyFactory#
    {49, 858, 1324},	// QNetworkProxyFactory::proxyForQuery#
    {49, 1036, 1327},	// QNetworkProxyFactory::queryProxy
    {49, 1037, 1321},	// QNetworkProxyFactory::queryProxy#
    {49, 1117, 1323},	// QNetworkProxyFactory::setApplicationProxyFactory#
    {49, 1324, 1322},	// QNetworkProxyFactory::setUseSystemConfiguration$
    {49, 1361, 1328},	// QNetworkProxyFactory::systemProxyForQuery
    {49, 1362, 1325},	// QNetworkProxyFactory::systemProxyForQuery#
    {49, 1442, 1329},	// QNetworkProxyFactory::~QNetworkProxyFactory
    {50, 262, 1330},	// QNetworkProxyQuery::QNetworkProxyQuery
    {50, 263, -410},	// QNetworkProxyQuery::QNetworkProxyQuery#
    {50, 264, 1360},	// QNetworkProxyQuery::QNetworkProxyQuery##
    {50, 265, 1335},	// QNetworkProxyQuery::QNetworkProxyQuery##$
    {50, 266, -413},	// QNetworkProxyQuery::QNetworkProxyQuery#$
    {50, 267, -416},	// QNetworkProxyQuery::QNetworkProxyQuery#$$
    {50, 268, -419},	// QNetworkProxyQuery::QNetworkProxyQuery#$$$
    {50, 269, 1336},	// QNetworkProxyQuery::QNetworkProxyQuery#$$$$
    {50, 270, 1358},	// QNetworkProxyQuery::QNetworkProxyQuery$
    {50, 271, -422},	// QNetworkProxyQuery::QNetworkProxyQuery$$
    {50, 272, -425},	// QNetworkProxyQuery::QNetworkProxyQuery$$$
    {50, 273, 1332},	// QNetworkProxyQuery::QNetworkProxyQuery$$$$
    {50, 366, 1367},	// QNetworkProxyQuery::TcpServer
    {50, 367, 1365},	// QNetworkProxyQuery::TcpSocket
    {50, 375, 1366},	// QNetworkProxyQuery::UdpSocket
    {50, 403, 1368},	// QNetworkProxyQuery::UrlRequest
    {50, 709, 1347},	// QNetworkProxyQuery::localPort
    {50, 738, 1353},	// QNetworkProxyQuery::networkConfiguration
    {50, 749, 1340},	// QNetworkProxyQuery::operator!=#
    {50, 782, 1338},	// QNetworkProxyQuery::operator=#
    {50, 785, 1339},	// QNetworkProxyQuery::operator==#
    {50, 827, 1345},	// QNetworkProxyQuery::peerHostName
    {50, 829, 1343},	// QNetworkProxyQuery::peerPort
    {50, 852, 1349},	// QNetworkProxyQuery::protocolTag
    {50, 1038, 1341},	// QNetworkProxyQuery::queryType
    {50, 1197, 1348},	// QNetworkProxyQuery::setLocalPort$
    {50, 1214, 1354},	// QNetworkProxyQuery::setNetworkConfiguration#
    {50, 1230, 1346},	// QNetworkProxyQuery::setPeerHostName$
    {50, 1234, 1344},	// QNetworkProxyQuery::setPeerPort$
    {50, 1258, 1350},	// QNetworkProxyQuery::setProtocolTag$
    {50, 1267, 1342},	// QNetworkProxyQuery::setQueryType$
    {50, 1322, 1352},	// QNetworkProxyQuery::setUrl#
    {50, 1390, 1351},	// QNetworkProxyQuery::url
    {50, 1443, 1369},	// QNetworkProxyQuery::~QNetworkProxyQuery
    {51, 14, 1437},	// QNetworkReply::AuthenticationRequiredError
    {51, 59, 1420},	// QNetworkReply::ConnectionRefusedError
    {51, 60, 1434},	// QNetworkReply::ContentAccessDenied
    {51, 63, 1436},	// QNetworkReply::ContentNotFoundError
    {51, 64, 1435},	// QNetworkReply::ContentOperationNotPermittedError
    {51, 65, 1438},	// QNetworkReply::ContentReSendError
    {51, 105, 1422},	// QNetworkReply::HostNotFoundError
    {51, 148, 1419},	// QNetworkReply::NoError
    {51, 159, 1424},	// QNetworkReply::OperationCanceledError
    {51, 172, 1442},	// QNetworkReply::ProtocolFailure
    {51, 173, 1441},	// QNetworkReply::ProtocolInvalidOperationError
    {51, 174, 1440},	// QNetworkReply::ProtocolUnknownError
    {51, 175, 1432},	// QNetworkReply::ProxyAuthenticationRequiredError
    {51, 176, 1429},	// QNetworkReply::ProxyConnectionClosedError
    {51, 177, 1428},	// QNetworkReply::ProxyConnectionRefusedError
    {51, 179, 1430},	// QNetworkReply::ProxyNotFoundError
    {51, 181, 1431},	// QNetworkReply::ProxyTimeoutError
    {51, 274, 1417},	// QNetworkReply::QNetworkReply
    {51, 275, 1405},	// QNetworkReply::QNetworkReply#
    {51, 326, 1421},	// QNetworkReply::RemoteHostClosedError
    {51, 353, 1425},	// QNetworkReply::SslHandshakeFailedError
    {51, 368, 1426},	// QNetworkReply::TemporaryNetworkFailureError
    {51, 370, 1423},	// QNetworkReply::TimeoutError
    {51, 390, 1439},	// QNetworkReply::UnknownContentError
    {51, 392, 1427},	// QNetworkReply::UnknownNetworkError
    {51, 396, 1433},	// QNetworkReply::UnknownProxyError
    {51, 423, 1377},	// QNetworkReply::abort
    {51, 463, 1394},	// QNetworkReply::attribute$
    {51, 499, 1378},	// QNetworkReply::close
    {51, 575, 1404},	// QNetworkReply::downloadProgress$$
    {51, 585, 1385},	// QNetworkReply::error
    {51, 586, 1401},	// QNetworkReply::error$
    {51, 595, 1400},	// QNetworkReply::finished
    {51, 631, 1390},	// QNetworkReply::hasRawHeader#
    {51, 636, 1389},	// QNetworkReply::header$
    {51, 642, 1398},	// QNetworkReply::ignoreSslErrors
    {51, 643, 1397},	// QNetworkReply::ignoreSslErrors?
    {51, 661, 1386},	// QNetworkReply::isFinished
    {51, 672, 1387},	// QNetworkReply::isRunning
    {51, 674, 1379},	// QNetworkReply::isSequential
    {51, 717, 1382},	// QNetworkReply::manager
    {51, 722, 1399},	// QNetworkReply::metaDataChanged
    {51, 723, 1370},	// QNetworkReply::metaObject
    {51, 747, 1383},	// QNetworkReply::operation
    {51, 1028, 1376},	// QNetworkReply::qt_metacall$$?
    {51, 1030, 1371},	// QNetworkReply::qt_metacast$
    {51, 1048, 1392},	// QNetworkReply::rawHeader#
    {51, 1049, 1391},	// QNetworkReply::rawHeaderList
    {51, 1050, 1393},	// QNetworkReply::rawHeaderPairs
    {51, 1055, 1380},	// QNetworkReply::readBufferSize
    {51, 1080, 1384},	// QNetworkReply::request
    {51, 1119, 1414},	// QNetworkReply::setAttribute$#
    {51, 1163, 1409},	// QNetworkReply::setError$$
    {51, 1171, 1410},	// QNetworkReply::setFinished$
    {51, 1175, 1412},	// QNetworkReply::setHeader$#
    {51, 1216, 1407},	// QNetworkReply::setOperation$
    {51, 1269, 1413},	// QNetworkReply::setRawHeader##
    {51, 1273, 1381},	// QNetworkReply::setReadBufferSize$
    {51, 1277, 1408},	// QNetworkReply::setRequest#
    {51, 1307, 1396},	// QNetworkReply::setSslConfiguration#
    {51, 1322, 1411},	// QNetworkReply::setUrl#
    {51, 1342, 1395},	// QNetworkReply::sslConfiguration
    {51, 1345, 1402},	// QNetworkReply::sslErrors?
    {51, 1351, 1418},	// QNetworkReply::staticMetaObject
    {51, 1376, 1415},	// QNetworkReply::tr$
    {51, 1377, 1372},	// QNetworkReply::tr$$
    {51, 1378, 1374},	// QNetworkReply::tr$$$
    {51, 1380, 1416},	// QNetworkReply::trUtf8$
    {51, 1381, 1373},	// QNetworkReply::trUtf8$$
    {51, 1382, 1375},	// QNetworkReply::trUtf8$$$
    {51, 1389, 1403},	// QNetworkReply::uploadProgress$$
    {51, 1390, 1388},	// QNetworkReply::url
    {51, 1413, 1406},	// QNetworkReply::writeData$$
    {51, 1444, 1443},	// QNetworkReply::~QNetworkReply
    {52, 6, 1496},	// QNetworkRequest::AlwaysCache
    {52, 7, 1493},	// QNetworkRequest::AlwaysNetwork
    {52, 15, 1486},	// QNetworkRequest::AuthenticationReuseAttribute
    {52, 18, 1497},	// QNetworkRequest::Automatic
    {52, 31, 1478},	// QNetworkRequest::CacheLoadControlAttribute
    {52, 32, 1479},	// QNetworkRequest::CacheSaveControlAttribute
    {52, 54, 1477},	// QNetworkRequest::ConnectionEncryptedAttribute
    {52, 61, 1473},	// QNetworkRequest::ContentDispositionHeader
    {52, 62, 1468},	// QNetworkRequest::ContentLengthHeader
    {52, 66, 1467},	// QNetworkRequest::ContentTypeHeader
    {52, 67, 1471},	// QNetworkRequest::CookieHeader
    {52, 68, 1485},	// QNetworkRequest::CookieLoadControlAttribute
    {52, 69, 1487},	// QNetworkRequest::CookieSaveControlAttribute
    {52, 72, 1484},	// QNetworkRequest::CustomVerbAttribute
    {52, 84, 1481},	// QNetworkRequest::DoNotBufferUploadDataAttribute
    {52, 86, 1489},	// QNetworkRequest::DownloadBufferAttribute
    {52, 99, 1499},	// QNetworkRequest::HighPriority
    {52, 107, 1482},	// QNetworkRequest::HttpPipeliningAllowedAttribute
    {52, 108, 1483},	// QNetworkRequest::HttpPipeliningWasUsedAttribute
    {52, 110, 1475},	// QNetworkRequest::HttpReasonPhraseAttribute
    {52, 111, 1474},	// QNetworkRequest::HttpStatusCodeAttribute
    {52, 127, 1470},	// QNetworkRequest::LastModifiedHeader
    {52, 134, 1469},	// QNetworkRequest::LocationHeader
    {52, 138, 1501},	// QNetworkRequest::LowPriority
    {52, 139, 1498},	// QNetworkRequest::Manual
    {52, 140, 1488},	// QNetworkRequest::MaximumDownloadBufferSizeAttribute
    {52, 153, 1500},	// QNetworkRequest::NormalPriority
    {52, 168, 1495},	// QNetworkRequest::PreferCache
    {52, 169, 1494},	// QNetworkRequest::PreferNetwork
    {52, 276, 1465},	// QNetworkRequest::QNetworkRequest
    {52, 277, -443},	// QNetworkRequest::QNetworkRequest#
    {52, 324, 1476},	// QNetworkRequest::RedirectionTargetAttribute
    {52, 342, 1472},	// QNetworkRequest::SetCookieHeader
    {52, 351, 1480},	// QNetworkRequest::SourceIsFromCacheAttribute
    {52, 364, 1490},	// QNetworkRequest::SynchronousRequestAttribute
    {52, 404, 1491},	// QNetworkRequest::User
    {52, 406, 1492},	// QNetworkRequest::UserMax
    {52, 463, 1466},	// QNetworkRequest::attribute$
    {52, 464, 1457},	// QNetworkRequest::attribute$#
    {52, 631, 1453},	// QNetworkRequest::hasRawHeader#
    {52, 636, 1451},	// QNetworkRequest::header$
    {52, 749, 1448},	// QNetworkRequest::operator!=#
    {52, 782, 1446},	// QNetworkRequest::operator=#
    {52, 785, 1447},	// QNetworkRequest::operator==#
    {52, 812, 1462},	// QNetworkRequest::originatingObject
    {52, 848, 1463},	// QNetworkRequest::priority
    {52, 1048, 1455},	// QNetworkRequest::rawHeader#
    {52, 1049, 1454},	// QNetworkRequest::rawHeaderList
    {52, 1119, 1458},	// QNetworkRequest::setAttribute$#
    {52, 1175, 1452},	// QNetworkRequest::setHeader$#
    {52, 1220, 1461},	// QNetworkRequest::setOriginatingObject#
    {52, 1248, 1464},	// QNetworkRequest::setPriority$
    {52, 1269, 1456},	// QNetworkRequest::setRawHeader##
    {52, 1307, 1460},	// QNetworkRequest::setSslConfiguration#
    {52, 1322, 1450},	// QNetworkRequest::setUrl#
    {52, 1342, 1459},	// QNetworkRequest::sslConfiguration
    {52, 1390, 1449},	// QNetworkRequest::url
    {52, 1445, 1502},	// QNetworkRequest::~QNetworkRequest
    {53, 46, 1547},	// QNetworkSession::Closing
    {53, 50, 1546},	// QNetworkSession::Connected
    {53, 52, 1545},	// QNetworkSession::Connecting
    {53, 81, 1548},	// QNetworkSession::Disconnected
    {53, 115, 1543},	// QNetworkSession::Invalid
    {53, 117, 1554},	// QNetworkSession::InvalidConfigurationError
    {53, 155, 1544},	// QNetworkSession::NotAvailable
    {53, 160, 1553},	// QNetworkSession::OperationNotSupportedError
    {53, 279, 1540},	// QNetworkSession::QNetworkSession#
    {53, 280, 1510},	// QNetworkSession::QNetworkSession##
    {53, 331, 1549},	// QNetworkSession::Roaming
    {53, 332, 1552},	// QNetworkSession::RoamingError
    {53, 341, 1551},	// QNetworkSession::SessionAbortedError
    {53, 398, 1550},	// QNetworkSession::UnknownSessionError
    {53, 426, 1528},	// QNetworkSession::accept
    {53, 428, 1521},	// QNetworkSession::activeTime
    {53, 481, 1520},	// QNetworkSession::bytesReceived
    {53, 483, 1519},	// QNetworkSession::bytesWritten
    {53, 499, 1524},	// QNetworkSession::close
    {53, 501, 1532},	// QNetworkSession::closed
    {53, 506, 1512},	// QNetworkSession::configuration
    {53, 516, 1536},	// QNetworkSession::connectNotify$
    {53, 569, 1537},	// QNetworkSession::disconnectNotify$
    {53, 585, 1515},	// QNetworkSession::error
    {53, 586, 1533},	// QNetworkSession::error$
    {53, 587, 1516},	// QNetworkSession::errorString
    {53, 641, 1527},	// QNetworkSession::ignore
    {53, 650, 1513},	// QNetworkSession::interface
    {53, 669, 1511},	// QNetworkSession::isOpen
    {53, 723, 1503},	// QNetworkSession::metaObject
    {53, 725, 1526},	// QNetworkSession::migrate
    {53, 740, 1535},	// QNetworkSession::newConfigurationActivated
    {53, 745, 1523},	// QNetworkSession::open
    {53, 746, 1531},	// QNetworkSession::opened
    {53, 844, 1534},	// QNetworkSession::preferredConfigurationChanged#$
    {53, 1028, 1509},	// QNetworkSession::qt_metacall$$?
    {53, 1030, 1504},	// QNetworkSession::qt_metacast$
    {53, 1068, 1529},	// QNetworkSession::reject
    {53, 1106, 1517},	// QNetworkSession::sessionProperty$
    {53, 1288, 1518},	// QNetworkSession::setSessionProperty$#
    {53, 1348, 1514},	// QNetworkSession::state
    {53, 1350, 1530},	// QNetworkSession::stateChanged$
    {53, 1351, 1542},	// QNetworkSession::staticMetaObject
    {53, 1353, 1525},	// QNetworkSession::stop
    {53, 1376, 1538},	// QNetworkSession::tr$
    {53, 1377, 1505},	// QNetworkSession::tr$$
    {53, 1378, 1507},	// QNetworkSession::tr$$$
    {53, 1380, 1539},	// QNetworkSession::trUtf8$
    {53, 1381, 1506},	// QNetworkSession::trUtf8$$
    {53, 1382, 1508},	// QNetworkSession::trUtf8$$$
    {53, 1408, 1541},	// QNetworkSession::waitForOpened
    {53, 1409, 1522},	// QNetworkSession::waitForOpened$
    {53, 1446, 1555},	// QNetworkSession::~QNetworkSession
    {63, 10, 1575},	// QSsl::AnyProtocol
    {63, 79, 1566},	// QSsl::Der
    {63, 83, 1580},	// QSsl::DnsEntry
    {63, 87, 1564},	// QSsl::Dsa
    {63, 88, 1579},	// QSsl::EmailEntry
    {63, 166, 1565},	// QSsl::Pem
    {63, 170, 1581},	// QSsl::PrivateKey
    {63, 182, 1582},	// QSsl::PublicKey
    {63, 333, 1563},	// QSsl::Rsa
    {63, 334, 1577},	// QSsl::SecureProtocols
    {63, 354, 1569},	// QSsl::SslOptionDisableCompression
    {63, 355, 1567},	// QSsl::SslOptionDisableEmptyFragments
    {63, 356, 1571},	// QSsl::SslOptionDisableLegacyRenegotiation
    {63, 357, 1570},	// QSsl::SslOptionDisableServerNameIndication
    {63, 358, 1568},	// QSsl::SslOptionDisableSessionTickets
    {63, 360, 1573},	// QSsl::SslV2
    {63, 361, 1572},	// QSsl::SslV3
    {63, 371, 1574},	// QSsl::TlsV1
    {63, 372, 1576},	// QSsl::TlsV1SslV3
    {63, 395, 1578},	// QSsl::UnknownProtocol
    {64, 48, 1618},	// QSslCertificate::CommonName
    {64, 70, 1621},	// QSslCertificate::CountryName
    {64, 133, 1619},	// QSslCertificate::LocalityName
    {64, 161, 1617},	// QSslCertificate::Organization
    {64, 162, 1620},	// QSslCertificate::OrganizationalUnitName
    {64, 281, 1610},	// QSslCertificate::QSslCertificate
    {64, 282, -1},	// QSslCertificate::QSslCertificate#
    {64, 283, -5},	// QSslCertificate::QSslCertificate#$
    {64, 362, 1622},	// QSslCertificate::StateOrProvinceName
    {64, 457, 1599},	// QSslCertificate::alternateSubjectNames
    {64, 496, 1591},	// QSslCertificate::clear
    {64, 563, 1612},	// QSslCertificate::digest
    {64, 564, 1594},	// QSslCertificate::digest$
    {64, 576, 1600},	// QSslCertificate::effectiveDate
    {64, 592, 1601},	// QSslCertificate::expiryDate
    {64, 600, 1616},	// QSslCertificate::fromData#
    {64, 601, 1607},	// QSslCertificate::fromData#$
    {64, 603, 1615},	// QSslCertificate::fromDevice#
    {64, 604, 1606},	// QSslCertificate::fromDevice#$
    {64, 608, 1613},	// QSslCertificate::fromPath$
    {64, 609, 1614},	// QSslCertificate::fromPath$$
    {64, 610, 1605},	// QSslCertificate::fromPath$$$
    {64, 620, 1608},	// QSslCertificate::handle
    {64, 667, 1589},	// QSslCertificate::isNull
    {64, 678, 1590},	// QSslCertificate::isValid
    {64, 681, 1596},	// QSslCertificate::issuerInfo#
    {64, 682, 1595},	// QSslCertificate::issuerInfo$
    {64, 749, 1588},	// QSslCertificate::operator!=#
    {64, 782, 1586},	// QSslCertificate::operator=#
    {64, 785, 1587},	// QSslCertificate::operator==#
    {64, 859, 1602},	// QSslCertificate::publicKey
    {64, 1099, 1593},	// QSslCertificate::serialNumber
    {64, 1355, 1598},	// QSslCertificate::subjectInfo#
    {64, 1356, 1597},	// QSslCertificate::subjectInfo$
    {64, 1366, 1604},	// QSslCertificate::toDer
    {64, 1370, 1603},	// QSslCertificate::toPem
    {64, 1396, 1592},	// QSslCertificate::version
    {64, 1447, 1623},	// QSslCertificate::~QSslCertificate
    {65, 284, 1624},	// QSslCipher::QSslCipher
    {65, 285, 1626},	// QSslCipher::QSslCipher#
    {65, 286, 1625},	// QSslCipher::QSslCipher$$
    {65, 466, 1635},	// QSslCipher::authenticationMethod
    {65, 582, 1636},	// QSslCipher::encryptionMethod
    {65, 667, 1630},	// QSslCipher::isNull
    {65, 686, 1634},	// QSslCipher::keyExchangeMethod
    {65, 733, 1631},	// QSslCipher::name
    {65, 749, 1629},	// QSslCipher::operator!=#
    {65, 782, 1627},	// QSslCipher::operator=#
    {65, 785, 1628},	// QSslCipher::operator==#
    {65, 850, 1638},	// QSslCipher::protocol
    {65, 851, 1637},	// QSslCipher::protocolString
    {65, 1357, 1632},	// QSslCipher::supportedBits
    {65, 1391, 1633},	// QSslCipher::usedBits
    {65, 1448, 1639},	// QSslCipher::~QSslCipher
    {66, 287, 1640},	// QSslConfiguration::QSslConfiguration
    {66, 288, 1641},	// QSslConfiguration::QSslConfiguration#
    {66, 484, 1661},	// QSslConfiguration::caCertificates
    {66, 495, 1659},	// QSslConfiguration::ciphers
    {66, 559, 1665},	// QSslConfiguration::defaultConfiguration
    {66, 667, 1645},	// QSslConfiguration::isNull
    {66, 706, 1652},	// QSslConfiguration::localCertificate
    {66, 749, 1644},	// QSslConfiguration::operator!=#
    {66, 782, 1642},	// QSslConfiguration::operator=#
    {66, 785, 1643},	// QSslConfiguration::operator==#
    {66, 825, 1654},	// QSslConfiguration::peerCertificate
    {66, 826, 1655},	// QSslConfiguration::peerCertificateChain
    {66, 830, 1650},	// QSslConfiguration::peerVerifyDepth
    {66, 833, 1648},	// QSslConfiguration::peerVerifyMode
    {66, 849, 1657},	// QSslConfiguration::privateKey
    {66, 850, 1646},	// QSslConfiguration::protocol
    {66, 1104, 1656},	// QSslConfiguration::sessionCipher
    {66, 1131, 1662},	// QSslConfiguration::setCaCertificates?
    {66, 1140, 1660},	// QSslConfiguration::setCiphers?
    {66, 1156, 1666},	// QSslConfiguration::setDefaultConfiguration#
    {66, 1193, 1653},	// QSslConfiguration::setLocalCertificate#
    {66, 1236, 1651},	// QSslConfiguration::setPeerVerifyDepth$
    {66, 1238, 1649},	// QSslConfiguration::setPeerVerifyMode$
    {66, 1250, 1658},	// QSslConfiguration::setPrivateKey#
    {66, 1256, 1647},	// QSslConfiguration::setProtocol$
    {66, 1309, 1663},	// QSslConfiguration::setSslOption$$
    {66, 1364, 1664},	// QSslConfiguration::testSslOption$
    {66, 1449, 1667},	// QSslConfiguration::~QSslConfiguration
    {67, 16, 1698},	// QSslError::AuthorityIssuerSerialNumberMismatch
    {67, 38, 1702},	// QSslError::CertificateBlacklisted
    {67, 39, 1684},	// QSslError::CertificateExpired
    {67, 40, 1683},	// QSslError::CertificateNotYetValid
    {67, 41, 1696},	// QSslError::CertificateRejected
    {67, 42, 1691},	// QSslError::CertificateRevoked
    {67, 43, 1682},	// QSslError::CertificateSignatureFailed
    {67, 44, 1695},	// QSslError::CertificateUntrusted
    {67, 103, 1700},	// QSslError::HostNameMismatch
    {67, 116, 1692},	// QSslError::InvalidCaCertificate
    {67, 118, 1686},	// QSslError::InvalidNotAfterField
    {67, 119, 1685},	// QSslError::InvalidNotBeforeField
    {67, 120, 1694},	// QSslError::InvalidPurpose
    {67, 148, 1678},	// QSslError::NoError
    {67, 149, 1699},	// QSslError::NoPeerCertificate
    {67, 151, 1701},	// QSslError::NoSslSupport
    {67, 164, 1693},	// QSslError::PathLengthExceeded
    {67, 289, 1668},	// QSslError::QSslError
    {67, 290, 1671},	// QSslError::QSslError#
    {67, 291, 1669},	// QSslError::QSslError$
    {67, 292, 1670},	// QSslError::QSslError$#
    {67, 335, 1687},	// QSslError::SelfSignedCertificate
    {67, 336, 1688},	// QSslError::SelfSignedCertificateInChain
    {67, 363, 1697},	// QSslError::SubjectIssuerMismatch
    {67, 377, 1681},	// QSslError::UnableToDecodeIssuerPublicKey
    {67, 378, 1680},	// QSslError::UnableToDecryptCertificateSignature
    {67, 379, 1679},	// QSslError::UnableToGetIssuerCertificate
    {67, 380, 1689},	// QSslError::UnableToGetLocalIssuerCertificate
    {67, 381, 1690},	// QSslError::UnableToVerifyFirstCertificate
    {67, 401, 1703},	// QSslError::UnspecifiedError
    {67, 492, 1677},	// QSslError::certificate
    {67, 585, 1675},	// QSslError::error
    {67, 587, 1676},	// QSslError::errorString
    {67, 749, 1674},	// QSslError::operator!=#
    {67, 782, 1672},	// QSslError::operator=#
    {67, 785, 1673},	// QSslError::operator==#
    {67, 1450, 1704},	// QSslError::~QSslError
    {68, 293, 1705},	// QSslKey::QSslKey
    {68, 294, 1708},	// QSslKey::QSslKey#
    {68, 295, -428},	// QSslKey::QSslKey#$
    {68, 296, -431},	// QSslKey::QSslKey#$$
    {68, 297, -434},	// QSslKey::QSslKey#$$$
    {68, 298, -437},	// QSslKey::QSslKey#$$$#
    {68, 449, 1714},	// QSslKey::algorithm
    {68, 496, 1711},	// QSslKey::clear
    {68, 620, 1717},	// QSslKey::handle
    {68, 667, 1710},	// QSslKey::isNull
    {68, 694, 1712},	// QSslKey::length
    {68, 749, 1719},	// QSslKey::operator!=#
    {68, 782, 1709},	// QSslKey::operator=#
    {68, 785, 1718},	// QSslKey::operator==#
    {68, 1366, 1727},	// QSslKey::toDer
    {68, 1367, 1716},	// QSslKey::toDer#
    {68, 1370, 1726},	// QSslKey::toPem
    {68, 1371, 1715},	// QSslKey::toPem#
    {68, 1383, 1713},	// QSslKey::type
    {68, 1451, 1728},	// QSslKey::~QSslKey
    {69, 17, 1837},	// QSslSocket::AutoVerifyPeer
    {69, 299, 1812},	// QSslSocket::QSslSocket
    {69, 300, 1736},	// QSslSocket::QSslSocket#
    {69, 316, 1835},	// QSslSocket::QueryPeer
    {69, 352, 1832},	// QSslSocket::SslClientMode
    {69, 359, 1833},	// QSslSocket::SslServerMode
    {69, 386, 1831},	// QSslSocket::UnencryptedMode
    {69, 407, 1834},	// QSslSocket::VerifyNone
    {69, 408, 1836},	// QSslSocket::VerifyPeer
    {69, 423, 1758},	// QSslSocket::abort
    {69, 430, 1780},	// QSslSocket::addCaCertificate#
    {69, 432, 1821},	// QSslSocket::addCaCertificates$
    {69, 433, 1822},	// QSslSocket::addCaCertificates$$
    {69, 434, 1779},	// QSslSocket::addCaCertificates$$$
    {69, 435, 1781},	// QSslSocket::addCaCertificates?
    {69, 437, 1785},	// QSslSocket::addDefaultCaCertificate#
    {69, 439, 1823},	// QSslSocket::addDefaultCaCertificates$
    {69, 440, 1824},	// QSslSocket::addDefaultCaCertificates$$
    {69, 441, 1784},	// QSslSocket::addDefaultCaCertificates$$$
    {69, 442, 1786},	// QSslSocket::addDefaultCaCertificates?
    {69, 461, 1756},	// QSslSocket::atEnd
    {69, 480, 1752},	// QSslSocket::bytesAvailable
    {69, 482, 1753},	// QSslSocket::bytesToWrite
    {69, 484, 1783},	// QSslSocket::caCertificates
    {69, 488, 1754},	// QSslSocket::canReadLine
    {69, 495, 1773},	// QSslSocket::ciphers
    {69, 499, 1755},	// QSslSocket::close
    {69, 524, 1813},	// QSslSocket::connectToHostEncrypted$$
    {69, 525, -440},	// QSslSocket::connectToHostEncrypted$$$
    {69, 526, 1738},	// QSslSocket::connectToHostEncrypted$$$$
    {69, 529, 1806},	// QSslSocket::connectToHostImplementation$$$
    {69, 557, 1788},	// QSslSocket::defaultCaCertificates
    {69, 558, 1777},	// QSslSocket::defaultCiphers
    {69, 566, 1807},	// QSslSocket::disconnectFromHostImplementation
    {69, 577, 1801},	// QSslSocket::encrypted
    {69, 578, 1760},	// QSslSocket::encryptedBytesAvailable
    {69, 579, 1761},	// QSslSocket::encryptedBytesToWrite
    {69, 581, 1805},	// QSslSocket::encryptedBytesWritten$
    {69, 598, 1757},	// QSslSocket::flush
    {69, 642, 1800},	// QSslSocket::ignoreSslErrors
    {69, 643, 1797},	// QSslSocket::ignoreSslErrors?
    {69, 658, 1743},	// QSslSocket::isEncrypted
    {69, 706, 1766},	// QSslSocket::localCertificate
    {69, 723, 1729},	// QSslSocket::metaObject
    {69, 729, 1742},	// QSslSocket::mode
    {69, 731, 1804},	// QSslSocket::modeChanged$
    {69, 825, 1767},	// QSslSocket::peerCertificate
    {69, 826, 1768},	// QSslSocket::peerCertificateChain
    {69, 830, 1748},	// QSslSocket::peerVerifyDepth
    {69, 832, 1802},	// QSslSocket::peerVerifyError#
    {69, 833, 1746},	// QSslSocket::peerVerifyMode
    {69, 834, 1750},	// QSslSocket::peerVerifyName
    {69, 849, 1772},	// QSslSocket::privateKey
    {69, 850, 1744},	// QSslSocket::protocol
    {69, 1028, 1735},	// QSslSocket::qt_metacall$$?
    {69, 1030, 1730},	// QSslSocket::qt_metacast$
    {69, 1057, 1808},	// QSslSocket::readData$$
    {69, 1104, 1769},	// QSslSocket::sessionCipher
    {69, 1131, 1782},	// QSslSocket::setCaCertificates?
    {69, 1139, 1775},	// QSslSocket::setCiphers$
    {69, 1140, 1774},	// QSslSocket::setCiphers?
    {69, 1152, 1787},	// QSslSocket::setDefaultCaCertificates?
    {69, 1154, 1776},	// QSslSocket::setDefaultCiphers?
    {69, 1193, 1764},	// QSslSocket::setLocalCertificate#
    {69, 1194, 1817},	// QSslSocket::setLocalCertificate$
    {69, 1195, 1765},	// QSslSocket::setLocalCertificate$$
    {69, 1236, 1749},	// QSslSocket::setPeerVerifyDepth$
    {69, 1238, 1747},	// QSslSocket::setPeerVerifyMode$
    {69, 1240, 1751},	// QSslSocket::setPeerVerifyName$
    {69, 1250, 1770},	// QSslSocket::setPrivateKey#
    {69, 1251, 1818},	// QSslSocket::setPrivateKey$
    {69, 1252, 1819},	// QSslSocket::setPrivateKey$$
    {69, 1253, 1820},	// QSslSocket::setPrivateKey$$$
    {69, 1254, 1771},	// QSslSocket::setPrivateKey$$$#
    {69, 1256, 1745},	// QSslSocket::setProtocol$
    {69, 1273, 1759},	// QSslSocket::setReadBufferSize$
    {69, 1294, 1815},	// QSslSocket::setSocketDescriptor$
    {69, 1295, 1816},	// QSslSocket::setSocketDescriptor$$
    {69, 1296, 1739},	// QSslSocket::setSocketDescriptor$$$
    {69, 1303, 1740},	// QSslSocket::setSocketOption$#
    {69, 1307, 1763},	// QSslSocket::setSslConfiguration#
    {69, 1340, 1741},	// QSslSocket::socketOption$
    {69, 1342, 1762},	// QSslSocket::sslConfiguration
    {69, 1343, 1795},	// QSslSocket::sslErrors
    {69, 1345, 1803},	// QSslSocket::sslErrors?
    {69, 1346, 1798},	// QSslSocket::startClientEncryption
    {69, 1347, 1799},	// QSslSocket::startServerEncryption
    {69, 1351, 1830},	// QSslSocket::staticMetaObject
    {69, 1358, 1778},	// QSslSocket::supportedCiphers
    {69, 1359, 1796},	// QSslSocket::supportsSsl
    {69, 1360, 1789},	// QSslSocket::systemCaCertificates
    {69, 1376, 1810},	// QSslSocket::tr$
    {69, 1377, 1731},	// QSslSocket::tr$$
    {69, 1378, 1733},	// QSslSocket::tr$$$
    {69, 1380, 1811},	// QSslSocket::trUtf8$
    {69, 1381, 1732},	// QSslSocket::trUtf8$$
    {69, 1382, 1734},	// QSslSocket::trUtf8$$$
    {69, 1397, 1828},	// QSslSocket::waitForBytesWritten
    {69, 1398, 1793},	// QSslSocket::waitForBytesWritten$
    {69, 1399, 1825},	// QSslSocket::waitForConnected
    {69, 1400, 1790},	// QSslSocket::waitForConnected$
    {69, 1401, 1829},	// QSslSocket::waitForDisconnected
    {69, 1402, 1794},	// QSslSocket::waitForDisconnected$
    {69, 1403, 1826},	// QSslSocket::waitForEncrypted
    {69, 1404, 1791},	// QSslSocket::waitForEncrypted$
    {69, 1410, 1827},	// QSslSocket::waitForReadyRead
    {69, 1411, 1792},	// QSslSocket::waitForReadyRead$
    {69, 1413, 1809},	// QSslSocket::writeData$$
    {69, 1452, 1838},	// QSslSocket::~QSslSocket
    {72, 301, 1868},	// QTcpServer::QTcpServer
    {72, 302, 1846},	// QTcpServer::QTcpServer#
    {72, 444, 1864},	// QTcpServer::addPendingConnection#
    {72, 499, 1848},	// QTcpServer::close
    {72, 587, 1860},	// QTcpServer::errorString
    {72, 627, 1857},	// QTcpServer::hasPendingConnections
    {72, 645, 1863},	// QTcpServer::incomingConnection$
    {72, 666, 1849},	// QTcpServer::isListening
    {72, 701, 1869},	// QTcpServer::listen
    {72, 702, 1870},	// QTcpServer::listen#
    {72, 703, 1847},	// QTcpServer::listen#$
    {72, 718, 1851},	// QTcpServer::maxPendingConnections
    {72, 723, 1839},	// QTcpServer::metaObject
    {72, 741, 1865},	// QTcpServer::newConnection
    {72, 742, 1858},	// QTcpServer::nextPendingConnection
    {72, 853, 1862},	// QTcpServer::proxy
    {72, 1028, 1845},	// QTcpServer::qt_metacall$$?
    {72, 1030, 1840},	// QTcpServer::qt_metacast$
    {72, 1100, 1853},	// QTcpServer::serverAddress
    {72, 1101, 1859},	// QTcpServer::serverError
    {72, 1103, 1852},	// QTcpServer::serverPort
    {72, 1201, 1850},	// QTcpServer::setMaxPendingConnections$
    {72, 1260, 1861},	// QTcpServer::setProxy#
    {72, 1294, 1855},	// QTcpServer::setSocketDescriptor$
    {72, 1338, 1854},	// QTcpServer::socketDescriptor
    {72, 1351, 1873},	// QTcpServer::staticMetaObject
    {72, 1376, 1866},	// QTcpServer::tr$
    {72, 1377, 1841},	// QTcpServer::tr$$
    {72, 1378, 1843},	// QTcpServer::tr$$$
    {72, 1380, 1867},	// QTcpServer::trUtf8$
    {72, 1381, 1842},	// QTcpServer::trUtf8$$
    {72, 1382, 1844},	// QTcpServer::trUtf8$$$
    {72, 1405, 1871},	// QTcpServer::waitForNewConnection
    {72, 1406, 1872},	// QTcpServer::waitForNewConnection$
    {72, 1407, 1856},	// QTcpServer::waitForNewConnection$$
    {72, 1453, 1874},	// QTcpServer::~QTcpServer
    {73, 303, 1885},	// QTcpSocket::QTcpSocket
    {73, 304, 1882},	// QTcpSocket::QTcpSocket#
    {73, 723, 1875},	// QTcpSocket::metaObject
    {73, 1028, 1881},	// QTcpSocket::qt_metacall$$?
    {73, 1030, 1876},	// QTcpSocket::qt_metacast$
    {73, 1351, 1886},	// QTcpSocket::staticMetaObject
    {73, 1376, 1883},	// QTcpSocket::tr$
    {73, 1377, 1877},	// QTcpSocket::tr$$
    {73, 1378, 1879},	// QTcpSocket::tr$$$
    {73, 1380, 1884},	// QTcpSocket::trUtf8$
    {73, 1381, 1878},	// QTcpSocket::trUtf8$$
    {73, 1382, 1880},	// QTcpSocket::trUtf8$$$
    {73, 1454, 1887},	// QTcpSocket::~QTcpSocket
    {78, 75, 1918},	// QUdpSocket::DefaultForPlatform
    {78, 85, 1920},	// QUdpSocket::DontShareAddress
    {78, 305, 1913},	// QUdpSocket::QUdpSocket
    {78, 306, 1895},	// QUdpSocket::QUdpSocket#
    {78, 329, 1921},	// QUdpSocket::ReuseAddressHint
    {78, 345, 1919},	// QUdpSocket::ShareAddress
    {78, 473, 1914},	// QUdpSocket::bind
    {78, 474, 1896},	// QUdpSocket::bind#$
    {78, 475, 1898},	// QUdpSocket::bind#$$
    {78, 476, 1897},	// QUdpSocket::bind$
    {78, 477, 1899},	// QUdpSocket::bind$$
    {78, 628, 1906},	// QUdpSocket::hasPendingDatagrams
    {78, 684, 1900},	// QUdpSocket::joinMulticastGroup#
    {78, 685, 1901},	// QUdpSocket::joinMulticastGroup##
    {78, 692, 1902},	// QUdpSocket::leaveMulticastGroup#
    {78, 693, 1903},	// QUdpSocket::leaveMulticastGroup##
    {78, 723, 1888},	// QUdpSocket::metaObject
    {78, 732, 1904},	// QUdpSocket::multicastInterface
    {78, 835, 1907},	// QUdpSocket::pendingDatagramSize
    {78, 1028, 1894},	// QUdpSocket::qt_metacall$$?
    {78, 1030, 1889},	// QUdpSocket::qt_metacast$
    {78, 1059, 1915},	// QUdpSocket::readDatagram$$
    {78, 1060, 1916},	// QUdpSocket::readDatagram$$#
    {78, 1061, 1908},	// QUdpSocket::readDatagram$$#$
    {78, 1205, 1905},	// QUdpSocket::setMulticastInterface#
    {78, 1351, 1917},	// QUdpSocket::staticMetaObject
    {78, 1376, 1911},	// QUdpSocket::tr$
    {78, 1377, 1890},	// QUdpSocket::tr$$
    {78, 1378, 1892},	// QUdpSocket::tr$$$
    {78, 1380, 1912},	// QUdpSocket::trUtf8$
    {78, 1381, 1891},	// QUdpSocket::trUtf8$$
    {78, 1382, 1893},	// QUdpSocket::trUtf8$$$
    {78, 1415, 1910},	// QUdpSocket::writeDatagram##$
    {78, 1416, 1909},	// QUdpSocket::writeDatagram$$#$
    {78, 1455, 1922},	// QUdpSocket::~QUdpSocket
    {80, 89, 1964},	// QUrlInfo::ExeGroup
    {80, 90, 1967},	// QUrlInfo::ExeOther
    {80, 91, 1961},	// QUrlInfo::ExeOwner
    {80, 307, 1923},	// QUrlInfo::QUrlInfo
    {80, 308, 1924},	// QUrlInfo::QUrlInfo#
    {80, 309, 1926},	// QUrlInfo::QUrlInfo#$$$$##$$$$$$
    {80, 310, 1925},	// QUrlInfo::QUrlInfo$$$$$##$$$$$$
    {80, 318, 1962},	// QUrlInfo::ReadGroup
    {80, 320, 1965},	// QUrlInfo::ReadOther
    {80, 321, 1959},	// QUrlInfo::ReadOwner
    {80, 409, 1963},	// QUrlInfo::WriteGroup
    {80, 411, 1966},	// QUrlInfo::WriteOther
    {80, 412, 1960},	// QUrlInfo::WriteOwner
    {80, 584, 1956},	// QUrlInfo::equal##$
    {80, 618, 1954},	// QUrlInfo::greaterThan##$
    {80, 619, 1944},	// QUrlInfo::group
    {80, 657, 1948},	// QUrlInfo::isDir
    {80, 659, 1953},	// QUrlInfo::isExecutable
    {80, 660, 1949},	// QUrlInfo::isFile
    {80, 670, 1952},	// QUrlInfo::isReadable
    {80, 676, 1950},	// QUrlInfo::isSymLink
    {80, 678, 1940},	// QUrlInfo::isValid
    {80, 679, 1951},	// QUrlInfo::isWritable
    {80, 688, 1946},	// QUrlInfo::lastModified
    {80, 689, 1947},	// QUrlInfo::lastRead
    {80, 696, 1955},	// QUrlInfo::lessThan##$
    {80, 733, 1941},	// QUrlInfo::name
    {80, 749, 1958},	// QUrlInfo::operator!=#
    {80, 782, 1927},	// QUrlInfo::operator=#
    {80, 785, 1957},	// QUrlInfo::operator==#
    {80, 813, 1943},	// QUrlInfo::owner
    {80, 836, 1942},	// QUrlInfo::permissions
    {80, 1158, 1929},	// QUrlInfo::setDir$
    {80, 1169, 1930},	// QUrlInfo::setFile$
    {80, 1173, 1933},	// QUrlInfo::setGroup$
    {80, 1187, 1938},	// QUrlInfo::setLastModified#
    {80, 1189, 1939},	// QUrlInfo::setLastRead#
    {80, 1208, 1928},	// QUrlInfo::setName$
    {80, 1222, 1932},	// QUrlInfo::setOwner$
    {80, 1242, 1937},	// QUrlInfo::setPermissions$
    {80, 1275, 1936},	// QUrlInfo::setReadable$
    {80, 1290, 1934},	// QUrlInfo::setSize$
    {80, 1316, 1931},	// QUrlInfo::setSymLink$
    {80, 1336, 1935},	// QUrlInfo::setWritable$
    {80, 1337, 1945},	// QUrlInfo::size
    {80, 1456, 1968},	// QUrlInfo::~QUrlInfo
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtnetwork_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtnetwork_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtnetwork_Smoke = new Smoke(
        "qtnetwork",
        __smokeqtnetwork::classes, 84,
        __smokeqtnetwork::methods, 1969,
        __smokeqtnetwork::methodMaps, 1616,
        __smokeqtnetwork::methodNames, 1456,
        __smokeqtnetwork::types, 435,
        __smokeqtnetwork::inheritanceList,
        __smokeqtnetwork::argumentList,
        __smokeqtnetwork::ambiguousMethodList,
        __smokeqtnetwork::cast );
    initialized = true;
}

void delete_qtnetwork_Smoke() { delete qtnetwork_Smoke; }

}
