#include <qtsvg_includes.h>

#include <smoke.h>
#include <qtsvg_smoke.h>

namespace __smokeqtsvg {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAccessible2Interface
      switch(to) {
        case 1: return (void*)(QAccessible2Interface*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QBrush
      switch(to) {
        case 5: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QCloseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 9: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QColor
      switch(to) {
        case 10: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 11:   //QContextMenuEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 11: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QCursor
      switch(to) {
        case 12: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 13:   //QDataStream
      switch(to) {
        case 13: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 14:   //QDate
      switch(to) {
        case 14: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 15:   //QDateTime
      switch(to) {
        case 15: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 16:   //QDebug
      switch(to) {
        case 16: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 17:   //QDir
      switch(to) {
        case 17: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 18:   //QDragEnterEvent
      switch(to) {
        case 20: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 21: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 18: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QDragLeaveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 19: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QDragMoveEvent
      switch(to) {
        case 21: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 20: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QDropEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 21: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QEasingCurve
      switch(to) {
        case 22: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 23:   //QEvent
      switch(to) {
        case 23: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QFocusEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 24: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QFont
      switch(to) {
        case 25: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 27:   //QGraphicsItem
      switch(to) {
        case 27: return (void*)(QGraphicsItem*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 28:   //QGraphicsObject
      switch(to) {
        case 57: return (void*)(QObject*)(QGraphicsObject*)xptr;
        case 27: return (void*)(QGraphicsItem*)(QGraphicsObject*)xptr;
        case 28: return (void*)(QGraphicsObject*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)(QGraphicsObject*)xptr;
        default: return xptr;
      }
    case 29:   //QGraphicsSceneContextMenuEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneContextMenuEvent*)xptr;
        case 29: return (void*)(QGraphicsSceneContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 30:   //QGraphicsSceneDragDropEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneDragDropEvent*)xptr;
        case 30: return (void*)(QGraphicsSceneDragDropEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QGraphicsSceneHoverEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneHoverEvent*)xptr;
        case 31: return (void*)(QGraphicsSceneHoverEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QGraphicsSceneMouseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneMouseEvent*)xptr;
        case 32: return (void*)(QGraphicsSceneMouseEvent*)xptr;
        default: return xptr;
      }
    case 33:   //QGraphicsSceneWheelEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneWheelEvent*)xptr;
        case 33: return (void*)(QGraphicsSceneWheelEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QGraphicsSvgItem
      switch(to) {
        case 28: return (void*)(QGraphicsObject*)(QGraphicsSvgItem*)xptr;
        case 57: return (void*)(QObject*)(QGraphicsSvgItem*)xptr;
        case 27: return (void*)(QGraphicsItem*)(QGraphicsSvgItem*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)xptr;
        default: return xptr;
      }
    case 35:   //QHashDummyValue
      switch(to) {
        case 35: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 36:   //QHideEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 36: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 37:   //QIODevice
      switch(to) {
        case 57: return (void*)(QObject*)(QIODevice*)xptr;
        case 37: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 38:   //QIcon
      switch(to) {
        case 38: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 39:   //QImage
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QImage*)xptr;
        case 39: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 40:   //QIncompatibleFlag
      switch(to) {
        case 40: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 41:   //QInputMethodEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 41: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QItemSelectionRange
      switch(to) {
        case 42: return (void*)(QItemSelectionRange*)xptr;
        default: return xptr;
      }
    case 43:   //QKeyEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 43: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QKeySequence
      switch(to) {
        case 44: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 45:   //QLatin1String
      switch(to) {
        case 45: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 46:   //QLine
      switch(to) {
        case 46: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 47:   //QLineF
      switch(to) {
        case 47: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 48:   //QListWidgetItem
      switch(to) {
        case 48: return (void*)(QListWidgetItem*)xptr;
        default: return xptr;
      }
    case 49:   //QLocale
      switch(to) {
        case 49: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 50:   //QMargins
      switch(to) {
        case 50: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 51:   //QMatrix
      switch(to) {
        case 51: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 52:   //QMatrix4x4
      switch(to) {
        case 52: return (void*)(QMatrix4x4*)xptr;
        default: return xptr;
      }
    case 53:   //QMetaObject
      switch(to) {
        case 53: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 54:   //QModelIndex
      switch(to) {
        case 54: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 55:   //QMouseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 55: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QMoveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 56: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 57:   //QObject
      switch(to) {
        case 57: return (void*)(QObject*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)(QObject*)xptr;
        case 90: return (void*)(QSvgRenderer*)(QObject*)xptr;
        case 91: return (void*)(QSvgWidget*)(QObject*)xptr;
        default: return xptr;
      }
    case 58:   //QPaintDevice
      switch(to) {
        case 58: return (void*)(QPaintDevice*)xptr;
        case 89: return (void*)(QSvgGenerator*)(QPaintDevice*)xptr;
        case 91: return (void*)(QSvgWidget*)(QPaintDevice*)xptr;
        default: return xptr;
      }
    case 59:   //QPaintEngine
      switch(to) {
        case 59: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 60:   //QPaintEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 60: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 61:   //QPainter
      switch(to) {
        case 61: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 62:   //QPainterPath
      switch(to) {
        case 62: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 63:   //QPalette
      switch(to) {
        case 63: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 64:   //QPen
      switch(to) {
        case 64: return (void*)(QPen*)xptr;
        default: return xptr;
      }
    case 65:   //QPersistentModelIndex
      switch(to) {
        case 65: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 66:   //QPicture
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QPicture*)xptr;
        case 66: return (void*)(QPicture*)xptr;
        default: return xptr;
      }
    case 67:   //QPixmap
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QPixmap*)xptr;
        case 67: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 68:   //QPoint
      switch(to) {
        case 68: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 69:   //QPointF
      switch(to) {
        case 69: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 70:   //QPolygon
      switch(to) {
        case 70: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 71:   //QPolygonF
      switch(to) {
        case 71: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 72:   //QQuaternion
      switch(to) {
        case 72: return (void*)(QQuaternion*)xptr;
        default: return xptr;
      }
    case 73:   //QRect
      switch(to) {
        case 73: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 74:   //QRectF
      switch(to) {
        case 74: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 75:   //QRegExp
      switch(to) {
        case 75: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 76:   //QRegion
      switch(to) {
        case 76: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 77:   //QResizeEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 77: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 78:   //QShowEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 78: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QSize
      switch(to) {
        case 79: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 80:   //QSizeF
      switch(to) {
        case 80: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 81:   //QSizePolicy
      switch(to) {
        case 81: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 82:   //QSplitter
      switch(to) {
        case 112: return (void*)(QWidget*)(QSplitter*)xptr;
        case 57: return (void*)(QObject*)(QSplitter*)xptr;
        case 58: return (void*)(QPaintDevice*)(QSplitter*)xptr;
        case 82: return (void*)(QSplitter*)xptr;
        default: return xptr;
      }
    case 83:   //QStandardItem
      switch(to) {
        case 83: return (void*)(QStandardItem*)xptr;
        default: return xptr;
      }
    case 84:   //QString::Null
      switch(to) {
        case 84: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 85:   //QStringRef
      switch(to) {
        case 85: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 86:   //QStyle
      switch(to) {
        case 57: return (void*)(QObject*)(QStyle*)xptr;
        case 86: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 87:   //QStyleOption
      switch(to) {
        case 87: return (void*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 88:   //QStyleOptionGraphicsItem
      switch(to) {
        case 87: return (void*)(QStyleOption*)(QStyleOptionGraphicsItem*)xptr;
        case 88: return (void*)(QStyleOptionGraphicsItem*)xptr;
        default: return xptr;
      }
    case 89:   //QSvgGenerator
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QSvgGenerator*)xptr;
        case 89: return (void*)(QSvgGenerator*)xptr;
        default: return xptr;
      }
    case 90:   //QSvgRenderer
      switch(to) {
        case 57: return (void*)(QObject*)(QSvgRenderer*)xptr;
        case 90: return (void*)(QSvgRenderer*)xptr;
        default: return xptr;
      }
    case 91:   //QSvgWidget
      switch(to) {
        case 112: return (void*)(QWidget*)(QSvgWidget*)xptr;
        case 57: return (void*)(QObject*)(QSvgWidget*)xptr;
        case 58: return (void*)(QPaintDevice*)(QSvgWidget*)xptr;
        case 91: return (void*)(QSvgWidget*)xptr;
        default: return xptr;
      }
    case 92:   //QTableWidgetItem
      switch(to) {
        case 92: return (void*)(QTableWidgetItem*)xptr;
        default: return xptr;
      }
    case 93:   //QTabletEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 93: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 94:   //QTextCodec
      switch(to) {
        case 94: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 95:   //QTextFormat
      switch(to) {
        case 95: return (void*)(QTextFormat*)xptr;
        default: return xptr;
      }
    case 96:   //QTextLength
      switch(to) {
        case 96: return (void*)(QTextLength*)xptr;
        default: return xptr;
      }
    case 97:   //QTextStream
      switch(to) {
        case 97: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 98:   //QTextStreamManipulator
      switch(to) {
        case 98: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 99:   //QTileRules
      switch(to) {
        case 99: return (void*)(QTileRules*)xptr;
        default: return xptr;
      }
    case 100:   //QTime
      switch(to) {
        case 100: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 101:   //QTimerEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 101: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 102:   //QTransform
      switch(to) {
        case 102: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 103:   //QTreeWidgetItem
      switch(to) {
        case 103: return (void*)(QTreeWidgetItem*)xptr;
        default: return xptr;
      }
    case 104:   //QUrl
      switch(to) {
        case 104: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 105:   //QUuid
      switch(to) {
        case 105: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 106:   //QVariant
      switch(to) {
        case 106: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 107:   //QVariantComparisonHelper
      switch(to) {
        case 107: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 108:   //QVector2D
      switch(to) {
        case 108: return (void*)(QVector2D*)xptr;
        default: return xptr;
      }
    case 109:   //QVector3D
      switch(to) {
        case 109: return (void*)(QVector3D*)xptr;
        default: return xptr;
      }
    case 110:   //QVector4D
      switch(to) {
        case 110: return (void*)(QVector4D*)xptr;
        default: return xptr;
      }
    case 111:   //QWheelEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 111: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 112:   //QWidget
      switch(to) {
        case 57: return (void*)(QObject*)(QWidget*)xptr;
        case 58: return (void*)(QPaintDevice*)(QWidget*)xptr;
        case 112: return (void*)(QWidget*)xptr;
        case 91: return (void*)(QSvgWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    case 113:   //QXmlStreamReader
      switch(to) {
        case 113: return (void*)(QXmlStreamReader*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    28, 0,	// 1: QGraphicsObject
    58, 0,	// 3: QPaintDevice
    57, 0,	// 5: QObject
    112, 0,	// 7: QWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QGraphicsSvgItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgGenerator(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgRenderer(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgWidget(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAccessible2Interface", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QBrush", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QColor", true, 0, 0, 0, 0, 0 },	//10
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QCursor", true, 0, 0, 0, 0, 0 },	//12
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//13
    { "QDate", true, 0, 0, 0, 0, 0 },	//14
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//15
    { "QDebug", true, 0, 0, 0, 0, 0 },	//16
    { "QDir", true, 0, 0, 0, 0, 0 },	//17
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//22
    { "QEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QFont", true, 0, 0, 0, 0, 0 },	//25
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//26
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//27
    { "QGraphicsObject", true, 0, 0, 0, 0, 0 },	//28
    { "QGraphicsSceneContextMenuEvent", true, 0, 0, 0, 0, 0 },	//29
    { "QGraphicsSceneDragDropEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QGraphicsSceneHoverEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QGraphicsSceneMouseEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QGraphicsSceneWheelEvent", true, 0, 0, 0, 0, 0 },	//33
    { "QGraphicsSvgItem", false, 1, xcall_QGraphicsSvgItem, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGraphicsSvgItem) },	//34
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//35
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//36
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//37
    { "QIcon", true, 0, 0, 0, 0, 0 },	//38
    { "QImage", true, 0, 0, 0, 0, 0 },	//39
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//40
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QItemSelectionRange", true, 0, 0, 0, 0, 0 },	//42
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//44
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//45
    { "QLine", true, 0, 0, 0, 0, 0 },	//46
    { "QLineF", true, 0, 0, 0, 0, 0 },	//47
    { "QListWidgetItem", true, 0, 0, 0, 0, 0 },	//48
    { "QLocale", true, 0, 0, 0, 0, 0 },	//49
    { "QMargins", true, 0, 0, 0, 0, 0 },	//50
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//51
    { "QMatrix4x4", true, 0, 0, 0, 0, 0 },	//52
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//53
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//54
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//56
    { "QObject", true, 0, 0, 0, 0, 0 },	//57
    { "QPaintDevice", true, 0, 0, 0, 0, 0 },	//58
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//59
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//60
    { "QPainter", true, 0, 0, 0, 0, 0 },	//61
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//62
    { "QPalette", true, 0, 0, 0, 0, 0 },	//63
    { "QPen", true, 0, 0, 0, 0, 0 },	//64
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//65
    { "QPicture", true, 0, 0, 0, 0, 0 },	//66
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//67
    { "QPoint", true, 0, 0, 0, 0, 0 },	//68
    { "QPointF", true, 0, 0, 0, 0, 0 },	//69
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//70
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//71
    { "QQuaternion", true, 0, 0, 0, 0, 0 },	//72
    { "QRect", true, 0, 0, 0, 0, 0 },	//73
    { "QRectF", true, 0, 0, 0, 0, 0 },	//74
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//75
    { "QRegion", true, 0, 0, 0, 0, 0 },	//76
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//77
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QSize", true, 0, 0, 0, 0, 0 },	//79
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//80
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//81
    { "QSplitter", true, 0, 0, 0, 0, 0 },	//82
    { "QStandardItem", true, 0, 0, 0, 0, 0 },	//83
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//84
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//85
    { "QStyle", true, 0, 0, 0, 0, 0 },	//86
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//87
    { "QStyleOptionGraphicsItem", true, 0, 0, 0, 0, 0 },	//88
    { "QSvgGenerator", false, 3, xcall_QSvgGenerator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgGenerator) },	//89
    { "QSvgRenderer", false, 5, xcall_QSvgRenderer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgRenderer) },	//90
    { "QSvgWidget", false, 7, xcall_QSvgWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgWidget) },	//91
    { "QTableWidgetItem", true, 0, 0, 0, 0, 0 },	//92
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//93
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//94
    { "QTextFormat", true, 0, 0, 0, 0, 0 },	//95
    { "QTextLength", true, 0, 0, 0, 0, 0 },	//96
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//97
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//98
    { "QTileRules", true, 0, 0, 0, 0, 0 },	//99
    { "QTime", true, 0, 0, 0, 0, 0 },	//100
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//101
    { "QTransform", true, 0, 0, 0, 0, 0 },	//102
    { "QTreeWidgetItem", true, 0, 0, 0, 0, 0 },	//103
    { "QUrl", true, 0, 0, 0, 0, 0 },	//104
    { "QUuid", true, 0, 0, 0, 0, 0 },	//105
    { "QVariant", true, 0, 0, 0, 0, 0 },	//106
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//107
    { "QVector2D", true, 0, 0, 0, 0, 0 },	//108
    { "QVector3D", true, 0, 0, 0, 0, 0 },	//109
    { "QVector4D", true, 0, 0, 0, 0, 0 },	//110
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//111
    { "QWidget", true, 0, 0, 0, 0, 0 },	//112
    { "QXmlStreamReader", true, 0, 0, 0, 0, 0 },	//113
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractItemView::EditTrigger", 0, Smoke::t_enum|Smoke::tf_stack },	//2
    { "QAbstractPrintDialog::PrintDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAccessible2::BoundaryType", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAccessible2::CoordinateType", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAccessible2::TableModelChangeType", 0, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QAccessible2Interface*", 1, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QAccessible::RelationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QAccessible::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//11
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//13
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//14
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//15
    { "QBrush&", 5, Smoke::t_class|Smoke::tf_ref },	//16
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//17
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//18
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//19
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//20
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QCloseEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QColor&", 10, Smoke::t_class|Smoke::tf_ref },	//23
    { "QColorDialog::ColorDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "QContextMenuEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QCursor&", 12, Smoke::t_class|Smoke::tf_ref },	//26
    { "QDataStream&", 13, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDate&", 14, Smoke::t_class|Smoke::tf_ref },	//28
    { "QDateTime&", 15, Smoke::t_class|Smoke::tf_ref },	//29
    { "QDateTimeEdit::Section", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QDebug", 16, Smoke::t_class|Smoke::tf_stack },	//31
    { "QDialogButtonBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QDir::Filter", 17, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QDir::SortFlag", 17, Smoke::t_enum|Smoke::tf_stack },	//34
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QDockWidget::DockWidgetFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "QDragEnterEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QDragLeaveEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QDragMoveEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//39
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "QDropEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref },	//42
    { "QEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QFileDialog::Option", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QAbstractPrintDialog::PrintDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<QAccessible::RelationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<QAccessible::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<QColorDialog::ColorDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<QDateTimeEdit::Section>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<QDialogButtonBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QDockWidget::DockWidgetFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QDrawBorderPixmap::DrawingHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<QFileDialog::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QFontComboBox::FontFilter>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QFontDialog::FontDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QGestureRecognizer::ResultFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QGraphicsBlurEffect::BlurHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QGraphicsEffect::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QGraphicsItem::GraphicsItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QGraphicsScene::SceneLayer>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QGraphicsView::CacheModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QGraphicsView::OptimizationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QImageIOPlugin::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QInputDialog::InputDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QMainWindow::DockOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QMdiArea::AreaOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QMdiSubWindow::SubWindowOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QMessageBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QPaintEngine::DirtyFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QPaintEngine::PaintEngineFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QPinchGesture::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<QTextDocument::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<QTextEdit::AutoFormattingFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<QTextFormat::PageBreakFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<QTextItem::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<QTextOption::Flag>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//104
    { "QFlags<QTreeWidgetItemIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//105
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//106
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//107
    { "QFlags<QWizard::WizardOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//108
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//109
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//110
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//111
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//112
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//113
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//114
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//115
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//116
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//117
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//120
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//121
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//122
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//123
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//124
    { "QFocusEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//125
    { "QFont&", 25, Smoke::t_class|Smoke::tf_ref },	//126
    { "QFontComboBox::FontFilter", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QFontDialog::FontDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QGestureRecognizer::ResultFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "QGraphicsBlurEffect::BlurHint", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QGraphicsEffect::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QGraphicsItem*", 27, Smoke::t_class|Smoke::tf_ptr },	//132
    { "QGraphicsItem::Extension", 27, Smoke::t_enum|Smoke::tf_stack },	//133
    { "QGraphicsItem::GraphicsItemChange", 27, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QGraphicsItem::GraphicsItemFlag", 27, Smoke::t_enum|Smoke::tf_stack },	//135
    { "QGraphicsObject*", 28, Smoke::t_class|Smoke::tf_ptr },	//136
    { "QGraphicsScene::SceneLayer", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "QGraphicsSceneContextMenuEvent*", 29, Smoke::t_class|Smoke::tf_ptr },	//138
    { "QGraphicsSceneDragDropEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//139
    { "QGraphicsSceneHoverEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//140
    { "QGraphicsSceneMouseEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//141
    { "QGraphicsSceneWheelEvent*", 33, Smoke::t_class|Smoke::tf_ptr },	//142
    { "QGraphicsSvgItem*", 34, Smoke::t_class|Smoke::tf_ptr },	//143
    { "QGraphicsView::CacheModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "QGraphicsView::OptimizationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "QHideEvent*", 36, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QIODevice*", 37, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QIODevice::OpenModeFlag", 37, Smoke::t_enum|Smoke::tf_stack },	//148
    { "QIcon&", 38, Smoke::t_class|Smoke::tf_ref },	//149
    { "QImage&", 39, Smoke::t_class|Smoke::tf_ref },	//150
    { "QImageIOPlugin::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "QIncompatibleFlag", 40, Smoke::t_class|Smoke::tf_stack },	//152
    { "QInputDialog::InputDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "QInputMethodEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QItemSelectionModel::SelectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "QKeyEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//156
    { "QKeySequence&", 44, Smoke::t_class|Smoke::tf_ref },	//157
    { "QKeySequence::StandardKey", 44, Smoke::t_enum|Smoke::tf_stack },	//158
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "QLine", 46, Smoke::t_class|Smoke::tf_stack },	//160
    { "QLine&", 46, Smoke::t_class|Smoke::tf_ref },	//161
    { "QLineF", 47, Smoke::t_class|Smoke::tf_stack },	//162
    { "QLineF&", 47, Smoke::t_class|Smoke::tf_ref },	//163
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//164
    { "QListWidgetItem&", 48, Smoke::t_class|Smoke::tf_ref },	//165
    { "QLocale&", 49, Smoke::t_class|Smoke::tf_ref },	//166
    { "QLocale::NumberOption", 49, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QMainWindow::DockOption", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QMatrix", 51, Smoke::t_class|Smoke::tf_stack },	//169
    { "QMatrix&", 51, Smoke::t_class|Smoke::tf_ref },	//170
    { "QMatrix4x4", 52, Smoke::t_class|Smoke::tf_stack },	//171
    { "QMatrix4x4&", 52, Smoke::t_class|Smoke::tf_ref },	//172
    { "QMdiArea::AreaOption", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "QMdiSubWindow::SubWindowOption", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "QMessageBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "QMetaObject::Call", 53, Smoke::t_enum|Smoke::tf_stack },	//176
    { "QMouseEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//177
    { "QMoveEvent*", 56, Smoke::t_class|Smoke::tf_ptr },	//178
    { "QObject*", 57, Smoke::t_class|Smoke::tf_ptr },	//179
    { "QObject*(*)()", 57, Smoke::t_class|Smoke::tf_ptr },	//180
    { "QPaintDevice::PaintDeviceMetric", 58, Smoke::t_enum|Smoke::tf_stack },	//181
    { "QPaintEngine*", 59, Smoke::t_class|Smoke::tf_ptr },	//182
    { "QPaintEngine::DirtyFlag", 59, Smoke::t_enum|Smoke::tf_stack },	//183
    { "QPaintEngine::PaintEngineFeature", 59, Smoke::t_enum|Smoke::tf_stack },	//184
    { "QPaintEvent*", 60, Smoke::t_class|Smoke::tf_ptr },	//185
    { "QPainter*", 61, Smoke::t_class|Smoke::tf_ptr },	//186
    { "QPainter::RenderHint", 61, Smoke::t_enum|Smoke::tf_stack },	//187
    { "QPainterPath", 62, Smoke::t_class|Smoke::tf_stack },	//188
    { "QPainterPath&", 62, Smoke::t_class|Smoke::tf_ref },	//189
    { "QPalette&", 63, Smoke::t_class|Smoke::tf_ref },	//190
    { "QPen&", 64, Smoke::t_class|Smoke::tf_ref },	//191
    { "QPicture&", 66, Smoke::t_class|Smoke::tf_ref },	//192
    { "QPinchGesture::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "QPixmap&", 67, Smoke::t_class|Smoke::tf_ref },	//194
    { "QPoint", 68, Smoke::t_class|Smoke::tf_stack },	//195
    { "QPoint&", 68, Smoke::t_class|Smoke::tf_ref },	//196
    { "QPointF", 69, Smoke::t_class|Smoke::tf_stack },	//197
    { "QPointF&", 69, Smoke::t_class|Smoke::tf_ref },	//198
    { "QPolygon", 70, Smoke::t_class|Smoke::tf_stack },	//199
    { "QPolygon&", 70, Smoke::t_class|Smoke::tf_ref },	//200
    { "QPolygonF", 71, Smoke::t_class|Smoke::tf_stack },	//201
    { "QPolygonF&", 71, Smoke::t_class|Smoke::tf_ref },	//202
    { "QQuaternion&", 72, Smoke::t_class|Smoke::tf_ref },	//203
    { "QRect", 73, Smoke::t_class|Smoke::tf_stack },	//204
    { "QRect&", 73, Smoke::t_class|Smoke::tf_ref },	//205
    { "QRectF", 74, Smoke::t_class|Smoke::tf_stack },	//206
    { "QRectF&", 74, Smoke::t_class|Smoke::tf_ref },	//207
    { "QRegExp&", 75, Smoke::t_class|Smoke::tf_ref },	//208
    { "QRegion", 76, Smoke::t_class|Smoke::tf_stack },	//209
    { "QRegion&", 76, Smoke::t_class|Smoke::tf_ref },	//210
    { "QResizeEvent*", 77, Smoke::t_class|Smoke::tf_ptr },	//211
    { "QShowEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//212
    { "QSize", 79, Smoke::t_class|Smoke::tf_stack },	//213
    { "QSize&", 79, Smoke::t_class|Smoke::tf_ref },	//214
    { "QSizeF&", 80, Smoke::t_class|Smoke::tf_ref },	//215
    { "QSizePolicy&", 81, Smoke::t_class|Smoke::tf_ref },	//216
    { "QSizePolicy::ControlType", 81, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QSplitter&", 82, Smoke::t_class|Smoke::tf_ref },	//218
    { "QStandardItem&", 83, Smoke::t_class|Smoke::tf_ref },	//219
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//220
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//221
    { "QString::Null", 84, Smoke::t_class|Smoke::tf_stack },	//222
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//224
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//225
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//226
    { "QStyle&", 86, Smoke::t_class|Smoke::tf_ref },	//227
    { "QStyle::StateFlag", 86, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QStyle::SubControl", 86, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QStyleOptionQ3ListViewItem::Q3ListViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//235
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//236
    { "QSvgGenerator*", 89, Smoke::t_class|Smoke::tf_ptr },	//237
    { "QSvgRenderer*", 90, Smoke::t_class|Smoke::tf_ptr },	//238
    { "QSvgWidget*", 91, Smoke::t_class|Smoke::tf_ptr },	//239
    { "QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref },	//240
    { "QTabletEvent*", 93, Smoke::t_class|Smoke::tf_ptr },	//241
    { "QTextCodec*", 94, Smoke::t_class|Smoke::tf_ptr },	//242
    { "QTextCodec::ConversionFlag", 94, Smoke::t_enum|Smoke::tf_stack },	//243
    { "QTextDocument::FindFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "QTextEdit::AutoFormattingFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref },	//246
    { "QTextFormat::PageBreakFlag", 95, Smoke::t_enum|Smoke::tf_stack },	//247
    { "QTextItem::RenderFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "QTextLength&", 96, Smoke::t_class|Smoke::tf_ref },	//249
    { "QTextOption::Flag", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "QTextStream&", 97, Smoke::t_class|Smoke::tf_ref },	//251
    { "QTextStream&(*)(QTextStream&)", 97, Smoke::t_class|Smoke::tf_ref },	//252
    { "QTextStream::NumberFlag", 97, Smoke::t_enum|Smoke::tf_stack },	//253
    { "QTextStreamManipulator", 98, Smoke::t_class|Smoke::tf_stack },	//254
    { "QTime&", 100, Smoke::t_class|Smoke::tf_ref },	//255
    { "QTimerEvent*", 101, Smoke::t_class|Smoke::tf_ptr },	//256
    { "QTransform", 102, Smoke::t_class|Smoke::tf_stack },	//257
    { "QTransform&", 102, Smoke::t_class|Smoke::tf_ref },	//258
    { "QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref },	//259
    { "QTreeWidgetItemIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "QUrl&", 104, Smoke::t_class|Smoke::tf_ref },	//261
    { "QUrl::FormattingOption", 104, Smoke::t_enum|Smoke::tf_stack },	//262
    { "QUuid&", 105, Smoke::t_class|Smoke::tf_ref },	//263
    { "QVariant", 106, Smoke::t_class|Smoke::tf_stack },	//264
    { "QVariant&", 106, Smoke::t_class|Smoke::tf_ref },	//265
    { "QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack },	//266
    { "QVariant::Type&", 106, Smoke::t_enum|Smoke::tf_ref },	//267
    { "QVector2D&", 108, Smoke::t_class|Smoke::tf_ref },	//268
    { "QVector3D", 109, Smoke::t_class|Smoke::tf_stack },	//269
    { "QVector3D&", 109, Smoke::t_class|Smoke::tf_ref },	//270
    { "QVector4D", 110, Smoke::t_class|Smoke::tf_stack },	//271
    { "QVector4D&", 110, Smoke::t_class|Smoke::tf_ref },	//272
    { "QWheelEvent*", 111, Smoke::t_class|Smoke::tf_ptr },	//273
    { "QWidget*", 112, Smoke::t_class|Smoke::tf_ptr },	//274
    { "QWidget::RenderFlag", 112, Smoke::t_enum|Smoke::tf_stack },	//275
    { "QWizard::WizardOption", 0, Smoke::t_enum|Smoke::tf_stack },	//276
    { "QXmlStreamReader*", 113, Smoke::t_class|Smoke::tf_ptr },	//277
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//278
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//279
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//280
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//281
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//284
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//290
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::HitTestAccuracy", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::WhiteSpaceMode", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "QtMsgType", 26, Smoke::t_enum|Smoke::tf_stack },	//354
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//355
    { "__codecvt_result", 26, Smoke::t_enum|Smoke::tf_stack },	//356
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//357
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//358
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//359
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//360
    { "const QBrush&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//361
    { "const QBrush*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//362
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//363
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//364
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//365
    { "const QColor&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//366
    { "const QCursor&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//367
    { "const QDate&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//368
    { "const QDateTime&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//369
    { "const QDir&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//370
    { "const QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//371
    { "const QEvent*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//372
    { "const QFont&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//373
    { "const QGraphicsItem*", 27, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//374
    { "const QHashDummyValue&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//375
    { "const QIcon&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//376
    { "const QImage&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//377
    { "const QItemSelectionRange&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//378
    { "const QKeySequence&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const QLatin1String&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//380
    { "const QLine&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//381
    { "const QLineF&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const QListWidgetItem&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const QLocale&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const QMargins&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const QMatrix&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const QMatrix4x4&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const QMetaObject&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//388
    { "const QMetaObject*", 53, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//389
    { "const QModelIndex&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//390
    { "const QObject*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//391
    { "const QPainterPath&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const QPalette&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const QPen&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const QPersistentModelIndex&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const QPicture&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const QPixmap&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const QPoint", 68, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//398
    { "const QPoint&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const QPointF", 69, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//400
    { "const QPointF&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const QPolygon&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const QPolygonF&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const QQuaternion", 72, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//404
    { "const QQuaternion&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const QRect&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const QRectF&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QRegExp&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const QRegExp*", 75, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//409
    { "const QRegion&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const QSize", 79, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//411
    { "const QSize&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const QSizeF", 80, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//413
    { "const QSizeF&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const QSizePolicy&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QSplitter&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const QStandardItem&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//418
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//421
    { "const QStringRef&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const QStyleOption&", 87, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const QStyleOption::OptionType&", 87, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//424
    { "const QStyleOptionGraphicsItem*", 88, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//425
    { "const QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const QTextLength&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QTileRules&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const QTime&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const QTransform&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QUrl&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const QUuid&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QVariant&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//435
    { "const QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//436
    { "const QVariantComparisonHelper&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const QVector2D", 108, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//438
    { "const QVector2D&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QVector3D", 109, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//440
    { "const QVector3D&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QVector4D", 110, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//442
    { "const QVector4D&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//443
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//444
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//445
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//446
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//447
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//448
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//449
    { "int(*)(const void*,const void*)", 0, Smoke::t_int|Smoke::tf_stack },	//450
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//451
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//452
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//453
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//454
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//455
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//456
    { "size_t", 0, Smoke::t_ulong|Smoke::tf_stack },	//457
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//458
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//459
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//460
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//461
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//462
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//463
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//464
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//465
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//466
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//467
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//468
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//469
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    30, 449, 0,	//1  QDateTimeEdit::Section, int
    422, 422, 0,	//4  const QStringRef&, const QStringRef&
    462, 0,	//7  unsigned long long
    447, 0,	//9  double
    243, 449, 0,	//11  QTextCodec::ConversionFlag, int
    387, 387, 0,	//14  const QMatrix4x4&, const QMatrix4x4&
    310, 449, 0,	//17  Qt::ImageConversionFlag, int
    441, 441, 0,	//20  const QVector3D&, const QVector3D&
    439, 439, 0,	//23  const QVector2D&, const QVector2D&
    444, 460, 0,	//26  const char*, unsigned int
    467, 446, 457, 0,	//29  void*, const void*, size_t
    31, 73, 0,	//33  QDebug, QFlags<QIODevice::OpenModeFlag>
    27, 149, 0,	//36  QDataStream&, QIcon&
    401, 386, 0,	//39  const QPointF&, const QMatrix&
    183, 83, 0,	//42  QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>
    422, 419, 0,	//45  const QStringRef&, const QString&
    412, 412, 0,	//48  const QSize&, const QSize&
    27, 379, 0,	//51  QDataStream&, const QKeySequence&
    245, 245, 0,	//54  QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag
    444, 364, 0,	//57  const char*, const QByteArray&
    27, 219, 0,	//60  QDataStream&, QStandardItem&
    230, 230, 0,	//63  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    173, 80, 0,	//66  QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>
    45, 62, 0,	//69  QFile::Permission, QFlags<QFile::Permission>
    27, 203, 0,	//72  QDataStream&, QQuaternion&
    401, 401, 0,	//75  const QPointF&, const QPointF&
    27, 403, 0,	//78  QDataStream&, const QPolygonF&
    447, 447, 0,	//81  double, double
    27, 215, 0,	//84  QDataStream&, QSizeF&
    364, 444, 0,	//87  const QByteArray&, const char*
    448, 0,	//90  float
    444, 0,	//92  const char*
    456, 0,	//94  signed char
    131, 449, 0,	//96  QGraphicsEffect::ChangeFlag, int
    419, 422, 0,	//99  const QString&, const QStringRef&
    46, 449, 0,	//102  QFileDialog::Option, int
    19, 0,	//105  QChar
    27, 410, 0,	//107  QDataStream&, const QRegion&
    175, 175, 0,	//110  QMessageBox::StandardButton, QMessageBox::StandardButton
    229, 90, 0,	//113  QStyle::SubControl, QFlags<QStyle::SubControl>
    387, 399, 0,	//116  const QMatrix4x4&, const QPoint&
    27, 428, 0,	//119  QDataStream&, const QTextLength&
    31, 361, 0,	//122  QDebug, const QBrush&
    129, 129, 0,	//125  QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag
    422, 380, 0,	//128  const QStringRef&, const QLatin1String&
    387, 443, 0,	//131  const QMatrix4x4&, const QVector4D&
    19, 19, 0,	//134  QChar, QChar
    31, 405, 0,	//137  QDebug, const QQuaternion&
    343, 343, 0,	//140  Qt::TouchPointState, Qt::TouchPointState
    387, 0,	//143  const QMatrix4x4&
    433, 0,	//145  const QUrl&
    364, 0,	//147  const QByteArray&
    275, 449, 0,	//149  QWidget::RenderFlag, int
    387, 447, 0,	//152  const QMatrix4x4&, double
    27, 393, 0,	//155  QDataStream&, const QPalette&
    31, 433, 0,	//158  QDebug, const QUrl&
    27, 23, 0,	//161  QDataStream&, QColor&
    27, 240, 0,	//164  QDataStream&, QTableWidgetItem&
    168, 79, 0,	//167  QMainWindow::DockOption, QFlags<QMainWindow::DockOption>
    222, 419, 0,	//170  QString::Null, const QString&
    31, 135, 0,	//173  QDebug, QGraphicsItem::GraphicsItemFlag
    275, 107, 0,	//176  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    340, 340, 0,	//179  Qt::ToolBarArea, Qt::ToolBarArea
    444, 444, 0,	//182  const char*, const char*
    145, 449, 0,	//185  QGraphicsView::OptimizationFlag, int
    167, 167, 0,	//188  QLocale::NumberOption, QLocale::NumberOption
    351, 351, 0,	//191  Qt::WindowType, Qt::WindowType
    447, 414, 0,	//194  double, const QSizeF&
    405, 405, 0,	//197  const QQuaternion&, const QQuaternion&
    33, 449, 0,	//200  QDir::Filter, int
    229, 229, 0,	//203  QStyle::SubControl, QStyle::SubControl
    399, 399, 0,	//206  const QPoint&, const QPoint&
    27, 407, 0,	//209  QDataStream&, const QRectF&
    318, 449, 0,	//212  Qt::KeyboardModifier, int
    337, 120, 0,	//215  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    173, 449, 0,	//218  QMdiArea::AreaOption, int
    431, 447, 0,	//221  const QTransform&, double
    2, 48, 0,	//224  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    358, 0,	//227  char
    276, 276, 0,	//229  QWizard::WizardOption, QWizard::WizardOption
    253, 104, 0,	//232  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    250, 449, 0,	//235  QTextOption::Flag, int
    31, 385, 0,	//238  QDebug, const QMargins&
    262, 449, 0,	//241  QUrl::FormattingOption, int
    45, 449, 0,	//244  QFile::Permission, int
    129, 66, 0,	//247  QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>
    399, 447, 0,	//250  const QPoint&, double
    186, 449, 449, 449, 449, 393, 357, 362, 0,	//253  QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*
    186, 449, 449, 449, 449, 393, 0,	//262  QPainter*, int, int, int, int, const QPalette&
    186, 449, 449, 449, 449, 393, 357, 0,	//269  QPainter*, int, int, int, int, const QPalette&, bool
    27, 431, 0,	//277  QDataStream&, const QTransform&
    35, 58, 0,	//280  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    414, 414, 0,	//283  const QSizeF&, const QSizeF&
    441, 387, 0,	//286  const QVector3D&, const QMatrix4x4&
    443, 443, 0,	//289  const QVector4D&, const QVector4D&
    31, 401, 0,	//292  QDebug, const QPointF&
    453, 449, 451, 451, 0,	//295  long double, int, int*, int*
    46, 63, 0,	//300  QFileDialog::Option, QFlags<QFileDialog::Option>
    27, 397, 0,	//303  QDataStream&, const QPixmap&
    318, 116, 0,	//306  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    276, 449, 0,	//309  QWizard::WizardOption, int
    31, 382, 0,	//312  QDebug, const QLineF&
    460, 0,	//315  unsigned int
    31, 369, 0,	//317  QDebug, const QDateTime&
    36, 59, 0,	//320  QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>
    449, 449, 449, 0,	//323  int, int, int
    144, 144, 0,	//327  QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag
    27, 396, 0,	//330  QDataStream&, const QPicture&
    262, 262, 0,	//333  QUrl::FormattingOption, QUrl::FormattingOption
    343, 122, 0,	//336  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    310, 310, 0,	//339  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    449, 0,	//342  int
    184, 449, 0,	//344  QPaintEngine::PaintEngineFeature, int
    2, 2, 0,	//347  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    167, 449, 0,	//350  QLocale::NumberOption, int
    445, 449, 0,	//353  const unsigned char*, int
    444, 444, 460, 0,	//356  const char*, const char*, unsigned int
    380, 422, 0,	//360  const QLatin1String&, const QStringRef&
    156, 158, 0,	//363  QKeyEvent*, QKeySequence::StandardKey
    232, 232, 0,	//366  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
    251, 218, 0,	//369  QTextStream&, QSplitter&
    378, 0,	//372  const QItemSelectionRange&
    300, 300, 0,	//374  Qt::DropAction, Qt::DropAction
    187, 85, 0,	//377  QPainter::RenderHint, QFlags<QPainter::RenderHint>
    31, 399, 0,	//380  QDebug, const QPoint&
    27, 166, 0,	//383  QDataStream&, QLocale&
    419, 19, 0,	//386  const QString&, QChar
    222, 222, 0,	//389  QString::Null, QString::Null
    10, 51, 0,	//392  QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>
    445, 459, 449, 0,	//395  const unsigned char*, unsigned char*, int
    231, 92, 0,	//399  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    243, 243, 0,	//402  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    325, 325, 0,	//405  Qt::Orientation, Qt::Orientation
    467, 457, 457, 457, 0,	//408  void*, size_t, size_t, size_t
    27, 190, 0,	//413  QDataStream&, QPalette&
    27, 367, 0,	//416  QDataStream&, const QCursor&
    340, 121, 0,	//419  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    245, 100, 0,	//422  QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>
    406, 406, 0,	//425  const QRect&, const QRect&
    44, 61, 0,	//428  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    360, 360, 0,	//431  const QBitArray&, const QBitArray&
    364, 364, 0,	//434  const QByteArray&, const QByteArray&
    175, 82, 0,	//437  QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>
    467, 457, 0,	//440  void*, size_t
    419, 0,	//443  const QString&
    193, 86, 0,	//445  QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>
    27, 386, 0,	//448  QDataStream&, const QMatrix&
    27, 384, 0,	//451  QDataStream&, const QLocale&
    31, 371, 0,	//454  QDebug, const QEasingCurve&
    466, 0,	//457  void(*)(QtMsgType,const char*)
    3, 449, 0,	//459  QAbstractPrintDialog::PrintDialogOption, int
    390, 0,	//462  const QModelIndex&
    30, 30, 0,	//464  QDateTimeEdit::Section, QDateTimeEdit::Section
    236, 97, 0,	//467  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    27, 29, 0,	//470  QDataStream&, QDateTime&
    31, 372, 0,	//473  QDebug, const QEvent*
    15, 15, 0,	//476  QBool, QBool
    131, 131, 0,	//479  QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag
    444, 422, 0,	//482  const char*, const QStringRef&
    127, 449, 0,	//485  QFontComboBox::FontFilter, int
    340, 449, 0,	//488  Qt::ToolBarArea, int
    129, 449, 0,	//491  QGestureRecognizer::ResultFlag, int
    151, 151, 0,	//494  QImageIOPlugin::Capability, QImageIOPlugin::Capability
    27, 191, 0,	//497  QDataStream&, QPen&
    381, 431, 0,	//500  const QLine&, const QTransform&
    31, 403, 0,	//503  QDebug, const QPolygonF&
    312, 449, 0,	//506  Qt::InputMethodHint, int
    19, 419, 0,	//509  QChar, const QString&
    233, 94, 0,	//512  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    223, 449, 0,	//515  QString::SectionFlag, int
    130, 67, 0,	//518  QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>
    159, 449, 0,	//521  QLibrary::LoadHint, int
    31, 134, 0,	//524  QDebug, QGraphicsItem::GraphicsItemChange
    27, 261, 0,	//527  QDataStream&, QUrl&
    444, 444, 449, 0,	//530  const char*, const char*, int
    454, 0,	//534  long long
    405, 0,	//536  const QQuaternion&
    419, 222, 0,	//538  const QString&, QString::Null
    128, 128, 0,	//541  QFontDialog::FontDialogOption, QFontDialog::FontDialogOption
    431, 431, 0,	//544  const QTransform&, const QTransform&
    168, 449, 0,	//547  QMainWindow::DockOption, int
    27, 16, 0,	//550  QDataStream&, QBrush&
    1, 449, 0,	//553  QAbstractFileEngine::FileFlag, int
    243, 98, 0,	//556  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    392, 386, 0,	//559  const QPainterPath&, const QMatrix&
    312, 114, 0,	//562  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    168, 168, 0,	//565  QMainWindow::DockOption, QMainWindow::DockOption
    276, 108, 0,	//568  QWizard::WizardOption, QFlags<QWizard::WizardOption>
    27, 216, 0,	//571  QDataStream&, QSizePolicy&
    351, 124, 0,	//574  Qt::WindowType, QFlags<Qt::WindowType>
    186, 449, 449, 449, 449, 366, 449, 362, 0,	//577  QPainter*, int, int, int, int, const QColor&, int, const QBrush*
    186, 449, 449, 449, 449, 366, 0,	//586  QPainter*, int, int, int, int, const QColor&
    186, 449, 449, 449, 449, 366, 449, 0,	//593  QPainter*, int, int, int, int, const QColor&, int
    405, 447, 0,	//601  const QQuaternion&, double
    323, 323, 0,	//604  Qt::MouseButton, Qt::MouseButton
    359, 444, 0,	//607  char*, const char*
    193, 193, 0,	//610  QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag
    410, 386, 0,	//613  const QRegion&, const QMatrix&
    278, 278, 0,	//616  Qt::AlignmentFlag, Qt::AlignmentFlag
    399, 0,	//619  const QPoint&
    300, 449, 0,	//621  Qt::DropAction, int
    27, 430, 0,	//624  QDataStream&, const QTime&
    34, 449, 0,	//627  QDir::SortFlag, int
    385, 385, 0,	//630  const QMargins&, const QMargins&
    186, 406, 393, 357, 449, 449, 362, 0,	//633  QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*
    186, 406, 393, 0,	//641  QPainter*, const QRect&, const QPalette&
    186, 406, 393, 357, 0,	//645  QPainter*, const QRect&, const QPalette&, bool
    186, 406, 393, 357, 449, 0,	//650  QPainter*, const QRect&, const QPalette&, bool, int
    186, 406, 393, 357, 449, 449, 0,	//656  QPainter*, const QRect&, const QPalette&, bool, int, int
    27, 392, 0,	//663  QDataStream&, const QPainterPath&
    443, 387, 0,	//666  const QVector4D&, const QMatrix4x4&
    244, 449, 0,	//669  QTextDocument::FindFlag, int
    180, 0,	//672  QObject*(*)()
    31, 378, 0,	//674  QDebug, const QItemSelectionRange&
    31, 379, 0,	//677  QDebug, const QKeySequence&
    36, 36, 0,	//680  QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature
    186, 406, 385, 397, 0,	//683  QPainter*, const QRect&, const QMargins&, const QPixmap&
    443, 447, 0,	//688  const QVector4D&, double
    251, 416, 0,	//691  QTextStream&, const QSplitter&
    321, 321, 0,	//694  Qt::MatchFlag, Qt::MatchFlag
    457, 0,	//697  size_t
    298, 110, 0,	//699  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    27, 225, 0,	//702  QDataStream&, QStringList&
    234, 234, 0,	//705  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    155, 76, 0,	//708  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    27, 441, 0,	//711  QDataStream&, const QVector3D&
    31, 436, 0,	//714  QDebug, const QVariant::Type
    298, 449, 0,	//717  Qt::DockWidgetArea, int
    248, 102, 0,	//720  QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>
    27, 439, 0,	//723  QDataStream&, const QVector2D&
    27, 361, 0,	//726  QDataStream&, const QBrush&
    186, 406, 393, 357, 362, 0,	//729  QPainter*, const QRect&, const QPalette&, bool, const QBrush*
    174, 449, 0,	//735  QMdiSubWindow::SubWindowOption, int
    452, 0,	//738  long
    27, 432, 0,	//740  QDataStream&, const QTreeWidgetItem&
    449, 399, 0,	//743  int, const QPoint&
    463, 0,	//746  unsigned short
    247, 247, 0,	//748  QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag
    27, 163, 0,	//751  QDataStream&, QLineF&
    183, 183, 0,	//754  QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag
    27, 377, 0,	//757  QDataStream&, const QImage&
    45, 45, 0,	//760  QFile::Permission, QFile::Permission
    153, 75, 0,	//763  QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>
    186, 406, 393, 357, 449, 362, 0,	//766  QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*
    27, 214, 0,	//773  QDataStream&, QSize&
    27, 157, 0,	//776  QDataStream&, QKeySequence&
    233, 233, 0,	//779  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    32, 449, 0,	//782  QDialogButtonBox::StandardButton, int
    247, 101, 0,	//785  QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>
    395, 0,	//788  const QPersistentModelIndex&
    31, 410, 0,	//790  QDebug, const QRegion&
    27, 443, 0,	//793  QDataStream&, const QVector4D&
    27, 376, 0,	//796  QDataStream&, const QIcon&
    27, 419, 0,	//799  QDataStream&, const QString&
    27, 369, 0,	//802  QDataStream&, const QDateTime&
    27, 270, 0,	//805  QDataStream&, QVector3D&
    391, 419, 388, 0,	//808  const QObject*, const QString&, const QMetaObject&
    186, 449, 449, 449, 449, 393, 357, 449, 362, 0,	//812  QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*
    186, 449, 449, 449, 449, 393, 357, 449, 0,	//822  QPainter*, int, int, int, int, const QPalette&, bool, int
    223, 223, 0,	//831  QString::SectionFlag, QString::SectionFlag
    27, 268, 0,	//834  QDataStream&, QVector2D&
    175, 449, 0,	//837  QMessageBox::StandardButton, int
    439, 447, 0,	//840  const QVector2D&, double
    231, 231, 0,	//843  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    401, 447, 0,	//846  const QPointF&, double
    357, 15, 0,	//849  bool, QBool
    145, 145, 0,	//852  QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag
    155, 155, 0,	//855  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    441, 447, 0,	//858  const QVector3D&, double
    153, 153, 0,	//861  QInputDialog::InputDialogOption, QInputDialog::InputDialogOption
    359, 444, 460, 0,	//864  char*, const char*, unsigned int
    447, 439, 0,	//868  double, const QVector2D&
    443, 0,	//871  const QVector4D&
    260, 105, 0,	//873  QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>
    27, 172, 0,	//876  QDataStream&, QMatrix4x4&
    234, 95, 0,	//879  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    245, 449, 0,	//882  QTextEdit::AutoFormattingFlag, int
    233, 449, 0,	//885  QStyleOptionTab::CornerWidget, int
    27, 399, 0,	//888  QDataStream&, const QPoint&
    27, 265, 0,	//891  QDataStream&, QVariant&
    401, 387, 0,	//894  const QPointF&, const QMatrix4x4&
    323, 449, 0,	//897  Qt::MouseButton, int
    27, 150, 0,	//900  QDataStream&, QImage&
    401, 0,	//903  const QPointF&
    31, 423, 0,	//905  QDebug, const QStyleOption&
    3, 49, 0,	//908  QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>
    27, 192, 0,	//911  QDataStream&, QPicture&
    24, 449, 0,	//914  QColorDialog::ColorDialogOption, int
    31, 395, 0,	//917  QDebug, const QPersistentModelIndex&
    403, 386, 0,	//920  const QPolygonF&, const QMatrix&
    27, 272, 0,	//923  QDataStream&, QVector4D&
    24, 24, 0,	//926  QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption
    444, 444, 444, 449, 0,	//929  const char*, const char*, const char*, int
    448, 399, 0,	//934  float, const QPoint&
    46, 46, 0,	//937  QFileDialog::Option, QFileDialog::Option
    250, 250, 0,	//940  QTextOption::Flag, QTextOption::Flag
    325, 119, 0,	//943  Qt::Orientation, QFlags<Qt::Orientation>
    27, 387, 0,	//946  QDataStream&, const QMatrix4x4&
    386, 386, 0,	//949  const QMatrix&, const QMatrix&
    44, 449, 0,	//952  QEventLoop::ProcessEventsFlag, int
    407, 407, 0,	//955  const QRectF&, const QRectF&
    449, 449, 449, 449, 0,	//958  int, int, int, int
    27, 258, 0,	//963  QDataStream&, QTransform&
    27, 417, 0,	//966  QDataStream&, const QStandardItem&
    31, 136, 0,	//969  QDebug, QGraphicsObject*
    310, 113, 0,	//972  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    447, 443, 0,	//975  double, const QVector4D&
    10, 449, 0,	//978  QAccessible::RelationFlag, int
    174, 81, 0,	//981  QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>
    27, 420, 0,	//984  QDataStream&, const QStringList&
    31, 387, 0,	//987  QDebug, const QMatrix4x4&
    364, 358, 0,	//990  const QByteArray&, char
    35, 35, 0,	//993  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    33, 56, 0,	//996  QDir::Filter, QFlags<QDir::Filter>
    27, 196, 0,	//999  QDataStream&, QPoint&
    414, 447, 0,	//1002  const QSizeF&, double
    27, 368, 0,	//1005  QDataStream&, const QDate&
    236, 449, 0,	//1008  QStyleOptionViewItemV2::ViewItemFeature, int
    465, 0,	//1011  void(*)()
    445, 449, 449, 0,	//1013  const unsigned char*, int, int
    217, 217, 0,	//1017  QSizePolicy::ControlType, QSizePolicy::ControlType
    27, 381, 0,	//1020  QDataStream&, const QLine&
    27, 170, 0,	//1023  QDataStream&, QMatrix&
    32, 32, 0,	//1026  QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton
    27, 221, 0,	//1029  QDataStream&, QString&
    228, 228, 0,	//1032  QStyle::StateFlag, QStyle::StateFlag
    27, 383, 0,	//1035  QDataStream&, const QListWidgetItem&
    231, 449, 0,	//1038  QStyleOptionFrameV2::FrameFeature, int
    467, 0,	//1041  void*
    31, 69, 0,	//1043  QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>
    382, 386, 0,	//1046  const QLineF&, const QMatrix&
    27, 427, 0,	//1049  QDataStream&, const QTextFormat&
    315, 449, 0,	//1052  Qt::ItemFlag, int
    27, 259, 0,	//1055  QDataStream&, QTreeWidgetItem&
    31, 370, 0,	//1058  QDebug, const QDir&
    251, 252, 0,	//1061  QTextStream&, QTextStream&(*)(QTextStream&)
    31, 394, 0,	//1064  QDebug, const QPen&
    447, 405, 0,	//1067  double, const QQuaternion&
    31, 390, 0,	//1070  QDebug, const QModelIndex&
    135, 69, 0,	//1073  QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>
    31, 441, 0,	//1076  QDebug, const QVector3D&
    248, 248, 0,	//1079  QTextItem::RenderFlag, QTextItem::RenderFlag
    44, 44, 0,	//1082  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    360, 0,	//1085  const QBitArray&
    31, 439, 0,	//1087  QDebug, const QVector2D&
    151, 74, 0,	//1090  QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>
    31, 430, 0,	//1093  QDebug, const QTime&
    251, 254, 0,	//1096  QTextStream&, QTextStreamManipulator
    31, 443, 0,	//1099  QDebug, const QVector4D&
    27, 246, 0,	//1102  QDataStream&, QTextFormat&
    305, 112, 0,	//1105  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    422, 444, 0,	//1108  const QStringRef&, const char*
    235, 449, 0,	//1111  QStyleOptionToolButton::ToolButtonFeature, int
    217, 87, 0,	//1114  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    275, 275, 0,	//1117  QWidget::RenderFlag, QWidget::RenderFlag
    27, 14, 0,	//1120  QDataStream&, QBitArray&
    27, 200, 0,	//1123  QDataStream&, QPolygon&
    27, 210, 0,	//1126  QDataStream&, QRegion&
    4, 4, 0,	//1129  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    27, 415, 0,	//1132  QDataStream&, const QSizePolicy&
    235, 235, 0,	//1135  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    36, 449, 0,	//1138  QDockWidget::DockWidgetFeature, int
    457, 457, 0,	//1141  size_t, size_t
    137, 70, 0,	//1144  QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>
    399, 431, 0,	//1147  const QPoint&, const QTransform&
    453, 449, 451, 451, 359, 457, 0,	//1150  long double, int, int*, int*, char*, size_t
    31, 414, 0,	//1157  QDebug, const QSizeF&
    305, 449, 0,	//1160  Qt::GestureFlag, int
    358, 364, 0,	//1163  char, const QByteArray&
    228, 449, 0,	//1166  QStyle::StateFlag, int
    27, 435, 0,	//1169  QDataStream&, const QVariant&
    235, 96, 0,	//1172  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    31, 435, 0,	//1175  QDebug, const QVariant&
    11, 11, 0,	//1178  QAccessible::StateFlag, QAccessible::StateFlag
    187, 187, 0,	//1181  QPainter::RenderHint, QPainter::RenderHint
    350, 449, 0,	//1184  Qt::WindowState, int
    27, 255, 0,	//1187  QDataStream&, QTime&
    27, 194, 0,	//1190  QDataStream&, QPixmap&
    30, 54, 0,	//1193  QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>
    250, 103, 0,	//1196  QTextOption::Flag, QFlags<QTextOption::Flag>
    31, 56, 0,	//1199  QDebug, QFlags<QDir::Filter>
    318, 318, 0,	//1202  Qt::KeyboardModifier, Qt::KeyboardModifier
    447, 401, 0,	//1205  double, const QPointF&
    27, 42, 0,	//1208  QDataStream&, QEasingCurve&
    300, 111, 0,	//1211  Qt::DropAction, QFlags<Qt::DropAction>
    410, 431, 0,	//1214  const QRegion&, const QTransform&
    412, 447, 0,	//1217  const QSize&, double
    31, 368, 0,	//1220  QDebug, const QDate&
    392, 431, 0,	//1223  const QPainterPath&, const QTransform&
    11, 52, 0,	//1226  QAccessible::StateFlag, QFlags<QAccessible::StateFlag>
    33, 33, 0,	//1229  QDir::Filter, QDir::Filter
    359, 457, 444, 464, 0,	//1232  char*, size_t, const char*, va_list
    447, 399, 0,	//1237  double, const QPoint&
    403, 431, 0,	//1240  const QPolygonF&, const QTransform&
    467, 449, 457, 0,	//1243  void*, int, size_t
    27, 382, 0,	//1247  QDataStream&, const QLineF&
    444, 449, 0,	//1250  const char*, int
    455, 0,	//1253  short
    174, 174, 0,	//1255  QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption
    148, 148, 0,	//1258  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    298, 298, 0,	//1261  Qt::DockWidgetArea, Qt::DockWidgetArea
    34, 57, 0,	//1264  QDir::SortFlag, QFlags<QDir::SortFlag>
    448, 448, 0,	//1267  float, float
    435, 437, 0,	//1270  const QVariant&, const QVariantComparisonHelper&
    153, 449, 0,	//1273  QInputDialog::InputDialogOption, int
    159, 159, 0,	//1276  QLibrary::LoadHint, QLibrary::LoadHint
    453, 449, 359, 0,	//1279  long double, int, char*
    467, 457, 457, 450, 0,	//1283  void*, size_t, size_t, int(*)(const void*,const void*)
    260, 260, 0,	//1288  QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag
    232, 93, 0,	//1291  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>
    145, 72, 0,	//1294  QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>
    35, 449, 0,	//1297  QDirIterator::IteratorFlag, int
    312, 312, 0,	//1300  Qt::InputMethodHint, Qt::InputMethodHint
    137, 449, 0,	//1303  QGraphicsScene::SceneLayer, int
    27, 394, 0,	//1306  QDataStream&, const QPen&
    184, 184, 0,	//1309  QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature
    27, 189, 0,	//1312  QDataStream&, QPainterPath&
    31, 381, 0,	//1315  QDebug, const QLine&
    337, 337, 0,	//1318  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    186, 449, 449, 449, 449, 393, 357, 449, 449, 362, 0,	//1321  QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*
    186, 449, 449, 449, 449, 393, 357, 449, 449, 0,	//1332  QPainter*, int, int, int, int, const QPalette&, bool, int, int
    343, 449, 0,	//1342  Qt::TouchPointState, int
    27, 249, 0,	//1345  QDataStream&, QTextLength&
    31, 431, 0,	//1348  QDebug, const QTransform&
    260, 449, 0,	//1351  QTreeWidgetItemIterator::IteratorFlag, int
    364, 449, 0,	//1354  const QByteArray&, int
    31, 402, 0,	//1357  QDebug, const QPolygon&
    262, 106, 0,	//1360  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    4, 449, 0,	//1363  QAbstractSpinBox::StepEnabledFlag, int
    217, 449, 0,	//1366  QSizePolicy::ControlType, int
    137, 137, 0,	//1369  QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer
    337, 449, 0,	//1372  Qt::TextInteractionFlag, int
    350, 350, 0,	//1375  Qt::WindowState, Qt::WindowState
    247, 449, 0,	//1378  QTextFormat::PageBreakFlag, int
    439, 0,	//1381  const QVector2D&
    1, 47, 0,	//1383  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    27, 366, 0,	//1386  QDataStream&, const QColor&
    447, 387, 0,	//1389  double, const QMatrix4x4&
    27, 364, 0,	//1392  QDataStream&, const QByteArray&
    10, 10, 0,	//1395  QAccessible::RelationFlag, QAccessible::RelationFlag
    27, 371, 0,	//1398  QDataStream&, const QEasingCurve&
    381, 386, 0,	//1401  const QLine&, const QMatrix&
    27, 433, 0,	//1404  QDataStream&, const QUrl&
    31, 406, 0,	//1407  QDebug, const QRect&
    31, 373, 0,	//1410  QDebug, const QFont&
    34, 34, 0,	//1413  QDir::SortFlag, QDir::SortFlag
    24, 53, 0,	//1416  QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>
    144, 449, 0,	//1419  QGraphicsView::CacheModeFlag, int
    253, 449, 0,	//1422  QTextStream::NumberFlag, int
    27, 205, 0,	//1425  QDataStream&, QRect&
    173, 173, 0,	//1428  QMdiArea::AreaOption, QMdiArea::AreaOption
    27, 412, 0,	//1431  QDataStream&, const QSize&
    27, 365, 0,	//1434  QDataStream&, const QChar&
    127, 64, 0,	//1437  QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>
    158, 156, 0,	//1440  QKeySequence::StandardKey, QKeyEvent*
    128, 65, 0,	//1443  QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>
    228, 89, 0,	//1446  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    278, 449, 0,	//1449  Qt::AlignmentFlag, int
    27, 165, 0,	//1452  QDataStream&, QListWidgetItem&
    27, 408, 0,	//1455  QDataStream&, const QRegExp&
    151, 449, 0,	//1458  QImageIOPlugin::Capability, int
    244, 99, 0,	//1461  QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>
    441, 0,	//1464  const QVector3D&
    31, 407, 0,	//1466  QDebug, const QRectF&
    350, 123, 0,	//1469  Qt::WindowState, QFlags<Qt::WindowState>
    131, 68, 0,	//1472  QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>
    315, 315, 0,	//1475  Qt::ItemFlag, Qt::ItemFlag
    27, 263, 0,	//1478  QDataStream&, QUuid&
    27, 126, 0,	//1481  QDataStream&, QFont&
    186, 406, 366, 449, 362, 0,	//1484  QPainter*, const QRect&, const QColor&, int, const QBrush*
    186, 406, 366, 0,	//1490  QPainter*, const QRect&, const QColor&
    186, 406, 366, 449, 0,	//1494  QPainter*, const QRect&, const QColor&, int
    27, 202, 0,	//1499  QDataStream&, QPolygonF&
    135, 135, 0,	//1502  QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag
    234, 449, 0,	//1505  QStyleOptionToolBar::ToolBarFeature, int
    399, 449, 0,	//1508  const QPoint&, int
    27, 267, 0,	//1511  QDataStream&, QVariant::Type&
    187, 449, 0,	//1514  QPainter::RenderHint, int
    435, 266, 467, 0,	//1517  const QVariant&, QVariant::Type, void*
    31, 89, 0,	//1521  QDebug, QFlags<QStyle::StateFlag>
    2, 449, 0,	//1524  QAbstractItemView::EditTrigger, int
    399, 387, 0,	//1527  const QPoint&, const QMatrix4x4&
    399, 386, 0,	//1530  const QPoint&, const QMatrix&
    3, 3, 0,	//1533  QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption
    391, 419, 409, 388, 164, 0,	//1536  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    375, 375, 0,	//1542  const QHashDummyValue&, const QHashDummyValue&
    27, 198, 0,	//1545  QDataStream&, QPointF&
    325, 449, 0,	//1548  Qt::Orientation, int
    236, 236, 0,	//1551  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    387, 441, 0,	//1554  const QMatrix4x4&, const QVector3D&
    27, 426, 0,	//1557  QDataStream&, const QTableWidgetItem&
    31, 132, 0,	//1560  QDebug, QGraphicsItem*
    186, 399, 399, 393, 357, 449, 449, 0,	//1563  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int
    186, 399, 399, 393, 0,	//1571  QPainter*, const QPoint&, const QPoint&, const QPalette&
    186, 399, 399, 393, 357, 0,	//1576  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool
    186, 399, 399, 393, 357, 449, 0,	//1582  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int
    305, 305, 0,	//1589  Qt::GestureFlag, Qt::GestureFlag
    148, 73, 0,	//1592  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    130, 449, 0,	//1595  QGraphicsBlurEffect::BlurHint, int
    387, 401, 0,	//1598  const QMatrix4x4&, const QPointF&
    184, 84, 0,	//1601  QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>
    27, 373, 0,	//1604  QDataStream&, const QFont&
    130, 130, 0,	//1607  QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint
    402, 431, 0,	//1610  const QPolygon&, const QTransform&
    183, 449, 0,	//1613  QPaintEngine::DirtyFlag, int
    399, 448, 0,	//1616  const QPoint&, float
    447, 412, 0,	//1619  double, const QSize&
    155, 449, 0,	//1622  QItemSelectionModel::SelectionFlag, int
    15, 357, 0,	//1625  QBool, bool
    32, 55, 0,	//1628  QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>
    27, 161, 0,	//1631  QDataStream&, QLine&
    31, 412, 0,	//1634  QDebug, const QSize&
    229, 449, 0,	//1637  QStyle::SubControl, int
    253, 253, 0,	//1640  QTextStream::NumberFlag, QTextStream::NumberFlag
    382, 431, 0,	//1643  const QLineF&, const QTransform&
    128, 449, 0,	//1646  QFontDialog::FontDialogOption, int
    323, 118, 0,	//1649  Qt::MouseButton, QFlags<Qt::MouseButton>
    27, 436, 0,	//1652  QDataStream&, const QVariant::Type
    244, 244, 0,	//1655  QTextDocument::FindFlag, QTextDocument::FindFlag
    232, 449, 0,	//1658  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int
    315, 115, 0,	//1661  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    401, 431, 0,	//1664  const QPointF&, const QTransform&
    31, 366, 0,	//1667  QDebug, const QColor&
    31, 386, 0,	//1670  QDebug, const QMatrix&
    27, 434, 0,	//1673  QDataStream&, const QUuid&
    159, 77, 0,	//1676  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    351, 449, 0,	//1679  Qt::WindowType, int
    230, 449, 0,	//1682  QStyleOptionButton::ButtonFeature, int
    27, 207, 0,	//1685  QDataStream&, QRectF&
    230, 91, 0,	//1688  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    144, 71, 0,	//1691  QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>
    27, 26, 0,	//1694  QDataStream&, QCursor&
    135, 449, 0,	//1697  QGraphicsItem::GraphicsItemFlag, int
    27, 406, 0,	//1700  QDataStream&, const QRect&
    321, 117, 0,	//1703  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    278, 109, 0,	//1706  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    27, 20, 0,	//1709  QDataStream&, QChar&
    27, 208, 0,	//1712  QDataStream&, QRegExp&
    461, 0,	//1715  unsigned long
    27, 405, 0,	//1717  QDataStream&, const QQuaternion&
    11, 449, 0,	//1720  QAccessible::StateFlag, int
    27, 401, 0,	//1723  QDataStream&, const QPointF&
    193, 449, 0,	//1726  QPinchGesture::ChangeFlag, int
    27, 414, 0,	//1729  QDataStream&, const QSizeF&
    167, 78, 0,	//1732  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    248, 449, 0,	//1735  QTextItem::RenderFlag, int
    186, 406, 385, 397, 406, 385, 429, 60, 0,	//1738  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>
    186, 406, 385, 397, 406, 385, 0,	//1747  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&
    186, 406, 385, 397, 406, 385, 429, 0,	//1754  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&
    223, 88, 0,	//1762  QString::SectionFlag, QFlags<QString::SectionFlag>
    419, 419, 0,	//1765  const QString&, const QString&
    1, 1, 0,	//1768  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    354, 444, 0,	//1771  QtMsgType, const char*
    31, 392, 0,	//1774  QDebug, const QPainterPath&
    447, 441, 0,	//1777  double, const QVector3D&
    422, 0,	//1780  const QStringRef&
    148, 449, 0,	//1782  QIODevice::OpenModeFlag, int
    4, 50, 0,	//1785  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    458, 0,	//1788  unsigned char
    27, 18, 0,	//1790  QDataStream&, QByteArray&
    127, 127, 0,	//1793  QFontComboBox::FontFilter, QFontComboBox::FontFilter
    402, 386, 0,	//1796  const QPolygon&, const QMatrix&
    31, 424, 0,	//1799  QDebug, const QStyleOption::OptionType&
    31, 391, 0,	//1802  QDebug, const QObject*
    321, 449, 0,	//1805  Qt::MatchFlag, int
    27, 402, 0,	//1808  QDataStream&, const QPolygon&
    27, 28, 0,	//1811  QDataStream&, QDate&
    27, 360, 0,	//1814  QDataStream&, const QBitArray&
    374, 316, 0,	//1817  const QGraphicsItem*, Qt::ItemSelectionMode
    392, 316, 0,	//1820  const QPainterPath&, Qt::ItemSelectionMode
    374, 0,	//1823  const QGraphicsItem*
    132, 43, 0,	//1825  QGraphicsItem*, QEvent*
    43, 0,	//1828  QEvent*
    138, 0,	//1830  QGraphicsSceneContextMenuEvent*
    139, 0,	//1832  QGraphicsSceneDragDropEvent*
    125, 0,	//1834  QFocusEvent*
    140, 0,	//1836  QGraphicsSceneHoverEvent*
    156, 0,	//1838  QKeyEvent*
    141, 0,	//1840  QGraphicsSceneMouseEvent*
    142, 0,	//1842  QGraphicsSceneWheelEvent*
    154, 0,	//1844  QInputMethodEvent*
    313, 0,	//1846  Qt::InputMethodQuery
    134, 435, 0,	//1848  QGraphicsItem::GraphicsItemChange, const QVariant&
    133, 0,	//1851  QGraphicsItem::Extension
    133, 435, 0,	//1853  QGraphicsItem::Extension, const QVariant&
    435, 0,	//1856  const QVariant&
    176, 449, 468, 0,	//1858  QMetaObject::Call, int, void**
    132, 0,	//1862  QGraphicsItem*
    419, 132, 0,	//1864  const QString&, QGraphicsItem*
    238, 0,	//1867  QSvgRenderer*
    357, 0,	//1869  bool
    412, 0,	//1871  const QSize&
    186, 425, 274, 0,	//1873  QPainter*, const QStyleOptionGraphicsItem*, QWidget*
    186, 425, 0,	//1877  QPainter*, const QStyleOptionGraphicsItem*
    179, 43, 0,	//1880  QObject*, QEvent*
    256, 0,	//1883  QTimerEvent*
    21, 0,	//1885  QChildEvent*
    406, 0,	//1887  const QRect&
    407, 0,	//1889  const QRectF&
    147, 0,	//1891  QIODevice*
    181, 0,	//1893  QPaintDevice::PaintDeviceMetric
    179, 0,	//1895  QObject*
    419, 179, 0,	//1897  const QString&, QObject*
    364, 179, 0,	//1900  const QByteArray&, QObject*
    277, 179, 0,	//1903  QXmlStreamReader*, QObject*
    277, 0,	//1906  QXmlStreamReader*
    186, 0,	//1908  QPainter*
    186, 407, 0,	//1910  QPainter*, const QRectF&
    186, 419, 407, 0,	//1913  QPainter*, const QString&, const QRectF&
    186, 419, 0,	//1917  QPainter*, const QString&
    274, 0,	//1920  QWidget*
    419, 274, 0,	//1922  const QString&, QWidget*
    185, 0,	//1925  QPaintEvent*
    177, 0,	//1927  QMouseEvent*
    273, 0,	//1929  QWheelEvent*
    178, 0,	//1931  QMoveEvent*
    211, 0,	//1933  QResizeEvent*
    22, 0,	//1935  QCloseEvent*
    25, 0,	//1937  QContextMenuEvent*
    241, 0,	//1939  QTabletEvent*
    12, 0,	//1941  QActionEvent*
    37, 0,	//1943  QDragEnterEvent*
    39, 0,	//1945  QDragMoveEvent*
    38, 0,	//1947  QDragLeaveEvent*
    41, 0,	//1949  QDropEvent*
    212, 0,	//1951  QShowEvent*
    146, 0,	//1953  QHideEvent*
    355, 0,	//1955  _XEvent*
    227, 0,	//1957  QStyle&
    393, 0,	//1959  const QPalette&
    373, 0,	//1961  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "DeviceCoordinateCache",	//1
    "DrawChildren",	//2
    "DrawWindowBackground",	//3
    "IgnoreMask",	//4
    "ItemAcceptsInputMethod",	//5
    "ItemChildAddedChange",	//6
    "ItemChildRemovedChange",	//7
    "ItemClipsChildrenToShape",	//8
    "ItemClipsToShape",	//9
    "ItemCoordinateCache",	//10
    "ItemCursorChange",	//11
    "ItemCursorHasChanged",	//12
    "ItemDoesntPropagateOpacityToChildren",	//13
    "ItemEnabledChange",	//14
    "ItemEnabledHasChanged",	//15
    "ItemFlagsChange",	//16
    "ItemFlagsHaveChanged",	//17
    "ItemHasNoContents",	//18
    "ItemIgnoresParentOpacity",	//19
    "ItemIgnoresTransformations",	//20
    "ItemIsFocusScope",	//21
    "ItemIsFocusable",	//22
    "ItemIsMovable",	//23
    "ItemIsPanel",	//24
    "ItemIsSelectable",	//25
    "ItemMatrixChange",	//26
    "ItemNegativeZStacksBehindParent",	//27
    "ItemOpacityChange",	//28
    "ItemOpacityHasChanged",	//29
    "ItemParentChange",	//30
    "ItemParentHasChanged",	//31
    "ItemPositionChange",	//32
    "ItemPositionHasChanged",	//33
    "ItemRotationChange",	//34
    "ItemRotationHasChanged",	//35
    "ItemScaleChange",	//36
    "ItemScaleHasChanged",	//37
    "ItemSceneChange",	//38
    "ItemSceneHasChanged",	//39
    "ItemScenePositionHasChanged",	//40
    "ItemSelectedChange",	//41
    "ItemSelectedHasChanged",	//42
    "ItemSendsGeometryChanges",	//43
    "ItemSendsScenePositionChanges",	//44
    "ItemStacksBehindParent",	//45
    "ItemStopsClickFocusPropagation",	//46
    "ItemStopsFocusHandling",	//47
    "ItemToolTipChange",	//48
    "ItemToolTipHasChanged",	//49
    "ItemTransformChange",	//50
    "ItemTransformHasChanged",	//51
    "ItemTransformOriginPointChange",	//52
    "ItemTransformOriginPointHasChanged",	//53
    "ItemUsesExtendedStyleOption",	//54
    "ItemVisibleChange",	//55
    "ItemVisibleHasChanged",	//56
    "ItemZValueChange",	//57
    "ItemZValueHasChanged",	//58
    "NoCache",	//59
    "NonModal",	//60
    "PanelModal",	//61
    "PdmDepth",	//62
    "PdmDpiX",	//63
    "PdmDpiY",	//64
    "PdmHeight",	//65
    "PdmHeightMM",	//66
    "PdmNumColors",	//67
    "PdmPhysicalDpiX",	//68
    "PdmPhysicalDpiY",	//69
    "PdmWidth",	//70
    "PdmWidthMM",	//71
    "QGraphicsSvgItem",	//72
    "QGraphicsSvgItem#",	//73
    "QGraphicsSvgItem$",	//74
    "QGraphicsSvgItem$#",	//75
    "QSvgGenerator",	//76
    "QSvgRenderer",	//77
    "QSvgRenderer#",	//78
    "QSvgRenderer##",	//79
    "QSvgRenderer$",	//80
    "QSvgRenderer$#",	//81
    "QSvgWidget",	//82
    "QSvgWidget#",	//83
    "QSvgWidget$",	//84
    "QSvgWidget$#",	//85
    "QtCriticalMsg",	//86
    "QtDebugMsg",	//87
    "QtFatalMsg",	//88
    "QtSystemMsg",	//89
    "QtWarningMsg",	//90
    "SP_CustomCameraCaptureButton",	//91
    "SP_CustomCameraCaptureButtonPressed",	//92
    "SP_CustomCameraPauseButton",	//93
    "SP_CustomCameraPauseButtonPressed",	//94
    "SP_CustomCameraPlayButton",	//95
    "SP_CustomCameraPlayButtonPressed",	//96
    "SP_CustomCameraRecButton",	//97
    "SP_CustomCameraRecButtonPressed",	//98
    "SP_CustomCameraStopButton",	//99
    "SP_CustomCameraStopButtonPressed",	//100
    "SP_CustomTabAll",	//101
    "SP_CustomTabArtist",	//102
    "SP_CustomTabFavourite",	//103
    "SP_CustomTabGenre",	//104
    "SP_CustomTabLanguage",	//105
    "SP_CustomTabMusicAlbum",	//106
    "SP_CustomTabPhotosAlbum",	//107
    "SP_CustomTabPhotosAll",	//108
    "SP_CustomTabPlaylist",	//109
    "SP_CustomTabServices",	//110
    "SP_CustomTabSongs",	//111
    "SP_CustomTabVideos",	//112
    "SP_CustomToolBarAdd",	//113
    "SP_CustomToolBarAddDetail",	//114
    "SP_CustomToolBarAgain",	//115
    "SP_CustomToolBarAgenda",	//116
    "SP_CustomToolBarAudioOff",	//117
    "SP_CustomToolBarAudioOn",	//118
    "SP_CustomToolBarBack",	//119
    "SP_CustomToolBarBluetoothOff",	//120
    "SP_CustomToolBarBluetoothOn",	//121
    "SP_CustomToolBarCancel",	//122
    "SP_CustomToolBarDelete",	//123
    "SP_CustomToolBarDone",	//124
    "SP_CustomToolBarEdit",	//125
    "SP_CustomToolBarEditDisabled",	//126
    "SP_CustomToolBarEmailSend",	//127
    "SP_CustomToolBarEmergencyCall",	//128
    "SP_CustomToolBarFavouriteAdd",	//129
    "SP_CustomToolBarFavouriteRemove",	//130
    "SP_CustomToolBarFavourites",	//131
    "SP_CustomToolBarGo",	//132
    "SP_CustomToolBarHome",	//133
    "SP_CustomToolBarImageTools",	//134
    "SP_CustomToolBarList",	//135
    "SP_CustomToolBarLock",	//136
    "SP_CustomToolBarLogs",	//137
    "SP_CustomToolBarMenu",	//138
    "SP_CustomToolBarNewContact",	//139
    "SP_CustomToolBarNewGroup",	//140
    "SP_CustomToolBarNextFrame",	//141
    "SP_CustomToolBarNowPlay",	//142
    "SP_CustomToolBarOptions",	//143
    "SP_CustomToolBarOther",	//144
    "SP_CustomToolBarOvi",	//145
    "SP_CustomToolBarPreviousFrame",	//146
    "SP_CustomToolBarRead",	//147
    "SP_CustomToolBarRedo",	//148
    "SP_CustomToolBarRedoDisabled",	//149
    "SP_CustomToolBarRefresh",	//150
    "SP_CustomToolBarRemoveDetail",	//151
    "SP_CustomToolBarRemoveDisabled",	//152
    "SP_CustomToolBarRepeat",	//153
    "SP_CustomToolBarRepeatOff",	//154
    "SP_CustomToolBarRepeatOne",	//155
    "SP_CustomToolBarSearch",	//156
    "SP_CustomToolBarSearchDisabled",	//157
    "SP_CustomToolBarSelectContent",	//158
    "SP_CustomToolBarSelfTimer",	//159
    "SP_CustomToolBarSend",	//160
    "SP_CustomToolBarSendDimmed",	//161
    "SP_CustomToolBarShare",	//162
    "SP_CustomToolBarShift",	//163
    "SP_CustomToolBarShuffle",	//164
    "SP_CustomToolBarShuffleOff",	//165
    "SP_CustomToolBarSignalOff",	//166
    "SP_CustomToolBarSignalOn",	//167
    "SP_CustomToolBarSync",	//168
    "SP_CustomToolBarTools",	//169
    "SP_CustomToolBarTrim",	//170
    "SP_CustomToolBarUnlock",	//171
    "SP_CustomToolBarUnmark",	//172
    "SP_CustomToolBarView",	//173
    "SP_CustomToolBarWlanOff",	//174
    "SP_CustomToolBarWlanOn",	//175
    "SceneModal",	//176
    "Type",	//177
    "UserExtension",	//178
    "UserType",	//179
    "__codecvt_error",	//180
    "__codecvt_noconv",	//181
    "__codecvt_ok",	//182
    "__codecvt_partial",	//183
    "actionEvent",	//184
    "advance",	//185
    "animated",	//186
    "animationDuration",	//187
    "boundingRect",	//188
    "boundsOnElement",	//189
    "boundsOnElement$",	//190
    "changeEvent",	//191
    "childEvent",	//192
    "closeEvent",	//193
    "collidesWithItem",	//194
    "collidesWithPath",	//195
    "connectNotify",	//196
    "contains",	//197
    "contextMenuEvent",	//198
    "currentFrame",	//199
    "customEvent",	//200
    "defaultSize",	//201
    "description",	//202
    "devType",	//203
    "disconnectNotify",	//204
    "dragEnterEvent",	//205
    "dragLeaveEvent",	//206
    "dragMoveEvent",	//207
    "dropEvent",	//208
    "elementExists",	//209
    "elementExists$",	//210
    "elementId",	//211
    "enabledChange",	//212
    "enterEvent",	//213
    "event",	//214
    "eventFilter",	//215
    "extension",	//216
    "fileName",	//217
    "focusInEvent",	//218
    "focusNextPrevChild",	//219
    "focusOutEvent",	//220
    "fontChange",	//221
    "framesPerSecond",	//222
    "heightForWidth",	//223
    "hideEvent",	//224
    "hoverEnterEvent",	//225
    "hoverLeaveEvent",	//226
    "hoverMoveEvent",	//227
    "inputMethodEvent",	//228
    "inputMethodQuery",	//229
    "isCachingEnabled",	//230
    "isObscuredBy",	//231
    "isValid",	//232
    "itemChange",	//233
    "keyPressEvent",	//234
    "keyReleaseEvent",	//235
    "languageChange",	//236
    "leaveEvent",	//237
    "load",	//238
    "load#",	//239
    "load$",	//240
    "matrixForElement",	//241
    "matrixForElement$",	//242
    "maximumCacheSize",	//243
    "metaObject",	//244
    "metric",	//245
    "metric$",	//246
    "minimumSizeHint",	//247
    "mouseDoubleClickEvent",	//248
    "mouseMoveEvent",	//249
    "mousePressEvent",	//250
    "mouseReleaseEvent",	//251
    "moveEvent",	//252
    "opaqueArea",	//253
    "operator!=",	//254
    "operator!=##",	//255
    "operator!=#$",	//256
    "operator!=$#",	//257
    "operator&",	//258
    "operator&##",	//259
    "operator*",	//260
    "operator*##",	//261
    "operator*#$",	//262
    "operator*$#",	//263
    "operator+",	//264
    "operator+##",	//265
    "operator+#$",	//266
    "operator+$#",	//267
    "operator+$$",	//268
    "operator-",	//269
    "operator-#",	//270
    "operator-##",	//271
    "operator-#$",	//272
    "operator/",	//273
    "operator/#$",	//274
    "operator<",	//275
    "operator<##",	//276
    "operator<#$",	//277
    "operator<$#",	//278
    "operator<<",	//279
    "operator<<##",	//280
    "operator<<#$",	//281
    "operator<<#?",	//282
    "operator<=",	//283
    "operator<=##",	//284
    "operator<=#$",	//285
    "operator<=$#",	//286
    "operator==",	//287
    "operator==##",	//288
    "operator==#$",	//289
    "operator==$#",	//290
    "operator>",	//291
    "operator>##",	//292
    "operator>#$",	//293
    "operator>$#",	//294
    "operator>=",	//295
    "operator>=##",	//296
    "operator>=#$",	//297
    "operator>=$#",	//298
    "operator>>",	//299
    "operator>>##",	//300
    "operator>>#$",	//301
    "operator>>#?",	//302
    "operator^",	//303
    "operator^##",	//304
    "operator|",	//305
    "operator|##",	//306
    "operator|$$",	//307
    "outputDevice",	//308
    "paint",	//309
    "paint##",	//310
    "paint###",	//311
    "paintEngine",	//312
    "paintEvent",	//313
    "paintEvent#",	//314
    "paletteChange",	//315
    "qAccessibleActionCastHelper",	//316
    "qAccessibleEditableTextCastHelper",	//317
    "qAccessibleImageCastHelper",	//318
    "qAccessibleTable2CastHelper",	//319
    "qAccessibleTableCastHelper",	//320
    "qAccessibleTextCastHelper",	//321
    "qAccessibleValueCastHelper",	//322
    "qAcos",	//323
    "qAcos$",	//324
    "qAddPostRoutine",	//325
    "qAddPostRoutine$",	//326
    "qAlpha",	//327
    "qAlpha$",	//328
    "qAppName",	//329
    "qAsin",	//330
    "qAsin$",	//331
    "qAtan",	//332
    "qAtan$",	//333
    "qAtan2",	//334
    "qAtan2$$",	//335
    "qBadAlloc",	//336
    "qBlue",	//337
    "qBlue$",	//338
    "qCeil",	//339
    "qCeil$",	//340
    "qChecksum",	//341
    "qChecksum$$",	//342
    "qCompress",	//343
    "qCompress#",	//344
    "qCompress#$",	//345
    "qCompress$$",	//346
    "qCompress$$$",	//347
    "qCos",	//348
    "qCos$",	//349
    "qCritical",	//350
    "qDebug",	//351
    "qDrawBorderPixmap",	//352
    "qDrawBorderPixmap####",	//353
    "qDrawBorderPixmap######",	//354
    "qDrawBorderPixmap#######",	//355
    "qDrawBorderPixmap#######$",	//356
    "qDrawPlainRect",	//357
    "qDrawPlainRect###",	//358
    "qDrawPlainRect###$",	//359
    "qDrawPlainRect###$#",	//360
    "qDrawPlainRect#$$$$#",	//361
    "qDrawPlainRect#$$$$#$",	//362
    "qDrawPlainRect#$$$$#$#",	//363
    "qDrawShadeLine",	//364
    "qDrawShadeLine####",	//365
    "qDrawShadeLine####$",	//366
    "qDrawShadeLine####$$",	//367
    "qDrawShadeLine####$$$",	//368
    "qDrawShadeLine#$$$$#",	//369
    "qDrawShadeLine#$$$$#$",	//370
    "qDrawShadeLine#$$$$#$$",	//371
    "qDrawShadeLine#$$$$#$$$",	//372
    "qDrawShadePanel",	//373
    "qDrawShadePanel###",	//374
    "qDrawShadePanel###$",	//375
    "qDrawShadePanel###$$",	//376
    "qDrawShadePanel###$$#",	//377
    "qDrawShadePanel#$$$$#",	//378
    "qDrawShadePanel#$$$$#$",	//379
    "qDrawShadePanel#$$$$#$$",	//380
    "qDrawShadePanel#$$$$#$$#",	//381
    "qDrawShadeRect",	//382
    "qDrawShadeRect###",	//383
    "qDrawShadeRect###$",	//384
    "qDrawShadeRect###$$",	//385
    "qDrawShadeRect###$$$",	//386
    "qDrawShadeRect###$$$#",	//387
    "qDrawShadeRect#$$$$#",	//388
    "qDrawShadeRect#$$$$#$",	//389
    "qDrawShadeRect#$$$$#$$",	//390
    "qDrawShadeRect#$$$$#$$$",	//391
    "qDrawShadeRect#$$$$#$$$#",	//392
    "qDrawWinButton",	//393
    "qDrawWinButton###",	//394
    "qDrawWinButton###$",	//395
    "qDrawWinButton###$#",	//396
    "qDrawWinButton#$$$$#",	//397
    "qDrawWinButton#$$$$#$",	//398
    "qDrawWinButton#$$$$#$#",	//399
    "qDrawWinPanel",	//400
    "qDrawWinPanel###",	//401
    "qDrawWinPanel###$",	//402
    "qDrawWinPanel###$#",	//403
    "qDrawWinPanel#$$$$#",	//404
    "qDrawWinPanel#$$$$#$",	//405
    "qDrawWinPanel#$$$$#$#",	//406
    "qExp",	//407
    "qExp$",	//408
    "qFabs",	//409
    "qFabs$",	//410
    "qFastCos",	//411
    "qFastCos$",	//412
    "qFastSin",	//413
    "qFastSin$",	//414
    "qFlagLocation",	//415
    "qFlagLocation$",	//416
    "qFloor",	//417
    "qFloor$",	//418
    "qFree",	//419
    "qFree$",	//420
    "qFreeAligned",	//421
    "qFreeAligned$",	//422
    "qFuzzyCompare",	//423
    "qFuzzyCompare##",	//424
    "qFuzzyCompare$$",	//425
    "qFuzzyIsNull",	//426
    "qFuzzyIsNull$",	//427
    "qGray",	//428
    "qGray$",	//429
    "qGray$$$",	//430
    "qGreen",	//431
    "qGreen$",	//432
    "qHash",	//433
    "qHash#",	//434
    "qHash$",	//435
    "qInf",	//436
    "qInstallMsgHandler",	//437
    "qInstallMsgHandler$",	//438
    "qIntCast",	//439
    "qIntCast$",	//440
    "qIsFinite",	//441
    "qIsFinite$",	//442
    "qIsGray",	//443
    "qIsGray$",	//444
    "qIsInf",	//445
    "qIsInf$",	//446
    "qIsNaN",	//447
    "qIsNaN$",	//448
    "qIsNull",	//449
    "qIsNull$",	//450
    "qLn",	//451
    "qLn$",	//452
    "qMalloc",	//453
    "qMalloc$",	//454
    "qMallocAligned",	//455
    "qMallocAligned$$",	//456
    "qMemCopy",	//457
    "qMemCopy$$$",	//458
    "qMemSet",	//459
    "qMemSet$$$",	//460
    "qPow",	//461
    "qPow$$",	//462
    "qQNaN",	//463
    "qRealloc",	//464
    "qRealloc$$",	//465
    "qReallocAligned",	//466
    "qReallocAligned$$$$",	//467
    "qRed",	//468
    "qRed$",	//469
    "qRegisterStaticPluginInstanceFunction",	//470
    "qRegisterStaticPluginInstanceFunction#",	//471
    "qRemovePostRoutine",	//472
    "qRemovePostRoutine$",	//473
    "qRgb",	//474
    "qRgb$$$",	//475
    "qRgba",	//476
    "qRgba$$$$",	//477
    "qRound",	//478
    "qRound$",	//479
    "qRound64",	//480
    "qRound64$",	//481
    "qSNaN",	//482
    "qSetFieldWidth",	//483
    "qSetFieldWidth$",	//484
    "qSetPadChar",	//485
    "qSetPadChar#",	//486
    "qSetRealNumberPrecision",	//487
    "qSetRealNumberPrecision$",	//488
    "qSharedBuild",	//489
    "qSin",	//490
    "qSin$",	//491
    "qSqrt",	//492
    "qSqrt$",	//493
    "qStringComparisonHelper",	//494
    "qStringComparisonHelper#$",	//495
    "qTan",	//496
    "qTan$",	//497
    "qUncompress",	//498
    "qUncompress#",	//499
    "qUncompress$$",	//500
    "qVersion",	//501
    "qWarning",	//502
    "qbswap_helper",	//503
    "qbswap_helper$$$",	//504
    "qecvt",	//505
    "qecvt$$$$",	//506
    "qecvt_r",	//507
    "qecvt_r$$$$$$",	//508
    "qfcvt",	//509
    "qfcvt$$$$",	//510
    "qfcvt_r",	//511
    "qfcvt_r$$$$$$",	//512
    "qgcvt",	//513
    "qgcvt$$$",	//514
    "qgetenv",	//515
    "qgetenv$",	//516
    "qputenv",	//517
    "qputenv$#",	//518
    "qrand",	//519
    "qsort",	//520
    "qsort$$$$",	//521
    "qsrand",	//522
    "qsrand$",	//523
    "qstrcmp",	//524
    "qstrcmp##",	//525
    "qstrcmp#$",	//526
    "qstrcmp$#",	//527
    "qstrcmp$$",	//528
    "qstrcpy",	//529
    "qstrcpy$$",	//530
    "qstrdup",	//531
    "qstrdup$",	//532
    "qstricmp",	//533
    "qstricmp$$",	//534
    "qstrlen",	//535
    "qstrlen$",	//536
    "qstrncmp",	//537
    "qstrncmp$$$",	//538
    "qstrncpy",	//539
    "qstrncpy$$$",	//540
    "qstrnicmp",	//541
    "qstrnicmp$$$",	//542
    "qstrnlen",	//543
    "qstrnlen$$",	//544
    "qtTrId",	//545
    "qtTrId$",	//546
    "qtTrId$$",	//547
    "qt_assert",	//548
    "qt_assert$$$",	//549
    "qt_assert_x",	//550
    "qt_assert_x$$$$",	//551
    "qt_check_pointer",	//552
    "qt_check_pointer$$",	//553
    "qt_error_string",	//554
    "qt_error_string$",	//555
    "qt_message_output",	//556
    "qt_message_output$$",	//557
    "qt_metacall",	//558
    "qt_metacall$$?",	//559
    "qt_metacast",	//560
    "qt_metacast$",	//561
    "qt_noop",	//562
    "qt_qFindChild_helper",	//563
    "qt_qFindChild_helper#$#",	//564
    "qt_qFindChildren_helper",	//565
    "qt_qFindChildren_helper#$##?",	//566
    "qvariant_cast_helper",	//567
    "qvariant_cast_helper#$$",	//568
    "qvsnprintf",	//569
    "qvsnprintf$$$?",	//570
    "render",	//571
    "render#",	//572
    "render##",	//573
    "render#$",	//574
    "render#$#",	//575
    "renderer",	//576
    "repaintNeeded",	//577
    "resizeEvent",	//578
    "resolution",	//579
    "sceneEvent",	//580
    "sceneEventFilter",	//581
    "setCachingEnabled",	//582
    "setCachingEnabled$",	//583
    "setCurrentFrame",	//584
    "setCurrentFrame$",	//585
    "setDescription",	//586
    "setDescription$",	//587
    "setElementId",	//588
    "setElementId$",	//589
    "setExtension",	//590
    "setFileName",	//591
    "setFileName$",	//592
    "setFramesPerSecond",	//593
    "setFramesPerSecond$",	//594
    "setMaximumCacheSize",	//595
    "setMaximumCacheSize#",	//596
    "setOutputDevice",	//597
    "setOutputDevice#",	//598
    "setResolution",	//599
    "setResolution$",	//600
    "setSharedRenderer",	//601
    "setSharedRenderer#",	//602
    "setSize",	//603
    "setSize#",	//604
    "setTitle",	//605
    "setTitle$",	//606
    "setViewBox",	//607
    "setViewBox#",	//608
    "setVisible",	//609
    "shape",	//610
    "showEvent",	//611
    "size",	//612
    "sizeHint",	//613
    "staticMetaObject",	//614
    "styleChange",	//615
    "supportsExtension",	//616
    "tabletEvent",	//617
    "timerEvent",	//618
    "title",	//619
    "tr",	//620
    "tr$",	//621
    "tr$$",	//622
    "tr$$$",	//623
    "trUtf8",	//624
    "trUtf8$",	//625
    "trUtf8$$",	//626
    "trUtf8$$$",	//627
    "type",	//628
    "viewBox",	//629
    "viewBoxF",	//630
    "wheelEvent",	//631
    "windowActivationChange",	//632
    "x11Event",	//633
    "~QGraphicsSvgItem",	//634
    "~QSvgGenerator",	//635
    "~QSvgRenderer",	//636
    "~QSvgWidget",	//637
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {26, 305, 1, 2, Smoke::mf_static, 152, 1},	//1 QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    {26, 322, 0, 0, Smoke::mf_static, 9, 2},	//2 QGlobalSpace::qAccessibleValueCastHelper()
    {26, 295, 4, 2, Smoke::mf_static, 357, 3},	//3 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {26, 433, 7, 1, Smoke::mf_static, 460, 4},	//4 QGlobalSpace::qHash(unsigned long long)
    {26, 445, 9, 1, Smoke::mf_static, 357, 5},	//5 QGlobalSpace::qIsInf(double)
    {26, 305, 11, 2, Smoke::mf_static, 152, 6},	//6 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {26, 269, 14, 2, Smoke::mf_static, 171, 7},	//7 QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    {26, 305, 17, 2, Smoke::mf_static, 152, 8},	//8 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {26, 287, 20, 2, Smoke::mf_static, 357, 9},	//9 QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    {26, 254, 23, 2, Smoke::mf_static, 357, 10},	//10 QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    {26, 543, 26, 2, Smoke::mf_static, 460, 11},	//11 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {26, 457, 29, 3, Smoke::mf_static, 467, 12},	//12 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {26, 562, 0, 0, Smoke::mf_static, 0, 13},	//13 QGlobalSpace::qt_noop()
    {26, 279, 33, 2, Smoke::mf_static, 31, 14},	//14 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {26, 299, 36, 2, Smoke::mf_static, 27, 15},	//15 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {26, 260, 39, 2, Smoke::mf_static, 197, 16},	//16 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {26, 305, 42, 2, Smoke::mf_static, 83, 17},	//17 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    {26, 287, 45, 2, Smoke::mf_static, 357, 18},	//18 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {26, 287, 48, 2, Smoke::mf_static, 357, 19},	//19 QGlobalSpace::operator==(const QSize&, const QSize&)
    {26, 279, 51, 2, Smoke::mf_static, 27, 20},	//20 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {26, 305, 54, 2, Smoke::mf_static, 100, 21},	//21 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    {26, 264, 57, 2, Smoke::mf_static, 363, 22},	//22 QGlobalSpace::operator+(const char*, const QByteArray&)
    {26, 299, 60, 2, Smoke::mf_static, 27, 23},	//23 QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    {26, 305, 63, 2, Smoke::mf_static, 91, 24},	//24 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {26, 305, 66, 2, Smoke::mf_static, 80, 25},	//25 QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    {26, 305, 69, 2, Smoke::mf_static, 62, 26},	//26 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {26, 299, 72, 2, Smoke::mf_static, 27, 27},	//27 QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    {26, 524, 57, 2, Smoke::mf_static, 449, 28},	//28 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {26, 287, 75, 2, Smoke::mf_static, 357, 29},	//29 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {26, 279, 78, 2, Smoke::mf_static, 27, 30},	//30 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {26, 334, 81, 2, Smoke::mf_static, 447, 31},	//31 QGlobalSpace::qAtan2(double, double)
    {26, 299, 84, 2, Smoke::mf_static, 27, 32},	//32 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {26, 295, 87, 2, Smoke::mf_static, 357, 33},	//33 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {26, 445, 90, 1, Smoke::mf_static, 357, 34},	//34 QGlobalSpace::qIsInf(float)
    {26, 515, 92, 1, Smoke::mf_static, 17, 35},	//35 QGlobalSpace::qgetenv(const char*)
    {26, 433, 94, 1, Smoke::mf_static, 460, 36},	//36 QGlobalSpace::qHash(signed char)
    {26, 305, 96, 2, Smoke::mf_static, 152, 37},	//37 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    {26, 287, 99, 2, Smoke::mf_static, 357, 38},	//38 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {26, 291, 57, 2, Smoke::mf_static, 357, 39},	//39 QGlobalSpace::operator>(const char*, const QByteArray&)
    {26, 305, 102, 2, Smoke::mf_static, 152, 40},	//40 QGlobalSpace::operator|(QFileDialog::Option, int)
    {26, 264, 14, 2, Smoke::mf_static, 171, 41},	//41 QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    {26, 439, 9, 1, Smoke::mf_static, 449, 42},	//42 QGlobalSpace::qIntCast(double)
    {26, 485, 105, 1, Smoke::mf_static, 254, 43},	//43 QGlobalSpace::qSetPadChar(QChar)
    {26, 279, 107, 2, Smoke::mf_static, 27, 44},	//44 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {26, 305, 110, 2, Smoke::mf_static, 82, 45},	//45 QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    {26, 305, 113, 2, Smoke::mf_static, 90, 46},	//46 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {26, 260, 116, 2, Smoke::mf_static, 195, 47},	//47 QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    {26, 279, 119, 2, Smoke::mf_static, 27, 48},	//48 QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    {26, 279, 122, 2, Smoke::mf_static, 31, 49},	//49 QGlobalSpace::operator<<(QDebug, const QBrush&)
    {26, 305, 125, 2, Smoke::mf_static, 66, 50},	//50 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    {26, 287, 128, 2, Smoke::mf_static, 357, 51},	//51 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {26, 260, 131, 2, Smoke::mf_static, 271, 52},	//52 QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    {26, 287, 134, 2, Smoke::mf_static, 357, 53},	//53 QGlobalSpace::operator==(QChar, QChar)
    {26, 279, 137, 2, Smoke::mf_static, 31, 54},	//54 QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    {26, 260, 14, 2, Smoke::mf_static, 171, 55},	//55 QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    {26, 305, 140, 2, Smoke::mf_static, 122, 56},	//56 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {26, 269, 143, 1, Smoke::mf_static, 171, 57},	//57 QGlobalSpace::operator-(const QMatrix4x4&)
    {26, 433, 145, 1, Smoke::mf_static, 460, 58},	//58 QGlobalSpace::qHash(const QUrl&)
    {26, 433, 147, 1, Smoke::mf_static, 460, 59},	//59 QGlobalSpace::qHash(const QByteArray&)
    {26, 305, 149, 2, Smoke::mf_static, 152, 60},	//60 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {26, 260, 152, 2, Smoke::mf_static, 171, 61},	//61 QGlobalSpace::operator*(const QMatrix4x4&, double)
    {26, 279, 155, 2, Smoke::mf_static, 27, 62},	//62 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {26, 279, 158, 2, Smoke::mf_static, 31, 63},	//63 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {26, 299, 161, 2, Smoke::mf_static, 27, 64},	//64 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {26, 275, 134, 2, Smoke::mf_static, 357, 65},	//65 QGlobalSpace::operator<(QChar, QChar)
    {26, 299, 164, 2, Smoke::mf_static, 27, 66},	//66 QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    {26, 305, 167, 2, Smoke::mf_static, 79, 67},	//67 QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    {26, 295, 134, 2, Smoke::mf_static, 357, 68},	//68 QGlobalSpace::operator>=(QChar, QChar)
    {26, 254, 170, 2, Smoke::mf_static, 357, 69},	//69 QGlobalSpace::operator!=(QString::Null, const QString&)
    {26, 279, 173, 2, Smoke::mf_static, 31, 70},	//70 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    {26, 275, 57, 2, Smoke::mf_static, 357, 71},	//71 QGlobalSpace::operator<(const char*, const QByteArray&)
    {26, 305, 176, 2, Smoke::mf_static, 107, 72},	//72 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {26, 305, 179, 2, Smoke::mf_static, 121, 73},	//73 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {26, 524, 182, 2, Smoke::mf_static, 449, 74},	//74 QGlobalSpace::qstrcmp(const char*, const char*)
    {26, 305, 185, 2, Smoke::mf_static, 152, 75},	//75 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    {26, 264, 20, 2, Smoke::mf_static, 440, 76},	//76 QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    {26, 348, 9, 1, Smoke::mf_static, 447, 77},	//77 QGlobalSpace::qCos(double)
    {26, 305, 188, 2, Smoke::mf_static, 78, 78},	//78 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {26, 291, 134, 2, Smoke::mf_static, 357, 79},	//79 QGlobalSpace::operator>(QChar, QChar)
    {26, 305, 191, 2, Smoke::mf_static, 124, 80},	//80 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {26, 260, 194, 2, Smoke::mf_static, 413, 81},	//81 QGlobalSpace::operator*(double, const QSizeF&)
    {26, 489, 0, 0, Smoke::mf_static, 357, 82},	//82 QGlobalSpace::qSharedBuild()
    {26, 287, 197, 2, Smoke::mf_static, 357, 83},	//83 QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    {26, 305, 200, 2, Smoke::mf_static, 152, 84},	//84 QGlobalSpace::operator|(QDir::Filter, int)
    {26, 305, 203, 2, Smoke::mf_static, 90, 85},	//85 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {26, 254, 4, 2, Smoke::mf_static, 357, 86},	//86 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {26, 269, 206, 2, Smoke::mf_static, 398, 87},	//87 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {26, 317, 0, 0, Smoke::mf_static, 9, 88},	//88 QGlobalSpace::qAccessibleEditableTextCastHelper()
    {26, 279, 209, 2, Smoke::mf_static, 27, 89},	//89 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {26, 305, 212, 2, Smoke::mf_static, 152, 90},	//90 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {26, 305, 215, 2, Smoke::mf_static, 120, 91},	//91 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {26, 305, 218, 2, Smoke::mf_static, 152, 92},	//92 QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    {26, 269, 221, 2, Smoke::mf_static, 257, 93},	//93 QGlobalSpace::operator-(const QTransform&, double)
    {26, 305, 224, 2, Smoke::mf_static, 48, 94},	//94 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {26, 433, 227, 1, Smoke::mf_static, 460, 95},	//95 QGlobalSpace::qHash(char)
    {26, 260, 20, 2, Smoke::mf_static, 440, 96},	//96 QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    {26, 305, 229, 2, Smoke::mf_static, 108, 97},	//97 QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    {26, 254, 45, 2, Smoke::mf_static, 357, 98},	//98 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {26, 305, 232, 2, Smoke::mf_static, 104, 99},	//99 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {26, 305, 235, 2, Smoke::mf_static, 152, 100},	//100 QGlobalSpace::operator|(QTextOption::Flag, int)
    {26, 279, 238, 2, Smoke::mf_static, 31, 101},	//101 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {26, 305, 241, 2, Smoke::mf_static, 152, 102},	//102 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {26, 305, 244, 2, Smoke::mf_static, 152, 103},	//103 QGlobalSpace::operator|(QFile::Permission, int)
    {26, 305, 247, 2, Smoke::mf_static, 66, 104},	//104 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    {26, 273, 250, 2, Smoke::mf_static, 398, 105},	//105 QGlobalSpace::operator/(const QPoint&, double)
    {26, 400, 253, 8, Smoke::mf_static, 0, 106},	//106 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {26, 400, 262, 6, Smoke::mf_static, 0, 107},	//107 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&)
    {26, 400, 269, 7, Smoke::mf_static, 0, 108},	//108 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 264, 206, 2, Smoke::mf_static, 398, 109},	//109 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {26, 279, 277, 2, Smoke::mf_static, 27, 110},	//110 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {26, 305, 280, 2, Smoke::mf_static, 58, 111},	//111 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {26, 269, 283, 2, Smoke::mf_static, 413, 112},	//112 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {26, 260, 286, 2, Smoke::mf_static, 269, 113},	//113 QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    {26, 423, 289, 2, Smoke::mf_static, 357, 114},	//114 QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    {26, 279, 292, 2, Smoke::mf_static, 31, 115},	//115 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {26, 269, 20, 2, Smoke::mf_static, 440, 116},	//116 QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    {26, 441, 9, 1, Smoke::mf_static, 357, 117},	//117 QGlobalSpace::qIsFinite(double)
    {26, 505, 295, 4, Smoke::mf_static, 359, 118},	//118 QGlobalSpace::qecvt(long double, int, int*, int*)
    {26, 305, 300, 2, Smoke::mf_static, 63, 119},	//119 QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    {26, 254, 87, 2, Smoke::mf_static, 357, 120},	//120 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {26, 279, 303, 2, Smoke::mf_static, 27, 121},	//121 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {26, 305, 306, 2, Smoke::mf_static, 116, 122},	//122 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {26, 305, 309, 2, Smoke::mf_static, 152, 123},	//123 QGlobalSpace::operator|(QWizard::WizardOption, int)
    {26, 279, 312, 2, Smoke::mf_static, 31, 124},	//124 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {26, 327, 315, 1, Smoke::mf_static, 449, 125},	//125 QGlobalSpace::qAlpha(unsigned int)
    {26, 279, 317, 2, Smoke::mf_static, 31, 126},	//126 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {26, 305, 320, 2, Smoke::mf_static, 59, 127},	//127 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    {26, 428, 323, 3, Smoke::mf_static, 449, 128},	//128 QGlobalSpace::qGray(int, int, int)
    {26, 305, 327, 2, Smoke::mf_static, 71, 129},	//129 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    {26, 279, 330, 2, Smoke::mf_static, 27, 130},	//130 QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    {26, 305, 333, 2, Smoke::mf_static, 106, 131},	//131 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {26, 264, 48, 2, Smoke::mf_static, 411, 132},	//132 QGlobalSpace::operator+(const QSize&, const QSize&)
    {26, 305, 336, 2, Smoke::mf_static, 122, 133},	//133 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {26, 305, 339, 2, Smoke::mf_static, 113, 134},	//134 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {26, 554, 342, 1, Smoke::mf_static, 220, 135},	//135 QGlobalSpace::qt_error_string(int)
    {26, 554, 0, 0, Smoke::mf_static, 220, 136},	//136 QGlobalSpace::qt_error_string()
    {26, 264, 283, 2, Smoke::mf_static, 413, 137},	//137 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {26, 273, 152, 2, Smoke::mf_static, 171, 138},	//138 QGlobalSpace::operator/(const QMatrix4x4&, double)
    {26, 305, 344, 2, Smoke::mf_static, 152, 139},	//139 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    {26, 305, 347, 2, Smoke::mf_static, 48, 140},	//140 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {26, 305, 350, 2, Smoke::mf_static, 152, 141},	//141 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {26, 269, 289, 2, Smoke::mf_static, 442, 142},	//142 QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    {26, 498, 353, 2, Smoke::mf_static, 17, 143},	//143 QGlobalSpace::qUncompress(const unsigned char*, int)
    {26, 537, 356, 3, Smoke::mf_static, 449, 144},	//144 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {26, 496, 9, 1, Smoke::mf_static, 447, 145},	//145 QGlobalSpace::qTan(double)
    {26, 254, 360, 2, Smoke::mf_static, 357, 146},	//146 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {26, 483, 342, 1, Smoke::mf_static, 254, 147},	//147 QGlobalSpace::qSetFieldWidth(int)
    {26, 287, 363, 2, Smoke::mf_static, 357, 148},	//148 QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    {26, 305, 366, 2, Smoke::mf_static, 93, 149},	//149 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    {26, 299, 369, 2, Smoke::mf_static, 251, 150},	//150 QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    {26, 433, 372, 1, Smoke::mf_static, 460, 151},	//151 QGlobalSpace::qHash(const QItemSelectionRange&)
    {26, 305, 374, 2, Smoke::mf_static, 111, 152},	//152 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {26, 468, 315, 1, Smoke::mf_static, 449, 153},	//153 QGlobalSpace::qRed(unsigned int)
    {26, 260, 221, 2, Smoke::mf_static, 257, 154},	//154 QGlobalSpace::operator*(const QTransform&, double)
    {26, 417, 9, 1, Smoke::mf_static, 449, 155},	//155 QGlobalSpace::qFloor(double)
    {26, 305, 377, 2, Smoke::mf_static, 85, 156},	//156 QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    {26, 279, 380, 2, Smoke::mf_static, 31, 157},	//157 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {26, 299, 383, 2, Smoke::mf_static, 27, 158},	//158 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {26, 441, 90, 1, Smoke::mf_static, 357, 159},	//159 QGlobalSpace::qIsFinite(float)
    {26, 264, 386, 2, Smoke::mf_static, 418, 160},	//160 QGlobalSpace::operator+(const QString&, QChar)
    {26, 254, 389, 2, Smoke::mf_static, 357, 161},	//161 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {26, 260, 289, 2, Smoke::mf_static, 442, 162},	//162 QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    {26, 305, 392, 2, Smoke::mf_static, 51, 163},	//163 QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    {26, 503, 395, 3, Smoke::mf_static, 0, 164},	//164 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {26, 264, 87, 2, Smoke::mf_static, 363, 165},	//165 QGlobalSpace::operator+(const QByteArray&, const char*)
    {26, 321, 0, 0, Smoke::mf_static, 9, 166},	//166 QGlobalSpace::qAccessibleTextCastHelper()
    {26, 305, 399, 2, Smoke::mf_static, 92, 167},	//167 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {26, 305, 402, 2, Smoke::mf_static, 98, 168},	//168 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {26, 305, 405, 2, Smoke::mf_static, 119, 169},	//169 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {26, 466, 408, 4, Smoke::mf_static, 467, 170},	//170 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {26, 299, 413, 2, Smoke::mf_static, 27, 171},	//171 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {26, 279, 416, 2, Smoke::mf_static, 27, 172},	//172 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {26, 433, 315, 1, Smoke::mf_static, 460, 173},	//173 QGlobalSpace::qHash(unsigned int)
    {26, 423, 197, 2, Smoke::mf_static, 357, 174},	//174 QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    {26, 305, 419, 2, Smoke::mf_static, 121, 175},	//175 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {26, 433, 105, 1, Smoke::mf_static, 460, 176},	//176 QGlobalSpace::qHash(QChar)
    {26, 305, 422, 2, Smoke::mf_static, 100, 177},	//177 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    {26, 283, 87, 2, Smoke::mf_static, 357, 178},	//178 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {26, 439, 90, 1, Smoke::mf_static, 449, 179},	//179 QGlobalSpace::qIntCast(float)
    {26, 287, 425, 2, Smoke::mf_static, 357, 180},	//180 QGlobalSpace::operator==(const QRect&, const QRect&)
    {26, 305, 428, 2, Smoke::mf_static, 61, 181},	//181 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {26, 303, 431, 2, Smoke::mf_static, 13, 182},	//182 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {26, 291, 434, 2, Smoke::mf_static, 357, 183},	//183 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {26, 305, 437, 2, Smoke::mf_static, 82, 184},	//184 QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    {26, 464, 440, 2, Smoke::mf_static, 467, 185},	//185 QGlobalSpace::qRealloc(void*, size_t)
    {26, 433, 443, 1, Smoke::mf_static, 460, 186},	//186 QGlobalSpace::qHash(const QString&)
    {26, 264, 289, 2, Smoke::mf_static, 442, 187},	//187 QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    {26, 305, 445, 2, Smoke::mf_static, 86, 188},	//188 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    {26, 279, 448, 2, Smoke::mf_static, 27, 189},	//189 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {26, 279, 451, 2, Smoke::mf_static, 27, 190},	//190 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {26, 279, 454, 2, Smoke::mf_static, 31, 191},	//191 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {26, 480, 9, 1, Smoke::mf_static, 454, 192},	//192 QGlobalSpace::qRound64(double)
    {26, 437, 457, 1, Smoke::mf_static, 466, 193},	//193 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {26, 492, 9, 1, Smoke::mf_static, 447, 194},	//194 QGlobalSpace::qSqrt(double)
    {26, 305, 459, 2, Smoke::mf_static, 152, 195},	//195 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    {26, 433, 462, 1, Smoke::mf_static, 460, 196},	//196 QGlobalSpace::qHash(const QModelIndex&)
    {26, 305, 464, 2, Smoke::mf_static, 54, 197},	//197 QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    {26, 411, 9, 1, Smoke::mf_static, 447, 198},	//198 QGlobalSpace::qFastCos(double)
    {26, 305, 467, 2, Smoke::mf_static, 97, 199},	//199 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {26, 299, 470, 2, Smoke::mf_static, 27, 200},	//200 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {26, 279, 473, 2, Smoke::mf_static, 31, 201},	//201 QGlobalSpace::operator<<(QDebug, const QEvent*)
    {26, 287, 476, 2, Smoke::mf_static, 357, 202},	//202 QGlobalSpace::operator==(QBool, QBool)
    {26, 305, 479, 2, Smoke::mf_static, 68, 203},	//203 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    {26, 287, 482, 2, Smoke::mf_static, 357, 204},	//204 QGlobalSpace::operator==(const char*, const QStringRef&)
    {26, 305, 485, 2, Smoke::mf_static, 152, 205},	//205 QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    {26, 305, 488, 2, Smoke::mf_static, 152, 206},	//206 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {26, 447, 90, 1, Smoke::mf_static, 357, 207},	//207 QGlobalSpace::qIsNaN(float)
    {26, 305, 491, 2, Smoke::mf_static, 152, 208},	//208 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    {26, 305, 494, 2, Smoke::mf_static, 74, 209},	//209 QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    {26, 283, 434, 2, Smoke::mf_static, 357, 210},	//210 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {26, 299, 497, 2, Smoke::mf_static, 27, 211},	//211 QGlobalSpace::operator>>(QDataStream&, QPen&)
    {26, 415, 92, 1, Smoke::mf_static, 444, 212},	//212 QGlobalSpace::qFlagLocation(const char*)
    {26, 264, 221, 2, Smoke::mf_static, 257, 213},	//213 QGlobalSpace::operator+(const QTransform&, double)
    {26, 260, 500, 2, Smoke::mf_static, 160, 214},	//214 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {26, 279, 503, 2, Smoke::mf_static, 31, 215},	//215 QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    {26, 305, 506, 2, Smoke::mf_static, 152, 216},	//216 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {26, 447, 9, 1, Smoke::mf_static, 357, 217},	//217 QGlobalSpace::qIsNaN(double)
    {26, 428, 315, 1, Smoke::mf_static, 449, 218},	//218 QGlobalSpace::qGray(unsigned int)
    {26, 264, 509, 2, Smoke::mf_static, 418, 219},	//219 QGlobalSpace::operator+(QChar, const QString&)
    {26, 305, 512, 2, Smoke::mf_static, 94, 220},	//220 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {26, 305, 515, 2, Smoke::mf_static, 152, 221},	//221 QGlobalSpace::operator|(QString::SectionFlag, int)
    {26, 305, 518, 2, Smoke::mf_static, 67, 222},	//222 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    {26, 305, 521, 2, Smoke::mf_static, 152, 223},	//223 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {26, 279, 524, 2, Smoke::mf_static, 31, 224},	//224 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    {26, 299, 527, 2, Smoke::mf_static, 27, 225},	//225 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {26, 548, 530, 3, Smoke::mf_static, 0, 226},	//226 QGlobalSpace::qt_assert(const char*, const char*, int)
    {26, 433, 534, 1, Smoke::mf_static, 460, 227},	//227 QGlobalSpace::qHash(long long)
    {26, 269, 536, 1, Smoke::mf_static, 404, 228},	//228 QGlobalSpace::operator-(const QQuaternion&)
    {26, 254, 538, 2, Smoke::mf_static, 357, 229},	//229 QGlobalSpace::operator!=(const QString&, QString::Null)
    {26, 509, 295, 4, Smoke::mf_static, 359, 230},	//230 QGlobalSpace::qfcvt(long double, int, int*, int*)
    {26, 305, 541, 2, Smoke::mf_static, 65, 231},	//231 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    {26, 423, 544, 2, Smoke::mf_static, 357, 232},	//232 QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    {26, 305, 547, 2, Smoke::mf_static, 152, 233},	//233 QGlobalSpace::operator|(QMainWindow::DockOption, int)
    {26, 299, 550, 2, Smoke::mf_static, 27, 234},	//234 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {26, 305, 553, 2, Smoke::mf_static, 152, 235},	//235 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {26, 474, 323, 3, Smoke::mf_static, 460, 236},	//236 QGlobalSpace::qRgb(int, int, int)
    {26, 305, 556, 2, Smoke::mf_static, 98, 237},	//237 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {26, 254, 128, 2, Smoke::mf_static, 357, 238},	//238 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {26, 260, 559, 2, Smoke::mf_static, 188, 239},	//239 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {26, 269, 75, 2, Smoke::mf_static, 400, 240},	//240 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {26, 287, 389, 2, Smoke::mf_static, 357, 241},	//241 QGlobalSpace::operator==(QString::Null, QString::Null)
    {26, 305, 562, 2, Smoke::mf_static, 114, 242},	//242 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {26, 305, 565, 2, Smoke::mf_static, 79, 243},	//243 QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    {26, 305, 568, 2, Smoke::mf_static, 108, 244},	//244 QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    {26, 299, 571, 2, Smoke::mf_static, 27, 245},	//245 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {26, 275, 434, 2, Smoke::mf_static, 357, 246},	//246 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {26, 320, 0, 0, Smoke::mf_static, 9, 247},	//247 QGlobalSpace::qAccessibleTableCastHelper()
    {26, 305, 574, 2, Smoke::mf_static, 124, 248},	//248 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {26, 357, 577, 8, Smoke::mf_static, 0, 249},	//249 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int, const QBrush*)
    {26, 357, 586, 6, Smoke::mf_static, 0, 250},	//250 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&)
    {26, 357, 593, 7, Smoke::mf_static, 0, 251},	//251 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int)
    {26, 426, 90, 1, Smoke::mf_static, 357, 252},	//252 QGlobalSpace::qFuzzyIsNull(float)
    {26, 260, 601, 2, Smoke::mf_static, 404, 253},	//253 QGlobalSpace::operator*(const QQuaternion&, double)
    {26, 305, 604, 2, Smoke::mf_static, 118, 254},	//254 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {26, 529, 607, 2, Smoke::mf_static, 359, 255},	//255 QGlobalSpace::qstrcpy(char*, const char*)
    {26, 433, 342, 1, Smoke::mf_static, 460, 256},	//256 QGlobalSpace::qHash(int)
    {26, 305, 610, 2, Smoke::mf_static, 86, 257},	//257 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    {26, 264, 75, 2, Smoke::mf_static, 400, 258},	//258 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {26, 260, 613, 2, Smoke::mf_static, 209, 259},	//259 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {26, 305, 616, 2, Smoke::mf_static, 109, 260},	//260 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {26, 287, 283, 2, Smoke::mf_static, 357, 261},	//261 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {26, 269, 619, 1, Smoke::mf_static, 398, 262},	//262 QGlobalSpace::operator-(const QPoint&)
    {26, 305, 621, 2, Smoke::mf_static, 152, 263},	//263 QGlobalSpace::operator|(Qt::DropAction, int)
    {26, 279, 624, 2, Smoke::mf_static, 27, 264},	//264 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {26, 305, 627, 2, Smoke::mf_static, 152, 265},	//265 QGlobalSpace::operator|(QDir::SortFlag, int)
    {26, 487, 342, 1, Smoke::mf_static, 254, 266},	//266 QGlobalSpace::qSetRealNumberPrecision(int)
    {26, 407, 9, 1, Smoke::mf_static, 447, 267},	//267 QGlobalSpace::qExp(double)
    {26, 287, 630, 2, Smoke::mf_static, 357, 268},	//268 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {26, 451, 9, 1, Smoke::mf_static, 447, 269},	//269 QGlobalSpace::qLn(double)
    {26, 264, 23, 2, Smoke::mf_static, 438, 270},	//270 QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    {26, 382, 633, 7, Smoke::mf_static, 0, 271},	//271 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*)
    {26, 382, 641, 3, Smoke::mf_static, 0, 272},	//272 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&)
    {26, 382, 645, 4, Smoke::mf_static, 0, 273},	//273 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool)
    {26, 382, 650, 5, Smoke::mf_static, 0, 274},	//274 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int)
    {26, 382, 656, 6, Smoke::mf_static, 0, 275},	//275 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int)
    {26, 279, 663, 2, Smoke::mf_static, 27, 276},	//276 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {26, 260, 666, 2, Smoke::mf_static, 271, 277},	//277 QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    {26, 305, 669, 2, Smoke::mf_static, 152, 278},	//278 QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    {26, 254, 283, 2, Smoke::mf_static, 357, 279},	//279 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {26, 470, 672, 1, Smoke::mf_static, 0, 280},	//280 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {26, 279, 674, 2, Smoke::mf_static, 31, 281},	//281 QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    {26, 279, 677, 2, Smoke::mf_static, 31, 282},	//282 QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    {26, 305, 680, 2, Smoke::mf_static, 59, 283},	//283 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    {26, 341, 26, 2, Smoke::mf_static, 463, 284},	//284 QGlobalSpace::qChecksum(const char*, unsigned int)
    {26, 352, 683, 4, Smoke::mf_static, 0, 285},	//285 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&)
    {26, 273, 688, 2, Smoke::mf_static, 442, 286},	//286 QGlobalSpace::operator/(const QVector4D&, double)
    {26, 279, 691, 2, Smoke::mf_static, 251, 287},	//287 QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    {26, 319, 0, 0, Smoke::mf_static, 9, 288},	//288 QGlobalSpace::qAccessibleTable2CastHelper()
    {26, 305, 694, 2, Smoke::mf_static, 117, 289},	//289 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {26, 453, 697, 1, Smoke::mf_static, 467, 290},	//290 QGlobalSpace::qMalloc(size_t)
    {26, 463, 0, 0, Smoke::mf_static, 447, 291},	//291 QGlobalSpace::qQNaN()
    {26, 305, 699, 2, Smoke::mf_static, 110, 292},	//292 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {26, 299, 702, 2, Smoke::mf_static, 27, 293},	//293 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {26, 517, 57, 2, Smoke::mf_static, 357, 294},	//294 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {26, 305, 705, 2, Smoke::mf_static, 95, 295},	//295 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {26, 305, 708, 2, Smoke::mf_static, 76, 296},	//296 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {26, 279, 711, 2, Smoke::mf_static, 27, 297},	//297 QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    {26, 279, 714, 2, Smoke::mf_static, 31, 298},	//298 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {26, 305, 717, 2, Smoke::mf_static, 152, 299},	//299 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {26, 337, 315, 1, Smoke::mf_static, 449, 300},	//300 QGlobalSpace::qBlue(unsigned int)
    {26, 305, 720, 2, Smoke::mf_static, 102, 301},	//301 QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    {26, 260, 23, 2, Smoke::mf_static, 438, 302},	//302 QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    {26, 279, 723, 2, Smoke::mf_static, 27, 303},	//303 QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    {26, 279, 726, 2, Smoke::mf_static, 27, 304},	//304 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {26, 393, 729, 5, Smoke::mf_static, 0, 305},	//305 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {26, 393, 641, 3, Smoke::mf_static, 0, 306},	//306 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&)
    {26, 393, 645, 4, Smoke::mf_static, 0, 307},	//307 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool)
    {26, 522, 315, 1, Smoke::mf_static, 0, 308},	//308 QGlobalSpace::qsrand(unsigned int)
    {26, 254, 197, 2, Smoke::mf_static, 357, 309},	//309 QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    {26, 305, 735, 2, Smoke::mf_static, 152, 310},	//310 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    {26, 433, 738, 1, Smoke::mf_static, 460, 311},	//311 QGlobalSpace::qHash(long)
    {26, 279, 740, 2, Smoke::mf_static, 27, 312},	//312 QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    {26, 260, 743, 2, Smoke::mf_static, 398, 313},	//313 QGlobalSpace::operator*(int, const QPoint&)
    {26, 291, 4, 2, Smoke::mf_static, 357, 314},	//314 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {26, 433, 746, 1, Smoke::mf_static, 460, 315},	//315 QGlobalSpace::qHash(unsigned short)
    {26, 305, 748, 2, Smoke::mf_static, 101, 316},	//316 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    {26, 299, 751, 2, Smoke::mf_static, 27, 317},	//317 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {26, 254, 75, 2, Smoke::mf_static, 357, 318},	//318 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {26, 305, 754, 2, Smoke::mf_static, 83, 319},	//319 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    {26, 279, 757, 2, Smoke::mf_static, 27, 320},	//320 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {26, 305, 760, 2, Smoke::mf_static, 62, 321},	//321 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {26, 305, 763, 2, Smoke::mf_static, 75, 322},	//322 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    {26, 269, 23, 2, Smoke::mf_static, 438, 323},	//323 QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    {26, 373, 766, 6, Smoke::mf_static, 0, 324},	//324 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*)
    {26, 373, 641, 3, Smoke::mf_static, 0, 325},	//325 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&)
    {26, 373, 645, 4, Smoke::mf_static, 0, 326},	//326 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool)
    {26, 373, 650, 5, Smoke::mf_static, 0, 327},	//327 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int)
    {26, 541, 356, 3, Smoke::mf_static, 449, 328},	//328 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {26, 299, 773, 2, Smoke::mf_static, 27, 329},	//329 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {26, 287, 170, 2, Smoke::mf_static, 357, 330},	//330 QGlobalSpace::operator==(QString::Null, const QString&)
    {26, 299, 776, 2, Smoke::mf_static, 27, 331},	//331 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {26, 287, 360, 2, Smoke::mf_static, 357, 332},	//332 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {26, 305, 779, 2, Smoke::mf_static, 94, 333},	//333 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {26, 305, 782, 2, Smoke::mf_static, 152, 334},	//334 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    {26, 264, 434, 2, Smoke::mf_static, 363, 335},	//335 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {26, 305, 785, 2, Smoke::mf_static, 101, 336},	//336 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    {26, 433, 788, 1, Smoke::mf_static, 460, 337},	//337 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {26, 279, 790, 2, Smoke::mf_static, 31, 338},	//338 QGlobalSpace::operator<<(QDebug, const QRegion&)
    {26, 279, 793, 2, Smoke::mf_static, 27, 339},	//339 QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    {26, 279, 796, 2, Smoke::mf_static, 27, 340},	//340 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {26, 279, 799, 2, Smoke::mf_static, 27, 341},	//341 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {26, 279, 802, 2, Smoke::mf_static, 27, 342},	//342 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {26, 299, 805, 2, Smoke::mf_static, 27, 343},	//343 QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    {26, 563, 808, 3, Smoke::mf_static, 179, 344},	//344 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {26, 373, 812, 9, Smoke::mf_static, 0, 345},	//345 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*)
    {26, 373, 262, 6, Smoke::mf_static, 0, 346},	//346 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&)
    {26, 373, 269, 7, Smoke::mf_static, 0, 347},	//347 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 373, 822, 8, Smoke::mf_static, 0, 348},	//348 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {26, 305, 831, 2, Smoke::mf_static, 88, 349},	//349 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {26, 299, 834, 2, Smoke::mf_static, 27, 350},	//350 QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    {26, 305, 837, 2, Smoke::mf_static, 152, 351},	//351 QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    {26, 273, 840, 2, Smoke::mf_static, 438, 352},	//352 QGlobalSpace::operator/(const QVector2D&, double)
    {26, 305, 843, 2, Smoke::mf_static, 92, 353},	//353 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {26, 273, 846, 2, Smoke::mf_static, 400, 354},	//354 QGlobalSpace::operator/(const QPointF&, double)
    {26, 254, 849, 2, Smoke::mf_static, 357, 355},	//355 QGlobalSpace::operator!=(bool, QBool)
    {26, 305, 852, 2, Smoke::mf_static, 72, 356},	//356 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    {26, 305, 855, 2, Smoke::mf_static, 76, 357},	//357 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {26, 273, 858, 2, Smoke::mf_static, 440, 358},	//358 QGlobalSpace::operator/(const QVector3D&, double)
    {26, 305, 861, 2, Smoke::mf_static, 75, 359},	//359 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    {26, 539, 864, 3, Smoke::mf_static, 359, 360},	//360 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {26, 260, 868, 2, Smoke::mf_static, 438, 361},	//361 QGlobalSpace::operator*(double, const QVector2D&)
    {26, 269, 871, 1, Smoke::mf_static, 442, 362},	//362 QGlobalSpace::operator-(const QVector4D&)
    {26, 305, 873, 2, Smoke::mf_static, 105, 363},	//363 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    {26, 299, 876, 2, Smoke::mf_static, 27, 364},	//364 QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    {26, 498, 147, 1, Smoke::mf_static, 17, 365},	//365 QGlobalSpace::qUncompress(const QByteArray&)
    {26, 305, 879, 2, Smoke::mf_static, 95, 366},	//366 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {26, 273, 221, 2, Smoke::mf_static, 257, 367},	//367 QGlobalSpace::operator/(const QTransform&, double)
    {26, 305, 882, 2, Smoke::mf_static, 152, 368},	//368 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    {26, 423, 14, 2, Smoke::mf_static, 357, 369},	//369 QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    {26, 305, 885, 2, Smoke::mf_static, 152, 370},	//370 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {26, 279, 888, 2, Smoke::mf_static, 27, 371},	//371 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {26, 299, 891, 2, Smoke::mf_static, 27, 372},	//372 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {26, 316, 0, 0, Smoke::mf_static, 9, 373},	//373 QGlobalSpace::qAccessibleActionCastHelper()
    {26, 260, 894, 2, Smoke::mf_static, 197, 374},	//374 QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    {26, 305, 897, 2, Smoke::mf_static, 152, 375},	//375 QGlobalSpace::operator|(Qt::MouseButton, int)
    {26, 299, 900, 2, Smoke::mf_static, 27, 376},	//376 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {26, 269, 903, 1, Smoke::mf_static, 400, 377},	//377 QGlobalSpace::operator-(const QPointF&)
    {26, 279, 905, 2, Smoke::mf_static, 31, 378},	//378 QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    {26, 305, 908, 2, Smoke::mf_static, 49, 379},	//379 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    {26, 287, 849, 2, Smoke::mf_static, 357, 380},	//380 QGlobalSpace::operator==(bool, QBool)
    {26, 299, 911, 2, Smoke::mf_static, 27, 381},	//381 QGlobalSpace::operator>>(QDataStream&, QPicture&)
    {26, 305, 914, 2, Smoke::mf_static, 152, 382},	//382 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    {26, 519, 0, 0, Smoke::mf_static, 449, 383},	//383 QGlobalSpace::qrand()
    {26, 279, 917, 2, Smoke::mf_static, 31, 384},	//384 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {26, 260, 920, 2, Smoke::mf_static, 201, 385},	//385 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {26, 299, 923, 2, Smoke::mf_static, 27, 386},	//386 QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    {26, 305, 926, 2, Smoke::mf_static, 53, 387},	//387 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    {26, 550, 929, 4, Smoke::mf_static, 0, 388},	//388 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {26, 260, 934, 2, Smoke::mf_static, 398, 389},	//389 QGlobalSpace::operator*(float, const QPoint&)
    {26, 258, 431, 2, Smoke::mf_static, 13, 390},	//390 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {26, 295, 57, 2, Smoke::mf_static, 357, 391},	//391 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {26, 305, 937, 2, Smoke::mf_static, 63, 392},	//392 QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    {26, 305, 940, 2, Smoke::mf_static, 103, 393},	//393 QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    {26, 305, 943, 2, Smoke::mf_static, 119, 394},	//394 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {26, 279, 946, 2, Smoke::mf_static, 27, 395},	//395 QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    {26, 423, 949, 2, Smoke::mf_static, 357, 396},	//396 QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    {26, 305, 952, 2, Smoke::mf_static, 152, 397},	//397 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {26, 254, 955, 2, Smoke::mf_static, 357, 398},	//398 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {26, 476, 958, 4, Smoke::mf_static, 460, 399},	//399 QGlobalSpace::qRgba(int, int, int, int)
    {26, 350, 0, 0, Smoke::mf_static, 31, 400},	//400 QGlobalSpace::qCritical()
    {26, 260, 688, 2, Smoke::mf_static, 442, 401},	//401 QGlobalSpace::operator*(const QVector4D&, double)
    {26, 299, 963, 2, Smoke::mf_static, 27, 402},	//402 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {26, 279, 966, 2, Smoke::mf_static, 27, 403},	//403 QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    {26, 279, 969, 2, Smoke::mf_static, 31, 404},	//404 QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    {26, 305, 972, 2, Smoke::mf_static, 113, 405},	//405 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {26, 254, 57, 2, Smoke::mf_static, 357, 406},	//406 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {26, 254, 206, 2, Smoke::mf_static, 357, 407},	//407 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {26, 260, 975, 2, Smoke::mf_static, 442, 408},	//408 QGlobalSpace::operator*(double, const QVector4D&)
    {26, 305, 978, 2, Smoke::mf_static, 152, 409},	//409 QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    {26, 305, 981, 2, Smoke::mf_static, 81, 410},	//410 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    {26, 287, 955, 2, Smoke::mf_static, 357, 411},	//411 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {26, 279, 984, 2, Smoke::mf_static, 27, 412},	//412 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {26, 279, 987, 2, Smoke::mf_static, 31, 413},	//413 QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    {26, 264, 990, 2, Smoke::mf_static, 363, 414},	//414 QGlobalSpace::operator+(const QByteArray&, char)
    {26, 305, 993, 2, Smoke::mf_static, 58, 415},	//415 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {26, 305, 996, 2, Smoke::mf_static, 56, 416},	//416 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {26, 299, 999, 2, Smoke::mf_static, 27, 417},	//417 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {26, 273, 1002, 2, Smoke::mf_static, 413, 418},	//418 QGlobalSpace::operator/(const QSizeF&, double)
    {26, 287, 289, 2, Smoke::mf_static, 357, 419},	//419 QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    {26, 279, 1005, 2, Smoke::mf_static, 27, 420},	//420 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {26, 305, 1008, 2, Smoke::mf_static, 152, 421},	//421 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {26, 287, 206, 2, Smoke::mf_static, 357, 422},	//422 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {26, 325, 1011, 1, Smoke::mf_static, 0, 423},	//423 QGlobalSpace::qAddPostRoutine(void(*)())
    {26, 343, 1013, 3, Smoke::mf_static, 17, 424},	//424 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {26, 343, 353, 2, Smoke::mf_static, 17, 425},	//425 QGlobalSpace::qCompress(const unsigned char*, int)
    {26, 305, 1017, 2, Smoke::mf_static, 87, 426},	//426 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {26, 283, 57, 2, Smoke::mf_static, 357, 427},	//427 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {26, 413, 9, 1, Smoke::mf_static, 447, 428},	//428 QGlobalSpace::qFastSin(double)
    {26, 283, 4, 2, Smoke::mf_static, 357, 429},	//429 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {26, 279, 1020, 2, Smoke::mf_static, 27, 430},	//430 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {26, 299, 1023, 2, Smoke::mf_static, 27, 431},	//431 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {26, 305, 1026, 2, Smoke::mf_static, 55, 432},	//432 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    {26, 299, 1029, 2, Smoke::mf_static, 27, 433},	//433 QGlobalSpace::operator>>(QDataStream&, QString&)
    {26, 273, 601, 2, Smoke::mf_static, 404, 434},	//434 QGlobalSpace::operator/(const QQuaternion&, double)
    {26, 329, 0, 0, Smoke::mf_static, 220, 435},	//435 QGlobalSpace::qAppName()
    {26, 501, 0, 0, Smoke::mf_static, 444, 436},	//436 QGlobalSpace::qVersion()
    {26, 305, 1032, 2, Smoke::mf_static, 89, 437},	//437 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {26, 279, 1035, 2, Smoke::mf_static, 27, 438},	//438 QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    {26, 305, 1038, 2, Smoke::mf_static, 152, 439},	//439 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {26, 419, 1041, 1, Smoke::mf_static, 0, 440},	//440 QGlobalSpace::qFree(void*)
    {26, 279, 1043, 2, Smoke::mf_static, 31, 441},	//441 QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {26, 260, 1046, 2, Smoke::mf_static, 162, 442},	//442 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {26, 279, 1049, 2, Smoke::mf_static, 27, 443},	//443 QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    {26, 305, 1052, 2, Smoke::mf_static, 152, 444},	//444 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {26, 421, 1041, 1, Smoke::mf_static, 0, 445},	//445 QGlobalSpace::qFreeAligned(void*)
    {26, 299, 1055, 2, Smoke::mf_static, 27, 446},	//446 QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    {26, 287, 538, 2, Smoke::mf_static, 357, 447},	//447 QGlobalSpace::operator==(const QString&, QString::Null)
    {26, 279, 1058, 2, Smoke::mf_static, 31, 448},	//448 QGlobalSpace::operator<<(QDebug, const QDir&)
    {26, 279, 1061, 2, Smoke::mf_static, 251, 449},	//449 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {26, 275, 87, 2, Smoke::mf_static, 357, 450},	//450 QGlobalSpace::operator<(const QByteArray&, const char*)
    {26, 279, 1064, 2, Smoke::mf_static, 31, 451},	//451 QGlobalSpace::operator<<(QDebug, const QPen&)
    {26, 260, 1067, 2, Smoke::mf_static, 404, 452},	//452 QGlobalSpace::operator*(double, const QQuaternion&)
    {26, 260, 840, 2, Smoke::mf_static, 438, 453},	//453 QGlobalSpace::operator*(const QVector2D&, double)
    {26, 279, 1070, 2, Smoke::mf_static, 31, 454},	//454 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {26, 254, 289, 2, Smoke::mf_static, 357, 455},	//455 QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    {26, 305, 1073, 2, Smoke::mf_static, 69, 456},	//456 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {26, 279, 1076, 2, Smoke::mf_static, 31, 457},	//457 QGlobalSpace::operator<<(QDebug, const QVector3D&)
    {26, 305, 1079, 2, Smoke::mf_static, 102, 458},	//458 QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    {26, 305, 1082, 2, Smoke::mf_static, 61, 459},	//459 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {26, 260, 858, 2, Smoke::mf_static, 440, 460},	//460 QGlobalSpace::operator*(const QVector3D&, double)
    {26, 433, 1085, 1, Smoke::mf_static, 460, 461},	//461 QGlobalSpace::qHash(const QBitArray&)
    {26, 279, 1087, 2, Smoke::mf_static, 31, 462},	//462 QGlobalSpace::operator<<(QDebug, const QVector2D&)
    {26, 305, 1090, 2, Smoke::mf_static, 74, 463},	//463 QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    {26, 279, 1093, 2, Smoke::mf_static, 31, 464},	//464 QGlobalSpace::operator<<(QDebug, const QTime&)
    {26, 279, 1096, 2, Smoke::mf_static, 251, 465},	//465 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {26, 339, 9, 1, Smoke::mf_static, 449, 466},	//466 QGlobalSpace::qCeil(double)
    {26, 279, 1099, 2, Smoke::mf_static, 31, 467},	//467 QGlobalSpace::operator<<(QDebug, const QVector4D&)
    {26, 299, 1102, 2, Smoke::mf_static, 27, 468},	//468 QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    {26, 254, 134, 2, Smoke::mf_static, 357, 469},	//469 QGlobalSpace::operator!=(QChar, QChar)
    {26, 305, 1105, 2, Smoke::mf_static, 112, 470},	//470 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {26, 494, 1108, 2, Smoke::mf_static, 357, 471},	//471 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {26, 531, 92, 1, Smoke::mf_static, 359, 472},	//472 QGlobalSpace::qstrdup(const char*)
    {26, 305, 1111, 2, Smoke::mf_static, 152, 473},	//473 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {26, 305, 1114, 2, Smoke::mf_static, 87, 474},	//474 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {26, 318, 0, 0, Smoke::mf_static, 9, 475},	//475 QGlobalSpace::qAccessibleImageCastHelper()
    {26, 305, 1117, 2, Smoke::mf_static, 107, 476},	//476 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {26, 299, 1120, 2, Smoke::mf_static, 27, 477},	//477 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {26, 299, 1123, 2, Smoke::mf_static, 27, 478},	//478 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {26, 254, 482, 2, Smoke::mf_static, 357, 479},	//479 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {26, 299, 1126, 2, Smoke::mf_static, 27, 480},	//480 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {26, 305, 1129, 2, Smoke::mf_static, 50, 481},	//481 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {26, 279, 1132, 2, Smoke::mf_static, 27, 482},	//482 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {26, 305, 1135, 2, Smoke::mf_static, 96, 483},	//483 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {26, 305, 1138, 2, Smoke::mf_static, 152, 484},	//484 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    {26, 351, 0, 0, Smoke::mf_static, 31, 485},	//485 QGlobalSpace::qDebug()
    {26, 455, 1141, 2, Smoke::mf_static, 467, 486},	//486 QGlobalSpace::qMallocAligned(size_t, size_t)
    {26, 305, 1144, 2, Smoke::mf_static, 70, 487},	//487 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    {26, 260, 1147, 2, Smoke::mf_static, 195, 488},	//488 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {26, 254, 1108, 2, Smoke::mf_static, 357, 489},	//489 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {26, 507, 1150, 6, Smoke::mf_static, 449, 490},	//490 QGlobalSpace::qecvt_r(long double, int, int*, int*, char*, size_t)
    {26, 431, 315, 1, Smoke::mf_static, 449, 491},	//491 QGlobalSpace::qGreen(unsigned int)
    {26, 461, 81, 2, Smoke::mf_static, 447, 492},	//492 QGlobalSpace::qPow(double, double)
    {26, 279, 1157, 2, Smoke::mf_static, 31, 493},	//493 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {26, 305, 1160, 2, Smoke::mf_static, 152, 494},	//494 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {26, 299, 1061, 2, Smoke::mf_static, 251, 495},	//495 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {26, 264, 1163, 2, Smoke::mf_static, 363, 496},	//496 QGlobalSpace::operator+(char, const QByteArray&)
    {26, 305, 1166, 2, Smoke::mf_static, 152, 497},	//497 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {26, 287, 57, 2, Smoke::mf_static, 357, 498},	//498 QGlobalSpace::operator==(const char*, const QByteArray&)
    {26, 279, 1169, 2, Smoke::mf_static, 27, 499},	//499 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {26, 305, 1172, 2, Smoke::mf_static, 96, 500},	//500 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {26, 269, 48, 2, Smoke::mf_static, 411, 501},	//501 QGlobalSpace::operator-(const QSize&, const QSize&)
    {26, 279, 1175, 2, Smoke::mf_static, 31, 502},	//502 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {26, 305, 1178, 2, Smoke::mf_static, 52, 503},	//503 QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    {26, 305, 1181, 2, Smoke::mf_static, 85, 504},	//504 QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    {26, 305, 1184, 2, Smoke::mf_static, 152, 505},	//505 QGlobalSpace::operator|(Qt::WindowState, int)
    {26, 299, 1187, 2, Smoke::mf_static, 27, 506},	//506 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {26, 299, 1190, 2, Smoke::mf_static, 27, 507},	//507 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {26, 305, 1193, 2, Smoke::mf_static, 54, 508},	//508 QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    {26, 254, 630, 2, Smoke::mf_static, 357, 509},	//509 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {26, 305, 1196, 2, Smoke::mf_static, 103, 510},	//510 QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    {26, 279, 1199, 2, Smoke::mf_static, 31, 511},	//511 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {26, 305, 1202, 2, Smoke::mf_static, 116, 512},	//512 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {26, 260, 1205, 2, Smoke::mf_static, 400, 513},	//513 QGlobalSpace::operator*(double, const QPointF&)
    {26, 299, 1208, 2, Smoke::mf_static, 27, 514},	//514 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {26, 305, 1211, 2, Smoke::mf_static, 111, 515},	//515 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {26, 260, 1214, 2, Smoke::mf_static, 209, 516},	//516 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {26, 287, 4, 2, Smoke::mf_static, 357, 517},	//517 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {26, 260, 1217, 2, Smoke::mf_static, 411, 518},	//518 QGlobalSpace::operator*(const QSize&, double)
    {26, 279, 1220, 2, Smoke::mf_static, 31, 519},	//519 QGlobalSpace::operator<<(QDebug, const QDate&)
    {26, 423, 23, 2, Smoke::mf_static, 357, 520},	//520 QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    {26, 260, 1223, 2, Smoke::mf_static, 188, 521},	//521 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {26, 305, 1226, 2, Smoke::mf_static, 52, 522},	//522 QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    {26, 305, 1229, 2, Smoke::mf_static, 56, 523},	//523 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {26, 569, 1232, 4, Smoke::mf_static, 449, 524},	//524 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {26, 260, 1237, 2, Smoke::mf_static, 398, 525},	//525 QGlobalSpace::operator*(double, const QPoint&)
    {26, 260, 1240, 2, Smoke::mf_static, 201, 526},	//526 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {26, 459, 1243, 3, Smoke::mf_static, 467, 527},	//527 QGlobalSpace::qMemSet(void*, int, size_t)
    {26, 279, 1247, 2, Smoke::mf_static, 27, 528},	//528 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {26, 552, 1250, 2, Smoke::mf_static, 0, 529},	//529 QGlobalSpace::qt_check_pointer(const char*, int)
    {26, 400, 729, 5, Smoke::mf_static, 0, 530},	//530 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {26, 400, 641, 3, Smoke::mf_static, 0, 531},	//531 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&)
    {26, 400, 645, 4, Smoke::mf_static, 0, 532},	//532 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool)
    {26, 433, 1253, 1, Smoke::mf_static, 460, 533},	//533 QGlobalSpace::qHash(short)
    {26, 305, 1255, 2, Smoke::mf_static, 81, 534},	//534 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    {26, 305, 1258, 2, Smoke::mf_static, 73, 535},	//535 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {26, 409, 9, 1, Smoke::mf_static, 447, 536},	//536 QGlobalSpace::qFabs(double)
    {26, 305, 1261, 2, Smoke::mf_static, 110, 537},	//537 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {26, 305, 1264, 2, Smoke::mf_static, 57, 538},	//538 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {26, 524, 434, 2, Smoke::mf_static, 449, 539},	//539 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {26, 423, 1267, 2, Smoke::mf_static, 357, 540},	//540 QGlobalSpace::qFuzzyCompare(float, float)
    {26, 287, 1270, 2, Smoke::mf_static, 357, 541},	//541 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {26, 305, 1273, 2, Smoke::mf_static, 152, 542},	//542 QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    {26, 305, 1276, 2, Smoke::mf_static, 77, 543},	//543 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {26, 511, 1150, 6, Smoke::mf_static, 449, 544},	//544 QGlobalSpace::qfcvt_r(long double, int, int*, int*, char*, size_t)
    {26, 513, 1279, 3, Smoke::mf_static, 359, 545},	//545 QGlobalSpace::qgcvt(long double, int, char*)
    {26, 520, 1283, 4, Smoke::mf_static, 0, 546},	//546 QGlobalSpace::qsort(void*, size_t, size_t, int(*)(const void*,const void*))
    {26, 305, 1288, 2, Smoke::mf_static, 105, 547},	//547 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    {26, 305, 1291, 2, Smoke::mf_static, 93, 548},	//548 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    {26, 305, 1294, 2, Smoke::mf_static, 72, 549},	//549 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    {26, 323, 9, 1, Smoke::mf_static, 447, 550},	//550 QGlobalSpace::qAcos(double)
    {26, 305, 1297, 2, Smoke::mf_static, 152, 551},	//551 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {26, 305, 1300, 2, Smoke::mf_static, 114, 552},	//552 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {26, 305, 1303, 2, Smoke::mf_static, 152, 553},	//553 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    {26, 279, 1306, 2, Smoke::mf_static, 27, 554},	//554 QGlobalSpace::operator<<(QDataStream&, const QPen&)
    {26, 295, 434, 2, Smoke::mf_static, 357, 555},	//555 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {26, 305, 1309, 2, Smoke::mf_static, 84, 556},	//556 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    {26, 299, 1312, 2, Smoke::mf_static, 27, 557},	//557 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {26, 336, 0, 0, Smoke::mf_static, 0, 558},	//558 QGlobalSpace::qBadAlloc()
    {26, 279, 1315, 2, Smoke::mf_static, 31, 559},	//559 QGlobalSpace::operator<<(QDebug, const QLine&)
    {26, 305, 1318, 2, Smoke::mf_static, 120, 560},	//560 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {26, 382, 1321, 10, Smoke::mf_static, 0, 561},	//561 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*)
    {26, 382, 262, 6, Smoke::mf_static, 0, 562},	//562 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&)
    {26, 382, 269, 7, Smoke::mf_static, 0, 563},	//563 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 382, 822, 8, Smoke::mf_static, 0, 564},	//564 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {26, 382, 1332, 9, Smoke::mf_static, 0, 565},	//565 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {26, 305, 1342, 2, Smoke::mf_static, 152, 566},	//566 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {26, 299, 1345, 2, Smoke::mf_static, 27, 567},	//567 QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    {26, 279, 1348, 2, Smoke::mf_static, 31, 568},	//568 QGlobalSpace::operator<<(QDebug, const QTransform&)
    {26, 305, 1351, 2, Smoke::mf_static, 152, 569},	//569 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    {26, 426, 9, 1, Smoke::mf_static, 357, 570},	//570 QGlobalSpace::qFuzzyIsNull(double)
    {26, 343, 1354, 2, Smoke::mf_static, 17, 571},	//571 QGlobalSpace::qCompress(const QByteArray&, int)
    {26, 343, 147, 1, Smoke::mf_static, 17, 572},	//572 QGlobalSpace::qCompress(const QByteArray&)
    {26, 279, 1357, 2, Smoke::mf_static, 31, 573},	//573 QGlobalSpace::operator<<(QDebug, const QPolygon&)
    {26, 305, 1360, 2, Smoke::mf_static, 106, 574},	//574 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {26, 305, 1363, 2, Smoke::mf_static, 152, 575},	//575 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {26, 305, 1366, 2, Smoke::mf_static, 152, 576},	//576 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {26, 305, 1369, 2, Smoke::mf_static, 70, 577},	//577 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    {26, 305, 1372, 2, Smoke::mf_static, 152, 578},	//578 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {26, 305, 1375, 2, Smoke::mf_static, 123, 579},	//579 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {26, 305, 1378, 2, Smoke::mf_static, 152, 580},	//580 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    {26, 269, 1381, 1, Smoke::mf_static, 438, 581},	//581 QGlobalSpace::operator-(const QVector2D&)
    {26, 305, 1383, 2, Smoke::mf_static, 47, 582},	//582 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {26, 279, 1386, 2, Smoke::mf_static, 27, 583},	//583 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {26, 260, 1389, 2, Smoke::mf_static, 171, 584},	//584 QGlobalSpace::operator*(double, const QMatrix4x4&)
    {26, 279, 1392, 2, Smoke::mf_static, 27, 585},	//585 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {26, 364, 1332, 9, Smoke::mf_static, 0, 586},	//586 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {26, 364, 262, 6, Smoke::mf_static, 0, 587},	//587 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&)
    {26, 364, 269, 7, Smoke::mf_static, 0, 588},	//588 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 364, 822, 8, Smoke::mf_static, 0, 589},	//589 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {26, 305, 1395, 2, Smoke::mf_static, 51, 590},	//590 QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    {26, 279, 1398, 2, Smoke::mf_static, 27, 591},	//591 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {26, 260, 1401, 2, Smoke::mf_static, 160, 592},	//592 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {26, 279, 1404, 2, Smoke::mf_static, 27, 593},	//593 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {26, 330, 9, 1, Smoke::mf_static, 447, 594},	//594 QGlobalSpace::qAsin(double)
    {26, 279, 1407, 2, Smoke::mf_static, 31, 595},	//595 QGlobalSpace::operator<<(QDebug, const QRect&)
    {26, 279, 1410, 2, Smoke::mf_static, 31, 596},	//596 QGlobalSpace::operator<<(QDebug, const QFont&)
    {26, 305, 1413, 2, Smoke::mf_static, 57, 597},	//597 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {26, 305, 1416, 2, Smoke::mf_static, 53, 598},	//598 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    {26, 305, 1419, 2, Smoke::mf_static, 152, 599},	//599 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    {26, 254, 425, 2, Smoke::mf_static, 357, 600},	//600 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {26, 490, 9, 1, Smoke::mf_static, 447, 601},	//601 QGlobalSpace::qSin(double)
    {26, 305, 1422, 2, Smoke::mf_static, 152, 602},	//602 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {26, 287, 434, 2, Smoke::mf_static, 357, 603},	//603 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {26, 299, 1425, 2, Smoke::mf_static, 27, 604},	//604 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {26, 305, 1428, 2, Smoke::mf_static, 80, 605},	//605 QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    {26, 305, 431, 2, Smoke::mf_static, 13, 606},	//606 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {26, 279, 1431, 2, Smoke::mf_static, 27, 607},	//607 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {26, 423, 20, 2, Smoke::mf_static, 357, 608},	//608 QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    {26, 393, 253, 8, Smoke::mf_static, 0, 609},	//609 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {26, 393, 262, 6, Smoke::mf_static, 0, 610},	//610 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&)
    {26, 393, 269, 7, Smoke::mf_static, 0, 611},	//611 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 279, 1434, 2, Smoke::mf_static, 27, 612},	//612 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {26, 305, 1437, 2, Smoke::mf_static, 64, 613},	//613 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    {26, 287, 1440, 2, Smoke::mf_static, 357, 614},	//614 QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    {26, 305, 1443, 2, Smoke::mf_static, 65, 615},	//615 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    {26, 305, 1446, 2, Smoke::mf_static, 89, 616},	//616 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {26, 305, 1449, 2, Smoke::mf_static, 152, 617},	//617 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {26, 299, 1452, 2, Smoke::mf_static, 27, 618},	//618 QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    {26, 279, 1455, 2, Smoke::mf_static, 27, 619},	//619 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {26, 545, 1250, 2, Smoke::mf_static, 220, 620},	//620 QGlobalSpace::qtTrId(const char*, int)
    {26, 545, 92, 1, Smoke::mf_static, 220, 621},	//621 QGlobalSpace::qtTrId(const char*)
    {26, 305, 1458, 2, Smoke::mf_static, 152, 622},	//622 QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    {26, 305, 1461, 2, Smoke::mf_static, 99, 623},	//623 QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    {26, 269, 1464, 1, Smoke::mf_static, 440, 624},	//624 QGlobalSpace::operator-(const QVector3D&)
    {26, 279, 1466, 2, Smoke::mf_static, 31, 625},	//625 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {26, 283, 134, 2, Smoke::mf_static, 357, 626},	//626 QGlobalSpace::operator<=(QChar, QChar)
    {26, 305, 1469, 2, Smoke::mf_static, 123, 627},	//627 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {26, 443, 315, 1, Smoke::mf_static, 357, 628},	//628 QGlobalSpace::qIsGray(unsigned int)
    {26, 305, 1472, 2, Smoke::mf_static, 68, 629},	//629 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    {26, 254, 1270, 2, Smoke::mf_static, 357, 630},	//630 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {26, 305, 1475, 2, Smoke::mf_static, 115, 631},	//631 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {26, 299, 1478, 2, Smoke::mf_static, 27, 632},	//632 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {26, 299, 1481, 2, Smoke::mf_static, 27, 633},	//633 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {26, 357, 1484, 5, Smoke::mf_static, 0, 634},	//634 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int, const QBrush*)
    {26, 357, 1490, 3, Smoke::mf_static, 0, 635},	//635 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&)
    {26, 357, 1494, 4, Smoke::mf_static, 0, 636},	//636 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int)
    {26, 299, 1499, 2, Smoke::mf_static, 27, 637},	//637 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {26, 305, 1502, 2, Smoke::mf_static, 69, 638},	//638 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    {26, 305, 1505, 2, Smoke::mf_static, 152, 639},	//639 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {26, 260, 1508, 2, Smoke::mf_static, 398, 640},	//640 QGlobalSpace::operator*(const QPoint&, int)
    {26, 299, 1511, 2, Smoke::mf_static, 27, 641},	//641 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {26, 305, 1514, 2, Smoke::mf_static, 152, 642},	//642 QGlobalSpace::operator|(QPainter::RenderHint, int)
    {26, 567, 1517, 3, Smoke::mf_static, 357, 643},	//643 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {26, 279, 1521, 2, Smoke::mf_static, 31, 644},	//644 QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    {26, 305, 1524, 2, Smoke::mf_static, 152, 645},	//645 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {26, 260, 1527, 2, Smoke::mf_static, 195, 646},	//646 QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    {26, 273, 1217, 2, Smoke::mf_static, 411, 647},	//647 QGlobalSpace::operator/(const QSize&, double)
    {26, 260, 1530, 2, Smoke::mf_static, 195, 648},	//648 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {26, 449, 90, 1, Smoke::mf_static, 357, 649},	//649 QGlobalSpace::qIsNull(float)
    {26, 305, 1533, 2, Smoke::mf_static, 49, 650},	//650 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    {26, 565, 1536, 5, Smoke::mf_static, 0, 651},	//651 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {26, 287, 1542, 2, Smoke::mf_static, 357, 652},	//652 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {26, 332, 9, 1, Smoke::mf_static, 447, 653},	//653 QGlobalSpace::qAtan(double)
    {26, 299, 1545, 2, Smoke::mf_static, 27, 654},	//654 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {26, 305, 1548, 2, Smoke::mf_static, 152, 655},	//655 QGlobalSpace::operator|(Qt::Orientation, int)
    {26, 305, 1551, 2, Smoke::mf_static, 97, 656},	//656 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {26, 423, 81, 2, Smoke::mf_static, 357, 657},	//657 QGlobalSpace::qFuzzyCompare(double, double)
    {26, 260, 1554, 2, Smoke::mf_static, 269, 658},	//658 QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    {26, 279, 1557, 2, Smoke::mf_static, 27, 659},	//659 QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    {26, 279, 1560, 2, Smoke::mf_static, 31, 660},	//660 QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    {26, 364, 1563, 7, Smoke::mf_static, 0, 661},	//661 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int)
    {26, 364, 1571, 4, Smoke::mf_static, 0, 662},	//662 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&)
    {26, 364, 1576, 5, Smoke::mf_static, 0, 663},	//663 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool)
    {26, 364, 1582, 6, Smoke::mf_static, 0, 664},	//664 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int)
    {26, 260, 250, 2, Smoke::mf_static, 398, 665},	//665 QGlobalSpace::operator*(const QPoint&, double)
    {26, 305, 1589, 2, Smoke::mf_static, 112, 666},	//666 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {26, 305, 1592, 2, Smoke::mf_static, 73, 667},	//667 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {26, 482, 0, 0, Smoke::mf_static, 447, 668},	//668 QGlobalSpace::qSNaN()
    {26, 305, 1595, 2, Smoke::mf_static, 152, 669},	//669 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    {26, 260, 1598, 2, Smoke::mf_static, 197, 670},	//670 QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    {26, 287, 87, 2, Smoke::mf_static, 357, 671},	//671 QGlobalSpace::operator==(const QByteArray&, const char*)
    {26, 305, 1601, 2, Smoke::mf_static, 84, 672},	//672 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    {26, 279, 1604, 2, Smoke::mf_static, 27, 673},	//673 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {26, 260, 1002, 2, Smoke::mf_static, 413, 674},	//674 QGlobalSpace::operator*(const QSizeF&, double)
    {26, 305, 1607, 2, Smoke::mf_static, 67, 675},	//675 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    {26, 287, 1108, 2, Smoke::mf_static, 357, 676},	//676 QGlobalSpace::operator==(const QStringRef&, const char*)
    {26, 254, 20, 2, Smoke::mf_static, 357, 677},	//677 QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    {26, 287, 23, 2, Smoke::mf_static, 357, 678},	//678 QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    {26, 260, 1610, 2, Smoke::mf_static, 199, 679},	//679 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {26, 305, 1613, 2, Smoke::mf_static, 152, 680},	//680 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    {26, 260, 1616, 2, Smoke::mf_static, 398, 681},	//681 QGlobalSpace::operator*(const QPoint&, float)
    {26, 260, 1619, 2, Smoke::mf_static, 411, 682},	//682 QGlobalSpace::operator*(double, const QSize&)
    {26, 305, 1622, 2, Smoke::mf_static, 152, 683},	//683 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {26, 275, 4, 2, Smoke::mf_static, 357, 684},	//684 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {26, 254, 1625, 2, Smoke::mf_static, 357, 685},	//685 QGlobalSpace::operator!=(QBool, bool)
    {26, 305, 1628, 2, Smoke::mf_static, 55, 686},	//686 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    {26, 254, 48, 2, Smoke::mf_static, 357, 687},	//687 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {26, 299, 1631, 2, Smoke::mf_static, 27, 688},	//688 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {26, 279, 1634, 2, Smoke::mf_static, 31, 689},	//689 QGlobalSpace::operator<<(QDebug, const QSize&)
    {26, 305, 1637, 2, Smoke::mf_static, 152, 690},	//690 QGlobalSpace::operator|(QStyle::SubControl, int)
    {26, 305, 1640, 2, Smoke::mf_static, 104, 691},	//691 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {26, 260, 1643, 2, Smoke::mf_static, 162, 692},	//692 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {26, 269, 197, 2, Smoke::mf_static, 404, 693},	//693 QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    {26, 260, 846, 2, Smoke::mf_static, 400, 694},	//694 QGlobalSpace::operator*(const QPointF&, double)
    {26, 533, 182, 2, Smoke::mf_static, 449, 695},	//695 QGlobalSpace::qstricmp(const char*, const char*)
    {26, 305, 1646, 2, Smoke::mf_static, 152, 696},	//696 QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    {26, 305, 1649, 2, Smoke::mf_static, 118, 697},	//697 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {26, 254, 99, 2, Smoke::mf_static, 357, 698},	//698 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {26, 478, 9, 1, Smoke::mf_static, 449, 699},	//699 QGlobalSpace::qRound(double)
    {26, 436, 0, 0, Smoke::mf_static, 447, 700},	//700 QGlobalSpace::qInf()
    {26, 279, 1652, 2, Smoke::mf_static, 27, 701},	//701 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {26, 305, 1655, 2, Smoke::mf_static, 99, 702},	//702 QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    {26, 260, 197, 2, Smoke::mf_static, 404, 703},	//703 QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    {26, 305, 1658, 2, Smoke::mf_static, 152, 704},	//704 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    {26, 305, 1661, 2, Smoke::mf_static, 115, 705},	//705 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {26, 260, 1664, 2, Smoke::mf_static, 197, 706},	//706 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {26, 279, 1667, 2, Smoke::mf_static, 31, 707},	//707 QGlobalSpace::operator<<(QDebug, const QColor&)
    {26, 279, 1670, 2, Smoke::mf_static, 31, 708},	//708 QGlobalSpace::operator<<(QDebug, const QMatrix&)
    {26, 279, 1673, 2, Smoke::mf_static, 27, 709},	//709 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {26, 305, 1676, 2, Smoke::mf_static, 77, 710},	//710 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {26, 305, 1679, 2, Smoke::mf_static, 152, 711},	//711 QGlobalSpace::operator|(Qt::WindowType, int)
    {26, 524, 87, 2, Smoke::mf_static, 449, 712},	//712 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {26, 305, 1682, 2, Smoke::mf_static, 152, 713},	//713 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {26, 472, 1011, 1, Smoke::mf_static, 0, 714},	//714 QGlobalSpace::qRemovePostRoutine(void(*)())
    {26, 264, 197, 2, Smoke::mf_static, 404, 715},	//715 QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    {26, 299, 1685, 2, Smoke::mf_static, 27, 716},	//716 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {26, 305, 1688, 2, Smoke::mf_static, 91, 717},	//717 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {26, 305, 1691, 2, Smoke::mf_static, 71, 718},	//718 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    {26, 299, 1694, 2, Smoke::mf_static, 27, 719},	//719 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {26, 305, 1697, 2, Smoke::mf_static, 152, 720},	//720 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    {26, 279, 1700, 2, Smoke::mf_static, 27, 721},	//721 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {26, 305, 1703, 2, Smoke::mf_static, 117, 722},	//722 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {26, 305, 1706, 2, Smoke::mf_static, 109, 723},	//723 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {26, 502, 0, 0, Smoke::mf_static, 31, 724},	//724 QGlobalSpace::qWarning()
    {26, 535, 92, 1, Smoke::mf_static, 460, 725},	//725 QGlobalSpace::qstrlen(const char*)
    {26, 287, 1625, 2, Smoke::mf_static, 357, 726},	//726 QGlobalSpace::operator==(QBool, bool)
    {26, 299, 1709, 2, Smoke::mf_static, 27, 727},	//727 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {26, 299, 1712, 2, Smoke::mf_static, 27, 728},	//728 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {26, 433, 1715, 1, Smoke::mf_static, 460, 729},	//729 QGlobalSpace::qHash(unsigned long)
    {26, 279, 1717, 2, Smoke::mf_static, 27, 730},	//730 QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    {26, 305, 1720, 2, Smoke::mf_static, 152, 731},	//731 QGlobalSpace::operator|(QAccessible::StateFlag, int)
    {26, 279, 1723, 2, Smoke::mf_static, 27, 732},	//732 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {26, 305, 1726, 2, Smoke::mf_static, 152, 733},	//733 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    {26, 279, 1729, 2, Smoke::mf_static, 27, 734},	//734 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {26, 305, 1732, 2, Smoke::mf_static, 78, 735},	//735 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {26, 305, 1735, 2, Smoke::mf_static, 152, 736},	//736 QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    {26, 352, 1738, 8, Smoke::mf_static, 0, 737},	//737 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>)
    {26, 352, 1747, 6, Smoke::mf_static, 0, 738},	//738 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&)
    {26, 352, 1754, 7, Smoke::mf_static, 0, 739},	//739 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&)
    {26, 305, 1762, 2, Smoke::mf_static, 88, 740},	//740 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {26, 264, 1765, 2, Smoke::mf_static, 418, 741},	//741 QGlobalSpace::operator+(const QString&, const QString&)
    {26, 254, 476, 2, Smoke::mf_static, 357, 742},	//742 QGlobalSpace::operator!=(QBool, QBool)
    {26, 305, 1768, 2, Smoke::mf_static, 47, 743},	//743 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {26, 556, 1771, 2, Smoke::mf_static, 0, 744},	//744 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {26, 279, 1774, 2, Smoke::mf_static, 31, 745},	//745 QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    {26, 260, 1777, 2, Smoke::mf_static, 440, 746},	//746 QGlobalSpace::operator*(double, const QVector3D&)
    {26, 433, 1780, 1, Smoke::mf_static, 460, 747},	//747 QGlobalSpace::qHash(const QStringRef&)
    {26, 449, 9, 1, Smoke::mf_static, 357, 748},	//748 QGlobalSpace::qIsNull(double)
    {26, 305, 1782, 2, Smoke::mf_static, 152, 749},	//749 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {26, 305, 1785, 2, Smoke::mf_static, 50, 750},	//750 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {26, 291, 87, 2, Smoke::mf_static, 357, 751},	//751 QGlobalSpace::operator>(const QByteArray&, const char*)
    {26, 433, 1788, 1, Smoke::mf_static, 460, 752},	//752 QGlobalSpace::qHash(unsigned char)
    {26, 299, 1790, 2, Smoke::mf_static, 27, 753},	//753 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {26, 305, 1793, 2, Smoke::mf_static, 64, 754},	//754 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    {26, 260, 1796, 2, Smoke::mf_static, 199, 755},	//755 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {26, 279, 1799, 2, Smoke::mf_static, 31, 756},	//756 QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    {26, 279, 1802, 2, Smoke::mf_static, 31, 757},	//757 QGlobalSpace::operator<<(QDebug, const QObject*)
    {26, 305, 1805, 2, Smoke::mf_static, 152, 758},	//758 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {26, 254, 434, 2, Smoke::mf_static, 357, 759},	//759 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {26, 279, 1808, 2, Smoke::mf_static, 27, 760},	//760 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {26, 299, 1811, 2, Smoke::mf_static, 27, 761},	//761 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {26, 279, 1814, 2, Smoke::mf_static, 27, 762},	//762 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {26, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 763},	//763 QGlobalSpace::SP_CustomToolBarAdd (enum)
    {26, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 764},	//764 QGlobalSpace::SP_CustomToolBarAddDetail (enum)
    {26, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 765},	//765 QGlobalSpace::SP_CustomToolBarAgain (enum)
    {26, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 766},	//766 QGlobalSpace::SP_CustomToolBarAgenda (enum)
    {26, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 767},	//767 QGlobalSpace::SP_CustomToolBarAudioOff (enum)
    {26, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 768},	//768 QGlobalSpace::SP_CustomToolBarAudioOn (enum)
    {26, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 769},	//769 QGlobalSpace::SP_CustomToolBarBack (enum)
    {26, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 770},	//770 QGlobalSpace::SP_CustomToolBarBluetoothOff (enum)
    {26, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 771},	//771 QGlobalSpace::SP_CustomToolBarBluetoothOn (enum)
    {26, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 772},	//772 QGlobalSpace::SP_CustomToolBarCancel (enum)
    {26, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 773},	//773 QGlobalSpace::SP_CustomToolBarDelete (enum)
    {26, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 774},	//774 QGlobalSpace::SP_CustomToolBarDone (enum)
    {26, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 775},	//775 QGlobalSpace::SP_CustomToolBarEdit (enum)
    {26, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 776},	//776 QGlobalSpace::SP_CustomToolBarEditDisabled (enum)
    {26, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 777},	//777 QGlobalSpace::SP_CustomToolBarEmailSend (enum)
    {26, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 778},	//778 QGlobalSpace::SP_CustomToolBarEmergencyCall (enum)
    {26, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 779},	//779 QGlobalSpace::SP_CustomToolBarFavouriteAdd (enum)
    {26, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 780},	//780 QGlobalSpace::SP_CustomToolBarFavouriteRemove (enum)
    {26, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 781},	//781 QGlobalSpace::SP_CustomToolBarFavourites (enum)
    {26, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 782},	//782 QGlobalSpace::SP_CustomToolBarGo (enum)
    {26, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 783},	//783 QGlobalSpace::SP_CustomToolBarHome (enum)
    {26, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 784},	//784 QGlobalSpace::SP_CustomToolBarImageTools (enum)
    {26, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 785},	//785 QGlobalSpace::SP_CustomToolBarList (enum)
    {26, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 786},	//786 QGlobalSpace::SP_CustomToolBarLock (enum)
    {26, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 787},	//787 QGlobalSpace::SP_CustomToolBarLogs (enum)
    {26, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 788},	//788 QGlobalSpace::SP_CustomToolBarMenu (enum)
    {26, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 789},	//789 QGlobalSpace::SP_CustomToolBarNewContact (enum)
    {26, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 790},	//790 QGlobalSpace::SP_CustomToolBarNewGroup (enum)
    {26, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 791},	//791 QGlobalSpace::SP_CustomToolBarNextFrame (enum)
    {26, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 792},	//792 QGlobalSpace::SP_CustomToolBarNowPlay (enum)
    {26, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 793},	//793 QGlobalSpace::SP_CustomToolBarOptions (enum)
    {26, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 794},	//794 QGlobalSpace::SP_CustomToolBarOther (enum)
    {26, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 795},	//795 QGlobalSpace::SP_CustomToolBarOvi (enum)
    {26, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 796},	//796 QGlobalSpace::SP_CustomToolBarPreviousFrame (enum)
    {26, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 797},	//797 QGlobalSpace::SP_CustomToolBarRead (enum)
    {26, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 798},	//798 QGlobalSpace::SP_CustomToolBarRedoDisabled (enum)
    {26, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 799},	//799 QGlobalSpace::SP_CustomToolBarRedo (enum)
    {26, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 800},	//800 QGlobalSpace::SP_CustomToolBarRefresh (enum)
    {26, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 801},	//801 QGlobalSpace::SP_CustomToolBarRemoveDetail (enum)
    {26, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 802},	//802 QGlobalSpace::SP_CustomToolBarRemoveDisabled (enum)
    {26, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 803},	//803 QGlobalSpace::SP_CustomToolBarRepeat (enum)
    {26, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 804},	//804 QGlobalSpace::SP_CustomToolBarRepeatOff (enum)
    {26, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 805},	//805 QGlobalSpace::SP_CustomToolBarRepeatOne (enum)
    {26, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 806},	//806 QGlobalSpace::SP_CustomToolBarSearch (enum)
    {26, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 807},	//807 QGlobalSpace::SP_CustomToolBarSearchDisabled (enum)
    {26, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 808},	//808 QGlobalSpace::SP_CustomToolBarSelectContent (enum)
    {26, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 809},	//809 QGlobalSpace::SP_CustomToolBarSelfTimer (enum)
    {26, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 810},	//810 QGlobalSpace::SP_CustomToolBarSend (enum)
    {26, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 811},	//811 QGlobalSpace::SP_CustomToolBarSendDimmed (enum)
    {26, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 812},	//812 QGlobalSpace::SP_CustomToolBarShare (enum)
    {26, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 813},	//813 QGlobalSpace::SP_CustomToolBarShift (enum)
    {26, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 814},	//814 QGlobalSpace::SP_CustomToolBarShuffle (enum)
    {26, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 815},	//815 QGlobalSpace::SP_CustomToolBarShuffleOff (enum)
    {26, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 816},	//816 QGlobalSpace::SP_CustomToolBarSignalOff (enum)
    {26, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 817},	//817 QGlobalSpace::SP_CustomToolBarSignalOn (enum)
    {26, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 818},	//818 QGlobalSpace::SP_CustomToolBarSync (enum)
    {26, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 819},	//819 QGlobalSpace::SP_CustomToolBarTools (enum)
    {26, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 820},	//820 QGlobalSpace::SP_CustomToolBarTrim (enum)
    {26, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 821},	//821 QGlobalSpace::SP_CustomToolBarUnlock (enum)
    {26, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 822},	//822 QGlobalSpace::SP_CustomToolBarUnmark (enum)
    {26, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 823},	//823 QGlobalSpace::SP_CustomToolBarView (enum)
    {26, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 824},	//824 QGlobalSpace::SP_CustomToolBarWlanOff (enum)
    {26, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 825},	//825 QGlobalSpace::SP_CustomToolBarWlanOn (enum)
    {26, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 826},	//826 QGlobalSpace::SP_CustomCameraCaptureButton (enum)
    {26, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 827},	//827 QGlobalSpace::SP_CustomCameraCaptureButtonPressed (enum)
    {26, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 828},	//828 QGlobalSpace::SP_CustomCameraPauseButton (enum)
    {26, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 829},	//829 QGlobalSpace::SP_CustomCameraPauseButtonPressed (enum)
    {26, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 830},	//830 QGlobalSpace::SP_CustomCameraPlayButton (enum)
    {26, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 831},	//831 QGlobalSpace::SP_CustomCameraPlayButtonPressed (enum)
    {26, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 832},	//832 QGlobalSpace::SP_CustomCameraRecButton (enum)
    {26, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 833},	//833 QGlobalSpace::SP_CustomCameraRecButtonPressed (enum)
    {26, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 834},	//834 QGlobalSpace::SP_CustomCameraStopButton (enum)
    {26, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 835},	//835 QGlobalSpace::SP_CustomCameraStopButtonPressed (enum)
    {26, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 836},	//836 QGlobalSpace::SP_CustomTabAll (enum)
    {26, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 837},	//837 QGlobalSpace::SP_CustomTabArtist (enum)
    {26, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 838},	//838 QGlobalSpace::SP_CustomTabFavourite (enum)
    {26, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 839},	//839 QGlobalSpace::SP_CustomTabGenre (enum)
    {26, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 840},	//840 QGlobalSpace::SP_CustomTabLanguage (enum)
    {26, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 841},	//841 QGlobalSpace::SP_CustomTabMusicAlbum (enum)
    {26, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 842},	//842 QGlobalSpace::SP_CustomTabPhotosAlbum (enum)
    {26, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 843},	//843 QGlobalSpace::SP_CustomTabPhotosAll (enum)
    {26, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 844},	//844 QGlobalSpace::SP_CustomTabPlaylist (enum)
    {26, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 845},	//845 QGlobalSpace::SP_CustomTabServices (enum)
    {26, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 846},	//846 QGlobalSpace::SP_CustomTabSongs (enum)
    {26, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 847},	//847 QGlobalSpace::SP_CustomTabVideos (enum)
    {26, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 848},	//848 QGlobalSpace::QtDebugMsg (enum)
    {26, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 849},	//849 QGlobalSpace::QtWarningMsg (enum)
    {26, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 850},	//850 QGlobalSpace::QtCriticalMsg (enum)
    {26, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 851},	//851 QGlobalSpace::QtFatalMsg (enum)
    {26, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 852},	//852 QGlobalSpace::QtSystemMsg (enum)
    {26, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 853},	//853 QGlobalSpace::__codecvt_ok (enum)
    {26, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 854},	//854 QGlobalSpace::__codecvt_partial (enum)
    {26, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 855},	//855 QGlobalSpace::__codecvt_error (enum)
    {26, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 856},	//856 QGlobalSpace::__codecvt_noconv (enum)
    {27, 185, 342, 1, Smoke::mf_virtual, 0, 0},	//857 QGraphicsItem::advance(int)
    {27, 610, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 188, 0},	//858 QGraphicsItem::shape() const
    {27, 197, 903, 1, Smoke::mf_const|Smoke::mf_virtual, 357, 0},	//859 QGraphicsItem::contains(const QPointF&) const
    {27, 194, 1817, 2, Smoke::mf_const|Smoke::mf_virtual, 357, 0},	//860 QGraphicsItem::collidesWithItem(const QGraphicsItem*, Qt::ItemSelectionMode) const
    {27, 195, 1820, 2, Smoke::mf_const|Smoke::mf_virtual, 357, 0},	//861 QGraphicsItem::collidesWithPath(const QPainterPath&, Qt::ItemSelectionMode) const
    {27, 231, 1823, 1, Smoke::mf_const|Smoke::mf_virtual, 357, 0},	//862 QGraphicsItem::isObscuredBy(const QGraphicsItem*) const
    {27, 253, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 188, 0},	//863 QGraphicsItem::opaqueArea() const
    {27, 581, 1825, 2, Smoke::mf_protected|Smoke::mf_virtual, 357, 0},	//864 QGraphicsItem::sceneEventFilter(QGraphicsItem*, QEvent*)
    {27, 580, 1828, 1, Smoke::mf_protected|Smoke::mf_virtual, 357, 0},	//865 QGraphicsItem::sceneEvent(QEvent*)
    {27, 198, 1830, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//866 QGraphicsItem::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {27, 205, 1832, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//867 QGraphicsItem::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {27, 206, 1832, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//868 QGraphicsItem::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {27, 207, 1832, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//869 QGraphicsItem::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {27, 208, 1832, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//870 QGraphicsItem::dropEvent(QGraphicsSceneDragDropEvent*)
    {27, 218, 1834, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//871 QGraphicsItem::focusInEvent(QFocusEvent*)
    {27, 220, 1834, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//872 QGraphicsItem::focusOutEvent(QFocusEvent*)
    {27, 225, 1836, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//873 QGraphicsItem::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {27, 227, 1836, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//874 QGraphicsItem::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {27, 226, 1836, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//875 QGraphicsItem::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {27, 234, 1838, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//876 QGraphicsItem::keyPressEvent(QKeyEvent*)
    {27, 235, 1838, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//877 QGraphicsItem::keyReleaseEvent(QKeyEvent*)
    {27, 250, 1840, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//878 QGraphicsItem::mousePressEvent(QGraphicsSceneMouseEvent*)
    {27, 249, 1840, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//879 QGraphicsItem::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {27, 251, 1840, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//880 QGraphicsItem::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {27, 248, 1840, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//881 QGraphicsItem::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {27, 631, 1842, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//882 QGraphicsItem::wheelEvent(QGraphicsSceneWheelEvent*)
    {27, 228, 1844, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//883 QGraphicsItem::inputMethodEvent(QInputMethodEvent*)
    {27, 229, 1846, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 264, 0},	//884 QGraphicsItem::inputMethodQuery(Qt::InputMethodQuery) const
    {27, 233, 1848, 2, Smoke::mf_protected|Smoke::mf_virtual, 264, 0},	//885 QGraphicsItem::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {27, 616, 1851, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 357, 0},	//886 QGraphicsItem::supportsExtension(QGraphicsItem::Extension) const
    {27, 590, 1853, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//887 QGraphicsItem::setExtension(QGraphicsItem::Extension, const QVariant&)
    {27, 216, 1856, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 264, 0},	//888 QGraphicsItem::extension(const QVariant&) const
    {27, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 33},	//889 QGraphicsItem::ItemIsMovable (enum)
    {27, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 34},	//890 QGraphicsItem::ItemIsSelectable (enum)
    {27, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 35},	//891 QGraphicsItem::ItemIsFocusable (enum)
    {27, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 36},	//892 QGraphicsItem::ItemClipsToShape (enum)
    {27, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 37},	//893 QGraphicsItem::ItemClipsChildrenToShape (enum)
    {27, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 38},	//894 QGraphicsItem::ItemIgnoresTransformations (enum)
    {27, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 39},	//895 QGraphicsItem::ItemIgnoresParentOpacity (enum)
    {27, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 40},	//896 QGraphicsItem::ItemDoesntPropagateOpacityToChildren (enum)
    {27, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 41},	//897 QGraphicsItem::ItemStacksBehindParent (enum)
    {27, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 42},	//898 QGraphicsItem::ItemUsesExtendedStyleOption (enum)
    {27, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 43},	//899 QGraphicsItem::ItemHasNoContents (enum)
    {27, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 44},	//900 QGraphicsItem::ItemSendsGeometryChanges (enum)
    {27, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 45},	//901 QGraphicsItem::ItemAcceptsInputMethod (enum)
    {27, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 46},	//902 QGraphicsItem::ItemNegativeZStacksBehindParent (enum)
    {27, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 47},	//903 QGraphicsItem::ItemIsPanel (enum)
    {27, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 48},	//904 QGraphicsItem::ItemIsFocusScope (enum)
    {27, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 49},	//905 QGraphicsItem::ItemSendsScenePositionChanges (enum)
    {27, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 50},	//906 QGraphicsItem::ItemStopsClickFocusPropagation (enum)
    {27, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 51},	//907 QGraphicsItem::ItemStopsFocusHandling (enum)
    {27, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 52},	//908 QGraphicsItem::ItemPositionChange (enum)
    {27, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 53},	//909 QGraphicsItem::ItemMatrixChange (enum)
    {27, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 54},	//910 QGraphicsItem::ItemVisibleChange (enum)
    {27, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 55},	//911 QGraphicsItem::ItemEnabledChange (enum)
    {27, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 56},	//912 QGraphicsItem::ItemSelectedChange (enum)
    {27, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 57},	//913 QGraphicsItem::ItemParentChange (enum)
    {27, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 58},	//914 QGraphicsItem::ItemChildAddedChange (enum)
    {27, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 59},	//915 QGraphicsItem::ItemChildRemovedChange (enum)
    {27, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 60},	//916 QGraphicsItem::ItemTransformChange (enum)
    {27, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 61},	//917 QGraphicsItem::ItemPositionHasChanged (enum)
    {27, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 62},	//918 QGraphicsItem::ItemTransformHasChanged (enum)
    {27, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 63},	//919 QGraphicsItem::ItemSceneChange (enum)
    {27, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 64},	//920 QGraphicsItem::ItemVisibleHasChanged (enum)
    {27, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 65},	//921 QGraphicsItem::ItemEnabledHasChanged (enum)
    {27, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 66},	//922 QGraphicsItem::ItemSelectedHasChanged (enum)
    {27, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 67},	//923 QGraphicsItem::ItemParentHasChanged (enum)
    {27, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 68},	//924 QGraphicsItem::ItemSceneHasChanged (enum)
    {27, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 69},	//925 QGraphicsItem::ItemCursorChange (enum)
    {27, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 70},	//926 QGraphicsItem::ItemCursorHasChanged (enum)
    {27, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 71},	//927 QGraphicsItem::ItemToolTipChange (enum)
    {27, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 72},	//928 QGraphicsItem::ItemToolTipHasChanged (enum)
    {27, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 73},	//929 QGraphicsItem::ItemFlagsChange (enum)
    {27, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 74},	//930 QGraphicsItem::ItemFlagsHaveChanged (enum)
    {27, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 75},	//931 QGraphicsItem::ItemZValueChange (enum)
    {27, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 76},	//932 QGraphicsItem::ItemZValueHasChanged (enum)
    {27, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 77},	//933 QGraphicsItem::ItemOpacityChange (enum)
    {27, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 78},	//934 QGraphicsItem::ItemOpacityHasChanged (enum)
    {27, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 79},	//935 QGraphicsItem::ItemScenePositionHasChanged (enum)
    {27, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 80},	//936 QGraphicsItem::ItemRotationChange (enum)
    {27, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 81},	//937 QGraphicsItem::ItemRotationHasChanged (enum)
    {27, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 82},	//938 QGraphicsItem::ItemScaleChange (enum)
    {27, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 83},	//939 QGraphicsItem::ItemScaleHasChanged (enum)
    {27, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 84},	//940 QGraphicsItem::ItemTransformOriginPointChange (enum)
    {27, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 85},	//941 QGraphicsItem::ItemTransformOriginPointHasChanged (enum)
    {27, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 86},	//942 QGraphicsItem::Type (enum)
    {27, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 87},	//943 QGraphicsItem::UserType (enum)
    {27, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 88},	//944 QGraphicsItem::UserExtension (enum)
    {34, 244, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 389, 1},	//945 QGraphicsSvgItem::metaObject() const
    {34, 560, 92, 1, Smoke::mf_virtual, 467, 2},	//946 QGraphicsSvgItem::qt_metacast(const char*)
    {34, 620, 182, 2, Smoke::mf_static, 220, 3},	//947 QGraphicsSvgItem::tr(const char*, const char*)
    {34, 624, 182, 2, Smoke::mf_static, 220, 4},	//948 QGraphicsSvgItem::trUtf8(const char*, const char*)
    {34, 620, 530, 3, Smoke::mf_static, 220, 5},	//949 QGraphicsSvgItem::tr(const char*, const char*, int)
    {34, 624, 530, 3, Smoke::mf_static, 220, 6},	//950 QGraphicsSvgItem::trUtf8(const char*, const char*, int)
    {34, 558, 1858, 3, Smoke::mf_virtual, 449, 7},	//951 QGraphicsSvgItem::qt_metacall(QMetaObject::Call, int, void**)
    {34, 72, 1862, 1, Smoke::mf_ctor, 143, 8},	//952 QGraphicsSvgItem::QGraphicsSvgItem(QGraphicsItem*)
    {34, 72, 1864, 2, Smoke::mf_ctor, 143, 9},	//953 QGraphicsSvgItem::QGraphicsSvgItem(const QString&, QGraphicsItem*)
    {34, 601, 1867, 1, 0, 0, 10},	//954 QGraphicsSvgItem::setSharedRenderer(QSvgRenderer*)
    {34, 576, 0, 0, Smoke::mf_const, 238, 11},	//955 QGraphicsSvgItem::renderer() const
    {34, 588, 443, 1, Smoke::mf_property, 0, 12},	//956 QGraphicsSvgItem::setElementId(const QString&)
    {34, 211, 0, 0, Smoke::mf_const|Smoke::mf_property, 220, 13},	//957 QGraphicsSvgItem::elementId() const
    {34, 582, 1869, 1, 0, 0, 14},	//958 QGraphicsSvgItem::setCachingEnabled(bool)
    {34, 230, 0, 0, Smoke::mf_const, 357, 15},	//959 QGraphicsSvgItem::isCachingEnabled() const
    {34, 595, 1871, 1, Smoke::mf_property, 0, 16},	//960 QGraphicsSvgItem::setMaximumCacheSize(const QSize&)
    {34, 243, 0, 0, Smoke::mf_const|Smoke::mf_property, 213, 17},	//961 QGraphicsSvgItem::maximumCacheSize() const
    {34, 188, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 18},	//962 QGraphicsSvgItem::boundingRect() const
    {34, 309, 1873, 3, Smoke::mf_virtual, 0, 19},	//963 QGraphicsSvgItem::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {34, 628, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 449, 20},	//964 QGraphicsSvgItem::type() const
    {34, 620, 92, 1, Smoke::mf_static, 220, 21},	//965 QGraphicsSvgItem::tr(const char*)
    {34, 624, 92, 1, Smoke::mf_static, 220, 22},	//966 QGraphicsSvgItem::trUtf8(const char*)
    {34, 72, 0, 0, Smoke::mf_ctor, 143, 23},	//967 QGraphicsSvgItem::QGraphicsSvgItem()
    {34, 72, 443, 1, Smoke::mf_ctor, 143, 24},	//968 QGraphicsSvgItem::QGraphicsSvgItem(const QString&)
    {34, 309, 1877, 2, 0, 0, 25},	//969 QGraphicsSvgItem::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {34, 614, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 388, 26},	//970 QGraphicsSvgItem::staticMetaObject() const
    {34, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 452, 27},	//971 QGraphicsSvgItem::Type (enum)
    {34, 634, 0, 0, Smoke::mf_dtor, 0, 28 },	//972 QGraphicsSvgItem::~QGraphicsSvgItem()
    {57, 214, 1828, 1, Smoke::mf_virtual, 357, 0},	//973 QObject::event(QEvent*)
    {57, 215, 1880, 2, Smoke::mf_virtual, 357, 0},	//974 QObject::eventFilter(QObject*, QEvent*)
    {57, 618, 1883, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//975 QObject::timerEvent(QTimerEvent*)
    {57, 192, 1885, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//976 QObject::childEvent(QChildEvent*)
    {57, 200, 1828, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//977 QObject::customEvent(QEvent*)
    {57, 196, 92, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//978 QObject::connectNotify(const char*)
    {57, 204, 92, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//979 QObject::disconnectNotify(const char*)
    {58, 203, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 449, 0},	//980 QPaintDevice::devType() const
    {58, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 2},	//981 QPaintDevice::PdmWidth (enum)
    {58, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 3},	//982 QPaintDevice::PdmHeight (enum)
    {58, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 4},	//983 QPaintDevice::PdmWidthMM (enum)
    {58, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 5},	//984 QPaintDevice::PdmHeightMM (enum)
    {58, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 6},	//985 QPaintDevice::PdmNumColors (enum)
    {58, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 7},	//986 QPaintDevice::PdmDepth (enum)
    {58, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 8},	//987 QPaintDevice::PdmDpiX (enum)
    {58, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 9},	//988 QPaintDevice::PdmDpiY (enum)
    {58, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 10},	//989 QPaintDevice::PdmPhysicalDpiX (enum)
    {58, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 11},	//990 QPaintDevice::PdmPhysicalDpiY (enum)
    {89, 76, 0, 0, Smoke::mf_ctor, 237, 1},	//991 QSvgGenerator::QSvgGenerator()
    {89, 619, 0, 0, Smoke::mf_const|Smoke::mf_property, 220, 2},	//992 QSvgGenerator::title() const
    {89, 605, 443, 1, Smoke::mf_property, 0, 3},	//993 QSvgGenerator::setTitle(const QString&)
    {89, 202, 0, 0, Smoke::mf_const|Smoke::mf_property, 220, 4},	//994 QSvgGenerator::description() const
    {89, 586, 443, 1, Smoke::mf_property, 0, 5},	//995 QSvgGenerator::setDescription(const QString&)
    {89, 612, 0, 0, Smoke::mf_const|Smoke::mf_property, 213, 6},	//996 QSvgGenerator::size() const
    {89, 603, 1871, 1, Smoke::mf_property, 0, 7},	//997 QSvgGenerator::setSize(const QSize&)
    {89, 629, 0, 0, Smoke::mf_const, 204, 8},	//998 QSvgGenerator::viewBox() const
    {89, 630, 0, 0, Smoke::mf_const|Smoke::mf_property, 206, 9},	//999 QSvgGenerator::viewBoxF() const
    {89, 607, 1887, 1, 0, 0, 10},	//1000 QSvgGenerator::setViewBox(const QRect&)
    {89, 607, 1889, 1, Smoke::mf_property, 0, 11},	//1001 QSvgGenerator::setViewBox(const QRectF&)
    {89, 217, 0, 0, Smoke::mf_const|Smoke::mf_property, 220, 12},	//1002 QSvgGenerator::fileName() const
    {89, 591, 443, 1, Smoke::mf_property, 0, 13},	//1003 QSvgGenerator::setFileName(const QString&)
    {89, 308, 0, 0, Smoke::mf_const|Smoke::mf_property, 147, 14},	//1004 QSvgGenerator::outputDevice() const
    {89, 597, 1891, 1, Smoke::mf_property, 0, 15},	//1005 QSvgGenerator::setOutputDevice(QIODevice*)
    {89, 599, 342, 1, Smoke::mf_property, 0, 16},	//1006 QSvgGenerator::setResolution(int)
    {89, 579, 0, 0, Smoke::mf_const|Smoke::mf_property, 449, 17},	//1007 QSvgGenerator::resolution() const
    {89, 312, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 182, 18},	//1008 QSvgGenerator::paintEngine() const
    {89, 245, 1893, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 449, 19},	//1009 QSvgGenerator::metric(QPaintDevice::PaintDeviceMetric) const
    {89, 635, 0, 0, Smoke::mf_dtor, 0, 20 },	//1010 QSvgGenerator::~QSvgGenerator()
    {90, 244, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 389, 1},	//1011 QSvgRenderer::metaObject() const
    {90, 560, 92, 1, Smoke::mf_virtual, 467, 2},	//1012 QSvgRenderer::qt_metacast(const char*)
    {90, 620, 182, 2, Smoke::mf_static, 220, 3},	//1013 QSvgRenderer::tr(const char*, const char*)
    {90, 624, 182, 2, Smoke::mf_static, 220, 4},	//1014 QSvgRenderer::trUtf8(const char*, const char*)
    {90, 620, 530, 3, Smoke::mf_static, 220, 5},	//1015 QSvgRenderer::tr(const char*, const char*, int)
    {90, 624, 530, 3, Smoke::mf_static, 220, 6},	//1016 QSvgRenderer::trUtf8(const char*, const char*, int)
    {90, 558, 1858, 3, Smoke::mf_virtual, 449, 7},	//1017 QSvgRenderer::qt_metacall(QMetaObject::Call, int, void**)
    {90, 77, 1895, 1, Smoke::mf_ctor, 238, 8},	//1018 QSvgRenderer::QSvgRenderer(QObject*)
    {90, 77, 1897, 2, Smoke::mf_ctor, 238, 9},	//1019 QSvgRenderer::QSvgRenderer(const QString&, QObject*)
    {90, 77, 1900, 2, Smoke::mf_ctor, 238, 10},	//1020 QSvgRenderer::QSvgRenderer(const QByteArray&, QObject*)
    {90, 77, 1903, 2, Smoke::mf_ctor, 238, 11},	//1021 QSvgRenderer::QSvgRenderer(QXmlStreamReader*, QObject*)
    {90, 232, 0, 0, Smoke::mf_const, 357, 12},	//1022 QSvgRenderer::isValid() const
    {90, 201, 0, 0, Smoke::mf_const, 213, 13},	//1023 QSvgRenderer::defaultSize() const
    {90, 629, 0, 0, Smoke::mf_const, 204, 14},	//1024 QSvgRenderer::viewBox() const
    {90, 630, 0, 0, Smoke::mf_const|Smoke::mf_property, 206, 15},	//1025 QSvgRenderer::viewBoxF() const
    {90, 607, 1887, 1, 0, 0, 16},	//1026 QSvgRenderer::setViewBox(const QRect&)
    {90, 607, 1889, 1, Smoke::mf_property, 0, 17},	//1027 QSvgRenderer::setViewBox(const QRectF&)
    {90, 186, 0, 0, Smoke::mf_const, 357, 18},	//1028 QSvgRenderer::animated() const
    {90, 222, 0, 0, Smoke::mf_const|Smoke::mf_property, 449, 19},	//1029 QSvgRenderer::framesPerSecond() const
    {90, 593, 342, 1, Smoke::mf_property, 0, 20},	//1030 QSvgRenderer::setFramesPerSecond(int)
    {90, 199, 0, 0, Smoke::mf_const|Smoke::mf_property, 449, 21},	//1031 QSvgRenderer::currentFrame() const
    {90, 584, 342, 1, Smoke::mf_property, 0, 22},	//1032 QSvgRenderer::setCurrentFrame(int)
    {90, 187, 0, 0, Smoke::mf_const, 449, 23},	//1033 QSvgRenderer::animationDuration() const
    {90, 189, 443, 1, Smoke::mf_const, 206, 24},	//1034 QSvgRenderer::boundsOnElement(const QString&) const
    {90, 209, 443, 1, Smoke::mf_const, 357, 25},	//1035 QSvgRenderer::elementExists(const QString&) const
    {90, 241, 443, 1, Smoke::mf_const, 169, 26},	//1036 QSvgRenderer::matrixForElement(const QString&) const
    {90, 238, 443, 1, Smoke::mf_slot, 357, 27},	//1037 QSvgRenderer::load(const QString&)
    {90, 238, 147, 1, Smoke::mf_slot, 357, 28},	//1038 QSvgRenderer::load(const QByteArray&)
    {90, 238, 1906, 1, Smoke::mf_slot, 357, 29},	//1039 QSvgRenderer::load(QXmlStreamReader*)
    {90, 571, 1908, 1, Smoke::mf_slot, 0, 30},	//1040 QSvgRenderer::render(QPainter*)
    {90, 571, 1910, 2, Smoke::mf_slot, 0, 31},	//1041 QSvgRenderer::render(QPainter*, const QRectF&)
    {90, 571, 1913, 3, Smoke::mf_slot, 0, 32},	//1042 QSvgRenderer::render(QPainter*, const QString&, const QRectF&)
    {90, 577, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1043 QSvgRenderer::repaintNeeded()
    {90, 620, 92, 1, Smoke::mf_static, 220, 34},	//1044 QSvgRenderer::tr(const char*)
    {90, 624, 92, 1, Smoke::mf_static, 220, 35},	//1045 QSvgRenderer::trUtf8(const char*)
    {90, 77, 0, 0, Smoke::mf_ctor, 238, 36},	//1046 QSvgRenderer::QSvgRenderer()
    {90, 77, 443, 1, Smoke::mf_ctor, 238, 37},	//1047 QSvgRenderer::QSvgRenderer(const QString&)
    {90, 77, 147, 1, Smoke::mf_ctor, 238, 38},	//1048 QSvgRenderer::QSvgRenderer(const QByteArray&)
    {90, 77, 1906, 1, Smoke::mf_ctor, 238, 39},	//1049 QSvgRenderer::QSvgRenderer(QXmlStreamReader*)
    {90, 571, 1917, 2, Smoke::mf_slot, 0, 40},	//1050 QSvgRenderer::render(QPainter*, const QString&)
    {90, 614, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 388, 41},	//1051 QSvgRenderer::staticMetaObject() const
    {90, 636, 0, 0, Smoke::mf_dtor, 0, 42 },	//1052 QSvgRenderer::~QSvgRenderer()
    {91, 244, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 389, 1},	//1053 QSvgWidget::metaObject() const
    {91, 560, 92, 1, Smoke::mf_virtual, 467, 2},	//1054 QSvgWidget::qt_metacast(const char*)
    {91, 620, 182, 2, Smoke::mf_static, 220, 3},	//1055 QSvgWidget::tr(const char*, const char*)
    {91, 624, 182, 2, Smoke::mf_static, 220, 4},	//1056 QSvgWidget::trUtf8(const char*, const char*)
    {91, 620, 530, 3, Smoke::mf_static, 220, 5},	//1057 QSvgWidget::tr(const char*, const char*, int)
    {91, 624, 530, 3, Smoke::mf_static, 220, 6},	//1058 QSvgWidget::trUtf8(const char*, const char*, int)
    {91, 558, 1858, 3, Smoke::mf_virtual, 449, 7},	//1059 QSvgWidget::qt_metacall(QMetaObject::Call, int, void**)
    {91, 82, 1920, 1, Smoke::mf_ctor, 239, 8},	//1060 QSvgWidget::QSvgWidget(QWidget*)
    {91, 82, 1922, 2, Smoke::mf_ctor, 239, 9},	//1061 QSvgWidget::QSvgWidget(const QString&, QWidget*)
    {91, 576, 0, 0, Smoke::mf_const, 238, 10},	//1062 QSvgWidget::renderer() const
    {91, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//1063 QSvgWidget::sizeHint() const
    {91, 238, 443, 1, Smoke::mf_slot, 0, 12},	//1064 QSvgWidget::load(const QString&)
    {91, 238, 147, 1, Smoke::mf_slot, 0, 13},	//1065 QSvgWidget::load(const QByteArray&)
    {91, 313, 1925, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//1066 QSvgWidget::paintEvent(QPaintEvent*)
    {91, 620, 92, 1, Smoke::mf_static, 220, 15},	//1067 QSvgWidget::tr(const char*)
    {91, 624, 92, 1, Smoke::mf_static, 220, 16},	//1068 QSvgWidget::trUtf8(const char*)
    {91, 82, 0, 0, Smoke::mf_ctor, 239, 17},	//1069 QSvgWidget::QSvgWidget()
    {91, 82, 443, 1, Smoke::mf_ctor, 239, 18},	//1070 QSvgWidget::QSvgWidget(const QString&)
    {91, 614, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 388, 19},	//1071 QSvgWidget::staticMetaObject() const
    {91, 637, 0, 0, Smoke::mf_dtor, 0, 20 },	//1072 QSvgWidget::~QSvgWidget()
    {112, 203, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 449, 0},	//1073 QWidget::devType() const
    {112, 609, 1869, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1074 QWidget::setVisible(bool)
    {112, 247, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 213, 0},	//1075 QWidget::minimumSizeHint() const
    {112, 223, 342, 1, Smoke::mf_const|Smoke::mf_virtual, 449, 0},	//1076 QWidget::heightForWidth(int) const
    {112, 312, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 182, 0},	//1077 QWidget::paintEngine() const
    {112, 214, 1828, 1, Smoke::mf_protected|Smoke::mf_virtual, 357, 0},	//1078 QWidget::event(QEvent*)
    {112, 250, 1927, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1079 QWidget::mousePressEvent(QMouseEvent*)
    {112, 251, 1927, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1080 QWidget::mouseReleaseEvent(QMouseEvent*)
    {112, 248, 1927, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1081 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {112, 249, 1927, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1082 QWidget::mouseMoveEvent(QMouseEvent*)
    {112, 631, 1929, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1083 QWidget::wheelEvent(QWheelEvent*)
    {112, 234, 1838, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1084 QWidget::keyPressEvent(QKeyEvent*)
    {112, 235, 1838, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1085 QWidget::keyReleaseEvent(QKeyEvent*)
    {112, 218, 1834, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1086 QWidget::focusInEvent(QFocusEvent*)
    {112, 220, 1834, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1087 QWidget::focusOutEvent(QFocusEvent*)
    {112, 213, 1828, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1088 QWidget::enterEvent(QEvent*)
    {112, 237, 1828, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1089 QWidget::leaveEvent(QEvent*)
    {112, 252, 1931, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1090 QWidget::moveEvent(QMoveEvent*)
    {112, 578, 1933, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1091 QWidget::resizeEvent(QResizeEvent*)
    {112, 193, 1935, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1092 QWidget::closeEvent(QCloseEvent*)
    {112, 198, 1937, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1093 QWidget::contextMenuEvent(QContextMenuEvent*)
    {112, 617, 1939, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1094 QWidget::tabletEvent(QTabletEvent*)
    {112, 184, 1941, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1095 QWidget::actionEvent(QActionEvent*)
    {112, 205, 1943, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1096 QWidget::dragEnterEvent(QDragEnterEvent*)
    {112, 207, 1945, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1097 QWidget::dragMoveEvent(QDragMoveEvent*)
    {112, 206, 1947, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1098 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {112, 208, 1949, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1099 QWidget::dropEvent(QDropEvent*)
    {112, 611, 1951, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1100 QWidget::showEvent(QShowEvent*)
    {112, 224, 1953, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1101 QWidget::hideEvent(QHideEvent*)
    {112, 633, 1955, 1, Smoke::mf_protected|Smoke::mf_virtual, 357, 0},	//1102 QWidget::x11Event(_XEvent*)
    {112, 191, 1828, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1103 QWidget::changeEvent(QEvent*)
    {112, 245, 1893, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 449, 0},	//1104 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {112, 228, 1844, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1105 QWidget::inputMethodEvent(QInputMethodEvent*)
    {112, 229, 1846, 1, Smoke::mf_const|Smoke::mf_virtual, 264, 0},	//1106 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {112, 219, 1869, 1, Smoke::mf_protected|Smoke::mf_virtual, 357, 0},	//1107 QWidget::focusNextPrevChild(bool)
    {112, 615, 1957, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1108 QWidget::styleChange(QStyle&)
    {112, 212, 1869, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1109 QWidget::enabledChange(bool)
    {112, 315, 1959, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1110 QWidget::paletteChange(const QPalette&)
    {112, 221, 1961, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1111 QWidget::fontChange(const QFont&)
    {112, 632, 1869, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1112 QWidget::windowActivationChange(bool)
    {112, 236, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1113 QWidget::languageChange()
    {112, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 42},	//1114 QWidget::DrawWindowBackground (enum)
    {112, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 43},	//1115 QWidget::DrawChildren (enum)
    {112, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 44},	//1116 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    10,  // QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    86,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    146,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    161,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    238,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    279,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    309,  // QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    318,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    398,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    407,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    455,  // QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    469,  // QGlobalSpace::operator!=(QChar, QChar)
    509,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    600,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    630,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    677,  // QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    687,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    742,  // QGlobalSpace::operator!=(QBool, QBool)
    759,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    69,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    98,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    120,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    489,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    685,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    229,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    355,  // QGlobalSpace::operator!=(bool, QBool)
    406,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    479,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    698,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    16,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    47,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    52,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    55,  // QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    96,  // QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    113,  // QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    162,  // QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    214,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    239,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    259,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    277,  // QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    302,  // QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    374,  // QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    385,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    442,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    488,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    516,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    521,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    526,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    592,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    646,  // QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    648,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    658,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    670,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    679,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    692,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    703,  // QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    706,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    755,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    0,
    61,  // QGlobalSpace::operator*(const QMatrix4x4&, double)
    154,  // QGlobalSpace::operator*(const QTransform&, double)
    253,  // QGlobalSpace::operator*(const QQuaternion&, double)
    401,  // QGlobalSpace::operator*(const QVector4D&, double)
    453,  // QGlobalSpace::operator*(const QVector2D&, double)
    460,  // QGlobalSpace::operator*(const QVector3D&, double)
    518,  // QGlobalSpace::operator*(const QSize&, double)
    640,  // QGlobalSpace::operator*(const QPoint&, int)
    665,  // QGlobalSpace::operator*(const QPoint&, double)
    674,  // QGlobalSpace::operator*(const QSizeF&, double)
    681,  // QGlobalSpace::operator*(const QPoint&, float)
    694,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    81,  // QGlobalSpace::operator*(double, const QSizeF&)
    313,  // QGlobalSpace::operator*(int, const QPoint&)
    361,  // QGlobalSpace::operator*(double, const QVector2D&)
    389,  // QGlobalSpace::operator*(float, const QPoint&)
    408,  // QGlobalSpace::operator*(double, const QVector4D&)
    452,  // QGlobalSpace::operator*(double, const QQuaternion&)
    513,  // QGlobalSpace::operator*(double, const QPointF&)
    525,  // QGlobalSpace::operator*(double, const QPoint&)
    584,  // QGlobalSpace::operator*(double, const QMatrix4x4&)
    682,  // QGlobalSpace::operator*(double, const QSize&)
    746,  // QGlobalSpace::operator*(double, const QVector3D&)
    0,
    41,  // QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    76,  // QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    109,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    132,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    137,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    187,  // QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    258,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    270,  // QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    335,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    715,  // QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    0,
    165,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    213,  // QGlobalSpace::operator+(const QTransform&, double)
    219,  // QGlobalSpace::operator+(QChar, const QString&)
    414,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    22,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    160,  // QGlobalSpace::operator+(const QString&, QChar)
    496,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    57,  // QGlobalSpace::operator-(const QMatrix4x4&)
    228,  // QGlobalSpace::operator-(const QQuaternion&)
    262,  // QGlobalSpace::operator-(const QPoint&)
    362,  // QGlobalSpace::operator-(const QVector4D&)
    377,  // QGlobalSpace::operator-(const QPointF&)
    581,  // QGlobalSpace::operator-(const QVector2D&)
    624,  // QGlobalSpace::operator-(const QVector3D&)
    0,
    7,  // QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    87,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    112,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    116,  // QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    142,  // QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    240,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    323,  // QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    501,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    693,  // QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    0,
    105,  // QGlobalSpace::operator/(const QPoint&, double)
    138,  // QGlobalSpace::operator/(const QMatrix4x4&, double)
    286,  // QGlobalSpace::operator/(const QVector4D&, double)
    352,  // QGlobalSpace::operator/(const QVector2D&, double)
    354,  // QGlobalSpace::operator/(const QPointF&, double)
    358,  // QGlobalSpace::operator/(const QVector3D&, double)
    367,  // QGlobalSpace::operator/(const QTransform&, double)
    418,  // QGlobalSpace::operator/(const QSizeF&, double)
    434,  // QGlobalSpace::operator/(const QQuaternion&, double)
    647,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    65,  // QGlobalSpace::operator<(QChar, QChar)
    246,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    684,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    20,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    30,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    44,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    48,  // QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    49,  // QGlobalSpace::operator<<(QDebug, const QBrush&)
    54,  // QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    62,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    63,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    89,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    101,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    110,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    115,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    121,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    124,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    126,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    130,  // QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    157,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    172,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    189,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    190,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    191,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    201,  // QGlobalSpace::operator<<(QDebug, const QEvent*)
    215,  // QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    264,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    276,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    281,  // QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    282,  // QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    287,  // QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    297,  // QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    303,  // QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    304,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    312,  // QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    320,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    338,  // QGlobalSpace::operator<<(QDebug, const QRegion&)
    339,  // QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    340,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    342,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    371,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    378,  // QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    384,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    395,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    403,  // QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    404,  // QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    413,  // QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    420,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    430,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    438,  // QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    443,  // QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    448,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    449,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    451,  // QGlobalSpace::operator<<(QDebug, const QPen&)
    454,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    457,  // QGlobalSpace::operator<<(QDebug, const QVector3D&)
    462,  // QGlobalSpace::operator<<(QDebug, const QVector2D&)
    464,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    465,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    467,  // QGlobalSpace::operator<<(QDebug, const QVector4D&)
    482,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    493,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    499,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    502,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    519,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    528,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    554,  // QGlobalSpace::operator<<(QDataStream&, const QPen&)
    559,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    568,  // QGlobalSpace::operator<<(QDebug, const QTransform&)
    573,  // QGlobalSpace::operator<<(QDebug, const QPolygon&)
    583,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    585,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    591,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    593,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    595,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    596,  // QGlobalSpace::operator<<(QDebug, const QFont&)
    607,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    612,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    619,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    625,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    659,  // QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    660,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    673,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    689,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    707,  // QGlobalSpace::operator<<(QDebug, const QColor&)
    708,  // QGlobalSpace::operator<<(QDebug, const QMatrix&)
    709,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    721,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    730,  // QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    732,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    734,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    745,  // QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    757,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    760,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    762,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    14,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    70,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    224,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    298,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    341,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    441,  // QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    511,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    644,  // QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    701,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    756,  // QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    0,
    210,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    429,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    626,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    9,  // QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    19,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    29,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    51,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    53,  // QGlobalSpace::operator==(QChar, QChar)
    83,  // QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    180,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    202,  // QGlobalSpace::operator==(QBool, QBool)
    241,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    261,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    268,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    332,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    411,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    419,  // QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    422,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    517,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    541,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    603,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    652,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    678,  // QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    0,
    18,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    148,  // QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    330,  // QGlobalSpace::operator==(QString::Null, const QString&)
    671,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    676,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    726,  // QGlobalSpace::operator==(QBool, bool)
    0,
    38,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    204,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    380,  // QGlobalSpace::operator==(bool, QBool)
    447,  // QGlobalSpace::operator==(const QString&, QString::Null)
    498,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    614,  // QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    0,
    79,  // QGlobalSpace::operator>(QChar, QChar)
    183,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    314,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    3,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    68,  // QGlobalSpace::operator>=(QChar, QChar)
    555,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    15,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    23,  // QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    27,  // QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    32,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    64,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    66,  // QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    150,  // QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    158,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    171,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    200,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    211,  // QGlobalSpace::operator>>(QDataStream&, QPen&)
    225,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    234,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    245,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    317,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    329,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    331,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    343,  // QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    350,  // QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    364,  // QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    372,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    376,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    381,  // QGlobalSpace::operator>>(QDataStream&, QPicture&)
    386,  // QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    402,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    417,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    431,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    446,  // QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    468,  // QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    477,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    478,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    480,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    495,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    506,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    507,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    514,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    557,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    567,  // QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    604,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    618,  // QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    632,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    633,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    637,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    654,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    688,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    716,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    719,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    727,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    728,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    753,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    761,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    433,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    641,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    1,  // QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    6,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    8,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    17,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    21,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    24,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    25,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    26,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    37,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    40,  // QGlobalSpace::operator|(QFileDialog::Option, int)
    45,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    46,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    50,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    56,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    60,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    67,  // QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    72,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    73,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    75,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    78,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    80,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    84,  // QGlobalSpace::operator|(QDir::Filter, int)
    85,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    90,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    91,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    92,  // QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    94,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    97,  // QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    99,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    100,  // QGlobalSpace::operator|(QTextOption::Flag, int)
    102,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    103,  // QGlobalSpace::operator|(QFile::Permission, int)
    104,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    111,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    119,  // QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    122,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    123,  // QGlobalSpace::operator|(QWizard::WizardOption, int)
    127,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    129,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    131,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    133,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    134,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    139,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    140,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    141,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    149,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    152,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    156,  // QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    163,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    167,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    168,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    169,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    175,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    177,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    181,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    184,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    188,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    195,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    197,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    199,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    203,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    205,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    206,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    208,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    209,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    216,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    220,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    221,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    222,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    223,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    231,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    233,  // QGlobalSpace::operator|(QMainWindow::DockOption, int)
    235,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    237,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    242,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    243,  // QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    244,  // QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    248,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    254,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    257,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    260,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    263,  // QGlobalSpace::operator|(Qt::DropAction, int)
    265,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    278,  // QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    283,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    289,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    292,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    295,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    296,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    299,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    301,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    310,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    316,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    319,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    321,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    322,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    333,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    334,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    336,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    349,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    351,  // QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    353,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    356,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    357,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    359,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    363,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    366,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    368,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    370,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    375,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    379,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    382,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    387,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    392,  // QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    393,  // QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    394,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    397,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    405,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    409,  // QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    410,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    415,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    416,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    421,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    426,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    432,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    437,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    439,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    444,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    456,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    458,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    459,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    463,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    470,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    473,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    474,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    476,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    481,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    483,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    484,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    487,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    494,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    497,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    500,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    503,  // QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    504,  // QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    505,  // QGlobalSpace::operator|(Qt::WindowState, int)
    508,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    510,  // QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    512,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    515,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    522,  // QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    523,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    534,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    535,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    537,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    538,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    542,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    543,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    547,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    548,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    549,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    551,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    552,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    553,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    556,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    560,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    566,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    569,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    574,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    575,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    576,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    577,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    578,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    579,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    580,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    582,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    590,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    597,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    598,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    599,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    602,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    605,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    613,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    615,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    616,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    617,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    622,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    623,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    627,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    629,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    631,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    638,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    639,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    642,  // QGlobalSpace::operator|(QPainter::RenderHint, int)
    645,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    650,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    655,  // QGlobalSpace::operator|(Qt::Orientation, int)
    656,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    666,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    667,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    669,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    672,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    675,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    680,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    683,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    686,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    690,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    691,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    696,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    697,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    702,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    704,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    705,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    710,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    711,  // QGlobalSpace::operator|(Qt::WindowType, int)
    713,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    717,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    718,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    720,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    722,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    723,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    731,  // QGlobalSpace::operator|(QAccessible::StateFlag, int)
    733,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    735,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    736,  // QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    740,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    743,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    749,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    750,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    754,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    758,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    114,  // QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    174,  // QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    232,  // QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    369,  // QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    396,  // QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    520,  // QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    608,  // QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    0,
    540,  // QGlobalSpace::qFuzzyCompare(float, float)
    657,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    252,  // QGlobalSpace::qFuzzyIsNull(float)
    570,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    58,  // QGlobalSpace::qHash(const QUrl&)
    59,  // QGlobalSpace::qHash(const QByteArray&)
    151,  // QGlobalSpace::qHash(const QItemSelectionRange&)
    176,  // QGlobalSpace::qHash(QChar)
    196,  // QGlobalSpace::qHash(const QModelIndex&)
    337,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    461,  // QGlobalSpace::qHash(const QBitArray&)
    747,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    4,  // QGlobalSpace::qHash(unsigned long long)
    36,  // QGlobalSpace::qHash(signed char)
    95,  // QGlobalSpace::qHash(char)
    173,  // QGlobalSpace::qHash(unsigned int)
    186,  // QGlobalSpace::qHash(const QString&)
    227,  // QGlobalSpace::qHash(long long)
    256,  // QGlobalSpace::qHash(int)
    311,  // QGlobalSpace::qHash(long)
    315,  // QGlobalSpace::qHash(unsigned short)
    533,  // QGlobalSpace::qHash(short)
    729,  // QGlobalSpace::qHash(unsigned long)
    752,  // QGlobalSpace::qHash(unsigned char)
    0,
    42,  // QGlobalSpace::qIntCast(double)
    179,  // QGlobalSpace::qIntCast(float)
    0,
    117,  // QGlobalSpace::qIsFinite(double)
    159,  // QGlobalSpace::qIsFinite(float)
    0,
    5,  // QGlobalSpace::qIsInf(double)
    34,  // QGlobalSpace::qIsInf(float)
    0,
    207,  // QGlobalSpace::qIsNaN(float)
    217,  // QGlobalSpace::qIsNaN(double)
    0,
    649,  // QGlobalSpace::qIsNull(float)
    748,  // QGlobalSpace::qIsNull(double)
    0,
    1018,  // QSvgRenderer::QSvgRenderer(QObject*)
    1048,  // QSvgRenderer::QSvgRenderer(const QByteArray&)
    1049,  // QSvgRenderer::QSvgRenderer(QXmlStreamReader*)
    0,
    1020,  // QSvgRenderer::QSvgRenderer(const QByteArray&, QObject*)
    1021,  // QSvgRenderer::QSvgRenderer(QXmlStreamReader*, QObject*)
    0,
    1038,  // QSvgRenderer::load(const QByteArray&)
    1039,  // QSvgRenderer::load(QXmlStreamReader*)
    0,
    1026,  // QSvgRenderer::setViewBox(const QRect&)
    1027,  // QSvgRenderer::setViewBox(const QRectF&)
    0,
    1000,  // QSvgGenerator::setViewBox(const QRect&)
    1001,  // QSvgGenerator::setViewBox(const QRectF&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {26, 86, 850},	// QGlobalSpace::QtCriticalMsg
    {26, 87, 848},	// QGlobalSpace::QtDebugMsg
    {26, 88, 851},	// QGlobalSpace::QtFatalMsg
    {26, 89, 852},	// QGlobalSpace::QtSystemMsg
    {26, 90, 849},	// QGlobalSpace::QtWarningMsg
    {26, 91, 826},	// QGlobalSpace::SP_CustomCameraCaptureButton
    {26, 92, 827},	// QGlobalSpace::SP_CustomCameraCaptureButtonPressed
    {26, 93, 828},	// QGlobalSpace::SP_CustomCameraPauseButton
    {26, 94, 829},	// QGlobalSpace::SP_CustomCameraPauseButtonPressed
    {26, 95, 830},	// QGlobalSpace::SP_CustomCameraPlayButton
    {26, 96, 831},	// QGlobalSpace::SP_CustomCameraPlayButtonPressed
    {26, 97, 832},	// QGlobalSpace::SP_CustomCameraRecButton
    {26, 98, 833},	// QGlobalSpace::SP_CustomCameraRecButtonPressed
    {26, 99, 834},	// QGlobalSpace::SP_CustomCameraStopButton
    {26, 100, 835},	// QGlobalSpace::SP_CustomCameraStopButtonPressed
    {26, 101, 836},	// QGlobalSpace::SP_CustomTabAll
    {26, 102, 837},	// QGlobalSpace::SP_CustomTabArtist
    {26, 103, 838},	// QGlobalSpace::SP_CustomTabFavourite
    {26, 104, 839},	// QGlobalSpace::SP_CustomTabGenre
    {26, 105, 840},	// QGlobalSpace::SP_CustomTabLanguage
    {26, 106, 841},	// QGlobalSpace::SP_CustomTabMusicAlbum
    {26, 107, 842},	// QGlobalSpace::SP_CustomTabPhotosAlbum
    {26, 108, 843},	// QGlobalSpace::SP_CustomTabPhotosAll
    {26, 109, 844},	// QGlobalSpace::SP_CustomTabPlaylist
    {26, 110, 845},	// QGlobalSpace::SP_CustomTabServices
    {26, 111, 846},	// QGlobalSpace::SP_CustomTabSongs
    {26, 112, 847},	// QGlobalSpace::SP_CustomTabVideos
    {26, 113, 763},	// QGlobalSpace::SP_CustomToolBarAdd
    {26, 114, 764},	// QGlobalSpace::SP_CustomToolBarAddDetail
    {26, 115, 765},	// QGlobalSpace::SP_CustomToolBarAgain
    {26, 116, 766},	// QGlobalSpace::SP_CustomToolBarAgenda
    {26, 117, 767},	// QGlobalSpace::SP_CustomToolBarAudioOff
    {26, 118, 768},	// QGlobalSpace::SP_CustomToolBarAudioOn
    {26, 119, 769},	// QGlobalSpace::SP_CustomToolBarBack
    {26, 120, 770},	// QGlobalSpace::SP_CustomToolBarBluetoothOff
    {26, 121, 771},	// QGlobalSpace::SP_CustomToolBarBluetoothOn
    {26, 122, 772},	// QGlobalSpace::SP_CustomToolBarCancel
    {26, 123, 773},	// QGlobalSpace::SP_CustomToolBarDelete
    {26, 124, 774},	// QGlobalSpace::SP_CustomToolBarDone
    {26, 125, 775},	// QGlobalSpace::SP_CustomToolBarEdit
    {26, 126, 776},	// QGlobalSpace::SP_CustomToolBarEditDisabled
    {26, 127, 777},	// QGlobalSpace::SP_CustomToolBarEmailSend
    {26, 128, 778},	// QGlobalSpace::SP_CustomToolBarEmergencyCall
    {26, 129, 779},	// QGlobalSpace::SP_CustomToolBarFavouriteAdd
    {26, 130, 780},	// QGlobalSpace::SP_CustomToolBarFavouriteRemove
    {26, 131, 781},	// QGlobalSpace::SP_CustomToolBarFavourites
    {26, 132, 782},	// QGlobalSpace::SP_CustomToolBarGo
    {26, 133, 783},	// QGlobalSpace::SP_CustomToolBarHome
    {26, 134, 784},	// QGlobalSpace::SP_CustomToolBarImageTools
    {26, 135, 785},	// QGlobalSpace::SP_CustomToolBarList
    {26, 136, 786},	// QGlobalSpace::SP_CustomToolBarLock
    {26, 137, 787},	// QGlobalSpace::SP_CustomToolBarLogs
    {26, 138, 788},	// QGlobalSpace::SP_CustomToolBarMenu
    {26, 139, 789},	// QGlobalSpace::SP_CustomToolBarNewContact
    {26, 140, 790},	// QGlobalSpace::SP_CustomToolBarNewGroup
    {26, 141, 791},	// QGlobalSpace::SP_CustomToolBarNextFrame
    {26, 142, 792},	// QGlobalSpace::SP_CustomToolBarNowPlay
    {26, 143, 793},	// QGlobalSpace::SP_CustomToolBarOptions
    {26, 144, 794},	// QGlobalSpace::SP_CustomToolBarOther
    {26, 145, 795},	// QGlobalSpace::SP_CustomToolBarOvi
    {26, 146, 796},	// QGlobalSpace::SP_CustomToolBarPreviousFrame
    {26, 147, 797},	// QGlobalSpace::SP_CustomToolBarRead
    {26, 148, 799},	// QGlobalSpace::SP_CustomToolBarRedo
    {26, 149, 798},	// QGlobalSpace::SP_CustomToolBarRedoDisabled
    {26, 150, 800},	// QGlobalSpace::SP_CustomToolBarRefresh
    {26, 151, 801},	// QGlobalSpace::SP_CustomToolBarRemoveDetail
    {26, 152, 802},	// QGlobalSpace::SP_CustomToolBarRemoveDisabled
    {26, 153, 803},	// QGlobalSpace::SP_CustomToolBarRepeat
    {26, 154, 804},	// QGlobalSpace::SP_CustomToolBarRepeatOff
    {26, 155, 805},	// QGlobalSpace::SP_CustomToolBarRepeatOne
    {26, 156, 806},	// QGlobalSpace::SP_CustomToolBarSearch
    {26, 157, 807},	// QGlobalSpace::SP_CustomToolBarSearchDisabled
    {26, 158, 808},	// QGlobalSpace::SP_CustomToolBarSelectContent
    {26, 159, 809},	// QGlobalSpace::SP_CustomToolBarSelfTimer
    {26, 160, 810},	// QGlobalSpace::SP_CustomToolBarSend
    {26, 161, 811},	// QGlobalSpace::SP_CustomToolBarSendDimmed
    {26, 162, 812},	// QGlobalSpace::SP_CustomToolBarShare
    {26, 163, 813},	// QGlobalSpace::SP_CustomToolBarShift
    {26, 164, 814},	// QGlobalSpace::SP_CustomToolBarShuffle
    {26, 165, 815},	// QGlobalSpace::SP_CustomToolBarShuffleOff
    {26, 166, 816},	// QGlobalSpace::SP_CustomToolBarSignalOff
    {26, 167, 817},	// QGlobalSpace::SP_CustomToolBarSignalOn
    {26, 168, 818},	// QGlobalSpace::SP_CustomToolBarSync
    {26, 169, 819},	// QGlobalSpace::SP_CustomToolBarTools
    {26, 170, 820},	// QGlobalSpace::SP_CustomToolBarTrim
    {26, 171, 821},	// QGlobalSpace::SP_CustomToolBarUnlock
    {26, 172, 822},	// QGlobalSpace::SP_CustomToolBarUnmark
    {26, 173, 823},	// QGlobalSpace::SP_CustomToolBarView
    {26, 174, 824},	// QGlobalSpace::SP_CustomToolBarWlanOff
    {26, 175, 825},	// QGlobalSpace::SP_CustomToolBarWlanOn
    {26, 180, 855},	// QGlobalSpace::__codecvt_error
    {26, 181, 856},	// QGlobalSpace::__codecvt_noconv
    {26, 182, 853},	// QGlobalSpace::__codecvt_ok
    {26, 183, 854},	// QGlobalSpace::__codecvt_partial
    {26, 255, -1},	// QGlobalSpace::operator!=##
    {26, 256, -21},	// QGlobalSpace::operator!=#$
    {26, 257, -27},	// QGlobalSpace::operator!=$#
    {26, 259, 390},	// QGlobalSpace::operator&##
    {26, 261, -33},	// QGlobalSpace::operator*##
    {26, 262, -63},	// QGlobalSpace::operator*#$
    {26, 263, -76},	// QGlobalSpace::operator*$#
    {26, 265, -88},	// QGlobalSpace::operator+##
    {26, 266, -99},	// QGlobalSpace::operator+#$
    {26, 267, -104},	// QGlobalSpace::operator+$#
    {26, 268, 741},	// QGlobalSpace::operator+$$
    {26, 270, -108},	// QGlobalSpace::operator-#
    {26, 271, -116},	// QGlobalSpace::operator-##
    {26, 272, 93},	// QGlobalSpace::operator-#$
    {26, 274, -126},	// QGlobalSpace::operator/#$
    {26, 276, -137},	// QGlobalSpace::operator<##
    {26, 277, 450},	// QGlobalSpace::operator<#$
    {26, 278, 71},	// QGlobalSpace::operator<$#
    {26, 280, -141},	// QGlobalSpace::operator<<##
    {26, 281, -234},	// QGlobalSpace::operator<<#$
    {26, 282, 412},	// QGlobalSpace::operator<<#?
    {26, 284, -245},	// QGlobalSpace::operator<=##
    {26, 285, 178},	// QGlobalSpace::operator<=#$
    {26, 286, 427},	// QGlobalSpace::operator<=$#
    {26, 288, -249},	// QGlobalSpace::operator==##
    {26, 289, -270},	// QGlobalSpace::operator==#$
    {26, 290, -277},	// QGlobalSpace::operator==$#
    {26, 292, -284},	// QGlobalSpace::operator>##
    {26, 293, 751},	// QGlobalSpace::operator>#$
    {26, 294, 39},	// QGlobalSpace::operator>$#
    {26, 296, -288},	// QGlobalSpace::operator>=##
    {26, 297, 33},	// QGlobalSpace::operator>=#$
    {26, 298, 391},	// QGlobalSpace::operator>=$#
    {26, 300, -292},	// QGlobalSpace::operator>>##
    {26, 301, -344},	// QGlobalSpace::operator>>#$
    {26, 302, 293},	// QGlobalSpace::operator>>#?
    {26, 304, 182},	// QGlobalSpace::operator^##
    {26, 306, 606},	// QGlobalSpace::operator|##
    {26, 307, -347},	// QGlobalSpace::operator|$$
    {26, 316, 373},	// QGlobalSpace::qAccessibleActionCastHelper
    {26, 317, 88},	// QGlobalSpace::qAccessibleEditableTextCastHelper
    {26, 318, 475},	// QGlobalSpace::qAccessibleImageCastHelper
    {26, 319, 288},	// QGlobalSpace::qAccessibleTable2CastHelper
    {26, 320, 247},	// QGlobalSpace::qAccessibleTableCastHelper
    {26, 321, 166},	// QGlobalSpace::qAccessibleTextCastHelper
    {26, 322, 2},	// QGlobalSpace::qAccessibleValueCastHelper
    {26, 324, 550},	// QGlobalSpace::qAcos$
    {26, 326, 423},	// QGlobalSpace::qAddPostRoutine$
    {26, 328, 125},	// QGlobalSpace::qAlpha$
    {26, 329, 435},	// QGlobalSpace::qAppName
    {26, 331, 594},	// QGlobalSpace::qAsin$
    {26, 333, 653},	// QGlobalSpace::qAtan$
    {26, 335, 31},	// QGlobalSpace::qAtan2$$
    {26, 336, 558},	// QGlobalSpace::qBadAlloc
    {26, 338, 300},	// QGlobalSpace::qBlue$
    {26, 340, 466},	// QGlobalSpace::qCeil$
    {26, 342, 284},	// QGlobalSpace::qChecksum$$
    {26, 344, 572},	// QGlobalSpace::qCompress#
    {26, 345, 571},	// QGlobalSpace::qCompress#$
    {26, 346, 425},	// QGlobalSpace::qCompress$$
    {26, 347, 424},	// QGlobalSpace::qCompress$$$
    {26, 349, 77},	// QGlobalSpace::qCos$
    {26, 350, 400},	// QGlobalSpace::qCritical
    {26, 351, 485},	// QGlobalSpace::qDebug
    {26, 353, 285},	// QGlobalSpace::qDrawBorderPixmap####
    {26, 354, 738},	// QGlobalSpace::qDrawBorderPixmap######
    {26, 355, 739},	// QGlobalSpace::qDrawBorderPixmap#######
    {26, 356, 737},	// QGlobalSpace::qDrawBorderPixmap#######$
    {26, 358, 635},	// QGlobalSpace::qDrawPlainRect###
    {26, 359, 636},	// QGlobalSpace::qDrawPlainRect###$
    {26, 360, 634},	// QGlobalSpace::qDrawPlainRect###$#
    {26, 361, 250},	// QGlobalSpace::qDrawPlainRect#$$$$#
    {26, 362, 251},	// QGlobalSpace::qDrawPlainRect#$$$$#$
    {26, 363, 249},	// QGlobalSpace::qDrawPlainRect#$$$$#$#
    {26, 365, 662},	// QGlobalSpace::qDrawShadeLine####
    {26, 366, 663},	// QGlobalSpace::qDrawShadeLine####$
    {26, 367, 664},	// QGlobalSpace::qDrawShadeLine####$$
    {26, 368, 661},	// QGlobalSpace::qDrawShadeLine####$$$
    {26, 369, 587},	// QGlobalSpace::qDrawShadeLine#$$$$#
    {26, 370, 588},	// QGlobalSpace::qDrawShadeLine#$$$$#$
    {26, 371, 589},	// QGlobalSpace::qDrawShadeLine#$$$$#$$
    {26, 372, 586},	// QGlobalSpace::qDrawShadeLine#$$$$#$$$
    {26, 374, 325},	// QGlobalSpace::qDrawShadePanel###
    {26, 375, 326},	// QGlobalSpace::qDrawShadePanel###$
    {26, 376, 327},	// QGlobalSpace::qDrawShadePanel###$$
    {26, 377, 324},	// QGlobalSpace::qDrawShadePanel###$$#
    {26, 378, 346},	// QGlobalSpace::qDrawShadePanel#$$$$#
    {26, 379, 347},	// QGlobalSpace::qDrawShadePanel#$$$$#$
    {26, 380, 348},	// QGlobalSpace::qDrawShadePanel#$$$$#$$
    {26, 381, 345},	// QGlobalSpace::qDrawShadePanel#$$$$#$$#
    {26, 383, 272},	// QGlobalSpace::qDrawShadeRect###
    {26, 384, 273},	// QGlobalSpace::qDrawShadeRect###$
    {26, 385, 274},	// QGlobalSpace::qDrawShadeRect###$$
    {26, 386, 275},	// QGlobalSpace::qDrawShadeRect###$$$
    {26, 387, 271},	// QGlobalSpace::qDrawShadeRect###$$$#
    {26, 388, 562},	// QGlobalSpace::qDrawShadeRect#$$$$#
    {26, 389, 563},	// QGlobalSpace::qDrawShadeRect#$$$$#$
    {26, 390, 564},	// QGlobalSpace::qDrawShadeRect#$$$$#$$
    {26, 391, 565},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$
    {26, 392, 561},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$#
    {26, 394, 306},	// QGlobalSpace::qDrawWinButton###
    {26, 395, 307},	// QGlobalSpace::qDrawWinButton###$
    {26, 396, 305},	// QGlobalSpace::qDrawWinButton###$#
    {26, 397, 610},	// QGlobalSpace::qDrawWinButton#$$$$#
    {26, 398, 611},	// QGlobalSpace::qDrawWinButton#$$$$#$
    {26, 399, 609},	// QGlobalSpace::qDrawWinButton#$$$$#$#
    {26, 401, 531},	// QGlobalSpace::qDrawWinPanel###
    {26, 402, 532},	// QGlobalSpace::qDrawWinPanel###$
    {26, 403, 530},	// QGlobalSpace::qDrawWinPanel###$#
    {26, 404, 107},	// QGlobalSpace::qDrawWinPanel#$$$$#
    {26, 405, 108},	// QGlobalSpace::qDrawWinPanel#$$$$#$
    {26, 406, 106},	// QGlobalSpace::qDrawWinPanel#$$$$#$#
    {26, 408, 267},	// QGlobalSpace::qExp$
    {26, 410, 536},	// QGlobalSpace::qFabs$
    {26, 412, 198},	// QGlobalSpace::qFastCos$
    {26, 414, 428},	// QGlobalSpace::qFastSin$
    {26, 416, 212},	// QGlobalSpace::qFlagLocation$
    {26, 418, 155},	// QGlobalSpace::qFloor$
    {26, 420, 440},	// QGlobalSpace::qFree$
    {26, 422, 445},	// QGlobalSpace::qFreeAligned$
    {26, 424, -579},	// QGlobalSpace::qFuzzyCompare##
    {26, 425, -587},	// QGlobalSpace::qFuzzyCompare$$
    {26, 427, -590},	// QGlobalSpace::qFuzzyIsNull$
    {26, 429, 218},	// QGlobalSpace::qGray$
    {26, 430, 128},	// QGlobalSpace::qGray$$$
    {26, 432, 491},	// QGlobalSpace::qGreen$
    {26, 434, -593},	// QGlobalSpace::qHash#
    {26, 435, -602},	// QGlobalSpace::qHash$
    {26, 436, 700},	// QGlobalSpace::qInf
    {26, 438, 193},	// QGlobalSpace::qInstallMsgHandler$
    {26, 440, -615},	// QGlobalSpace::qIntCast$
    {26, 442, -618},	// QGlobalSpace::qIsFinite$
    {26, 444, 628},	// QGlobalSpace::qIsGray$
    {26, 446, -621},	// QGlobalSpace::qIsInf$
    {26, 448, -624},	// QGlobalSpace::qIsNaN$
    {26, 450, -627},	// QGlobalSpace::qIsNull$
    {26, 452, 269},	// QGlobalSpace::qLn$
    {26, 454, 290},	// QGlobalSpace::qMalloc$
    {26, 456, 486},	// QGlobalSpace::qMallocAligned$$
    {26, 458, 12},	// QGlobalSpace::qMemCopy$$$
    {26, 460, 527},	// QGlobalSpace::qMemSet$$$
    {26, 462, 492},	// QGlobalSpace::qPow$$
    {26, 463, 291},	// QGlobalSpace::qQNaN
    {26, 465, 185},	// QGlobalSpace::qRealloc$$
    {26, 467, 170},	// QGlobalSpace::qReallocAligned$$$$
    {26, 469, 153},	// QGlobalSpace::qRed$
    {26, 471, 280},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {26, 473, 714},	// QGlobalSpace::qRemovePostRoutine$
    {26, 475, 236},	// QGlobalSpace::qRgb$$$
    {26, 477, 399},	// QGlobalSpace::qRgba$$$$
    {26, 479, 699},	// QGlobalSpace::qRound$
    {26, 481, 192},	// QGlobalSpace::qRound64$
    {26, 482, 668},	// QGlobalSpace::qSNaN
    {26, 484, 147},	// QGlobalSpace::qSetFieldWidth$
    {26, 486, 43},	// QGlobalSpace::qSetPadChar#
    {26, 488, 266},	// QGlobalSpace::qSetRealNumberPrecision$
    {26, 489, 82},	// QGlobalSpace::qSharedBuild
    {26, 491, 601},	// QGlobalSpace::qSin$
    {26, 493, 194},	// QGlobalSpace::qSqrt$
    {26, 495, 471},	// QGlobalSpace::qStringComparisonHelper#$
    {26, 497, 145},	// QGlobalSpace::qTan$
    {26, 499, 365},	// QGlobalSpace::qUncompress#
    {26, 500, 143},	// QGlobalSpace::qUncompress$$
    {26, 501, 436},	// QGlobalSpace::qVersion
    {26, 502, 724},	// QGlobalSpace::qWarning
    {26, 504, 164},	// QGlobalSpace::qbswap_helper$$$
    {26, 506, 118},	// QGlobalSpace::qecvt$$$$
    {26, 508, 490},	// QGlobalSpace::qecvt_r$$$$$$
    {26, 510, 230},	// QGlobalSpace::qfcvt$$$$
    {26, 512, 544},	// QGlobalSpace::qfcvt_r$$$$$$
    {26, 514, 545},	// QGlobalSpace::qgcvt$$$
    {26, 516, 35},	// QGlobalSpace::qgetenv$
    {26, 518, 294},	// QGlobalSpace::qputenv$#
    {26, 519, 383},	// QGlobalSpace::qrand
    {26, 521, 546},	// QGlobalSpace::qsort$$$$
    {26, 523, 308},	// QGlobalSpace::qsrand$
    {26, 525, 539},	// QGlobalSpace::qstrcmp##
    {26, 526, 712},	// QGlobalSpace::qstrcmp#$
    {26, 527, 28},	// QGlobalSpace::qstrcmp$#
    {26, 528, 74},	// QGlobalSpace::qstrcmp$$
    {26, 530, 255},	// QGlobalSpace::qstrcpy$$
    {26, 532, 472},	// QGlobalSpace::qstrdup$
    {26, 534, 695},	// QGlobalSpace::qstricmp$$
    {26, 536, 725},	// QGlobalSpace::qstrlen$
    {26, 538, 144},	// QGlobalSpace::qstrncmp$$$
    {26, 540, 360},	// QGlobalSpace::qstrncpy$$$
    {26, 542, 328},	// QGlobalSpace::qstrnicmp$$$
    {26, 544, 11},	// QGlobalSpace::qstrnlen$$
    {26, 546, 621},	// QGlobalSpace::qtTrId$
    {26, 547, 620},	// QGlobalSpace::qtTrId$$
    {26, 549, 226},	// QGlobalSpace::qt_assert$$$
    {26, 551, 388},	// QGlobalSpace::qt_assert_x$$$$
    {26, 553, 529},	// QGlobalSpace::qt_check_pointer$$
    {26, 554, 136},	// QGlobalSpace::qt_error_string
    {26, 555, 135},	// QGlobalSpace::qt_error_string$
    {26, 557, 744},	// QGlobalSpace::qt_message_output$$
    {26, 562, 13},	// QGlobalSpace::qt_noop
    {26, 564, 344},	// QGlobalSpace::qt_qFindChild_helper#$#
    {26, 566, 651},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {26, 568, 643},	// QGlobalSpace::qvariant_cast_helper#$$
    {26, 570, 524},	// QGlobalSpace::qvsnprintf$$$?
    {34, 72, 967},	// QGraphicsSvgItem::QGraphicsSvgItem
    {34, 73, 952},	// QGraphicsSvgItem::QGraphicsSvgItem#
    {34, 74, 968},	// QGraphicsSvgItem::QGraphicsSvgItem$
    {34, 75, 953},	// QGraphicsSvgItem::QGraphicsSvgItem$#
    {34, 177, 971},	// QGraphicsSvgItem::Type
    {34, 188, 962},	// QGraphicsSvgItem::boundingRect
    {34, 211, 957},	// QGraphicsSvgItem::elementId
    {34, 230, 959},	// QGraphicsSvgItem::isCachingEnabled
    {34, 243, 961},	// QGraphicsSvgItem::maximumCacheSize
    {34, 244, 945},	// QGraphicsSvgItem::metaObject
    {34, 310, 969},	// QGraphicsSvgItem::paint##
    {34, 311, 963},	// QGraphicsSvgItem::paint###
    {34, 559, 951},	// QGraphicsSvgItem::qt_metacall$$?
    {34, 561, 946},	// QGraphicsSvgItem::qt_metacast$
    {34, 576, 955},	// QGraphicsSvgItem::renderer
    {34, 583, 958},	// QGraphicsSvgItem::setCachingEnabled$
    {34, 589, 956},	// QGraphicsSvgItem::setElementId$
    {34, 596, 960},	// QGraphicsSvgItem::setMaximumCacheSize#
    {34, 602, 954},	// QGraphicsSvgItem::setSharedRenderer#
    {34, 614, 970},	// QGraphicsSvgItem::staticMetaObject
    {34, 621, 965},	// QGraphicsSvgItem::tr$
    {34, 622, 947},	// QGraphicsSvgItem::tr$$
    {34, 623, 949},	// QGraphicsSvgItem::tr$$$
    {34, 625, 966},	// QGraphicsSvgItem::trUtf8$
    {34, 626, 948},	// QGraphicsSvgItem::trUtf8$$
    {34, 627, 950},	// QGraphicsSvgItem::trUtf8$$$
    {34, 628, 964},	// QGraphicsSvgItem::type
    {34, 634, 972},	// QGraphicsSvgItem::~QGraphicsSvgItem
    {89, 76, 991},	// QSvgGenerator::QSvgGenerator
    {89, 202, 994},	// QSvgGenerator::description
    {89, 217, 1002},	// QSvgGenerator::fileName
    {89, 246, 1009},	// QSvgGenerator::metric$
    {89, 308, 1004},	// QSvgGenerator::outputDevice
    {89, 312, 1008},	// QSvgGenerator::paintEngine
    {89, 579, 1007},	// QSvgGenerator::resolution
    {89, 587, 995},	// QSvgGenerator::setDescription$
    {89, 592, 1003},	// QSvgGenerator::setFileName$
    {89, 598, 1005},	// QSvgGenerator::setOutputDevice#
    {89, 600, 1006},	// QSvgGenerator::setResolution$
    {89, 604, 997},	// QSvgGenerator::setSize#
    {89, 606, 993},	// QSvgGenerator::setTitle$
    {89, 608, -643},	// QSvgGenerator::setViewBox#
    {89, 612, 996},	// QSvgGenerator::size
    {89, 619, 992},	// QSvgGenerator::title
    {89, 629, 998},	// QSvgGenerator::viewBox
    {89, 630, 999},	// QSvgGenerator::viewBoxF
    {89, 635, 1010},	// QSvgGenerator::~QSvgGenerator
    {90, 77, 1046},	// QSvgRenderer::QSvgRenderer
    {90, 78, -630},	// QSvgRenderer::QSvgRenderer#
    {90, 79, -634},	// QSvgRenderer::QSvgRenderer##
    {90, 80, 1047},	// QSvgRenderer::QSvgRenderer$
    {90, 81, 1019},	// QSvgRenderer::QSvgRenderer$#
    {90, 186, 1028},	// QSvgRenderer::animated
    {90, 187, 1033},	// QSvgRenderer::animationDuration
    {90, 190, 1034},	// QSvgRenderer::boundsOnElement$
    {90, 199, 1031},	// QSvgRenderer::currentFrame
    {90, 201, 1023},	// QSvgRenderer::defaultSize
    {90, 210, 1035},	// QSvgRenderer::elementExists$
    {90, 222, 1029},	// QSvgRenderer::framesPerSecond
    {90, 232, 1022},	// QSvgRenderer::isValid
    {90, 239, -637},	// QSvgRenderer::load#
    {90, 240, 1037},	// QSvgRenderer::load$
    {90, 242, 1036},	// QSvgRenderer::matrixForElement$
    {90, 244, 1011},	// QSvgRenderer::metaObject
    {90, 559, 1017},	// QSvgRenderer::qt_metacall$$?
    {90, 561, 1012},	// QSvgRenderer::qt_metacast$
    {90, 572, 1040},	// QSvgRenderer::render#
    {90, 573, 1041},	// QSvgRenderer::render##
    {90, 574, 1050},	// QSvgRenderer::render#$
    {90, 575, 1042},	// QSvgRenderer::render#$#
    {90, 577, 1043},	// QSvgRenderer::repaintNeeded
    {90, 585, 1032},	// QSvgRenderer::setCurrentFrame$
    {90, 594, 1030},	// QSvgRenderer::setFramesPerSecond$
    {90, 608, -640},	// QSvgRenderer::setViewBox#
    {90, 614, 1051},	// QSvgRenderer::staticMetaObject
    {90, 621, 1044},	// QSvgRenderer::tr$
    {90, 622, 1013},	// QSvgRenderer::tr$$
    {90, 623, 1015},	// QSvgRenderer::tr$$$
    {90, 625, 1045},	// QSvgRenderer::trUtf8$
    {90, 626, 1014},	// QSvgRenderer::trUtf8$$
    {90, 627, 1016},	// QSvgRenderer::trUtf8$$$
    {90, 629, 1024},	// QSvgRenderer::viewBox
    {90, 630, 1025},	// QSvgRenderer::viewBoxF
    {90, 636, 1052},	// QSvgRenderer::~QSvgRenderer
    {91, 82, 1069},	// QSvgWidget::QSvgWidget
    {91, 83, 1060},	// QSvgWidget::QSvgWidget#
    {91, 84, 1070},	// QSvgWidget::QSvgWidget$
    {91, 85, 1061},	// QSvgWidget::QSvgWidget$#
    {91, 239, 1065},	// QSvgWidget::load#
    {91, 240, 1064},	// QSvgWidget::load$
    {91, 244, 1053},	// QSvgWidget::metaObject
    {91, 314, 1066},	// QSvgWidget::paintEvent#
    {91, 559, 1059},	// QSvgWidget::qt_metacall$$?
    {91, 561, 1054},	// QSvgWidget::qt_metacast$
    {91, 576, 1062},	// QSvgWidget::renderer
    {91, 613, 1063},	// QSvgWidget::sizeHint
    {91, 614, 1071},	// QSvgWidget::staticMetaObject
    {91, 621, 1067},	// QSvgWidget::tr$
    {91, 622, 1055},	// QSvgWidget::tr$$
    {91, 623, 1057},	// QSvgWidget::tr$$$
    {91, 625, 1068},	// QSvgWidget::trUtf8$
    {91, 626, 1056},	// QSvgWidget::trUtf8$$
    {91, 627, 1058},	// QSvgWidget::trUtf8$$$
    {91, 637, 1072},	// QSvgWidget::~QSvgWidget
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtsvg_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtsvg_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtsvg_Smoke = new Smoke(
        "qtsvg",
        __smokeqtsvg::classes, 113,
        __smokeqtsvg::methods, 1117,
        __smokeqtsvg::methodMaps, 400,
        __smokeqtsvg::methodNames, 637,
        __smokeqtsvg::types, 469,
        __smokeqtsvg::inheritanceList,
        __smokeqtsvg::argumentList,
        __smokeqtsvg::ambiguousMethodList,
        __smokeqtsvg::cast );
    initialized = true;
}

void delete_qtsvg_Smoke() { delete qtsvg_Smoke; }

}
