#include <qtxml_includes.h>

#include <smoke.h>
#include <qtxml_smoke.h>

namespace __smokeqtxml {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBitArray
      switch(to) {
        case 1: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 2:   //QBool
      switch(to) {
        case 2: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 3:   //QByteArray
      switch(to) {
        case 3: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 4:   //QChar
      switch(to) {
        case 4: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 5:   //QDataStream
      switch(to) {
        case 5: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 6:   //QDate
      switch(to) {
        case 6: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 7:   //QDateTime
      switch(to) {
        case 7: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 8:   //QDebug
      switch(to) {
        case 8: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 9:   //QDir
      switch(to) {
        case 9: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 10:   //QDomAttr
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomAttr*)xptr;
        case 10: return (void*)(QDomAttr*)xptr;
        default: return xptr;
      }
    case 11:   //QDomCDATASection
      switch(to) {
        case 27: return (void*)(QDomText*)(QDomCDATASection*)xptr;
        case 12: return (void*)(QDomCharacterData*)(QDomCDATASection*)xptr;
        case 22: return (void*)(QDomNode*)(QDomCDATASection*)xptr;
        case 11: return (void*)(QDomCDATASection*)xptr;
        default: return xptr;
      }
    case 12:   //QDomCharacterData
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomCharacterData*)xptr;
        case 12: return (void*)(QDomCharacterData*)xptr;
        case 27: return (void*)(QDomText*)(QDomCharacterData*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomCharacterData*)xptr;
        case 13: return (void*)(QDomComment*)(QDomCharacterData*)xptr;
        default: return xptr;
      }
    case 13:   //QDomComment
      switch(to) {
        case 12: return (void*)(QDomCharacterData*)(QDomComment*)xptr;
        case 22: return (void*)(QDomNode*)(QDomComment*)xptr;
        case 13: return (void*)(QDomComment*)xptr;
        default: return xptr;
      }
    case 14:   //QDomDocument
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocument*)xptr;
        case 14: return (void*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 15:   //QDomDocumentFragment
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocumentFragment*)xptr;
        case 15: return (void*)(QDomDocumentFragment*)xptr;
        default: return xptr;
      }
    case 16:   //QDomDocumentType
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocumentType*)xptr;
        case 16: return (void*)(QDomDocumentType*)xptr;
        default: return xptr;
      }
    case 17:   //QDomElement
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomElement*)xptr;
        case 17: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 18:   //QDomEntity
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomEntity*)xptr;
        case 18: return (void*)(QDomEntity*)xptr;
        default: return xptr;
      }
    case 19:   //QDomEntityReference
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomEntityReference*)xptr;
        case 19: return (void*)(QDomEntityReference*)xptr;
        default: return xptr;
      }
    case 20:   //QDomImplementation
      switch(to) {
        case 20: return (void*)(QDomImplementation*)xptr;
        default: return xptr;
      }
    case 21:   //QDomNamedNodeMap
      switch(to) {
        case 21: return (void*)(QDomNamedNodeMap*)xptr;
        default: return xptr;
      }
    case 22:   //QDomNode
      switch(to) {
        case 22: return (void*)(QDomNode*)xptr;
        case 27: return (void*)(QDomText*)(QDomNode*)xptr;
        case 25: return (void*)(QDomNotation*)(QDomNode*)xptr;
        case 15: return (void*)(QDomDocumentFragment*)(QDomNode*)xptr;
        case 17: return (void*)(QDomElement*)(QDomNode*)xptr;
        case 10: return (void*)(QDomAttr*)(QDomNode*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomNode*)xptr;
        case 18: return (void*)(QDomEntity*)(QDomNode*)xptr;
        case 16: return (void*)(QDomDocumentType*)(QDomNode*)xptr;
        case 12: return (void*)(QDomCharacterData*)(QDomNode*)xptr;
        case 26: return (void*)(QDomProcessingInstruction*)(QDomNode*)xptr;
        case 13: return (void*)(QDomComment*)(QDomNode*)xptr;
        case 19: return (void*)(QDomEntityReference*)(QDomNode*)xptr;
        case 14: return (void*)(QDomDocument*)(QDomNode*)xptr;
        default: return xptr;
      }
    case 23:   //QDomNodeList
      switch(to) {
        case 23: return (void*)(QDomNodeList*)xptr;
        default: return xptr;
      }
    case 24:   //QDomNodePrivate
      switch(to) {
        case 24: return (void*)(QDomNodePrivate*)xptr;
        default: return xptr;
      }
    case 25:   //QDomNotation
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomNotation*)xptr;
        case 25: return (void*)(QDomNotation*)xptr;
        default: return xptr;
      }
    case 26:   //QDomProcessingInstruction
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomProcessingInstruction*)xptr;
        case 26: return (void*)(QDomProcessingInstruction*)xptr;
        default: return xptr;
      }
    case 27:   //QDomText
      switch(to) {
        case 12: return (void*)(QDomCharacterData*)(QDomText*)xptr;
        case 22: return (void*)(QDomNode*)(QDomText*)xptr;
        case 27: return (void*)(QDomText*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomText*)xptr;
        default: return xptr;
      }
    case 28:   //QEasingCurve
      switch(to) {
        case 28: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 30:   //QHashDummyValue
      switch(to) {
        case 30: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 31:   //QIODevice
      switch(to) {
        case 40: return (void*)(QObject*)(QIODevice*)xptr;
        case 31: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 32:   //QIncompatibleFlag
      switch(to) {
        case 32: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 33:   //QLatin1String
      switch(to) {
        case 33: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 34:   //QLine
      switch(to) {
        case 34: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 35:   //QLineF
      switch(to) {
        case 35: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 36:   //QLocale
      switch(to) {
        case 36: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 37:   //QMargins
      switch(to) {
        case 37: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 38:   //QMetaObject
      switch(to) {
        case 38: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 39:   //QModelIndex
      switch(to) {
        case 39: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 40:   //QObject
      switch(to) {
        case 40: return (void*)(QObject*)xptr;
        default: return xptr;
      }
    case 41:   //QPersistentModelIndex
      switch(to) {
        case 41: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 42:   //QPoint
      switch(to) {
        case 42: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 43:   //QPointF
      switch(to) {
        case 43: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 44:   //QRect
      switch(to) {
        case 44: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 45:   //QRectF
      switch(to) {
        case 45: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 46:   //QRegExp
      switch(to) {
        case 46: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 47:   //QSize
      switch(to) {
        case 47: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 48:   //QSizeF
      switch(to) {
        case 48: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 49:   //QString::Null
      switch(to) {
        case 49: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 50:   //QStringRef
      switch(to) {
        case 50: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 51:   //QTextCodec
      switch(to) {
        case 51: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 52:   //QTextStream
      switch(to) {
        case 52: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 53:   //QTextStreamManipulator
      switch(to) {
        case 53: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 54:   //QTime
      switch(to) {
        case 54: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 55:   //QUrl
      switch(to) {
        case 55: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 56:   //QUuid
      switch(to) {
        case 56: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 57:   //QVariant
      switch(to) {
        case 57: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 58:   //QVariantComparisonHelper
      switch(to) {
        case 58: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 59:   //QXmlAttributes
      switch(to) {
        case 59: return (void*)(QXmlAttributes*)xptr;
        default: return xptr;
      }
    case 60:   //QXmlContentHandler
      switch(to) {
        case 60: return (void*)(QXmlContentHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlContentHandler*)xptr;
        default: return xptr;
      }
    case 61:   //QXmlDTDHandler
      switch(to) {
        case 61: return (void*)(QXmlDTDHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlDTDHandler*)xptr;
        default: return xptr;
      }
    case 62:   //QXmlDeclHandler
      switch(to) {
        case 62: return (void*)(QXmlDeclHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlDeclHandler*)xptr;
        default: return xptr;
      }
    case 63:   //QXmlDefaultHandler
      switch(to) {
        case 60: return (void*)(QXmlContentHandler*)(QXmlDefaultHandler*)xptr;
        case 65: return (void*)(QXmlErrorHandler*)(QXmlDefaultHandler*)xptr;
        case 61: return (void*)(QXmlDTDHandler*)(QXmlDefaultHandler*)xptr;
        case 64: return (void*)(QXmlEntityResolver*)(QXmlDefaultHandler*)xptr;
        case 67: return (void*)(QXmlLexicalHandler*)(QXmlDefaultHandler*)xptr;
        case 62: return (void*)(QXmlDeclHandler*)(QXmlDefaultHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)xptr;
        default: return xptr;
      }
    case 64:   //QXmlEntityResolver
      switch(to) {
        case 64: return (void*)(QXmlEntityResolver*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlEntityResolver*)xptr;
        default: return xptr;
      }
    case 65:   //QXmlErrorHandler
      switch(to) {
        case 65: return (void*)(QXmlErrorHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlErrorHandler*)xptr;
        default: return xptr;
      }
    case 66:   //QXmlInputSource
      switch(to) {
        case 66: return (void*)(QXmlInputSource*)xptr;
        default: return xptr;
      }
    case 67:   //QXmlLexicalHandler
      switch(to) {
        case 67: return (void*)(QXmlLexicalHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlLexicalHandler*)xptr;
        default: return xptr;
      }
    case 68:   //QXmlLocator
      switch(to) {
        case 68: return (void*)(QXmlLocator*)xptr;
        default: return xptr;
      }
    case 69:   //QXmlNamespaceSupport
      switch(to) {
        case 69: return (void*)(QXmlNamespaceSupport*)xptr;
        default: return xptr;
      }
    case 70:   //QXmlParseException
      switch(to) {
        case 70: return (void*)(QXmlParseException*)xptr;
        default: return xptr;
      }
    case 71:   //QXmlReader
      switch(to) {
        case 71: return (void*)(QXmlReader*)xptr;
        case 72: return (void*)(QXmlSimpleReader*)(QXmlReader*)xptr;
        default: return xptr;
      }
    case 72:   //QXmlSimpleReader
      switch(to) {
        case 71: return (void*)(QXmlReader*)(QXmlSimpleReader*)xptr;
        case 72: return (void*)(QXmlSimpleReader*)xptr;
        default: return xptr;
      }
    case 73:   //QXmlStreamAttribute
      switch(to) {
        case 73: return (void*)(QXmlStreamAttribute*)xptr;
        default: return xptr;
      }
    case 74:   //QXmlStreamAttributes
      switch(to) {
        case 74: return (void*)(QXmlStreamAttributes*)xptr;
        default: return xptr;
      }
    case 75:   //QXmlStreamReader
      switch(to) {
        case 75: return (void*)(QXmlStreamReader*)xptr;
        default: return xptr;
      }
    case 76:   //QXmlStreamWriter
      switch(to) {
        case 76: return (void*)(QXmlStreamWriter*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    22, 0,	// 1: QDomNode
    27, 0,	// 3: QDomText
    12, 0,	// 5: QDomCharacterData
    60, 65, 61, 64, 67, 62, 0,	// 7: QXmlContentHandler, QXmlErrorHandler, QXmlDTDHandler, QXmlEntityResolver, QXmlLexicalHandler, QXmlDeclHandler
    71, 0,	// 14: QXmlReader
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDomImplementation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDomNode(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QDomAttr(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomCDATASection(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomCharacterData(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomComment(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocumentFragment(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocumentType(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomElement(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomEntity(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomEntityReference(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomImplementation(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNamedNodeMap(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNode(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNodeList(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNotation(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomProcessingInstruction(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomText(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlAttributes(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlContentHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDTDHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDeclHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDefaultHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlEntityResolver(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlErrorHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlInputSource(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlLexicalHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlLocator(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlNamespaceSupport(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlParseException(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlReader(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlSimpleReader(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlStreamWriter(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//1
    { "QBool", true, 0, 0, 0, 0, 0 },	//2
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//3
    { "QChar", true, 0, 0, 0, 0, 0 },	//4
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//5
    { "QDate", true, 0, 0, 0, 0, 0 },	//6
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//7
    { "QDebug", true, 0, 0, 0, 0, 0 },	//8
    { "QDir", true, 0, 0, 0, 0, 0 },	//9
    { "QDomAttr", false, 1, xcall_QDomAttr, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomAttr) },	//10
    { "QDomCDATASection", false, 3, xcall_QDomCDATASection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomCDATASection) },	//11
    { "QDomCharacterData", false, 1, xcall_QDomCharacterData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomCharacterData) },	//12
    { "QDomComment", false, 5, xcall_QDomComment, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomComment) },	//13
    { "QDomDocument", false, 1, xcall_QDomDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocument) },	//14
    { "QDomDocumentFragment", false, 1, xcall_QDomDocumentFragment, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocumentFragment) },	//15
    { "QDomDocumentType", false, 1, xcall_QDomDocumentType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocumentType) },	//16
    { "QDomElement", false, 1, xcall_QDomElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomElement) },	//17
    { "QDomEntity", false, 1, xcall_QDomEntity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomEntity) },	//18
    { "QDomEntityReference", false, 1, xcall_QDomEntityReference, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomEntityReference) },	//19
    { "QDomImplementation", false, 0, xcall_QDomImplementation, xenum_QDomImplementation, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomImplementation) },	//20
    { "QDomNamedNodeMap", false, 0, xcall_QDomNamedNodeMap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNamedNodeMap) },	//21
    { "QDomNode", false, 0, xcall_QDomNode, xenum_QDomNode, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNode) },	//22
    { "QDomNodeList", false, 0, xcall_QDomNodeList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNodeList) },	//23
    { "QDomNodePrivate", true, 0, 0, 0, 0, 0 },	//24
    { "QDomNotation", false, 1, xcall_QDomNotation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNotation) },	//25
    { "QDomProcessingInstruction", false, 1, xcall_QDomProcessingInstruction, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomProcessingInstruction) },	//26
    { "QDomText", false, 5, xcall_QDomText, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomText) },	//27
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//28
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//29
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//30
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//31
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//32
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//33
    { "QLine", true, 0, 0, 0, 0, 0 },	//34
    { "QLineF", true, 0, 0, 0, 0, 0 },	//35
    { "QLocale", true, 0, 0, 0, 0, 0 },	//36
    { "QMargins", true, 0, 0, 0, 0, 0 },	//37
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//38
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//39
    { "QObject", true, 0, 0, 0, 0, 0 },	//40
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//41
    { "QPoint", true, 0, 0, 0, 0, 0 },	//42
    { "QPointF", true, 0, 0, 0, 0, 0 },	//43
    { "QRect", true, 0, 0, 0, 0, 0 },	//44
    { "QRectF", true, 0, 0, 0, 0, 0 },	//45
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//46
    { "QSize", true, 0, 0, 0, 0, 0 },	//47
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//48
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//49
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//50
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//51
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//52
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//53
    { "QTime", true, 0, 0, 0, 0, 0 },	//54
    { "QUrl", true, 0, 0, 0, 0, 0 },	//55
    { "QUuid", true, 0, 0, 0, 0, 0 },	//56
    { "QVariant", true, 0, 0, 0, 0, 0 },	//57
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//58
    { "QXmlAttributes", false, 0, xcall_QXmlAttributes, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlAttributes) },	//59
    { "QXmlContentHandler", false, 0, xcall_QXmlContentHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlContentHandler) },	//60
    { "QXmlDTDHandler", false, 0, xcall_QXmlDTDHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlDTDHandler) },	//61
    { "QXmlDeclHandler", false, 0, xcall_QXmlDeclHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlDeclHandler) },	//62
    { "QXmlDefaultHandler", false, 7, xcall_QXmlDefaultHandler, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QXmlDefaultHandler) },	//63
    { "QXmlEntityResolver", false, 0, xcall_QXmlEntityResolver, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlEntityResolver) },	//64
    { "QXmlErrorHandler", false, 0, xcall_QXmlErrorHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlErrorHandler) },	//65
    { "QXmlInputSource", false, 0, xcall_QXmlInputSource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlInputSource) },	//66
    { "QXmlLexicalHandler", false, 0, xcall_QXmlLexicalHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlLexicalHandler) },	//67
    { "QXmlLocator", false, 0, xcall_QXmlLocator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlLocator) },	//68
    { "QXmlNamespaceSupport", false, 0, xcall_QXmlNamespaceSupport, 0, Smoke::cf_constructor, sizeof(QXmlNamespaceSupport) },	//69
    { "QXmlParseException", false, 0, xcall_QXmlParseException, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QXmlParseException) },	//70
    { "QXmlReader", false, 0, xcall_QXmlReader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlReader) },	//71
    { "QXmlSimpleReader", false, 14, xcall_QXmlSimpleReader, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QXmlSimpleReader) },	//72
    { "QXmlStreamAttribute", true, 0, 0, 0, 0, 0 },	//73
    { "QXmlStreamAttributes", true, 0, 0, 0, 0, 0 },	//74
    { "QXmlStreamReader", true, 0, 0, 0, 0, 0 },	//75
    { "QXmlStreamWriter", false, 0, xcall_QXmlStreamWriter, 0, Smoke::cf_constructor, sizeof(QXmlStreamWriter) },	//76
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBitArray", 1, Smoke::t_class|Smoke::tf_stack },	//2
    { "QBitArray&", 1, Smoke::t_class|Smoke::tf_ref },	//3
    { "QBool", 2, Smoke::t_class|Smoke::tf_stack },	//4
    { "QByteArray", 3, Smoke::t_class|Smoke::tf_stack },	//5
    { "QByteArray&", 3, Smoke::t_class|Smoke::tf_ref },	//6
    { "QByteArray*", 3, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QChar", 4, Smoke::t_class|Smoke::tf_stack },	//8
    { "QChar&", 4, Smoke::t_class|Smoke::tf_ref },	//9
    { "QDataStream&", 5, Smoke::t_class|Smoke::tf_ref },	//10
    { "QDate&", 6, Smoke::t_class|Smoke::tf_ref },	//11
    { "QDateTime&", 7, Smoke::t_class|Smoke::tf_ref },	//12
    { "QDebug", 8, Smoke::t_class|Smoke::tf_stack },	//13
    { "QDir::Filter", 9, Smoke::t_enum|Smoke::tf_stack },	//14
    { "QDir::SortFlag", 9, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//16
    { "QDomAttr", 10, Smoke::t_class|Smoke::tf_stack },	//17
    { "QDomAttr&", 10, Smoke::t_class|Smoke::tf_ref },	//18
    { "QDomAttr*", 10, Smoke::t_class|Smoke::tf_ptr },	//19
    { "QDomCDATASection", 11, Smoke::t_class|Smoke::tf_stack },	//20
    { "QDomCDATASection&", 11, Smoke::t_class|Smoke::tf_ref },	//21
    { "QDomCDATASection*", 11, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QDomCharacterData", 12, Smoke::t_class|Smoke::tf_stack },	//23
    { "QDomCharacterData&", 12, Smoke::t_class|Smoke::tf_ref },	//24
    { "QDomCharacterData*", 12, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QDomComment", 13, Smoke::t_class|Smoke::tf_stack },	//26
    { "QDomComment&", 13, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDomComment*", 13, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QDomDocument", 14, Smoke::t_class|Smoke::tf_stack },	//29
    { "QDomDocument&", 14, Smoke::t_class|Smoke::tf_ref },	//30
    { "QDomDocument*", 14, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QDomDocumentFragment", 15, Smoke::t_class|Smoke::tf_stack },	//32
    { "QDomDocumentFragment&", 15, Smoke::t_class|Smoke::tf_ref },	//33
    { "QDomDocumentFragment*", 15, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QDomDocumentType", 16, Smoke::t_class|Smoke::tf_stack },	//35
    { "QDomDocumentType&", 16, Smoke::t_class|Smoke::tf_ref },	//36
    { "QDomDocumentType*", 16, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QDomElement", 17, Smoke::t_class|Smoke::tf_stack },	//38
    { "QDomElement&", 17, Smoke::t_class|Smoke::tf_ref },	//39
    { "QDomElement*", 17, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QDomEntity", 18, Smoke::t_class|Smoke::tf_stack },	//41
    { "QDomEntity&", 18, Smoke::t_class|Smoke::tf_ref },	//42
    { "QDomEntity*", 18, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QDomEntityReference", 19, Smoke::t_class|Smoke::tf_stack },	//44
    { "QDomEntityReference&", 19, Smoke::t_class|Smoke::tf_ref },	//45
    { "QDomEntityReference*", 19, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QDomImplementation", 20, Smoke::t_class|Smoke::tf_stack },	//47
    { "QDomImplementation&", 20, Smoke::t_class|Smoke::tf_ref },	//48
    { "QDomImplementation*", 20, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QDomImplementation::InvalidDataPolicy", 20, Smoke::t_enum|Smoke::tf_stack },	//50
    { "QDomNamedNodeMap", 21, Smoke::t_class|Smoke::tf_stack },	//51
    { "QDomNamedNodeMap&", 21, Smoke::t_class|Smoke::tf_ref },	//52
    { "QDomNamedNodeMap*", 21, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QDomNode", 22, Smoke::t_class|Smoke::tf_stack },	//54
    { "QDomNode&", 22, Smoke::t_class|Smoke::tf_ref },	//55
    { "QDomNode*", 22, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QDomNode::EncodingPolicy", 22, Smoke::t_enum|Smoke::tf_stack },	//57
    { "QDomNode::NodeType", 22, Smoke::t_enum|Smoke::tf_stack },	//58
    { "QDomNodeList", 23, Smoke::t_class|Smoke::tf_stack },	//59
    { "QDomNodeList&", 23, Smoke::t_class|Smoke::tf_ref },	//60
    { "QDomNodeList*", 23, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QDomNodePrivate*", 24, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QDomNotation", 25, Smoke::t_class|Smoke::tf_stack },	//63
    { "QDomNotation&", 25, Smoke::t_class|Smoke::tf_ref },	//64
    { "QDomNotation*", 25, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QDomProcessingInstruction", 26, Smoke::t_class|Smoke::tf_stack },	//66
    { "QDomProcessingInstruction&", 26, Smoke::t_class|Smoke::tf_ref },	//67
    { "QDomProcessingInstruction*", 26, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QDomText", 27, Smoke::t_class|Smoke::tf_stack },	//69
    { "QDomText&", 27, Smoke::t_class|Smoke::tf_ref },	//70
    { "QDomText*", 27, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QEasingCurve&", 28, Smoke::t_class|Smoke::tf_ref },	//72
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QIODevice*", 31, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QIODevice::OpenModeFlag", 31, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QIncompatibleFlag", 32, Smoke::t_class|Smoke::tf_stack },	//106
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QLine&", 34, Smoke::t_class|Smoke::tf_ref },	//108
    { "QLineF&", 35, Smoke::t_class|Smoke::tf_ref },	//109
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//110
    { "QLocale&", 36, Smoke::t_class|Smoke::tf_ref },	//111
    { "QLocale::NumberOption", 36, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QObject*", 40, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QObject*(*)()", 40, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QPoint&", 42, Smoke::t_class|Smoke::tf_ref },	//115
    { "QPointF&", 43, Smoke::t_class|Smoke::tf_ref },	//116
    { "QRect&", 44, Smoke::t_class|Smoke::tf_ref },	//117
    { "QRectF&", 45, Smoke::t_class|Smoke::tf_ref },	//118
    { "QRegExp&", 46, Smoke::t_class|Smoke::tf_ref },	//119
    { "QSize&", 47, Smoke::t_class|Smoke::tf_ref },	//120
    { "QSizeF&", 48, Smoke::t_class|Smoke::tf_ref },	//121
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//122
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//123
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//124
    { "QString::Null", 49, Smoke::t_class|Smoke::tf_stack },	//125
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//127
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//128
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//129
    { "QTextCodec*", 51, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QTextCodec::ConversionFlag", 51, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QTextStream&", 52, Smoke::t_class|Smoke::tf_ref },	//132
    { "QTextStream&(*)(QTextStream&)", 52, Smoke::t_class|Smoke::tf_ref },	//133
    { "QTextStream::NumberFlag", 52, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QTextStreamManipulator", 53, Smoke::t_class|Smoke::tf_stack },	//135
    { "QTime&", 54, Smoke::t_class|Smoke::tf_ref },	//136
    { "QUrl&", 55, Smoke::t_class|Smoke::tf_ref },	//137
    { "QUrl::FormattingOption", 55, Smoke::t_enum|Smoke::tf_stack },	//138
    { "QUuid&", 56, Smoke::t_class|Smoke::tf_ref },	//139
    { "QVariant&", 57, Smoke::t_class|Smoke::tf_ref },	//140
    { "QVariant::Type", 57, Smoke::t_enum|Smoke::tf_stack },	//141
    { "QVariant::Type&", 57, Smoke::t_enum|Smoke::tf_ref },	//142
    { "QXmlAttributes*", 59, Smoke::t_class|Smoke::tf_ptr },	//143
    { "QXmlContentHandler*", 60, Smoke::t_class|Smoke::tf_ptr },	//144
    { "QXmlDTDHandler*", 61, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QXmlDeclHandler*", 62, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QXmlDefaultHandler*", 63, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QXmlEntityResolver*", 64, Smoke::t_class|Smoke::tf_ptr },	//148
    { "QXmlErrorHandler*", 65, Smoke::t_class|Smoke::tf_ptr },	//149
    { "QXmlInputSource*", 66, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QXmlInputSource*&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_ptr },	//151
    { "QXmlLexicalHandler*", 67, Smoke::t_class|Smoke::tf_ptr },	//152
    { "QXmlLocator*", 68, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QXmlNamespaceSupport*", 69, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QXmlParseException*", 70, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QXmlReader*", 71, Smoke::t_class|Smoke::tf_ptr },	//156
    { "QXmlSimpleReader*", 72, Smoke::t_class|Smoke::tf_ptr },	//157
    { "QXmlStreamWriter*", 76, Smoke::t_class|Smoke::tf_ptr },	//158
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QtMsgType", 29, Smoke::t_enum|Smoke::tf_stack },	//233
    { "_LIB_VERSION_TYPE", 29, Smoke::t_enum|Smoke::tf_stack },	//234
    { "__codecvt_result", 29, Smoke::t_enum|Smoke::tf_stack },	//235
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//236
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//237
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//238
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//239
    { "const QBitArray&", 1, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QByteArray", 3, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//241
    { "const QByteArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QChar&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QDate&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QDateTime&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QDir&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QDomAttr&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QDomCDATASection&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QDomCharacterData&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QDomComment&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QDomDocument&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QDomDocumentFragment&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QDomDocumentType&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QDomElement&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QDomEntity&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QDomEntityReference&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QDomImplementation&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QDomNamedNodeMap&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QDomNode&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QDomNodeList&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QDomNotation&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QDomProcessingInstruction&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QDomText&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QEasingCurve&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QHashDummyValue&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QLatin1String&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QLine&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QLineF&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QLocale&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QMargins&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QMetaObject&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QModelIndex&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const QObject*", 40, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//273
    { "const QPersistentModelIndex&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QPoint", 42, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//275
    { "const QPoint&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const QPointF", 43, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//277
    { "const QPointF&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const QRect&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const QRectF&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const QRegExp&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const QRegExp*", 46, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//282
    { "const QSize", 47, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//283
    { "const QSize&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const QSizeF", 48, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//285
    { "const QSizeF&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//287
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//290
    { "const QStringRef&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const QTime&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const QUrl&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const QUuid&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//294
    { "const QVariant&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//295
    { "const QVariant::Type", 57, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//296
    { "const QVariantComparisonHelper&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//297
    { "const QXmlAttributes&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//298
    { "const QXmlContentHandler&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//299
    { "const QXmlDTDHandler&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//300
    { "const QXmlDeclHandler&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//301
    { "const QXmlEntityResolver&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//302
    { "const QXmlErrorHandler&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//303
    { "const QXmlInputSource&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//304
    { "const QXmlInputSource*", 66, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//305
    { "const QXmlLexicalHandler&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//306
    { "const QXmlLocator&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//307
    { "const QXmlParseException&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//308
    { "const QXmlReader&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//309
    { "const QXmlStreamAttribute&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//310
    { "const QXmlStreamAttributes&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//311
    { "const QXmlStreamReader&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//312
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//313
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//314
    { "const unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack|Smoke::tf_const },	//315
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//316
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//317
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//318
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//319
    { "int(*)(const void*,const void*)", 0, Smoke::t_int|Smoke::tf_stack },	//320
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//321
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//322
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//323
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//324
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//325
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//326
    { "size_t", 0, Smoke::t_ulong|Smoke::tf_stack },	//327
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//328
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//329
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//330
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//331
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//332
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//333
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//334
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//335
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//336
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//337
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//338
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    247, 0,	//1  const QDomAttr&
    288, 0,	//3  const QString&
    248, 0,	//5  const QDomCDATASection&
    249, 0,	//7  const QDomCharacterData&
    331, 331, 0,	//9  unsigned long, unsigned long
    331, 288, 0,	//12  unsigned long, const QString&
    331, 331, 288, 0,	//15  unsigned long, unsigned long, const QString&
    250, 0,	//19  const QDomComment&
    253, 0,	//21  const QDomDocumentType&
    251, 0,	//23  const QDomDocument&
    288, 288, 0,	//25  const QString&, const QString&
    259, 236, 0,	//28  const QDomNode&, bool
    242, 236, 124, 321, 321, 0,	//31  const QByteArray&, bool, QString*, int*, int*
    288, 236, 124, 321, 321, 0,	//37  const QString&, bool, QString*, int*, int*
    104, 236, 124, 321, 321, 0,	//43  QIODevice*, bool, QString*, int*, int*
    150, 236, 124, 321, 321, 0,	//49  QXmlInputSource*, bool, QString*, int*, int*
    242, 124, 321, 321, 0,	//55  const QByteArray&, QString*, int*, int*
    288, 124, 321, 321, 0,	//60  const QString&, QString*, int*, int*
    104, 124, 321, 321, 0,	//65  QIODevice*, QString*, int*, int*
    150, 156, 124, 321, 321, 0,	//70  QXmlInputSource*, QXmlReader*, QString*, int*, int*
    319, 0,	//76  int
    242, 236, 0,	//78  const QByteArray&, bool
    242, 236, 124, 0,	//81  const QByteArray&, bool, QString*
    242, 236, 124, 321, 0,	//85  const QByteArray&, bool, QString*, int*
    288, 236, 0,	//90  const QString&, bool
    288, 236, 124, 0,	//93  const QString&, bool, QString*
    288, 236, 124, 321, 0,	//97  const QString&, bool, QString*, int*
    104, 236, 0,	//102  QIODevice*, bool
    104, 236, 124, 0,	//105  QIODevice*, bool, QString*
    104, 236, 124, 321, 0,	//109  QIODevice*, bool, QString*, int*
    150, 236, 0,	//114  QXmlInputSource*, bool
    150, 236, 124, 0,	//117  QXmlInputSource*, bool, QString*
    150, 236, 124, 321, 0,	//121  QXmlInputSource*, bool, QString*, int*
    242, 0,	//126  const QByteArray&
    242, 124, 0,	//128  const QByteArray&, QString*
    242, 124, 321, 0,	//131  const QByteArray&, QString*, int*
    288, 124, 0,	//135  const QString&, QString*
    288, 124, 321, 0,	//138  const QString&, QString*, int*
    104, 0,	//142  QIODevice*
    104, 124, 0,	//144  QIODevice*, QString*
    104, 124, 321, 0,	//147  QIODevice*, QString*, int*
    150, 156, 0,	//151  QXmlInputSource*, QXmlReader*
    150, 156, 124, 0,	//154  QXmlInputSource*, QXmlReader*, QString*
    150, 156, 124, 321, 0,	//158  QXmlInputSource*, QXmlReader*, QString*, int*
    252, 0,	//163  const QDomDocumentFragment&
    254, 0,	//165  const QDomElement&
    288, 324, 0,	//167  const QString&, long long
    288, 332, 0,	//170  const QString&, unsigned long long
    288, 319, 0,	//173  const QString&, int
    288, 330, 0,	//176  const QString&, unsigned int
    288, 318, 0,	//179  const QString&, float
    288, 317, 0,	//182  const QString&, double
    287, 288, 288, 0,	//185  const QString, const QString&, const QString&
    287, 288, 319, 0,	//189  const QString, const QString&, int
    287, 288, 330, 0,	//193  const QString, const QString&, unsigned int
    287, 288, 324, 0,	//197  const QString, const QString&, long long
    287, 288, 332, 0,	//201  const QString, const QString&, unsigned long long
    287, 288, 317, 0,	//205  const QString, const QString&, double
    287, 288, 0,	//209  const QString, const QString&
    255, 0,	//212  const QDomEntity&
    256, 0,	//214  const QDomEntityReference&
    257, 0,	//216  const QDomImplementation&
    288, 288, 288, 0,	//218  const QString&, const QString&, const QString&
    288, 288, 253, 0,	//222  const QString&, const QString&, const QDomDocumentType&
    50, 0,	//226  QDomImplementation::InvalidDataPolicy
    258, 0,	//228  const QDomNamedNodeMap&
    259, 0,	//230  const QDomNode&
    259, 259, 0,	//232  const QDomNode&, const QDomNode&
    236, 0,	//235  bool
    132, 319, 0,	//237  QTextStream&, int
    132, 319, 57, 0,	//240  QTextStream&, int, QDomNode::EncodingPolicy
    62, 0,	//244  QDomNodePrivate*
    260, 0,	//246  const QDomNodeList&
    261, 0,	//248  const QDomNotation&
    262, 0,	//250  const QDomProcessingInstruction&
    263, 0,	//252  const QDomText&
    291, 291, 0,	//254  const QStringRef&, const QStringRef&
    332, 0,	//257  unsigned long long
    317, 0,	//259  double
    131, 319, 0,	//261  QTextCodec::ConversionFlag, int
    190, 319, 0,	//264  Qt::ImageConversionFlag, int
    313, 330, 0,	//267  const char*, unsigned int
    337, 316, 327, 0,	//270  void*, const void*, size_t
    13, 81, 0,	//274  QDebug, QFlags<QIODevice::OpenModeFlag>
    291, 288, 0,	//277  const QStringRef&, const QString&
    284, 284, 0,	//280  const QSize&, const QSize&
    313, 242, 0,	//283  const char*, const QByteArray&
    74, 80, 0,	//286  QFile::Permission, QFlags<QFile::Permission>
    278, 278, 0,	//289  const QPointF&, const QPointF&
    317, 317, 0,	//292  double, double
    10, 121, 0,	//295  QDataStream&, QSizeF&
    242, 313, 0,	//298  const QByteArray&, const char*
    318, 0,	//301  float
    313, 0,	//303  const char*
    326, 0,	//305  signed char
    288, 291, 0,	//307  const QString&, const QStringRef&
    8, 0,	//310  QChar
    291, 266, 0,	//312  const QStringRef&, const QLatin1String&
    8, 8, 0,	//315  QChar, QChar
    223, 223, 0,	//318  Qt::TouchPointState, Qt::TouchPointState
    293, 0,	//321  const QUrl&
    13, 293, 0,	//323  QDebug, const QUrl&
    125, 288, 0,	//326  QString::Null, const QString&
    220, 220, 0,	//329  Qt::ToolBarArea, Qt::ToolBarArea
    313, 313, 0,	//332  const char*, const char*
    112, 112, 0,	//335  QLocale::NumberOption, QLocale::NumberOption
    230, 230, 0,	//338  Qt::WindowType, Qt::WindowType
    317, 286, 0,	//341  double, const QSizeF&
    14, 319, 0,	//344  QDir::Filter, int
    132, 259, 0,	//347  QTextStream&, const QDomNode&
    276, 276, 0,	//350  const QPoint&, const QPoint&
    10, 280, 0,	//353  QDataStream&, const QRectF&
    198, 319, 0,	//356  Qt::KeyboardModifier, int
    217, 99, 0,	//359  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    238, 0,	//362  char
    134, 86, 0,	//364  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    13, 270, 0,	//367  QDebug, const QMargins&
    138, 319, 0,	//370  QUrl::FormattingOption, int
    74, 319, 0,	//373  QFile::Permission, int
    276, 317, 0,	//376  const QPoint&, double
    16, 78, 0,	//379  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    286, 286, 0,	//382  const QSizeF&, const QSizeF&
    13, 278, 0,	//385  QDebug, const QPointF&
    323, 319, 321, 321, 0,	//388  long double, int, int*, int*
    198, 95, 0,	//393  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    13, 268, 0,	//396  QDebug, const QLineF&
    13, 245, 0,	//399  QDebug, const QDateTime&
    138, 138, 0,	//402  QUrl::FormattingOption, QUrl::FormattingOption
    223, 101, 0,	//405  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    190, 190, 0,	//408  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    112, 319, 0,	//411  QLocale::NumberOption, int
    314, 319, 0,	//414  const unsigned char*, int
    313, 313, 330, 0,	//417  const char*, const char*, unsigned int
    266, 291, 0,	//421  const QLatin1String&, const QStringRef&
    181, 181, 0,	//424  Qt::DropAction, Qt::DropAction
    13, 276, 0,	//427  QDebug, const QPoint&
    10, 111, 0,	//430  QDataStream&, QLocale&
    288, 8, 0,	//433  const QString&, QChar
    125, 125, 0,	//436  QString::Null, QString::Null
    314, 329, 319, 0,	//439  const unsigned char*, unsigned char*, int
    131, 131, 0,	//443  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    205, 205, 0,	//446  Qt::Orientation, Qt::Orientation
    337, 327, 327, 327, 0,	//449  void*, size_t, size_t, size_t
    330, 0,	//454  unsigned int
    220, 100, 0,	//456  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    279, 279, 0,	//459  const QRect&, const QRect&
    73, 79, 0,	//462  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    240, 240, 0,	//465  const QBitArray&, const QBitArray&
    242, 242, 0,	//468  const QByteArray&, const QByteArray&
    337, 327, 0,	//471  void*, size_t
    10, 269, 0,	//474  QDataStream&, const QLocale&
    13, 264, 0,	//477  QDebug, const QEasingCurve&
    336, 0,	//480  void(*)(QtMsgType,const char*)
    272, 0,	//482  const QModelIndex&
    10, 12, 0,	//484  QDataStream&, QDateTime&
    4, 4, 0,	//487  QBool, QBool
    313, 291, 0,	//490  const char*, const QStringRef&
    220, 319, 0,	//493  Qt::ToolBarArea, int
    192, 319, 0,	//496  Qt::InputMethodHint, int
    8, 288, 0,	//499  QChar, const QString&
    126, 319, 0,	//502  QString::SectionFlag, int
    107, 319, 0,	//505  QLibrary::LoadHint, int
    10, 137, 0,	//508  QDataStream&, QUrl&
    313, 313, 319, 0,	//511  const char*, const char*, int
    324, 0,	//515  long long
    288, 125, 0,	//517  const QString&, QString::Null
    1, 319, 0,	//520  QAbstractFileEngine::FileFlag, int
    131, 85, 0,	//523  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    192, 93, 0,	//526  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    230, 103, 0,	//529  Qt::WindowType, QFlags<Qt::WindowType>
    203, 203, 0,	//532  Qt::MouseButton, Qt::MouseButton
    239, 313, 0,	//535  char*, const char*
    159, 159, 0,	//538  Qt::AlignmentFlag, Qt::AlignmentFlag
    276, 0,	//541  const QPoint&
    181, 319, 0,	//543  Qt::DropAction, int
    10, 292, 0,	//546  QDataStream&, const QTime&
    15, 319, 0,	//549  QDir::SortFlag, int
    270, 270, 0,	//552  const QMargins&, const QMargins&
    114, 0,	//555  QObject*(*)()
    201, 201, 0,	//557  Qt::MatchFlag, Qt::MatchFlag
    327, 0,	//560  size_t
    179, 89, 0,	//562  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    10, 128, 0,	//565  QDataStream&, QStringList&
    13, 296, 0,	//568  QDebug, const QVariant::Type
    179, 319, 0,	//571  Qt::DockWidgetArea, int
    322, 0,	//574  long
    319, 276, 0,	//576  int, const QPoint&
    333, 0,	//579  unsigned short
    10, 109, 0,	//581  QDataStream&, QLineF&
    74, 74, 0,	//584  QFile::Permission, QFile::Permission
    10, 120, 0,	//587  QDataStream&, QSize&
    274, 0,	//590  const QPersistentModelIndex&
    10, 288, 0,	//592  QDataStream&, const QString&
    10, 245, 0,	//595  QDataStream&, const QDateTime&
    273, 288, 271, 0,	//598  const QObject*, const QString&, const QMetaObject&
    126, 126, 0,	//602  QString::SectionFlag, QString::SectionFlag
    278, 317, 0,	//605  const QPointF&, double
    236, 4, 0,	//608  bool, QBool
    239, 313, 330, 0,	//611  char*, const char*, unsigned int
    10, 276, 0,	//615  QDataStream&, const QPoint&
    10, 140, 0,	//618  QDataStream&, QVariant&
    203, 319, 0,	//621  Qt::MouseButton, int
    278, 0,	//624  const QPointF&
    13, 274, 0,	//626  QDebug, const QPersistentModelIndex&
    313, 313, 313, 319, 0,	//629  const char*, const char*, const char*, int
    318, 276, 0,	//634  float, const QPoint&
    205, 98, 0,	//637  Qt::Orientation, QFlags<Qt::Orientation>
    73, 319, 0,	//640  QEventLoop::ProcessEventsFlag, int
    280, 280, 0,	//643  const QRectF&, const QRectF&
    190, 92, 0,	//646  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    10, 289, 0,	//649  QDataStream&, const QStringList&
    242, 238, 0,	//652  const QByteArray&, char
    16, 16, 0,	//655  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    14, 76, 0,	//658  QDir::Filter, QFlags<QDir::Filter>
    10, 115, 0,	//661  QDataStream&, QPoint&
    286, 317, 0,	//664  const QSizeF&, double
    10, 244, 0,	//667  QDataStream&, const QDate&
    335, 0,	//670  void(*)()
    314, 319, 319, 0,	//672  const unsigned char*, int, int
    10, 267, 0,	//676  QDataStream&, const QLine&
    10, 123, 0,	//679  QDataStream&, QString&
    337, 0,	//682  void*
    195, 319, 0,	//684  Qt::ItemFlag, int
    13, 246, 0,	//687  QDebug, const QDir&
    132, 133, 0,	//690  QTextStream&, QTextStream&(*)(QTextStream&)
    13, 272, 0,	//693  QDebug, const QModelIndex&
    73, 73, 0,	//696  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    240, 0,	//699  const QBitArray&
    13, 292, 0,	//701  QDebug, const QTime&
    132, 135, 0,	//704  QTextStream&, QTextStreamManipulator
    186, 91, 0,	//707  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    291, 313, 0,	//710  const QStringRef&, const char*
    10, 3, 0,	//713  QDataStream&, QBitArray&
    327, 327, 0,	//716  size_t, size_t
    323, 319, 321, 321, 239, 327, 0,	//719  long double, int, int*, int*, char*, size_t
    13, 286, 0,	//726  QDebug, const QSizeF&
    186, 319, 0,	//729  Qt::GestureFlag, int
    238, 242, 0,	//732  char, const QByteArray&
    10, 295, 0,	//735  QDataStream&, const QVariant&
    13, 295, 0,	//738  QDebug, const QVariant&
    229, 319, 0,	//741  Qt::WindowState, int
    10, 136, 0,	//744  QDataStream&, QTime&
    13, 76, 0,	//747  QDebug, QFlags<QDir::Filter>
    198, 198, 0,	//750  Qt::KeyboardModifier, Qt::KeyboardModifier
    317, 278, 0,	//753  double, const QPointF&
    10, 72, 0,	//756  QDataStream&, QEasingCurve&
    181, 90, 0,	//759  Qt::DropAction, QFlags<Qt::DropAction>
    284, 317, 0,	//762  const QSize&, double
    13, 244, 0,	//765  QDebug, const QDate&
    14, 14, 0,	//768  QDir::Filter, QDir::Filter
    239, 327, 313, 334, 0,	//771  char*, size_t, const char*, va_list
    317, 276, 0,	//776  double, const QPoint&
    337, 319, 327, 0,	//779  void*, int, size_t
    10, 268, 0,	//783  QDataStream&, const QLineF&
    313, 319, 0,	//786  const char*, int
    325, 0,	//789  short
    105, 105, 0,	//791  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    179, 179, 0,	//794  Qt::DockWidgetArea, Qt::DockWidgetArea
    15, 77, 0,	//797  QDir::SortFlag, QFlags<QDir::SortFlag>
    318, 318, 0,	//800  float, float
    295, 297, 0,	//803  const QVariant&, const QVariantComparisonHelper&
    107, 107, 0,	//806  QLibrary::LoadHint, QLibrary::LoadHint
    323, 319, 239, 0,	//809  long double, int, char*
    337, 327, 327, 320, 0,	//813  void*, size_t, size_t, int(*)(const void*,const void*)
    16, 319, 0,	//818  QDirIterator::IteratorFlag, int
    192, 192, 0,	//821  Qt::InputMethodHint, Qt::InputMethodHint
    13, 267, 0,	//824  QDebug, const QLine&
    217, 217, 0,	//827  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    223, 319, 0,	//830  Qt::TouchPointState, int
    242, 319, 0,	//833  const QByteArray&, int
    138, 87, 0,	//836  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    217, 319, 0,	//839  Qt::TextInteractionFlag, int
    229, 229, 0,	//842  Qt::WindowState, Qt::WindowState
    1, 75, 0,	//845  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    10, 242, 0,	//848  QDataStream&, const QByteArray&
    10, 264, 0,	//851  QDataStream&, const QEasingCurve&
    10, 293, 0,	//854  QDataStream&, const QUrl&
    13, 279, 0,	//857  QDebug, const QRect&
    15, 15, 0,	//860  QDir::SortFlag, QDir::SortFlag
    134, 319, 0,	//863  QTextStream::NumberFlag, int
    10, 117, 0,	//866  QDataStream&, QRect&
    10, 284, 0,	//869  QDataStream&, const QSize&
    10, 243, 0,	//872  QDataStream&, const QChar&
    159, 319, 0,	//875  Qt::AlignmentFlag, int
    10, 281, 0,	//878  QDataStream&, const QRegExp&
    13, 280, 0,	//881  QDebug, const QRectF&
    229, 102, 0,	//884  Qt::WindowState, QFlags<Qt::WindowState>
    195, 195, 0,	//887  Qt::ItemFlag, Qt::ItemFlag
    10, 139, 0,	//890  QDataStream&, QUuid&
    276, 319, 0,	//893  const QPoint&, int
    10, 142, 0,	//896  QDataStream&, QVariant::Type&
    295, 141, 337, 0,	//899  const QVariant&, QVariant::Type, void*
    273, 288, 282, 271, 110, 0,	//903  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    265, 265, 0,	//909  const QHashDummyValue&, const QHashDummyValue&
    10, 116, 0,	//912  QDataStream&, QPointF&
    205, 319, 0,	//915  Qt::Orientation, int
    186, 186, 0,	//918  Qt::GestureFlag, Qt::GestureFlag
    105, 81, 0,	//921  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    276, 318, 0,	//924  const QPoint&, float
    317, 284, 0,	//927  double, const QSize&
    4, 236, 0,	//930  QBool, bool
    10, 108, 0,	//933  QDataStream&, QLine&
    13, 284, 0,	//936  QDebug, const QSize&
    134, 134, 0,	//939  QTextStream::NumberFlag, QTextStream::NumberFlag
    203, 97, 0,	//942  Qt::MouseButton, QFlags<Qt::MouseButton>
    10, 296, 0,	//945  QDataStream&, const QVariant::Type
    195, 94, 0,	//948  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    10, 294, 0,	//951  QDataStream&, const QUuid&
    107, 82, 0,	//954  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    230, 319, 0,	//957  Qt::WindowType, int
    10, 118, 0,	//960  QDataStream&, QRectF&
    10, 279, 0,	//963  QDataStream&, const QRect&
    201, 96, 0,	//966  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    159, 88, 0,	//969  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    10, 9, 0,	//972  QDataStream&, QChar&
    10, 119, 0,	//975  QDataStream&, QRegExp&
    331, 0,	//978  unsigned long
    10, 278, 0,	//980  QDataStream&, const QPointF&
    10, 286, 0,	//983  QDataStream&, const QSizeF&
    112, 83, 0,	//986  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    126, 84, 0,	//989  QString::SectionFlag, QFlags<QString::SectionFlag>
    1, 1, 0,	//992  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    233, 313, 0,	//995  QtMsgType, const char*
    291, 0,	//998  const QStringRef&
    105, 319, 0,	//1000  QIODevice::OpenModeFlag, int
    328, 0,	//1003  unsigned char
    10, 6, 0,	//1005  QDataStream&, QByteArray&
    13, 273, 0,	//1008  QDebug, const QObject*
    201, 319, 0,	//1011  Qt::MatchFlag, int
    10, 11, 0,	//1014  QDataStream&, QDate&
    10, 240, 0,	//1017  QDataStream&, const QBitArray&
    266, 0,	//1020  const QLatin1String&
    288, 288, 288, 288, 0,	//1022  const QString&, const QString&, const QString&, const QString&
    298, 0,	//1027  const QXmlAttributes&
    153, 0,	//1029  QXmlLocator*
    288, 288, 288, 298, 0,	//1031  const QString&, const QString&, const QString&, const QXmlAttributes&
    299, 0,	//1036  const QXmlContentHandler&
    300, 0,	//1038  const QXmlDTDHandler&
    288, 288, 288, 288, 288, 0,	//1040  const QString&, const QString&, const QString&, const QString&, const QString&
    301, 0,	//1046  const QXmlDeclHandler&
    308, 0,	//1048  const QXmlParseException&
    288, 288, 151, 0,	//1050  const QString&, const QString&, QXmlInputSource*&
    302, 0,	//1054  const QXmlEntityResolver&
    303, 0,	//1056  const QXmlErrorHandler&
    304, 0,	//1058  const QXmlInputSource&
    306, 0,	//1060  const QXmlLexicalHandler&
    307, 0,	//1062  const QXmlLocator&
    288, 123, 123, 0,	//1064  const QString&, QString&, QString&
    288, 236, 123, 123, 0,	//1068  const QString&, bool, QString&, QString&
    288, 319, 319, 288, 288, 0,	//1073  const QString&, int, int, const QString&, const QString&
    288, 319, 319, 0,	//1079  const QString&, int, int
    288, 319, 319, 288, 0,	//1083  const QString&, int, int, const QString&
    288, 237, 0,	//1088  const QString&, bool*
    288, 337, 0,	//1091  const QString&, void*
    148, 0,	//1094  QXmlEntityResolver*
    145, 0,	//1096  QXmlDTDHandler*
    144, 0,	//1098  QXmlContentHandler*
    149, 0,	//1100  QXmlErrorHandler*
    152, 0,	//1102  QXmlLexicalHandler*
    146, 0,	//1104  QXmlDeclHandler*
    305, 0,	//1106  const QXmlInputSource*
    309, 0,	//1108  const QXmlReader&
    305, 236, 0,	//1110  const QXmlInputSource*, bool
    7, 0,	//1113  QByteArray*
    124, 0,	//1115  QString*
    130, 0,	//1117  QTextCodec*
    310, 0,	//1119  const QXmlStreamAttribute&
    311, 0,	//1121  const QXmlStreamAttributes&
    312, 0,	//1123  const QXmlStreamReader&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AcceptInvalidChars",	//1
    "AttributeNode",	//2
    "BaseNode",	//3
    "CDATASectionNode",	//4
    "CharacterDataNode",	//5
    "CommentNode",	//6
    "DTDHandler",	//7
    "DocumentFragmentNode",	//8
    "DocumentNode",	//9
    "DocumentTypeNode",	//10
    "DropInvalidChars",	//11
    "ElementNode",	//12
    "EncodingFromDocument",	//13
    "EncodingFromTextStream",	//14
    "EndOfData",	//15
    "EndOfDocument",	//16
    "EntityNode",	//17
    "EntityReferenceNode",	//18
    "NotationNode",	//19
    "ProcessingInstructionNode",	//20
    "QDomAttr",	//21
    "QDomAttr#",	//22
    "QDomCDATASection",	//23
    "QDomCDATASection#",	//24
    "QDomCharacterData",	//25
    "QDomCharacterData#",	//26
    "QDomComment",	//27
    "QDomComment#",	//28
    "QDomDocument",	//29
    "QDomDocument#",	//30
    "QDomDocument$",	//31
    "QDomDocumentFragment",	//32
    "QDomDocumentFragment#",	//33
    "QDomDocumentType",	//34
    "QDomDocumentType#",	//35
    "QDomElement",	//36
    "QDomElement#",	//37
    "QDomEntity",	//38
    "QDomEntity#",	//39
    "QDomEntityReference",	//40
    "QDomEntityReference#",	//41
    "QDomImplementation",	//42
    "QDomImplementation#",	//43
    "QDomNamedNodeMap",	//44
    "QDomNamedNodeMap#",	//45
    "QDomNode",	//46
    "QDomNode#",	//47
    "QDomNodeList",	//48
    "QDomNodeList#",	//49
    "QDomNotation",	//50
    "QDomNotation#",	//51
    "QDomProcessingInstruction",	//52
    "QDomProcessingInstruction#",	//53
    "QDomText",	//54
    "QDomText#",	//55
    "QXmlAttributes",	//56
    "QXmlAttributes#",	//57
    "QXmlContentHandler",	//58
    "QXmlContentHandler#",	//59
    "QXmlDTDHandler",	//60
    "QXmlDTDHandler#",	//61
    "QXmlDeclHandler",	//62
    "QXmlDeclHandler#",	//63
    "QXmlDefaultHandler",	//64
    "QXmlEntityResolver",	//65
    "QXmlEntityResolver#",	//66
    "QXmlErrorHandler",	//67
    "QXmlErrorHandler#",	//68
    "QXmlInputSource",	//69
    "QXmlInputSource#",	//70
    "QXmlLexicalHandler",	//71
    "QXmlLexicalHandler#",	//72
    "QXmlLocator",	//73
    "QXmlLocator#",	//74
    "QXmlNamespaceSupport",	//75
    "QXmlParseException",	//76
    "QXmlParseException#",	//77
    "QXmlParseException$",	//78
    "QXmlParseException$$",	//79
    "QXmlParseException$$$",	//80
    "QXmlParseException$$$$",	//81
    "QXmlParseException$$$$$",	//82
    "QXmlReader",	//83
    "QXmlReader#",	//84
    "QXmlSimpleReader",	//85
    "QXmlStreamWriter",	//86
    "QXmlStreamWriter#",	//87
    "QXmlStreamWriter$",	//88
    "QtCriticalMsg",	//89
    "QtDebugMsg",	//90
    "QtFatalMsg",	//91
    "QtSystemMsg",	//92
    "QtWarningMsg",	//93
    "ReturnNullNode",	//94
    "TextNode",	//95
    "_IEEE_",	//96
    "_ISOC_",	//97
    "_POSIX_",	//98
    "_SVID_",	//99
    "_XOPEN_",	//100
    "__codecvt_error",	//101
    "__codecvt_noconv",	//102
    "__codecvt_ok",	//103
    "__codecvt_partial",	//104
    "append",	//105
    "append$$$$",	//106
    "appendChild",	//107
    "appendChild#",	//108
    "appendData",	//109
    "appendData$",	//110
    "at",	//111
    "at$",	//112
    "attribute",	//113
    "attribute$",	//114
    "attribute$$",	//115
    "attributeDecl",	//116
    "attributeDecl$$$$$",	//117
    "attributeNS",	//118
    "attributeNS$$",	//119
    "attributeNS$$$",	//120
    "attributeNode",	//121
    "attributeNode$",	//122
    "attributeNodeNS",	//123
    "attributeNodeNS$$",	//124
    "attributes",	//125
    "autoFormatting",	//126
    "autoFormattingIndent",	//127
    "characters",	//128
    "characters$",	//129
    "childNodes",	//130
    "clear",	//131
    "cloneNode",	//132
    "cloneNode$",	//133
    "codec",	//134
    "columnNumber",	//135
    "comment",	//136
    "comment$",	//137
    "contains",	//138
    "contains$",	//139
    "contentHandler",	//140
    "count",	//141
    "createAttribute",	//142
    "createAttribute$",	//143
    "createAttributeNS",	//144
    "createAttributeNS$$",	//145
    "createCDATASection",	//146
    "createCDATASection$",	//147
    "createComment",	//148
    "createComment$",	//149
    "createDocument",	//150
    "createDocument$$#",	//151
    "createDocumentFragment",	//152
    "createDocumentType",	//153
    "createDocumentType$$$",	//154
    "createElement",	//155
    "createElement$",	//156
    "createElementNS",	//157
    "createElementNS$$",	//158
    "createEntityReference",	//159
    "createEntityReference$",	//160
    "createProcessingInstruction",	//161
    "createProcessingInstruction$$",	//162
    "createTextNode",	//163
    "createTextNode$",	//164
    "data",	//165
    "declHandler",	//166
    "deleteData",	//167
    "deleteData$$",	//168
    "device",	//169
    "doctype",	//170
    "documentElement",	//171
    "elementById",	//172
    "elementById$",	//173
    "elementsByTagName",	//174
    "elementsByTagName$",	//175
    "elementsByTagNameNS",	//176
    "elementsByTagNameNS$$",	//177
    "endCDATA",	//178
    "endDTD",	//179
    "endDocument",	//180
    "endElement",	//181
    "endElement$$$",	//182
    "endEntity",	//183
    "endEntity$",	//184
    "endPrefixMapping",	//185
    "endPrefixMapping$",	//186
    "entities",	//187
    "entityResolver",	//188
    "error",	//189
    "error#",	//190
    "errorHandler",	//191
    "errorString",	//192
    "externalEntityDecl",	//193
    "externalEntityDecl$$$",	//194
    "fatalError",	//195
    "fatalError#",	//196
    "feature",	//197
    "feature$",	//198
    "feature$$",	//199
    "fetchData",	//200
    "firstChild",	//201
    "firstChildElement",	//202
    "firstChildElement$",	//203
    "fromRawData",	//204
    "fromRawData#",	//205
    "fromRawData#$",	//206
    "hasAttribute",	//207
    "hasAttribute$",	//208
    "hasAttributeNS",	//209
    "hasAttributeNS$$",	//210
    "hasAttributes",	//211
    "hasChildNodes",	//212
    "hasError",	//213
    "hasFeature",	//214
    "hasFeature$",	//215
    "hasFeature$$",	//216
    "hasProperty",	//217
    "hasProperty$",	//218
    "ignorableWhitespace",	//219
    "ignorableWhitespace$",	//220
    "impl",	//221
    "implementation",	//222
    "importNode",	//223
    "importNode#$",	//224
    "index",	//225
    "index#",	//226
    "index$",	//227
    "index$$",	//228
    "insertAfter",	//229
    "insertAfter##",	//230
    "insertBefore",	//231
    "insertBefore##",	//232
    "insertData",	//233
    "insertData$$",	//234
    "internalEntityDecl",	//235
    "internalEntityDecl$$",	//236
    "internalSubset",	//237
    "invalidDataPolicy",	//238
    "isAttr",	//239
    "isCDATASection",	//240
    "isCharacterData",	//241
    "isComment",	//242
    "isDocument",	//243
    "isDocumentFragment",	//244
    "isDocumentType",	//245
    "isElement",	//246
    "isEmpty",	//247
    "isEntity",	//248
    "isEntityReference",	//249
    "isNotation",	//250
    "isNull",	//251
    "isProcessingInstruction",	//252
    "isSupported",	//253
    "isSupported$$",	//254
    "isText",	//255
    "item",	//256
    "item$",	//257
    "lastChild",	//258
    "lastChildElement",	//259
    "lastChildElement$",	//260
    "length",	//261
    "lexicalHandler",	//262
    "lineNumber",	//263
    "localName",	//264
    "localName$",	//265
    "message",	//266
    "name",	//267
    "namedItem",	//268
    "namedItem$",	//269
    "namedItemNS",	//270
    "namedItemNS$$",	//271
    "namespaceURI",	//272
    "next",	//273
    "nextSibling",	//274
    "nextSiblingElement",	//275
    "nextSiblingElement$",	//276
    "nodeName",	//277
    "nodeType",	//278
    "nodeValue",	//279
    "normalize",	//280
    "notationDecl",	//281
    "notationDecl$$$",	//282
    "notationName",	//283
    "notations",	//284
    "operator!=",	//285
    "operator!=#",	//286
    "operator!=##",	//287
    "operator!=#$",	//288
    "operator!=$#",	//289
    "operator&",	//290
    "operator&##",	//291
    "operator*",	//292
    "operator*#$",	//293
    "operator*$#",	//294
    "operator+",	//295
    "operator+##",	//296
    "operator+#$",	//297
    "operator+$#",	//298
    "operator+$$",	//299
    "operator-",	//300
    "operator-#",	//301
    "operator-##",	//302
    "operator/",	//303
    "operator/#$",	//304
    "operator<",	//305
    "operator<##",	//306
    "operator<#$",	//307
    "operator<$#",	//308
    "operator<<",	//309
    "operator<<##",	//310
    "operator<<#$",	//311
    "operator<<#?",	//312
    "operator<=",	//313
    "operator<=##",	//314
    "operator<=#$",	//315
    "operator<=$#",	//316
    "operator=",	//317
    "operator=#",	//318
    "operator==",	//319
    "operator==#",	//320
    "operator==##",	//321
    "operator==#$",	//322
    "operator==$#",	//323
    "operator>",	//324
    "operator>##",	//325
    "operator>#$",	//326
    "operator>$#",	//327
    "operator>=",	//328
    "operator>=##",	//329
    "operator>=#$",	//330
    "operator>=$#",	//331
    "operator>>",	//332
    "operator>>##",	//333
    "operator>>#$",	//334
    "operator>>#?",	//335
    "operator^",	//336
    "operator^##",	//337
    "operator|",	//338
    "operator|##",	//339
    "operator|$$",	//340
    "ownerDocument",	//341
    "ownerElement",	//342
    "parentNode",	//343
    "parse",	//344
    "parse#",	//345
    "parse#$",	//346
    "parseContinue",	//347
    "popContext",	//348
    "prefix",	//349
    "prefix$",	//350
    "prefixes",	//351
    "prefixes$",	//352
    "previousSibling",	//353
    "previousSiblingElement",	//354
    "previousSiblingElement$",	//355
    "processName",	//356
    "processName$$$$",	//357
    "processingInstruction",	//358
    "processingInstruction$$",	//359
    "property",	//360
    "property$",	//361
    "property$$",	//362
    "publicId",	//363
    "pushContext",	//364
    "qAcos",	//365
    "qAcos$",	//366
    "qAddPostRoutine",	//367
    "qAddPostRoutine$",	//368
    "qAppName",	//369
    "qAsin",	//370
    "qAsin$",	//371
    "qAtan",	//372
    "qAtan$",	//373
    "qAtan2",	//374
    "qAtan2$$",	//375
    "qBadAlloc",	//376
    "qCeil",	//377
    "qCeil$",	//378
    "qChecksum",	//379
    "qChecksum$$",	//380
    "qCompress",	//381
    "qCompress#",	//382
    "qCompress#$",	//383
    "qCompress$$",	//384
    "qCompress$$$",	//385
    "qCos",	//386
    "qCos$",	//387
    "qCritical",	//388
    "qDebug",	//389
    "qExp",	//390
    "qExp$",	//391
    "qFabs",	//392
    "qFabs$",	//393
    "qFastCos",	//394
    "qFastCos$",	//395
    "qFastSin",	//396
    "qFastSin$",	//397
    "qFlagLocation",	//398
    "qFlagLocation$",	//399
    "qFloor",	//400
    "qFloor$",	//401
    "qFree",	//402
    "qFree$",	//403
    "qFreeAligned",	//404
    "qFreeAligned$",	//405
    "qFuzzyCompare",	//406
    "qFuzzyCompare$$",	//407
    "qFuzzyIsNull",	//408
    "qFuzzyIsNull$",	//409
    "qHash",	//410
    "qHash#",	//411
    "qHash$",	//412
    "qInf",	//413
    "qInstallMsgHandler",	//414
    "qInstallMsgHandler$",	//415
    "qIntCast",	//416
    "qIntCast$",	//417
    "qIsFinite",	//418
    "qIsFinite$",	//419
    "qIsInf",	//420
    "qIsInf$",	//421
    "qIsNaN",	//422
    "qIsNaN$",	//423
    "qIsNull",	//424
    "qIsNull$",	//425
    "qLn",	//426
    "qLn$",	//427
    "qMalloc",	//428
    "qMalloc$",	//429
    "qMallocAligned",	//430
    "qMallocAligned$$",	//431
    "qMemCopy",	//432
    "qMemCopy$$$",	//433
    "qMemSet",	//434
    "qMemSet$$$",	//435
    "qName",	//436
    "qName$",	//437
    "qPow",	//438
    "qPow$$",	//439
    "qQNaN",	//440
    "qRealloc",	//441
    "qRealloc$$",	//442
    "qReallocAligned",	//443
    "qReallocAligned$$$$",	//444
    "qRegisterStaticPluginInstanceFunction",	//445
    "qRegisterStaticPluginInstanceFunction#",	//446
    "qRemovePostRoutine",	//447
    "qRemovePostRoutine$",	//448
    "qRound",	//449
    "qRound$",	//450
    "qRound64",	//451
    "qRound64$",	//452
    "qSNaN",	//453
    "qSetFieldWidth",	//454
    "qSetFieldWidth$",	//455
    "qSetPadChar",	//456
    "qSetPadChar#",	//457
    "qSetRealNumberPrecision",	//458
    "qSetRealNumberPrecision$",	//459
    "qSharedBuild",	//460
    "qSin",	//461
    "qSin$",	//462
    "qSqrt",	//463
    "qSqrt$",	//464
    "qStringComparisonHelper",	//465
    "qStringComparisonHelper#$",	//466
    "qTan",	//467
    "qTan$",	//468
    "qUncompress",	//469
    "qUncompress#",	//470
    "qUncompress$$",	//471
    "qVersion",	//472
    "qWarning",	//473
    "qbswap_helper",	//474
    "qbswap_helper$$$",	//475
    "qecvt",	//476
    "qecvt$$$$",	//477
    "qecvt_r",	//478
    "qecvt_r$$$$$$",	//479
    "qfcvt",	//480
    "qfcvt$$$$",	//481
    "qfcvt_r",	//482
    "qfcvt_r$$$$$$",	//483
    "qgcvt",	//484
    "qgcvt$$$",	//485
    "qgetenv",	//486
    "qgetenv$",	//487
    "qputenv",	//488
    "qputenv$#",	//489
    "qrand",	//490
    "qsort",	//491
    "qsort$$$$",	//492
    "qsrand",	//493
    "qsrand$",	//494
    "qstrcmp",	//495
    "qstrcmp##",	//496
    "qstrcmp#$",	//497
    "qstrcmp$#",	//498
    "qstrcmp$$",	//499
    "qstrcpy",	//500
    "qstrcpy$$",	//501
    "qstrdup",	//502
    "qstrdup$",	//503
    "qstricmp",	//504
    "qstricmp$$",	//505
    "qstrlen",	//506
    "qstrlen$",	//507
    "qstrncmp",	//508
    "qstrncmp$$$",	//509
    "qstrncpy",	//510
    "qstrncpy$$$",	//511
    "qstrnicmp",	//512
    "qstrnicmp$$$",	//513
    "qstrnlen",	//514
    "qstrnlen$$",	//515
    "qtTrId",	//516
    "qtTrId$",	//517
    "qtTrId$$",	//518
    "qt_assert",	//519
    "qt_assert$$$",	//520
    "qt_assert_x",	//521
    "qt_assert_x$$$$",	//522
    "qt_check_pointer",	//523
    "qt_check_pointer$$",	//524
    "qt_error_string",	//525
    "qt_error_string$",	//526
    "qt_message_output",	//527
    "qt_message_output$$",	//528
    "qt_noop",	//529
    "qt_qFindChild_helper",	//530
    "qt_qFindChild_helper#$#",	//531
    "qt_qFindChildren_helper",	//532
    "qt_qFindChildren_helper#$##?",	//533
    "qvariant_cast_helper",	//534
    "qvariant_cast_helper#$$",	//535
    "qvsnprintf",	//536
    "qvsnprintf$$$?",	//537
    "removeAttribute",	//538
    "removeAttribute$",	//539
    "removeAttributeNS",	//540
    "removeAttributeNS$$",	//541
    "removeAttributeNode",	//542
    "removeAttributeNode#",	//543
    "removeChild",	//544
    "removeChild#",	//545
    "removeNamedItem",	//546
    "removeNamedItem$",	//547
    "removeNamedItemNS",	//548
    "removeNamedItemNS$$",	//549
    "replaceChild",	//550
    "replaceChild##",	//551
    "replaceData",	//552
    "replaceData$$$",	//553
    "reset",	//554
    "resolveEntity",	//555
    "resolveEntity$$#",	//556
    "save",	//557
    "save#$",	//558
    "save#$$",	//559
    "setAttribute",	//560
    "setAttribute$$",	//561
    "setAttributeNS",	//562
    "setAttributeNS$$$",	//563
    "setAttributeNode",	//564
    "setAttributeNode#",	//565
    "setAttributeNodeNS",	//566
    "setAttributeNodeNS#",	//567
    "setAutoFormatting",	//568
    "setAutoFormatting$",	//569
    "setAutoFormattingIndent",	//570
    "setAutoFormattingIndent$",	//571
    "setCodec",	//572
    "setCodec#",	//573
    "setCodec$",	//574
    "setContent",	//575
    "setContent#",	//576
    "setContent##",	//577
    "setContent##$",	//578
    "setContent##$$",	//579
    "setContent##$$$",	//580
    "setContent#$",	//581
    "setContent#$$",	//582
    "setContent#$$$",	//583
    "setContent#$$$$",	//584
    "setContent$",	//585
    "setContent$$",	//586
    "setContent$$$",	//587
    "setContent$$$$",	//588
    "setContent$$$$$",	//589
    "setContentHandler",	//590
    "setContentHandler#",	//591
    "setDTDHandler",	//592
    "setDTDHandler#",	//593
    "setData",	//594
    "setData#",	//595
    "setData$",	//596
    "setDeclHandler",	//597
    "setDeclHandler#",	//598
    "setDevice",	//599
    "setDevice#",	//600
    "setDocumentLocator",	//601
    "setDocumentLocator#",	//602
    "setEntityResolver",	//603
    "setEntityResolver#",	//604
    "setErrorHandler",	//605
    "setErrorHandler#",	//606
    "setFeature",	//607
    "setFeature$$",	//608
    "setImpl",	//609
    "setImpl#",	//610
    "setInvalidDataPolicy",	//611
    "setInvalidDataPolicy$",	//612
    "setLexicalHandler",	//613
    "setLexicalHandler#",	//614
    "setNamedItem",	//615
    "setNamedItem#",	//616
    "setNamedItemNS",	//617
    "setNamedItemNS#",	//618
    "setNodeValue",	//619
    "setNodeValue$",	//620
    "setPrefix",	//621
    "setPrefix$",	//622
    "setPrefix$$",	//623
    "setProperty",	//624
    "setProperty$$",	//625
    "setTagName",	//626
    "setTagName$",	//627
    "setValue",	//628
    "setValue$",	//629
    "size",	//630
    "skippedEntity",	//631
    "skippedEntity$",	//632
    "specified",	//633
    "splitName",	//634
    "splitName$$$",	//635
    "splitText",	//636
    "splitText$",	//637
    "startCDATA",	//638
    "startDTD",	//639
    "startDTD$$$",	//640
    "startDocument",	//641
    "startElement",	//642
    "startElement$$$#",	//643
    "startEntity",	//644
    "startEntity$",	//645
    "startPrefixMapping",	//646
    "startPrefixMapping$$",	//647
    "substringData",	//648
    "substringData$$",	//649
    "systemId",	//650
    "tagName",	//651
    "target",	//652
    "text",	//653
    "toAttr",	//654
    "toByteArray",	//655
    "toByteArray$",	//656
    "toCDATASection",	//657
    "toCharacterData",	//658
    "toComment",	//659
    "toDocument",	//660
    "toDocumentFragment",	//661
    "toDocumentType",	//662
    "toElement",	//663
    "toEntity",	//664
    "toEntityReference",	//665
    "toNotation",	//666
    "toProcessingInstruction",	//667
    "toString",	//668
    "toString$",	//669
    "toText",	//670
    "type",	//671
    "type$",	//672
    "type$$",	//673
    "unparsedEntityDecl",	//674
    "unparsedEntityDecl$$$$",	//675
    "uri",	//676
    "uri$",	//677
    "value",	//678
    "value#",	//679
    "value$",	//680
    "value$$",	//681
    "warning",	//682
    "warning#",	//683
    "writeAttribute",	//684
    "writeAttribute#",	//685
    "writeAttribute$$",	//686
    "writeAttribute$$$",	//687
    "writeAttributes",	//688
    "writeAttributes#",	//689
    "writeCDATA",	//690
    "writeCDATA$",	//691
    "writeCharacters",	//692
    "writeCharacters$",	//693
    "writeComment",	//694
    "writeComment$",	//695
    "writeCurrentToken",	//696
    "writeCurrentToken#",	//697
    "writeDTD",	//698
    "writeDTD$",	//699
    "writeDefaultNamespace",	//700
    "writeDefaultNamespace$",	//701
    "writeEmptyElement",	//702
    "writeEmptyElement$",	//703
    "writeEmptyElement$$",	//704
    "writeEndDocument",	//705
    "writeEndElement",	//706
    "writeEntityReference",	//707
    "writeEntityReference$",	//708
    "writeNamespace",	//709
    "writeNamespace$",	//710
    "writeNamespace$$",	//711
    "writeProcessingInstruction",	//712
    "writeProcessingInstruction$",	//713
    "writeProcessingInstruction$$",	//714
    "writeStartDocument",	//715
    "writeStartDocument$",	//716
    "writeStartDocument$$",	//717
    "writeStartElement",	//718
    "writeStartElement$",	//719
    "writeStartElement$$",	//720
    "writeTextElement",	//721
    "writeTextElement$$",	//722
    "writeTextElement$$$",	//723
    "~QDomAttr",	//724
    "~QDomCDATASection",	//725
    "~QDomCharacterData",	//726
    "~QDomComment",	//727
    "~QDomDocument",	//728
    "~QDomDocumentFragment",	//729
    "~QDomDocumentType",	//730
    "~QDomElement",	//731
    "~QDomEntity",	//732
    "~QDomEntityReference",	//733
    "~QDomImplementation",	//734
    "~QDomNamedNodeMap",	//735
    "~QDomNode",	//736
    "~QDomNodeList",	//737
    "~QDomNotation",	//738
    "~QDomProcessingInstruction",	//739
    "~QDomText",	//740
    "~QXmlAttributes",	//741
    "~QXmlContentHandler",	//742
    "~QXmlDTDHandler",	//743
    "~QXmlDeclHandler",	//744
    "~QXmlDefaultHandler",	//745
    "~QXmlEntityResolver",	//746
    "~QXmlErrorHandler",	//747
    "~QXmlInputSource",	//748
    "~QXmlLexicalHandler",	//749
    "~QXmlLocator",	//750
    "~QXmlNamespaceSupport",	//751
    "~QXmlParseException",	//752
    "~QXmlReader",	//753
    "~QXmlSimpleReader",	//754
    "~QXmlStreamWriter",	//755
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {10, 21, 0, 0, Smoke::mf_ctor, 19, 1},	//1 QDomAttr::QDomAttr()
    {10, 21, 1, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 19, 2},	//2 QDomAttr::QDomAttr(const QDomAttr&)
    {10, 317, 1, 1, 0, 18, 3},	//3 QDomAttr::operator=(const QDomAttr&)
    {10, 267, 0, 0, Smoke::mf_const, 122, 4},	//4 QDomAttr::name() const
    {10, 633, 0, 0, Smoke::mf_const, 236, 5},	//5 QDomAttr::specified() const
    {10, 342, 0, 0, Smoke::mf_const, 38, 6},	//6 QDomAttr::ownerElement() const
    {10, 678, 0, 0, Smoke::mf_const, 122, 7},	//7 QDomAttr::value() const
    {10, 628, 3, 1, 0, 0, 8},	//8 QDomAttr::setValue(const QString&)
    {10, 278, 0, 0, Smoke::mf_const, 58, 9},	//9 QDomAttr::nodeType() const
    {10, 724, 0, 0, Smoke::mf_dtor, 0, 10 },	//10 QDomAttr::~QDomAttr()
    {11, 23, 0, 0, Smoke::mf_ctor, 22, 1},	//11 QDomCDATASection::QDomCDATASection()
    {11, 23, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 2},	//12 QDomCDATASection::QDomCDATASection(const QDomCDATASection&)
    {11, 317, 5, 1, 0, 21, 3},	//13 QDomCDATASection::operator=(const QDomCDATASection&)
    {11, 278, 0, 0, Smoke::mf_const, 58, 4},	//14 QDomCDATASection::nodeType() const
    {11, 725, 0, 0, Smoke::mf_dtor, 0, 5 },	//15 QDomCDATASection::~QDomCDATASection()
    {12, 25, 0, 0, Smoke::mf_ctor, 25, 1},	//16 QDomCharacterData::QDomCharacterData()
    {12, 25, 7, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 2},	//17 QDomCharacterData::QDomCharacterData(const QDomCharacterData&)
    {12, 317, 7, 1, 0, 24, 3},	//18 QDomCharacterData::operator=(const QDomCharacterData&)
    {12, 648, 9, 2, 0, 122, 4},	//19 QDomCharacterData::substringData(unsigned long, unsigned long)
    {12, 109, 3, 1, 0, 0, 5},	//20 QDomCharacterData::appendData(const QString&)
    {12, 233, 12, 2, 0, 0, 6},	//21 QDomCharacterData::insertData(unsigned long, const QString&)
    {12, 167, 9, 2, 0, 0, 7},	//22 QDomCharacterData::deleteData(unsigned long, unsigned long)
    {12, 552, 15, 3, 0, 0, 8},	//23 QDomCharacterData::replaceData(unsigned long, unsigned long, const QString&)
    {12, 261, 0, 0, Smoke::mf_const, 330, 9},	//24 QDomCharacterData::length() const
    {12, 165, 0, 0, Smoke::mf_const, 122, 10},	//25 QDomCharacterData::data() const
    {12, 594, 3, 1, 0, 0, 11},	//26 QDomCharacterData::setData(const QString&)
    {12, 278, 0, 0, Smoke::mf_const, 58, 12},	//27 QDomCharacterData::nodeType() const
    {12, 726, 0, 0, Smoke::mf_dtor, 0, 13 },	//28 QDomCharacterData::~QDomCharacterData()
    {13, 27, 0, 0, Smoke::mf_ctor, 28, 1},	//29 QDomComment::QDomComment()
    {13, 27, 19, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 2},	//30 QDomComment::QDomComment(const QDomComment&)
    {13, 317, 19, 1, 0, 27, 3},	//31 QDomComment::operator=(const QDomComment&)
    {13, 278, 0, 0, Smoke::mf_const, 58, 4},	//32 QDomComment::nodeType() const
    {13, 727, 0, 0, Smoke::mf_dtor, 0, 5 },	//33 QDomComment::~QDomComment()
    {14, 29, 0, 0, Smoke::mf_ctor, 31, 1},	//34 QDomDocument::QDomDocument()
    {14, 29, 3, 1, Smoke::mf_ctor, 31, 2},	//35 QDomDocument::QDomDocument(const QString&)
    {14, 29, 21, 1, Smoke::mf_ctor, 31, 3},	//36 QDomDocument::QDomDocument(const QDomDocumentType&)
    {14, 29, 23, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 4},	//37 QDomDocument::QDomDocument(const QDomDocument&)
    {14, 317, 23, 1, 0, 30, 5},	//38 QDomDocument::operator=(const QDomDocument&)
    {14, 155, 3, 1, 0, 38, 6},	//39 QDomDocument::createElement(const QString&)
    {14, 152, 0, 0, 0, 32, 7},	//40 QDomDocument::createDocumentFragment()
    {14, 163, 3, 1, 0, 69, 8},	//41 QDomDocument::createTextNode(const QString&)
    {14, 148, 3, 1, 0, 26, 9},	//42 QDomDocument::createComment(const QString&)
    {14, 146, 3, 1, 0, 20, 10},	//43 QDomDocument::createCDATASection(const QString&)
    {14, 161, 25, 2, 0, 66, 11},	//44 QDomDocument::createProcessingInstruction(const QString&, const QString&)
    {14, 142, 3, 1, 0, 17, 12},	//45 QDomDocument::createAttribute(const QString&)
    {14, 159, 3, 1, 0, 44, 13},	//46 QDomDocument::createEntityReference(const QString&)
    {14, 174, 3, 1, Smoke::mf_const, 59, 14},	//47 QDomDocument::elementsByTagName(const QString&) const
    {14, 223, 28, 2, 0, 54, 15},	//48 QDomDocument::importNode(const QDomNode&, bool)
    {14, 157, 25, 2, 0, 38, 16},	//49 QDomDocument::createElementNS(const QString&, const QString&)
    {14, 144, 25, 2, 0, 17, 17},	//50 QDomDocument::createAttributeNS(const QString&, const QString&)
    {14, 176, 25, 2, 0, 59, 18},	//51 QDomDocument::elementsByTagNameNS(const QString&, const QString&)
    {14, 172, 3, 1, 0, 38, 19},	//52 QDomDocument::elementById(const QString&)
    {14, 170, 0, 0, Smoke::mf_const, 35, 20},	//53 QDomDocument::doctype() const
    {14, 222, 0, 0, Smoke::mf_const, 47, 21},	//54 QDomDocument::implementation() const
    {14, 171, 0, 0, Smoke::mf_const, 38, 22},	//55 QDomDocument::documentElement() const
    {14, 278, 0, 0, Smoke::mf_const, 58, 23},	//56 QDomDocument::nodeType() const
    {14, 575, 31, 5, 0, 236, 24},	//57 QDomDocument::setContent(const QByteArray&, bool, QString*, int*, int*)
    {14, 575, 37, 5, 0, 236, 25},	//58 QDomDocument::setContent(const QString&, bool, QString*, int*, int*)
    {14, 575, 43, 5, 0, 236, 26},	//59 QDomDocument::setContent(QIODevice*, bool, QString*, int*, int*)
    {14, 575, 49, 5, 0, 236, 27},	//60 QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*, int*)
    {14, 575, 55, 4, 0, 236, 28},	//61 QDomDocument::setContent(const QByteArray&, QString*, int*, int*)
    {14, 575, 60, 4, 0, 236, 29},	//62 QDomDocument::setContent(const QString&, QString*, int*, int*)
    {14, 575, 65, 4, 0, 236, 30},	//63 QDomDocument::setContent(QIODevice*, QString*, int*, int*)
    {14, 575, 70, 5, 0, 236, 31},	//64 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*, int*, int*)
    {14, 668, 76, 1, Smoke::mf_const, 122, 32},	//65 QDomDocument::toString(int) const
    {14, 655, 76, 1, Smoke::mf_const, 5, 33},	//66 QDomDocument::toByteArray(int) const
    {14, 575, 78, 2, 0, 236, 34},	//67 QDomDocument::setContent(const QByteArray&, bool)
    {14, 575, 81, 3, 0, 236, 35},	//68 QDomDocument::setContent(const QByteArray&, bool, QString*)
    {14, 575, 85, 4, 0, 236, 36},	//69 QDomDocument::setContent(const QByteArray&, bool, QString*, int*)
    {14, 575, 90, 2, 0, 236, 37},	//70 QDomDocument::setContent(const QString&, bool)
    {14, 575, 93, 3, 0, 236, 38},	//71 QDomDocument::setContent(const QString&, bool, QString*)
    {14, 575, 97, 4, 0, 236, 39},	//72 QDomDocument::setContent(const QString&, bool, QString*, int*)
    {14, 575, 102, 2, 0, 236, 40},	//73 QDomDocument::setContent(QIODevice*, bool)
    {14, 575, 105, 3, 0, 236, 41},	//74 QDomDocument::setContent(QIODevice*, bool, QString*)
    {14, 575, 109, 4, 0, 236, 42},	//75 QDomDocument::setContent(QIODevice*, bool, QString*, int*)
    {14, 575, 114, 2, 0, 236, 43},	//76 QDomDocument::setContent(QXmlInputSource*, bool)
    {14, 575, 117, 3, 0, 236, 44},	//77 QDomDocument::setContent(QXmlInputSource*, bool, QString*)
    {14, 575, 121, 4, 0, 236, 45},	//78 QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*)
    {14, 575, 126, 1, 0, 236, 46},	//79 QDomDocument::setContent(const QByteArray&)
    {14, 575, 128, 2, 0, 236, 47},	//80 QDomDocument::setContent(const QByteArray&, QString*)
    {14, 575, 131, 3, 0, 236, 48},	//81 QDomDocument::setContent(const QByteArray&, QString*, int*)
    {14, 575, 3, 1, 0, 236, 49},	//82 QDomDocument::setContent(const QString&)
    {14, 575, 135, 2, 0, 236, 50},	//83 QDomDocument::setContent(const QString&, QString*)
    {14, 575, 138, 3, 0, 236, 51},	//84 QDomDocument::setContent(const QString&, QString*, int*)
    {14, 575, 142, 1, 0, 236, 52},	//85 QDomDocument::setContent(QIODevice*)
    {14, 575, 144, 2, 0, 236, 53},	//86 QDomDocument::setContent(QIODevice*, QString*)
    {14, 575, 147, 3, 0, 236, 54},	//87 QDomDocument::setContent(QIODevice*, QString*, int*)
    {14, 575, 151, 2, 0, 236, 55},	//88 QDomDocument::setContent(QXmlInputSource*, QXmlReader*)
    {14, 575, 154, 3, 0, 236, 56},	//89 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*)
    {14, 575, 158, 4, 0, 236, 57},	//90 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*, int*)
    {14, 668, 0, 0, Smoke::mf_const, 122, 58},	//91 QDomDocument::toString() const
    {14, 655, 0, 0, Smoke::mf_const, 5, 59},	//92 QDomDocument::toByteArray() const
    {14, 728, 0, 0, Smoke::mf_dtor, 0, 60 },	//93 QDomDocument::~QDomDocument()
    {15, 32, 0, 0, Smoke::mf_ctor, 34, 1},	//94 QDomDocumentFragment::QDomDocumentFragment()
    {15, 32, 163, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 34, 2},	//95 QDomDocumentFragment::QDomDocumentFragment(const QDomDocumentFragment&)
    {15, 317, 163, 1, 0, 33, 3},	//96 QDomDocumentFragment::operator=(const QDomDocumentFragment&)
    {15, 278, 0, 0, Smoke::mf_const, 58, 4},	//97 QDomDocumentFragment::nodeType() const
    {15, 729, 0, 0, Smoke::mf_dtor, 0, 5 },	//98 QDomDocumentFragment::~QDomDocumentFragment()
    {16, 34, 0, 0, Smoke::mf_ctor, 37, 1},	//99 QDomDocumentType::QDomDocumentType()
    {16, 34, 21, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 37, 2},	//100 QDomDocumentType::QDomDocumentType(const QDomDocumentType&)
    {16, 317, 21, 1, 0, 36, 3},	//101 QDomDocumentType::operator=(const QDomDocumentType&)
    {16, 267, 0, 0, Smoke::mf_const, 122, 4},	//102 QDomDocumentType::name() const
    {16, 187, 0, 0, Smoke::mf_const, 51, 5},	//103 QDomDocumentType::entities() const
    {16, 284, 0, 0, Smoke::mf_const, 51, 6},	//104 QDomDocumentType::notations() const
    {16, 363, 0, 0, Smoke::mf_const, 122, 7},	//105 QDomDocumentType::publicId() const
    {16, 650, 0, 0, Smoke::mf_const, 122, 8},	//106 QDomDocumentType::systemId() const
    {16, 237, 0, 0, Smoke::mf_const, 122, 9},	//107 QDomDocumentType::internalSubset() const
    {16, 278, 0, 0, Smoke::mf_const, 58, 10},	//108 QDomDocumentType::nodeType() const
    {16, 730, 0, 0, Smoke::mf_dtor, 0, 11 },	//109 QDomDocumentType::~QDomDocumentType()
    {17, 36, 0, 0, Smoke::mf_ctor, 40, 1},	//110 QDomElement::QDomElement()
    {17, 36, 165, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 40, 2},	//111 QDomElement::QDomElement(const QDomElement&)
    {17, 317, 165, 1, 0, 39, 3},	//112 QDomElement::operator=(const QDomElement&)
    {17, 113, 25, 2, Smoke::mf_const, 122, 4},	//113 QDomElement::attribute(const QString&, const QString&) const
    {17, 560, 25, 2, 0, 0, 5},	//114 QDomElement::setAttribute(const QString&, const QString&)
    {17, 560, 167, 2, 0, 0, 6},	//115 QDomElement::setAttribute(const QString&, long long)
    {17, 560, 170, 2, 0, 0, 7},	//116 QDomElement::setAttribute(const QString&, unsigned long long)
    {17, 560, 173, 2, 0, 0, 8},	//117 QDomElement::setAttribute(const QString&, int)
    {17, 560, 176, 2, 0, 0, 9},	//118 QDomElement::setAttribute(const QString&, unsigned int)
    {17, 560, 179, 2, 0, 0, 10},	//119 QDomElement::setAttribute(const QString&, float)
    {17, 560, 182, 2, 0, 0, 11},	//120 QDomElement::setAttribute(const QString&, double)
    {17, 538, 3, 1, 0, 0, 12},	//121 QDomElement::removeAttribute(const QString&)
    {17, 121, 3, 1, 0, 17, 13},	//122 QDomElement::attributeNode(const QString&)
    {17, 564, 1, 1, 0, 17, 14},	//123 QDomElement::setAttributeNode(const QDomAttr&)
    {17, 542, 1, 1, 0, 17, 15},	//124 QDomElement::removeAttributeNode(const QDomAttr&)
    {17, 174, 3, 1, Smoke::mf_const, 59, 16},	//125 QDomElement::elementsByTagName(const QString&) const
    {17, 207, 3, 1, Smoke::mf_const, 236, 17},	//126 QDomElement::hasAttribute(const QString&) const
    {17, 118, 185, 3, Smoke::mf_const, 122, 18},	//127 QDomElement::attributeNS(const QString, const QString&, const QString&) const
    {17, 562, 185, 3, 0, 0, 19},	//128 QDomElement::setAttributeNS(const QString, const QString&, const QString&)
    {17, 562, 189, 3, 0, 0, 20},	//129 QDomElement::setAttributeNS(const QString, const QString&, int)
    {17, 562, 193, 3, 0, 0, 21},	//130 QDomElement::setAttributeNS(const QString, const QString&, unsigned int)
    {17, 562, 197, 3, 0, 0, 22},	//131 QDomElement::setAttributeNS(const QString, const QString&, long long)
    {17, 562, 201, 3, 0, 0, 23},	//132 QDomElement::setAttributeNS(const QString, const QString&, unsigned long long)
    {17, 562, 205, 3, 0, 0, 24},	//133 QDomElement::setAttributeNS(const QString, const QString&, double)
    {17, 540, 25, 2, 0, 0, 25},	//134 QDomElement::removeAttributeNS(const QString&, const QString&)
    {17, 123, 25, 2, 0, 17, 26},	//135 QDomElement::attributeNodeNS(const QString&, const QString&)
    {17, 566, 1, 1, 0, 17, 27},	//136 QDomElement::setAttributeNodeNS(const QDomAttr&)
    {17, 176, 25, 2, Smoke::mf_const, 59, 28},	//137 QDomElement::elementsByTagNameNS(const QString&, const QString&) const
    {17, 209, 25, 2, Smoke::mf_const, 236, 29},	//138 QDomElement::hasAttributeNS(const QString&, const QString&) const
    {17, 651, 0, 0, Smoke::mf_const, 122, 30},	//139 QDomElement::tagName() const
    {17, 626, 3, 1, 0, 0, 31},	//140 QDomElement::setTagName(const QString&)
    {17, 125, 0, 0, Smoke::mf_const, 51, 32},	//141 QDomElement::attributes() const
    {17, 278, 0, 0, Smoke::mf_const, 58, 33},	//142 QDomElement::nodeType() const
    {17, 653, 0, 0, Smoke::mf_const, 122, 34},	//143 QDomElement::text() const
    {17, 113, 3, 1, Smoke::mf_const, 122, 35},	//144 QDomElement::attribute(const QString&) const
    {17, 118, 209, 2, Smoke::mf_const, 122, 36},	//145 QDomElement::attributeNS(const QString, const QString&) const
    {17, 731, 0, 0, Smoke::mf_dtor, 0, 37 },	//146 QDomElement::~QDomElement()
    {18, 38, 0, 0, Smoke::mf_ctor, 43, 1},	//147 QDomEntity::QDomEntity()
    {18, 38, 212, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 43, 2},	//148 QDomEntity::QDomEntity(const QDomEntity&)
    {18, 317, 212, 1, 0, 42, 3},	//149 QDomEntity::operator=(const QDomEntity&)
    {18, 363, 0, 0, Smoke::mf_const, 122, 4},	//150 QDomEntity::publicId() const
    {18, 650, 0, 0, Smoke::mf_const, 122, 5},	//151 QDomEntity::systemId() const
    {18, 283, 0, 0, Smoke::mf_const, 122, 6},	//152 QDomEntity::notationName() const
    {18, 278, 0, 0, Smoke::mf_const, 58, 7},	//153 QDomEntity::nodeType() const
    {18, 732, 0, 0, Smoke::mf_dtor, 0, 8 },	//154 QDomEntity::~QDomEntity()
    {19, 40, 0, 0, Smoke::mf_ctor, 46, 1},	//155 QDomEntityReference::QDomEntityReference()
    {19, 40, 214, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 46, 2},	//156 QDomEntityReference::QDomEntityReference(const QDomEntityReference&)
    {19, 317, 214, 1, 0, 45, 3},	//157 QDomEntityReference::operator=(const QDomEntityReference&)
    {19, 278, 0, 0, Smoke::mf_const, 58, 4},	//158 QDomEntityReference::nodeType() const
    {19, 733, 0, 0, Smoke::mf_dtor, 0, 5 },	//159 QDomEntityReference::~QDomEntityReference()
    {20, 42, 0, 0, Smoke::mf_ctor, 49, 1},	//160 QDomImplementation::QDomImplementation()
    {20, 42, 216, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 49, 2},	//161 QDomImplementation::QDomImplementation(const QDomImplementation&)
    {20, 317, 216, 1, 0, 48, 3},	//162 QDomImplementation::operator=(const QDomImplementation&)
    {20, 319, 216, 1, Smoke::mf_const, 236, 4},	//163 QDomImplementation::operator==(const QDomImplementation&) const
    {20, 285, 216, 1, Smoke::mf_const, 236, 5},	//164 QDomImplementation::operator!=(const QDomImplementation&) const
    {20, 214, 25, 2, Smoke::mf_const, 236, 6},	//165 QDomImplementation::hasFeature(const QString&, const QString&) const
    {20, 153, 218, 3, 0, 35, 7},	//166 QDomImplementation::createDocumentType(const QString&, const QString&, const QString&)
    {20, 150, 222, 3, 0, 29, 8},	//167 QDomImplementation::createDocument(const QString&, const QString&, const QDomDocumentType&)
    {20, 238, 0, 0, Smoke::mf_static, 50, 9},	//168 QDomImplementation::invalidDataPolicy()
    {20, 611, 226, 1, Smoke::mf_static, 0, 10},	//169 QDomImplementation::setInvalidDataPolicy(QDomImplementation::InvalidDataPolicy)
    {20, 251, 0, 0, 0, 236, 11},	//170 QDomImplementation::isNull()
    {20, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 12},	//171 QDomImplementation::AcceptInvalidChars (enum)
    {20, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 13},	//172 QDomImplementation::DropInvalidChars (enum)
    {20, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 14},	//173 QDomImplementation::ReturnNullNode (enum)
    {20, 734, 0, 0, Smoke::mf_dtor, 0, 15 },	//174 QDomImplementation::~QDomImplementation()
    {21, 44, 0, 0, Smoke::mf_ctor, 53, 1},	//175 QDomNamedNodeMap::QDomNamedNodeMap()
    {21, 44, 228, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 53, 2},	//176 QDomNamedNodeMap::QDomNamedNodeMap(const QDomNamedNodeMap&)
    {21, 317, 228, 1, 0, 52, 3},	//177 QDomNamedNodeMap::operator=(const QDomNamedNodeMap&)
    {21, 319, 228, 1, Smoke::mf_const, 236, 4},	//178 QDomNamedNodeMap::operator==(const QDomNamedNodeMap&) const
    {21, 285, 228, 1, Smoke::mf_const, 236, 5},	//179 QDomNamedNodeMap::operator!=(const QDomNamedNodeMap&) const
    {21, 268, 3, 1, Smoke::mf_const, 54, 6},	//180 QDomNamedNodeMap::namedItem(const QString&) const
    {21, 615, 230, 1, 0, 54, 7},	//181 QDomNamedNodeMap::setNamedItem(const QDomNode&)
    {21, 546, 3, 1, 0, 54, 8},	//182 QDomNamedNodeMap::removeNamedItem(const QString&)
    {21, 256, 76, 1, Smoke::mf_const, 54, 9},	//183 QDomNamedNodeMap::item(int) const
    {21, 270, 25, 2, Smoke::mf_const, 54, 10},	//184 QDomNamedNodeMap::namedItemNS(const QString&, const QString&) const
    {21, 617, 230, 1, 0, 54, 11},	//185 QDomNamedNodeMap::setNamedItemNS(const QDomNode&)
    {21, 548, 25, 2, 0, 54, 12},	//186 QDomNamedNodeMap::removeNamedItemNS(const QString&, const QString&)
    {21, 261, 0, 0, Smoke::mf_const, 330, 13},	//187 QDomNamedNodeMap::length() const
    {21, 141, 0, 0, Smoke::mf_const, 319, 14},	//188 QDomNamedNodeMap::count() const
    {21, 630, 0, 0, Smoke::mf_const, 319, 15},	//189 QDomNamedNodeMap::size() const
    {21, 247, 0, 0, Smoke::mf_const, 236, 16},	//190 QDomNamedNodeMap::isEmpty() const
    {21, 138, 3, 1, Smoke::mf_const, 236, 17},	//191 QDomNamedNodeMap::contains(const QString&) const
    {21, 735, 0, 0, Smoke::mf_dtor, 0, 18 },	//192 QDomNamedNodeMap::~QDomNamedNodeMap()
    {22, 46, 0, 0, Smoke::mf_ctor, 56, 1},	//193 QDomNode::QDomNode()
    {22, 46, 230, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 56, 2},	//194 QDomNode::QDomNode(const QDomNode&)
    {22, 317, 230, 1, 0, 55, 3},	//195 QDomNode::operator=(const QDomNode&)
    {22, 319, 230, 1, Smoke::mf_const, 236, 4},	//196 QDomNode::operator==(const QDomNode&) const
    {22, 285, 230, 1, Smoke::mf_const, 236, 5},	//197 QDomNode::operator!=(const QDomNode&) const
    {22, 231, 232, 2, 0, 54, 6},	//198 QDomNode::insertBefore(const QDomNode&, const QDomNode&)
    {22, 229, 232, 2, 0, 54, 7},	//199 QDomNode::insertAfter(const QDomNode&, const QDomNode&)
    {22, 550, 232, 2, 0, 54, 8},	//200 QDomNode::replaceChild(const QDomNode&, const QDomNode&)
    {22, 544, 230, 1, 0, 54, 9},	//201 QDomNode::removeChild(const QDomNode&)
    {22, 107, 230, 1, 0, 54, 10},	//202 QDomNode::appendChild(const QDomNode&)
    {22, 212, 0, 0, Smoke::mf_const, 236, 11},	//203 QDomNode::hasChildNodes() const
    {22, 132, 235, 1, Smoke::mf_const, 54, 12},	//204 QDomNode::cloneNode(bool) const
    {22, 280, 0, 0, 0, 0, 13},	//205 QDomNode::normalize()
    {22, 253, 25, 2, Smoke::mf_const, 236, 14},	//206 QDomNode::isSupported(const QString&, const QString&) const
    {22, 277, 0, 0, Smoke::mf_const, 122, 15},	//207 QDomNode::nodeName() const
    {22, 278, 0, 0, Smoke::mf_const, 58, 16},	//208 QDomNode::nodeType() const
    {22, 343, 0, 0, Smoke::mf_const, 54, 17},	//209 QDomNode::parentNode() const
    {22, 130, 0, 0, Smoke::mf_const, 59, 18},	//210 QDomNode::childNodes() const
    {22, 201, 0, 0, Smoke::mf_const, 54, 19},	//211 QDomNode::firstChild() const
    {22, 258, 0, 0, Smoke::mf_const, 54, 20},	//212 QDomNode::lastChild() const
    {22, 353, 0, 0, Smoke::mf_const, 54, 21},	//213 QDomNode::previousSibling() const
    {22, 274, 0, 0, Smoke::mf_const, 54, 22},	//214 QDomNode::nextSibling() const
    {22, 125, 0, 0, Smoke::mf_const, 51, 23},	//215 QDomNode::attributes() const
    {22, 341, 0, 0, Smoke::mf_const, 29, 24},	//216 QDomNode::ownerDocument() const
    {22, 272, 0, 0, Smoke::mf_const, 122, 25},	//217 QDomNode::namespaceURI() const
    {22, 264, 0, 0, Smoke::mf_const, 122, 26},	//218 QDomNode::localName() const
    {22, 211, 0, 0, Smoke::mf_const, 236, 27},	//219 QDomNode::hasAttributes() const
    {22, 279, 0, 0, Smoke::mf_const, 122, 28},	//220 QDomNode::nodeValue() const
    {22, 619, 3, 1, 0, 0, 29},	//221 QDomNode::setNodeValue(const QString&)
    {22, 349, 0, 0, Smoke::mf_const, 122, 30},	//222 QDomNode::prefix() const
    {22, 621, 3, 1, 0, 0, 31},	//223 QDomNode::setPrefix(const QString&)
    {22, 239, 0, 0, Smoke::mf_const, 236, 32},	//224 QDomNode::isAttr() const
    {22, 240, 0, 0, Smoke::mf_const, 236, 33},	//225 QDomNode::isCDATASection() const
    {22, 244, 0, 0, Smoke::mf_const, 236, 34},	//226 QDomNode::isDocumentFragment() const
    {22, 243, 0, 0, Smoke::mf_const, 236, 35},	//227 QDomNode::isDocument() const
    {22, 245, 0, 0, Smoke::mf_const, 236, 36},	//228 QDomNode::isDocumentType() const
    {22, 246, 0, 0, Smoke::mf_const, 236, 37},	//229 QDomNode::isElement() const
    {22, 249, 0, 0, Smoke::mf_const, 236, 38},	//230 QDomNode::isEntityReference() const
    {22, 255, 0, 0, Smoke::mf_const, 236, 39},	//231 QDomNode::isText() const
    {22, 248, 0, 0, Smoke::mf_const, 236, 40},	//232 QDomNode::isEntity() const
    {22, 250, 0, 0, Smoke::mf_const, 236, 41},	//233 QDomNode::isNotation() const
    {22, 252, 0, 0, Smoke::mf_const, 236, 42},	//234 QDomNode::isProcessingInstruction() const
    {22, 241, 0, 0, Smoke::mf_const, 236, 43},	//235 QDomNode::isCharacterData() const
    {22, 242, 0, 0, Smoke::mf_const, 236, 44},	//236 QDomNode::isComment() const
    {22, 268, 3, 1, Smoke::mf_const, 54, 45},	//237 QDomNode::namedItem(const QString&) const
    {22, 251, 0, 0, Smoke::mf_const, 236, 46},	//238 QDomNode::isNull() const
    {22, 131, 0, 0, 0, 0, 47},	//239 QDomNode::clear()
    {22, 654, 0, 0, Smoke::mf_const, 17, 48},	//240 QDomNode::toAttr() const
    {22, 657, 0, 0, Smoke::mf_const, 20, 49},	//241 QDomNode::toCDATASection() const
    {22, 661, 0, 0, Smoke::mf_const, 32, 50},	//242 QDomNode::toDocumentFragment() const
    {22, 660, 0, 0, Smoke::mf_const, 29, 51},	//243 QDomNode::toDocument() const
    {22, 662, 0, 0, Smoke::mf_const, 35, 52},	//244 QDomNode::toDocumentType() const
    {22, 663, 0, 0, Smoke::mf_const, 38, 53},	//245 QDomNode::toElement() const
    {22, 665, 0, 0, Smoke::mf_const, 44, 54},	//246 QDomNode::toEntityReference() const
    {22, 670, 0, 0, Smoke::mf_const, 69, 55},	//247 QDomNode::toText() const
    {22, 664, 0, 0, Smoke::mf_const, 41, 56},	//248 QDomNode::toEntity() const
    {22, 666, 0, 0, Smoke::mf_const, 63, 57},	//249 QDomNode::toNotation() const
    {22, 667, 0, 0, Smoke::mf_const, 66, 58},	//250 QDomNode::toProcessingInstruction() const
    {22, 658, 0, 0, Smoke::mf_const, 23, 59},	//251 QDomNode::toCharacterData() const
    {22, 659, 0, 0, Smoke::mf_const, 26, 60},	//252 QDomNode::toComment() const
    {22, 557, 237, 2, Smoke::mf_const, 0, 61},	//253 QDomNode::save(QTextStream&, int) const
    {22, 557, 240, 3, Smoke::mf_const, 0, 62},	//254 QDomNode::save(QTextStream&, int, QDomNode::EncodingPolicy) const
    {22, 202, 3, 1, Smoke::mf_const, 38, 63},	//255 QDomNode::firstChildElement(const QString&) const
    {22, 259, 3, 1, Smoke::mf_const, 38, 64},	//256 QDomNode::lastChildElement(const QString&) const
    {22, 354, 3, 1, Smoke::mf_const, 38, 65},	//257 QDomNode::previousSiblingElement(const QString&) const
    {22, 275, 3, 1, Smoke::mf_const, 38, 66},	//258 QDomNode::nextSiblingElement(const QString&) const
    {22, 263, 0, 0, Smoke::mf_const, 319, 67},	//259 QDomNode::lineNumber() const
    {22, 135, 0, 0, Smoke::mf_const, 319, 68},	//260 QDomNode::columnNumber() const
    {22, 132, 0, 0, Smoke::mf_const, 54, 69},	//261 QDomNode::cloneNode() const
    {22, 202, 0, 0, Smoke::mf_const, 38, 70},	//262 QDomNode::firstChildElement() const
    {22, 259, 0, 0, Smoke::mf_const, 38, 71},	//263 QDomNode::lastChildElement() const
    {22, 354, 0, 0, Smoke::mf_const, 38, 72},	//264 QDomNode::previousSiblingElement() const
    {22, 275, 0, 0, Smoke::mf_const, 38, 73},	//265 QDomNode::nextSiblingElement() const
    {22, 221, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 62, 74},	//266 QDomNode::impl() const
    {22, 609, 244, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 75},	//267 QDomNode::setImpl(QDomNodePrivate*)
    {22, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 76},	//268 QDomNode::ElementNode (enum)
    {22, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 77},	//269 QDomNode::AttributeNode (enum)
    {22, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 78},	//270 QDomNode::TextNode (enum)
    {22, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 79},	//271 QDomNode::CDATASectionNode (enum)
    {22, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 80},	//272 QDomNode::EntityReferenceNode (enum)
    {22, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 81},	//273 QDomNode::EntityNode (enum)
    {22, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 82},	//274 QDomNode::ProcessingInstructionNode (enum)
    {22, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 83},	//275 QDomNode::CommentNode (enum)
    {22, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 84},	//276 QDomNode::DocumentNode (enum)
    {22, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 85},	//277 QDomNode::DocumentTypeNode (enum)
    {22, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 86},	//278 QDomNode::DocumentFragmentNode (enum)
    {22, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 87},	//279 QDomNode::NotationNode (enum)
    {22, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 88},	//280 QDomNode::BaseNode (enum)
    {22, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 89},	//281 QDomNode::CharacterDataNode (enum)
    {22, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 90},	//282 QDomNode::EncodingFromDocument (enum)
    {22, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 91},	//283 QDomNode::EncodingFromTextStream (enum)
    {22, 736, 0, 0, Smoke::mf_dtor, 0, 92 },	//284 QDomNode::~QDomNode()
    {23, 48, 0, 0, Smoke::mf_ctor, 61, 1},	//285 QDomNodeList::QDomNodeList()
    {23, 48, 246, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 2},	//286 QDomNodeList::QDomNodeList(const QDomNodeList&)
    {23, 317, 246, 1, 0, 60, 3},	//287 QDomNodeList::operator=(const QDomNodeList&)
    {23, 319, 246, 1, Smoke::mf_const, 236, 4},	//288 QDomNodeList::operator==(const QDomNodeList&) const
    {23, 285, 246, 1, Smoke::mf_const, 236, 5},	//289 QDomNodeList::operator!=(const QDomNodeList&) const
    {23, 256, 76, 1, Smoke::mf_const, 54, 6},	//290 QDomNodeList::item(int) const
    {23, 111, 76, 1, Smoke::mf_const, 54, 7},	//291 QDomNodeList::at(int) const
    {23, 261, 0, 0, Smoke::mf_const, 330, 8},	//292 QDomNodeList::length() const
    {23, 141, 0, 0, Smoke::mf_const, 319, 9},	//293 QDomNodeList::count() const
    {23, 630, 0, 0, Smoke::mf_const, 319, 10},	//294 QDomNodeList::size() const
    {23, 247, 0, 0, Smoke::mf_const, 236, 11},	//295 QDomNodeList::isEmpty() const
    {23, 737, 0, 0, Smoke::mf_dtor, 0, 12 },	//296 QDomNodeList::~QDomNodeList()
    {25, 50, 0, 0, Smoke::mf_ctor, 65, 1},	//297 QDomNotation::QDomNotation()
    {25, 50, 248, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 65, 2},	//298 QDomNotation::QDomNotation(const QDomNotation&)
    {25, 317, 248, 1, 0, 64, 3},	//299 QDomNotation::operator=(const QDomNotation&)
    {25, 363, 0, 0, Smoke::mf_const, 122, 4},	//300 QDomNotation::publicId() const
    {25, 650, 0, 0, Smoke::mf_const, 122, 5},	//301 QDomNotation::systemId() const
    {25, 278, 0, 0, Smoke::mf_const, 58, 6},	//302 QDomNotation::nodeType() const
    {25, 738, 0, 0, Smoke::mf_dtor, 0, 7 },	//303 QDomNotation::~QDomNotation()
    {26, 52, 0, 0, Smoke::mf_ctor, 68, 1},	//304 QDomProcessingInstruction::QDomProcessingInstruction()
    {26, 52, 250, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 68, 2},	//305 QDomProcessingInstruction::QDomProcessingInstruction(const QDomProcessingInstruction&)
    {26, 317, 250, 1, 0, 67, 3},	//306 QDomProcessingInstruction::operator=(const QDomProcessingInstruction&)
    {26, 652, 0, 0, Smoke::mf_const, 122, 4},	//307 QDomProcessingInstruction::target() const
    {26, 165, 0, 0, Smoke::mf_const, 122, 5},	//308 QDomProcessingInstruction::data() const
    {26, 594, 3, 1, 0, 0, 6},	//309 QDomProcessingInstruction::setData(const QString&)
    {26, 278, 0, 0, Smoke::mf_const, 58, 7},	//310 QDomProcessingInstruction::nodeType() const
    {26, 739, 0, 0, Smoke::mf_dtor, 0, 8 },	//311 QDomProcessingInstruction::~QDomProcessingInstruction()
    {27, 54, 0, 0, Smoke::mf_ctor, 71, 1},	//312 QDomText::QDomText()
    {27, 54, 252, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 71, 2},	//313 QDomText::QDomText(const QDomText&)
    {27, 317, 252, 1, 0, 70, 3},	//314 QDomText::operator=(const QDomText&)
    {27, 636, 76, 1, 0, 69, 4},	//315 QDomText::splitText(int)
    {27, 278, 0, 0, Smoke::mf_const, 58, 5},	//316 QDomText::nodeType() const
    {27, 740, 0, 0, Smoke::mf_dtor, 0, 6 },	//317 QDomText::~QDomText()
    {29, 328, 254, 2, Smoke::mf_static, 236, 1},	//318 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {29, 410, 257, 1, Smoke::mf_static, 330, 2},	//319 QGlobalSpace::qHash(unsigned long long)
    {29, 420, 259, 1, Smoke::mf_static, 236, 3},	//320 QGlobalSpace::qIsInf(double)
    {29, 338, 261, 2, Smoke::mf_static, 106, 4},	//321 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {29, 338, 264, 2, Smoke::mf_static, 106, 5},	//322 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {29, 514, 267, 2, Smoke::mf_static, 330, 6},	//323 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {29, 432, 270, 3, Smoke::mf_static, 337, 7},	//324 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {29, 529, 0, 0, Smoke::mf_static, 0, 8},	//325 QGlobalSpace::qt_noop()
    {29, 309, 274, 2, Smoke::mf_static, 13, 9},	//326 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {29, 319, 277, 2, Smoke::mf_static, 236, 10},	//327 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {29, 319, 280, 2, Smoke::mf_static, 236, 11},	//328 QGlobalSpace::operator==(const QSize&, const QSize&)
    {29, 295, 283, 2, Smoke::mf_static, 241, 12},	//329 QGlobalSpace::operator+(const char*, const QByteArray&)
    {29, 338, 286, 2, Smoke::mf_static, 80, 13},	//330 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {29, 495, 283, 2, Smoke::mf_static, 319, 14},	//331 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {29, 319, 289, 2, Smoke::mf_static, 236, 15},	//332 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {29, 374, 292, 2, Smoke::mf_static, 317, 16},	//333 QGlobalSpace::qAtan2(double, double)
    {29, 332, 295, 2, Smoke::mf_static, 10, 17},	//334 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {29, 328, 298, 2, Smoke::mf_static, 236, 18},	//335 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {29, 420, 301, 1, Smoke::mf_static, 236, 19},	//336 QGlobalSpace::qIsInf(float)
    {29, 486, 303, 1, Smoke::mf_static, 5, 20},	//337 QGlobalSpace::qgetenv(const char*)
    {29, 410, 305, 1, Smoke::mf_static, 330, 21},	//338 QGlobalSpace::qHash(signed char)
    {29, 319, 307, 2, Smoke::mf_static, 236, 22},	//339 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {29, 324, 283, 2, Smoke::mf_static, 236, 23},	//340 QGlobalSpace::operator>(const char*, const QByteArray&)
    {29, 416, 259, 1, Smoke::mf_static, 319, 24},	//341 QGlobalSpace::qIntCast(double)
    {29, 456, 310, 1, Smoke::mf_static, 135, 25},	//342 QGlobalSpace::qSetPadChar(QChar)
    {29, 319, 312, 2, Smoke::mf_static, 236, 26},	//343 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {29, 319, 315, 2, Smoke::mf_static, 236, 27},	//344 QGlobalSpace::operator==(QChar, QChar)
    {29, 338, 318, 2, Smoke::mf_static, 101, 28},	//345 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {29, 410, 321, 1, Smoke::mf_static, 330, 29},	//346 QGlobalSpace::qHash(const QUrl&)
    {29, 410, 126, 1, Smoke::mf_static, 330, 30},	//347 QGlobalSpace::qHash(const QByteArray&)
    {29, 309, 323, 2, Smoke::mf_static, 13, 31},	//348 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {29, 305, 315, 2, Smoke::mf_static, 236, 32},	//349 QGlobalSpace::operator<(QChar, QChar)
    {29, 328, 315, 2, Smoke::mf_static, 236, 33},	//350 QGlobalSpace::operator>=(QChar, QChar)
    {29, 285, 326, 2, Smoke::mf_static, 236, 34},	//351 QGlobalSpace::operator!=(QString::Null, const QString&)
    {29, 305, 283, 2, Smoke::mf_static, 236, 35},	//352 QGlobalSpace::operator<(const char*, const QByteArray&)
    {29, 338, 329, 2, Smoke::mf_static, 100, 36},	//353 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {29, 495, 332, 2, Smoke::mf_static, 319, 37},	//354 QGlobalSpace::qstrcmp(const char*, const char*)
    {29, 386, 259, 1, Smoke::mf_static, 317, 38},	//355 QGlobalSpace::qCos(double)
    {29, 338, 335, 2, Smoke::mf_static, 83, 39},	//356 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {29, 324, 315, 2, Smoke::mf_static, 236, 40},	//357 QGlobalSpace::operator>(QChar, QChar)
    {29, 338, 338, 2, Smoke::mf_static, 103, 41},	//358 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {29, 292, 341, 2, Smoke::mf_static, 285, 42},	//359 QGlobalSpace::operator*(double, const QSizeF&)
    {29, 460, 0, 0, Smoke::mf_static, 236, 43},	//360 QGlobalSpace::qSharedBuild()
    {29, 338, 344, 2, Smoke::mf_static, 106, 44},	//361 QGlobalSpace::operator|(QDir::Filter, int)
    {29, 285, 254, 2, Smoke::mf_static, 236, 45},	//362 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {29, 309, 347, 2, Smoke::mf_static, 132, 46},	//363 QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    {29, 300, 350, 2, Smoke::mf_static, 275, 47},	//364 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {29, 309, 353, 2, Smoke::mf_static, 10, 48},	//365 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {29, 338, 356, 2, Smoke::mf_static, 106, 49},	//366 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {29, 338, 359, 2, Smoke::mf_static, 99, 50},	//367 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {29, 410, 362, 1, Smoke::mf_static, 330, 51},	//368 QGlobalSpace::qHash(char)
    {29, 285, 277, 2, Smoke::mf_static, 236, 52},	//369 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {29, 338, 364, 2, Smoke::mf_static, 86, 53},	//370 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {29, 309, 367, 2, Smoke::mf_static, 13, 54},	//371 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {29, 338, 370, 2, Smoke::mf_static, 106, 55},	//372 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {29, 338, 373, 2, Smoke::mf_static, 106, 56},	//373 QGlobalSpace::operator|(QFile::Permission, int)
    {29, 303, 376, 2, Smoke::mf_static, 275, 57},	//374 QGlobalSpace::operator/(const QPoint&, double)
    {29, 295, 350, 2, Smoke::mf_static, 275, 58},	//375 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {29, 338, 379, 2, Smoke::mf_static, 78, 59},	//376 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {29, 300, 382, 2, Smoke::mf_static, 285, 60},	//377 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {29, 309, 385, 2, Smoke::mf_static, 13, 61},	//378 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {29, 418, 259, 1, Smoke::mf_static, 236, 62},	//379 QGlobalSpace::qIsFinite(double)
    {29, 476, 388, 4, Smoke::mf_static, 239, 63},	//380 QGlobalSpace::qecvt(long double, int, int*, int*)
    {29, 285, 298, 2, Smoke::mf_static, 236, 64},	//381 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {29, 338, 393, 2, Smoke::mf_static, 95, 65},	//382 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {29, 309, 396, 2, Smoke::mf_static, 13, 66},	//383 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {29, 309, 399, 2, Smoke::mf_static, 13, 67},	//384 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {29, 338, 402, 2, Smoke::mf_static, 87, 68},	//385 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {29, 295, 280, 2, Smoke::mf_static, 283, 69},	//386 QGlobalSpace::operator+(const QSize&, const QSize&)
    {29, 338, 405, 2, Smoke::mf_static, 101, 70},	//387 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {29, 338, 408, 2, Smoke::mf_static, 92, 71},	//388 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {29, 525, 76, 1, Smoke::mf_static, 122, 72},	//389 QGlobalSpace::qt_error_string(int)
    {29, 525, 0, 0, Smoke::mf_static, 122, 73},	//390 QGlobalSpace::qt_error_string()
    {29, 295, 382, 2, Smoke::mf_static, 285, 74},	//391 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {29, 338, 411, 2, Smoke::mf_static, 106, 75},	//392 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {29, 469, 414, 2, Smoke::mf_static, 5, 76},	//393 QGlobalSpace::qUncompress(const unsigned char*, int)
    {29, 508, 417, 3, Smoke::mf_static, 319, 77},	//394 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {29, 467, 259, 1, Smoke::mf_static, 317, 78},	//395 QGlobalSpace::qTan(double)
    {29, 285, 421, 2, Smoke::mf_static, 236, 79},	//396 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {29, 454, 76, 1, Smoke::mf_static, 135, 80},	//397 QGlobalSpace::qSetFieldWidth(int)
    {29, 338, 424, 2, Smoke::mf_static, 90, 81},	//398 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {29, 400, 259, 1, Smoke::mf_static, 319, 82},	//399 QGlobalSpace::qFloor(double)
    {29, 309, 427, 2, Smoke::mf_static, 13, 83},	//400 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {29, 332, 430, 2, Smoke::mf_static, 10, 84},	//401 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {29, 418, 301, 1, Smoke::mf_static, 236, 85},	//402 QGlobalSpace::qIsFinite(float)
    {29, 295, 433, 2, Smoke::mf_static, 287, 86},	//403 QGlobalSpace::operator+(const QString&, QChar)
    {29, 285, 436, 2, Smoke::mf_static, 236, 87},	//404 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {29, 474, 439, 3, Smoke::mf_static, 0, 88},	//405 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {29, 295, 298, 2, Smoke::mf_static, 241, 89},	//406 QGlobalSpace::operator+(const QByteArray&, const char*)
    {29, 338, 443, 2, Smoke::mf_static, 85, 90},	//407 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {29, 338, 446, 2, Smoke::mf_static, 98, 91},	//408 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {29, 443, 449, 4, Smoke::mf_static, 337, 92},	//409 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {29, 410, 454, 1, Smoke::mf_static, 330, 93},	//410 QGlobalSpace::qHash(unsigned int)
    {29, 338, 456, 2, Smoke::mf_static, 100, 94},	//411 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {29, 410, 310, 1, Smoke::mf_static, 330, 95},	//412 QGlobalSpace::qHash(QChar)
    {29, 313, 298, 2, Smoke::mf_static, 236, 96},	//413 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {29, 416, 301, 1, Smoke::mf_static, 319, 97},	//414 QGlobalSpace::qIntCast(float)
    {29, 319, 459, 2, Smoke::mf_static, 236, 98},	//415 QGlobalSpace::operator==(const QRect&, const QRect&)
    {29, 338, 462, 2, Smoke::mf_static, 79, 99},	//416 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {29, 336, 465, 2, Smoke::mf_static, 2, 100},	//417 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {29, 324, 468, 2, Smoke::mf_static, 236, 101},	//418 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {29, 441, 471, 2, Smoke::mf_static, 337, 102},	//419 QGlobalSpace::qRealloc(void*, size_t)
    {29, 410, 3, 1, Smoke::mf_static, 330, 103},	//420 QGlobalSpace::qHash(const QString&)
    {29, 309, 474, 2, Smoke::mf_static, 10, 104},	//421 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {29, 309, 477, 2, Smoke::mf_static, 13, 105},	//422 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {29, 451, 259, 1, Smoke::mf_static, 324, 106},	//423 QGlobalSpace::qRound64(double)
    {29, 414, 480, 1, Smoke::mf_static, 336, 107},	//424 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {29, 463, 259, 1, Smoke::mf_static, 317, 108},	//425 QGlobalSpace::qSqrt(double)
    {29, 410, 482, 1, Smoke::mf_static, 330, 109},	//426 QGlobalSpace::qHash(const QModelIndex&)
    {29, 394, 259, 1, Smoke::mf_static, 317, 110},	//427 QGlobalSpace::qFastCos(double)
    {29, 332, 484, 2, Smoke::mf_static, 10, 111},	//428 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {29, 319, 487, 2, Smoke::mf_static, 236, 112},	//429 QGlobalSpace::operator==(QBool, QBool)
    {29, 319, 490, 2, Smoke::mf_static, 236, 113},	//430 QGlobalSpace::operator==(const char*, const QStringRef&)
    {29, 338, 493, 2, Smoke::mf_static, 106, 114},	//431 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {29, 422, 301, 1, Smoke::mf_static, 236, 115},	//432 QGlobalSpace::qIsNaN(float)
    {29, 313, 468, 2, Smoke::mf_static, 236, 116},	//433 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {29, 398, 303, 1, Smoke::mf_static, 313, 117},	//434 QGlobalSpace::qFlagLocation(const char*)
    {29, 338, 496, 2, Smoke::mf_static, 106, 118},	//435 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {29, 422, 259, 1, Smoke::mf_static, 236, 119},	//436 QGlobalSpace::qIsNaN(double)
    {29, 295, 499, 2, Smoke::mf_static, 287, 120},	//437 QGlobalSpace::operator+(QChar, const QString&)
    {29, 338, 502, 2, Smoke::mf_static, 106, 121},	//438 QGlobalSpace::operator|(QString::SectionFlag, int)
    {29, 338, 505, 2, Smoke::mf_static, 106, 122},	//439 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {29, 332, 508, 2, Smoke::mf_static, 10, 123},	//440 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {29, 519, 511, 3, Smoke::mf_static, 0, 124},	//441 QGlobalSpace::qt_assert(const char*, const char*, int)
    {29, 410, 515, 1, Smoke::mf_static, 330, 125},	//442 QGlobalSpace::qHash(long long)
    {29, 285, 517, 2, Smoke::mf_static, 236, 126},	//443 QGlobalSpace::operator!=(const QString&, QString::Null)
    {29, 480, 388, 4, Smoke::mf_static, 239, 127},	//444 QGlobalSpace::qfcvt(long double, int, int*, int*)
    {29, 338, 520, 2, Smoke::mf_static, 106, 128},	//445 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {29, 338, 523, 2, Smoke::mf_static, 85, 129},	//446 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {29, 285, 312, 2, Smoke::mf_static, 236, 130},	//447 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {29, 300, 289, 2, Smoke::mf_static, 277, 131},	//448 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {29, 319, 436, 2, Smoke::mf_static, 236, 132},	//449 QGlobalSpace::operator==(QString::Null, QString::Null)
    {29, 338, 526, 2, Smoke::mf_static, 93, 133},	//450 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {29, 305, 468, 2, Smoke::mf_static, 236, 134},	//451 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {29, 338, 529, 2, Smoke::mf_static, 103, 135},	//452 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {29, 408, 301, 1, Smoke::mf_static, 236, 136},	//453 QGlobalSpace::qFuzzyIsNull(float)
    {29, 338, 532, 2, Smoke::mf_static, 97, 137},	//454 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {29, 500, 535, 2, Smoke::mf_static, 239, 138},	//455 QGlobalSpace::qstrcpy(char*, const char*)
    {29, 410, 76, 1, Smoke::mf_static, 330, 139},	//456 QGlobalSpace::qHash(int)
    {29, 295, 289, 2, Smoke::mf_static, 277, 140},	//457 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {29, 338, 538, 2, Smoke::mf_static, 88, 141},	//458 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {29, 319, 382, 2, Smoke::mf_static, 236, 142},	//459 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {29, 300, 541, 1, Smoke::mf_static, 275, 143},	//460 QGlobalSpace::operator-(const QPoint&)
    {29, 338, 543, 2, Smoke::mf_static, 106, 144},	//461 QGlobalSpace::operator|(Qt::DropAction, int)
    {29, 309, 546, 2, Smoke::mf_static, 10, 145},	//462 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {29, 338, 549, 2, Smoke::mf_static, 106, 146},	//463 QGlobalSpace::operator|(QDir::SortFlag, int)
    {29, 458, 76, 1, Smoke::mf_static, 135, 147},	//464 QGlobalSpace::qSetRealNumberPrecision(int)
    {29, 390, 259, 1, Smoke::mf_static, 317, 148},	//465 QGlobalSpace::qExp(double)
    {29, 319, 552, 2, Smoke::mf_static, 236, 149},	//466 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {29, 426, 259, 1, Smoke::mf_static, 317, 150},	//467 QGlobalSpace::qLn(double)
    {29, 285, 382, 2, Smoke::mf_static, 236, 151},	//468 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {29, 445, 555, 1, Smoke::mf_static, 0, 152},	//469 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {29, 379, 267, 2, Smoke::mf_static, 333, 153},	//470 QGlobalSpace::qChecksum(const char*, unsigned int)
    {29, 338, 557, 2, Smoke::mf_static, 96, 154},	//471 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {29, 428, 560, 1, Smoke::mf_static, 337, 155},	//472 QGlobalSpace::qMalloc(size_t)
    {29, 440, 0, 0, Smoke::mf_static, 317, 156},	//473 QGlobalSpace::qQNaN()
    {29, 338, 562, 2, Smoke::mf_static, 89, 157},	//474 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {29, 332, 565, 2, Smoke::mf_static, 10, 158},	//475 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {29, 488, 283, 2, Smoke::mf_static, 236, 159},	//476 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {29, 309, 568, 2, Smoke::mf_static, 13, 160},	//477 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {29, 338, 571, 2, Smoke::mf_static, 106, 161},	//478 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {29, 493, 454, 1, Smoke::mf_static, 0, 162},	//479 QGlobalSpace::qsrand(unsigned int)
    {29, 410, 574, 1, Smoke::mf_static, 330, 163},	//480 QGlobalSpace::qHash(long)
    {29, 292, 576, 2, Smoke::mf_static, 275, 164},	//481 QGlobalSpace::operator*(int, const QPoint&)
    {29, 324, 254, 2, Smoke::mf_static, 236, 165},	//482 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {29, 410, 579, 1, Smoke::mf_static, 330, 166},	//483 QGlobalSpace::qHash(unsigned short)
    {29, 332, 581, 2, Smoke::mf_static, 10, 167},	//484 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {29, 285, 289, 2, Smoke::mf_static, 236, 168},	//485 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {29, 338, 584, 2, Smoke::mf_static, 80, 169},	//486 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {29, 512, 417, 3, Smoke::mf_static, 319, 170},	//487 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {29, 332, 587, 2, Smoke::mf_static, 10, 171},	//488 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {29, 319, 326, 2, Smoke::mf_static, 236, 172},	//489 QGlobalSpace::operator==(QString::Null, const QString&)
    {29, 319, 421, 2, Smoke::mf_static, 236, 173},	//490 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {29, 295, 468, 2, Smoke::mf_static, 241, 174},	//491 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {29, 410, 590, 1, Smoke::mf_static, 330, 175},	//492 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {29, 309, 592, 2, Smoke::mf_static, 10, 176},	//493 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {29, 309, 595, 2, Smoke::mf_static, 10, 177},	//494 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {29, 530, 598, 3, Smoke::mf_static, 113, 178},	//495 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {29, 338, 602, 2, Smoke::mf_static, 84, 179},	//496 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {29, 303, 605, 2, Smoke::mf_static, 277, 180},	//497 QGlobalSpace::operator/(const QPointF&, double)
    {29, 285, 608, 2, Smoke::mf_static, 236, 181},	//498 QGlobalSpace::operator!=(bool, QBool)
    {29, 510, 611, 3, Smoke::mf_static, 239, 182},	//499 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {29, 469, 126, 1, Smoke::mf_static, 5, 183},	//500 QGlobalSpace::qUncompress(const QByteArray&)
    {29, 309, 615, 2, Smoke::mf_static, 10, 184},	//501 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {29, 332, 618, 2, Smoke::mf_static, 10, 185},	//502 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {29, 338, 621, 2, Smoke::mf_static, 106, 186},	//503 QGlobalSpace::operator|(Qt::MouseButton, int)
    {29, 300, 624, 1, Smoke::mf_static, 277, 187},	//504 QGlobalSpace::operator-(const QPointF&)
    {29, 319, 608, 2, Smoke::mf_static, 236, 188},	//505 QGlobalSpace::operator==(bool, QBool)
    {29, 490, 0, 0, Smoke::mf_static, 319, 189},	//506 QGlobalSpace::qrand()
    {29, 309, 626, 2, Smoke::mf_static, 13, 190},	//507 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {29, 521, 629, 4, Smoke::mf_static, 0, 191},	//508 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {29, 292, 634, 2, Smoke::mf_static, 275, 192},	//509 QGlobalSpace::operator*(float, const QPoint&)
    {29, 290, 465, 2, Smoke::mf_static, 2, 193},	//510 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {29, 328, 283, 2, Smoke::mf_static, 236, 194},	//511 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {29, 338, 637, 2, Smoke::mf_static, 98, 195},	//512 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {29, 338, 640, 2, Smoke::mf_static, 106, 196},	//513 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {29, 285, 643, 2, Smoke::mf_static, 236, 197},	//514 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {29, 388, 0, 0, Smoke::mf_static, 13, 198},	//515 QGlobalSpace::qCritical()
    {29, 338, 646, 2, Smoke::mf_static, 92, 199},	//516 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {29, 285, 283, 2, Smoke::mf_static, 236, 200},	//517 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {29, 285, 350, 2, Smoke::mf_static, 236, 201},	//518 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {29, 319, 643, 2, Smoke::mf_static, 236, 202},	//519 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {29, 309, 649, 2, Smoke::mf_static, 10, 203},	//520 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {29, 295, 652, 2, Smoke::mf_static, 241, 204},	//521 QGlobalSpace::operator+(const QByteArray&, char)
    {29, 338, 655, 2, Smoke::mf_static, 78, 205},	//522 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {29, 338, 658, 2, Smoke::mf_static, 76, 206},	//523 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {29, 332, 661, 2, Smoke::mf_static, 10, 207},	//524 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {29, 303, 664, 2, Smoke::mf_static, 285, 208},	//525 QGlobalSpace::operator/(const QSizeF&, double)
    {29, 309, 667, 2, Smoke::mf_static, 10, 209},	//526 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {29, 319, 350, 2, Smoke::mf_static, 236, 210},	//527 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {29, 367, 670, 1, Smoke::mf_static, 0, 211},	//528 QGlobalSpace::qAddPostRoutine(void(*)())
    {29, 381, 672, 3, Smoke::mf_static, 5, 212},	//529 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {29, 381, 414, 2, Smoke::mf_static, 5, 213},	//530 QGlobalSpace::qCompress(const unsigned char*, int)
    {29, 313, 283, 2, Smoke::mf_static, 236, 214},	//531 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {29, 396, 259, 1, Smoke::mf_static, 317, 215},	//532 QGlobalSpace::qFastSin(double)
    {29, 313, 254, 2, Smoke::mf_static, 236, 216},	//533 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {29, 309, 676, 2, Smoke::mf_static, 10, 217},	//534 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {29, 332, 679, 2, Smoke::mf_static, 10, 218},	//535 QGlobalSpace::operator>>(QDataStream&, QString&)
    {29, 369, 0, 0, Smoke::mf_static, 122, 219},	//536 QGlobalSpace::qAppName()
    {29, 472, 0, 0, Smoke::mf_static, 313, 220},	//537 QGlobalSpace::qVersion()
    {29, 402, 682, 1, Smoke::mf_static, 0, 221},	//538 QGlobalSpace::qFree(void*)
    {29, 338, 684, 2, Smoke::mf_static, 106, 222},	//539 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {29, 404, 682, 1, Smoke::mf_static, 0, 223},	//540 QGlobalSpace::qFreeAligned(void*)
    {29, 319, 517, 2, Smoke::mf_static, 236, 224},	//541 QGlobalSpace::operator==(const QString&, QString::Null)
    {29, 309, 687, 2, Smoke::mf_static, 13, 225},	//542 QGlobalSpace::operator<<(QDebug, const QDir&)
    {29, 309, 690, 2, Smoke::mf_static, 132, 226},	//543 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {29, 305, 298, 2, Smoke::mf_static, 236, 227},	//544 QGlobalSpace::operator<(const QByteArray&, const char*)
    {29, 309, 693, 2, Smoke::mf_static, 13, 228},	//545 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {29, 338, 696, 2, Smoke::mf_static, 79, 229},	//546 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {29, 410, 699, 1, Smoke::mf_static, 330, 230},	//547 QGlobalSpace::qHash(const QBitArray&)
    {29, 309, 701, 2, Smoke::mf_static, 13, 231},	//548 QGlobalSpace::operator<<(QDebug, const QTime&)
    {29, 309, 704, 2, Smoke::mf_static, 132, 232},	//549 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {29, 377, 259, 1, Smoke::mf_static, 319, 233},	//550 QGlobalSpace::qCeil(double)
    {29, 285, 315, 2, Smoke::mf_static, 236, 234},	//551 QGlobalSpace::operator!=(QChar, QChar)
    {29, 338, 707, 2, Smoke::mf_static, 91, 235},	//552 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {29, 465, 710, 2, Smoke::mf_static, 236, 236},	//553 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {29, 502, 303, 1, Smoke::mf_static, 239, 237},	//554 QGlobalSpace::qstrdup(const char*)
    {29, 332, 713, 2, Smoke::mf_static, 10, 238},	//555 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {29, 285, 490, 2, Smoke::mf_static, 236, 239},	//556 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {29, 389, 0, 0, Smoke::mf_static, 13, 240},	//557 QGlobalSpace::qDebug()
    {29, 430, 716, 2, Smoke::mf_static, 337, 241},	//558 QGlobalSpace::qMallocAligned(size_t, size_t)
    {29, 285, 710, 2, Smoke::mf_static, 236, 242},	//559 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {29, 478, 719, 6, Smoke::mf_static, 319, 243},	//560 QGlobalSpace::qecvt_r(long double, int, int*, int*, char*, size_t)
    {29, 438, 292, 2, Smoke::mf_static, 317, 244},	//561 QGlobalSpace::qPow(double, double)
    {29, 309, 726, 2, Smoke::mf_static, 13, 245},	//562 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {29, 338, 729, 2, Smoke::mf_static, 106, 246},	//563 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {29, 332, 690, 2, Smoke::mf_static, 132, 247},	//564 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {29, 295, 732, 2, Smoke::mf_static, 241, 248},	//565 QGlobalSpace::operator+(char, const QByteArray&)
    {29, 319, 283, 2, Smoke::mf_static, 236, 249},	//566 QGlobalSpace::operator==(const char*, const QByteArray&)
    {29, 309, 735, 2, Smoke::mf_static, 10, 250},	//567 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {29, 300, 280, 2, Smoke::mf_static, 283, 251},	//568 QGlobalSpace::operator-(const QSize&, const QSize&)
    {29, 309, 738, 2, Smoke::mf_static, 13, 252},	//569 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {29, 338, 741, 2, Smoke::mf_static, 106, 253},	//570 QGlobalSpace::operator|(Qt::WindowState, int)
    {29, 332, 744, 2, Smoke::mf_static, 10, 254},	//571 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {29, 285, 552, 2, Smoke::mf_static, 236, 255},	//572 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {29, 309, 747, 2, Smoke::mf_static, 13, 256},	//573 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {29, 338, 750, 2, Smoke::mf_static, 95, 257},	//574 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {29, 292, 753, 2, Smoke::mf_static, 277, 258},	//575 QGlobalSpace::operator*(double, const QPointF&)
    {29, 332, 756, 2, Smoke::mf_static, 10, 259},	//576 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {29, 338, 759, 2, Smoke::mf_static, 90, 260},	//577 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {29, 319, 254, 2, Smoke::mf_static, 236, 261},	//578 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {29, 292, 762, 2, Smoke::mf_static, 283, 262},	//579 QGlobalSpace::operator*(const QSize&, double)
    {29, 309, 765, 2, Smoke::mf_static, 13, 263},	//580 QGlobalSpace::operator<<(QDebug, const QDate&)
    {29, 338, 768, 2, Smoke::mf_static, 76, 264},	//581 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {29, 536, 771, 4, Smoke::mf_static, 319, 265},	//582 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {29, 292, 776, 2, Smoke::mf_static, 275, 266},	//583 QGlobalSpace::operator*(double, const QPoint&)
    {29, 434, 779, 3, Smoke::mf_static, 337, 267},	//584 QGlobalSpace::qMemSet(void*, int, size_t)
    {29, 309, 783, 2, Smoke::mf_static, 10, 268},	//585 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {29, 523, 786, 2, Smoke::mf_static, 0, 269},	//586 QGlobalSpace::qt_check_pointer(const char*, int)
    {29, 410, 789, 1, Smoke::mf_static, 330, 270},	//587 QGlobalSpace::qHash(short)
    {29, 338, 791, 2, Smoke::mf_static, 81, 271},	//588 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {29, 392, 259, 1, Smoke::mf_static, 317, 272},	//589 QGlobalSpace::qFabs(double)
    {29, 338, 794, 2, Smoke::mf_static, 89, 273},	//590 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {29, 338, 797, 2, Smoke::mf_static, 77, 274},	//591 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {29, 495, 468, 2, Smoke::mf_static, 319, 275},	//592 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {29, 406, 800, 2, Smoke::mf_static, 236, 276},	//593 QGlobalSpace::qFuzzyCompare(float, float)
    {29, 319, 803, 2, Smoke::mf_static, 236, 277},	//594 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {29, 338, 806, 2, Smoke::mf_static, 82, 278},	//595 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {29, 482, 719, 6, Smoke::mf_static, 319, 279},	//596 QGlobalSpace::qfcvt_r(long double, int, int*, int*, char*, size_t)
    {29, 484, 809, 3, Smoke::mf_static, 239, 280},	//597 QGlobalSpace::qgcvt(long double, int, char*)
    {29, 491, 813, 4, Smoke::mf_static, 0, 281},	//598 QGlobalSpace::qsort(void*, size_t, size_t, int(*)(const void*,const void*))
    {29, 365, 259, 1, Smoke::mf_static, 317, 282},	//599 QGlobalSpace::qAcos(double)
    {29, 338, 818, 2, Smoke::mf_static, 106, 283},	//600 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {29, 338, 821, 2, Smoke::mf_static, 93, 284},	//601 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {29, 328, 468, 2, Smoke::mf_static, 236, 285},	//602 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {29, 376, 0, 0, Smoke::mf_static, 0, 286},	//603 QGlobalSpace::qBadAlloc()
    {29, 309, 824, 2, Smoke::mf_static, 13, 287},	//604 QGlobalSpace::operator<<(QDebug, const QLine&)
    {29, 338, 827, 2, Smoke::mf_static, 99, 288},	//605 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {29, 338, 830, 2, Smoke::mf_static, 106, 289},	//606 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {29, 408, 259, 1, Smoke::mf_static, 236, 290},	//607 QGlobalSpace::qFuzzyIsNull(double)
    {29, 381, 833, 2, Smoke::mf_static, 5, 291},	//608 QGlobalSpace::qCompress(const QByteArray&, int)
    {29, 381, 126, 1, Smoke::mf_static, 5, 292},	//609 QGlobalSpace::qCompress(const QByteArray&)
    {29, 338, 836, 2, Smoke::mf_static, 87, 293},	//610 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {29, 338, 839, 2, Smoke::mf_static, 106, 294},	//611 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {29, 338, 842, 2, Smoke::mf_static, 102, 295},	//612 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {29, 338, 845, 2, Smoke::mf_static, 75, 296},	//613 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {29, 309, 848, 2, Smoke::mf_static, 10, 297},	//614 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {29, 309, 851, 2, Smoke::mf_static, 10, 298},	//615 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {29, 309, 854, 2, Smoke::mf_static, 10, 299},	//616 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {29, 370, 259, 1, Smoke::mf_static, 317, 300},	//617 QGlobalSpace::qAsin(double)
    {29, 309, 857, 2, Smoke::mf_static, 13, 301},	//618 QGlobalSpace::operator<<(QDebug, const QRect&)
    {29, 338, 860, 2, Smoke::mf_static, 77, 302},	//619 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {29, 285, 459, 2, Smoke::mf_static, 236, 303},	//620 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {29, 461, 259, 1, Smoke::mf_static, 317, 304},	//621 QGlobalSpace::qSin(double)
    {29, 338, 863, 2, Smoke::mf_static, 106, 305},	//622 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {29, 319, 468, 2, Smoke::mf_static, 236, 306},	//623 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {29, 332, 866, 2, Smoke::mf_static, 10, 307},	//624 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {29, 338, 465, 2, Smoke::mf_static, 2, 308},	//625 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {29, 309, 869, 2, Smoke::mf_static, 10, 309},	//626 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {29, 309, 872, 2, Smoke::mf_static, 10, 310},	//627 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {29, 338, 875, 2, Smoke::mf_static, 106, 311},	//628 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {29, 309, 878, 2, Smoke::mf_static, 10, 312},	//629 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {29, 516, 786, 2, Smoke::mf_static, 122, 313},	//630 QGlobalSpace::qtTrId(const char*, int)
    {29, 516, 303, 1, Smoke::mf_static, 122, 314},	//631 QGlobalSpace::qtTrId(const char*)
    {29, 309, 881, 2, Smoke::mf_static, 13, 315},	//632 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {29, 313, 315, 2, Smoke::mf_static, 236, 316},	//633 QGlobalSpace::operator<=(QChar, QChar)
    {29, 338, 884, 2, Smoke::mf_static, 102, 317},	//634 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {29, 285, 803, 2, Smoke::mf_static, 236, 318},	//635 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {29, 338, 887, 2, Smoke::mf_static, 94, 319},	//636 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {29, 332, 890, 2, Smoke::mf_static, 10, 320},	//637 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {29, 292, 893, 2, Smoke::mf_static, 275, 321},	//638 QGlobalSpace::operator*(const QPoint&, int)
    {29, 332, 896, 2, Smoke::mf_static, 10, 322},	//639 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {29, 534, 899, 3, Smoke::mf_static, 236, 323},	//640 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {29, 303, 762, 2, Smoke::mf_static, 283, 324},	//641 QGlobalSpace::operator/(const QSize&, double)
    {29, 424, 301, 1, Smoke::mf_static, 236, 325},	//642 QGlobalSpace::qIsNull(float)
    {29, 532, 903, 5, Smoke::mf_static, 0, 326},	//643 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {29, 319, 909, 2, Smoke::mf_static, 236, 327},	//644 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {29, 372, 259, 1, Smoke::mf_static, 317, 328},	//645 QGlobalSpace::qAtan(double)
    {29, 332, 912, 2, Smoke::mf_static, 10, 329},	//646 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {29, 338, 915, 2, Smoke::mf_static, 106, 330},	//647 QGlobalSpace::operator|(Qt::Orientation, int)
    {29, 406, 292, 2, Smoke::mf_static, 236, 331},	//648 QGlobalSpace::qFuzzyCompare(double, double)
    {29, 292, 376, 2, Smoke::mf_static, 275, 332},	//649 QGlobalSpace::operator*(const QPoint&, double)
    {29, 338, 918, 2, Smoke::mf_static, 91, 333},	//650 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {29, 338, 921, 2, Smoke::mf_static, 81, 334},	//651 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {29, 453, 0, 0, Smoke::mf_static, 317, 335},	//652 QGlobalSpace::qSNaN()
    {29, 319, 298, 2, Smoke::mf_static, 236, 336},	//653 QGlobalSpace::operator==(const QByteArray&, const char*)
    {29, 292, 664, 2, Smoke::mf_static, 285, 337},	//654 QGlobalSpace::operator*(const QSizeF&, double)
    {29, 319, 710, 2, Smoke::mf_static, 236, 338},	//655 QGlobalSpace::operator==(const QStringRef&, const char*)
    {29, 292, 924, 2, Smoke::mf_static, 275, 339},	//656 QGlobalSpace::operator*(const QPoint&, float)
    {29, 292, 927, 2, Smoke::mf_static, 283, 340},	//657 QGlobalSpace::operator*(double, const QSize&)
    {29, 305, 254, 2, Smoke::mf_static, 236, 341},	//658 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {29, 285, 930, 2, Smoke::mf_static, 236, 342},	//659 QGlobalSpace::operator!=(QBool, bool)
    {29, 285, 280, 2, Smoke::mf_static, 236, 343},	//660 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {29, 332, 933, 2, Smoke::mf_static, 10, 344},	//661 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {29, 309, 936, 2, Smoke::mf_static, 13, 345},	//662 QGlobalSpace::operator<<(QDebug, const QSize&)
    {29, 338, 939, 2, Smoke::mf_static, 86, 346},	//663 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {29, 292, 605, 2, Smoke::mf_static, 277, 347},	//664 QGlobalSpace::operator*(const QPointF&, double)
    {29, 504, 332, 2, Smoke::mf_static, 319, 348},	//665 QGlobalSpace::qstricmp(const char*, const char*)
    {29, 338, 942, 2, Smoke::mf_static, 97, 349},	//666 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {29, 285, 307, 2, Smoke::mf_static, 236, 350},	//667 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {29, 449, 259, 1, Smoke::mf_static, 319, 351},	//668 QGlobalSpace::qRound(double)
    {29, 413, 0, 0, Smoke::mf_static, 317, 352},	//669 QGlobalSpace::qInf()
    {29, 309, 945, 2, Smoke::mf_static, 10, 353},	//670 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {29, 338, 948, 2, Smoke::mf_static, 94, 354},	//671 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {29, 309, 951, 2, Smoke::mf_static, 10, 355},	//672 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {29, 338, 954, 2, Smoke::mf_static, 82, 356},	//673 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {29, 338, 957, 2, Smoke::mf_static, 106, 357},	//674 QGlobalSpace::operator|(Qt::WindowType, int)
    {29, 495, 298, 2, Smoke::mf_static, 319, 358},	//675 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {29, 447, 670, 1, Smoke::mf_static, 0, 359},	//676 QGlobalSpace::qRemovePostRoutine(void(*)())
    {29, 332, 960, 2, Smoke::mf_static, 10, 360},	//677 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {29, 309, 963, 2, Smoke::mf_static, 10, 361},	//678 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {29, 338, 966, 2, Smoke::mf_static, 96, 362},	//679 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {29, 338, 969, 2, Smoke::mf_static, 88, 363},	//680 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {29, 473, 0, 0, Smoke::mf_static, 13, 364},	//681 QGlobalSpace::qWarning()
    {29, 506, 303, 1, Smoke::mf_static, 330, 365},	//682 QGlobalSpace::qstrlen(const char*)
    {29, 319, 930, 2, Smoke::mf_static, 236, 366},	//683 QGlobalSpace::operator==(QBool, bool)
    {29, 332, 972, 2, Smoke::mf_static, 10, 367},	//684 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {29, 332, 975, 2, Smoke::mf_static, 10, 368},	//685 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {29, 410, 978, 1, Smoke::mf_static, 330, 369},	//686 QGlobalSpace::qHash(unsigned long)
    {29, 309, 980, 2, Smoke::mf_static, 10, 370},	//687 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {29, 309, 983, 2, Smoke::mf_static, 10, 371},	//688 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {29, 338, 986, 2, Smoke::mf_static, 83, 372},	//689 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {29, 338, 989, 2, Smoke::mf_static, 84, 373},	//690 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {29, 295, 25, 2, Smoke::mf_static, 287, 374},	//691 QGlobalSpace::operator+(const QString&, const QString&)
    {29, 285, 487, 2, Smoke::mf_static, 236, 375},	//692 QGlobalSpace::operator!=(QBool, QBool)
    {29, 338, 992, 2, Smoke::mf_static, 75, 376},	//693 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {29, 527, 995, 2, Smoke::mf_static, 0, 377},	//694 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {29, 410, 998, 1, Smoke::mf_static, 330, 378},	//695 QGlobalSpace::qHash(const QStringRef&)
    {29, 424, 259, 1, Smoke::mf_static, 236, 379},	//696 QGlobalSpace::qIsNull(double)
    {29, 338, 1000, 2, Smoke::mf_static, 106, 380},	//697 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {29, 324, 298, 2, Smoke::mf_static, 236, 381},	//698 QGlobalSpace::operator>(const QByteArray&, const char*)
    {29, 410, 1003, 1, Smoke::mf_static, 330, 382},	//699 QGlobalSpace::qHash(unsigned char)
    {29, 332, 1005, 2, Smoke::mf_static, 10, 383},	//700 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {29, 309, 1008, 2, Smoke::mf_static, 13, 384},	//701 QGlobalSpace::operator<<(QDebug, const QObject*)
    {29, 338, 1011, 2, Smoke::mf_static, 106, 385},	//702 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {29, 285, 468, 2, Smoke::mf_static, 236, 386},	//703 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {29, 332, 1014, 2, Smoke::mf_static, 10, 387},	//704 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {29, 309, 1017, 2, Smoke::mf_static, 10, 388},	//705 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {29, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 389},	//706 QGlobalSpace::_IEEE_ (enum)
    {29, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 390},	//707 QGlobalSpace::_SVID_ (enum)
    {29, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 391},	//708 QGlobalSpace::_XOPEN_ (enum)
    {29, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 392},	//709 QGlobalSpace::_POSIX_ (enum)
    {29, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 393},	//710 QGlobalSpace::_ISOC_ (enum)
    {29, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 394},	//711 QGlobalSpace::QtDebugMsg (enum)
    {29, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 395},	//712 QGlobalSpace::QtWarningMsg (enum)
    {29, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 396},	//713 QGlobalSpace::QtCriticalMsg (enum)
    {29, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 397},	//714 QGlobalSpace::QtFatalMsg (enum)
    {29, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 398},	//715 QGlobalSpace::QtSystemMsg (enum)
    {29, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 399},	//716 QGlobalSpace::__codecvt_ok (enum)
    {29, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 400},	//717 QGlobalSpace::__codecvt_partial (enum)
    {29, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 401},	//718 QGlobalSpace::__codecvt_error (enum)
    {29, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 402},	//719 QGlobalSpace::__codecvt_noconv (enum)
    {59, 56, 0, 0, Smoke::mf_ctor, 143, 1},	//720 QXmlAttributes::QXmlAttributes()
    {59, 225, 3, 1, Smoke::mf_const, 319, 2},	//721 QXmlAttributes::index(const QString&) const
    {59, 225, 1020, 1, Smoke::mf_const, 319, 3},	//722 QXmlAttributes::index(const QLatin1String&) const
    {59, 225, 25, 2, Smoke::mf_const, 319, 4},	//723 QXmlAttributes::index(const QString&, const QString&) const
    {59, 261, 0, 0, Smoke::mf_const, 319, 5},	//724 QXmlAttributes::length() const
    {59, 141, 0, 0, Smoke::mf_const, 319, 6},	//725 QXmlAttributes::count() const
    {59, 264, 76, 1, Smoke::mf_const, 122, 7},	//726 QXmlAttributes::localName(int) const
    {59, 436, 76, 1, Smoke::mf_const, 122, 8},	//727 QXmlAttributes::qName(int) const
    {59, 676, 76, 1, Smoke::mf_const, 122, 9},	//728 QXmlAttributes::uri(int) const
    {59, 671, 76, 1, Smoke::mf_const, 122, 10},	//729 QXmlAttributes::type(int) const
    {59, 671, 3, 1, Smoke::mf_const, 122, 11},	//730 QXmlAttributes::type(const QString&) const
    {59, 671, 25, 2, Smoke::mf_const, 122, 12},	//731 QXmlAttributes::type(const QString&, const QString&) const
    {59, 678, 76, 1, Smoke::mf_const, 122, 13},	//732 QXmlAttributes::value(int) const
    {59, 678, 3, 1, Smoke::mf_const, 122, 14},	//733 QXmlAttributes::value(const QString&) const
    {59, 678, 1020, 1, Smoke::mf_const, 122, 15},	//734 QXmlAttributes::value(const QLatin1String&) const
    {59, 678, 25, 2, Smoke::mf_const, 122, 16},	//735 QXmlAttributes::value(const QString&, const QString&) const
    {59, 131, 0, 0, 0, 0, 17},	//736 QXmlAttributes::clear()
    {59, 105, 1022, 4, 0, 0, 18},	//737 QXmlAttributes::append(const QString&, const QString&, const QString&, const QString&)
    {59, 56, 1027, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 143, 19},	//738 QXmlAttributes::QXmlAttributes(const QXmlAttributes&)
    {59, 741, 0, 0, Smoke::mf_dtor, 0, 20 },	//739 QXmlAttributes::~QXmlAttributes()
    {60, 601, 1029, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//740 QXmlContentHandler::setDocumentLocator(QXmlLocator*) [pure virtual]
    {60, 641, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 2},	//741 QXmlContentHandler::startDocument() [pure virtual]
    {60, 180, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 3},	//742 QXmlContentHandler::endDocument() [pure virtual]
    {60, 646, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 4},	//743 QXmlContentHandler::startPrefixMapping(const QString&, const QString&) [pure virtual]
    {60, 185, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 5},	//744 QXmlContentHandler::endPrefixMapping(const QString&) [pure virtual]
    {60, 642, 1031, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 6},	//745 QXmlContentHandler::startElement(const QString&, const QString&, const QString&, const QXmlAttributes&) [pure virtual]
    {60, 181, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 7},	//746 QXmlContentHandler::endElement(const QString&, const QString&, const QString&) [pure virtual]
    {60, 128, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 8},	//747 QXmlContentHandler::characters(const QString&) [pure virtual]
    {60, 219, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 9},	//748 QXmlContentHandler::ignorableWhitespace(const QString&) [pure virtual]
    {60, 358, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 10},	//749 QXmlContentHandler::processingInstruction(const QString&, const QString&) [pure virtual]
    {60, 631, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 11},	//750 QXmlContentHandler::skippedEntity(const QString&) [pure virtual]
    {60, 192, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 12},	//751 QXmlContentHandler::errorString() const [pure virtual]
    {60, 58, 0, 0, Smoke::mf_ctor, 144, 13},	//752 QXmlContentHandler::QXmlContentHandler()
    {60, 58, 1036, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 144, 14},	//753 QXmlContentHandler::QXmlContentHandler(const QXmlContentHandler&)
    {60, 742, 0, 0, Smoke::mf_dtor, 0, 15 },	//754 QXmlContentHandler::~QXmlContentHandler()
    {61, 281, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 1},	//755 QXmlDTDHandler::notationDecl(const QString&, const QString&, const QString&) [pure virtual]
    {61, 674, 1022, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 2},	//756 QXmlDTDHandler::unparsedEntityDecl(const QString&, const QString&, const QString&, const QString&) [pure virtual]
    {61, 192, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 3},	//757 QXmlDTDHandler::errorString() const [pure virtual]
    {61, 60, 0, 0, Smoke::mf_ctor, 145, 4},	//758 QXmlDTDHandler::QXmlDTDHandler()
    {61, 60, 1038, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 5},	//759 QXmlDTDHandler::QXmlDTDHandler(const QXmlDTDHandler&)
    {61, 743, 0, 0, Smoke::mf_dtor, 0, 6 },	//760 QXmlDTDHandler::~QXmlDTDHandler()
    {62, 116, 1040, 5, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 1},	//761 QXmlDeclHandler::attributeDecl(const QString&, const QString&, const QString&, const QString&, const QString&) [pure virtual]
    {62, 235, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 2},	//762 QXmlDeclHandler::internalEntityDecl(const QString&, const QString&) [pure virtual]
    {62, 193, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 3},	//763 QXmlDeclHandler::externalEntityDecl(const QString&, const QString&, const QString&) [pure virtual]
    {62, 192, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 4},	//764 QXmlDeclHandler::errorString() const [pure virtual]
    {62, 62, 0, 0, Smoke::mf_ctor, 146, 5},	//765 QXmlDeclHandler::QXmlDeclHandler()
    {62, 62, 1046, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 146, 6},	//766 QXmlDeclHandler::QXmlDeclHandler(const QXmlDeclHandler&)
    {62, 744, 0, 0, Smoke::mf_dtor, 0, 7 },	//767 QXmlDeclHandler::~QXmlDeclHandler()
    {63, 64, 0, 0, Smoke::mf_ctor, 147, 1},	//768 QXmlDefaultHandler::QXmlDefaultHandler()
    {63, 601, 1029, 1, Smoke::mf_virtual, 0, 2},	//769 QXmlDefaultHandler::setDocumentLocator(QXmlLocator*)
    {63, 641, 0, 0, Smoke::mf_virtual, 236, 3},	//770 QXmlDefaultHandler::startDocument()
    {63, 180, 0, 0, Smoke::mf_virtual, 236, 4},	//771 QXmlDefaultHandler::endDocument()
    {63, 646, 25, 2, Smoke::mf_virtual, 236, 5},	//772 QXmlDefaultHandler::startPrefixMapping(const QString&, const QString&)
    {63, 185, 3, 1, Smoke::mf_virtual, 236, 6},	//773 QXmlDefaultHandler::endPrefixMapping(const QString&)
    {63, 642, 1031, 4, Smoke::mf_virtual, 236, 7},	//774 QXmlDefaultHandler::startElement(const QString&, const QString&, const QString&, const QXmlAttributes&)
    {63, 181, 218, 3, Smoke::mf_virtual, 236, 8},	//775 QXmlDefaultHandler::endElement(const QString&, const QString&, const QString&)
    {63, 128, 3, 1, Smoke::mf_virtual, 236, 9},	//776 QXmlDefaultHandler::characters(const QString&)
    {63, 219, 3, 1, Smoke::mf_virtual, 236, 10},	//777 QXmlDefaultHandler::ignorableWhitespace(const QString&)
    {63, 358, 25, 2, Smoke::mf_virtual, 236, 11},	//778 QXmlDefaultHandler::processingInstruction(const QString&, const QString&)
    {63, 631, 3, 1, Smoke::mf_virtual, 236, 12},	//779 QXmlDefaultHandler::skippedEntity(const QString&)
    {63, 682, 1048, 1, Smoke::mf_virtual, 236, 13},	//780 QXmlDefaultHandler::warning(const QXmlParseException&)
    {63, 189, 1048, 1, Smoke::mf_virtual, 236, 14},	//781 QXmlDefaultHandler::error(const QXmlParseException&)
    {63, 195, 1048, 1, Smoke::mf_virtual, 236, 15},	//782 QXmlDefaultHandler::fatalError(const QXmlParseException&)
    {63, 281, 218, 3, Smoke::mf_virtual, 236, 16},	//783 QXmlDefaultHandler::notationDecl(const QString&, const QString&, const QString&)
    {63, 674, 1022, 4, Smoke::mf_virtual, 236, 17},	//784 QXmlDefaultHandler::unparsedEntityDecl(const QString&, const QString&, const QString&, const QString&)
    {63, 555, 1050, 3, Smoke::mf_virtual, 236, 18},	//785 QXmlDefaultHandler::resolveEntity(const QString&, const QString&, QXmlInputSource*&)
    {63, 639, 218, 3, Smoke::mf_virtual, 236, 19},	//786 QXmlDefaultHandler::startDTD(const QString&, const QString&, const QString&)
    {63, 179, 0, 0, Smoke::mf_virtual, 236, 20},	//787 QXmlDefaultHandler::endDTD()
    {63, 644, 3, 1, Smoke::mf_virtual, 236, 21},	//788 QXmlDefaultHandler::startEntity(const QString&)
    {63, 183, 3, 1, Smoke::mf_virtual, 236, 22},	//789 QXmlDefaultHandler::endEntity(const QString&)
    {63, 638, 0, 0, Smoke::mf_virtual, 236, 23},	//790 QXmlDefaultHandler::startCDATA()
    {63, 178, 0, 0, Smoke::mf_virtual, 236, 24},	//791 QXmlDefaultHandler::endCDATA()
    {63, 136, 3, 1, Smoke::mf_virtual, 236, 25},	//792 QXmlDefaultHandler::comment(const QString&)
    {63, 116, 1040, 5, Smoke::mf_virtual, 236, 26},	//793 QXmlDefaultHandler::attributeDecl(const QString&, const QString&, const QString&, const QString&, const QString&)
    {63, 235, 25, 2, Smoke::mf_virtual, 236, 27},	//794 QXmlDefaultHandler::internalEntityDecl(const QString&, const QString&)
    {63, 193, 218, 3, Smoke::mf_virtual, 236, 28},	//795 QXmlDefaultHandler::externalEntityDecl(const QString&, const QString&, const QString&)
    {63, 192, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 122, 29},	//796 QXmlDefaultHandler::errorString() const
    {63, 745, 0, 0, Smoke::mf_dtor, 0, 30 },	//797 QXmlDefaultHandler::~QXmlDefaultHandler()
    {64, 555, 1050, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 1},	//798 QXmlEntityResolver::resolveEntity(const QString&, const QString&, QXmlInputSource*&) [pure virtual]
    {64, 192, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 2},	//799 QXmlEntityResolver::errorString() const [pure virtual]
    {64, 65, 0, 0, Smoke::mf_ctor, 148, 3},	//800 QXmlEntityResolver::QXmlEntityResolver()
    {64, 65, 1054, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 148, 4},	//801 QXmlEntityResolver::QXmlEntityResolver(const QXmlEntityResolver&)
    {64, 746, 0, 0, Smoke::mf_dtor, 0, 5 },	//802 QXmlEntityResolver::~QXmlEntityResolver()
    {65, 682, 1048, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 1},	//803 QXmlErrorHandler::warning(const QXmlParseException&) [pure virtual]
    {65, 189, 1048, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 2},	//804 QXmlErrorHandler::error(const QXmlParseException&) [pure virtual]
    {65, 195, 1048, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 3},	//805 QXmlErrorHandler::fatalError(const QXmlParseException&) [pure virtual]
    {65, 192, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 4},	//806 QXmlErrorHandler::errorString() const [pure virtual]
    {65, 67, 0, 0, Smoke::mf_ctor, 149, 5},	//807 QXmlErrorHandler::QXmlErrorHandler()
    {65, 67, 1056, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 149, 6},	//808 QXmlErrorHandler::QXmlErrorHandler(const QXmlErrorHandler&)
    {65, 747, 0, 0, Smoke::mf_dtor, 0, 7 },	//809 QXmlErrorHandler::~QXmlErrorHandler()
    {66, 69, 0, 0, Smoke::mf_ctor, 150, 1},	//810 QXmlInputSource::QXmlInputSource()
    {66, 69, 142, 1, Smoke::mf_ctor, 150, 2},	//811 QXmlInputSource::QXmlInputSource(QIODevice*)
    {66, 594, 3, 1, Smoke::mf_virtual, 0, 3},	//812 QXmlInputSource::setData(const QString&)
    {66, 594, 126, 1, Smoke::mf_virtual, 0, 4},	//813 QXmlInputSource::setData(const QByteArray&)
    {66, 200, 0, 0, Smoke::mf_virtual, 0, 5},	//814 QXmlInputSource::fetchData()
    {66, 165, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 122, 6},	//815 QXmlInputSource::data() const
    {66, 273, 0, 0, Smoke::mf_virtual, 8, 7},	//816 QXmlInputSource::next()
    {66, 554, 0, 0, Smoke::mf_virtual, 0, 8},	//817 QXmlInputSource::reset()
    {66, 204, 78, 2, Smoke::mf_protected|Smoke::mf_virtual, 122, 9},	//818 QXmlInputSource::fromRawData(const QByteArray&, bool)
    {66, 69, 1058, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 150, 10},	//819 QXmlInputSource::QXmlInputSource(const QXmlInputSource&)
    {66, 204, 126, 1, Smoke::mf_protected, 122, 11},	//820 QXmlInputSource::fromRawData(const QByteArray&)
    {66, 15, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 315, 12},	//821 QXmlInputSource::EndOfData() const
    {66, 16, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 315, 13},	//822 QXmlInputSource::EndOfDocument() const
    {66, 748, 0, 0, Smoke::mf_dtor, 0, 14 },	//823 QXmlInputSource::~QXmlInputSource()
    {67, 639, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 1},	//824 QXmlLexicalHandler::startDTD(const QString&, const QString&, const QString&) [pure virtual]
    {67, 179, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 2},	//825 QXmlLexicalHandler::endDTD() [pure virtual]
    {67, 644, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 3},	//826 QXmlLexicalHandler::startEntity(const QString&) [pure virtual]
    {67, 183, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 4},	//827 QXmlLexicalHandler::endEntity(const QString&) [pure virtual]
    {67, 638, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 5},	//828 QXmlLexicalHandler::startCDATA() [pure virtual]
    {67, 178, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 6},	//829 QXmlLexicalHandler::endCDATA() [pure virtual]
    {67, 136, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 7},	//830 QXmlLexicalHandler::comment(const QString&) [pure virtual]
    {67, 192, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 8},	//831 QXmlLexicalHandler::errorString() const [pure virtual]
    {67, 71, 0, 0, Smoke::mf_ctor, 152, 9},	//832 QXmlLexicalHandler::QXmlLexicalHandler()
    {67, 71, 1060, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 152, 10},	//833 QXmlLexicalHandler::QXmlLexicalHandler(const QXmlLexicalHandler&)
    {67, 749, 0, 0, Smoke::mf_dtor, 0, 11 },	//834 QXmlLexicalHandler::~QXmlLexicalHandler()
    {68, 73, 0, 0, Smoke::mf_ctor, 153, 1},	//835 QXmlLocator::QXmlLocator()
    {68, 135, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 319, 2},	//836 QXmlLocator::columnNumber() const [pure virtual]
    {68, 263, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 319, 3},	//837 QXmlLocator::lineNumber() const [pure virtual]
    {68, 73, 1062, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 153, 4},	//838 QXmlLocator::QXmlLocator(const QXmlLocator&)
    {68, 750, 0, 0, Smoke::mf_dtor, 0, 5 },	//839 QXmlLocator::~QXmlLocator()
    {69, 75, 0, 0, Smoke::mf_ctor, 154, 1},	//840 QXmlNamespaceSupport::QXmlNamespaceSupport()
    {69, 621, 25, 2, 0, 0, 2},	//841 QXmlNamespaceSupport::setPrefix(const QString&, const QString&)
    {69, 349, 3, 1, Smoke::mf_const, 122, 3},	//842 QXmlNamespaceSupport::prefix(const QString&) const
    {69, 676, 3, 1, Smoke::mf_const, 122, 4},	//843 QXmlNamespaceSupport::uri(const QString&) const
    {69, 634, 1064, 3, Smoke::mf_const, 0, 5},	//844 QXmlNamespaceSupport::splitName(const QString&, QString&, QString&) const
    {69, 356, 1068, 4, Smoke::mf_const, 0, 6},	//845 QXmlNamespaceSupport::processName(const QString&, bool, QString&, QString&) const
    {69, 351, 0, 0, Smoke::mf_const, 127, 7},	//846 QXmlNamespaceSupport::prefixes() const
    {69, 351, 3, 1, Smoke::mf_const, 127, 8},	//847 QXmlNamespaceSupport::prefixes(const QString&) const
    {69, 364, 0, 0, 0, 0, 9},	//848 QXmlNamespaceSupport::pushContext()
    {69, 348, 0, 0, 0, 0, 10},	//849 QXmlNamespaceSupport::popContext()
    {69, 554, 0, 0, 0, 0, 11},	//850 QXmlNamespaceSupport::reset()
    {69, 751, 0, 0, Smoke::mf_dtor, 0, 12 },	//851 QXmlNamespaceSupport::~QXmlNamespaceSupport()
    {70, 76, 1073, 5, Smoke::mf_ctor, 155, 1},	//852 QXmlParseException::QXmlParseException(const QString&, int, int, const QString&, const QString&)
    {70, 76, 1048, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 155, 2},	//853 QXmlParseException::QXmlParseException(const QXmlParseException&)
    {70, 135, 0, 0, Smoke::mf_const, 319, 3},	//854 QXmlParseException::columnNumber() const
    {70, 263, 0, 0, Smoke::mf_const, 319, 4},	//855 QXmlParseException::lineNumber() const
    {70, 363, 0, 0, Smoke::mf_const, 122, 5},	//856 QXmlParseException::publicId() const
    {70, 650, 0, 0, Smoke::mf_const, 122, 6},	//857 QXmlParseException::systemId() const
    {70, 266, 0, 0, Smoke::mf_const, 122, 7},	//858 QXmlParseException::message() const
    {70, 76, 0, 0, Smoke::mf_ctor, 155, 8},	//859 QXmlParseException::QXmlParseException()
    {70, 76, 3, 1, Smoke::mf_ctor, 155, 9},	//860 QXmlParseException::QXmlParseException(const QString&)
    {70, 76, 173, 2, Smoke::mf_ctor, 155, 10},	//861 QXmlParseException::QXmlParseException(const QString&, int)
    {70, 76, 1079, 3, Smoke::mf_ctor, 155, 11},	//862 QXmlParseException::QXmlParseException(const QString&, int, int)
    {70, 76, 1083, 4, Smoke::mf_ctor, 155, 12},	//863 QXmlParseException::QXmlParseException(const QString&, int, int, const QString&)
    {70, 752, 0, 0, Smoke::mf_dtor, 0, 13 },	//864 QXmlParseException::~QXmlParseException()
    {71, 197, 1088, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 1},	//865 QXmlReader::feature(const QString&, bool*) const [pure virtual]
    {71, 607, 90, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//866 QXmlReader::setFeature(const QString&, bool) [pure virtual]
    {71, 214, 3, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 3},	//867 QXmlReader::hasFeature(const QString&) const [pure virtual]
    {71, 360, 1088, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 337, 4},	//868 QXmlReader::property(const QString&, bool*) const [pure virtual]
    {71, 624, 1091, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//869 QXmlReader::setProperty(const QString&, void*) [pure virtual]
    {71, 217, 3, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 6},	//870 QXmlReader::hasProperty(const QString&) const [pure virtual]
    {71, 603, 1094, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 7},	//871 QXmlReader::setEntityResolver(QXmlEntityResolver*) [pure virtual]
    {71, 188, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 148, 8},	//872 QXmlReader::entityResolver() const [pure virtual]
    {71, 592, 1096, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//873 QXmlReader::setDTDHandler(QXmlDTDHandler*) [pure virtual]
    {71, 7, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 145, 10},	//874 QXmlReader::DTDHandler() const [pure virtual]
    {71, 590, 1098, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//875 QXmlReader::setContentHandler(QXmlContentHandler*) [pure virtual]
    {71, 140, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 144, 12},	//876 QXmlReader::contentHandler() const [pure virtual]
    {71, 605, 1100, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//877 QXmlReader::setErrorHandler(QXmlErrorHandler*) [pure virtual]
    {71, 191, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 149, 14},	//878 QXmlReader::errorHandler() const [pure virtual]
    {71, 613, 1102, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//879 QXmlReader::setLexicalHandler(QXmlLexicalHandler*) [pure virtual]
    {71, 262, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 152, 16},	//880 QXmlReader::lexicalHandler() const [pure virtual]
    {71, 597, 1104, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//881 QXmlReader::setDeclHandler(QXmlDeclHandler*) [pure virtual]
    {71, 166, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 146, 18},	//882 QXmlReader::declHandler() const [pure virtual]
    {71, 344, 1058, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 19},	//883 QXmlReader::parse(const QXmlInputSource&) [pure virtual]
    {71, 344, 1106, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 236, 20},	//884 QXmlReader::parse(const QXmlInputSource*) [pure virtual]
    {71, 83, 0, 0, Smoke::mf_ctor, 156, 21},	//885 QXmlReader::QXmlReader()
    {71, 83, 1108, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 156, 22},	//886 QXmlReader::QXmlReader(const QXmlReader&)
    {71, 197, 3, 1, Smoke::mf_const, 236, 23},	//887 QXmlReader::feature(const QString&) const
    {71, 360, 3, 1, Smoke::mf_const, 337, 24},	//888 QXmlReader::property(const QString&) const
    {71, 753, 0, 0, Smoke::mf_dtor, 0, 25 },	//889 QXmlReader::~QXmlReader()
    {72, 85, 0, 0, Smoke::mf_ctor, 157, 1},	//890 QXmlSimpleReader::QXmlSimpleReader()
    {72, 197, 1088, 2, Smoke::mf_const|Smoke::mf_virtual, 236, 2},	//891 QXmlSimpleReader::feature(const QString&, bool*) const
    {72, 607, 90, 2, Smoke::mf_virtual, 0, 3},	//892 QXmlSimpleReader::setFeature(const QString&, bool)
    {72, 214, 3, 1, Smoke::mf_const|Smoke::mf_virtual, 236, 4},	//893 QXmlSimpleReader::hasFeature(const QString&) const
    {72, 360, 1088, 2, Smoke::mf_const|Smoke::mf_virtual, 337, 5},	//894 QXmlSimpleReader::property(const QString&, bool*) const
    {72, 624, 1091, 2, Smoke::mf_virtual, 0, 6},	//895 QXmlSimpleReader::setProperty(const QString&, void*)
    {72, 217, 3, 1, Smoke::mf_const|Smoke::mf_virtual, 236, 7},	//896 QXmlSimpleReader::hasProperty(const QString&) const
    {72, 603, 1094, 1, Smoke::mf_virtual, 0, 8},	//897 QXmlSimpleReader::setEntityResolver(QXmlEntityResolver*)
    {72, 188, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 148, 9},	//898 QXmlSimpleReader::entityResolver() const
    {72, 592, 1096, 1, Smoke::mf_virtual, 0, 10},	//899 QXmlSimpleReader::setDTDHandler(QXmlDTDHandler*)
    {72, 7, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 145, 11},	//900 QXmlSimpleReader::DTDHandler() const
    {72, 590, 1098, 1, Smoke::mf_virtual, 0, 12},	//901 QXmlSimpleReader::setContentHandler(QXmlContentHandler*)
    {72, 140, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 144, 13},	//902 QXmlSimpleReader::contentHandler() const
    {72, 605, 1100, 1, Smoke::mf_virtual, 0, 14},	//903 QXmlSimpleReader::setErrorHandler(QXmlErrorHandler*)
    {72, 191, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 149, 15},	//904 QXmlSimpleReader::errorHandler() const
    {72, 613, 1102, 1, Smoke::mf_virtual, 0, 16},	//905 QXmlSimpleReader::setLexicalHandler(QXmlLexicalHandler*)
    {72, 262, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 152, 17},	//906 QXmlSimpleReader::lexicalHandler() const
    {72, 597, 1104, 1, Smoke::mf_virtual, 0, 18},	//907 QXmlSimpleReader::setDeclHandler(QXmlDeclHandler*)
    {72, 166, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 146, 19},	//908 QXmlSimpleReader::declHandler() const
    {72, 344, 1058, 1, Smoke::mf_virtual, 236, 20},	//909 QXmlSimpleReader::parse(const QXmlInputSource&)
    {72, 344, 1106, 1, Smoke::mf_virtual, 236, 21},	//910 QXmlSimpleReader::parse(const QXmlInputSource*)
    {72, 344, 1110, 2, Smoke::mf_virtual, 236, 22},	//911 QXmlSimpleReader::parse(const QXmlInputSource*, bool)
    {72, 347, 0, 0, Smoke::mf_virtual, 236, 23},	//912 QXmlSimpleReader::parseContinue()
    {72, 197, 3, 1, Smoke::mf_const, 236, 24},	//913 QXmlSimpleReader::feature(const QString&) const
    {72, 360, 3, 1, Smoke::mf_const, 337, 25},	//914 QXmlSimpleReader::property(const QString&) const
    {72, 754, 0, 0, Smoke::mf_dtor, 0, 26 },	//915 QXmlSimpleReader::~QXmlSimpleReader()
    {76, 86, 0, 0, Smoke::mf_ctor, 158, 1},	//916 QXmlStreamWriter::QXmlStreamWriter()
    {76, 86, 142, 1, Smoke::mf_ctor, 158, 2},	//917 QXmlStreamWriter::QXmlStreamWriter(QIODevice*)
    {76, 86, 1113, 1, Smoke::mf_ctor, 158, 3},	//918 QXmlStreamWriter::QXmlStreamWriter(QByteArray*)
    {76, 86, 1115, 1, Smoke::mf_ctor, 158, 4},	//919 QXmlStreamWriter::QXmlStreamWriter(QString*)
    {76, 599, 142, 1, 0, 0, 5},	//920 QXmlStreamWriter::setDevice(QIODevice*)
    {76, 169, 0, 0, Smoke::mf_const, 104, 6},	//921 QXmlStreamWriter::device() const
    {76, 572, 1117, 1, 0, 0, 7},	//922 QXmlStreamWriter::setCodec(QTextCodec*)
    {76, 572, 303, 1, 0, 0, 8},	//923 QXmlStreamWriter::setCodec(const char*)
    {76, 134, 0, 0, Smoke::mf_const, 130, 9},	//924 QXmlStreamWriter::codec() const
    {76, 568, 235, 1, 0, 0, 10},	//925 QXmlStreamWriter::setAutoFormatting(bool)
    {76, 126, 0, 0, Smoke::mf_const, 236, 11},	//926 QXmlStreamWriter::autoFormatting() const
    {76, 570, 76, 1, 0, 0, 12},	//927 QXmlStreamWriter::setAutoFormattingIndent(int)
    {76, 127, 0, 0, Smoke::mf_const, 319, 13},	//928 QXmlStreamWriter::autoFormattingIndent() const
    {76, 684, 25, 2, 0, 0, 14},	//929 QXmlStreamWriter::writeAttribute(const QString&, const QString&)
    {76, 684, 218, 3, 0, 0, 15},	//930 QXmlStreamWriter::writeAttribute(const QString&, const QString&, const QString&)
    {76, 684, 1119, 1, 0, 0, 16},	//931 QXmlStreamWriter::writeAttribute(const QXmlStreamAttribute&)
    {76, 688, 1121, 1, 0, 0, 17},	//932 QXmlStreamWriter::writeAttributes(const QXmlStreamAttributes&)
    {76, 690, 3, 1, 0, 0, 18},	//933 QXmlStreamWriter::writeCDATA(const QString&)
    {76, 692, 3, 1, 0, 0, 19},	//934 QXmlStreamWriter::writeCharacters(const QString&)
    {76, 694, 3, 1, 0, 0, 20},	//935 QXmlStreamWriter::writeComment(const QString&)
    {76, 698, 3, 1, 0, 0, 21},	//936 QXmlStreamWriter::writeDTD(const QString&)
    {76, 702, 3, 1, 0, 0, 22},	//937 QXmlStreamWriter::writeEmptyElement(const QString&)
    {76, 702, 25, 2, 0, 0, 23},	//938 QXmlStreamWriter::writeEmptyElement(const QString&, const QString&)
    {76, 721, 25, 2, 0, 0, 24},	//939 QXmlStreamWriter::writeTextElement(const QString&, const QString&)
    {76, 721, 218, 3, 0, 0, 25},	//940 QXmlStreamWriter::writeTextElement(const QString&, const QString&, const QString&)
    {76, 705, 0, 0, 0, 0, 26},	//941 QXmlStreamWriter::writeEndDocument()
    {76, 706, 0, 0, 0, 0, 27},	//942 QXmlStreamWriter::writeEndElement()
    {76, 707, 3, 1, 0, 0, 28},	//943 QXmlStreamWriter::writeEntityReference(const QString&)
    {76, 709, 25, 2, 0, 0, 29},	//944 QXmlStreamWriter::writeNamespace(const QString&, const QString&)
    {76, 700, 3, 1, 0, 0, 30},	//945 QXmlStreamWriter::writeDefaultNamespace(const QString&)
    {76, 712, 25, 2, 0, 0, 31},	//946 QXmlStreamWriter::writeProcessingInstruction(const QString&, const QString&)
    {76, 715, 0, 0, 0, 0, 32},	//947 QXmlStreamWriter::writeStartDocument()
    {76, 715, 3, 1, 0, 0, 33},	//948 QXmlStreamWriter::writeStartDocument(const QString&)
    {76, 715, 90, 2, 0, 0, 34},	//949 QXmlStreamWriter::writeStartDocument(const QString&, bool)
    {76, 718, 3, 1, 0, 0, 35},	//950 QXmlStreamWriter::writeStartElement(const QString&)
    {76, 718, 25, 2, 0, 0, 36},	//951 QXmlStreamWriter::writeStartElement(const QString&, const QString&)
    {76, 696, 1123, 1, 0, 0, 37},	//952 QXmlStreamWriter::writeCurrentToken(const QXmlStreamReader&)
    {76, 213, 0, 0, Smoke::mf_const, 236, 38},	//953 QXmlStreamWriter::hasError() const
    {76, 709, 3, 1, 0, 0, 39},	//954 QXmlStreamWriter::writeNamespace(const QString&)
    {76, 712, 3, 1, 0, 0, 40},	//955 QXmlStreamWriter::writeProcessingInstruction(const QString&)
    {76, 755, 0, 0, Smoke::mf_dtor, 0, 41 },	//956 QXmlStreamWriter::~QXmlStreamWriter()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    362,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    396,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    404,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    447,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    468,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    485,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    514,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    518,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    551,  // QGlobalSpace::operator!=(QChar, QChar)
    572,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    620,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    635,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    660,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    692,  // QGlobalSpace::operator!=(QBool, QBool)
    703,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    351,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    369,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    381,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    559,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    659,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    443,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    498,  // QGlobalSpace::operator!=(bool, QBool)
    517,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    556,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    667,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    579,  // QGlobalSpace::operator*(const QSize&, double)
    638,  // QGlobalSpace::operator*(const QPoint&, int)
    649,  // QGlobalSpace::operator*(const QPoint&, double)
    654,  // QGlobalSpace::operator*(const QSizeF&, double)
    656,  // QGlobalSpace::operator*(const QPoint&, float)
    664,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    359,  // QGlobalSpace::operator*(double, const QSizeF&)
    481,  // QGlobalSpace::operator*(int, const QPoint&)
    509,  // QGlobalSpace::operator*(float, const QPoint&)
    575,  // QGlobalSpace::operator*(double, const QPointF&)
    583,  // QGlobalSpace::operator*(double, const QPoint&)
    657,  // QGlobalSpace::operator*(double, const QSize&)
    0,
    375,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    386,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    391,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    457,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    491,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    0,
    406,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    437,  // QGlobalSpace::operator+(QChar, const QString&)
    521,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    329,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    403,  // QGlobalSpace::operator+(const QString&, QChar)
    565,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    460,  // QGlobalSpace::operator-(const QPoint&)
    504,  // QGlobalSpace::operator-(const QPointF&)
    0,
    364,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    377,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    448,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    568,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    374,  // QGlobalSpace::operator/(const QPoint&, double)
    497,  // QGlobalSpace::operator/(const QPointF&, double)
    525,  // QGlobalSpace::operator/(const QSizeF&, double)
    641,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    349,  // QGlobalSpace::operator<(QChar, QChar)
    451,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    658,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    348,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    363,  // QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    365,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    371,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    378,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    383,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    384,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    400,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    421,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    422,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    462,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    494,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    501,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    507,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    526,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    534,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    542,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    543,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    545,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    548,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    549,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    562,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    567,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    569,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    580,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    585,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    604,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    614,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    615,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    616,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    618,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    626,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    627,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    629,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    632,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    662,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    672,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    678,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    687,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    688,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    701,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    705,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    326,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    477,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    493,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    573,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    670,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    433,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    533,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    633,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    328,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    332,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    343,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    344,  // QGlobalSpace::operator==(QChar, QChar)
    415,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    429,  // QGlobalSpace::operator==(QBool, QBool)
    449,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    459,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    466,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    490,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    519,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    527,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    578,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    594,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    623,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    644,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    0,
    327,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    489,  // QGlobalSpace::operator==(QString::Null, const QString&)
    653,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    655,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    683,  // QGlobalSpace::operator==(QBool, bool)
    0,
    339,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    430,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    505,  // QGlobalSpace::operator==(bool, QBool)
    541,  // QGlobalSpace::operator==(const QString&, QString::Null)
    566,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    0,
    357,  // QGlobalSpace::operator>(QChar, QChar)
    418,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    482,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    318,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    350,  // QGlobalSpace::operator>=(QChar, QChar)
    602,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    334,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    401,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    428,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    440,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    484,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    488,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    502,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    524,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    555,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    564,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    571,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    576,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    624,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    637,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    646,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    661,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    677,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    684,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    685,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    700,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    704,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    535,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    639,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    321,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    322,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    330,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    345,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    353,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    356,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    358,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    361,  // QGlobalSpace::operator|(QDir::Filter, int)
    366,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    367,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    370,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    372,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    373,  // QGlobalSpace::operator|(QFile::Permission, int)
    376,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    382,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    385,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    387,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    388,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    392,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    398,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    407,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    408,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    411,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    416,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    431,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    435,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    438,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    439,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    445,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    446,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    450,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    452,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    454,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    458,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    461,  // QGlobalSpace::operator|(Qt::DropAction, int)
    463,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    471,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    474,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    478,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    486,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    496,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    503,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    512,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    513,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    516,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    522,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    523,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    539,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    546,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    552,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    563,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    570,  // QGlobalSpace::operator|(Qt::WindowState, int)
    574,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    577,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    581,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    588,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    590,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    591,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    595,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    600,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    601,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    605,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    606,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    610,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    611,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    612,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    613,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    619,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    622,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    628,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    634,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    636,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    647,  // QGlobalSpace::operator|(Qt::Orientation, int)
    650,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    651,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    663,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    666,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    671,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    673,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    674,  // QGlobalSpace::operator|(Qt::WindowType, int)
    679,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    680,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    689,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    690,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    693,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    697,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    702,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    593,  // QGlobalSpace::qFuzzyCompare(float, float)
    648,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    453,  // QGlobalSpace::qFuzzyIsNull(float)
    607,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    346,  // QGlobalSpace::qHash(const QUrl&)
    347,  // QGlobalSpace::qHash(const QByteArray&)
    412,  // QGlobalSpace::qHash(QChar)
    426,  // QGlobalSpace::qHash(const QModelIndex&)
    492,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    547,  // QGlobalSpace::qHash(const QBitArray&)
    695,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    319,  // QGlobalSpace::qHash(unsigned long long)
    338,  // QGlobalSpace::qHash(signed char)
    368,  // QGlobalSpace::qHash(char)
    410,  // QGlobalSpace::qHash(unsigned int)
    420,  // QGlobalSpace::qHash(const QString&)
    442,  // QGlobalSpace::qHash(long long)
    456,  // QGlobalSpace::qHash(int)
    480,  // QGlobalSpace::qHash(long)
    483,  // QGlobalSpace::qHash(unsigned short)
    587,  // QGlobalSpace::qHash(short)
    686,  // QGlobalSpace::qHash(unsigned long)
    699,  // QGlobalSpace::qHash(unsigned char)
    0,
    341,  // QGlobalSpace::qIntCast(double)
    414,  // QGlobalSpace::qIntCast(float)
    0,
    379,  // QGlobalSpace::qIsFinite(double)
    402,  // QGlobalSpace::qIsFinite(float)
    0,
    320,  // QGlobalSpace::qIsInf(double)
    336,  // QGlobalSpace::qIsInf(float)
    0,
    432,  // QGlobalSpace::qIsNaN(float)
    436,  // QGlobalSpace::qIsNaN(double)
    0,
    642,  // QGlobalSpace::qIsNull(float)
    696,  // QGlobalSpace::qIsNull(double)
    0,
    909,  // QXmlSimpleReader::parse(const QXmlInputSource&)
    910,  // QXmlSimpleReader::parse(const QXmlInputSource*)
    0,
    36,  // QDomDocument::QDomDocument(const QDomDocumentType&)
    37,  // QDomDocument::QDomDocument(const QDomDocument&)
    0,
    79,  // QDomDocument::setContent(const QByteArray&)
    85,  // QDomDocument::setContent(QIODevice*)
    0,
    67,  // QDomDocument::setContent(const QByteArray&, bool)
    73,  // QDomDocument::setContent(QIODevice*, bool)
    76,  // QDomDocument::setContent(QXmlInputSource*, bool)
    80,  // QDomDocument::setContent(const QByteArray&, QString*)
    86,  // QDomDocument::setContent(QIODevice*, QString*)
    0,
    68,  // QDomDocument::setContent(const QByteArray&, bool, QString*)
    74,  // QDomDocument::setContent(QIODevice*, bool, QString*)
    77,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*)
    81,  // QDomDocument::setContent(const QByteArray&, QString*, int*)
    87,  // QDomDocument::setContent(QIODevice*, QString*, int*)
    0,
    61,  // QDomDocument::setContent(const QByteArray&, QString*, int*, int*)
    63,  // QDomDocument::setContent(QIODevice*, QString*, int*, int*)
    69,  // QDomDocument::setContent(const QByteArray&, bool, QString*, int*)
    75,  // QDomDocument::setContent(QIODevice*, bool, QString*, int*)
    78,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*)
    0,
    57,  // QDomDocument::setContent(const QByteArray&, bool, QString*, int*, int*)
    59,  // QDomDocument::setContent(QIODevice*, bool, QString*, int*, int*)
    60,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*, int*)
    0,
    70,  // QDomDocument::setContent(const QString&, bool)
    83,  // QDomDocument::setContent(const QString&, QString*)
    0,
    71,  // QDomDocument::setContent(const QString&, bool, QString*)
    84,  // QDomDocument::setContent(const QString&, QString*, int*)
    0,
    62,  // QDomDocument::setContent(const QString&, QString*, int*, int*)
    72,  // QDomDocument::setContent(const QString&, bool, QString*, int*)
    0,
    729,  // QXmlAttributes::type(int) const
    730,  // QXmlAttributes::type(const QString&) const
    0,
    732,  // QXmlAttributes::value(int) const
    733,  // QXmlAttributes::value(const QString&) const
    0,
    917,  // QXmlStreamWriter::QXmlStreamWriter(QIODevice*)
    918,  // QXmlStreamWriter::QXmlStreamWriter(QByteArray*)
    0,
    114,  // QDomElement::setAttribute(const QString&, const QString&)
    115,  // QDomElement::setAttribute(const QString&, long long)
    116,  // QDomElement::setAttribute(const QString&, unsigned long long)
    117,  // QDomElement::setAttribute(const QString&, int)
    118,  // QDomElement::setAttribute(const QString&, unsigned int)
    119,  // QDomElement::setAttribute(const QString&, float)
    120,  // QDomElement::setAttribute(const QString&, double)
    0,
    128,  // QDomElement::setAttributeNS(const QString, const QString&, const QString&)
    129,  // QDomElement::setAttributeNS(const QString, const QString&, int)
    130,  // QDomElement::setAttributeNS(const QString, const QString&, unsigned int)
    131,  // QDomElement::setAttributeNS(const QString, const QString&, long long)
    132,  // QDomElement::setAttributeNS(const QString, const QString&, unsigned long long)
    133,  // QDomElement::setAttributeNS(const QString, const QString&, double)
    0,
    883,  // QXmlReader::parse(const QXmlInputSource&)
    884,  // QXmlReader::parse(const QXmlInputSource*)
    0,
    811,  // QXmlInputSource::QXmlInputSource(QIODevice*)
    819,  // QXmlInputSource::QXmlInputSource(const QXmlInputSource&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {10, 21, 1},	// QDomAttr::QDomAttr
    {10, 22, 2},	// QDomAttr::QDomAttr#
    {10, 267, 4},	// QDomAttr::name
    {10, 278, 9},	// QDomAttr::nodeType
    {10, 318, 3},	// QDomAttr::operator=#
    {10, 342, 6},	// QDomAttr::ownerElement
    {10, 629, 8},	// QDomAttr::setValue$
    {10, 633, 5},	// QDomAttr::specified
    {10, 678, 7},	// QDomAttr::value
    {10, 724, 10},	// QDomAttr::~QDomAttr
    {11, 23, 11},	// QDomCDATASection::QDomCDATASection
    {11, 24, 12},	// QDomCDATASection::QDomCDATASection#
    {11, 278, 14},	// QDomCDATASection::nodeType
    {11, 318, 13},	// QDomCDATASection::operator=#
    {11, 725, 15},	// QDomCDATASection::~QDomCDATASection
    {12, 25, 16},	// QDomCharacterData::QDomCharacterData
    {12, 26, 17},	// QDomCharacterData::QDomCharacterData#
    {12, 110, 20},	// QDomCharacterData::appendData$
    {12, 165, 25},	// QDomCharacterData::data
    {12, 168, 22},	// QDomCharacterData::deleteData$$
    {12, 234, 21},	// QDomCharacterData::insertData$$
    {12, 261, 24},	// QDomCharacterData::length
    {12, 278, 27},	// QDomCharacterData::nodeType
    {12, 318, 18},	// QDomCharacterData::operator=#
    {12, 553, 23},	// QDomCharacterData::replaceData$$$
    {12, 596, 26},	// QDomCharacterData::setData$
    {12, 649, 19},	// QDomCharacterData::substringData$$
    {12, 726, 28},	// QDomCharacterData::~QDomCharacterData
    {13, 27, 29},	// QDomComment::QDomComment
    {13, 28, 30},	// QDomComment::QDomComment#
    {13, 278, 32},	// QDomComment::nodeType
    {13, 318, 31},	// QDomComment::operator=#
    {13, 727, 33},	// QDomComment::~QDomComment
    {14, 29, 34},	// QDomDocument::QDomDocument
    {14, 30, -322},	// QDomDocument::QDomDocument#
    {14, 31, 35},	// QDomDocument::QDomDocument$
    {14, 143, 45},	// QDomDocument::createAttribute$
    {14, 145, 50},	// QDomDocument::createAttributeNS$$
    {14, 147, 43},	// QDomDocument::createCDATASection$
    {14, 149, 42},	// QDomDocument::createComment$
    {14, 152, 40},	// QDomDocument::createDocumentFragment
    {14, 156, 39},	// QDomDocument::createElement$
    {14, 158, 49},	// QDomDocument::createElementNS$$
    {14, 160, 46},	// QDomDocument::createEntityReference$
    {14, 162, 44},	// QDomDocument::createProcessingInstruction$$
    {14, 164, 41},	// QDomDocument::createTextNode$
    {14, 170, 53},	// QDomDocument::doctype
    {14, 171, 55},	// QDomDocument::documentElement
    {14, 173, 52},	// QDomDocument::elementById$
    {14, 175, 47},	// QDomDocument::elementsByTagName$
    {14, 177, 51},	// QDomDocument::elementsByTagNameNS$$
    {14, 222, 54},	// QDomDocument::implementation
    {14, 224, 48},	// QDomDocument::importNode#$
    {14, 278, 56},	// QDomDocument::nodeType
    {14, 318, 38},	// QDomDocument::operator=#
    {14, 576, -325},	// QDomDocument::setContent#
    {14, 577, 88},	// QDomDocument::setContent##
    {14, 578, 89},	// QDomDocument::setContent##$
    {14, 579, 90},	// QDomDocument::setContent##$$
    {14, 580, 64},	// QDomDocument::setContent##$$$
    {14, 581, -328},	// QDomDocument::setContent#$
    {14, 582, -334},	// QDomDocument::setContent#$$
    {14, 583, -340},	// QDomDocument::setContent#$$$
    {14, 584, -346},	// QDomDocument::setContent#$$$$
    {14, 585, 82},	// QDomDocument::setContent$
    {14, 586, -350},	// QDomDocument::setContent$$
    {14, 587, -353},	// QDomDocument::setContent$$$
    {14, 588, -356},	// QDomDocument::setContent$$$$
    {14, 589, 58},	// QDomDocument::setContent$$$$$
    {14, 655, 92},	// QDomDocument::toByteArray
    {14, 656, 66},	// QDomDocument::toByteArray$
    {14, 668, 91},	// QDomDocument::toString
    {14, 669, 65},	// QDomDocument::toString$
    {14, 728, 93},	// QDomDocument::~QDomDocument
    {15, 32, 94},	// QDomDocumentFragment::QDomDocumentFragment
    {15, 33, 95},	// QDomDocumentFragment::QDomDocumentFragment#
    {15, 278, 97},	// QDomDocumentFragment::nodeType
    {15, 318, 96},	// QDomDocumentFragment::operator=#
    {15, 729, 98},	// QDomDocumentFragment::~QDomDocumentFragment
    {16, 34, 99},	// QDomDocumentType::QDomDocumentType
    {16, 35, 100},	// QDomDocumentType::QDomDocumentType#
    {16, 187, 103},	// QDomDocumentType::entities
    {16, 237, 107},	// QDomDocumentType::internalSubset
    {16, 267, 102},	// QDomDocumentType::name
    {16, 278, 108},	// QDomDocumentType::nodeType
    {16, 284, 104},	// QDomDocumentType::notations
    {16, 318, 101},	// QDomDocumentType::operator=#
    {16, 363, 105},	// QDomDocumentType::publicId
    {16, 650, 106},	// QDomDocumentType::systemId
    {16, 730, 109},	// QDomDocumentType::~QDomDocumentType
    {17, 36, 110},	// QDomElement::QDomElement
    {17, 37, 111},	// QDomElement::QDomElement#
    {17, 114, 144},	// QDomElement::attribute$
    {17, 115, 113},	// QDomElement::attribute$$
    {17, 119, 145},	// QDomElement::attributeNS$$
    {17, 120, 127},	// QDomElement::attributeNS$$$
    {17, 122, 122},	// QDomElement::attributeNode$
    {17, 124, 135},	// QDomElement::attributeNodeNS$$
    {17, 125, 141},	// QDomElement::attributes
    {17, 175, 125},	// QDomElement::elementsByTagName$
    {17, 177, 137},	// QDomElement::elementsByTagNameNS$$
    {17, 208, 126},	// QDomElement::hasAttribute$
    {17, 210, 138},	// QDomElement::hasAttributeNS$$
    {17, 278, 142},	// QDomElement::nodeType
    {17, 318, 112},	// QDomElement::operator=#
    {17, 539, 121},	// QDomElement::removeAttribute$
    {17, 541, 134},	// QDomElement::removeAttributeNS$$
    {17, 543, 124},	// QDomElement::removeAttributeNode#
    {17, 561, -368},	// QDomElement::setAttribute$$
    {17, 563, -376},	// QDomElement::setAttributeNS$$$
    {17, 565, 123},	// QDomElement::setAttributeNode#
    {17, 567, 136},	// QDomElement::setAttributeNodeNS#
    {17, 627, 140},	// QDomElement::setTagName$
    {17, 651, 139},	// QDomElement::tagName
    {17, 653, 143},	// QDomElement::text
    {17, 731, 146},	// QDomElement::~QDomElement
    {18, 38, 147},	// QDomEntity::QDomEntity
    {18, 39, 148},	// QDomEntity::QDomEntity#
    {18, 278, 153},	// QDomEntity::nodeType
    {18, 283, 152},	// QDomEntity::notationName
    {18, 318, 149},	// QDomEntity::operator=#
    {18, 363, 150},	// QDomEntity::publicId
    {18, 650, 151},	// QDomEntity::systemId
    {18, 732, 154},	// QDomEntity::~QDomEntity
    {19, 40, 155},	// QDomEntityReference::QDomEntityReference
    {19, 41, 156},	// QDomEntityReference::QDomEntityReference#
    {19, 278, 158},	// QDomEntityReference::nodeType
    {19, 318, 157},	// QDomEntityReference::operator=#
    {19, 733, 159},	// QDomEntityReference::~QDomEntityReference
    {20, 1, 171},	// QDomImplementation::AcceptInvalidChars
    {20, 11, 172},	// QDomImplementation::DropInvalidChars
    {20, 42, 160},	// QDomImplementation::QDomImplementation
    {20, 43, 161},	// QDomImplementation::QDomImplementation#
    {20, 94, 173},	// QDomImplementation::ReturnNullNode
    {20, 151, 167},	// QDomImplementation::createDocument$$#
    {20, 154, 166},	// QDomImplementation::createDocumentType$$$
    {20, 216, 165},	// QDomImplementation::hasFeature$$
    {20, 238, 168},	// QDomImplementation::invalidDataPolicy
    {20, 251, 170},	// QDomImplementation::isNull
    {20, 286, 164},	// QDomImplementation::operator!=#
    {20, 318, 162},	// QDomImplementation::operator=#
    {20, 320, 163},	// QDomImplementation::operator==#
    {20, 612, 169},	// QDomImplementation::setInvalidDataPolicy$
    {20, 734, 174},	// QDomImplementation::~QDomImplementation
    {21, 44, 175},	// QDomNamedNodeMap::QDomNamedNodeMap
    {21, 45, 176},	// QDomNamedNodeMap::QDomNamedNodeMap#
    {21, 139, 191},	// QDomNamedNodeMap::contains$
    {21, 141, 188},	// QDomNamedNodeMap::count
    {21, 247, 190},	// QDomNamedNodeMap::isEmpty
    {21, 257, 183},	// QDomNamedNodeMap::item$
    {21, 261, 187},	// QDomNamedNodeMap::length
    {21, 269, 180},	// QDomNamedNodeMap::namedItem$
    {21, 271, 184},	// QDomNamedNodeMap::namedItemNS$$
    {21, 286, 179},	// QDomNamedNodeMap::operator!=#
    {21, 318, 177},	// QDomNamedNodeMap::operator=#
    {21, 320, 178},	// QDomNamedNodeMap::operator==#
    {21, 547, 182},	// QDomNamedNodeMap::removeNamedItem$
    {21, 549, 186},	// QDomNamedNodeMap::removeNamedItemNS$$
    {21, 616, 181},	// QDomNamedNodeMap::setNamedItem#
    {21, 618, 185},	// QDomNamedNodeMap::setNamedItemNS#
    {21, 630, 189},	// QDomNamedNodeMap::size
    {21, 735, 192},	// QDomNamedNodeMap::~QDomNamedNodeMap
    {22, 2, 269},	// QDomNode::AttributeNode
    {22, 3, 280},	// QDomNode::BaseNode
    {22, 4, 271},	// QDomNode::CDATASectionNode
    {22, 5, 281},	// QDomNode::CharacterDataNode
    {22, 6, 275},	// QDomNode::CommentNode
    {22, 8, 278},	// QDomNode::DocumentFragmentNode
    {22, 9, 276},	// QDomNode::DocumentNode
    {22, 10, 277},	// QDomNode::DocumentTypeNode
    {22, 12, 268},	// QDomNode::ElementNode
    {22, 13, 282},	// QDomNode::EncodingFromDocument
    {22, 14, 283},	// QDomNode::EncodingFromTextStream
    {22, 17, 273},	// QDomNode::EntityNode
    {22, 18, 272},	// QDomNode::EntityReferenceNode
    {22, 19, 279},	// QDomNode::NotationNode
    {22, 20, 274},	// QDomNode::ProcessingInstructionNode
    {22, 46, 193},	// QDomNode::QDomNode
    {22, 47, 194},	// QDomNode::QDomNode#
    {22, 95, 270},	// QDomNode::TextNode
    {22, 108, 202},	// QDomNode::appendChild#
    {22, 125, 215},	// QDomNode::attributes
    {22, 130, 210},	// QDomNode::childNodes
    {22, 131, 239},	// QDomNode::clear
    {22, 132, 261},	// QDomNode::cloneNode
    {22, 133, 204},	// QDomNode::cloneNode$
    {22, 135, 260},	// QDomNode::columnNumber
    {22, 201, 211},	// QDomNode::firstChild
    {22, 202, 262},	// QDomNode::firstChildElement
    {22, 203, 255},	// QDomNode::firstChildElement$
    {22, 211, 219},	// QDomNode::hasAttributes
    {22, 212, 203},	// QDomNode::hasChildNodes
    {22, 221, 266},	// QDomNode::impl
    {22, 230, 199},	// QDomNode::insertAfter##
    {22, 232, 198},	// QDomNode::insertBefore##
    {22, 239, 224},	// QDomNode::isAttr
    {22, 240, 225},	// QDomNode::isCDATASection
    {22, 241, 235},	// QDomNode::isCharacterData
    {22, 242, 236},	// QDomNode::isComment
    {22, 243, 227},	// QDomNode::isDocument
    {22, 244, 226},	// QDomNode::isDocumentFragment
    {22, 245, 228},	// QDomNode::isDocumentType
    {22, 246, 229},	// QDomNode::isElement
    {22, 248, 232},	// QDomNode::isEntity
    {22, 249, 230},	// QDomNode::isEntityReference
    {22, 250, 233},	// QDomNode::isNotation
    {22, 251, 238},	// QDomNode::isNull
    {22, 252, 234},	// QDomNode::isProcessingInstruction
    {22, 254, 206},	// QDomNode::isSupported$$
    {22, 255, 231},	// QDomNode::isText
    {22, 258, 212},	// QDomNode::lastChild
    {22, 259, 263},	// QDomNode::lastChildElement
    {22, 260, 256},	// QDomNode::lastChildElement$
    {22, 263, 259},	// QDomNode::lineNumber
    {22, 264, 218},	// QDomNode::localName
    {22, 269, 237},	// QDomNode::namedItem$
    {22, 272, 217},	// QDomNode::namespaceURI
    {22, 274, 214},	// QDomNode::nextSibling
    {22, 275, 265},	// QDomNode::nextSiblingElement
    {22, 276, 258},	// QDomNode::nextSiblingElement$
    {22, 277, 207},	// QDomNode::nodeName
    {22, 278, 208},	// QDomNode::nodeType
    {22, 279, 220},	// QDomNode::nodeValue
    {22, 280, 205},	// QDomNode::normalize
    {22, 286, 197},	// QDomNode::operator!=#
    {22, 318, 195},	// QDomNode::operator=#
    {22, 320, 196},	// QDomNode::operator==#
    {22, 341, 216},	// QDomNode::ownerDocument
    {22, 343, 209},	// QDomNode::parentNode
    {22, 349, 222},	// QDomNode::prefix
    {22, 353, 213},	// QDomNode::previousSibling
    {22, 354, 264},	// QDomNode::previousSiblingElement
    {22, 355, 257},	// QDomNode::previousSiblingElement$
    {22, 545, 201},	// QDomNode::removeChild#
    {22, 551, 200},	// QDomNode::replaceChild##
    {22, 558, 253},	// QDomNode::save#$
    {22, 559, 254},	// QDomNode::save#$$
    {22, 610, 267},	// QDomNode::setImpl#
    {22, 620, 221},	// QDomNode::setNodeValue$
    {22, 622, 223},	// QDomNode::setPrefix$
    {22, 654, 240},	// QDomNode::toAttr
    {22, 657, 241},	// QDomNode::toCDATASection
    {22, 658, 251},	// QDomNode::toCharacterData
    {22, 659, 252},	// QDomNode::toComment
    {22, 660, 243},	// QDomNode::toDocument
    {22, 661, 242},	// QDomNode::toDocumentFragment
    {22, 662, 244},	// QDomNode::toDocumentType
    {22, 663, 245},	// QDomNode::toElement
    {22, 664, 248},	// QDomNode::toEntity
    {22, 665, 246},	// QDomNode::toEntityReference
    {22, 666, 249},	// QDomNode::toNotation
    {22, 667, 250},	// QDomNode::toProcessingInstruction
    {22, 670, 247},	// QDomNode::toText
    {22, 736, 284},	// QDomNode::~QDomNode
    {23, 48, 285},	// QDomNodeList::QDomNodeList
    {23, 49, 286},	// QDomNodeList::QDomNodeList#
    {23, 112, 291},	// QDomNodeList::at$
    {23, 141, 293},	// QDomNodeList::count
    {23, 247, 295},	// QDomNodeList::isEmpty
    {23, 257, 290},	// QDomNodeList::item$
    {23, 261, 292},	// QDomNodeList::length
    {23, 286, 289},	// QDomNodeList::operator!=#
    {23, 318, 287},	// QDomNodeList::operator=#
    {23, 320, 288},	// QDomNodeList::operator==#
    {23, 630, 294},	// QDomNodeList::size
    {23, 737, 296},	// QDomNodeList::~QDomNodeList
    {25, 50, 297},	// QDomNotation::QDomNotation
    {25, 51, 298},	// QDomNotation::QDomNotation#
    {25, 278, 302},	// QDomNotation::nodeType
    {25, 318, 299},	// QDomNotation::operator=#
    {25, 363, 300},	// QDomNotation::publicId
    {25, 650, 301},	// QDomNotation::systemId
    {25, 738, 303},	// QDomNotation::~QDomNotation
    {26, 52, 304},	// QDomProcessingInstruction::QDomProcessingInstruction
    {26, 53, 305},	// QDomProcessingInstruction::QDomProcessingInstruction#
    {26, 165, 308},	// QDomProcessingInstruction::data
    {26, 278, 310},	// QDomProcessingInstruction::nodeType
    {26, 318, 306},	// QDomProcessingInstruction::operator=#
    {26, 596, 309},	// QDomProcessingInstruction::setData$
    {26, 652, 307},	// QDomProcessingInstruction::target
    {26, 739, 311},	// QDomProcessingInstruction::~QDomProcessingInstruction
    {27, 54, 312},	// QDomText::QDomText
    {27, 55, 313},	// QDomText::QDomText#
    {27, 278, 316},	// QDomText::nodeType
    {27, 318, 314},	// QDomText::operator=#
    {27, 637, 315},	// QDomText::splitText$
    {27, 740, 317},	// QDomText::~QDomText
    {29, 89, 713},	// QGlobalSpace::QtCriticalMsg
    {29, 90, 711},	// QGlobalSpace::QtDebugMsg
    {29, 91, 714},	// QGlobalSpace::QtFatalMsg
    {29, 92, 715},	// QGlobalSpace::QtSystemMsg
    {29, 93, 712},	// QGlobalSpace::QtWarningMsg
    {29, 96, 706},	// QGlobalSpace::_IEEE_
    {29, 97, 710},	// QGlobalSpace::_ISOC_
    {29, 98, 709},	// QGlobalSpace::_POSIX_
    {29, 99, 707},	// QGlobalSpace::_SVID_
    {29, 100, 708},	// QGlobalSpace::_XOPEN_
    {29, 101, 718},	// QGlobalSpace::__codecvt_error
    {29, 102, 719},	// QGlobalSpace::__codecvt_noconv
    {29, 103, 716},	// QGlobalSpace::__codecvt_ok
    {29, 104, 717},	// QGlobalSpace::__codecvt_partial
    {29, 287, -1},	// QGlobalSpace::operator!=##
    {29, 288, -17},	// QGlobalSpace::operator!=#$
    {29, 289, -23},	// QGlobalSpace::operator!=$#
    {29, 291, 510},	// QGlobalSpace::operator&##
    {29, 293, -29},	// QGlobalSpace::operator*#$
    {29, 294, -36},	// QGlobalSpace::operator*$#
    {29, 296, -43},	// QGlobalSpace::operator+##
    {29, 297, -49},	// QGlobalSpace::operator+#$
    {29, 298, -53},	// QGlobalSpace::operator+$#
    {29, 299, 691},	// QGlobalSpace::operator+$$
    {29, 301, -57},	// QGlobalSpace::operator-#
    {29, 302, -60},	// QGlobalSpace::operator-##
    {29, 304, -65},	// QGlobalSpace::operator/#$
    {29, 306, -70},	// QGlobalSpace::operator<##
    {29, 307, 544},	// QGlobalSpace::operator<#$
    {29, 308, 352},	// QGlobalSpace::operator<$#
    {29, 310, -74},	// QGlobalSpace::operator<<##
    {29, 311, -117},	// QGlobalSpace::operator<<#$
    {29, 312, 520},	// QGlobalSpace::operator<<#?
    {29, 314, -123},	// QGlobalSpace::operator<=##
    {29, 315, 413},	// QGlobalSpace::operator<=#$
    {29, 316, 531},	// QGlobalSpace::operator<=$#
    {29, 321, -127},	// QGlobalSpace::operator==##
    {29, 322, -144},	// QGlobalSpace::operator==#$
    {29, 323, -150},	// QGlobalSpace::operator==$#
    {29, 325, -156},	// QGlobalSpace::operator>##
    {29, 326, 698},	// QGlobalSpace::operator>#$
    {29, 327, 340},	// QGlobalSpace::operator>$#
    {29, 329, -160},	// QGlobalSpace::operator>=##
    {29, 330, 335},	// QGlobalSpace::operator>=#$
    {29, 331, 511},	// QGlobalSpace::operator>=$#
    {29, 333, -164},	// QGlobalSpace::operator>>##
    {29, 334, -186},	// QGlobalSpace::operator>>#$
    {29, 335, 475},	// QGlobalSpace::operator>>#?
    {29, 337, 417},	// QGlobalSpace::operator^##
    {29, 339, 625},	// QGlobalSpace::operator|##
    {29, 340, -189},	// QGlobalSpace::operator|$$
    {29, 366, 599},	// QGlobalSpace::qAcos$
    {29, 368, 528},	// QGlobalSpace::qAddPostRoutine$
    {29, 369, 536},	// QGlobalSpace::qAppName
    {29, 371, 617},	// QGlobalSpace::qAsin$
    {29, 373, 645},	// QGlobalSpace::qAtan$
    {29, 375, 333},	// QGlobalSpace::qAtan2$$
    {29, 376, 603},	// QGlobalSpace::qBadAlloc
    {29, 378, 550},	// QGlobalSpace::qCeil$
    {29, 380, 470},	// QGlobalSpace::qChecksum$$
    {29, 382, 609},	// QGlobalSpace::qCompress#
    {29, 383, 608},	// QGlobalSpace::qCompress#$
    {29, 384, 530},	// QGlobalSpace::qCompress$$
    {29, 385, 529},	// QGlobalSpace::qCompress$$$
    {29, 387, 355},	// QGlobalSpace::qCos$
    {29, 388, 515},	// QGlobalSpace::qCritical
    {29, 389, 557},	// QGlobalSpace::qDebug
    {29, 391, 465},	// QGlobalSpace::qExp$
    {29, 393, 589},	// QGlobalSpace::qFabs$
    {29, 395, 427},	// QGlobalSpace::qFastCos$
    {29, 397, 532},	// QGlobalSpace::qFastSin$
    {29, 399, 434},	// QGlobalSpace::qFlagLocation$
    {29, 401, 399},	// QGlobalSpace::qFloor$
    {29, 403, 538},	// QGlobalSpace::qFree$
    {29, 405, 540},	// QGlobalSpace::qFreeAligned$
    {29, 407, -277},	// QGlobalSpace::qFuzzyCompare$$
    {29, 409, -280},	// QGlobalSpace::qFuzzyIsNull$
    {29, 411, -283},	// QGlobalSpace::qHash#
    {29, 412, -291},	// QGlobalSpace::qHash$
    {29, 413, 669},	// QGlobalSpace::qInf
    {29, 415, 424},	// QGlobalSpace::qInstallMsgHandler$
    {29, 417, -304},	// QGlobalSpace::qIntCast$
    {29, 419, -307},	// QGlobalSpace::qIsFinite$
    {29, 421, -310},	// QGlobalSpace::qIsInf$
    {29, 423, -313},	// QGlobalSpace::qIsNaN$
    {29, 425, -316},	// QGlobalSpace::qIsNull$
    {29, 427, 467},	// QGlobalSpace::qLn$
    {29, 429, 472},	// QGlobalSpace::qMalloc$
    {29, 431, 558},	// QGlobalSpace::qMallocAligned$$
    {29, 433, 324},	// QGlobalSpace::qMemCopy$$$
    {29, 435, 584},	// QGlobalSpace::qMemSet$$$
    {29, 439, 561},	// QGlobalSpace::qPow$$
    {29, 440, 473},	// QGlobalSpace::qQNaN
    {29, 442, 419},	// QGlobalSpace::qRealloc$$
    {29, 444, 409},	// QGlobalSpace::qReallocAligned$$$$
    {29, 446, 469},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {29, 448, 676},	// QGlobalSpace::qRemovePostRoutine$
    {29, 450, 668},	// QGlobalSpace::qRound$
    {29, 452, 423},	// QGlobalSpace::qRound64$
    {29, 453, 652},	// QGlobalSpace::qSNaN
    {29, 455, 397},	// QGlobalSpace::qSetFieldWidth$
    {29, 457, 342},	// QGlobalSpace::qSetPadChar#
    {29, 459, 464},	// QGlobalSpace::qSetRealNumberPrecision$
    {29, 460, 360},	// QGlobalSpace::qSharedBuild
    {29, 462, 621},	// QGlobalSpace::qSin$
    {29, 464, 425},	// QGlobalSpace::qSqrt$
    {29, 466, 553},	// QGlobalSpace::qStringComparisonHelper#$
    {29, 468, 395},	// QGlobalSpace::qTan$
    {29, 470, 500},	// QGlobalSpace::qUncompress#
    {29, 471, 393},	// QGlobalSpace::qUncompress$$
    {29, 472, 537},	// QGlobalSpace::qVersion
    {29, 473, 681},	// QGlobalSpace::qWarning
    {29, 475, 405},	// QGlobalSpace::qbswap_helper$$$
    {29, 477, 380},	// QGlobalSpace::qecvt$$$$
    {29, 479, 560},	// QGlobalSpace::qecvt_r$$$$$$
    {29, 481, 444},	// QGlobalSpace::qfcvt$$$$
    {29, 483, 596},	// QGlobalSpace::qfcvt_r$$$$$$
    {29, 485, 597},	// QGlobalSpace::qgcvt$$$
    {29, 487, 337},	// QGlobalSpace::qgetenv$
    {29, 489, 476},	// QGlobalSpace::qputenv$#
    {29, 490, 506},	// QGlobalSpace::qrand
    {29, 492, 598},	// QGlobalSpace::qsort$$$$
    {29, 494, 479},	// QGlobalSpace::qsrand$
    {29, 496, 592},	// QGlobalSpace::qstrcmp##
    {29, 497, 675},	// QGlobalSpace::qstrcmp#$
    {29, 498, 331},	// QGlobalSpace::qstrcmp$#
    {29, 499, 354},	// QGlobalSpace::qstrcmp$$
    {29, 501, 455},	// QGlobalSpace::qstrcpy$$
    {29, 503, 554},	// QGlobalSpace::qstrdup$
    {29, 505, 665},	// QGlobalSpace::qstricmp$$
    {29, 507, 682},	// QGlobalSpace::qstrlen$
    {29, 509, 394},	// QGlobalSpace::qstrncmp$$$
    {29, 511, 499},	// QGlobalSpace::qstrncpy$$$
    {29, 513, 487},	// QGlobalSpace::qstrnicmp$$$
    {29, 515, 323},	// QGlobalSpace::qstrnlen$$
    {29, 517, 631},	// QGlobalSpace::qtTrId$
    {29, 518, 630},	// QGlobalSpace::qtTrId$$
    {29, 520, 441},	// QGlobalSpace::qt_assert$$$
    {29, 522, 508},	// QGlobalSpace::qt_assert_x$$$$
    {29, 524, 586},	// QGlobalSpace::qt_check_pointer$$
    {29, 525, 390},	// QGlobalSpace::qt_error_string
    {29, 526, 389},	// QGlobalSpace::qt_error_string$
    {29, 528, 694},	// QGlobalSpace::qt_message_output$$
    {29, 529, 325},	// QGlobalSpace::qt_noop
    {29, 531, 495},	// QGlobalSpace::qt_qFindChild_helper#$#
    {29, 533, 643},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {29, 535, 640},	// QGlobalSpace::qvariant_cast_helper#$$
    {29, 537, 582},	// QGlobalSpace::qvsnprintf$$$?
    {59, 56, 720},	// QXmlAttributes::QXmlAttributes
    {59, 57, 738},	// QXmlAttributes::QXmlAttributes#
    {59, 106, 737},	// QXmlAttributes::append$$$$
    {59, 131, 736},	// QXmlAttributes::clear
    {59, 141, 725},	// QXmlAttributes::count
    {59, 226, 722},	// QXmlAttributes::index#
    {59, 227, 721},	// QXmlAttributes::index$
    {59, 228, 723},	// QXmlAttributes::index$$
    {59, 261, 724},	// QXmlAttributes::length
    {59, 265, 726},	// QXmlAttributes::localName$
    {59, 437, 727},	// QXmlAttributes::qName$
    {59, 672, -359},	// QXmlAttributes::type$
    {59, 673, 731},	// QXmlAttributes::type$$
    {59, 677, 728},	// QXmlAttributes::uri$
    {59, 679, 734},	// QXmlAttributes::value#
    {59, 680, -362},	// QXmlAttributes::value$
    {59, 681, 735},	// QXmlAttributes::value$$
    {59, 741, 739},	// QXmlAttributes::~QXmlAttributes
    {60, 58, 752},	// QXmlContentHandler::QXmlContentHandler
    {60, 59, 753},	// QXmlContentHandler::QXmlContentHandler#
    {60, 129, 747},	// QXmlContentHandler::characters$
    {60, 180, 742},	// QXmlContentHandler::endDocument
    {60, 182, 746},	// QXmlContentHandler::endElement$$$
    {60, 186, 744},	// QXmlContentHandler::endPrefixMapping$
    {60, 192, 751},	// QXmlContentHandler::errorString
    {60, 220, 748},	// QXmlContentHandler::ignorableWhitespace$
    {60, 359, 749},	// QXmlContentHandler::processingInstruction$$
    {60, 602, 740},	// QXmlContentHandler::setDocumentLocator#
    {60, 632, 750},	// QXmlContentHandler::skippedEntity$
    {60, 641, 741},	// QXmlContentHandler::startDocument
    {60, 643, 745},	// QXmlContentHandler::startElement$$$#
    {60, 647, 743},	// QXmlContentHandler::startPrefixMapping$$
    {60, 742, 754},	// QXmlContentHandler::~QXmlContentHandler
    {61, 60, 758},	// QXmlDTDHandler::QXmlDTDHandler
    {61, 61, 759},	// QXmlDTDHandler::QXmlDTDHandler#
    {61, 192, 757},	// QXmlDTDHandler::errorString
    {61, 282, 755},	// QXmlDTDHandler::notationDecl$$$
    {61, 675, 756},	// QXmlDTDHandler::unparsedEntityDecl$$$$
    {61, 743, 760},	// QXmlDTDHandler::~QXmlDTDHandler
    {62, 62, 765},	// QXmlDeclHandler::QXmlDeclHandler
    {62, 63, 766},	// QXmlDeclHandler::QXmlDeclHandler#
    {62, 117, 761},	// QXmlDeclHandler::attributeDecl$$$$$
    {62, 192, 764},	// QXmlDeclHandler::errorString
    {62, 194, 763},	// QXmlDeclHandler::externalEntityDecl$$$
    {62, 236, 762},	// QXmlDeclHandler::internalEntityDecl$$
    {62, 744, 767},	// QXmlDeclHandler::~QXmlDeclHandler
    {63, 64, 768},	// QXmlDefaultHandler::QXmlDefaultHandler
    {63, 117, 793},	// QXmlDefaultHandler::attributeDecl$$$$$
    {63, 129, 776},	// QXmlDefaultHandler::characters$
    {63, 137, 792},	// QXmlDefaultHandler::comment$
    {63, 178, 791},	// QXmlDefaultHandler::endCDATA
    {63, 179, 787},	// QXmlDefaultHandler::endDTD
    {63, 180, 771},	// QXmlDefaultHandler::endDocument
    {63, 182, 775},	// QXmlDefaultHandler::endElement$$$
    {63, 184, 789},	// QXmlDefaultHandler::endEntity$
    {63, 186, 773},	// QXmlDefaultHandler::endPrefixMapping$
    {63, 190, 781},	// QXmlDefaultHandler::error#
    {63, 192, 796},	// QXmlDefaultHandler::errorString
    {63, 194, 795},	// QXmlDefaultHandler::externalEntityDecl$$$
    {63, 196, 782},	// QXmlDefaultHandler::fatalError#
    {63, 220, 777},	// QXmlDefaultHandler::ignorableWhitespace$
    {63, 236, 794},	// QXmlDefaultHandler::internalEntityDecl$$
    {63, 282, 783},	// QXmlDefaultHandler::notationDecl$$$
    {63, 359, 778},	// QXmlDefaultHandler::processingInstruction$$
    {63, 556, 785},	// QXmlDefaultHandler::resolveEntity$$#
    {63, 602, 769},	// QXmlDefaultHandler::setDocumentLocator#
    {63, 632, 779},	// QXmlDefaultHandler::skippedEntity$
    {63, 638, 790},	// QXmlDefaultHandler::startCDATA
    {63, 640, 786},	// QXmlDefaultHandler::startDTD$$$
    {63, 641, 770},	// QXmlDefaultHandler::startDocument
    {63, 643, 774},	// QXmlDefaultHandler::startElement$$$#
    {63, 645, 788},	// QXmlDefaultHandler::startEntity$
    {63, 647, 772},	// QXmlDefaultHandler::startPrefixMapping$$
    {63, 675, 784},	// QXmlDefaultHandler::unparsedEntityDecl$$$$
    {63, 683, 780},	// QXmlDefaultHandler::warning#
    {63, 745, 797},	// QXmlDefaultHandler::~QXmlDefaultHandler
    {64, 65, 800},	// QXmlEntityResolver::QXmlEntityResolver
    {64, 66, 801},	// QXmlEntityResolver::QXmlEntityResolver#
    {64, 192, 799},	// QXmlEntityResolver::errorString
    {64, 556, 798},	// QXmlEntityResolver::resolveEntity$$#
    {64, 746, 802},	// QXmlEntityResolver::~QXmlEntityResolver
    {65, 67, 807},	// QXmlErrorHandler::QXmlErrorHandler
    {65, 68, 808},	// QXmlErrorHandler::QXmlErrorHandler#
    {65, 190, 804},	// QXmlErrorHandler::error#
    {65, 192, 806},	// QXmlErrorHandler::errorString
    {65, 196, 805},	// QXmlErrorHandler::fatalError#
    {65, 683, 803},	// QXmlErrorHandler::warning#
    {65, 747, 809},	// QXmlErrorHandler::~QXmlErrorHandler
    {66, 15, 821},	// QXmlInputSource::EndOfData
    {66, 16, 822},	// QXmlInputSource::EndOfDocument
    {66, 69, 810},	// QXmlInputSource::QXmlInputSource
    {66, 70, -386},	// QXmlInputSource::QXmlInputSource#
    {66, 165, 815},	// QXmlInputSource::data
    {66, 200, 814},	// QXmlInputSource::fetchData
    {66, 205, 820},	// QXmlInputSource::fromRawData#
    {66, 206, 818},	// QXmlInputSource::fromRawData#$
    {66, 273, 816},	// QXmlInputSource::next
    {66, 554, 817},	// QXmlInputSource::reset
    {66, 595, 813},	// QXmlInputSource::setData#
    {66, 596, 812},	// QXmlInputSource::setData$
    {66, 748, 823},	// QXmlInputSource::~QXmlInputSource
    {67, 71, 832},	// QXmlLexicalHandler::QXmlLexicalHandler
    {67, 72, 833},	// QXmlLexicalHandler::QXmlLexicalHandler#
    {67, 137, 830},	// QXmlLexicalHandler::comment$
    {67, 178, 829},	// QXmlLexicalHandler::endCDATA
    {67, 179, 825},	// QXmlLexicalHandler::endDTD
    {67, 184, 827},	// QXmlLexicalHandler::endEntity$
    {67, 192, 831},	// QXmlLexicalHandler::errorString
    {67, 638, 828},	// QXmlLexicalHandler::startCDATA
    {67, 640, 824},	// QXmlLexicalHandler::startDTD$$$
    {67, 645, 826},	// QXmlLexicalHandler::startEntity$
    {67, 749, 834},	// QXmlLexicalHandler::~QXmlLexicalHandler
    {68, 73, 835},	// QXmlLocator::QXmlLocator
    {68, 74, 838},	// QXmlLocator::QXmlLocator#
    {68, 135, 836},	// QXmlLocator::columnNumber
    {68, 263, 837},	// QXmlLocator::lineNumber
    {68, 750, 839},	// QXmlLocator::~QXmlLocator
    {69, 75, 840},	// QXmlNamespaceSupport::QXmlNamespaceSupport
    {69, 348, 849},	// QXmlNamespaceSupport::popContext
    {69, 350, 842},	// QXmlNamespaceSupport::prefix$
    {69, 351, 846},	// QXmlNamespaceSupport::prefixes
    {69, 352, 847},	// QXmlNamespaceSupport::prefixes$
    {69, 357, 845},	// QXmlNamespaceSupport::processName$$$$
    {69, 364, 848},	// QXmlNamespaceSupport::pushContext
    {69, 554, 850},	// QXmlNamespaceSupport::reset
    {69, 623, 841},	// QXmlNamespaceSupport::setPrefix$$
    {69, 635, 844},	// QXmlNamespaceSupport::splitName$$$
    {69, 677, 843},	// QXmlNamespaceSupport::uri$
    {69, 751, 851},	// QXmlNamespaceSupport::~QXmlNamespaceSupport
    {70, 76, 859},	// QXmlParseException::QXmlParseException
    {70, 77, 853},	// QXmlParseException::QXmlParseException#
    {70, 78, 860},	// QXmlParseException::QXmlParseException$
    {70, 79, 861},	// QXmlParseException::QXmlParseException$$
    {70, 80, 862},	// QXmlParseException::QXmlParseException$$$
    {70, 81, 863},	// QXmlParseException::QXmlParseException$$$$
    {70, 82, 852},	// QXmlParseException::QXmlParseException$$$$$
    {70, 135, 854},	// QXmlParseException::columnNumber
    {70, 263, 855},	// QXmlParseException::lineNumber
    {70, 266, 858},	// QXmlParseException::message
    {70, 363, 856},	// QXmlParseException::publicId
    {70, 650, 857},	// QXmlParseException::systemId
    {70, 752, 864},	// QXmlParseException::~QXmlParseException
    {71, 7, 874},	// QXmlReader::DTDHandler
    {71, 83, 885},	// QXmlReader::QXmlReader
    {71, 84, 886},	// QXmlReader::QXmlReader#
    {71, 140, 876},	// QXmlReader::contentHandler
    {71, 166, 882},	// QXmlReader::declHandler
    {71, 188, 872},	// QXmlReader::entityResolver
    {71, 191, 878},	// QXmlReader::errorHandler
    {71, 198, 887},	// QXmlReader::feature$
    {71, 199, 865},	// QXmlReader::feature$$
    {71, 215, 867},	// QXmlReader::hasFeature$
    {71, 218, 870},	// QXmlReader::hasProperty$
    {71, 262, 880},	// QXmlReader::lexicalHandler
    {71, 345, -383},	// QXmlReader::parse#
    {71, 361, 888},	// QXmlReader::property$
    {71, 362, 868},	// QXmlReader::property$$
    {71, 591, 875},	// QXmlReader::setContentHandler#
    {71, 593, 873},	// QXmlReader::setDTDHandler#
    {71, 598, 881},	// QXmlReader::setDeclHandler#
    {71, 604, 871},	// QXmlReader::setEntityResolver#
    {71, 606, 877},	// QXmlReader::setErrorHandler#
    {71, 608, 866},	// QXmlReader::setFeature$$
    {71, 614, 879},	// QXmlReader::setLexicalHandler#
    {71, 625, 869},	// QXmlReader::setProperty$$
    {71, 753, 889},	// QXmlReader::~QXmlReader
    {72, 7, 900},	// QXmlSimpleReader::DTDHandler
    {72, 85, 890},	// QXmlSimpleReader::QXmlSimpleReader
    {72, 140, 902},	// QXmlSimpleReader::contentHandler
    {72, 166, 908},	// QXmlSimpleReader::declHandler
    {72, 188, 898},	// QXmlSimpleReader::entityResolver
    {72, 191, 904},	// QXmlSimpleReader::errorHandler
    {72, 198, 913},	// QXmlSimpleReader::feature$
    {72, 199, 891},	// QXmlSimpleReader::feature$$
    {72, 215, 893},	// QXmlSimpleReader::hasFeature$
    {72, 218, 896},	// QXmlSimpleReader::hasProperty$
    {72, 262, 906},	// QXmlSimpleReader::lexicalHandler
    {72, 345, -319},	// QXmlSimpleReader::parse#
    {72, 346, 911},	// QXmlSimpleReader::parse#$
    {72, 347, 912},	// QXmlSimpleReader::parseContinue
    {72, 361, 914},	// QXmlSimpleReader::property$
    {72, 362, 894},	// QXmlSimpleReader::property$$
    {72, 591, 901},	// QXmlSimpleReader::setContentHandler#
    {72, 593, 899},	// QXmlSimpleReader::setDTDHandler#
    {72, 598, 907},	// QXmlSimpleReader::setDeclHandler#
    {72, 604, 897},	// QXmlSimpleReader::setEntityResolver#
    {72, 606, 903},	// QXmlSimpleReader::setErrorHandler#
    {72, 608, 892},	// QXmlSimpleReader::setFeature$$
    {72, 614, 905},	// QXmlSimpleReader::setLexicalHandler#
    {72, 625, 895},	// QXmlSimpleReader::setProperty$$
    {72, 754, 915},	// QXmlSimpleReader::~QXmlSimpleReader
    {76, 86, 916},	// QXmlStreamWriter::QXmlStreamWriter
    {76, 87, -365},	// QXmlStreamWriter::QXmlStreamWriter#
    {76, 88, 919},	// QXmlStreamWriter::QXmlStreamWriter$
    {76, 126, 926},	// QXmlStreamWriter::autoFormatting
    {76, 127, 928},	// QXmlStreamWriter::autoFormattingIndent
    {76, 134, 924},	// QXmlStreamWriter::codec
    {76, 169, 921},	// QXmlStreamWriter::device
    {76, 213, 953},	// QXmlStreamWriter::hasError
    {76, 569, 925},	// QXmlStreamWriter::setAutoFormatting$
    {76, 571, 927},	// QXmlStreamWriter::setAutoFormattingIndent$
    {76, 573, 922},	// QXmlStreamWriter::setCodec#
    {76, 574, 923},	// QXmlStreamWriter::setCodec$
    {76, 600, 920},	// QXmlStreamWriter::setDevice#
    {76, 685, 931},	// QXmlStreamWriter::writeAttribute#
    {76, 686, 929},	// QXmlStreamWriter::writeAttribute$$
    {76, 687, 930},	// QXmlStreamWriter::writeAttribute$$$
    {76, 689, 932},	// QXmlStreamWriter::writeAttributes#
    {76, 691, 933},	// QXmlStreamWriter::writeCDATA$
    {76, 693, 934},	// QXmlStreamWriter::writeCharacters$
    {76, 695, 935},	// QXmlStreamWriter::writeComment$
    {76, 697, 952},	// QXmlStreamWriter::writeCurrentToken#
    {76, 699, 936},	// QXmlStreamWriter::writeDTD$
    {76, 701, 945},	// QXmlStreamWriter::writeDefaultNamespace$
    {76, 703, 937},	// QXmlStreamWriter::writeEmptyElement$
    {76, 704, 938},	// QXmlStreamWriter::writeEmptyElement$$
    {76, 705, 941},	// QXmlStreamWriter::writeEndDocument
    {76, 706, 942},	// QXmlStreamWriter::writeEndElement
    {76, 708, 943},	// QXmlStreamWriter::writeEntityReference$
    {76, 710, 954},	// QXmlStreamWriter::writeNamespace$
    {76, 711, 944},	// QXmlStreamWriter::writeNamespace$$
    {76, 713, 955},	// QXmlStreamWriter::writeProcessingInstruction$
    {76, 714, 946},	// QXmlStreamWriter::writeProcessingInstruction$$
    {76, 715, 947},	// QXmlStreamWriter::writeStartDocument
    {76, 716, 948},	// QXmlStreamWriter::writeStartDocument$
    {76, 717, 949},	// QXmlStreamWriter::writeStartDocument$$
    {76, 719, 950},	// QXmlStreamWriter::writeStartElement$
    {76, 720, 951},	// QXmlStreamWriter::writeStartElement$$
    {76, 722, 939},	// QXmlStreamWriter::writeTextElement$$
    {76, 723, 940},	// QXmlStreamWriter::writeTextElement$$$
    {76, 755, 956},	// QXmlStreamWriter::~QXmlStreamWriter
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtxml_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtxml_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtxml_Smoke = new Smoke(
        "qtxml",
        __smokeqtxml::classes, 76,
        __smokeqtxml::methods, 957,
        __smokeqtxml::methodMaps, 667,
        __smokeqtxml::methodNames, 755,
        __smokeqtxml::types, 338,
        __smokeqtxml::inheritanceList,
        __smokeqtxml::argumentList,
        __smokeqtxml::ambiguousMethodList,
        __smokeqtxml::cast );
    initialized = true;
}

void delete_qtxml_Smoke() { delete qtxml_Smoke; }

}
